/**
 */
package pbdmodel;

import java.util.Date;
import java.util.List;

import pbdmodel.impl.AdresaImpl;
import pbdmodel.impl.AktImpl;
import pbdmodel.impl.DjeloImpl;
import pbdmodel.impl.DokumentImpl;
import pbdmodel.impl.EksterniDMSImpl;
import pbdmodel.impl.EvidencijeImpl;
import pbdmodel.impl.FolderImpl;
import pbdmodel.impl.PolicijskoPostupanjeImpl;
import pbdmodel.impl.PorukaImpl;
import pbdmodel.impl.PrijavaImpl;
import pbdmodel.impl.SaobracajnaNezgodaImpl;
import pbdmodel.impl.StatusObradeDogadjajaImpl;
import pbdmodel.impl.TaskImpl;
import pbdmodel.impl.VrstaDogadjajaImpl;
import pbdmodel.impl.ZakonskaKvalifikacijaImpl;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Dogadjaj</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link pbdmodel.Dogadjaj#getIdDogadjaja <em>Id Dogadjaja</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getRedniBrojDogadjaja <em>Redni Broj Dogadjaja</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getEvidencije <em>Evidencije</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getDjela <em>Djela</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getDatumDogadjaja <em>Datum Dogadjaja</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getAdresa <em>Adresa</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getPolicijskiSluzbenici <em>Policijski Sluzbenici</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getVrijemeDogadjaja <em>Vrijeme Dogadjaja</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getZakonskaKvalifikacija <em>Zakonska Kvalifikacija</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getVrstaDogadjaja <em>Vrsta Dogadjaja</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getStanje <em>Stanje</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#isPotvrdjenNalogrijave <em>Potvrdjen Nalogrijave</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getSadrzajPrijave <em>Sadrzaj Prijave</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getPrijava <em>Prijava</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getDatumSaznanja <em>Datum Saznanja</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getVrijemeSaznanja <em>Vrijeme Saznanja</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getNaknadneUvidjajneRadnje <em>Naknadne Uvidjajne Radnje</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getOstalo <em>Ostalo</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getSaobracajnaNezgoda <em>Saobracajna Nezgoda</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getDokumenti <em>Dokumenti</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getAkti <em>Akti</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getFolderi <em>Folderi</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getTaskovi <em>Taskovi</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getPoruke <em>Poruke</em>}</li>
 *   <li>{@link pbdmodel.Dogadjaj#getEksterniDMS <em>Eksterni DMS</em>}</li>
 * </ul>
 * </p>
 *
 * @see pbdmodel.PbdmodelPackage#getDogadjaj()
 * @model
 * @generated
 */
public interface Dogadjaj extends Metadata {
	/**
	 * Returns the value of the '<em><b>Id Dogadjaja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Id Dogadjaja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Id Dogadjaja</em>' attribute.
	 * @see #setIdDogadjaja(long)
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_IdDogadjaja()
	 * @model
	 * @generated
	 */
	long getIdDogadjaja();

	/**
	 * Sets the value of the '{@link pbdmodel.Dogadjaj#getIdDogadjaja <em>Id Dogadjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Id Dogadjaja</em>' attribute.
	 * @see #getIdDogadjaja()
	 * @generated
	 */
	void setIdDogadjaja(long value);

	/**
	 * Returns the value of the '<em><b>Redni Broj Dogadjaja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Redni Broj Dogadjaja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Redni Broj Dogadjaja</em>' attribute.
	 * @see #setRedniBrojDogadjaja(String)
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_RedniBrojDogadjaja()
	 * @model
	 * @generated
	 */
	String getRedniBrojDogadjaja();

	/**
	 * Sets the value of the '{@link pbdmodel.Dogadjaj#getRedniBrojDogadjaja <em>Redni Broj Dogadjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Redni Broj Dogadjaja</em>' attribute.
	 * @see #getRedniBrojDogadjaja()
	 * @generated
	 */
	void setRedniBrojDogadjaja(String value);

	/**
	 * Returns the value of the '<em><b>Evidencije</b></em>' containment reference list.
	 * The list contents are of type {@link pbdmodel.Evidencije}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Evidencije</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Evidencije</em>' containment reference list.
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_Evidencije()
	 * @model containment="true" required="true"
	 * @generated
	 */
	List<EvidencijeImpl> getEvidencije();

	/**
	 * Returns the value of the '<em><b>Djela</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Djelo}.
	 * It is bidirectional and its opposite is '{@link pbdmodel.Djelo#getDogadjaji <em>Dogadjaji</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Djela</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Djela</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_Djela()
	 * @see pbdmodel.Djelo#getDogadjaji
	 * @model opposite="dogadjaji" required="true"
	 * @generated
	 */
	List<DjeloImpl> getDjela();

	/**
	 * Returns the value of the '<em><b>Datum Dogadjaja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum Dogadjaja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum Dogadjaja</em>' attribute.
	 * @see #setDatumDogadjaja(Date)
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_DatumDogadjaja()
	 * @model
	 * @generated
	 */
	Date getDatumDogadjaja();

	/**
	 * Sets the value of the '{@link pbdmodel.Dogadjaj#getDatumDogadjaja <em>Datum Dogadjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum Dogadjaja</em>' attribute.
	 * @see #getDatumDogadjaja()
	 * @generated
	 */
	void setDatumDogadjaja(Date value);

	/**
	 * Returns the value of the '<em><b>Adresa</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Adresa</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Adresa</em>' reference.
	 * @see #setAdresa(Adresa)
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_Adresa()
	 * @model required="true"
	 * @generated
	 */
	AdresaImpl getAdresa();

	/**
	 * Sets the value of the '{@link pbdmodel.Dogadjaj#getAdresa <em>Adresa</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Adresa</em>' reference.
	 * @see #getAdresa()
	 * @generated
	 */
	void setAdresa(AdresaImpl value);

	/**
	 * Returns the value of the '<em><b>Policijski Sluzbenici</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.PolicijskoPostupanje}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Policijski Sluzbenici</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Policijski Sluzbenici</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_PolicijskiSluzbenici()
	 * @model required="true"
	 * @generated
	 */
	List<PolicijskoPostupanjeImpl> getPolicijskiSluzbenici();

	/**
	 * Returns the value of the '<em><b>Vrijeme Dogadjaja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrijeme Dogadjaja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrijeme Dogadjaja</em>' attribute.
	 * @see #setVrijemeDogadjaja(Date)
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_VrijemeDogadjaja()
	 * @model
	 * @generated
	 */
	Date getVrijemeDogadjaja();

	/**
	 * Sets the value of the '{@link pbdmodel.Dogadjaj#getVrijemeDogadjaja <em>Vrijeme Dogadjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrijeme Dogadjaja</em>' attribute.
	 * @see #getVrijemeDogadjaja()
	 * @generated
	 */
	void setVrijemeDogadjaja(Date value);

	/**
	 * Returns the value of the '<em><b>Zakonska Kvalifikacija</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Zakonska Kvalifikacija</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Zakonska Kvalifikacija</em>' reference.
	 * @see #setZakonskaKvalifikacija(ZakonskaKvalifikacija)
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_ZakonskaKvalifikacija()
	 * @model required="true"
	 * @generated
	 */
	ZakonskaKvalifikacijaImpl getZakonskaKvalifikacija();

	/**
	 * Sets the value of the '{@link pbdmodel.Dogadjaj#getZakonskaKvalifikacija <em>Zakonska Kvalifikacija</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Zakonska Kvalifikacija</em>' reference.
	 * @see #getZakonskaKvalifikacija()
	 * @generated
	 */
	void setZakonskaKvalifikacija(ZakonskaKvalifikacijaImpl value);

	/**
	 * Returns the value of the '<em><b>Vrsta Dogadjaja</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrsta Dogadjaja</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrsta Dogadjaja</em>' reference.
	 * @see #setVrstaDogadjaja(VrstaDogadjaja)
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_VrstaDogadjaja()
	 * @model required="true"
	 * @generated
	 */
	VrstaDogadjajaImpl getVrstaDogadjaja();

	/**
	 * Sets the value of the '{@link pbdmodel.Dogadjaj#getVrstaDogadjaja <em>Vrsta Dogadjaja</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrsta Dogadjaja</em>' reference.
	 * @see #getVrstaDogadjaja()
	 * @generated
	 */
	void setVrstaDogadjaja(VrstaDogadjajaImpl value);

	/**
	 * Returns the value of the '<em><b>Stanje</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Stanje</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Stanje</em>' reference.
	 * @see #setStanje(StatusObradeDogadjaja)
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_Stanje()
	 * @model required="true"
	 * @generated
	 */
	StatusObradeDogadjajaImpl getStanje();

	/**
	 * Sets the value of the '{@link pbdmodel.Dogadjaj#getStanje <em>Stanje</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Stanje</em>' reference.
	 * @see #getStanje()
	 * @generated
	 */
	void setStanje(StatusObradeDogadjajaImpl value);

	/**
	 * Returns the value of the '<em><b>Potvrdjen Nalogrijave</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Potvrdjen Nalogrijave</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Potvrdjen Nalogrijave</em>' attribute.
	 * @see #setPotvrdjenNalogrijave(boolean)
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_PotvrdjenNalogrijave()
	 * @model
	 * @generated
	 */
	boolean isPotvrdjenNalogrijave();

	/**
	 * Sets the value of the '{@link pbdmodel.Dogadjaj#isPotvrdjenNalogrijave <em>Potvrdjen Nalogrijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Potvrdjen Nalogrijave</em>' attribute.
	 * @see #isPotvrdjenNalogrijave()
	 * @generated
	 */
	void setPotvrdjenNalogrijave(boolean value);

	/**
	 * Returns the value of the '<em><b>Sadrzaj Prijave</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Sadrzaj Prijave</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Sadrzaj Prijave</em>' attribute.
	 * @see #setSadrzajPrijave(String)
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_SadrzajPrijave()
	 * @model
	 * @generated
	 */
	String getSadrzajPrijave();

	/**
	 * Sets the value of the '{@link pbdmodel.Dogadjaj#getSadrzajPrijave <em>Sadrzaj Prijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Sadrzaj Prijave</em>' attribute.
	 * @see #getSadrzajPrijave()
	 * @generated
	 */
	void setSadrzajPrijave(String value);

	/**
	 * Returns the value of the '<em><b>Prijava</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Prijava</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Prijava</em>' reference.
	 * @see #setPrijava(Prijava)
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_Prijava()
	 * @model required="true"
	 * @generated
	 */
	PrijavaImpl getPrijava();

	/**
	 * Sets the value of the '{@link pbdmodel.Dogadjaj#getPrijava <em>Prijava</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Prijava</em>' reference.
	 * @see #getPrijava()
	 * @generated
	 */
	void setPrijava(PrijavaImpl value);

	/**
	 * Returns the value of the '<em><b>Datum Saznanja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum Saznanja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum Saznanja</em>' attribute.
	 * @see #setDatumSaznanja(Date)
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_DatumSaznanja()
	 * @model
	 * @generated
	 */
	Date getDatumSaznanja();

	/**
	 * Sets the value of the '{@link pbdmodel.Dogadjaj#getDatumSaznanja <em>Datum Saznanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum Saznanja</em>' attribute.
	 * @see #getDatumSaznanja()
	 * @generated
	 */
	void setDatumSaznanja(Date value);

	/**
	 * Returns the value of the '<em><b>Vrijeme Saznanja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrijeme Saznanja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrijeme Saznanja</em>' attribute.
	 * @see #setVrijemeSaznanja(Date)
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_VrijemeSaznanja()
	 * @model
	 * @generated
	 */
	Date getVrijemeSaznanja();

	/**
	 * Sets the value of the '{@link pbdmodel.Dogadjaj#getVrijemeSaznanja <em>Vrijeme Saznanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrijeme Saznanja</em>' attribute.
	 * @see #getVrijemeSaznanja()
	 * @generated
	 */
	void setVrijemeSaznanja(Date value);

	/**
	 * Returns the value of the '<em><b>Naknadne Uvidjajne Radnje</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Naknadne Uvidjajne Radnje</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Naknadne Uvidjajne Radnje</em>' attribute.
	 * @see #setNaknadneUvidjajneRadnje(String)
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_NaknadneUvidjajneRadnje()
	 * @model
	 * @generated
	 */
	String getNaknadneUvidjajneRadnje();

	/**
	 * Sets the value of the '{@link pbdmodel.Dogadjaj#getNaknadneUvidjajneRadnje <em>Naknadne Uvidjajne Radnje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Naknadne Uvidjajne Radnje</em>' attribute.
	 * @see #getNaknadneUvidjajneRadnje()
	 * @generated
	 */
	void setNaknadneUvidjajneRadnje(String value);

	/**
	 * Returns the value of the '<em><b>Ostalo</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ostalo</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ostalo</em>' attribute.
	 * @see #setOstalo(String)
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_Ostalo()
	 * @model
	 * @generated
	 */
	String getOstalo();

	/**
	 * Sets the value of the '{@link pbdmodel.Dogadjaj#getOstalo <em>Ostalo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ostalo</em>' attribute.
	 * @see #getOstalo()
	 * @generated
	 */
	void setOstalo(String value);

	/**
	 * Returns the value of the '<em><b>Saobracajna Nezgoda</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Saobracajna Nezgoda</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Saobracajna Nezgoda</em>' reference.
	 * @see #setSaobracajnaNezgoda(SaobracajnaNezgoda)
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_SaobracajnaNezgoda()
	 * @model required="true"
	 * @generated
	 */
	SaobracajnaNezgodaImpl getSaobracajnaNezgoda();

	/**
	 * Sets the value of the '{@link pbdmodel.Dogadjaj#getSaobracajnaNezgoda <em>Saobracajna Nezgoda</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Saobracajna Nezgoda</em>' reference.
	 * @see #getSaobracajnaNezgoda()
	 * @generated
	 */
	void setSaobracajnaNezgoda(SaobracajnaNezgodaImpl value);

	/**
	 * Returns the value of the '<em><b>Dokumenti</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Dokument}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Dokumenti</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Dokumenti</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_Dokumenti()
	 * @model required="true"
	 * @generated
	 */
	List<DokumentImpl> getDokumenti();

	/**
	 * Returns the value of the '<em><b>Akti</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Akt}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Akti</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Akti</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_Akti()
	 * @model required="true"
	 * @generated
	 */
	List<AktImpl> getAkti();

	/**
	 * Returns the value of the '<em><b>Folderi</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Folder}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Folderi</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Folderi</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_Folderi()
	 * @model required="true"
	 * @generated
	 */
	List<FolderImpl> getFolderi();

	/**
	 * Returns the value of the '<em><b>Taskovi</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Task}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Taskovi</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Taskovi</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_Taskovi()
	 * @model required="true"
	 * @generated
	 */
	List<TaskImpl> getTaskovi();

	/**
	 * Returns the value of the '<em><b>Poruke</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Poruka}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Poruke</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Poruke</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_Poruke()
	 * @model required="true"
	 * @generated
	 */
	List<PorukaImpl> getPoruke();

	/**
	 * Returns the value of the '<em><b>Eksterni DMS</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.EksterniDMS}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Eksterni DMS</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Eksterni DMS</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getDogadjaj_EksterniDMS()
	 * @model required="true"
	 * @generated
	 */
	List<EksterniDMSImpl> getEksterniDMS();

} // Dogadjaj
