/**
 */
package pbdmodel;

import java.util.Date;
import java.util.List;

import org.eclipse.emf.ecore.EObject;

import pbdmodel.impl.AdresaImpl;
import pbdmodel.impl.OrgJedinicaImpl;
import pbdmodel.impl.OrganizacijaImpl;
import pbdmodel.impl.RadneUlogeImpl;
import pbdmodel.impl.RasporedSmjenaImpl;
import pbdmodel.impl.VrstaOrgJediniceImpl;
import pbdmodel.impl.VrstaPapiraNaIspisuBlagajneImpl;
import pbdmodel.impl.ZaposleniciImpl;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Org Jedinica</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link pbdmodel.OrgJedinica#getIDOrgJedinica <em>ID Org Jedinica</em>}</li>
 *   <li>{@link pbdmodel.OrgJedinica#getNazivOrgJedinice <em>Naziv Org Jedinice</em>}</li>
 *   <li>{@link pbdmodel.OrgJedinica#getOznaka <em>Oznaka</em>}</li>
 *   <li>{@link pbdmodel.OrgJedinica#getSluzbenici <em>Sluzbenici</em>}</li>
 *   <li>{@link pbdmodel.OrgJedinica#getVrstaOrgJedinice <em>Vrsta Org Jedinice</em>}</li>
 *   <li>{@link pbdmodel.OrgJedinica#getOrganizacija <em>Organizacija</em>}</li>
 *   <li>{@link pbdmodel.OrgJedinica#getParentOrgJedinica <em>Parent Org Jedinica</em>}</li>
 *   <li>{@link pbdmodel.OrgJedinica#getRadneUlogeOrgJedinice <em>Radne Uloge Org Jedinice</em>}</li>
 *   <li>{@link pbdmodel.OrgJedinica#getSifraOrgJedinice <em>Sifra Org Jedinice</em>}</li>
 *   <li>{@link pbdmodel.OrgJedinica#isImaAdresu <em>Ima Adresu</em>}</li>
 *   <li>{@link pbdmodel.OrgJedinica#getAdresaOrgJedinice <em>Adresa Org Jedinice</em>}</li>
 *   <li>{@link pbdmodel.OrgJedinica#isBlagajna <em>Blagajna</em>}</li>
 *   <li>{@link pbdmodel.OrgJedinica#getPromjeneVrijedeOd <em>Promjene Vrijede Od</em>}</li>
 *   <li>{@link pbdmodel.OrgJedinica#getOpis <em>Opis</em>}</li>
 *   <li>{@link pbdmodel.OrgJedinica#getRadnoVrijeme <em>Radno Vrijeme</em>}</li>
 *   <li>{@link pbdmodel.OrgJedinica#getVrstaPapitaNaIspisuBlagajne <em>Vrsta Papita Na Ispisu Blagajne</em>}</li>
 *   <li>{@link pbdmodel.OrgJedinica#getRasporedSmjena <em>Raspored Smjena</em>}</li>
 * </ul>
 * </p>
 *
 * @see pbdmodel.PbdmodelPackage#getOrgJedinica()
 * @model
 * @generated
 */
public interface OrgJedinica extends EObject {
	/**
	 * Returns the value of the '<em><b>ID Org Jedinica</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>ID Org Jedinica</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>ID Org Jedinica</em>' attribute.
	 * @see #setIDOrgJedinica(long)
	 * @see pbdmodel.PbdmodelPackage#getOrgJedinica_IDOrgJedinica()
	 * @model
	 * @generated
	 */
	long getIDOrgJedinica();

	/**
	 * Sets the value of the '{@link pbdmodel.OrgJedinica#getIDOrgJedinica <em>ID Org Jedinica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>ID Org Jedinica</em>' attribute.
	 * @see #getIDOrgJedinica()
	 * @generated
	 */
	void setIDOrgJedinica(long value);

	/**
	 * Returns the value of the '<em><b>Naziv Org Jedinice</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Naziv Org Jedinice</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Naziv Org Jedinice</em>' attribute.
	 * @see #setNazivOrgJedinice(String)
	 * @see pbdmodel.PbdmodelPackage#getOrgJedinica_NazivOrgJedinice()
	 * @model
	 * @generated
	 */
	String getNazivOrgJedinice();

	/**
	 * Sets the value of the '{@link pbdmodel.OrgJedinica#getNazivOrgJedinice <em>Naziv Org Jedinice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Naziv Org Jedinice</em>' attribute.
	 * @see #getNazivOrgJedinice()
	 * @generated
	 */
	void setNazivOrgJedinice(String value);

	/**
	 * Returns the value of the '<em><b>Oznaka</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Oznaka</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Oznaka</em>' attribute.
	 * @see #setOznaka(String)
	 * @see pbdmodel.PbdmodelPackage#getOrgJedinica_Oznaka()
	 * @model
	 * @generated
	 */
	String getOznaka();

	/**
	 * Sets the value of the '{@link pbdmodel.OrgJedinica#getOznaka <em>Oznaka</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Oznaka</em>' attribute.
	 * @see #getOznaka()
	 * @generated
	 */
	void setOznaka(String value);

	/**
	 * Returns the value of the '<em><b>Sluzbenici</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.SluzbenaOsoba}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Sluzbenici</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Sluzbenici</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getOrgJedinica_Sluzbenici()
	 * @model required="true"
	 * @generated
	 */
	List<ZaposleniciImpl> getSluzbenici();

	/**
	 * Returns the value of the '<em><b>Vrsta Org Jedinice</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrsta Org Jedinice</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrsta Org Jedinice</em>' reference.
	 * @see #setVrstaOrgJedinice(VrstaOrgJedinice)
	 * @see pbdmodel.PbdmodelPackage#getOrgJedinica_VrstaOrgJedinice()
	 * @model required="true"
	 * @generated
	 */
	VrstaOrgJediniceImpl getVrstaOrgJedinice();

	/**
	 * Sets the value of the '{@link pbdmodel.OrgJedinica#getVrstaOrgJedinice <em>Vrsta Org Jedinice</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrsta Org Jedinice</em>' reference.
	 * @see #getVrstaOrgJedinice()
	 * @generated
	 */
	void setVrstaOrgJedinice(VrstaOrgJediniceImpl value);

	/**
	 * Returns the value of the '<em><b>Organizacija</b></em>' reference.
	 * It is bidirectional and its opposite is '{@link pbdmodel.Organizacija#getOrgJedinica <em>Org Jedinica</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Organizacija</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Organizacija</em>' reference.
	 * @see #setOrganizacija(Organizacija)
	 * @see pbdmodel.PbdmodelPackage#getOrgJedinica_Organizacija()
	 * @see pbdmodel.Organizacija#getOrgJedinica
	 * @model opposite="orgJedinica" required="true"
	 * @generated
	 */
	OrganizacijaImpl getOrganizacija();

	/**
	 * Sets the value of the '{@link pbdmodel.OrgJedinica#getOrganizacija <em>Organizacija</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Organizacija</em>' reference.
	 * @see #getOrganizacija()
	 * @generated
	 */
	void setOrganizacija(OrganizacijaImpl value);

	/**
	 * Returns the value of the '<em><b>Parent Org Jedinica</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Parent Org Jedinica</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Parent Org Jedinica</em>' reference.
	 * @see #setParentOrgJedinica(OrgJedinica)
	 * @see pbdmodel.PbdmodelPackage#getOrgJedinica_ParentOrgJedinica()
	 * @model required="true"
	 * @generated
	 */
	OrgJedinicaImpl getParentOrgJedinica();

	/**
	 * Sets the value of the '{@link pbdmodel.OrgJedinica#getParentOrgJedinica <em>Parent Org Jedinica</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Parent Org Jedinica</em>' reference.
	 * @see #getParentOrgJedinica()
	 * @generated
	 */
	void setParentOrgJedinica(OrgJedinicaImpl value);

	/**
	 * Returns the value of the '<em><b>Radne Uloge Org Jedinice</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.RadneUloge}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Radne Uloge Org Jedinice</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Radne Uloge Org Jedinice</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getOrgJedinica_RadneUlogeOrgJedinice()
	 * @model required="true"
	 * @generated
	 */
	List<RadneUlogeImpl> getRadneUlogeOrgJedinice();

	/**
	 * Returns the value of the '<em><b>Sifra Org Jedinice</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Sifra Org Jedinice</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Sifra Org Jedinice</em>' attribute.
	 * @see #setSifraOrgJedinice(String)
	 * @see pbdmodel.PbdmodelPackage#getOrgJedinica_SifraOrgJedinice()
	 * @model
	 * @generated
	 */
	String getSifraOrgJedinice();

	/**
	 * Sets the value of the '{@link pbdmodel.OrgJedinica#getSifraOrgJedinice <em>Sifra Org Jedinice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Sifra Org Jedinice</em>' attribute.
	 * @see #getSifraOrgJedinice()
	 * @generated
	 */
	void setSifraOrgJedinice(String value);

	/**
	 * Returns the value of the '<em><b>Ima Adresu</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ima Adresu</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ima Adresu</em>' attribute.
	 * @see #setImaAdresu(boolean)
	 * @see pbdmodel.PbdmodelPackage#getOrgJedinica_ImaAdresu()
	 * @model
	 * @generated
	 */
	boolean isImaAdresu();

	/**
	 * Sets the value of the '{@link pbdmodel.OrgJedinica#isImaAdresu <em>Ima Adresu</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ima Adresu</em>' attribute.
	 * @see #isImaAdresu()
	 * @generated
	 */
	void setImaAdresu(boolean value);

	/**
	 * Returns the value of the '<em><b>Adresa Org Jedinice</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Adresa Org Jedinice</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Adresa Org Jedinice</em>' reference.
	 * @see #setAdresaOrgJedinice(Adresa)
	 * @see pbdmodel.PbdmodelPackage#getOrgJedinica_AdresaOrgJedinice()
	 * @model required="true"
	 * @generated
	 */
	AdresaImpl getAdresaOrgJedinice();

	/**
	 * Sets the value of the '{@link pbdmodel.OrgJedinica#getAdresaOrgJedinice <em>Adresa Org Jedinice</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Adresa Org Jedinice</em>' reference.
	 * @see #getAdresaOrgJedinice()
	 * @generated
	 */
	void setAdresaOrgJedinice(AdresaImpl value);

	/**
	 * Returns the value of the '<em><b>Blagajna</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Blagajna</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Blagajna</em>' attribute.
	 * @see #setBlagajna(boolean)
	 * @see pbdmodel.PbdmodelPackage#getOrgJedinica_Blagajna()
	 * @model
	 * @generated
	 */
	boolean isBlagajna();

	/**
	 * Sets the value of the '{@link pbdmodel.OrgJedinica#isBlagajna <em>Blagajna</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Blagajna</em>' attribute.
	 * @see #isBlagajna()
	 * @generated
	 */
	void setBlagajna(boolean value);

	/**
	 * Returns the value of the '<em><b>Promjene Vrijede Od</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Promjene Vrijede Od</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Promjene Vrijede Od</em>' attribute.
	 * @see #setPromjeneVrijedeOd(Date)
	 * @see pbdmodel.PbdmodelPackage#getOrgJedinica_PromjeneVrijedeOd()
	 * @model
	 * @generated
	 */
	Date getPromjeneVrijedeOd();

	/**
	 * Sets the value of the '{@link pbdmodel.OrgJedinica#getPromjeneVrijedeOd <em>Promjene Vrijede Od</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Promjene Vrijede Od</em>' attribute.
	 * @see #getPromjeneVrijedeOd()
	 * @generated
	 */
	void setPromjeneVrijedeOd(Date value);

	/**
	 * Returns the value of the '<em><b>Opis</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Opis</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Opis</em>' attribute.
	 * @see #setOpis(String)
	 * @see pbdmodel.PbdmodelPackage#getOrgJedinica_Opis()
	 * @model
	 * @generated
	 */
	String getOpis();

	/**
	 * Sets the value of the '{@link pbdmodel.OrgJedinica#getOpis <em>Opis</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Opis</em>' attribute.
	 * @see #getOpis()
	 * @generated
	 */
	void setOpis(String value);

	/**
	 * Returns the value of the '<em><b>Radno Vrijeme</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Radno Vrijeme</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Radno Vrijeme</em>' attribute.
	 * @see #setRadnoVrijeme(String)
	 * @see pbdmodel.PbdmodelPackage#getOrgJedinica_RadnoVrijeme()
	 * @model
	 * @generated
	 */
	String getRadnoVrijeme();

	/**
	 * Sets the value of the '{@link pbdmodel.OrgJedinica#getRadnoVrijeme <em>Radno Vrijeme</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Radno Vrijeme</em>' attribute.
	 * @see #getRadnoVrijeme()
	 * @generated
	 */
	void setRadnoVrijeme(String value);

	/**
	 * Returns the value of the '<em><b>Vrsta Papita Na Ispisu Blagajne</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrsta Papita Na Ispisu Blagajne</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrsta Papita Na Ispisu Blagajne</em>' reference.
	 * @see #setVrstaPapitaNaIspisuBlagajne(VrstaPapiraNaIspisuBlagajne)
	 * @see pbdmodel.PbdmodelPackage#getOrgJedinica_VrstaPapitaNaIspisuBlagajne()
	 * @model required="true"
	 * @generated
	 */
	VrstaPapiraNaIspisuBlagajneImpl getVrstaPapitaNaIspisuBlagajne();

	/**
	 * Sets the value of the '{@link pbdmodel.OrgJedinica#getVrstaPapitaNaIspisuBlagajne <em>Vrsta Papita Na Ispisu Blagajne</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrsta Papita Na Ispisu Blagajne</em>' reference.
	 * @see #getVrstaPapitaNaIspisuBlagajne()
	 * @generated
	 */
	void setVrstaPapitaNaIspisuBlagajne(VrstaPapiraNaIspisuBlagajneImpl value);

	/**
	 * Returns the value of the '<em><b>Raspored Smjena</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.RasporedSmjena}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Raspored Smjena</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Raspored Smjena</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getOrgJedinica_RasporedSmjena()
	 * @model required="true"
	 * @generated
	 */
	List<RasporedSmjenaImpl> getRasporedSmjena();

} // OrgJedinica
