/**
 */
package pbdmodel;

import java.util.Date;
import java.util.List;

import pbdmodel.impl.DogadjajImpl;
import pbdmodel.impl.FileImpl;
import pbdmodel.impl.OperativniAlkotestImpl;
import pbdmodel.impl.OperativniFotoAparatImpl;
import pbdmodel.impl.OperativniMetarPantljinkaImpl;
import pbdmodel.impl.OperativniRadarImpl;
import pbdmodel.impl.OperativniRadioUredjajImpl;
import pbdmodel.impl.OperativniReflektorImpl;
import pbdmodel.impl.OperativnoVoziloImpl;
import pbdmodel.impl.OrgJedinicaImpl;
import pbdmodel.impl.OstalaOperativnaOpremaImpl;
import pbdmodel.impl.PatrolaImpl;
import pbdmodel.impl.PatrolniDokumentiImpl;
import pbdmodel.impl.PatrolniNalogAktivnostiImpl;
import pbdmodel.impl.PrilogImpl;
import pbdmodel.impl.SektorImpl;
import pbdmodel.impl.VrstaSluzbeImpl;
import pbdmodel.impl.ZaposleniciImpl;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Patrolni Nalog</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link pbdmodel.PatrolniNalog#getIdPatrolniNalog <em>Id Patrolni Nalog</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getOrgJedinicaPatrolniNalog <em>Org Jedinica Patrolni Nalog</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getZaposlenici <em>Zaposlenici</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getBrojPatrolnogNaloga <em>Broj Patrolnog Naloga</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getDatumPatrolnogNaloga <em>Datum Patrolnog Naloga</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getPocetakPatrolnogNaloga <em>Pocetak Patrolnog Naloga</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getKrajPatrolnogNaloga <em>Kraj Patrolnog Naloga</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getReonSektor <em>Reon Sektor</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getOpstiZadaci <em>Opsti Zadaci</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getKonkretniZadaci <em>Konkretni Zadaci</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getRasporedRadnogVremena <em>Raspored Radnog Vremena</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getOpstiZadaciPatrolniIzvjestaj <em>Opsti Zadaci Patrolni Izvjestaj</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getKonkretniZadaciPatrolniIzvjestaj <em>Konkretni Zadaci Patrolni Izvjestaj</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getOstaleAktivnostiIzvjestaj <em>Ostale Aktivnosti Izvjestaj</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getPatrolniDokumenti <em>Patrolni Dokumenti</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getSluzbenaOsobaSudionikDogadjaj <em>Sluzbena Osoba Sudionik Dogadjaj</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getPatrolniNalogAktivnosti <em>Patrolni Nalog Aktivnosti</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getFajlovi <em>Fajlovi</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getPatrola <em>Patrola</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getVrstaSluzbe <em>Vrsta Sluzbe</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getOperativniRadar <em>Operativni Radar</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getOperativniAlkotest <em>Operativni Alkotest</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getOperativniRadioUredjaj <em>Operativni Radio Uredjaj</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getOperativniFotoAparat <em>Operativni Foto Aparat</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getOperativniReflektor <em>Operativni Reflektor</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getOperativnoVozilo <em>Operativno Vozilo</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getOperativniMetarPantljinka <em>Operativni Metar Pantljinka</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getOstalaOperativnaOprema <em>Ostala Operativna Oprema</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalog#getPrilozi <em>Prilozi</em>}</li>
 * </ul>
 * </p>
 *
 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog()
 * @model
 * @generated
 */
public interface PatrolniNalog extends Akt {
	/**
	 * Returns the value of the '<em><b>Id Patrolni Nalog</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Id Patrolni Nalog</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Id Patrolni Nalog</em>' attribute.
	 * @see #setIdPatrolniNalog(long)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_IdPatrolniNalog()
	 * @model
	 * @generated
	 */
	long getIdPatrolniNalog();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getIdPatrolniNalog <em>Id Patrolni Nalog</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Id Patrolni Nalog</em>' attribute.
	 * @see #getIdPatrolniNalog()
	 * @generated
	 */
	void setIdPatrolniNalog(long value);

	/**
	 * Returns the value of the '<em><b>Org Jedinica Patrolni Nalog</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Org Jedinica Patrolni Nalog</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Org Jedinica Patrolni Nalog</em>' reference.
	 * @see #setOrgJedinicaPatrolniNalog(OrgJedinica)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_OrgJedinicaPatrolniNalog()
	 * @model required="true"
	 * @generated
	 */
	OrgJedinicaImpl getOrgJedinicaPatrolniNalog();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getOrgJedinicaPatrolniNalog <em>Org Jedinica Patrolni Nalog</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Org Jedinica Patrolni Nalog</em>' reference.
	 * @see #getOrgJedinicaPatrolniNalog()
	 * @generated
	 */
	void setOrgJedinicaPatrolniNalog(OrgJedinicaImpl value);

	/**
	 * Returns the value of the '<em><b>Zaposlenici</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Zaposlenici</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Zaposlenici</em>' reference.
	 * @see #setZaposlenici(Zaposlenici)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_Zaposlenici()
	 * @model required="true"
	 * @generated
	 */
	ZaposleniciImpl getZaposlenici();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getZaposlenici <em>Zaposlenici</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Zaposlenici</em>' reference.
	 * @see #getZaposlenici()
	 * @generated
	 */
	void setZaposlenici(ZaposleniciImpl value);

	/**
	 * Returns the value of the '<em><b>Broj Patrolnog Naloga</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Broj Patrolnog Naloga</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Broj Patrolnog Naloga</em>' attribute.
	 * @see #setBrojPatrolnogNaloga(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_BrojPatrolnogNaloga()
	 * @model
	 * @generated
	 */
	String getBrojPatrolnogNaloga();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getBrojPatrolnogNaloga <em>Broj Patrolnog Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Broj Patrolnog Naloga</em>' attribute.
	 * @see #getBrojPatrolnogNaloga()
	 * @generated
	 */
	void setBrojPatrolnogNaloga(String value);

	/**
	 * Returns the value of the '<em><b>Datum Patrolnog Naloga</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum Patrolnog Naloga</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum Patrolnog Naloga</em>' attribute.
	 * @see #setDatumPatrolnogNaloga(Date)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_DatumPatrolnogNaloga()
	 * @model
	 * @generated
	 */
	Date getDatumPatrolnogNaloga();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getDatumPatrolnogNaloga <em>Datum Patrolnog Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum Patrolnog Naloga</em>' attribute.
	 * @see #getDatumPatrolnogNaloga()
	 * @generated
	 */
	void setDatumPatrolnogNaloga(Date value);

	/**
	 * Returns the value of the '<em><b>Pocetak Patrolnog Naloga</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Pocetak Patrolnog Naloga</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pocetak Patrolnog Naloga</em>' attribute.
	 * @see #setPocetakPatrolnogNaloga(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_PocetakPatrolnogNaloga()
	 * @model
	 * @generated
	 */
	String getPocetakPatrolnogNaloga();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getPocetakPatrolnogNaloga <em>Pocetak Patrolnog Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Pocetak Patrolnog Naloga</em>' attribute.
	 * @see #getPocetakPatrolnogNaloga()
	 * @generated
	 */
	void setPocetakPatrolnogNaloga(String value);

	/**
	 * Returns the value of the '<em><b>Kraj Patrolnog Naloga</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Kraj Patrolnog Naloga</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Kraj Patrolnog Naloga</em>' attribute.
	 * @see #setKrajPatrolnogNaloga(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_KrajPatrolnogNaloga()
	 * @model
	 * @generated
	 */
	String getKrajPatrolnogNaloga();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getKrajPatrolnogNaloga <em>Kraj Patrolnog Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Kraj Patrolnog Naloga</em>' attribute.
	 * @see #getKrajPatrolnogNaloga()
	 * @generated
	 */
	void setKrajPatrolnogNaloga(String value);

	/**
	 * Returns the value of the '<em><b>Reon Sektor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Reon Sektor</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Reon Sektor</em>' attribute.
	 * @see #setReonSektor(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_ReonSektor()
	 * @model
	 * @generated
	 */
	SektorImpl getReonSektor();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getReonSektor <em>Reon Sektor</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param newValue the new value of the '<em>Reon Sektor</em>' attribute.
	 * @see #getReonSektor()
	 * @generated
	 */
	void setReonSektor(SektorImpl newValue);

	/**
	 * Returns the value of the '<em><b>Opsti Zadaci</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Opsti Zadaci</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Opsti Zadaci</em>' attribute.
	 * @see #setOpstiZadaci(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_OpstiZadaci()
	 * @model
	 * @generated
	 */
	String getOpstiZadaci();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getOpstiZadaci <em>Opsti Zadaci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Opsti Zadaci</em>' attribute.
	 * @see #getOpstiZadaci()
	 * @generated
	 */
	void setOpstiZadaci(String value);

	/**
	 * Returns the value of the '<em><b>Konkretni Zadaci</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Konkretni Zadaci</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Konkretni Zadaci</em>' attribute.
	 * @see #setKonkretniZadaci(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_KonkretniZadaci()
	 * @model
	 * @generated
	 */
	String getKonkretniZadaci();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getKonkretniZadaci <em>Konkretni Zadaci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Konkretni Zadaci</em>' attribute.
	 * @see #getKonkretniZadaci()
	 * @generated
	 */
	void setKonkretniZadaci(String value);

	/**
	 * Returns the value of the '<em><b>Raspored Radnog Vremena</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Raspored Radnog Vremena</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Raspored Radnog Vremena</em>' attribute.
	 * @see #setRasporedRadnogVremena(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_RasporedRadnogVremena()
	 * @model
	 * @generated
	 */
	String getRasporedRadnogVremena();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getRasporedRadnogVremena <em>Raspored Radnog Vremena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Raspored Radnog Vremena</em>' attribute.
	 * @see #getRasporedRadnogVremena()
	 * @generated
	 */
	void setRasporedRadnogVremena(String value);

	/**
	 * Returns the value of the '<em><b>Opsti Zadaci Patrolni Izvjestaj</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Opsti Zadaci Patrolni Izvjestaj</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Opsti Zadaci Patrolni Izvjestaj</em>' attribute.
	 * @see #setOpstiZadaciPatrolniIzvjestaj(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_OpstiZadaciPatrolniIzvjestaj()
	 * @model
	 * @generated
	 */
	String getOpstiZadaciPatrolniIzvjestaj();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getOpstiZadaciPatrolniIzvjestaj <em>Opsti Zadaci Patrolni Izvjestaj</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Opsti Zadaci Patrolni Izvjestaj</em>' attribute.
	 * @see #getOpstiZadaciPatrolniIzvjestaj()
	 * @generated
	 */
	void setOpstiZadaciPatrolniIzvjestaj(String value);

	/**
	 * Returns the value of the '<em><b>Konkretni Zadaci Patrolni Izvjestaj</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Konkretni Zadaci Patrolni Izvjestaj</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Konkretni Zadaci Patrolni Izvjestaj</em>' attribute.
	 * @see #setKonkretniZadaciPatrolniIzvjestaj(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_KonkretniZadaciPatrolniIzvjestaj()
	 * @model
	 * @generated
	 */
	String getKonkretniZadaciPatrolniIzvjestaj();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getKonkretniZadaciPatrolniIzvjestaj <em>Konkretni Zadaci Patrolni Izvjestaj</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Konkretni Zadaci Patrolni Izvjestaj</em>' attribute.
	 * @see #getKonkretniZadaciPatrolniIzvjestaj()
	 * @generated
	 */
	void setKonkretniZadaciPatrolniIzvjestaj(String value);

	/**
	 * Returns the value of the '<em><b>Ostale Aktivnosti Izvjestaj</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ostale Aktivnosti Izvjestaj</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ostale Aktivnosti Izvjestaj</em>' attribute.
	 * @see #setOstaleAktivnostiIzvjestaj(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_OstaleAktivnostiIzvjestaj()
	 * @model
	 * @generated
	 */
	String getOstaleAktivnostiIzvjestaj();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getOstaleAktivnostiIzvjestaj <em>Ostale Aktivnosti Izvjestaj</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ostale Aktivnosti Izvjestaj</em>' attribute.
	 * @see #getOstaleAktivnostiIzvjestaj()
	 * @generated
	 */
	void setOstaleAktivnostiIzvjestaj(String value);

	/**
	 * Returns the value of the '<em><b>Patrolni Dokumenti</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.PatrolniDokumenti}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Patrolni Dokumenti</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Patrolni Dokumenti</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_PatrolniDokumenti()
	 * @model required="true"
	 * @generated
	 */
	List<PatrolniDokumentiImpl> getPatrolniDokumenti();

	/**
	 * Returns the value of the '<em><b>Sluzbena Osoba Sudionik Dogadjaj</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Dogadjaj}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Sluzbena Osoba Sudionik Dogadjaj</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Sluzbena Osoba Sudionik Dogadjaj</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_SluzbenaOsobaSudionikDogadjaj()
	 * @model required="true"
	 * @generated
	 */
	List<DogadjajImpl> getSluzbenaOsobaSudionikDogadjaj();

	/**
	 * Returns the value of the '<em><b>Patrolni Nalog Aktivnosti</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.PatrolniNalogAktivnosti}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Patrolni Nalog Aktivnosti</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Patrolni Nalog Aktivnosti</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_PatrolniNalogAktivnosti()
	 * @model required="true"
	 * @generated
	 */
	List<PatrolniNalogAktivnostiImpl> getPatrolniNalogAktivnosti();

	/**
	 * Returns the value of the '<em><b>Fajlovi</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.File}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Fajlovi</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Fajlovi</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_Fajlovi()
	 * @model required="true"
	 * @generated
	 */
	List<FileImpl> getFajlovi();

	/**
	 * Returns the value of the '<em><b>Patrola</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Patrola</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Patrola</em>' reference.
	 * @see #setPatrola(Patrola)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_Patrola()
	 * @model required="true"
	 * @generated
	 */
	PatrolaImpl getPatrola();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getPatrola <em>Patrola</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Patrola</em>' reference.
	 * @see #getPatrola()
	 * @generated
	 */
	void setPatrola(PatrolaImpl value);

	/**
	 * Returns the value of the '<em><b>Vrsta Sluzbe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrsta Sluzbe</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrsta Sluzbe</em>' reference.
	 * @see #setVrstaSluzbe(VrstaSluzbe)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_VrstaSluzbe()
	 * @model required="true"
	 * @generated
	 */
	VrstaSluzbeImpl getVrstaSluzbe();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getVrstaSluzbe <em>Vrsta Sluzbe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrsta Sluzbe</em>' reference.
	 * @see #getVrstaSluzbe()
	 * @generated
	 */
	void setVrstaSluzbe(VrstaSluzbeImpl value);

	/**
	 * Returns the value of the '<em><b>Operativni Radar</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Operativni Radar</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Operativni Radar</em>' reference.
	 * @see #setOperativniRadar(OperativniRadar)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_OperativniRadar()
	 * @model required="true"
	 * @generated
	 */
	OperativniRadarImpl getOperativniRadar();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getOperativniRadar <em>Operativni Radar</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Operativni Radar</em>' reference.
	 * @see #getOperativniRadar()
	 * @generated
	 */
	void setOperativniRadar(OperativniRadarImpl value);

	/**
	 * Returns the value of the '<em><b>Operativni Alkotest</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Operativni Alkotest</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Operativni Alkotest</em>' reference.
	 * @see #setOperativniAlkotest(OperativniAlkotest)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_OperativniAlkotest()
	 * @model required="true"
	 * @generated
	 */
	OperativniAlkotestImpl getOperativniAlkotest();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getOperativniAlkotest <em>Operativni Alkotest</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Operativni Alkotest</em>' reference.
	 * @see #getOperativniAlkotest()
	 * @generated
	 */
	void setOperativniAlkotest(OperativniAlkotestImpl value);

	/**
	 * Returns the value of the '<em><b>Operativni Radio Uredjaj</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Operativni Radio Uredjaj</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Operativni Radio Uredjaj</em>' reference.
	 * @see #setOperativniRadioUredjaj(OperativniRadioUredjaj)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_OperativniRadioUredjaj()
	 * @model required="true"
	 * @generated
	 */
	OperativniRadioUredjajImpl getOperativniRadioUredjaj();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getOperativniRadioUredjaj <em>Operativni Radio Uredjaj</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Operativni Radio Uredjaj</em>' reference.
	 * @see #getOperativniRadioUredjaj()
	 * @generated
	 */
	void setOperativniRadioUredjaj(OperativniRadioUredjajImpl value);

	/**
	 * Returns the value of the '<em><b>Operativni Foto Aparat</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Operativni Foto Aparat</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Operativni Foto Aparat</em>' reference.
	 * @see #setOperativniFotoAparat(OperativniFotoAparat)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_OperativniFotoAparat()
	 * @model required="true"
	 * @generated
	 */
	OperativniFotoAparatImpl getOperativniFotoAparat();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getOperativniFotoAparat <em>Operativni Foto Aparat</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Operativni Foto Aparat</em>' reference.
	 * @see #getOperativniFotoAparat()
	 * @generated
	 */
	void setOperativniFotoAparat(OperativniFotoAparatImpl value);

	/**
	 * Returns the value of the '<em><b>Operativni Reflektor</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Operativni Reflektor</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Operativni Reflektor</em>' reference.
	 * @see #setOperativniReflektor(OperativniReflektor)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_OperativniReflektor()
	 * @model required="true"
	 * @generated
	 */
	OperativniReflektorImpl getOperativniReflektor();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getOperativniReflektor <em>Operativni Reflektor</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Operativni Reflektor</em>' reference.
	 * @see #getOperativniReflektor()
	 * @generated
	 */
	void setOperativniReflektor(OperativniReflektorImpl value);

	/**
	 * Returns the value of the '<em><b>Operativno Vozilo</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Operativno Vozilo</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Operativno Vozilo</em>' reference.
	 * @see #setOperativnoVozilo(OperativnoVozilo)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_OperativnoVozilo()
	 * @model required="true"
	 * @generated
	 */
	OperativnoVoziloImpl getOperativnoVozilo();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getOperativnoVozilo <em>Operativno Vozilo</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Operativno Vozilo</em>' reference.
	 * @see #getOperativnoVozilo()
	 * @generated
	 */
	void setOperativnoVozilo(OperativnoVoziloImpl value);

	/**
	 * Returns the value of the '<em><b>Operativni Metar Pantljinka</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Operativni Metar Pantljinka</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Operativni Metar Pantljinka</em>' reference.
	 * @see #setOperativniMetarPantljinka(OperativniMetarPantljinka)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_OperativniMetarPantljinka()
	 * @model required="true"
	 * @generated
	 */
	OperativniMetarPantljinkaImpl getOperativniMetarPantljinka();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getOperativniMetarPantljinka <em>Operativni Metar Pantljinka</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Operativni Metar Pantljinka</em>' reference.
	 * @see #getOperativniMetarPantljinka()
	 * @generated
	 */
	void setOperativniMetarPantljinka(OperativniMetarPantljinkaImpl value);

	/**
	 * Returns the value of the '<em><b>Ostala Operativna Oprema</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ostala Operativna Oprema</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ostala Operativna Oprema</em>' reference.
	 * @see #setOstalaOperativnaOprema(OstalaOperativnaOprema)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_OstalaOperativnaOprema()
	 * @model required="true"
	 * @generated
	 */
	OstalaOperativnaOpremaImpl getOstalaOperativnaOprema();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalog#getOstalaOperativnaOprema <em>Ostala Operativna Oprema</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ostala Operativna Oprema</em>' reference.
	 * @see #getOstalaOperativnaOprema()
	 * @generated
	 */
	void setOstalaOperativnaOprema(OstalaOperativnaOpremaImpl value);

	/**
	 * Returns the value of the '<em><b>Prilozi</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Prilog}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Prilozi</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Prilozi</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalog_Prilozi()
	 * @model required="true"
	 * @generated
	 */
	List<PrilogImpl> getPrilozi();

} // PatrolniNalog
