/**
 */
package pbdmodel;

import org.eclipse.emf.ecore.EObject;

import pbdmodel.impl.OpisDijalektaOsobeImpl;
import pbdmodel.impl.OpisGovoraOsobeImpl;
import pbdmodel.impl.OpisOkolnihZvukovaImpl;
import pbdmodel.impl.OsobaImpl;
import pbdmodel.impl.VrstaDijalektaOsobeImpl;
import pbdmodel.impl.VrstaGlasaOsobeImpl;
import pbdmodel.impl.VrstaGovorOsobeImpl;
import pbdmodel.impl.VrstaIdentitetaOsobeImpl;
import pbdmodel.impl.VrstaOkolnihZvukovaImpl;
import pbdmodel.impl.VrstaStavaOsobeImpl;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Podnosilac Prijave</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link pbdmodel.PodnosilacPrijave#getIDPodnosilacPrijave <em>ID Podnosilac Prijave</em>}</li>
 *   <li>{@link pbdmodel.PodnosilacPrijave#isVrstaPodnosiocaPrijave <em>Vrsta Podnosioca Prijave</em>}</li>
 *   <li>{@link pbdmodel.PodnosilacPrijave#getVrstaGlasaOsobe <em>Vrsta Glasa Osobe</em>}</li>
 *   <li>{@link pbdmodel.PodnosilacPrijave#getVrstaIdentitetaOsobe <em>Vrsta Identiteta Osobe</em>}</li>
 *   <li>{@link pbdmodel.PodnosilacPrijave#getVrstaStavaOsobe <em>Vrsta Stava Osobe</em>}</li>
 *   <li>{@link pbdmodel.PodnosilacPrijave#getVrstaGovoraOsobe <em>Vrsta Govora Osobe</em>}</li>
 *   <li>{@link pbdmodel.PodnosilacPrijave#getVrstaDijalektaOsobe <em>Vrsta Dijalekta Osobe</em>}</li>
 *   <li>{@link pbdmodel.PodnosilacPrijave#getVrstaOkolnihZvukova <em>Vrsta Okolnih Zvukova</em>}</li>
 *   <li>{@link pbdmodel.PodnosilacPrijave#getOsoba <em>Osoba</em>}</li>
 *   <li>{@link pbdmodel.PodnosilacPrijave#getTelefon <em>Telefon</em>}</li>
 *   <li>{@link pbdmodel.PodnosilacPrijave#getHosobaPodnosilac <em>Hosoba Podnosilac</em>}</li>
 *   <li>{@link pbdmodel.PodnosilacPrijave#getBrojPrijave <em>Broj Prijave</em>}</li>
 *   <li>{@link pbdmodel.PodnosilacPrijave#getOpisGovoraOsobe <em>Opis Govora Osobe</em>}</li>
 *   <li>{@link pbdmodel.PodnosilacPrijave#getOpisDijalektaOsobe <em>Opis Dijalekta Osobe</em>}</li>
 *   <li>{@link pbdmodel.PodnosilacPrijave#getOpisOkolnihZvukova <em>Opis Okolnih Zvukova</em>}</li>
 * </ul>
 * </p>
 *
 * @see pbdmodel.PbdmodelPackage#getPodnosilacPrijave()
 * @model
 * @generated
 */
public interface PodnosilacPrijave extends EObject {
	/**
	 * Returns the value of the '<em><b>ID Podnosilac Prijave</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>ID Podnosilac Prijave</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>ID Podnosilac Prijave</em>' attribute.
	 * @see #setIDPodnosilacPrijave(long)
	 * @see pbdmodel.PbdmodelPackage#getPodnosilacPrijave_IDPodnosilacPrijave()
	 * @model
	 * @generated
	 */
	long getIDPodnosilacPrijave();

	/**
	 * Sets the value of the '{@link pbdmodel.PodnosilacPrijave#getIDPodnosilacPrijave <em>ID Podnosilac Prijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>ID Podnosilac Prijave</em>' attribute.
	 * @see #getIDPodnosilacPrijave()
	 * @generated
	 */
	void setIDPodnosilacPrijave(long value);

	/**
	 * Returns the value of the '<em><b>Vrsta Podnosioca Prijave</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrsta Podnosioca Prijave</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrsta Podnosioca Prijave</em>' attribute.
	 * @see #setVrstaPodnosiocaPrijave(boolean)
	 * @see pbdmodel.PbdmodelPackage#getPodnosilacPrijave_VrstaPodnosiocaPrijave()
	 * @model
	 * @generated
	 */
	boolean isVrstaPodnosiocaPrijave();

	/**
	 * Sets the value of the '{@link pbdmodel.PodnosilacPrijave#isVrstaPodnosiocaPrijave <em>Vrsta Podnosioca Prijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrsta Podnosioca Prijave</em>' attribute.
	 * @see #isVrstaPodnosiocaPrijave()
	 * @generated
	 */
	void setVrstaPodnosiocaPrijave(boolean value);

	/**
	 * Returns the value of the '<em><b>Vrsta Glasa Osobe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrsta Glasa Osobe</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrsta Glasa Osobe</em>' reference.
	 * @see #setVrstaGlasaOsobe(VrstaGlasaOsobe)
	 * @see pbdmodel.PbdmodelPackage#getPodnosilacPrijave_VrstaGlasaOsobe()
	 * @model required="true"
	 * @generated
	 */
	VrstaGlasaOsobeImpl getVrstaGlasaOsobe();

	/**
	 * Sets the value of the '{@link pbdmodel.PodnosilacPrijave#getVrstaGlasaOsobe <em>Vrsta Glasa Osobe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrsta Glasa Osobe</em>' reference.
	 * @see #getVrstaGlasaOsobe()
	 * @generated
	 */
	void setVrstaGlasaOsobe(VrstaGlasaOsobeImpl value);

	/**
	 * Returns the value of the '<em><b>Vrsta Identiteta Osobe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrsta Identiteta Osobe</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrsta Identiteta Osobe</em>' reference.
	 * @see #setVrstaIdentitetaOsobe(VrstaIdentitetaOsobe)
	 * @see pbdmodel.PbdmodelPackage#getPodnosilacPrijave_VrstaIdentitetaOsobe()
	 * @model required="true"
	 * @generated
	 */
	VrstaIdentitetaOsobeImpl getVrstaIdentitetaOsobe();

	/**
	 * Sets the value of the '{@link pbdmodel.PodnosilacPrijave#getVrstaIdentitetaOsobe <em>Vrsta Identiteta Osobe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrsta Identiteta Osobe</em>' reference.
	 * @see #getVrstaIdentitetaOsobe()
	 * @generated
	 */
	void setVrstaIdentitetaOsobe(VrstaIdentitetaOsobeImpl value);

	/**
	 * Returns the value of the '<em><b>Vrsta Stava Osobe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrsta Stava Osobe</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrsta Stava Osobe</em>' reference.
	 * @see #setVrstaStavaOsobe(VrstaStavaOsobe)
	 * @see pbdmodel.PbdmodelPackage#getPodnosilacPrijave_VrstaStavaOsobe()
	 * @model required="true"
	 * @generated
	 */
	VrstaStavaOsobeImpl getVrstaStavaOsobe();

	/**
	 * Sets the value of the '{@link pbdmodel.PodnosilacPrijave#getVrstaStavaOsobe <em>Vrsta Stava Osobe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrsta Stava Osobe</em>' reference.
	 * @see #getVrstaStavaOsobe()
	 * @generated
	 */
	void setVrstaStavaOsobe(VrstaStavaOsobeImpl value);

	/**
	 * Returns the value of the '<em><b>Vrsta Govora Osobe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrsta Govora Osobe</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrsta Govora Osobe</em>' reference.
	 * @see #setVrstaGovoraOsobe(VrstaGovorOsobe)
	 * @see pbdmodel.PbdmodelPackage#getPodnosilacPrijave_VrstaGovoraOsobe()
	 * @model required="true"
	 * @generated
	 */
	VrstaGovorOsobeImpl getVrstaGovoraOsobe();

	/**
	 * Sets the value of the '{@link pbdmodel.PodnosilacPrijave#getVrstaGovoraOsobe <em>Vrsta Govora Osobe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrsta Govora Osobe</em>' reference.
	 * @see #getVrstaGovoraOsobe()
	 * @generated
	 */
	void setVrstaGovoraOsobe(VrstaGovorOsobeImpl value);

	/**
	 * Returns the value of the '<em><b>Vrsta Dijalekta Osobe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrsta Dijalekta Osobe</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrsta Dijalekta Osobe</em>' reference.
	 * @see #setVrstaDijalektaOsobe(VrstaDijalektaOsobe)
	 * @see pbdmodel.PbdmodelPackage#getPodnosilacPrijave_VrstaDijalektaOsobe()
	 * @model required="true"
	 * @generated
	 */
	VrstaDijalektaOsobeImpl getVrstaDijalektaOsobe();

	/**
	 * Sets the value of the '{@link pbdmodel.PodnosilacPrijave#getVrstaDijalektaOsobe <em>Vrsta Dijalekta Osobe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrsta Dijalekta Osobe</em>' reference.
	 * @see #getVrstaDijalektaOsobe()
	 * @generated
	 */
	void setVrstaDijalektaOsobe(VrstaDijalektaOsobeImpl value);

	/**
	 * Returns the value of the '<em><b>Vrsta Okolnih Zvukova</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrsta Okolnih Zvukova</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrsta Okolnih Zvukova</em>' reference.
	 * @see #setVrstaOkolnihZvukova(VrstaOkolnihZvukova)
	 * @see pbdmodel.PbdmodelPackage#getPodnosilacPrijave_VrstaOkolnihZvukova()
	 * @model required="true"
	 * @generated
	 */
	VrstaOkolnihZvukovaImpl getVrstaOkolnihZvukova();

	/**
	 * Sets the value of the '{@link pbdmodel.PodnosilacPrijave#getVrstaOkolnihZvukova <em>Vrsta Okolnih Zvukova</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrsta Okolnih Zvukova</em>' reference.
	 * @see #getVrstaOkolnihZvukova()
	 * @generated
	 */
	void setVrstaOkolnihZvukova(VrstaOkolnihZvukovaImpl value);

	/**
	 * Returns the value of the '<em><b>Osoba</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Osoba</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Osoba</em>' reference.
	 * @see #setOsoba(Osoba)
	 * @see pbdmodel.PbdmodelPackage#getPodnosilacPrijave_Osoba()
	 * @model required="true"
	 * @generated
	 */
	OsobaImpl getOsoba();

	/**
	 * Sets the value of the '{@link pbdmodel.PodnosilacPrijave#getOsoba <em>Osoba</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Osoba</em>' reference.
	 * @see #getOsoba()
	 * @generated
	 */
	void setOsoba(OsobaImpl value);

	/**
	 * Returns the value of the '<em><b>Telefon</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Telefon</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Telefon</em>' attribute.
	 * @see #setTelefon(String)
	 * @see pbdmodel.PbdmodelPackage#getPodnosilacPrijave_Telefon()
	 * @model
	 * @generated
	 */
	String getTelefon();

	/**
	 * Sets the value of the '{@link pbdmodel.PodnosilacPrijave#getTelefon <em>Telefon</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Telefon</em>' attribute.
	 * @see #getTelefon()
	 * @generated
	 */
	void setTelefon(String value);

	/**
	 * Returns the value of the '<em><b>Hosoba Podnosilac</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Hosoba Podnosilac</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Hosoba Podnosilac</em>' reference.
	 * @see #setHosobaPodnosilac(Osoba)
	 * @see pbdmodel.PbdmodelPackage#getPodnosilacPrijave_HosobaPodnosilac()
	 * @model required="true"
	 * @generated
	 */
	OsobaImpl getHosobaPodnosilac();

	/**
	 * Sets the value of the '{@link pbdmodel.PodnosilacPrijave#getHosobaPodnosilac <em>Hosoba Podnosilac</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Hosoba Podnosilac</em>' reference.
	 * @see #getHosobaPodnosilac()
	 * @generated
	 */
	void setHosobaPodnosilac(OsobaImpl value);

	/**
	 * Returns the value of the '<em><b>Broj Prijave</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Broj Prijave</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Broj Prijave</em>' attribute.
	 * @see #setBrojPrijave(String)
	 * @see pbdmodel.PbdmodelPackage#getPodnosilacPrijave_BrojPrijave()
	 * @model
	 * @generated
	 */
	String getBrojPrijave();

	/**
	 * Sets the value of the '{@link pbdmodel.PodnosilacPrijave#getBrojPrijave <em>Broj Prijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Broj Prijave</em>' attribute.
	 * @see #getBrojPrijave()
	 * @generated
	 */
	void setBrojPrijave(String value);

	/**
	 * Returns the value of the '<em><b>Opis Govora Osobe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Opis Govora Osobe</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Opis Govora Osobe</em>' reference.
	 * @see #setOpisGovoraOsobe(OpisGovoraOsobe)
	 * @see pbdmodel.PbdmodelPackage#getPodnosilacPrijave_OpisGovoraOsobe()
	 * @model required="true"
	 * @generated
	 */
	OpisGovoraOsobeImpl getOpisGovoraOsobe();

	/**
	 * Sets the value of the '{@link pbdmodel.PodnosilacPrijave#getOpisGovoraOsobe <em>Opis Govora Osobe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Opis Govora Osobe</em>' reference.
	 * @see #getOpisGovoraOsobe()
	 * @generated
	 */
	void setOpisGovoraOsobe(OpisGovoraOsobeImpl value);

	/**
	 * Returns the value of the '<em><b>Opis Dijalekta Osobe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Opis Dijalekta Osobe</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Opis Dijalekta Osobe</em>' reference.
	 * @see #setOpisDijalektaOsobe(OpisDijalektaOsobe)
	 * @see pbdmodel.PbdmodelPackage#getPodnosilacPrijave_OpisDijalektaOsobe()
	 * @model required="true"
	 * @generated
	 */
	OpisDijalektaOsobeImpl getOpisDijalektaOsobe();

	/**
	 * Sets the value of the '{@link pbdmodel.PodnosilacPrijave#getOpisDijalektaOsobe <em>Opis Dijalekta Osobe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Opis Dijalekta Osobe</em>' reference.
	 * @see #getOpisDijalektaOsobe()
	 * @generated
	 */
	void setOpisDijalektaOsobe(OpisDijalektaOsobeImpl value);

	/**
	 * Returns the value of the '<em><b>Opis Okolnih Zvukova</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Opis Okolnih Zvukova</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Opis Okolnih Zvukova</em>' reference.
	 * @see #setOpisOkolnihZvukova(OpisOkolnihZvukova)
	 * @see pbdmodel.PbdmodelPackage#getPodnosilacPrijave_OpisOkolnihZvukova()
	 * @model required="true"
	 * @generated
	 */
	OpisOkolnihZvukovaImpl getOpisOkolnihZvukova();

	/**
	 * Sets the value of the '{@link pbdmodel.PodnosilacPrijave#getOpisOkolnihZvukova <em>Opis Okolnih Zvukova</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Opis Okolnih Zvukova</em>' reference.
	 * @see #getOpisOkolnihZvukova()
	 * @generated
	 */
	void setOpisOkolnihZvukova(OpisOkolnihZvukovaImpl value);

} // PodnosilacPrijave
