/**
 */
package pbdmodel;

import java.util.Date;
import java.util.List;

import pbdmodel.impl.NacinFiksiranjaTragaImpl;
import pbdmodel.impl.NacinIzvrsenjaImpl;
import pbdmodel.impl.ObjektImpl;
import pbdmodel.impl.RadnjaSaPronadjenimIFiksiranimTragovimaImpl;
import pbdmodel.impl.TipRadnjeImpl;
import pbdmodel.impl.VrstaTragaImpl;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Uvidjaj Forenzika</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link pbdmodel.UvidjajForenzika#getIDUvidjajForenzika <em>ID Uvidjaj Forenzika</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#getDatumSaznanja <em>Datum Saznanja</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#getSatSaznanja <em>Sat Saznanja</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#getDatumISatIzlskaNaVrsenjeUvidjaja <em>Datum ISat Izlska Na Vrsenje Uvidjaja</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#getDatumISatDovrsetkaUvidjaja <em>Datum ISat Dovrsetka Uvidjaja</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#getKratakOpis <em>Kratak Opis</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isFotografisano <em>Fotografisano</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isSkicirano <em>Skicirano</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isPronadjeniTragovi <em>Pronadjeni Tragovi</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isFiksiraniTragovi <em>Fiksirani Tragovi</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#getNapomena <em>Napomena</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#getNacinIzvrsenja <em>Nacin Izvrsenja</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#getVrstaTragova <em>Vrsta Tragova</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#getNaciniFiksiranja <em>Nacini Fiksiranja</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#getRadnjaSaPronadjenimIFiksiranimTragovima <em>Radnja Sa Pronadjenim IFiksiranim Tragovima</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#getObjekat <em>Objekat</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#getTipRadnje <em>Tip Radnje</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isPretres <em>Pretres</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isObdukcija <em>Obdukcija</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isOstaloTipRadnje <em>Ostalo Tip Radnje</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isKradja <em>Kradja</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isTeskaKradja <em>Teska Kradja</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isRazbojnistvo <em>Razbojnistvo</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isSilovanje <em>Silovanje</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isNasiljeUPorodici <em>Nasilje UPorodici</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isSaobrNezgoda <em>Saobr Nezgoda</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isTekseTjelesnePovrede <em>Tekse Tjelesne Povrede</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isLakeTjelesnePovrede <em>Lake Tjelesne Povrede</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isDjelovanjePodesnogAlata <em>Djelovanje Podesnog Alata</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isDjelovanjeFizickeSile <em>Djelovanje Fizicke Sile</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isRazbijanjeStakla <em>Razbijanje Stakla</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isLomljenjeUloskaBrave <em>Lomljenje Uloska Brave</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isUpotrebaKljuca <em>Upotreba Kljuca</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isOstaloNacinIzvrsenja <em>Ostalo Nacin Izvrsenja</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isTragKrvi <em>Trag Krvi</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isTragDlake <em>Trag Dlake</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isTragoviGuma <em>Tragovi Guma</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isTragIzlucevina <em>Trag Izlucevina</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isTragGazeceObuce <em>Trag Gazece Obuce</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isTragPodesnogAlata <em>Trag Podesnog Alata</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isTragoviZemlje <em>Tragovi Zemlje</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isTragPapilarnihLinija <em>Trag Papilarnih Linija</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isOstaloVrstaTraga <em>Ostalo Vrsta Traga</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isBrisevi <em>Brisevi</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isMaluziranje <em>Maluziranje</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isFolija <em>Folija</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isRazmjernaFotografija <em>Razmjerna Fotografija</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isOstaloNacinFiksiranja <em>Ostalo Nacin Fiksiranja</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isVjestacenje <em>Vjestacenje</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isPohranjeniUdepozit <em>Pohranjeni Udepozit</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isOstaloUradjenoSaTragovima <em>Ostalo Uradjeno Sa Tragovima</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isEshumacije <em>Eshumacije</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isRekonstrukcije <em>Rekonstrukcije</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isPozari <em>Pozari</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isPaljevine <em>Paljevine</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isEksplozije <em>Eksplozije</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isNapadNaOSL <em>Napad Na OSL</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isOstecenjeTudjeStvari <em>Ostecenje Tudje Stvari</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isIzazivanjeOpsteOpasnosti <em>Izazivanje Opste Opasnosti</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isPokazivanjeLicaMjesta <em>Pokazivanje Lica Mjesta</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isForenzickiPregledi <em>Forenzicki Pregledi</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isPrepoznavanja <em>Prepoznavanja</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isUbistvo <em>Ubistvo</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isNarkoTestiranje <em>Narko Testiranje</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isKdzPregledi <em>Kdz Pregledi</em>}</li>
 *   <li>{@link pbdmodel.UvidjajForenzika#isIzuzetiTragovi <em>Izuzeti Tragovi</em>}</li>
 * </ul>
 * </p>
 *
 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika()
 * @model
 * @generated
 */
public interface UvidjajForenzika extends Aktivnost {
	/**
	 * Returns the value of the '<em><b>ID Uvidjaj Forenzika</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>ID Uvidjaj Forenzika</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>ID Uvidjaj Forenzika</em>' attribute.
	 * @see #setIDUvidjajForenzika(long)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_IDUvidjajForenzika()
	 * @model
	 * @generated
	 */
	long getIDUvidjajForenzika();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#getIDUvidjajForenzika <em>ID Uvidjaj Forenzika</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>ID Uvidjaj Forenzika</em>' attribute.
	 * @see #getIDUvidjajForenzika()
	 * @generated
	 */
	void setIDUvidjajForenzika(long value);

	/**
	 * Returns the value of the '<em><b>Datum Saznanja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum Saznanja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum Saznanja</em>' attribute.
	 * @see #setDatumSaznanja(Date)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_DatumSaznanja()
	 * @model
	 * @generated
	 */
	Date getDatumSaznanja();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#getDatumSaznanja <em>Datum Saznanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum Saznanja</em>' attribute.
	 * @see #getDatumSaznanja()
	 * @generated
	 */
	void setDatumSaznanja(Date value);

	/**
	 * Returns the value of the '<em><b>Sat Saznanja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Sat Saznanja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Sat Saznanja</em>' attribute.
	 * @see #setSatSaznanja(Date)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_SatSaznanja()
	 * @model
	 * @generated
	 */
	Date getSatSaznanja();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#getSatSaznanja <em>Sat Saznanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Sat Saznanja</em>' attribute.
	 * @see #getSatSaznanja()
	 * @generated
	 */
	void setSatSaznanja(Date value);

	/**
	 * Returns the value of the '<em><b>Datum ISat Izlska Na Vrsenje Uvidjaja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum ISat Izlska Na Vrsenje Uvidjaja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum ISat Izlska Na Vrsenje Uvidjaja</em>' attribute.
	 * @see #setDatumISatIzlskaNaVrsenjeUvidjaja(Date)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_DatumISatIzlskaNaVrsenjeUvidjaja()
	 * @model
	 * @generated
	 */
	Date getDatumISatIzlskaNaVrsenjeUvidjaja();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#getDatumISatIzlskaNaVrsenjeUvidjaja <em>Datum ISat Izlska Na Vrsenje Uvidjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum ISat Izlska Na Vrsenje Uvidjaja</em>' attribute.
	 * @see #getDatumISatIzlskaNaVrsenjeUvidjaja()
	 * @generated
	 */
	void setDatumISatIzlskaNaVrsenjeUvidjaja(Date value);

	/**
	 * Returns the value of the '<em><b>Datum ISat Dovrsetka Uvidjaja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum ISat Dovrsetka Uvidjaja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum ISat Dovrsetka Uvidjaja</em>' attribute.
	 * @see #setDatumISatDovrsetkaUvidjaja(Date)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_DatumISatDovrsetkaUvidjaja()
	 * @model
	 * @generated
	 */
	Date getDatumISatDovrsetkaUvidjaja();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#getDatumISatDovrsetkaUvidjaja <em>Datum ISat Dovrsetka Uvidjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum ISat Dovrsetka Uvidjaja</em>' attribute.
	 * @see #getDatumISatDovrsetkaUvidjaja()
	 * @generated
	 */
	void setDatumISatDovrsetkaUvidjaja(Date value);

	/**
	 * Returns the value of the '<em><b>Kratak Opis</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Kratak Opis</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Kratak Opis</em>' attribute.
	 * @see #setKratakOpis(String)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_KratakOpis()
	 * @model
	 * @generated
	 */
	String getKratakOpis();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#getKratakOpis <em>Kratak Opis</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Kratak Opis</em>' attribute.
	 * @see #getKratakOpis()
	 * @generated
	 */
	void setKratakOpis(String value);

	/**
	 * Returns the value of the '<em><b>Fotografisano</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Fotografisano</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Fotografisano</em>' attribute.
	 * @see #setFotografisano(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Fotografisano()
	 * @model
	 * @generated
	 */
	boolean isFotografisano();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isFotografisano <em>Fotografisano</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Fotografisano</em>' attribute.
	 * @see #isFotografisano()
	 * @generated
	 */
	void setFotografisano(boolean value);

	/**
	 * Returns the value of the '<em><b>Skicirano</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Skicirano</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Skicirano</em>' attribute.
	 * @see #setSkicirano(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Skicirano()
	 * @model
	 * @generated
	 */
	boolean isSkicirano();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isSkicirano <em>Skicirano</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Skicirano</em>' attribute.
	 * @see #isSkicirano()
	 * @generated
	 */
	void setSkicirano(boolean value);

	/**
	 * Returns the value of the '<em><b>Pronadjeni Tragovi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Pronadjeni Tragovi</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pronadjeni Tragovi</em>' attribute.
	 * @see #setPronadjeniTragovi(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_PronadjeniTragovi()
	 * @model
	 * @generated
	 */
	boolean isPronadjeniTragovi();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isPronadjeniTragovi <em>Pronadjeni Tragovi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Pronadjeni Tragovi</em>' attribute.
	 * @see #isPronadjeniTragovi()
	 * @generated
	 */
	void setPronadjeniTragovi(boolean value);

	/**
	 * Returns the value of the '<em><b>Fiksirani Tragovi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Fiksirani Tragovi</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Fiksirani Tragovi</em>' attribute.
	 * @see #setFiksiraniTragovi(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_FiksiraniTragovi()
	 * @model
	 * @generated
	 */
	boolean isFiksiraniTragovi();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isFiksiraniTragovi <em>Fiksirani Tragovi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Fiksirani Tragovi</em>' attribute.
	 * @see #isFiksiraniTragovi()
	 * @generated
	 */
	void setFiksiraniTragovi(boolean value);

	/**
	 * Returns the value of the '<em><b>Napomena</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Napomena</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Napomena</em>' attribute.
	 * @see #setNapomena(String)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Napomena()
	 * @model
	 * @generated
	 */
	String getNapomena();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#getNapomena <em>Napomena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Napomena</em>' attribute.
	 * @see #getNapomena()
	 * @generated
	 */
	void setNapomena(String value);

	/**
	 * Returns the value of the '<em><b>Nacin Izvrsenja</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Nacin Izvrsenja</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Nacin Izvrsenja</em>' reference.
	 * @see #setNacinIzvrsenja(NacinIzvrsenja)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_NacinIzvrsenja()
	 * @model required="true"
	 * @generated
	 */
	NacinIzvrsenjaImpl getNacinIzvrsenja();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#getNacinIzvrsenja <em>Nacin Izvrsenja</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Nacin Izvrsenja</em>' reference.
	 * @see #getNacinIzvrsenja()
	 * @generated
	 */
	void setNacinIzvrsenja(NacinIzvrsenjaImpl value);

	/**
	 * Returns the value of the '<em><b>Vrsta Tragova</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.VrstaTraga}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrsta Tragova</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrsta Tragova</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_VrstaTragova()
	 * @model required="true"
	 * @generated
	 */
	List<VrstaTragaImpl> getVrstaTragova();

	/**
	 * Returns the value of the '<em><b>Nacini Fiksiranja</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.NacinFiksiranjaTraga}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Nacini Fiksiranja</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Nacini Fiksiranja</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_NaciniFiksiranja()
	 * @model required="true"
	 * @generated
	 */
	List<NacinFiksiranjaTragaImpl> getNaciniFiksiranja();

	/**
	 * Returns the value of the '<em><b>Radnja Sa Pronadjenim IFiksiranim Tragovima</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Radnja Sa Pronadjenim IFiksiranim Tragovima</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Radnja Sa Pronadjenim IFiksiranim Tragovima</em>' reference.
	 * @see #setRadnjaSaPronadjenimIFiksiranimTragovima(RadnjaSaPronadjenimIFiksiranimTragovima)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_RadnjaSaPronadjenimIFiksiranimTragovima()
	 * @model required="true"
	 * @generated
	 */
	RadnjaSaPronadjenimIFiksiranimTragovimaImpl getRadnjaSaPronadjenimIFiksiranimTragovima();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#getRadnjaSaPronadjenimIFiksiranimTragovima <em>Radnja Sa Pronadjenim IFiksiranim Tragovima</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Radnja Sa Pronadjenim IFiksiranim Tragovima</em>' reference.
	 * @see #getRadnjaSaPronadjenimIFiksiranimTragovima()
	 * @generated
	 */
	void setRadnjaSaPronadjenimIFiksiranimTragovima(RadnjaSaPronadjenimIFiksiranimTragovimaImpl value);

	/**
	 * Returns the value of the '<em><b>Objekat</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Objekt}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Objekat</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Objekat</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Objekat()
	 * @model required="true"
	 * @generated
	 */
	List<ObjektImpl> getObjekat();

	/**
	 * Returns the value of the '<em><b>Tip Radnje</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Tip Radnje</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Tip Radnje</em>' reference.
	 * @see #setTipRadnje(TipRadnje)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_TipRadnje()
	 * @model required="true"
	 * @generated
	 */
	TipRadnjeImpl getTipRadnje();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#getTipRadnje <em>Tip Radnje</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Tip Radnje</em>' reference.
	 * @see #getTipRadnje()
	 * @generated
	 */
	void setTipRadnje(TipRadnjeImpl value);

	/**
	 * Returns the value of the '<em><b>Pretres</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Pretres</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pretres</em>' attribute.
	 * @see #setPretres(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Pretres()
	 * @model
	 * @generated
	 */
	boolean isPretres();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isPretres <em>Pretres</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Pretres</em>' attribute.
	 * @see #isPretres()
	 * @generated
	 */
	void setPretres(boolean value);

	/**
	 * Returns the value of the '<em><b>Obdukcija</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Obdukcija</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Obdukcija</em>' attribute.
	 * @see #setObdukcija(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Obdukcija()
	 * @model
	 * @generated
	 */
	boolean isObdukcija();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isObdukcija <em>Obdukcija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Obdukcija</em>' attribute.
	 * @see #isObdukcija()
	 * @generated
	 */
	void setObdukcija(boolean value);

	/**
	 * Returns the value of the '<em><b>Ostalo Tip Radnje</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ostalo Tip Radnje</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ostalo Tip Radnje</em>' attribute.
	 * @see #setOstaloTipRadnje(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_OstaloTipRadnje()
	 * @model
	 * @generated
	 */
	boolean isOstaloTipRadnje();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isOstaloTipRadnje <em>Ostalo Tip Radnje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ostalo Tip Radnje</em>' attribute.
	 * @see #isOstaloTipRadnje()
	 * @generated
	 */
	void setOstaloTipRadnje(boolean value);

	/**
	 * Returns the value of the '<em><b>Kradja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Kradja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Kradja</em>' attribute.
	 * @see #setKradja(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Kradja()
	 * @model
	 * @generated
	 */
	boolean isKradja();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isKradja <em>Kradja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Kradja</em>' attribute.
	 * @see #isKradja()
	 * @generated
	 */
	void setKradja(boolean value);

	/**
	 * Returns the value of the '<em><b>Teska Kradja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Teska Kradja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Teska Kradja</em>' attribute.
	 * @see #setTeskaKradja(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_TeskaKradja()
	 * @model
	 * @generated
	 */
	boolean isTeskaKradja();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isTeskaKradja <em>Teska Kradja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Teska Kradja</em>' attribute.
	 * @see #isTeskaKradja()
	 * @generated
	 */
	void setTeskaKradja(boolean value);

	/**
	 * Returns the value of the '<em><b>Razbojnistvo</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Razbojnistvo</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Razbojnistvo</em>' attribute.
	 * @see #setRazbojnistvo(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Razbojnistvo()
	 * @model
	 * @generated
	 */
	boolean isRazbojnistvo();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isRazbojnistvo <em>Razbojnistvo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Razbojnistvo</em>' attribute.
	 * @see #isRazbojnistvo()
	 * @generated
	 */
	void setRazbojnistvo(boolean value);

	/**
	 * Returns the value of the '<em><b>Silovanje</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Silovanje</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Silovanje</em>' attribute.
	 * @see #setSilovanje(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Silovanje()
	 * @model
	 * @generated
	 */
	boolean isSilovanje();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isSilovanje <em>Silovanje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Silovanje</em>' attribute.
	 * @see #isSilovanje()
	 * @generated
	 */
	void setSilovanje(boolean value);

	/**
	 * Returns the value of the '<em><b>Nasilje UPorodici</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Nasilje UPorodici</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Nasilje UPorodici</em>' attribute.
	 * @see #setNasiljeUPorodici(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_NasiljeUPorodici()
	 * @model
	 * @generated
	 */
	boolean isNasiljeUPorodici();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isNasiljeUPorodici <em>Nasilje UPorodici</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Nasilje UPorodici</em>' attribute.
	 * @see #isNasiljeUPorodici()
	 * @generated
	 */
	void setNasiljeUPorodici(boolean value);

	/**
	 * Returns the value of the '<em><b>Saobr Nezgoda</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Saobr Nezgoda</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Saobr Nezgoda</em>' attribute.
	 * @see #setSaobrNezgoda(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_SaobrNezgoda()
	 * @model
	 * @generated
	 */
	boolean isSaobrNezgoda();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isSaobrNezgoda <em>Saobr Nezgoda</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Saobr Nezgoda</em>' attribute.
	 * @see #isSaobrNezgoda()
	 * @generated
	 */
	void setSaobrNezgoda(boolean value);

	/**
	 * Returns the value of the '<em><b>Tekse Tjelesne Povrede</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Tekse Tjelesne Povrede</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Tekse Tjelesne Povrede</em>' attribute.
	 * @see #setTekseTjelesnePovrede(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_TekseTjelesnePovrede()
	 * @model
	 * @generated
	 */
	boolean isTekseTjelesnePovrede();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isTekseTjelesnePovrede <em>Tekse Tjelesne Povrede</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Tekse Tjelesne Povrede</em>' attribute.
	 * @see #isTekseTjelesnePovrede()
	 * @generated
	 */
	void setTekseTjelesnePovrede(boolean value);

	/**
	 * Returns the value of the '<em><b>Lake Tjelesne Povrede</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Lake Tjelesne Povrede</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Lake Tjelesne Povrede</em>' attribute.
	 * @see #setLakeTjelesnePovrede(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_LakeTjelesnePovrede()
	 * @model
	 * @generated
	 */
	boolean isLakeTjelesnePovrede();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isLakeTjelesnePovrede <em>Lake Tjelesne Povrede</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Lake Tjelesne Povrede</em>' attribute.
	 * @see #isLakeTjelesnePovrede()
	 * @generated
	 */
	void setLakeTjelesnePovrede(boolean value);

	/**
	 * Returns the value of the '<em><b>Djelovanje Podesnog Alata</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Djelovanje Podesnog Alata</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Djelovanje Podesnog Alata</em>' attribute.
	 * @see #setDjelovanjePodesnogAlata(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_DjelovanjePodesnogAlata()
	 * @model
	 * @generated
	 */
	boolean isDjelovanjePodesnogAlata();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isDjelovanjePodesnogAlata <em>Djelovanje Podesnog Alata</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Djelovanje Podesnog Alata</em>' attribute.
	 * @see #isDjelovanjePodesnogAlata()
	 * @generated
	 */
	void setDjelovanjePodesnogAlata(boolean value);

	/**
	 * Returns the value of the '<em><b>Djelovanje Fizicke Sile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Djelovanje Fizicke Sile</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Djelovanje Fizicke Sile</em>' attribute.
	 * @see #setDjelovanjeFizickeSile(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_DjelovanjeFizickeSile()
	 * @model
	 * @generated
	 */
	boolean isDjelovanjeFizickeSile();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isDjelovanjeFizickeSile <em>Djelovanje Fizicke Sile</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Djelovanje Fizicke Sile</em>' attribute.
	 * @see #isDjelovanjeFizickeSile()
	 * @generated
	 */
	void setDjelovanjeFizickeSile(boolean value);

	/**
	 * Returns the value of the '<em><b>Razbijanje Stakla</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Razbijanje Stakla</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Razbijanje Stakla</em>' attribute.
	 * @see #setRazbijanjeStakla(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_RazbijanjeStakla()
	 * @model
	 * @generated
	 */
	boolean isRazbijanjeStakla();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isRazbijanjeStakla <em>Razbijanje Stakla</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Razbijanje Stakla</em>' attribute.
	 * @see #isRazbijanjeStakla()
	 * @generated
	 */
	void setRazbijanjeStakla(boolean value);

	/**
	 * Returns the value of the '<em><b>Lomljenje Uloska Brave</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Lomljenje Uloska Brave</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Lomljenje Uloska Brave</em>' attribute.
	 * @see #setLomljenjeUloskaBrave(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_LomljenjeUloskaBrave()
	 * @model
	 * @generated
	 */
	boolean isLomljenjeUloskaBrave();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isLomljenjeUloskaBrave <em>Lomljenje Uloska Brave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Lomljenje Uloska Brave</em>' attribute.
	 * @see #isLomljenjeUloskaBrave()
	 * @generated
	 */
	void setLomljenjeUloskaBrave(boolean value);

	/**
	 * Returns the value of the '<em><b>Upotreba Kljuca</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Upotreba Kljuca</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Upotreba Kljuca</em>' attribute.
	 * @see #setUpotrebaKljuca(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_UpotrebaKljuca()
	 * @model
	 * @generated
	 */
	boolean isUpotrebaKljuca();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isUpotrebaKljuca <em>Upotreba Kljuca</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Upotreba Kljuca</em>' attribute.
	 * @see #isUpotrebaKljuca()
	 * @generated
	 */
	void setUpotrebaKljuca(boolean value);

	/**
	 * Returns the value of the '<em><b>Ostalo Nacin Izvrsenja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ostalo Nacin Izvrsenja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ostalo Nacin Izvrsenja</em>' attribute.
	 * @see #setOstaloNacinIzvrsenja(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_OstaloNacinIzvrsenja()
	 * @model
	 * @generated
	 */
	boolean isOstaloNacinIzvrsenja();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isOstaloNacinIzvrsenja <em>Ostalo Nacin Izvrsenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ostalo Nacin Izvrsenja</em>' attribute.
	 * @see #isOstaloNacinIzvrsenja()
	 * @generated
	 */
	void setOstaloNacinIzvrsenja(boolean value);

	/**
	 * Returns the value of the '<em><b>Trag Krvi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Trag Krvi</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Trag Krvi</em>' attribute.
	 * @see #setTragKrvi(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_TragKrvi()
	 * @model
	 * @generated
	 */
	boolean isTragKrvi();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isTragKrvi <em>Trag Krvi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Trag Krvi</em>' attribute.
	 * @see #isTragKrvi()
	 * @generated
	 */
	void setTragKrvi(boolean value);

	/**
	 * Returns the value of the '<em><b>Trag Dlake</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Trag Dlake</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Trag Dlake</em>' attribute.
	 * @see #setTragDlake(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_TragDlake()
	 * @model
	 * @generated
	 */
	boolean isTragDlake();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isTragDlake <em>Trag Dlake</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Trag Dlake</em>' attribute.
	 * @see #isTragDlake()
	 * @generated
	 */
	void setTragDlake(boolean value);

	/**
	 * Returns the value of the '<em><b>Tragovi Guma</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Tragovi Guma</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Tragovi Guma</em>' attribute.
	 * @see #setTragoviGuma(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_TragoviGuma()
	 * @model
	 * @generated
	 */
	boolean isTragoviGuma();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isTragoviGuma <em>Tragovi Guma</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Tragovi Guma</em>' attribute.
	 * @see #isTragoviGuma()
	 * @generated
	 */
	void setTragoviGuma(boolean value);

	/**
	 * Returns the value of the '<em><b>Trag Izlucevina</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Trag Izlucevina</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Trag Izlucevina</em>' attribute.
	 * @see #setTragIzlucevina(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_TragIzlucevina()
	 * @model
	 * @generated
	 */
	boolean isTragIzlucevina();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isTragIzlucevina <em>Trag Izlucevina</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Trag Izlucevina</em>' attribute.
	 * @see #isTragIzlucevina()
	 * @generated
	 */
	void setTragIzlucevina(boolean value);

	/**
	 * Returns the value of the '<em><b>Trag Gazece Obuce</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Trag Gazece Obuce</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Trag Gazece Obuce</em>' attribute.
	 * @see #setTragGazeceObuce(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_TragGazeceObuce()
	 * @model
	 * @generated
	 */
	boolean isTragGazeceObuce();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isTragGazeceObuce <em>Trag Gazece Obuce</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Trag Gazece Obuce</em>' attribute.
	 * @see #isTragGazeceObuce()
	 * @generated
	 */
	void setTragGazeceObuce(boolean value);

	/**
	 * Returns the value of the '<em><b>Trag Podesnog Alata</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Trag Podesnog Alata</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Trag Podesnog Alata</em>' attribute.
	 * @see #setTragPodesnogAlata(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_TragPodesnogAlata()
	 * @model
	 * @generated
	 */
	boolean isTragPodesnogAlata();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isTragPodesnogAlata <em>Trag Podesnog Alata</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Trag Podesnog Alata</em>' attribute.
	 * @see #isTragPodesnogAlata()
	 * @generated
	 */
	void setTragPodesnogAlata(boolean value);

	/**
	 * Returns the value of the '<em><b>Tragovi Zemlje</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Tragovi Zemlje</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Tragovi Zemlje</em>' attribute.
	 * @see #setTragoviZemlje(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_TragoviZemlje()
	 * @model
	 * @generated
	 */
	boolean isTragoviZemlje();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isTragoviZemlje <em>Tragovi Zemlje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Tragovi Zemlje</em>' attribute.
	 * @see #isTragoviZemlje()
	 * @generated
	 */
	void setTragoviZemlje(boolean value);

	/**
	 * Returns the value of the '<em><b>Trag Papilarnih Linija</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Trag Papilarnih Linija</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Trag Papilarnih Linija</em>' attribute.
	 * @see #setTragPapilarnihLinija(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_TragPapilarnihLinija()
	 * @model
	 * @generated
	 */
	boolean isTragPapilarnihLinija();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isTragPapilarnihLinija <em>Trag Papilarnih Linija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Trag Papilarnih Linija</em>' attribute.
	 * @see #isTragPapilarnihLinija()
	 * @generated
	 */
	void setTragPapilarnihLinija(boolean value);

	/**
	 * Returns the value of the '<em><b>Ostalo Vrsta Traga</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ostalo Vrsta Traga</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ostalo Vrsta Traga</em>' attribute.
	 * @see #setOstaloVrstaTraga(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_OstaloVrstaTraga()
	 * @model
	 * @generated
	 */
	boolean isOstaloVrstaTraga();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isOstaloVrstaTraga <em>Ostalo Vrsta Traga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ostalo Vrsta Traga</em>' attribute.
	 * @see #isOstaloVrstaTraga()
	 * @generated
	 */
	void setOstaloVrstaTraga(boolean value);

	/**
	 * Returns the value of the '<em><b>Brisevi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Brisevi</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Brisevi</em>' attribute.
	 * @see #setBrisevi(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Brisevi()
	 * @model
	 * @generated
	 */
	boolean isBrisevi();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isBrisevi <em>Brisevi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Brisevi</em>' attribute.
	 * @see #isBrisevi()
	 * @generated
	 */
	void setBrisevi(boolean value);

	/**
	 * Returns the value of the '<em><b>Maluziranje</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Maluziranje</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Maluziranje</em>' attribute.
	 * @see #setMaluziranje(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Maluziranje()
	 * @model
	 * @generated
	 */
	boolean isMaluziranje();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isMaluziranje <em>Maluziranje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Maluziranje</em>' attribute.
	 * @see #isMaluziranje()
	 * @generated
	 */
	void setMaluziranje(boolean value);

	/**
	 * Returns the value of the '<em><b>Folija</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Folija</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Folija</em>' attribute.
	 * @see #setFolija(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Folija()
	 * @model
	 * @generated
	 */
	boolean isFolija();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isFolija <em>Folija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Folija</em>' attribute.
	 * @see #isFolija()
	 * @generated
	 */
	void setFolija(boolean value);

	/**
	 * Returns the value of the '<em><b>Razmjerna Fotografija</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Razmjerna Fotografija</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Razmjerna Fotografija</em>' attribute.
	 * @see #setRazmjernaFotografija(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_RazmjernaFotografija()
	 * @model
	 * @generated
	 */
	boolean isRazmjernaFotografija();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isRazmjernaFotografija <em>Razmjerna Fotografija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Razmjerna Fotografija</em>' attribute.
	 * @see #isRazmjernaFotografija()
	 * @generated
	 */
	void setRazmjernaFotografija(boolean value);

	/**
	 * Returns the value of the '<em><b>Ostalo Nacin Fiksiranja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ostalo Nacin Fiksiranja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ostalo Nacin Fiksiranja</em>' attribute.
	 * @see #setOstaloNacinFiksiranja(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_OstaloNacinFiksiranja()
	 * @model
	 * @generated
	 */
	boolean isOstaloNacinFiksiranja();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isOstaloNacinFiksiranja <em>Ostalo Nacin Fiksiranja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ostalo Nacin Fiksiranja</em>' attribute.
	 * @see #isOstaloNacinFiksiranja()
	 * @generated
	 */
	void setOstaloNacinFiksiranja(boolean value);

	/**
	 * Returns the value of the '<em><b>Vjestacenje</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vjestacenje</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vjestacenje</em>' attribute.
	 * @see #setVjestacenje(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Vjestacenje()
	 * @model
	 * @generated
	 */
	boolean isVjestacenje();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isVjestacenje <em>Vjestacenje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vjestacenje</em>' attribute.
	 * @see #isVjestacenje()
	 * @generated
	 */
	void setVjestacenje(boolean value);

	/**
	 * Returns the value of the '<em><b>Pohranjeni Udepozit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Pohranjeni Udepozit</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pohranjeni Udepozit</em>' attribute.
	 * @see #setPohranjeniUdepozit(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_PohranjeniUdepozit()
	 * @model
	 * @generated
	 */
	boolean isPohranjeniUdepozit();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isPohranjeniUdepozit <em>Pohranjeni Udepozit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Pohranjeni Udepozit</em>' attribute.
	 * @see #isPohranjeniUdepozit()
	 * @generated
	 */
	void setPohranjeniUdepozit(boolean value);

	/**
	 * Returns the value of the '<em><b>Ostalo Uradjeno Sa Tragovima</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ostalo Uradjeno Sa Tragovima</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ostalo Uradjeno Sa Tragovima</em>' attribute.
	 * @see #setOstaloUradjenoSaTragovima(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_OstaloUradjenoSaTragovima()
	 * @model
	 * @generated
	 */
	boolean isOstaloUradjenoSaTragovima();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isOstaloUradjenoSaTragovima <em>Ostalo Uradjeno Sa Tragovima</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ostalo Uradjeno Sa Tragovima</em>' attribute.
	 * @see #isOstaloUradjenoSaTragovima()
	 * @generated
	 */
	void setOstaloUradjenoSaTragovima(boolean value);

	/**
	 * Returns the value of the '<em><b>Eshumacije</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Eshumacije</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Eshumacije</em>' attribute.
	 * @see #setEshumacije(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Eshumacije()
	 * @model
	 * @generated
	 */
	boolean isEshumacije();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isEshumacije <em>Eshumacije</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Eshumacije</em>' attribute.
	 * @see #isEshumacije()
	 * @generated
	 */
	void setEshumacije(boolean value);

	/**
	 * Returns the value of the '<em><b>Rekonstrukcije</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Rekonstrukcije</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Rekonstrukcije</em>' attribute.
	 * @see #setRekonstrukcije(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Rekonstrukcije()
	 * @model
	 * @generated
	 */
	boolean isRekonstrukcije();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isRekonstrukcije <em>Rekonstrukcije</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Rekonstrukcije</em>' attribute.
	 * @see #isRekonstrukcije()
	 * @generated
	 */
	void setRekonstrukcije(boolean value);

	/**
	 * Returns the value of the '<em><b>Pozari</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Pozari</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pozari</em>' attribute.
	 * @see #setPozari(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Pozari()
	 * @model
	 * @generated
	 */
	boolean isPozari();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isPozari <em>Pozari</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Pozari</em>' attribute.
	 * @see #isPozari()
	 * @generated
	 */
	void setPozari(boolean value);

	/**
	 * Returns the value of the '<em><b>Paljevine</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Paljevine</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Paljevine</em>' attribute.
	 * @see #setPaljevine(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Paljevine()
	 * @model
	 * @generated
	 */
	boolean isPaljevine();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isPaljevine <em>Paljevine</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Paljevine</em>' attribute.
	 * @see #isPaljevine()
	 * @generated
	 */
	void setPaljevine(boolean value);

	/**
	 * Returns the value of the '<em><b>Eksplozije</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Eksplozije</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Eksplozije</em>' attribute.
	 * @see #setEksplozije(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Eksplozije()
	 * @model
	 * @generated
	 */
	boolean isEksplozije();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isEksplozije <em>Eksplozije</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Eksplozije</em>' attribute.
	 * @see #isEksplozije()
	 * @generated
	 */
	void setEksplozije(boolean value);

	/**
	 * Returns the value of the '<em><b>Napad Na OSL</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Napad Na OSL</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Napad Na OSL</em>' attribute.
	 * @see #setNapadNaOSL(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_NapadNaOSL()
	 * @model
	 * @generated
	 */
	boolean isNapadNaOSL();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isNapadNaOSL <em>Napad Na OSL</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Napad Na OSL</em>' attribute.
	 * @see #isNapadNaOSL()
	 * @generated
	 */
	void setNapadNaOSL(boolean value);

	/**
	 * Returns the value of the '<em><b>Ostecenje Tudje Stvari</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ostecenje Tudje Stvari</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ostecenje Tudje Stvari</em>' attribute.
	 * @see #setOstecenjeTudjeStvari(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_OstecenjeTudjeStvari()
	 * @model
	 * @generated
	 */
	boolean isOstecenjeTudjeStvari();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isOstecenjeTudjeStvari <em>Ostecenje Tudje Stvari</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ostecenje Tudje Stvari</em>' attribute.
	 * @see #isOstecenjeTudjeStvari()
	 * @generated
	 */
	void setOstecenjeTudjeStvari(boolean value);

	/**
	 * Returns the value of the '<em><b>Izazivanje Opste Opasnosti</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Izazivanje Opste Opasnosti</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Izazivanje Opste Opasnosti</em>' attribute.
	 * @see #setIzazivanjeOpsteOpasnosti(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_IzazivanjeOpsteOpasnosti()
	 * @model
	 * @generated
	 */
	boolean isIzazivanjeOpsteOpasnosti();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isIzazivanjeOpsteOpasnosti <em>Izazivanje Opste Opasnosti</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Izazivanje Opste Opasnosti</em>' attribute.
	 * @see #isIzazivanjeOpsteOpasnosti()
	 * @generated
	 */
	void setIzazivanjeOpsteOpasnosti(boolean value);

	/**
	 * Returns the value of the '<em><b>Pokazivanje Lica Mjesta</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Pokazivanje Lica Mjesta</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pokazivanje Lica Mjesta</em>' attribute.
	 * @see #setPokazivanjeLicaMjesta(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_PokazivanjeLicaMjesta()
	 * @model
	 * @generated
	 */
	boolean isPokazivanjeLicaMjesta();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isPokazivanjeLicaMjesta <em>Pokazivanje Lica Mjesta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Pokazivanje Lica Mjesta</em>' attribute.
	 * @see #isPokazivanjeLicaMjesta()
	 * @generated
	 */
	void setPokazivanjeLicaMjesta(boolean value);

	/**
	 * Returns the value of the '<em><b>Forenzicki Pregledi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Forenzicki Pregledi</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Forenzicki Pregledi</em>' attribute.
	 * @see #setForenzickiPregledi(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_ForenzickiPregledi()
	 * @model
	 * @generated
	 */
	boolean isForenzickiPregledi();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isForenzickiPregledi <em>Forenzicki Pregledi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Forenzicki Pregledi</em>' attribute.
	 * @see #isForenzickiPregledi()
	 * @generated
	 */
	void setForenzickiPregledi(boolean value);

	/**
	 * Returns the value of the '<em><b>Prepoznavanja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Prepoznavanja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Prepoznavanja</em>' attribute.
	 * @see #setPrepoznavanja(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Prepoznavanja()
	 * @model
	 * @generated
	 */
	boolean isPrepoznavanja();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isPrepoznavanja <em>Prepoznavanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Prepoznavanja</em>' attribute.
	 * @see #isPrepoznavanja()
	 * @generated
	 */
	void setPrepoznavanja(boolean value);

	/**
	 * Returns the value of the '<em><b>Ubistvo</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ubistvo</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ubistvo</em>' attribute.
	 * @see #setUbistvo(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_Ubistvo()
	 * @model
	 * @generated
	 */
	boolean isUbistvo();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isUbistvo <em>Ubistvo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ubistvo</em>' attribute.
	 * @see #isUbistvo()
	 * @generated
	 */
	void setUbistvo(boolean value);

	/**
	 * Returns the value of the '<em><b>Narko Testiranje</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Narko Testiranje</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Narko Testiranje</em>' attribute.
	 * @see #setNarkoTestiranje(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_NarkoTestiranje()
	 * @model
	 * @generated
	 */
	boolean isNarkoTestiranje();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isNarkoTestiranje <em>Narko Testiranje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Narko Testiranje</em>' attribute.
	 * @see #isNarkoTestiranje()
	 * @generated
	 */
	void setNarkoTestiranje(boolean value);

	/**
	 * Returns the value of the '<em><b>Kdz Pregledi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Kdz Pregledi</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Kdz Pregledi</em>' attribute.
	 * @see #setKdzPregledi(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_KdzPregledi()
	 * @model
	 * @generated
	 */
	boolean isKdzPregledi();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isKdzPregledi <em>Kdz Pregledi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Kdz Pregledi</em>' attribute.
	 * @see #isKdzPregledi()
	 * @generated
	 */
	void setKdzPregledi(boolean value);

	/**
	 * Returns the value of the '<em><b>Izuzeti Tragovi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Izuzeti Tragovi</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Izuzeti Tragovi</em>' attribute.
	 * @see #setIzuzetiTragovi(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUvidjajForenzika_IzuzetiTragovi()
	 * @model
	 * @generated
	 */
	boolean isIzuzetiTragovi();

	/**
	 * Sets the value of the '{@link pbdmodel.UvidjajForenzika#isIzuzetiTragovi <em>Izuzeti Tragovi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Izuzeti Tragovi</em>' attribute.
	 * @see #isIzuzetiTragovi()
	 * @generated
	 */
	void setIzuzetiTragovi(boolean value);

} // UvidjajForenzika
