/**
 */
package pbdmodel;

import java.util.Date;

import org.eclipse.emf.ecore.EObject;

import pbdmodel.impl.OrgJedinicaImpl;
import pbdmodel.impl.PravnoLiceImpl;
import pbdmodel.impl.RadnoMjestoImpl;
import pbdmodel.impl.VrtsaZaposlenjaImpl;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Zaposlenja</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link pbdmodel.Zaposlenja#getIdZaposlenja <em>Id Zaposlenja</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#getPoduzee <em>Poduzee</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#getOrgJedinica <em>Org Jedinica</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#getBrojUgovora <em>Broj Ugovora</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#getDatumUgovora <em>Datum Ugovora</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#isVlasnik <em>Vlasnik</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#getVrstaZaposlenja <em>Vrsta Zaposlenja</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#getDatumOd <em>Datum Od</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#getDatumDo <em>Datum Do</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#isNepunoRadnoVrijeme <em>Nepuno Radno Vrijeme</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#getDnevnoRadnoVrijeme <em>Dnevno Radno Vrijeme</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#getTjednoRadnoVrijeme <em>Tjedno Radno Vrijeme</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#getMjesecnoRadnoVrijeme <em>Mjesecno Radno Vrijeme</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#isStazUStruci <em>Staz UStruci</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#isStazSPovecanimTrajanjem <em>Staz SPovecanim Trajanjem</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#getStazGodina <em>Staz Godina</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#getStazMjeseci <em>Staz Mjeseci</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#getStazDana <em>Staz Dana</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#getOpis <em>Opis</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenja#getRadnoMjesto <em>Radno Mjesto</em>}</li>
 * </ul>
 * </p>
 *
 * @see pbdmodel.PbdmodelPackage#getZaposlenja()
 * @model
 * @generated
 */
public interface Zaposlenja extends EObject {
	/**
	 * Returns the value of the '<em><b>Id Zaposlenja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Id Zaposlenja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Id Zaposlenja</em>' attribute.
	 * @see #setIdZaposlenja(long)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_IdZaposlenja()
	 * @model
	 * @generated
	 */
	long getIdZaposlenja();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#getIdZaposlenja <em>Id Zaposlenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Id Zaposlenja</em>' attribute.
	 * @see #getIdZaposlenja()
	 * @generated
	 */
	void setIdZaposlenja(long value);

	/**
	 * Returns the value of the '<em><b>Poduzee</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Poduzece</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Poduzece</em>' reference.
	 * @see #setPoduzee(PravnoLice)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_Poduzece()
	 * @model required="true"
	 * @generated
	 */
	PravnoLiceImpl getPoduzece();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#getPoduzee <em>Poduzee</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Poduzee</em>' reference.
	 * @see #getPoduzee()
	 * @generated
	 */
	void setPoduzece(PravnoLiceImpl value);

	/**
	 * Returns the value of the '<em><b>Org Jedinica</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Org Jedinica</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Org Jedinica</em>' reference.
	 * @see #setOrgJedinica(OrgJedinica)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_OrgJedinica()
	 * @model required="true"
	 * @generated
	 */
	OrgJedinicaImpl getOrgJedinica();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#getOrgJedinica <em>Org Jedinica</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Org Jedinica</em>' reference.
	 * @see #getOrgJedinica()
	 * @generated
	 */
	void setOrgJedinica(OrgJedinicaImpl value);

	/**
	 * Returns the value of the '<em><b>Broj Ugovora</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Broj Ugovora</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Broj Ugovora</em>' attribute.
	 * @see #setBrojUgovora(String)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_BrojUgovora()
	 * @model
	 * @generated
	 */
	String getBrojUgovora();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#getBrojUgovora <em>Broj Ugovora</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Broj Ugovora</em>' attribute.
	 * @see #getBrojUgovora()
	 * @generated
	 */
	void setBrojUgovora(String value);

	/**
	 * Returns the value of the '<em><b>Datum Ugovora</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum Ugovora</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum Ugovora</em>' attribute.
	 * @see #setDatumUgovora(Date)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_DatumUgovora()
	 * @model
	 * @generated
	 */
	Date getDatumUgovora();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#getDatumUgovora <em>Datum Ugovora</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum Ugovora</em>' attribute.
	 * @see #getDatumUgovora()
	 * @generated
	 */
	void setDatumUgovora(Date value);

	/**
	 * Returns the value of the '<em><b>Vlasnik</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vlasnik</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vlasnik</em>' attribute.
	 * @see #setVlasnik(boolean)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_Vlasnik()
	 * @model
	 * @generated
	 */
	boolean isVlasnik();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#isVlasnik <em>Vlasnik</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vlasnik</em>' attribute.
	 * @see #isVlasnik()
	 * @generated
	 */
	void setVlasnik(boolean value);

	/**
	 * Returns the value of the '<em><b>Vrsta Zaposlenja</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrsta Zaposlenja</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrsta Zaposlenja</em>' reference.
	 * @see #setVrstaZaposlenja(VrtsaZaposlenja)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_VrstaZaposlenja()
	 * @model required="true"
	 * @generated
	 */
	VrtsaZaposlenjaImpl getVrstaZaposlenja();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#getVrstaZaposlenja <em>Vrsta Zaposlenja</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrsta Zaposlenja</em>' reference.
	 * @see #getVrstaZaposlenja()
	 * @generated
	 */
	void setVrstaZaposlenja(VrtsaZaposlenjaImpl value);

	/**
	 * Returns the value of the '<em><b>Datum Od</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum Od</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum Od</em>' attribute.
	 * @see #setDatumOd(Date)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_DatumOd()
	 * @model
	 * @generated
	 */
	Date getDatumOd();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#getDatumOd <em>Datum Od</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum Od</em>' attribute.
	 * @see #getDatumOd()
	 * @generated
	 */
	void setDatumOd(Date value);

	/**
	 * Returns the value of the '<em><b>Datum Do</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum Do</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum Do</em>' attribute.
	 * @see #setDatumDo(Date)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_DatumDo()
	 * @model
	 * @generated
	 */
	Date getDatumDo();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#getDatumDo <em>Datum Do</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum Do</em>' attribute.
	 * @see #getDatumDo()
	 * @generated
	 */
	void setDatumDo(Date value);

	/**
	 * Returns the value of the '<em><b>Nepuno Radno Vrijeme</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Nepuno Radno Vrijeme</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Nepuno Radno Vrijeme</em>' attribute.
	 * @see #setNepunoRadnoVrijeme(boolean)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_NepunoRadnoVrijeme()
	 * @model
	 * @generated
	 */
	boolean isNepunoRadnoVrijeme();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#isNepunoRadnoVrijeme <em>Nepuno Radno Vrijeme</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Nepuno Radno Vrijeme</em>' attribute.
	 * @see #isNepunoRadnoVrijeme()
	 * @generated
	 */
	void setNepunoRadnoVrijeme(boolean value);

	/**
	 * Returns the value of the '<em><b>Dnevno Radno Vrijeme</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Dnevno Radno Vrijeme</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Dnevno Radno Vrijeme</em>' attribute.
	 * @see #setDnevnoRadnoVrijeme(String)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_DnevnoRadnoVrijeme()
	 * @model
	 * @generated
	 */
	String getDnevnoRadnoVrijeme();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#getDnevnoRadnoVrijeme <em>Dnevno Radno Vrijeme</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Dnevno Radno Vrijeme</em>' attribute.
	 * @see #getDnevnoRadnoVrijeme()
	 * @generated
	 */
	void setDnevnoRadnoVrijeme(String value);

	/**
	 * Returns the value of the '<em><b>Tjedno Radno Vrijeme</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Tjedno Radno Vrijeme</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Tjedno Radno Vrijeme</em>' attribute.
	 * @see #setTjednoRadnoVrijeme(String)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_TjednoRadnoVrijeme()
	 * @model
	 * @generated
	 */
	String getTjednoRadnoVrijeme();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#getTjednoRadnoVrijeme <em>Tjedno Radno Vrijeme</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Tjedno Radno Vrijeme</em>' attribute.
	 * @see #getTjednoRadnoVrijeme()
	 * @generated
	 */
	void setTjednoRadnoVrijeme(String value);

	/**
	 * Returns the value of the '<em><b>Mjesecno Radno Vrijeme</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Mjesecno Radno Vrijeme</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Mjesecno Radno Vrijeme</em>' attribute.
	 * @see #setMjesecnoRadnoVrijeme(String)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_MjesecnoRadnoVrijeme()
	 * @model
	 * @generated
	 */
	String getMjesecnoRadnoVrijeme();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#getMjesecnoRadnoVrijeme <em>Mjesecno Radno Vrijeme</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Mjesecno Radno Vrijeme</em>' attribute.
	 * @see #getMjesecnoRadnoVrijeme()
	 * @generated
	 */
	void setMjesecnoRadnoVrijeme(String value);

	/**
	 * Returns the value of the '<em><b>Staz UStruci</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Staz UStruci</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Staz UStruci</em>' attribute.
	 * @see #setStazUStruci(boolean)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_StazUStruci()
	 * @model
	 * @generated
	 */
	boolean isStazUStruci();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#isStazUStruci <em>Staz UStruci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Staz UStruci</em>' attribute.
	 * @see #isStazUStruci()
	 * @generated
	 */
	void setStazUStruci(boolean value);

	/**
	 * Returns the value of the '<em><b>Staz SPovecanim Trajanjem</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Staz SPovecanim Trajanjem</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Staz SPovecanim Trajanjem</em>' attribute.
	 * @see #setStazSPovecanimTrajanjem(boolean)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_StazSPovecanimTrajanjem()
	 * @model
	 * @generated
	 */
	boolean isStazSPovecanimTrajanjem();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#isStazSPovecanimTrajanjem <em>Staz SPovecanim Trajanjem</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Staz SPovecanim Trajanjem</em>' attribute.
	 * @see #isStazSPovecanimTrajanjem()
	 * @generated
	 */
	void setStazSPovecanimTrajanjem(boolean value);

	/**
	 * Returns the value of the '<em><b>Staz Godina</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Staz Godina</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Staz Godina</em>' attribute.
	 * @see #setStazGodina(String)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_StazGodina()
	 * @model
	 * @generated
	 */
	String getStazGodina();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#getStazGodina <em>Staz Godina</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Staz Godina</em>' attribute.
	 * @see #getStazGodina()
	 * @generated
	 */
	void setStazGodina(String value);

	/**
	 * Returns the value of the '<em><b>Staz Mjeseci</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Staz Mjeseci</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Staz Mjeseci</em>' attribute.
	 * @see #setStazMjeseci(String)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_StazMjeseci()
	 * @model
	 * @generated
	 */
	String getStazMjeseci();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#getStazMjeseci <em>Staz Mjeseci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Staz Mjeseci</em>' attribute.
	 * @see #getStazMjeseci()
	 * @generated
	 */
	void setStazMjeseci(String value);

	/**
	 * Returns the value of the '<em><b>Staz Dana</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Staz Dana</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Staz Dana</em>' attribute.
	 * @see #setStazDana(String)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_StazDana()
	 * @model
	 * @generated
	 */
	String getStazDana();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#getStazDana <em>Staz Dana</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Staz Dana</em>' attribute.
	 * @see #getStazDana()
	 * @generated
	 */
	void setStazDana(String value);

	/**
	 * Returns the value of the '<em><b>Opis</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Opis</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Opis</em>' attribute.
	 * @see #setOpis(String)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_Opis()
	 * @model
	 * @generated
	 */
	String getOpis();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#getOpis <em>Opis</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Opis</em>' attribute.
	 * @see #getOpis()
	 * @generated
	 */
	void setOpis(String value);

	/**
	 * Returns the value of the '<em><b>Radno Mjesto</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Radno Mjesto</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Radno Mjesto</em>' reference.
	 * @see #setRadnoMjesto(RadnoMjesto)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenja_RadnoMjesto()
	 * @model required="true"
	 * @generated
	 */
	RadnoMjestoImpl getRadnoMjesto();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenja#getRadnoMjesto <em>Radno Mjesto</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Radno Mjesto</em>' reference.
	 * @see #getRadnoMjesto()
	 * @generated
	 */
	void setRadnoMjesto(RadnoMjestoImpl value);

} // Zaposlenja
