/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;
import org.eclipse.emf.ecore.util.InternalEList;

import pbdmodel.Djelo;
import pbdmodel.PbdmodelPackage;


/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Djelo</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.pbdmodel.impl.DjeloImpl#getIDDjelo <em>ID Djelo</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DjeloImpl#getNaziv <em>Naziv</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DjeloImpl#getOpis <em>Opis</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DjeloImpl#getDetaljiDjela <em>Detalji Djela</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DjeloImpl#getDogadjaji <em>Dogadjaji</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DjeloImpl#getSteta <em>StetaImpl</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DjeloImpl#getVrstaDjela <em>Vrsta Djela</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DjeloImpl#getSudionici <em>Sudionici</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DjeloImpl#getObjkat <em>Objkat</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DjeloImpl#getKategorijaDjela <em>Kategorija Djela</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DjeloImpl#isDjeloOtkriveno <em>Djelo Otkriveno</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DjeloImpl#getBrojPodnesenogIzvjestaja <em>Broj Podnesenog Izvjestaja</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DjeloImpl#getPostupak <em>PostupakImpl</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DjeloImpl#getSluzbeneOsobe <em>Sluzbene Osobe</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DjeloImpl#getSaobracajnaNezgoda <em>Saobracajna Nezgoda</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DjeloImpl#getPrijava <em>PrijavaImpl</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class DjeloImpl extends EObjectImpl implements Djelo {
	/**
	 * The default value of the '{@link #getIDDjelo() <em>ID Djelo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDDjelo()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_DJELO_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDDjelo() <em>ID Djelo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDDjelo()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long iDDjelo = ID_DJELO_EDEFAULT;

	/**
	 * The default value of the '{@link #getNaziv() <em>Naziv</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNaziv()
	 * @generated
	 * @ordered
	 */
	protected static final String NAZIV_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getNaziv() <em>Naziv</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNaziv()
	 * @generated
	 * @ordered
	 */
	public String naziv = NAZIV_EDEFAULT;

	/**
	 * The default value of the '{@link #getOpis() <em>Opis</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpis()
	 * @generated
	 * @ordered
	 */
	protected static final String OPIS_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOpis() <em>Opis</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpis()
	 * @generated
	 * @ordered
	 */
	protected String opis = OPIS_EDEFAULT;

	/**
	 * The default value of the '{@link #getDetaljiDjela() <em>Detalji Djela</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDetaljiDjela()
	 * @generated
	 * @ordered
	 */
	protected static final String DETALJI_DJELA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDetaljiDjela() <em>Detalji Djela</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDetaljiDjela()
	 * @generated
	 * @ordered
	 */
	protected String detaljiDjela = DETALJI_DJELA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getDogadjaji() <em>Dogadjaji</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDogadjaji()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="DOGADJAJ_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<DogadjajImpl> dogadjaji;

	/**
	 * The cached value of the '{@link #getSteta() <em>StetaImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSteta()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="STETA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected StetaImpl steta;

	/**
	 * The cached value of the '{@link #getVrstaDjela() <em>Vrsta Djela</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaDjela()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_DJELA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected VrstaDjelaImpl vrstaDjela;

	/**
	 * The cached value of the '{@link #getSudionici() <em>Sudionici</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSudionici()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SUDIONIK_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<SudionikImpl> sudionici;

	/**
	 * The cached value of the '{@link #getObjkat() <em>Objkat</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getObjkat()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OBJEKT_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<ObjektImpl> objkat;

	/**
	 * The cached value of the '{@link #getKategorijaDjela() <em>Kategorija Djela</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKategorijaDjela()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="KATEGORIJA_DJELA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected KategorijaDjelaImpl kategorijaDjela;

	/**
	 * The default value of the '{@link #isDjeloOtkriveno() <em>Djelo Otkriveno</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isDjeloOtkriveno()
	 * @generated
	 * @ordered
	 */
	protected static final boolean DJELO_OTKRIVENO_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isDjeloOtkriveno() <em>Djelo Otkriveno</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isDjeloOtkriveno()
	 * @generated
	 * @ordered
	 */
	protected boolean djeloOtkriveno = DJELO_OTKRIVENO_EDEFAULT;

	/**
	 * The default value of the '{@link #getBrojPodnesenogIzvjestaja() <em>Broj Podnesenog Izvjestaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojPodnesenogIzvjestaja()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_PODNESENOG_IZVJESTAJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojPodnesenogIzvjestaja() <em>Broj Podnesenog Izvjestaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojPodnesenogIzvjestaja()
	 * @generated
	 * @ordered
	 */
	protected String brojPodnesenogIzvjestaja = BROJ_PODNESENOG_IZVJESTAJA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getPostupak() <em>PostupakImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPostupak()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="POSTUPAK_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected PostupakImpl postupak;

	/**
	 * The cached value of the '{@link #getSluzbeneOsobe() <em>Sluzbene Osobe</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSluzbeneOsobe()
	 * @generated
	 * @ordered
	 */
//	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
//	  @JoinColumn(name="SLUZBENA_OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)
//	protected List<SluzbenaOsobaImpl> sluzbeneOsobe;
	
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ZAPOSLENICI_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<ZaposleniciImpl> zaposlenici;

	/**
	 * The cached value of the '{@link #getSaobracajnaNezgoda() <em>Saobracajna Nezgoda</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSaobracajnaNezgoda()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SAOBRACAJNA_NEZGODA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected SaobracajnaNezgodaImpl saobracajnaNezgoda;

	/**
	 * The cached value of the '{@link #getPrijava() <em>PrijavaImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPrijava()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PRIJAVA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected PrijavaImpl prijava;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DjeloImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getDjelo();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDDjelo() {
		return iDDjelo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDDjelo(long newIDDjelo) {
		long oldIDDjelo = iDDjelo;
		iDDjelo = newIDDjelo;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DJELO__ID_DJELO, oldIDDjelo, iDDjelo));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getNaziv() {
		return naziv;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNaziv(String newNaziv) {
		String oldNaziv = naziv;
		naziv = newNaziv;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DJELO__NAZIV, oldNaziv, naziv));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOpis() {
		return opis;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOpis(String newOpis) {
		String oldOpis = opis;
		opis = newOpis;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DJELO__OPIS, oldOpis, opis));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getDetaljiDjela() {
		return detaljiDjela;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDetaljiDjela(String newDetaljiDjela) {
		String oldDetaljiDjela = detaljiDjela;
		detaljiDjela = newDetaljiDjela;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DJELO__DETALJI_DJELA, oldDetaljiDjela, detaljiDjela));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<DogadjajImpl> getDogadjaji() {
		if (dogadjaji == null) {
			dogadjaji = new ArrayList<DogadjajImpl>();
		}
		return dogadjaji;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StetaImpl getSteta() {
		if (steta != null && steta.eIsProxy()) {
			InternalEObject oldSteta = (InternalEObject)steta;
			steta = (StetaImpl)eResolveProxy(oldSteta);
			if (steta != oldSteta) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.DJELO__STETA, oldSteta, steta));
			}
		}
		return steta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StetaImpl basicGetSteta() {
		return steta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSteta(StetaImpl newSteta) {
		StetaImpl oldSteta = steta;
		steta = newSteta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DJELO__STETA, oldSteta, steta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaDjelaImpl getVrstaDjela() {
		if (vrstaDjela != null && vrstaDjela.eIsProxy()) {
			InternalEObject oldVrstaDjela = (InternalEObject)vrstaDjela;
			vrstaDjela = (VrstaDjelaImpl)eResolveProxy(oldVrstaDjela);
			if (vrstaDjela != oldVrstaDjela) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.DJELO__VRSTA_DJELA, oldVrstaDjela, vrstaDjela));
			}
		}
		return vrstaDjela;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaDjelaImpl basicGetVrstaDjela() {
		return vrstaDjela;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaDjela(VrstaDjelaImpl newVrstaDjela) {
		VrstaDjelaImpl oldVrstaDjela = vrstaDjela;
		vrstaDjela = newVrstaDjela;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DJELO__VRSTA_DJELA, oldVrstaDjela, vrstaDjela));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<SudionikImpl> getSudionici() {
		if (sudionici == null) {
			sudionici = new ArrayList<SudionikImpl>();
		}
		return sudionici;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<ObjektImpl> getObjkat() {
		if (objkat == null) {
			objkat = new ArrayList<ObjektImpl>();
		}
		return objkat;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KategorijaDjelaImpl getKategorijaDjela() {
		if (kategorijaDjela != null && kategorijaDjela.eIsProxy()) {
			InternalEObject oldKategorijaDjela = (InternalEObject)kategorijaDjela;
			kategorijaDjela = (KategorijaDjelaImpl)eResolveProxy(oldKategorijaDjela);
			if (kategorijaDjela != oldKategorijaDjela) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.DJELO__KATEGORIJA_DJELA, oldKategorijaDjela, kategorijaDjela));
			}
		}
		return kategorijaDjela;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KategorijaDjelaImpl basicGetKategorijaDjela() {
		return kategorijaDjela;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setKategorijaDjela(KategorijaDjelaImpl newKategorijaDjela) {
		KategorijaDjelaImpl oldKategorijaDjela = kategorijaDjela;
		kategorijaDjela = newKategorijaDjela;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DJELO__KATEGORIJA_DJELA, oldKategorijaDjela, kategorijaDjela));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isDjeloOtkriveno() {
		return djeloOtkriveno;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDjeloOtkriveno(boolean newDjeloOtkriveno) {
		boolean oldDjeloOtkriveno = djeloOtkriveno;
		djeloOtkriveno = newDjeloOtkriveno;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DJELO__DJELO_OTKRIVENO, oldDjeloOtkriveno, djeloOtkriveno));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojPodnesenogIzvjestaja() {
		return brojPodnesenogIzvjestaja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojPodnesenogIzvjestaja(String newBrojPodnesenogIzvjestaja) {
		String oldBrojPodnesenogIzvjestaja = brojPodnesenogIzvjestaja;
		brojPodnesenogIzvjestaja = newBrojPodnesenogIzvjestaja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DJELO__BROJ_PODNESENOG_IZVJESTAJA, oldBrojPodnesenogIzvjestaja, brojPodnesenogIzvjestaja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PostupakImpl getPostupak() {
		if (postupak != null && postupak.eIsProxy()) {
			InternalEObject oldPostupak = (InternalEObject)postupak;
			postupak = (PostupakImpl)eResolveProxy(oldPostupak);
			if (postupak != oldPostupak) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.DJELO__POSTUPAK, oldPostupak, postupak));
			}
		}
		return postupak;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PostupakImpl basicGetPostupak() {
		return postupak;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPostupak(PostupakImpl newPostupak) {
		PostupakImpl oldPostupak = postupak;
		postupak = newPostupak;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DJELO__POSTUPAK, oldPostupak, postupak));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
//	public List<SluzbenaOsobaImpl> getSluzbeneOsobe() {
//		if (sluzbeneOsobe == null) {
//			sluzbeneOsobe = new ArrayList<SluzbenaOsobaImpl>();
//		}
//		return sluzbeneOsobe;
//	}
	
	public List<ZaposleniciImpl> getZaposlenici() {
		if (zaposlenici == null) {
			zaposlenici = new ArrayList<ZaposleniciImpl>();
		}
		return zaposlenici;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SaobracajnaNezgodaImpl getSaobracajnaNezgoda() {
		if (saobracajnaNezgoda != null && saobracajnaNezgoda.eIsProxy()) {
			InternalEObject oldSaobracajnaNezgoda = (InternalEObject)saobracajnaNezgoda;
			saobracajnaNezgoda = (SaobracajnaNezgodaImpl)eResolveProxy(oldSaobracajnaNezgoda);
			if (saobracajnaNezgoda != oldSaobracajnaNezgoda) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.DJELO__SAOBRACAJNA_NEZGODA, oldSaobracajnaNezgoda, saobracajnaNezgoda));
			}
		}
		return saobracajnaNezgoda;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SaobracajnaNezgodaImpl basicGetSaobracajnaNezgoda() {
		return saobracajnaNezgoda;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSaobracajnaNezgoda(SaobracajnaNezgodaImpl newSaobracajnaNezgoda) {
		SaobracajnaNezgodaImpl oldSaobracajnaNezgoda = saobracajnaNezgoda;
		saobracajnaNezgoda = newSaobracajnaNezgoda;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DJELO__SAOBRACAJNA_NEZGODA, oldSaobracajnaNezgoda, saobracajnaNezgoda));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PrijavaImpl getPrijava() {
		if (prijava != null && prijava.eIsProxy()) {
			InternalEObject oldPrijava = (InternalEObject)prijava;
			prijava = (PrijavaImpl)eResolveProxy(oldPrijava);
			if (prijava != oldPrijava) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.DJELO__PRIJAVA, oldPrijava, prijava));
			}
		}
		return prijava;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PrijavaImpl basicGetPrijava() {
		return prijava;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPrijava(PrijavaImpl newPrijava) {
		PrijavaImpl oldPrijava = prijava;
		prijava = newPrijava;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DJELO__PRIJAVA, oldPrijava, prijava));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case PbdmodelPackage.DJELO__DOGADJAJI:
				return ((InternalEList<InternalEObject>)(InternalEList<?>)getDogadjaji()).basicAdd(otherEnd, msgs);
		}
		return super.eInverseAdd(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case PbdmodelPackage.DJELO__DOGADJAJI:
				return ((InternalEList<?>)getDogadjaji()).basicRemove(otherEnd, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.DJELO__ID_DJELO:
				return getIDDjelo();
			case PbdmodelPackage.DJELO__NAZIV:
				return getNaziv();
			case PbdmodelPackage.DJELO__OPIS:
				return getOpis();
			case PbdmodelPackage.DJELO__DETALJI_DJELA:
				return getDetaljiDjela();
			case PbdmodelPackage.DJELO__DOGADJAJI:
				return getDogadjaji();
			case PbdmodelPackage.DJELO__STETA:
				if (resolve) return getSteta();
				return basicGetSteta();
			case PbdmodelPackage.DJELO__VRSTA_DJELA:
				if (resolve) return getVrstaDjela();
				return basicGetVrstaDjela();
			case PbdmodelPackage.DJELO__SUDIONICI:
				return getSudionici();
			case PbdmodelPackage.DJELO__OBJKAT:
				return getObjkat();
			case PbdmodelPackage.DJELO__KATEGORIJA_DJELA:
				if (resolve) return getKategorijaDjela();
				return basicGetKategorijaDjela();
			case PbdmodelPackage.DJELO__DJELO_OTKRIVENO:
				return isDjeloOtkriveno();
			case PbdmodelPackage.DJELO__BROJ_PODNESENOG_IZVJESTAJA:
				return getBrojPodnesenogIzvjestaja();
			case PbdmodelPackage.DJELO__POSTUPAK:
				if (resolve) return getPostupak();
				return basicGetPostupak();
//			case PbdmodelPackage.DJELO__SLUZBENE_OSOBE:
//				return getSluzbeneOsobe();
			case PbdmodelPackage.DJELO__SAOBRACAJNA_NEZGODA:
				if (resolve) return getSaobracajnaNezgoda();
				return basicGetSaobracajnaNezgoda();
			case PbdmodelPackage.DJELO__PRIJAVA:
				if (resolve) return getPrijava();
				return basicGetPrijava();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.DJELO__ID_DJELO:
				setIDDjelo((Long)newValue);
				return;
			case PbdmodelPackage.DJELO__NAZIV:
				setNaziv((String)newValue);
				return;
			case PbdmodelPackage.DJELO__OPIS:
				setOpis((String)newValue);
				return;
			case PbdmodelPackage.DJELO__DETALJI_DJELA:
				setDetaljiDjela((String)newValue);
				return;
			case PbdmodelPackage.DJELO__DOGADJAJI:
				getDogadjaji().clear();
				getDogadjaji().addAll((Collection<? extends DogadjajImpl>)newValue);
				return;
			case PbdmodelPackage.DJELO__STETA:
				setSteta((StetaImpl)newValue);
				return;
			case PbdmodelPackage.DJELO__VRSTA_DJELA:
				setVrstaDjela((VrstaDjelaImpl)newValue);
				return;
			case PbdmodelPackage.DJELO__SUDIONICI:
				getSudionici().clear();
				getSudionici().addAll((Collection<? extends SudionikImpl>)newValue);
				return;
			case PbdmodelPackage.DJELO__OBJKAT:
				getObjkat().clear();
				getObjkat().addAll((Collection<? extends ObjektImpl>)newValue);
				return;
			case PbdmodelPackage.DJELO__KATEGORIJA_DJELA:
				setKategorijaDjela((KategorijaDjelaImpl)newValue);
				return;
			case PbdmodelPackage.DJELO__DJELO_OTKRIVENO:
				setDjeloOtkriveno((Boolean)newValue);
				return;
			case PbdmodelPackage.DJELO__BROJ_PODNESENOG_IZVJESTAJA:
				setBrojPodnesenogIzvjestaja((String)newValue);
				return;
			case PbdmodelPackage.DJELO__POSTUPAK:
				setPostupak((PostupakImpl)newValue);
				return;
//			case PbdmodelPackage.DJELO__SLUZBENE_OSOBE:
//				getSluzbeneOsobe().clear();
//				getSluzbeneOsobe().addAll((Collection<? extends SluzbenaOsobaImpl>)newValue);
//				return;
			case PbdmodelPackage.DJELO__SAOBRACAJNA_NEZGODA:
				setSaobracajnaNezgoda((SaobracajnaNezgodaImpl)newValue);
				return;
			case PbdmodelPackage.DJELO__PRIJAVA:
				setPrijava((PrijavaImpl)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.DJELO__ID_DJELO:
				setIDDjelo(ID_DJELO_EDEFAULT);
				return;
			case PbdmodelPackage.DJELO__NAZIV:
				setNaziv(NAZIV_EDEFAULT);
				return;
			case PbdmodelPackage.DJELO__OPIS:
				setOpis(OPIS_EDEFAULT);
				return;
			case PbdmodelPackage.DJELO__DETALJI_DJELA:
				setDetaljiDjela(DETALJI_DJELA_EDEFAULT);
				return;
			case PbdmodelPackage.DJELO__DOGADJAJI:
				getDogadjaji().clear();
				return;
			case PbdmodelPackage.DJELO__STETA:
				setSteta((StetaImpl)null);
				return;
			case PbdmodelPackage.DJELO__VRSTA_DJELA:
				setVrstaDjela((VrstaDjelaImpl)null);
				return;
			case PbdmodelPackage.DJELO__SUDIONICI:
				getSudionici().clear();
				return;
			case PbdmodelPackage.DJELO__OBJKAT:
				getObjkat().clear();
				return;
			case PbdmodelPackage.DJELO__KATEGORIJA_DJELA:
				setKategorijaDjela((KategorijaDjelaImpl)null);
				return;
			case PbdmodelPackage.DJELO__DJELO_OTKRIVENO:
				setDjeloOtkriveno(DJELO_OTKRIVENO_EDEFAULT);
				return;
			case PbdmodelPackage.DJELO__BROJ_PODNESENOG_IZVJESTAJA:
				setBrojPodnesenogIzvjestaja(BROJ_PODNESENOG_IZVJESTAJA_EDEFAULT);
				return;
			case PbdmodelPackage.DJELO__POSTUPAK:
				setPostupak((PostupakImpl)null);
				return;
//			case PbdmodelPackage.DJELO__SLUZBENE_OSOBE:
//				getSluzbeneOsobe().clear();
//				return;
			case PbdmodelPackage.DJELO__SAOBRACAJNA_NEZGODA:
				setSaobracajnaNezgoda((SaobracajnaNezgodaImpl)null);
				return;
			case PbdmodelPackage.DJELO__PRIJAVA:
				setPrijava((PrijavaImpl)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.DJELO__ID_DJELO:
				return iDDjelo != ID_DJELO_EDEFAULT;
			case PbdmodelPackage.DJELO__NAZIV:
				return NAZIV_EDEFAULT == null ? naziv != null : !NAZIV_EDEFAULT.equals(naziv);
			case PbdmodelPackage.DJELO__OPIS:
				return OPIS_EDEFAULT == null ? opis != null : !OPIS_EDEFAULT.equals(opis);
			case PbdmodelPackage.DJELO__DETALJI_DJELA:
				return DETALJI_DJELA_EDEFAULT == null ? detaljiDjela != null : !DETALJI_DJELA_EDEFAULT.equals(detaljiDjela);
			case PbdmodelPackage.DJELO__DOGADJAJI:
				return dogadjaji != null && !dogadjaji.isEmpty();
			case PbdmodelPackage.DJELO__STETA:
				return steta != null;
			case PbdmodelPackage.DJELO__VRSTA_DJELA:
				return vrstaDjela != null;
			case PbdmodelPackage.DJELO__SUDIONICI:
				return sudionici != null && !sudionici.isEmpty();
			case PbdmodelPackage.DJELO__OBJKAT:
				return objkat != null && !objkat.isEmpty();
			case PbdmodelPackage.DJELO__KATEGORIJA_DJELA:
				return kategorijaDjela != null;
			case PbdmodelPackage.DJELO__DJELO_OTKRIVENO:
				return djeloOtkriveno != DJELO_OTKRIVENO_EDEFAULT;
			case PbdmodelPackage.DJELO__BROJ_PODNESENOG_IZVJESTAJA:
				return BROJ_PODNESENOG_IZVJESTAJA_EDEFAULT == null ? brojPodnesenogIzvjestaja != null : !BROJ_PODNESENOG_IZVJESTAJA_EDEFAULT.equals(brojPodnesenogIzvjestaja);
			case PbdmodelPackage.DJELO__POSTUPAK:
				return postupak != null;
//			case PbdmodelPackage.DJELO__SLUZBENE_OSOBE:
//				return sluzbeneOsobe != null && !sluzbeneOsobe.isEmpty();
			case PbdmodelPackage.DJELO__SAOBRACAJNA_NEZGODA:
				return saobracajnaNezgoda != null;
			case PbdmodelPackage.DJELO__PRIJAVA:
				return prijava != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDDjelo: ");
		result.append(iDDjelo);
		result.append(", naziv: ");
		result.append(naziv);
		result.append(", opis: ");
		result.append(opis);
		result.append(", detaljiDjela: ");
		result.append(detaljiDjela);
		result.append(", djeloOtkriveno: ");
		result.append(djeloOtkriveno);
		result.append(", brojPodnesenogIzvjestaja: ");
		result.append(brojPodnesenogIzvjestaja);
		result.append(')');
		return result.toString();
	}

} //DjeloImpl
