/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.SequenceGenerator;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije;
import pbdmodel.PbdmodelPackage;


/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Evidencija Privremeno Oduzetogi Pronadenog Oruzjai Municije</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl#getIDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije <em>ID Evidencija Privremeno Oduzetogi Pronadenog Oruzjai Municije</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl#getVrijemeOduzimanjaNalazenjaOruzja <em>Vrijeme Oduzimanja Nalazenja Oruzja</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl#getDatumOduzimanjaNalazenjaOruzja <em>Datum Oduzimanja Nalazenja Oruzja</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl#getVrijemePredajeOruzja <em>Vrijeme Predaje Oruzja</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl#getDatumPredajeOruzja <em>Datum Predaje Oruzja</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl#getNapomena <em>Napomena</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl#getAdresa <em>AdresaImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl#getPostupanje <em>Postupanje</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl#getOruzje <em>OruzjeImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl#getMjestoOduzimanja <em>Mjesto Oduzimanja</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl#getAdresaOduzimanja <em>AdresaImpl Oduzimanja</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl#getKomeJePredanoOruzje <em>Kome Je Predano OruzjeImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl#getPreduzeteMjereIRadnje <em>Preduzete Mjere IRadnje</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
@SequenceGenerator(name="EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl_SEQ", allocationSize=1, initialValue=1)
public class EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl extends EvidencijeImpl implements EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije {
	/**
	 * The default value of the '{@link #getIDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije() <em>ID Evidencija Privremeno Oduzetogi Pronadenog Oruzjai Municije</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije() <em>ID Evidencija Privremeno Oduzetogi Pronadenog Oruzjai Municije</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije()
	 * @generated
	 * @ordered
	 */
	@GeneratedValue(strategy=GenerationType.AUTO, generator="EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl_SEQ")
	protected long iDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije = ID_EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE_EDEFAULT;

	/**
	 * The default value of the '{@link #getVrijemeOduzimanjaNalazenjaOruzja() <em>Vrijeme Oduzimanja Nalazenja Oruzja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeOduzimanjaNalazenjaOruzja()
	 * @generated
	 * @ordered
	 */
	protected static final Date VRIJEME_ODUZIMANJA_NALAZENJA_ORUZJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVrijemeOduzimanjaNalazenjaOruzja() <em>Vrijeme Oduzimanja Nalazenja Oruzja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeOduzimanjaNalazenjaOruzja()
	 * @generated
	 * @ordered
	 */
	protected Date vrijemeOduzimanjaNalazenjaOruzja = VRIJEME_ODUZIMANJA_NALAZENJA_ORUZJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumOduzimanjaNalazenjaOruzja() <em>Datum Oduzimanja Nalazenja Oruzja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumOduzimanjaNalazenjaOruzja()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_ODUZIMANJA_NALAZENJA_ORUZJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumOduzimanjaNalazenjaOruzja() <em>Datum Oduzimanja Nalazenja Oruzja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumOduzimanjaNalazenjaOruzja()
	 * @generated
	 * @ordered
	 */
	protected Date datumOduzimanjaNalazenjaOruzja = DATUM_ODUZIMANJA_NALAZENJA_ORUZJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getVrijemePredajeOruzja() <em>Vrijeme Predaje Oruzja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemePredajeOruzja()
	 * @generated
	 * @ordered
	 */
	protected static final Date VRIJEME_PREDAJE_ORUZJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVrijemePredajeOruzja() <em>Vrijeme Predaje Oruzja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemePredajeOruzja()
	 * @generated
	 * @ordered
	 */
	protected Date vrijemePredajeOruzja = VRIJEME_PREDAJE_ORUZJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumPredajeOruzja() <em>Datum Predaje Oruzja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumPredajeOruzja()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_PREDAJE_ORUZJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumPredajeOruzja() <em>Datum Predaje Oruzja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumPredajeOruzja()
	 * @generated
	 * @ordered
	 */
	protected Date datumPredajeOruzja = DATUM_PREDAJE_ORUZJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getNapomena() <em>Napomena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNapomena()
	 * @generated
	 * @ordered
	 */
	protected static final String NAPOMENA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getNapomena() <em>Napomena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNapomena()
	 * @generated
	 * @ordered
	 */
	protected String napomena = NAPOMENA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getAdresa() <em>AdresaImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getAdresa()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ADRESA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected AdresaImpl adresa;

	/**
	 * The cached value of the '{@link #getPostupanje() <em>Postupanje</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPostupanje()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="POLICIJSKO_POSTUPANJE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected PolicijskoPostupanjeImpl postupanje;

	/**
	 * The cached value of the '{@link #getOruzje() <em>OruzjeImpl</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOruzje()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ORUZJE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<OruzjeImpl> oruzje;

	/**
	 * The default value of the '{@link #getMjestoOduzimanja() <em>Mjesto Oduzimanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjestoOduzimanja()
	 * @generated
	 * @ordered
	 */
	protected static final String MJESTO_ODUZIMANJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getMjestoOduzimanja() <em>Mjesto Oduzimanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjestoOduzimanja()
	 * @generated
	 * @ordered
	 */
	protected String mjestoOduzimanja = MJESTO_ODUZIMANJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getAdresaOduzimanja() <em>AdresaImpl Oduzimanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getAdresaOduzimanja()
	 * @generated
	 * @ordered
	 */
	protected static final String ADRESA_ODUZIMANJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getAdresaOduzimanja() <em>AdresaImpl Oduzimanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getAdresaOduzimanja()
	 * @generated
	 * @ordered
	 */
	protected String adresaOduzimanja = ADRESA_ODUZIMANJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getKomeJePredanoOruzje() <em>Kome Je Predano OruzjeImpl</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKomeJePredanoOruzje()
	 * @generated
	 * @ordered
	 */
	protected static final String KOME_JE_PREDANO_ORUZJE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getKomeJePredanoOruzje() <em>Kome Je Predano OruzjeImpl</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKomeJePredanoOruzje()
	 * @generated
	 * @ordered
	 */
	protected String komeJePredanoOruzje = KOME_JE_PREDANO_ORUZJE_EDEFAULT;

	/**
	 * The default value of the '{@link #getPreduzeteMjereIRadnje() <em>Preduzete Mjere IRadnje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPreduzeteMjereIRadnje()
	 * @generated
	 * @ordered
	 */
	protected static final String PREDUZETE_MJERE_IRADNJE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPreduzeteMjereIRadnje() <em>Preduzete Mjere IRadnje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPreduzeteMjereIRadnje()
	 * @generated
	 * @ordered
	 */
	protected String preduzeteMjereIRadnje = PREDUZETE_MJERE_IRADNJE_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije() {
		return iDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije(long newIDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije) {
		long oldIDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije = iDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije;
		iDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije = newIDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ID_EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE, oldIDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije, iDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getVrijemeOduzimanjaNalazenjaOruzja() {
		return vrijemeOduzimanjaNalazenjaOruzja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrijemeOduzimanjaNalazenjaOruzja(Date newVrijemeOduzimanjaNalazenjaOruzja) {
		Date oldVrijemeOduzimanjaNalazenjaOruzja = vrijemeOduzimanjaNalazenjaOruzja;
		vrijemeOduzimanjaNalazenjaOruzja = newVrijemeOduzimanjaNalazenjaOruzja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__VRIJEME_ODUZIMANJA_NALAZENJA_ORUZJA, oldVrijemeOduzimanjaNalazenjaOruzja, vrijemeOduzimanjaNalazenjaOruzja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumOduzimanjaNalazenjaOruzja() {
		return datumOduzimanjaNalazenjaOruzja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumOduzimanjaNalazenjaOruzja(Date newDatumOduzimanjaNalazenjaOruzja) {
		Date oldDatumOduzimanjaNalazenjaOruzja = datumOduzimanjaNalazenjaOruzja;
		datumOduzimanjaNalazenjaOruzja = newDatumOduzimanjaNalazenjaOruzja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__DATUM_ODUZIMANJA_NALAZENJA_ORUZJA, oldDatumOduzimanjaNalazenjaOruzja, datumOduzimanjaNalazenjaOruzja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getVrijemePredajeOruzja() {
		return vrijemePredajeOruzja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrijemePredajeOruzja(Date newVrijemePredajeOruzja) {
		Date oldVrijemePredajeOruzja = vrijemePredajeOruzja;
		vrijemePredajeOruzja = newVrijemePredajeOruzja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__VRIJEME_PREDAJE_ORUZJA, oldVrijemePredajeOruzja, vrijemePredajeOruzja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumPredajeOruzja() {
		return datumPredajeOruzja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumPredajeOruzja(Date newDatumPredajeOruzja) {
		Date oldDatumPredajeOruzja = datumPredajeOruzja;
		datumPredajeOruzja = newDatumPredajeOruzja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__DATUM_PREDAJE_ORUZJA, oldDatumPredajeOruzja, datumPredajeOruzja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getNapomena() {
		return napomena;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNapomena(String newNapomena) {
		String oldNapomena = napomena;
		napomena = newNapomena;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__NAPOMENA, oldNapomena, napomena));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdresaImpl getAdresa() {
		if (adresa != null && adresa.eIsProxy()) {
			InternalEObject oldAdresa = (InternalEObject)adresa;
			adresa = (AdresaImpl)eResolveProxy(oldAdresa);
			if (adresa != oldAdresa) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ADRESA, oldAdresa, adresa));
			}
		}
		return adresa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdresaImpl basicGetAdresa() {
		return adresa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setAdresa(AdresaImpl newAdresa) {
		AdresaImpl oldAdresa = adresa;
		adresa = newAdresa;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ADRESA, oldAdresa, adresa));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PolicijskoPostupanjeImpl getPostupanje() {
		if (postupanje != null && postupanje.eIsProxy()) {
			InternalEObject oldPostupanje = (InternalEObject)postupanje;
			postupanje = (PolicijskoPostupanjeImpl)eResolveProxy(oldPostupanje);
			if (postupanje != oldPostupanje) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__POSTUPANJE, oldPostupanje, postupanje));
			}
		}
		return postupanje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PolicijskoPostupanjeImpl basicGetPostupanje() {
		return postupanje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPostupanje(PolicijskoPostupanjeImpl newPostupanje) {
		PolicijskoPostupanjeImpl oldPostupanje = postupanje;
		postupanje = newPostupanje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__POSTUPANJE, oldPostupanje, postupanje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<OruzjeImpl> getOruzje() {
		if (oruzje == null) {
			oruzje = new ArrayList<OruzjeImpl>();
		}
		return oruzje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getMjestoOduzimanja() {
		return mjestoOduzimanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMjestoOduzimanja(String newMjestoOduzimanja) {
		String oldMjestoOduzimanja = mjestoOduzimanja;
		mjestoOduzimanja = newMjestoOduzimanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__MJESTO_ODUZIMANJA, oldMjestoOduzimanja, mjestoOduzimanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getAdresaOduzimanja() {
		return adresaOduzimanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setAdresaOduzimanja(String newAdresaOduzimanja) {
		String oldAdresaOduzimanja = adresaOduzimanja;
		adresaOduzimanja = newAdresaOduzimanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ADRESA_ODUZIMANJA, oldAdresaOduzimanja, adresaOduzimanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getKomeJePredanoOruzje() {
		return komeJePredanoOruzje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setKomeJePredanoOruzje(String newKomeJePredanoOruzje) {
		String oldKomeJePredanoOruzje = komeJePredanoOruzje;
		komeJePredanoOruzje = newKomeJePredanoOruzje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__KOME_JE_PREDANO_ORUZJE, oldKomeJePredanoOruzje, komeJePredanoOruzje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPreduzeteMjereIRadnje() {
		return preduzeteMjereIRadnje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPreduzeteMjereIRadnje(String newPreduzeteMjereIRadnje) {
		String oldPreduzeteMjereIRadnje = preduzeteMjereIRadnje;
		preduzeteMjereIRadnje = newPreduzeteMjereIRadnje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__PREDUZETE_MJERE_IRADNJE, oldPreduzeteMjereIRadnje, preduzeteMjereIRadnje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ID_EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE:
				return getIDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije();
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__VRIJEME_ODUZIMANJA_NALAZENJA_ORUZJA:
				return getVrijemeOduzimanjaNalazenjaOruzja();
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__DATUM_ODUZIMANJA_NALAZENJA_ORUZJA:
				return getDatumOduzimanjaNalazenjaOruzja();
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__VRIJEME_PREDAJE_ORUZJA:
				return getVrijemePredajeOruzja();
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__DATUM_PREDAJE_ORUZJA:
				return getDatumPredajeOruzja();
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__NAPOMENA:
				return getNapomena();
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ADRESA:
				if (resolve) return getAdresa();
				return basicGetAdresa();
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__POSTUPANJE:
				if (resolve) return getPostupanje();
				return basicGetPostupanje();
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ORUZJE:
				return getOruzje();
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__MJESTO_ODUZIMANJA:
				return getMjestoOduzimanja();
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ADRESA_ODUZIMANJA:
				return getAdresaOduzimanja();
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__KOME_JE_PREDANO_ORUZJE:
				return getKomeJePredanoOruzje();
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__PREDUZETE_MJERE_IRADNJE:
				return getPreduzeteMjereIRadnje();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ID_EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE:
				setIDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije((Long)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__VRIJEME_ODUZIMANJA_NALAZENJA_ORUZJA:
				setVrijemeOduzimanjaNalazenjaOruzja((Date)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__DATUM_ODUZIMANJA_NALAZENJA_ORUZJA:
				setDatumOduzimanjaNalazenjaOruzja((Date)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__VRIJEME_PREDAJE_ORUZJA:
				setVrijemePredajeOruzja((Date)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__DATUM_PREDAJE_ORUZJA:
				setDatumPredajeOruzja((Date)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__NAPOMENA:
				setNapomena((String)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ADRESA:
				setAdresa((AdresaImpl)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__POSTUPANJE:
				setPostupanje((PolicijskoPostupanjeImpl)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ORUZJE:
				getOruzje().clear();
				getOruzje().addAll((Collection<? extends OruzjeImpl>)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__MJESTO_ODUZIMANJA:
				setMjestoOduzimanja((String)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ADRESA_ODUZIMANJA:
				setAdresaOduzimanja((String)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__KOME_JE_PREDANO_ORUZJE:
				setKomeJePredanoOruzje((String)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__PREDUZETE_MJERE_IRADNJE:
				setPreduzeteMjereIRadnje((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ID_EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE:
				setIDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije(ID_EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE_EDEFAULT);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__VRIJEME_ODUZIMANJA_NALAZENJA_ORUZJA:
				setVrijemeOduzimanjaNalazenjaOruzja(VRIJEME_ODUZIMANJA_NALAZENJA_ORUZJA_EDEFAULT);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__DATUM_ODUZIMANJA_NALAZENJA_ORUZJA:
				setDatumOduzimanjaNalazenjaOruzja(DATUM_ODUZIMANJA_NALAZENJA_ORUZJA_EDEFAULT);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__VRIJEME_PREDAJE_ORUZJA:
				setVrijemePredajeOruzja(VRIJEME_PREDAJE_ORUZJA_EDEFAULT);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__DATUM_PREDAJE_ORUZJA:
				setDatumPredajeOruzja(DATUM_PREDAJE_ORUZJA_EDEFAULT);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__NAPOMENA:
				setNapomena(NAPOMENA_EDEFAULT);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ADRESA:
				setAdresa((AdresaImpl)null);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__POSTUPANJE:
				setPostupanje((PolicijskoPostupanjeImpl)null);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ORUZJE:
				getOruzje().clear();
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__MJESTO_ODUZIMANJA:
				setMjestoOduzimanja(MJESTO_ODUZIMANJA_EDEFAULT);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ADRESA_ODUZIMANJA:
				setAdresaOduzimanja(ADRESA_ODUZIMANJA_EDEFAULT);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__KOME_JE_PREDANO_ORUZJE:
				setKomeJePredanoOruzje(KOME_JE_PREDANO_ORUZJE_EDEFAULT);
				return;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__PREDUZETE_MJERE_IRADNJE:
				setPreduzeteMjereIRadnje(PREDUZETE_MJERE_IRADNJE_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ID_EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE:
				return iDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije != ID_EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE_EDEFAULT;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__VRIJEME_ODUZIMANJA_NALAZENJA_ORUZJA:
				return VRIJEME_ODUZIMANJA_NALAZENJA_ORUZJA_EDEFAULT == null ? vrijemeOduzimanjaNalazenjaOruzja != null : !VRIJEME_ODUZIMANJA_NALAZENJA_ORUZJA_EDEFAULT.equals(vrijemeOduzimanjaNalazenjaOruzja);
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__DATUM_ODUZIMANJA_NALAZENJA_ORUZJA:
				return DATUM_ODUZIMANJA_NALAZENJA_ORUZJA_EDEFAULT == null ? datumOduzimanjaNalazenjaOruzja != null : !DATUM_ODUZIMANJA_NALAZENJA_ORUZJA_EDEFAULT.equals(datumOduzimanjaNalazenjaOruzja);
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__VRIJEME_PREDAJE_ORUZJA:
				return VRIJEME_PREDAJE_ORUZJA_EDEFAULT == null ? vrijemePredajeOruzja != null : !VRIJEME_PREDAJE_ORUZJA_EDEFAULT.equals(vrijemePredajeOruzja);
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__DATUM_PREDAJE_ORUZJA:
				return DATUM_PREDAJE_ORUZJA_EDEFAULT == null ? datumPredajeOruzja != null : !DATUM_PREDAJE_ORUZJA_EDEFAULT.equals(datumPredajeOruzja);
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__NAPOMENA:
				return NAPOMENA_EDEFAULT == null ? napomena != null : !NAPOMENA_EDEFAULT.equals(napomena);
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ADRESA:
				return adresa != null;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__POSTUPANJE:
				return postupanje != null;
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ORUZJE:
				return oruzje != null && !oruzje.isEmpty();
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__MJESTO_ODUZIMANJA:
				return MJESTO_ODUZIMANJA_EDEFAULT == null ? mjestoOduzimanja != null : !MJESTO_ODUZIMANJA_EDEFAULT.equals(mjestoOduzimanja);
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__ADRESA_ODUZIMANJA:
				return ADRESA_ODUZIMANJA_EDEFAULT == null ? adresaOduzimanja != null : !ADRESA_ODUZIMANJA_EDEFAULT.equals(adresaOduzimanja);
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__KOME_JE_PREDANO_ORUZJE:
				return KOME_JE_PREDANO_ORUZJE_EDEFAULT == null ? komeJePredanoOruzje != null : !KOME_JE_PREDANO_ORUZJE_EDEFAULT.equals(komeJePredanoOruzje);
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE__PREDUZETE_MJERE_IRADNJE:
				return PREDUZETE_MJERE_IRADNJE_EDEFAULT == null ? preduzeteMjereIRadnje != null : !PREDUZETE_MJERE_IRADNJE_EDEFAULT.equals(preduzeteMjereIRadnje);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije: ");
		result.append(iDEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije);
		result.append(", vrijemeOduzimanjaNalazenjaOruzja: ");
		result.append(vrijemeOduzimanjaNalazenjaOruzja);
		result.append(", datumOduzimanjaNalazenjaOruzja: ");
		result.append(datumOduzimanjaNalazenjaOruzja);
		result.append(", vrijemePredajeOruzja: ");
		result.append(vrijemePredajeOruzja);
		result.append(", datumPredajeOruzja: ");
		result.append(datumPredajeOruzja);
		result.append(", napomena: ");
		result.append(napomena);
		result.append(", mjestoOduzimanja: ");
		result.append(mjestoOduzimanja);
		result.append(", adresaOduzimanja: ");
		result.append(adresaOduzimanja);
		result.append(", komeJePredanoOruzje: ");
		result.append(komeJePredanoOruzje);
		result.append(", preduzeteMjereIRadnje: ");
		result.append(preduzeteMjereIRadnje);
		result.append(')');
		return result.toString();
	}

} //EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeImpl
