/**
 */
package pbdmodel.impl;

import java.util.Date;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import pbdmodel.InterniPostupak;
import pbdmodel.PbdmodelPackage;


/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Interni Postupak</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.InterniPostupakImpl#getIdInterniPostupak <em>Id Interni Postupak</em>}</li>
 *   <li>{@link pbdmodel.impl.InterniPostupakImpl#getDatumPokretanjaInternogPostupka <em>Datum Pokretanja Internog Postupka</em>}</li>
 *   <li>{@link pbdmodel.impl.InterniPostupakImpl#getDatumZavrsetkaInternogPostupka <em>Datum Zavrsetka Internog Postupka</em>}</li>
 *   <li>{@link pbdmodel.impl.InterniPostupakImpl#getUtvrdjenaPovredaSluzbeneDuznosti <em>Utvrdjena Povreda Sluzbene Duznosti</em>}</li>
 *   <li>{@link pbdmodel.impl.InterniPostupakImpl#getUtvrdjenaDisciplinskaSankcija <em>Utvrdjena Disciplinska Sankcija</em>}</li>
 *   <li>{@link pbdmodel.impl.InterniPostupakImpl#getIznosKazne <em>Iznos Kazne</em>}</li>
 *   <li>{@link pbdmodel.impl.InterniPostupakImpl#getValuta <em>Valuta</em>}</li>
 *   <li>{@link pbdmodel.impl.InterniPostupakImpl#getTrajanjeUMjesecima <em>Trajanje UMjesecima</em>}</li>
 *   <li>{@link pbdmodel.impl.InterniPostupakImpl#getKazneniBodovi <em>Kazneni Bodovi</em>}</li>
 *   <li>{@link pbdmodel.impl.InterniPostupakImpl#getPravosnaznostDisciplinskeSankcijeIMjere <em>Pravosnaznost Disciplinske Sankcije IMjere</em>}</li>
 *   <li>{@link pbdmodel.impl.InterniPostupakImpl#getRezultatInternogPostupka <em>Rezultat Internog Postupka</em>}</li>
 *   <li>{@link pbdmodel.impl.InterniPostupakImpl#getPovredaPoZakonu <em>Povreda Po Zakonu</em>}</li>
 *   <li>{@link pbdmodel.impl.InterniPostupakImpl#getNazivPovredeSluzbeneDuznosti <em>Naziv Povrede Sluzbene Duznosti</em>}</li>
 *   <li>{@link pbdmodel.impl.InterniPostupakImpl#getSluzbenikProtivKogaJePodnesenaZalba <em>Sluzbenik Protiv Koga Je Podnesena Zalba</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class InterniPostupakImpl extends EObjectImpl implements InterniPostupak {
	/**
	 * The default value of the '{@link #getIdInterniPostupak() <em>Id Interni Postupak</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdInterniPostupak()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_INTERNI_POSTUPAK_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIdInterniPostupak() <em>Id Interni Postupak</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdInterniPostupak()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long idInterniPostupak = ID_INTERNI_POSTUPAK_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumPokretanjaInternogPostupka() <em>Datum Pokretanja Internog Postupka</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumPokretanjaInternogPostupka()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_POKRETANJA_INTERNOG_POSTUPKA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumPokretanjaInternogPostupka() <em>Datum Pokretanja Internog Postupka</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumPokretanjaInternogPostupka()
	 * @generated
	 * @ordered
	 */
	protected Date datumPokretanjaInternogPostupka = DATUM_POKRETANJA_INTERNOG_POSTUPKA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumZavrsetkaInternogPostupka() <em>Datum Zavrsetka Internog Postupka</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumZavrsetkaInternogPostupka()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_ZAVRSETKA_INTERNOG_POSTUPKA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumZavrsetkaInternogPostupka() <em>Datum Zavrsetka Internog Postupka</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumZavrsetkaInternogPostupka()
	 * @generated
	 * @ordered
	 */
	protected Date datumZavrsetkaInternogPostupka = DATUM_ZAVRSETKA_INTERNOG_POSTUPKA_EDEFAULT;

	/**
	 * The default value of the '{@link #getUtvrdjenaPovredaSluzbeneDuznosti() <em>Utvrdjena Povreda Sluzbene Duznosti</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUtvrdjenaPovredaSluzbeneDuznosti()
	 * @generated
	 * @ordered
	 */
	protected static final String UTVRDJENA_POVREDA_SLUZBENE_DUZNOSTI_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getUtvrdjenaPovredaSluzbeneDuznosti() <em>Utvrdjena Povreda Sluzbene Duznosti</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUtvrdjenaPovredaSluzbeneDuznosti()
	 * @generated
	 * @ordered
	 */
	protected String utvrdjenaPovredaSluzbeneDuznosti = UTVRDJENA_POVREDA_SLUZBENE_DUZNOSTI_EDEFAULT;

	/**
	 * The default value of the '{@link #getUtvrdjenaDisciplinskaSankcija() <em>Utvrdjena Disciplinska Sankcija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUtvrdjenaDisciplinskaSankcija()
	 * @generated
	 * @ordered
	 */
	protected static final String UTVRDJENA_DISCIPLINSKA_SANKCIJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getUtvrdjenaDisciplinskaSankcija() <em>Utvrdjena Disciplinska Sankcija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUtvrdjenaDisciplinskaSankcija()
	 * @generated
	 * @ordered
	 */
	protected String utvrdjenaDisciplinskaSankcija = UTVRDJENA_DISCIPLINSKA_SANKCIJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getIznosKazne() <em>Iznos Kazne</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIznosKazne()
	 * @generated
	 * @ordered
	 */
	protected static final String IZNOS_KAZNE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getIznosKazne() <em>Iznos Kazne</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIznosKazne()
	 * @generated
	 * @ordered
	 */
	protected String iznosKazne = IZNOS_KAZNE_EDEFAULT;

	/**
	 * The default value of the '{@link #getValuta() <em>Valuta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getValuta()
	 * @generated
	 * @ordered
	 */
	protected static final String VALUTA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getValuta() <em>Valuta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getValuta()
	 * @generated
	 * @ordered
	 */
	protected String valuta = VALUTA_EDEFAULT;

	/**
	 * The default value of the '{@link #getTrajanjeUMjesecima() <em>Trajanje UMjesecima</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTrajanjeUMjesecima()
	 * @generated
	 * @ordered
	 */
	protected static final String TRAJANJE_UMJESECIMA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getTrajanjeUMjesecima() <em>Trajanje UMjesecima</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTrajanjeUMjesecima()
	 * @generated
	 * @ordered
	 */
	protected String trajanjeUMjesecima = TRAJANJE_UMJESECIMA_EDEFAULT;

	/**
	 * The default value of the '{@link #getKazneniBodovi() <em>Kazneni Bodovi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKazneniBodovi()
	 * @generated
	 * @ordered
	 */
	protected static final String KAZNENI_BODOVI_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getKazneniBodovi() <em>Kazneni Bodovi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKazneniBodovi()
	 * @generated
	 * @ordered
	 */
	protected String kazneniBodovi = KAZNENI_BODOVI_EDEFAULT;

	/**
	 * The default value of the '{@link #getPravosnaznostDisciplinskeSankcijeIMjere() <em>Pravosnaznost Disciplinske Sankcije IMjere</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPravosnaznostDisciplinskeSankcijeIMjere()
	 * @generated
	 * @ordered
	 */
	protected static final Date PRAVOSNAZNOST_DISCIPLINSKE_SANKCIJE_IMJERE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPravosnaznostDisciplinskeSankcijeIMjere() <em>Pravosnaznost Disciplinske Sankcije IMjere</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPravosnaznostDisciplinskeSankcijeIMjere()
	 * @generated
	 * @ordered
	 */
	protected Date pravosnaznostDisciplinskeSankcijeIMjere = PRAVOSNAZNOST_DISCIPLINSKE_SANKCIJE_IMJERE_EDEFAULT;

	/**
	 * The cached value of the '{@link #getRezultatInternogPostupka() <em>Rezultat Internog Postupka</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRezultatInternogPostupka()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="REZULTATI_INTERNOG_POSTUPKA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected RezultatInternogPostupkaImpl rezultatInternogPostupka;

	/**
	 * The cached value of the '{@link #getPovredaPoZakonu() <em>Povreda Po Zakonu</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPovredaPoZakonu()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="POVREDA_PO_ZAKONU_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected PovredaPoZakonuImpl povredaPoZakonu;

	/**
	 * The cached value of the '{@link #getNazivPovredeSluzbeneDuznosti() <em>Naziv Povrede Sluzbene Duznosti</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNazivPovredeSluzbeneDuznosti()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="NAZIV_POVREDE_SLUZBENE_DUZNOSTI_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected NazivPovredeSluzbeneDuznostiImpl nazivPovredeSluzbeneDuznosti;

	/**
	 * The cached value of the '{@link #getSluzbenikProtivKogaJePodnesenaZalba() <em>Sluzbenik Protiv Koga Je Podnesena Zalba</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSluzbenikProtivKogaJePodnesenaZalba()
	 * @generated
	 * @ordered
	 */
//	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
//	  @JoinColumn(name="SLUZBENA_OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)
//	protected SluzbenaOsobaImpl sluzbenikProtivKogaJePodnesenaZalba;
	
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ZAPOSLENIK_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected ZaposleniciImpl zaposlenikProtivKogaJePodnesenaZalba;

	public ZaposleniciImpl getZaposlenikProtivKogaJePodnesenaZalba() {
		return zaposlenikProtivKogaJePodnesenaZalba;
	}

	public void setZaposlenikProtivKogaJePodnesenaZalba(
			ZaposleniciImpl zaposlenikProtivKogaJePodnesenaZalba) {
		this.zaposlenikProtivKogaJePodnesenaZalba = zaposlenikProtivKogaJePodnesenaZalba;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public InterniPostupakImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getInterniPostupak();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIdInterniPostupak() {
		return idInterniPostupak;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIdInterniPostupak(long newIdInterniPostupak) {
		long oldIdInterniPostupak = idInterniPostupak;
		idInterniPostupak = newIdInterniPostupak;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.INTERNI_POSTUPAK__ID_INTERNI_POSTUPAK, oldIdInterniPostupak, idInterniPostupak));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumPokretanjaInternogPostupka() {
		return datumPokretanjaInternogPostupka;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumPokretanjaInternogPostupka(Date newDatumPokretanjaInternogPostupka) {
		Date oldDatumPokretanjaInternogPostupka = datumPokretanjaInternogPostupka;
		datumPokretanjaInternogPostupka = newDatumPokretanjaInternogPostupka;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.INTERNI_POSTUPAK__DATUM_POKRETANJA_INTERNOG_POSTUPKA, oldDatumPokretanjaInternogPostupka, datumPokretanjaInternogPostupka));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumZavrsetkaInternogPostupka() {
		return datumZavrsetkaInternogPostupka;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumZavrsetkaInternogPostupka(Date newDatumZavrsetkaInternogPostupka) {
		Date oldDatumZavrsetkaInternogPostupka = datumZavrsetkaInternogPostupka;
		datumZavrsetkaInternogPostupka = newDatumZavrsetkaInternogPostupka;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.INTERNI_POSTUPAK__DATUM_ZAVRSETKA_INTERNOG_POSTUPKA, oldDatumZavrsetkaInternogPostupka, datumZavrsetkaInternogPostupka));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getUtvrdjenaPovredaSluzbeneDuznosti() {
		return utvrdjenaPovredaSluzbeneDuznosti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setUtvrdjenaPovredaSluzbeneDuznosti(String newUtvrdjenaPovredaSluzbeneDuznosti) {
		String oldUtvrdjenaPovredaSluzbeneDuznosti = utvrdjenaPovredaSluzbeneDuznosti;
		utvrdjenaPovredaSluzbeneDuznosti = newUtvrdjenaPovredaSluzbeneDuznosti;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.INTERNI_POSTUPAK__UTVRDJENA_POVREDA_SLUZBENE_DUZNOSTI, oldUtvrdjenaPovredaSluzbeneDuznosti, utvrdjenaPovredaSluzbeneDuznosti));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getUtvrdjenaDisciplinskaSankcija() {
		return utvrdjenaDisciplinskaSankcija;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setUtvrdjenaDisciplinskaSankcija(String newUtvrdjenaDisciplinskaSankcija) {
		String oldUtvrdjenaDisciplinskaSankcija = utvrdjenaDisciplinskaSankcija;
		utvrdjenaDisciplinskaSankcija = newUtvrdjenaDisciplinskaSankcija;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.INTERNI_POSTUPAK__UTVRDJENA_DISCIPLINSKA_SANKCIJA, oldUtvrdjenaDisciplinskaSankcija, utvrdjenaDisciplinskaSankcija));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getIznosKazne() {
		return iznosKazne;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIznosKazne(String newIznosKazne) {
		String oldIznosKazne = iznosKazne;
		iznosKazne = newIznosKazne;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.INTERNI_POSTUPAK__IZNOS_KAZNE, oldIznosKazne, iznosKazne));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getValuta() {
		return valuta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setValuta(String newValuta) {
		String oldValuta = valuta;
		valuta = newValuta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.INTERNI_POSTUPAK__VALUTA, oldValuta, valuta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getTrajanjeUMjesecima() {
		return trajanjeUMjesecima;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTrajanjeUMjesecima(String newTrajanjeUMjesecima) {
		String oldTrajanjeUMjesecima = trajanjeUMjesecima;
		trajanjeUMjesecima = newTrajanjeUMjesecima;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.INTERNI_POSTUPAK__TRAJANJE_UMJESECIMA, oldTrajanjeUMjesecima, trajanjeUMjesecima));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getKazneniBodovi() {
		return kazneniBodovi;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setKazneniBodovi(String newKazneniBodovi) {
		String oldKazneniBodovi = kazneniBodovi;
		kazneniBodovi = newKazneniBodovi;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.INTERNI_POSTUPAK__KAZNENI_BODOVI, oldKazneniBodovi, kazneniBodovi));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getPravosnaznostDisciplinskeSankcijeIMjere() {
		return pravosnaznostDisciplinskeSankcijeIMjere;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPravosnaznostDisciplinskeSankcijeIMjere(Date newPravosnaznostDisciplinskeSankcijeIMjere) {
		Date oldPravosnaznostDisciplinskeSankcijeIMjere = pravosnaznostDisciplinskeSankcijeIMjere;
		pravosnaznostDisciplinskeSankcijeIMjere = newPravosnaznostDisciplinskeSankcijeIMjere;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.INTERNI_POSTUPAK__PRAVOSNAZNOST_DISCIPLINSKE_SANKCIJE_IMJERE, oldPravosnaznostDisciplinskeSankcijeIMjere, pravosnaznostDisciplinskeSankcijeIMjere));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RezultatInternogPostupkaImpl getRezultatInternogPostupka() {
		if (rezultatInternogPostupka != null && rezultatInternogPostupka.eIsProxy()) {
			InternalEObject oldRezultatInternogPostupka = (InternalEObject)rezultatInternogPostupka;
			rezultatInternogPostupka = (RezultatInternogPostupkaImpl)eResolveProxy(oldRezultatInternogPostupka);
			if (rezultatInternogPostupka != oldRezultatInternogPostupka) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.INTERNI_POSTUPAK__REZULTAT_INTERNOG_POSTUPKA, oldRezultatInternogPostupka, rezultatInternogPostupka));
			}
		}
		return rezultatInternogPostupka;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RezultatInternogPostupkaImpl basicGetRezultatInternogPostupka() {
		return rezultatInternogPostupka;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRezultatInternogPostupka(RezultatInternogPostupkaImpl newRezultatInternogPostupka) {
		RezultatInternogPostupkaImpl oldRezultatInternogPostupka = rezultatInternogPostupka;
		rezultatInternogPostupka = newRezultatInternogPostupka;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.INTERNI_POSTUPAK__REZULTAT_INTERNOG_POSTUPKA, oldRezultatInternogPostupka, rezultatInternogPostupka));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PovredaPoZakonuImpl getPovredaPoZakonu() {
		if (povredaPoZakonu != null && povredaPoZakonu.eIsProxy()) {
			InternalEObject oldPovredaPoZakonu = (InternalEObject)povredaPoZakonu;
			povredaPoZakonu = (PovredaPoZakonuImpl)eResolveProxy(oldPovredaPoZakonu);
			if (povredaPoZakonu != oldPovredaPoZakonu) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.INTERNI_POSTUPAK__POVREDA_PO_ZAKONU, oldPovredaPoZakonu, povredaPoZakonu));
			}
		}
		return povredaPoZakonu;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PovredaPoZakonuImpl basicGetPovredaPoZakonu() {
		return povredaPoZakonu;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPovredaPoZakonu(PovredaPoZakonuImpl newPovredaPoZakonu) {
		PovredaPoZakonuImpl oldPovredaPoZakonu = povredaPoZakonu;
		povredaPoZakonu = newPovredaPoZakonu;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.INTERNI_POSTUPAK__POVREDA_PO_ZAKONU, oldPovredaPoZakonu, povredaPoZakonu));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NazivPovredeSluzbeneDuznostiImpl getNazivPovredeSluzbeneDuznosti() {
		if (nazivPovredeSluzbeneDuznosti != null && nazivPovredeSluzbeneDuznosti.eIsProxy()) {
			InternalEObject oldNazivPovredeSluzbeneDuznosti = (InternalEObject)nazivPovredeSluzbeneDuznosti;
			nazivPovredeSluzbeneDuznosti = (NazivPovredeSluzbeneDuznostiImpl)eResolveProxy(oldNazivPovredeSluzbeneDuznosti);
			if (nazivPovredeSluzbeneDuznosti != oldNazivPovredeSluzbeneDuznosti) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.INTERNI_POSTUPAK__NAZIV_POVREDE_SLUZBENE_DUZNOSTI, oldNazivPovredeSluzbeneDuznosti, nazivPovredeSluzbeneDuznosti));
			}
		}
		return nazivPovredeSluzbeneDuznosti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NazivPovredeSluzbeneDuznostiImpl basicGetNazivPovredeSluzbeneDuznosti() {
		return nazivPovredeSluzbeneDuznosti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNazivPovredeSluzbeneDuznosti(NazivPovredeSluzbeneDuznostiImpl newNazivPovredeSluzbeneDuznosti) {
		NazivPovredeSluzbeneDuznostiImpl oldNazivPovredeSluzbeneDuznosti = nazivPovredeSluzbeneDuznosti;
		nazivPovredeSluzbeneDuznosti = newNazivPovredeSluzbeneDuznosti;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.INTERNI_POSTUPAK__NAZIV_POVREDE_SLUZBENE_DUZNOSTI, oldNazivPovredeSluzbeneDuznosti, nazivPovredeSluzbeneDuznosti));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
//	public SluzbenaOsobaImpl getSluzbenikProtivKogaJePodnesenaZalba() {
//		if (sluzbenikProtivKogaJePodnesenaZalba != null && sluzbenikProtivKogaJePodnesenaZalba.eIsProxy()) {
//			InternalEObject oldSluzbenikProtivKogaJePodnesenaZalba = (InternalEObject)sluzbenikProtivKogaJePodnesenaZalba;
//			sluzbenikProtivKogaJePodnesenaZalba = (SluzbenaOsobaImpl)eResolveProxy(oldSluzbenikProtivKogaJePodnesenaZalba);
//			if (sluzbenikProtivKogaJePodnesenaZalba != oldSluzbenikProtivKogaJePodnesenaZalba) {
//				if (eNotificationRequired())
//					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.INTERNI_POSTUPAK__SLUZBENIK_PROTIV_KOGA_JE_PODNESENA_ZALBA, oldSluzbenikProtivKogaJePodnesenaZalba, sluzbenikProtivKogaJePodnesenaZalba));
//			}
//		}
//		return sluzbenikProtivKogaJePodnesenaZalba;
//	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
//	public SluzbenaOsobaImpl basicGetSluzbenikProtivKogaJePodnesenaZalba() {
//		return sluzbenikProtivKogaJePodnesenaZalba;
//	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
//	public void setSluzbenikProtivKogaJePodnesenaZalba(SluzbenaOsobaImpl newSluzbenikProtivKogaJePodnesenaZalba) {
//		SluzbenaOsobaImpl oldSluzbenikProtivKogaJePodnesenaZalba = sluzbenikProtivKogaJePodnesenaZalba;
//		sluzbenikProtivKogaJePodnesenaZalba = newSluzbenikProtivKogaJePodnesenaZalba;
//		if (eNotificationRequired())
//			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.INTERNI_POSTUPAK__SLUZBENIK_PROTIV_KOGA_JE_PODNESENA_ZALBA, oldSluzbenikProtivKogaJePodnesenaZalba, sluzbenikProtivKogaJePodnesenaZalba));
//	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.INTERNI_POSTUPAK__ID_INTERNI_POSTUPAK:
				return getIdInterniPostupak();
			case PbdmodelPackage.INTERNI_POSTUPAK__DATUM_POKRETANJA_INTERNOG_POSTUPKA:
				return getDatumPokretanjaInternogPostupka();
			case PbdmodelPackage.INTERNI_POSTUPAK__DATUM_ZAVRSETKA_INTERNOG_POSTUPKA:
				return getDatumZavrsetkaInternogPostupka();
			case PbdmodelPackage.INTERNI_POSTUPAK__UTVRDJENA_POVREDA_SLUZBENE_DUZNOSTI:
				return getUtvrdjenaPovredaSluzbeneDuznosti();
			case PbdmodelPackage.INTERNI_POSTUPAK__UTVRDJENA_DISCIPLINSKA_SANKCIJA:
				return getUtvrdjenaDisciplinskaSankcija();
			case PbdmodelPackage.INTERNI_POSTUPAK__IZNOS_KAZNE:
				return getIznosKazne();
			case PbdmodelPackage.INTERNI_POSTUPAK__VALUTA:
				return getValuta();
			case PbdmodelPackage.INTERNI_POSTUPAK__TRAJANJE_UMJESECIMA:
				return getTrajanjeUMjesecima();
			case PbdmodelPackage.INTERNI_POSTUPAK__KAZNENI_BODOVI:
				return getKazneniBodovi();
			case PbdmodelPackage.INTERNI_POSTUPAK__PRAVOSNAZNOST_DISCIPLINSKE_SANKCIJE_IMJERE:
				return getPravosnaznostDisciplinskeSankcijeIMjere();
			case PbdmodelPackage.INTERNI_POSTUPAK__REZULTAT_INTERNOG_POSTUPKA:
				if (resolve) return getRezultatInternogPostupka();
				return basicGetRezultatInternogPostupka();
			case PbdmodelPackage.INTERNI_POSTUPAK__POVREDA_PO_ZAKONU:
				if (resolve) return getPovredaPoZakonu();
				return basicGetPovredaPoZakonu();
			case PbdmodelPackage.INTERNI_POSTUPAK__NAZIV_POVREDE_SLUZBENE_DUZNOSTI:
				if (resolve) return getNazivPovredeSluzbeneDuznosti();
				return basicGetNazivPovredeSluzbeneDuznosti();
//			case PbdmodelPackage.INTERNI_POSTUPAK__SLUZBENIK_PROTIV_KOGA_JE_PODNESENA_ZALBA:
//				if (resolve) return getSluzbenikProtivKogaJePodnesenaZalba();
//				return basicGetSluzbenikProtivKogaJePodnesenaZalba();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.INTERNI_POSTUPAK__ID_INTERNI_POSTUPAK:
				setIdInterniPostupak((Long)newValue);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__DATUM_POKRETANJA_INTERNOG_POSTUPKA:
				setDatumPokretanjaInternogPostupka((Date)newValue);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__DATUM_ZAVRSETKA_INTERNOG_POSTUPKA:
				setDatumZavrsetkaInternogPostupka((Date)newValue);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__UTVRDJENA_POVREDA_SLUZBENE_DUZNOSTI:
				setUtvrdjenaPovredaSluzbeneDuznosti((String)newValue);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__UTVRDJENA_DISCIPLINSKA_SANKCIJA:
				setUtvrdjenaDisciplinskaSankcija((String)newValue);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__IZNOS_KAZNE:
				setIznosKazne((String)newValue);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__VALUTA:
				setValuta((String)newValue);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__TRAJANJE_UMJESECIMA:
				setTrajanjeUMjesecima((String)newValue);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__KAZNENI_BODOVI:
				setKazneniBodovi((String)newValue);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__PRAVOSNAZNOST_DISCIPLINSKE_SANKCIJE_IMJERE:
				setPravosnaznostDisciplinskeSankcijeIMjere((Date)newValue);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__REZULTAT_INTERNOG_POSTUPKA:
				setRezultatInternogPostupka((RezultatInternogPostupkaImpl)newValue);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__POVREDA_PO_ZAKONU:
				setPovredaPoZakonu((PovredaPoZakonuImpl)newValue);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__NAZIV_POVREDE_SLUZBENE_DUZNOSTI:
				setNazivPovredeSluzbeneDuznosti((NazivPovredeSluzbeneDuznostiImpl)newValue);
				return;
//			case PbdmodelPackage.INTERNI_POSTUPAK__SLUZBENIK_PROTIV_KOGA_JE_PODNESENA_ZALBA:
//				setSluzbenikProtivKogaJePodnesenaZalba((SluzbenaOsobaImpl)newValue);
//				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.INTERNI_POSTUPAK__ID_INTERNI_POSTUPAK:
				setIdInterniPostupak(ID_INTERNI_POSTUPAK_EDEFAULT);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__DATUM_POKRETANJA_INTERNOG_POSTUPKA:
				setDatumPokretanjaInternogPostupka(DATUM_POKRETANJA_INTERNOG_POSTUPKA_EDEFAULT);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__DATUM_ZAVRSETKA_INTERNOG_POSTUPKA:
				setDatumZavrsetkaInternogPostupka(DATUM_ZAVRSETKA_INTERNOG_POSTUPKA_EDEFAULT);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__UTVRDJENA_POVREDA_SLUZBENE_DUZNOSTI:
				setUtvrdjenaPovredaSluzbeneDuznosti(UTVRDJENA_POVREDA_SLUZBENE_DUZNOSTI_EDEFAULT);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__UTVRDJENA_DISCIPLINSKA_SANKCIJA:
				setUtvrdjenaDisciplinskaSankcija(UTVRDJENA_DISCIPLINSKA_SANKCIJA_EDEFAULT);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__IZNOS_KAZNE:
				setIznosKazne(IZNOS_KAZNE_EDEFAULT);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__VALUTA:
				setValuta(VALUTA_EDEFAULT);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__TRAJANJE_UMJESECIMA:
				setTrajanjeUMjesecima(TRAJANJE_UMJESECIMA_EDEFAULT);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__KAZNENI_BODOVI:
				setKazneniBodovi(KAZNENI_BODOVI_EDEFAULT);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__PRAVOSNAZNOST_DISCIPLINSKE_SANKCIJE_IMJERE:
				setPravosnaznostDisciplinskeSankcijeIMjere(PRAVOSNAZNOST_DISCIPLINSKE_SANKCIJE_IMJERE_EDEFAULT);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__REZULTAT_INTERNOG_POSTUPKA:
				setRezultatInternogPostupka((RezultatInternogPostupkaImpl)null);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__POVREDA_PO_ZAKONU:
				setPovredaPoZakonu((PovredaPoZakonuImpl)null);
				return;
			case PbdmodelPackage.INTERNI_POSTUPAK__NAZIV_POVREDE_SLUZBENE_DUZNOSTI:
				setNazivPovredeSluzbeneDuznosti((NazivPovredeSluzbeneDuznostiImpl)null);
				return;
//			case PbdmodelPackage.INTERNI_POSTUPAK__SLUZBENIK_PROTIV_KOGA_JE_PODNESENA_ZALBA:
//				setSluzbenikProtivKogaJePodnesenaZalba((SluzbenaOsobaImpl)null);
//				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.INTERNI_POSTUPAK__ID_INTERNI_POSTUPAK:
				return idInterniPostupak != ID_INTERNI_POSTUPAK_EDEFAULT;
			case PbdmodelPackage.INTERNI_POSTUPAK__DATUM_POKRETANJA_INTERNOG_POSTUPKA:
				return DATUM_POKRETANJA_INTERNOG_POSTUPKA_EDEFAULT == null ? datumPokretanjaInternogPostupka != null : !DATUM_POKRETANJA_INTERNOG_POSTUPKA_EDEFAULT.equals(datumPokretanjaInternogPostupka);
			case PbdmodelPackage.INTERNI_POSTUPAK__DATUM_ZAVRSETKA_INTERNOG_POSTUPKA:
				return DATUM_ZAVRSETKA_INTERNOG_POSTUPKA_EDEFAULT == null ? datumZavrsetkaInternogPostupka != null : !DATUM_ZAVRSETKA_INTERNOG_POSTUPKA_EDEFAULT.equals(datumZavrsetkaInternogPostupka);
			case PbdmodelPackage.INTERNI_POSTUPAK__UTVRDJENA_POVREDA_SLUZBENE_DUZNOSTI:
				return UTVRDJENA_POVREDA_SLUZBENE_DUZNOSTI_EDEFAULT == null ? utvrdjenaPovredaSluzbeneDuznosti != null : !UTVRDJENA_POVREDA_SLUZBENE_DUZNOSTI_EDEFAULT.equals(utvrdjenaPovredaSluzbeneDuznosti);
			case PbdmodelPackage.INTERNI_POSTUPAK__UTVRDJENA_DISCIPLINSKA_SANKCIJA:
				return UTVRDJENA_DISCIPLINSKA_SANKCIJA_EDEFAULT == null ? utvrdjenaDisciplinskaSankcija != null : !UTVRDJENA_DISCIPLINSKA_SANKCIJA_EDEFAULT.equals(utvrdjenaDisciplinskaSankcija);
			case PbdmodelPackage.INTERNI_POSTUPAK__IZNOS_KAZNE:
				return IZNOS_KAZNE_EDEFAULT == null ? iznosKazne != null : !IZNOS_KAZNE_EDEFAULT.equals(iznosKazne);
			case PbdmodelPackage.INTERNI_POSTUPAK__VALUTA:
				return VALUTA_EDEFAULT == null ? valuta != null : !VALUTA_EDEFAULT.equals(valuta);
			case PbdmodelPackage.INTERNI_POSTUPAK__TRAJANJE_UMJESECIMA:
				return TRAJANJE_UMJESECIMA_EDEFAULT == null ? trajanjeUMjesecima != null : !TRAJANJE_UMJESECIMA_EDEFAULT.equals(trajanjeUMjesecima);
			case PbdmodelPackage.INTERNI_POSTUPAK__KAZNENI_BODOVI:
				return KAZNENI_BODOVI_EDEFAULT == null ? kazneniBodovi != null : !KAZNENI_BODOVI_EDEFAULT.equals(kazneniBodovi);
			case PbdmodelPackage.INTERNI_POSTUPAK__PRAVOSNAZNOST_DISCIPLINSKE_SANKCIJE_IMJERE:
				return PRAVOSNAZNOST_DISCIPLINSKE_SANKCIJE_IMJERE_EDEFAULT == null ? pravosnaznostDisciplinskeSankcijeIMjere != null : !PRAVOSNAZNOST_DISCIPLINSKE_SANKCIJE_IMJERE_EDEFAULT.equals(pravosnaznostDisciplinskeSankcijeIMjere);
			case PbdmodelPackage.INTERNI_POSTUPAK__REZULTAT_INTERNOG_POSTUPKA:
				return rezultatInternogPostupka != null;
			case PbdmodelPackage.INTERNI_POSTUPAK__POVREDA_PO_ZAKONU:
				return povredaPoZakonu != null;
			case PbdmodelPackage.INTERNI_POSTUPAK__NAZIV_POVREDE_SLUZBENE_DUZNOSTI:
				return nazivPovredeSluzbeneDuznosti != null;
//			case PbdmodelPackage.INTERNI_POSTUPAK__SLUZBENIK_PROTIV_KOGA_JE_PODNESENA_ZALBA:
//				return sluzbenikProtivKogaJePodnesenaZalba != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (idInterniPostupak: ");
		result.append(idInterniPostupak);
		result.append(", datumPokretanjaInternogPostupka: ");
		result.append(datumPokretanjaInternogPostupka);
		result.append(", datumZavrsetkaInternogPostupka: ");
		result.append(datumZavrsetkaInternogPostupka);
		result.append(", utvrdjenaPovredaSluzbeneDuznosti: ");
		result.append(utvrdjenaPovredaSluzbeneDuznosti);
		result.append(", utvrdjenaDisciplinskaSankcija: ");
		result.append(utvrdjenaDisciplinskaSankcija);
		result.append(", iznosKazne: ");
		result.append(iznosKazne);
		result.append(", valuta: ");
		result.append(valuta);
		result.append(", trajanjeUMjesecima: ");
		result.append(trajanjeUMjesecima);
		result.append(", kazneniBodovi: ");
		result.append(kazneniBodovi);
		result.append(", pravosnaznostDisciplinskeSankcijeIMjere: ");
		result.append(pravosnaznostDisciplinskeSankcijeIMjere);
		result.append(')');
		return result.toString();
	}

} //InterniPostupakImpl
