/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.IskljucivanjeVozilaIzPrometa;
import pbdmodel.PbdmodelPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Iskljucivanje Vozila Iz Prometa</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.IskljucivanjeVozilaIzPrometaImpl#getIDEvidencijaIskljucenihVozilaIzPrometa <em>ID Evidencija Iskljucenih Vozila Iz Prometa</em>}</li>
 *   <li>{@link pbdmodel.impl.IskljucivanjeVozilaIzPrometaImpl#getMjestoParkiranjaIOsiguranjaVozila <em>Mjesto Parkiranja IOsiguranja Vozila</em>}</li>
 *   <li>{@link pbdmodel.impl.IskljucivanjeVozilaIzPrometaImpl#getMjerePreduzetePremaVozacu <em>Mjere Preduzete Prema Vozacu</em>}</li>
 *   <li>{@link pbdmodel.impl.IskljucivanjeVozilaIzPrometaImpl#getMjerePreduzetePremaVlasniku <em>Mjere Preduzete Prema Vlasniku</em>}</li>
 *   <li>{@link pbdmodel.impl.IskljucivanjeVozilaIzPrometaImpl#getDatumIskljucivanja <em>Datum Iskljucivanja</em>}</li>
 *   <li>{@link pbdmodel.impl.IskljucivanjeVozilaIzPrometaImpl#getVrijemeIskljucivanja <em>Vrijeme Iskljucivanja</em>}</li>
 *   <li>{@link pbdmodel.impl.IskljucivanjeVozilaIzPrometaImpl#getRazlogIskljucivanja <em>Razlog Iskljucivanja</em>}</li>
 *   <li>{@link pbdmodel.impl.IskljucivanjeVozilaIzPrometaImpl#getZakonskaOsnova <em>Zakonska Osnova</em>}</li>
 *   <li>{@link pbdmodel.impl.IskljucivanjeVozilaIzPrometaImpl#getVozilo <em>VoziloImpl</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class IskljucivanjeVozilaIzPrometaImpl extends AktivnostImpl implements IskljucivanjeVozilaIzPrometa {
	/**
	 * The default value of the '{@link #getIDEvidencijaIskljucenihVozilaIzPrometa() <em>ID Evidencija Iskljucenih Vozila Iz Prometa</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDEvidencijaIskljucenihVozilaIzPrometa()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_EVIDENCIJA_ISKLJUCENIH_VOZILA_IZ_PROMETA_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDEvidencijaIskljucenihVozilaIzPrometa() <em>ID Evidencija Iskljucenih Vozila Iz Prometa</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDEvidencijaIskljucenihVozilaIzPrometa()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long iDEvidencijaIskljucenihVozilaIzPrometa = ID_EVIDENCIJA_ISKLJUCENIH_VOZILA_IZ_PROMETA_EDEFAULT;

	/**
	 * The default value of the '{@link #getMjestoParkiranjaIOsiguranjaVozila() <em>Mjesto Parkiranja IOsiguranja Vozila</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjestoParkiranjaIOsiguranjaVozila()
	 * @generated
	 * @ordered
	 */
	protected static final String MJESTO_PARKIRANJA_IOSIGURANJA_VOZILA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getMjestoParkiranjaIOsiguranjaVozila() <em>Mjesto Parkiranja IOsiguranja Vozila</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjestoParkiranjaIOsiguranjaVozila()
	 * @generated
	 * @ordered
	 */
	protected String mjestoParkiranjaIOsiguranjaVozila = MJESTO_PARKIRANJA_IOSIGURANJA_VOZILA_EDEFAULT;

	/**
	 * The default value of the '{@link #getMjerePreduzetePremaVozacu() <em>Mjere Preduzete Prema Vozacu</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjerePreduzetePremaVozacu()
	 * @generated
	 * @ordered
	 */
	protected static final String MJERE_PREDUZETE_PREMA_VOZACU_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getMjerePreduzetePremaVozacu() <em>Mjere Preduzete Prema Vozacu</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjerePreduzetePremaVozacu()
	 * @generated
	 * @ordered
	 */
	protected String mjerePreduzetePremaVozacu = MJERE_PREDUZETE_PREMA_VOZACU_EDEFAULT;

	/**
	 * The default value of the '{@link #getMjerePreduzetePremaVlasniku() <em>Mjere Preduzete Prema Vlasniku</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjerePreduzetePremaVlasniku()
	 * @generated
	 * @ordered
	 */
	protected static final String MJERE_PREDUZETE_PREMA_VLASNIKU_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getMjerePreduzetePremaVlasniku() <em>Mjere Preduzete Prema Vlasniku</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjerePreduzetePremaVlasniku()
	 * @generated
	 * @ordered
	 */
	protected String mjerePreduzetePremaVlasniku = MJERE_PREDUZETE_PREMA_VLASNIKU_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumIskljucivanja() <em>Datum Iskljucivanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumIskljucivanja()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_ISKLJUCIVANJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumIskljucivanja() <em>Datum Iskljucivanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumIskljucivanja()
	 * @generated
	 * @ordered
	 */
	protected Date datumIskljucivanja = DATUM_ISKLJUCIVANJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getVrijemeIskljucivanja() <em>Vrijeme Iskljucivanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeIskljucivanja()
	 * @generated
	 * @ordered
	 */
	protected static final Date VRIJEME_ISKLJUCIVANJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVrijemeIskljucivanja() <em>Vrijeme Iskljucivanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeIskljucivanja()
	 * @generated
	 * @ordered
	 */
	protected Date vrijemeIskljucivanja = VRIJEME_ISKLJUCIVANJA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getRazlogIskljucivanja() <em>Razlog Iskljucivanja</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRazlogIskljucivanja()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="RAZLOG_ISKLJUCIVANJA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<RazlogIskljucivanjaImpl> razlogIskljucivanja;

	/**
	 * The cached value of the '{@link #getZakonskaOsnova() <em>Zakonska Osnova</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getZakonskaOsnova()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ZAKONSKA_OSNOVA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected ZakonskaOsnovaImpl zakonskaOsnova;

	/**
	 * The cached value of the '{@link #getVozilo() <em>VoziloImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVozilo()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VOZILO_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected VoziloImpl vozilo;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public IskljucivanjeVozilaIzPrometaImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getIskljucivanjeVozilaIzPrometa();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDEvidencijaIskljucenihVozilaIzPrometa() {
		return iDEvidencijaIskljucenihVozilaIzPrometa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDEvidencijaIskljucenihVozilaIzPrometa(long newIDEvidencijaIskljucenihVozilaIzPrometa) {
		long oldIDEvidencijaIskljucenihVozilaIzPrometa = iDEvidencijaIskljucenihVozilaIzPrometa;
		iDEvidencijaIskljucenihVozilaIzPrometa = newIDEvidencijaIskljucenihVozilaIzPrometa;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__ID_EVIDENCIJA_ISKLJUCENIH_VOZILA_IZ_PROMETA, oldIDEvidencijaIskljucenihVozilaIzPrometa, iDEvidencijaIskljucenihVozilaIzPrometa));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getMjestoParkiranjaIOsiguranjaVozila() {
		return mjestoParkiranjaIOsiguranjaVozila;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMjestoParkiranjaIOsiguranjaVozila(String newMjestoParkiranjaIOsiguranjaVozila) {
		String oldMjestoParkiranjaIOsiguranjaVozila = mjestoParkiranjaIOsiguranjaVozila;
		mjestoParkiranjaIOsiguranjaVozila = newMjestoParkiranjaIOsiguranjaVozila;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__MJESTO_PARKIRANJA_IOSIGURANJA_VOZILA, oldMjestoParkiranjaIOsiguranjaVozila, mjestoParkiranjaIOsiguranjaVozila));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getMjerePreduzetePremaVozacu() {
		return mjerePreduzetePremaVozacu;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMjerePreduzetePremaVozacu(String newMjerePreduzetePremaVozacu) {
		String oldMjerePreduzetePremaVozacu = mjerePreduzetePremaVozacu;
		mjerePreduzetePremaVozacu = newMjerePreduzetePremaVozacu;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__MJERE_PREDUZETE_PREMA_VOZACU, oldMjerePreduzetePremaVozacu, mjerePreduzetePremaVozacu));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getMjerePreduzetePremaVlasniku() {
		return mjerePreduzetePremaVlasniku;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMjerePreduzetePremaVlasniku(String newMjerePreduzetePremaVlasniku) {
		String oldMjerePreduzetePremaVlasniku = mjerePreduzetePremaVlasniku;
		mjerePreduzetePremaVlasniku = newMjerePreduzetePremaVlasniku;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__MJERE_PREDUZETE_PREMA_VLASNIKU, oldMjerePreduzetePremaVlasniku, mjerePreduzetePremaVlasniku));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumIskljucivanja() {
		return datumIskljucivanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumIskljucivanja(Date newDatumIskljucivanja) {
		Date oldDatumIskljucivanja = datumIskljucivanja;
		datumIskljucivanja = newDatumIskljucivanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__DATUM_ISKLJUCIVANJA, oldDatumIskljucivanja, datumIskljucivanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getVrijemeIskljucivanja() {
		return vrijemeIskljucivanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrijemeIskljucivanja(Date newVrijemeIskljucivanja) {
		Date oldVrijemeIskljucivanja = vrijemeIskljucivanja;
		vrijemeIskljucivanja = newVrijemeIskljucivanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__VRIJEME_ISKLJUCIVANJA, oldVrijemeIskljucivanja, vrijemeIskljucivanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<RazlogIskljucivanjaImpl> getRazlogIskljucivanja() {
		if (razlogIskljucivanja == null) {
			razlogIskljucivanja = new ArrayList<RazlogIskljucivanjaImpl>();
		}
		return razlogIskljucivanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ZakonskaOsnovaImpl getZakonskaOsnova() {
		if (zakonskaOsnova != null && zakonskaOsnova.eIsProxy()) {
			InternalEObject oldZakonskaOsnova = (InternalEObject)zakonskaOsnova;
			zakonskaOsnova = (ZakonskaOsnovaImpl)eResolveProxy(oldZakonskaOsnova);
			if (zakonskaOsnova != oldZakonskaOsnova) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__ZAKONSKA_OSNOVA, oldZakonskaOsnova, zakonskaOsnova));
			}
		}
		return zakonskaOsnova;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ZakonskaOsnovaImpl basicGetZakonskaOsnova() {
		return zakonskaOsnova;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setZakonskaOsnova(ZakonskaOsnovaImpl newZakonskaOsnova) {
		ZakonskaOsnovaImpl oldZakonskaOsnova = zakonskaOsnova;
		zakonskaOsnova = newZakonskaOsnova;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__ZAKONSKA_OSNOVA, oldZakonskaOsnova, zakonskaOsnova));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VoziloImpl getVozilo() {
		if (vozilo != null && vozilo.eIsProxy()) {
			InternalEObject oldVozilo = (InternalEObject)vozilo;
			vozilo = (VoziloImpl)eResolveProxy(oldVozilo);
			if (vozilo != oldVozilo) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__VOZILO, oldVozilo, vozilo));
			}
		}
		return vozilo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VoziloImpl basicGetVozilo() {
		return vozilo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVozilo(VoziloImpl newVozilo) {
		VoziloImpl oldVozilo = vozilo;
		vozilo = newVozilo;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__VOZILO, oldVozilo, vozilo));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__ID_EVIDENCIJA_ISKLJUCENIH_VOZILA_IZ_PROMETA:
				return getIDEvidencijaIskljucenihVozilaIzPrometa();
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__MJESTO_PARKIRANJA_IOSIGURANJA_VOZILA:
				return getMjestoParkiranjaIOsiguranjaVozila();
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__MJERE_PREDUZETE_PREMA_VOZACU:
				return getMjerePreduzetePremaVozacu();
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__MJERE_PREDUZETE_PREMA_VLASNIKU:
				return getMjerePreduzetePremaVlasniku();
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__DATUM_ISKLJUCIVANJA:
				return getDatumIskljucivanja();
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__VRIJEME_ISKLJUCIVANJA:
				return getVrijemeIskljucivanja();
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__RAZLOG_ISKLJUCIVANJA:
				return getRazlogIskljucivanja();
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__ZAKONSKA_OSNOVA:
				if (resolve) return getZakonskaOsnova();
				return basicGetZakonskaOsnova();
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__VOZILO:
				if (resolve) return getVozilo();
				return basicGetVozilo();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__ID_EVIDENCIJA_ISKLJUCENIH_VOZILA_IZ_PROMETA:
				setIDEvidencijaIskljucenihVozilaIzPrometa((Long)newValue);
				return;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__MJESTO_PARKIRANJA_IOSIGURANJA_VOZILA:
				setMjestoParkiranjaIOsiguranjaVozila((String)newValue);
				return;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__MJERE_PREDUZETE_PREMA_VOZACU:
				setMjerePreduzetePremaVozacu((String)newValue);
				return;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__MJERE_PREDUZETE_PREMA_VLASNIKU:
				setMjerePreduzetePremaVlasniku((String)newValue);
				return;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__DATUM_ISKLJUCIVANJA:
				setDatumIskljucivanja((Date)newValue);
				return;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__VRIJEME_ISKLJUCIVANJA:
				setVrijemeIskljucivanja((Date)newValue);
				return;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__RAZLOG_ISKLJUCIVANJA:
				getRazlogIskljucivanja().clear();
				getRazlogIskljucivanja().addAll((Collection<? extends RazlogIskljucivanjaImpl>)newValue);
				return;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__ZAKONSKA_OSNOVA:
				setZakonskaOsnova((ZakonskaOsnovaImpl)newValue);
				return;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__VOZILO:
				setVozilo((VoziloImpl)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__ID_EVIDENCIJA_ISKLJUCENIH_VOZILA_IZ_PROMETA:
				setIDEvidencijaIskljucenihVozilaIzPrometa(ID_EVIDENCIJA_ISKLJUCENIH_VOZILA_IZ_PROMETA_EDEFAULT);
				return;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__MJESTO_PARKIRANJA_IOSIGURANJA_VOZILA:
				setMjestoParkiranjaIOsiguranjaVozila(MJESTO_PARKIRANJA_IOSIGURANJA_VOZILA_EDEFAULT);
				return;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__MJERE_PREDUZETE_PREMA_VOZACU:
				setMjerePreduzetePremaVozacu(MJERE_PREDUZETE_PREMA_VOZACU_EDEFAULT);
				return;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__MJERE_PREDUZETE_PREMA_VLASNIKU:
				setMjerePreduzetePremaVlasniku(MJERE_PREDUZETE_PREMA_VLASNIKU_EDEFAULT);
				return;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__DATUM_ISKLJUCIVANJA:
				setDatumIskljucivanja(DATUM_ISKLJUCIVANJA_EDEFAULT);
				return;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__VRIJEME_ISKLJUCIVANJA:
				setVrijemeIskljucivanja(VRIJEME_ISKLJUCIVANJA_EDEFAULT);
				return;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__RAZLOG_ISKLJUCIVANJA:
				getRazlogIskljucivanja().clear();
				return;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__ZAKONSKA_OSNOVA:
				setZakonskaOsnova((ZakonskaOsnovaImpl)null);
				return;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__VOZILO:
				setVozilo((VoziloImpl)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__ID_EVIDENCIJA_ISKLJUCENIH_VOZILA_IZ_PROMETA:
				return iDEvidencijaIskljucenihVozilaIzPrometa != ID_EVIDENCIJA_ISKLJUCENIH_VOZILA_IZ_PROMETA_EDEFAULT;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__MJESTO_PARKIRANJA_IOSIGURANJA_VOZILA:
				return MJESTO_PARKIRANJA_IOSIGURANJA_VOZILA_EDEFAULT == null ? mjestoParkiranjaIOsiguranjaVozila != null : !MJESTO_PARKIRANJA_IOSIGURANJA_VOZILA_EDEFAULT.equals(mjestoParkiranjaIOsiguranjaVozila);
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__MJERE_PREDUZETE_PREMA_VOZACU:
				return MJERE_PREDUZETE_PREMA_VOZACU_EDEFAULT == null ? mjerePreduzetePremaVozacu != null : !MJERE_PREDUZETE_PREMA_VOZACU_EDEFAULT.equals(mjerePreduzetePremaVozacu);
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__MJERE_PREDUZETE_PREMA_VLASNIKU:
				return MJERE_PREDUZETE_PREMA_VLASNIKU_EDEFAULT == null ? mjerePreduzetePremaVlasniku != null : !MJERE_PREDUZETE_PREMA_VLASNIKU_EDEFAULT.equals(mjerePreduzetePremaVlasniku);
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__DATUM_ISKLJUCIVANJA:
				return DATUM_ISKLJUCIVANJA_EDEFAULT == null ? datumIskljucivanja != null : !DATUM_ISKLJUCIVANJA_EDEFAULT.equals(datumIskljucivanja);
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__VRIJEME_ISKLJUCIVANJA:
				return VRIJEME_ISKLJUCIVANJA_EDEFAULT == null ? vrijemeIskljucivanja != null : !VRIJEME_ISKLJUCIVANJA_EDEFAULT.equals(vrijemeIskljucivanja);
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__RAZLOG_ISKLJUCIVANJA:
				return razlogIskljucivanja != null && !razlogIskljucivanja.isEmpty();
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__ZAKONSKA_OSNOVA:
				return zakonskaOsnova != null;
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA__VOZILO:
				return vozilo != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDEvidencijaIskljucenihVozilaIzPrometa: ");
		result.append(iDEvidencijaIskljucenihVozilaIzPrometa);
		result.append(", mjestoParkiranjaIOsiguranjaVozila: ");
		result.append(mjestoParkiranjaIOsiguranjaVozila);
		result.append(", mjerePreduzetePremaVozacu: ");
		result.append(mjerePreduzetePremaVozacu);
		result.append(", mjerePreduzetePremaVlasniku: ");
		result.append(mjerePreduzetePremaVlasniku);
		result.append(", datumIskljucivanja: ");
		result.append(datumIskljucivanja);
		result.append(", vrijemeIskljucivanja: ");
		result.append(vrijemeIskljucivanja);
		result.append(')');
		return result.toString();
	}

} //IskljucivanjeVozilaIzPrometaImpl
