/**
 */
package pbdmodel.impl;

import java.util.Date;

import javax.persistence.CascadeType;
import javax.persistence.DiscriminatorColumn;
import javax.persistence.DiscriminatorType;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.SequenceGenerator;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.Osoba;
import pbdmodel.PbdmodelPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Osoba</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getIDOsobe <em>ID Osobe</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getJMB <em>JMB</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getIme <em>Ime</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getPrezime <em>Prezime</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getImeRoditelja <em>Ime Roditelja</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getSpol <em>Spol</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getNadimak <em>Nadimak</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getStrucnaSprema <em>Strucna Sprema</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getImeOca <em>Ime Oca</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getImeMajke <em>Ime Majke</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getDjevojackoPrezimeMajke <em>Djevojacko Prezime Majke</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getDatumRodjenja <em>Datum Rodjenja</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getMjestoZaposlenja <em>MjestoImpl Zaposlenja</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getBrojLicnogDokumenta <em>Broj Licnog Dokumenta</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getLicniDokumentIzdatOd <em>Licni Dokument Izdat Od</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getPunoIme <em>Puno Ime</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getVrsteOsobe <em>Vrste Osobe</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getZvanje <em>Zvanje</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getOpisOsobe <em>Opis Osobe</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getTipLicnogDokumenta <em>Tip Licnog Dokumenta</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getNacionalnost <em>NacionalnostImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getAdresa <em>AdresaImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getMjesto <em>MjestoImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getZanimanje <em>Zanimanje</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#isMaloljetnik <em>Maloljetnik</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getPonasanje <em>Ponasanje</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getBrojTelefona <em>Broj Telefona</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getDjevojackoPrezime <em>Djevojacko Prezime</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getDrzavaRodjenja <em>DrzavaImpl Rodjenja</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getOpstinaRodjenja <em>OpstinaImpl Rodjenja</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getBrojLicneKarte <em>Broj Licne Karte</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getBrojVozackeDozvole <em>Broj Vozacke Dozvole</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getKrvnaGrupa <em>Krvna Grupa</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getDrzavljanstvo <em>DrzavljanstvoImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.OsobaImpl#getStepoenInvalidnosti <em>Stepoen Invalidnosti</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
@Inheritance(strategy=InheritanceType.JOINED)
@DiscriminatorColumn(name="DISC", discriminatorType=DiscriminatorType.STRING, length=20)
@DiscriminatorValue("OSOBA")
@SequenceGenerator(name="OSOBA_SEQ", allocationSize=1)
public class OsobaImpl extends MetadataImpl implements Osoba {
	/**
	 * The default value of the '{@link #getIDOsobe() <em>ID Osobe</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDOsobe()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_OSOBE_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDOsobe() <em>ID Osobe</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDOsobe()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.AUTO, generator="OSOBA_SEQ")
	protected long iDOsobe = ID_OSOBE_EDEFAULT;

	/**
	 * The default value of the '{@link #getJMB() <em>JMB</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getJMB()
	 * @generated
	 * @ordered
	 */
	protected static final String JMB_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getJMB() <em>JMB</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getJMB()
	 * @generated
	 * @ordered
	 */
	protected String jmb = JMB_EDEFAULT;

	/**
	 * The default value of the '{@link #getIme() <em>Ime</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIme()
	 * @generated
	 * @ordered
	 */
	protected static final String IME_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getIme() <em>Ime</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIme()
	 * @generated
	 * @ordered
	 */
	protected String ime = IME_EDEFAULT;

	/**
	 * The default value of the '{@link #getPrezime() <em>Prezime</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPrezime()
	 * @generated
	 * @ordered
	 */
	protected static final String PREZIME_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPrezime() <em>Prezime</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPrezime()
	 * @generated
	 * @ordered
	 */
	protected String prezime = PREZIME_EDEFAULT;

	/**
	 * The default value of the '{@link #getImeRoditelja() <em>Ime Roditelja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getImeRoditelja()
	 * @generated
	 * @ordered
	 */
	protected static final String IME_RODITELJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getImeRoditelja() <em>Ime Roditelja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getImeRoditelja()
	 * @generated
	 * @ordered
	 */
	protected String imeRoditelja = IME_RODITELJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getSpol() <em>Spol</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSpol()
	 * @generated
	 * @ordered
	 */
	protected static final String SPOL_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getSpol() <em>Spol</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSpol()
	 * @generated
	 * @ordered
	 */
	protected String spol = SPOL_EDEFAULT;

	/**
	 * The default value of the '{@link #getNadimak() <em>Nadimak</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNadimak()
	 * @generated
	 * @ordered
	 */
	protected static final String NADIMAK_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getNadimak() <em>Nadimak</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNadimak()
	 * @generated
	 * @ordered
	 */
	protected String nadimak = NADIMAK_EDEFAULT;

	/**
	 * The default value of the '{@link #getStrucnaSprema() <em>Strucna Sprema</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStrucnaSprema()
	 * @generated
	 * @ordered
	 */
	protected static final String STRUCNA_SPREMA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getStrucnaSprema() <em>Strucna Sprema</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStrucnaSprema()
	 * @generated
	 * @ordered
	 */
	protected String strucnaSprema = STRUCNA_SPREMA_EDEFAULT;

	/**
	 * The default value of the '{@link #getImeOca() <em>Ime Oca</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getImeOca()
	 * @generated
	 * @ordered
	 */
	protected static final String IME_OCA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getImeOca() <em>Ime Oca</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getImeOca()
	 * @generated
	 * @ordered
	 */
	protected String imeOca = IME_OCA_EDEFAULT;

	/**
	 * The default value of the '{@link #getImeMajke() <em>Ime Majke</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getImeMajke()
	 * @generated
	 * @ordered
	 */
	protected static final String IME_MAJKE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getImeMajke() <em>Ime Majke</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getImeMajke()
	 * @generated
	 * @ordered
	 */
	protected String imeMajke = IME_MAJKE_EDEFAULT;

	/**
	 * The default value of the '{@link #getDjevojackoPrezimeMajke() <em>Djevojacko Prezime Majke</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDjevojackoPrezimeMajke()
	 * @generated
	 * @ordered
	 */
	protected static final String DJEVOJACKO_PREZIME_MAJKE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDjevojackoPrezimeMajke() <em>Djevojacko Prezime Majke</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDjevojackoPrezimeMajke()
	 * @generated
	 * @ordered
	 */
	protected String djevojackoPrezimeMajke = DJEVOJACKO_PREZIME_MAJKE_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumRodjenja() <em>Datum Rodjenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumRodjenja()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_RODJENJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumRodjenja() <em>Datum Rodjenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumRodjenja()
	 * @generated
	 * @ordered
	 */
	protected Date datumRodjenja = DATUM_RODJENJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getMjestoZaposlenja() <em>MjestoImpl Zaposlenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjestoZaposlenja()
	 * @generated
	 * @ordered
	 */
	protected static final String MJESTO_ZAPOSLENJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getMjestoZaposlenja() <em>MjestoImpl Zaposlenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjestoZaposlenja()
	 * @generated
	 * @ordered
	 */
	protected String mjestoZaposlenja = MJESTO_ZAPOSLENJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getBrojLicnogDokumenta() <em>Broj Licnog Dokumenta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojLicnogDokumenta()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_LICNOG_DOKUMENTA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojLicnogDokumenta() <em>Broj Licnog Dokumenta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojLicnogDokumenta()
	 * @generated
	 * @ordered
	 */
	protected String brojLicnogDokumenta = BROJ_LICNOG_DOKUMENTA_EDEFAULT;

	/**
	 * The default value of the '{@link #getLicniDokumentIzdatOd() <em>Licni Dokument Izdat Od</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLicniDokumentIzdatOd()
	 * @generated
	 * @ordered
	 */
	protected static final String LICNI_DOKUMENT_IZDAT_OD_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getLicniDokumentIzdatOd() <em>Licni Dokument Izdat Od</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLicniDokumentIzdatOd()
	 * @generated
	 * @ordered
	 */
	protected String licniDokumentIzdatOd = LICNI_DOKUMENT_IZDAT_OD_EDEFAULT;

	/**
	 * The default value of the '{@link #getPunoIme() <em>Puno Ime</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPunoIme()
	 * @generated
	 * @ordered
	 */
	protected static final String PUNO_IME_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPunoIme() <em>Puno Ime</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPunoIme()
	 * @generated
	 * @ordered
	 */
	protected String punoIme = PUNO_IME_EDEFAULT;

	/**
	 * The default value of the '{@link #getVrsteOsobe() <em>Vrste Osobe</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrsteOsobe()
	 * @generated
	 * @ordered
	 */
	protected static final String VRSTE_OSOBE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVrsteOsobe() <em>Vrste Osobe</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrsteOsobe()
	 * @generated
	 * @ordered
	 */
	protected String vrsteOsobe = VRSTE_OSOBE_EDEFAULT;

	/**
	 * The default value of the '{@link #getZvanje() <em>Zvanje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getZvanje()
	 * @generated
	 * @ordered
	 */
	protected static final String ZVANJE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getZvanje() <em>Zvanje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getZvanje()
	 * @generated
	 * @ordered
	 */
	protected String zvanje = ZVANJE_EDEFAULT;

	/**
	 * The cached value of the '{@link #getOpisOsobe() <em>Opis Osobe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpisOsobe()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OPIS_OSOBE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OpisOsobeImpl opisOsobe;

	/**
	 * The cached value of the '{@link #getTipLicnogDokumenta() <em>Tip Licnog Dokumenta</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTipLicnogDokumenta()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="TIP_LICNOG_DOKUMENTA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected TipLicnogDokumentaImpl tipLicnogDokumenta;

	/**
	 * The cached value of the '{@link #getNacionalnost() <em>NacionalnostImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNacionalnost()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="NACIONALNOST_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected NacionalnostImpl nacionalnost;

	/**
	 * The cached value of the '{@link #getAdresa() <em>AdresaImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getAdresa()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ADRESA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected AdresaImpl adresa;

	/**
	 * The cached value of the '{@link #getMjesto() <em>MjestoImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjesto()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="MJESTO_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected MjestoImpl mjesto;

	/**
	 * The default value of the '{@link #getZanimanje() <em>Zanimanje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getZanimanje()
	 * @generated
	 * @ordered
	 */
	protected static final String ZANIMANJE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getZanimanje() <em>Zanimanje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getZanimanje()
	 * @generated
	 * @ordered
	 */
	protected String zanimanje = ZANIMANJE_EDEFAULT;

	/**
	 * The default value of the '{@link #isMaloljetnik() <em>Maloljetnik</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isMaloljetnik()
	 * @generated
	 * @ordered
	 */
	protected static final boolean MALOLJETNIK_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isMaloljetnik() <em>Maloljetnik</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isMaloljetnik()
	 * @generated
	 * @ordered
	 */
	protected boolean maloljetnik = MALOLJETNIK_EDEFAULT;

	/**
	 * The default value of the '{@link #getPonasanje() <em>Ponasanje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPonasanje()
	 * @generated
	 * @ordered
	 */
	protected static final String PONASANJE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPonasanje() <em>Ponasanje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPonasanje()
	 * @generated
	 * @ordered
	 */
	protected String ponasanje = PONASANJE_EDEFAULT;

	/**
	 * The default value of the '{@link #getBrojTelefona() <em>Broj Telefona</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojTelefona()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_TELEFONA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojTelefona() <em>Broj Telefona</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojTelefona()
	 * @generated
	 * @ordered
	 */
	protected String brojTelefona = BROJ_TELEFONA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDjevojackoPrezime() <em>Djevojacko Prezime</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDjevojackoPrezime()
	 * @generated
	 * @ordered
	 */
	protected static final String DJEVOJACKO_PREZIME_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDjevojackoPrezime() <em>Djevojacko Prezime</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDjevojackoPrezime()
	 * @generated
	 * @ordered
	 */
	protected String djevojackoPrezime = DJEVOJACKO_PREZIME_EDEFAULT;

	/**
	 * The cached value of the '{@link #getDrzavaRodjenja() <em>DrzavaImpl Rodjenja</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDrzavaRodjenja()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="DRZAVA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected DrzavaImpl drzavaRodjenja;

	/**
	 * The cached value of the '{@link #getOpstinaRodjenja() <em>OpstinaImpl Rodjenja</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpstinaRodjenja()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OPSTINA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OpstinaImpl opstinaRodjenja;

	/**
	 * The default value of the '{@link #getBrojLicneKarte() <em>Broj Licne Karte</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojLicneKarte()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_LICNE_KARTE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojLicneKarte() <em>Broj Licne Karte</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojLicneKarte()
	 * @generated
	 * @ordered
	 */
	protected String brojLicneKarte = BROJ_LICNE_KARTE_EDEFAULT;

	/**
	 * The default value of the '{@link #getBrojVozackeDozvole() <em>Broj Vozacke Dozvole</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojVozackeDozvole()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_VOZACKE_DOZVOLE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojVozackeDozvole() <em>Broj Vozacke Dozvole</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojVozackeDozvole()
	 * @generated
	 * @ordered
	 */
	protected String brojVozackeDozvole = BROJ_VOZACKE_DOZVOLE_EDEFAULT;

	/**
	 * The cached value of the '{@link #getKrvnaGrupa() <em>Krvna Grupa</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKrvnaGrupa()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="KRVNA_GRUPA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected KrvnaGrupaImpl krvnaGrupa;

	/**
	 * The cached value of the '{@link #getDrzavljanstvo() <em>DrzavljanstvoImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDrzavljanstvo()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="DRZAVLJANSTVO_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected DrzavljanstvoImpl drzavljanstvo;

	/**
	 * The default value of the '{@link #getStepoenInvalidnosti() <em>Stepoen Invalidnosti</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStepoenInvalidnosti()
	 * @generated
	 * @ordered
	 */
	protected static final String STEPOEN_INVALIDNOSTI_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getStepoenInvalidnosti() <em>Stepoen Invalidnosti</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStepoenInvalidnosti()
	 * @generated
	 * @ordered
	 */
	protected String stepoenInvalidnosti = STEPOEN_INVALIDNOSTI_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OsobaImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getOsoba();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDOsobe() {
		return iDOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDOsobe(long newIDOsobe) {
		long oldIDOsobe = iDOsobe;
		iDOsobe = newIDOsobe;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__ID_OSOBE, oldIDOsobe, iDOsobe));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getJMB() {
		return jmb;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setJMB(String newJMB) {
		String oldJMB = jmb;
		jmb = newJMB;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__JMB, oldJMB, jmb));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getIme() {
		return ime;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIme(String newIme) {
		String oldIme = ime;
		ime = newIme;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__IME, oldIme, ime));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPrezime() {
		return prezime;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPrezime(String newPrezime) {
		String oldPrezime = prezime;
		prezime = newPrezime;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__PREZIME, oldPrezime, prezime));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getImeRoditelja() {
		return imeRoditelja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setImeRoditelja(String newImeRoditelja) {
		String oldImeRoditelja = imeRoditelja;
		imeRoditelja = newImeRoditelja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__IME_RODITELJA, oldImeRoditelja, imeRoditelja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSpol() {
		return spol;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSpol(String newSpol) {
		String oldSpol = spol;
		spol = newSpol;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__SPOL, oldSpol, spol));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getNadimak() {
		return nadimak;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNadimak(String newNadimak) {
		String oldNadimak = nadimak;
		nadimak = newNadimak;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__NADIMAK, oldNadimak, nadimak));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getStrucnaSprema() {
		return strucnaSprema;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setStrucnaSprema(String newStrucnaSprema) {
		String oldStrucnaSprema = strucnaSprema;
		strucnaSprema = newStrucnaSprema;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__STRUCNA_SPREMA, oldStrucnaSprema, strucnaSprema));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getImeOca() {
		return imeOca;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setImeOca(String newImeOca) {
		String oldImeOca = imeOca;
		imeOca = newImeOca;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__IME_OCA, oldImeOca, imeOca));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getImeMajke() {
		return imeMajke;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setImeMajke(String newImeMajke) {
		String oldImeMajke = imeMajke;
		imeMajke = newImeMajke;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__IME_MAJKE, oldImeMajke, imeMajke));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getDjevojackoPrezimeMajke() {
		return djevojackoPrezimeMajke;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDjevojackoPrezimeMajke(String newDjevojackoPrezimeMajke) {
		String oldDjevojackoPrezimeMajke = djevojackoPrezimeMajke;
		djevojackoPrezimeMajke = newDjevojackoPrezimeMajke;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__DJEVOJACKO_PREZIME_MAJKE, oldDjevojackoPrezimeMajke, djevojackoPrezimeMajke));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumRodjenja() {
		return datumRodjenja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumRodjenja(Date newDatumRodjenja) {
		Date oldDatumRodjenja = datumRodjenja;
		datumRodjenja = newDatumRodjenja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__DATUM_RODJENJA, oldDatumRodjenja, datumRodjenja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getMjestoZaposlenja() {
		return mjestoZaposlenja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMjestoZaposlenja(String newMjestoZaposlenja) {
		String oldMjestoZaposlenja = mjestoZaposlenja;
		mjestoZaposlenja = newMjestoZaposlenja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__MJESTO_ZAPOSLENJA, oldMjestoZaposlenja, mjestoZaposlenja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojLicnogDokumenta() {
		return brojLicnogDokumenta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojLicnogDokumenta(String newBrojLicnogDokumenta) {
		String oldBrojLicnogDokumenta = brojLicnogDokumenta;
		brojLicnogDokumenta = newBrojLicnogDokumenta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__BROJ_LICNOG_DOKUMENTA, oldBrojLicnogDokumenta, brojLicnogDokumenta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getLicniDokumentIzdatOd() {
		return licniDokumentIzdatOd;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLicniDokumentIzdatOd(String newLicniDokumentIzdatOd) {
		String oldLicniDokumentIzdatOd = licniDokumentIzdatOd;
		licniDokumentIzdatOd = newLicniDokumentIzdatOd;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__LICNI_DOKUMENT_IZDAT_OD, oldLicniDokumentIzdatOd, licniDokumentIzdatOd));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPunoIme() {
		return punoIme;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPunoIme(String newPunoIme) {
		String oldPunoIme = punoIme;
		punoIme = newPunoIme;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__PUNO_IME, oldPunoIme, punoIme));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getVrsteOsobe() {
		return vrsteOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrsteOsobe(String newVrsteOsobe) {
		String oldVrsteOsobe = vrsteOsobe;
		vrsteOsobe = newVrsteOsobe;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__VRSTE_OSOBE, oldVrsteOsobe, vrsteOsobe));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getZvanje() {
		return zvanje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setZvanje(String newZvanje) {
		String oldZvanje = zvanje;
		zvanje = newZvanje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__ZVANJE, oldZvanje, zvanje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OpisOsobeImpl getOpisOsobe() {
		if (opisOsobe != null && opisOsobe.eIsProxy()) {
			InternalEObject oldOpisOsobe = (InternalEObject)opisOsobe;
			opisOsobe = (OpisOsobeImpl)eResolveProxy(oldOpisOsobe);
			if (opisOsobe != oldOpisOsobe) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.OSOBA__OPIS_OSOBE, oldOpisOsobe, opisOsobe));
			}
		}
		return opisOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OpisOsobeImpl basicGetOpisOsobe() {
		return opisOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOpisOsobe(OpisOsobeImpl newOpisOsobe) {
		OpisOsobeImpl oldOpisOsobe = opisOsobe;
		opisOsobe = newOpisOsobe;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__OPIS_OSOBE, oldOpisOsobe, opisOsobe));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TipLicnogDokumentaImpl getTipLicnogDokumenta() {
		if (tipLicnogDokumenta != null && tipLicnogDokumenta.eIsProxy()) {
			InternalEObject oldTipLicnogDokumenta = (InternalEObject)tipLicnogDokumenta;
			tipLicnogDokumenta = (TipLicnogDokumentaImpl)eResolveProxy(oldTipLicnogDokumenta);
			if (tipLicnogDokumenta != oldTipLicnogDokumenta) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.OSOBA__TIP_LICNOG_DOKUMENTA, oldTipLicnogDokumenta, tipLicnogDokumenta));
			}
		}
		return tipLicnogDokumenta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TipLicnogDokumentaImpl basicGetTipLicnogDokumenta() {
		return tipLicnogDokumenta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTipLicnogDokumenta(TipLicnogDokumentaImpl newTipLicnogDokumenta) {
		TipLicnogDokumentaImpl oldTipLicnogDokumenta = tipLicnogDokumenta;
		tipLicnogDokumenta = newTipLicnogDokumenta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__TIP_LICNOG_DOKUMENTA, oldTipLicnogDokumenta, tipLicnogDokumenta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NacionalnostImpl getNacionalnost() {
		if (nacionalnost != null && nacionalnost.eIsProxy()) {
			InternalEObject oldNacionalnost = (InternalEObject)nacionalnost;
			nacionalnost = (NacionalnostImpl)eResolveProxy(oldNacionalnost);
			if (nacionalnost != oldNacionalnost) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.OSOBA__NACIONALNOST, oldNacionalnost, nacionalnost));
			}
		}
		return nacionalnost;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NacionalnostImpl basicGetNacionalnost() {
		return nacionalnost;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNacionalnost(NacionalnostImpl newNacionalnost) {
		NacionalnostImpl oldNacionalnost = nacionalnost;
		nacionalnost = newNacionalnost;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__NACIONALNOST, oldNacionalnost, nacionalnost));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdresaImpl getAdresa() {
		if (adresa != null && adresa.eIsProxy()) {
			InternalEObject oldAdresa = (InternalEObject)adresa;
			adresa = (AdresaImpl)eResolveProxy(oldAdresa);
			if (adresa != oldAdresa) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.OSOBA__ADRESA, oldAdresa, adresa));
			}
		}
		return adresa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdresaImpl basicGetAdresa() {
		return adresa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setAdresa(AdresaImpl newAdresa) {
		AdresaImpl oldAdresa = adresa;
		adresa = newAdresa;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__ADRESA, oldAdresa, adresa));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MjestoImpl getMjesto() {
		if (mjesto != null && mjesto.eIsProxy()) {
			InternalEObject oldMjesto = (InternalEObject)mjesto;
			mjesto = (MjestoImpl)eResolveProxy(oldMjesto);
			if (mjesto != oldMjesto) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.OSOBA__MJESTO, oldMjesto, mjesto));
			}
		}
		return mjesto;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MjestoImpl basicGetMjesto() {
		return mjesto;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMjesto(MjestoImpl newMjesto) {
		MjestoImpl oldMjesto = mjesto;
		mjesto = newMjesto;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__MJESTO, oldMjesto, mjesto));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getZanimanje() {
		return zanimanje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setZanimanje(String newZanimanje) {
		String oldZanimanje = zanimanje;
		zanimanje = newZanimanje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__ZANIMANJE, oldZanimanje, zanimanje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isMaloljetnik() {
		return maloljetnik;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMaloljetnik(boolean newMaloljetnik) {
		boolean oldMaloljetnik = maloljetnik;
		maloljetnik = newMaloljetnik;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__MALOLJETNIK, oldMaloljetnik, maloljetnik));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPonasanje() {
		return ponasanje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPonasanje(String newPonasanje) {
		String oldPonasanje = ponasanje;
		ponasanje = newPonasanje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__PONASANJE, oldPonasanje, ponasanje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojTelefona() {
		return brojTelefona;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojTelefona(String newBrojTelefona) {
		String oldBrojTelefona = brojTelefona;
		brojTelefona = newBrojTelefona;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__BROJ_TELEFONA, oldBrojTelefona, brojTelefona));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getDjevojackoPrezime() {
		return djevojackoPrezime;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDjevojackoPrezime(String newDjevojackoPrezime) {
		String oldDjevojackoPrezime = djevojackoPrezime;
		djevojackoPrezime = newDjevojackoPrezime;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__DJEVOJACKO_PREZIME, oldDjevojackoPrezime, djevojackoPrezime));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DrzavaImpl getDrzavaRodjenja() {
		if (drzavaRodjenja != null && drzavaRodjenja.eIsProxy()) {
			InternalEObject oldDrzavaRodjenja = (InternalEObject)drzavaRodjenja;
			drzavaRodjenja = (DrzavaImpl)eResolveProxy(oldDrzavaRodjenja);
			if (drzavaRodjenja != oldDrzavaRodjenja) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.OSOBA__DRZAVA_RODJENJA, oldDrzavaRodjenja, drzavaRodjenja));
			}
		}
		return drzavaRodjenja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DrzavaImpl basicGetDrzavaRodjenja() {
		return drzavaRodjenja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDrzavaRodjenja(DrzavaImpl newDrzavaRodjenja) {
		DrzavaImpl oldDrzavaRodjenja = drzavaRodjenja;
		drzavaRodjenja = newDrzavaRodjenja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__DRZAVA_RODJENJA, oldDrzavaRodjenja, drzavaRodjenja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OpstinaImpl getOpstinaRodjenja() {
		if (opstinaRodjenja != null && opstinaRodjenja.eIsProxy()) {
			InternalEObject oldOpstinaRodjenja = (InternalEObject)opstinaRodjenja;
			opstinaRodjenja = (OpstinaImpl)eResolveProxy(oldOpstinaRodjenja);
			if (opstinaRodjenja != oldOpstinaRodjenja) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.OSOBA__OPSTINA_RODJENJA, oldOpstinaRodjenja, opstinaRodjenja));
			}
		}
		return opstinaRodjenja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OpstinaImpl basicGetOpstinaRodjenja() {
		return opstinaRodjenja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOpstinaRodjenja(OpstinaImpl newOpstinaRodjenja) {
		OpstinaImpl oldOpstinaRodjenja = opstinaRodjenja;
		opstinaRodjenja = newOpstinaRodjenja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__OPSTINA_RODJENJA, oldOpstinaRodjenja, opstinaRodjenja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojLicneKarte() {
		return brojLicneKarte;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojLicneKarte(String newBrojLicneKarte) {
		String oldBrojLicneKarte = brojLicneKarte;
		brojLicneKarte = newBrojLicneKarte;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__BROJ_LICNE_KARTE, oldBrojLicneKarte, brojLicneKarte));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojVozackeDozvole() {
		return brojVozackeDozvole;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojVozackeDozvole(String newBrojVozackeDozvole) {
		String oldBrojVozackeDozvole = brojVozackeDozvole;
		brojVozackeDozvole = newBrojVozackeDozvole;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__BROJ_VOZACKE_DOZVOLE, oldBrojVozackeDozvole, brojVozackeDozvole));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KrvnaGrupaImpl getKrvnaGrupa() {
		if (krvnaGrupa != null && krvnaGrupa.eIsProxy()) {
			InternalEObject oldKrvnaGrupa = (InternalEObject)krvnaGrupa;
			krvnaGrupa = (KrvnaGrupaImpl)eResolveProxy(oldKrvnaGrupa);
			if (krvnaGrupa != oldKrvnaGrupa) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.OSOBA__KRVNA_GRUPA, oldKrvnaGrupa, krvnaGrupa));
			}
		}
		return krvnaGrupa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KrvnaGrupaImpl basicGetKrvnaGrupa() {
		return krvnaGrupa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setKrvnaGrupa(KrvnaGrupaImpl newKrvnaGrupa) {
		KrvnaGrupaImpl oldKrvnaGrupa = krvnaGrupa;
		krvnaGrupa = newKrvnaGrupa;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__KRVNA_GRUPA, oldKrvnaGrupa, krvnaGrupa));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DrzavljanstvoImpl getDrzavljanstvo() {
		if (drzavljanstvo != null && drzavljanstvo.eIsProxy()) {
			InternalEObject oldDrzavljanstvo = (InternalEObject)drzavljanstvo;
			drzavljanstvo = (DrzavljanstvoImpl)eResolveProxy(oldDrzavljanstvo);
			if (drzavljanstvo != oldDrzavljanstvo) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.OSOBA__DRZAVLJANSTVO, oldDrzavljanstvo, drzavljanstvo));
			}
		}
		return drzavljanstvo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DrzavljanstvoImpl basicGetDrzavljanstvo() {
		return drzavljanstvo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDrzavljanstvo(DrzavljanstvoImpl newDrzavljanstvo) {
		DrzavljanstvoImpl oldDrzavljanstvo = drzavljanstvo;
		drzavljanstvo = newDrzavljanstvo;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__DRZAVLJANSTVO, oldDrzavljanstvo, drzavljanstvo));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getStepoenInvalidnosti() {
		return stepoenInvalidnosti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setStepoenInvalidnosti(String newStepoenInvalidnosti) {
		String oldStepoenInvalidnosti = stepoenInvalidnosti;
		stepoenInvalidnosti = newStepoenInvalidnosti;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OSOBA__STEPOEN_INVALIDNOSTI, oldStepoenInvalidnosti, stepoenInvalidnosti));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.OSOBA__ID_OSOBE:
				return getIDOsobe();
			case PbdmodelPackage.OSOBA__JMB:
				return getJMB();
			case PbdmodelPackage.OSOBA__IME:
				return getIme();
			case PbdmodelPackage.OSOBA__PREZIME:
				return getPrezime();
			case PbdmodelPackage.OSOBA__IME_RODITELJA:
				return getImeRoditelja();
			case PbdmodelPackage.OSOBA__SPOL:
				return getSpol();
			case PbdmodelPackage.OSOBA__NADIMAK:
				return getNadimak();
			case PbdmodelPackage.OSOBA__STRUCNA_SPREMA:
				return getStrucnaSprema();
			case PbdmodelPackage.OSOBA__IME_OCA:
				return getImeOca();
			case PbdmodelPackage.OSOBA__IME_MAJKE:
				return getImeMajke();
			case PbdmodelPackage.OSOBA__DJEVOJACKO_PREZIME_MAJKE:
				return getDjevojackoPrezimeMajke();
			case PbdmodelPackage.OSOBA__DATUM_RODJENJA:
				return getDatumRodjenja();
			case PbdmodelPackage.OSOBA__MJESTO_ZAPOSLENJA:
				return getMjestoZaposlenja();
			case PbdmodelPackage.OSOBA__BROJ_LICNOG_DOKUMENTA:
				return getBrojLicnogDokumenta();
			case PbdmodelPackage.OSOBA__LICNI_DOKUMENT_IZDAT_OD:
				return getLicniDokumentIzdatOd();
			case PbdmodelPackage.OSOBA__PUNO_IME:
				return getPunoIme();
			case PbdmodelPackage.OSOBA__VRSTE_OSOBE:
				return getVrsteOsobe();
			case PbdmodelPackage.OSOBA__ZVANJE:
				return getZvanje();
			case PbdmodelPackage.OSOBA__OPIS_OSOBE:
				if (resolve) return getOpisOsobe();
				return basicGetOpisOsobe();
			case PbdmodelPackage.OSOBA__TIP_LICNOG_DOKUMENTA:
				if (resolve) return getTipLicnogDokumenta();
				return basicGetTipLicnogDokumenta();
			case PbdmodelPackage.OSOBA__NACIONALNOST:
				if (resolve) return getNacionalnost();
				return basicGetNacionalnost();
			case PbdmodelPackage.OSOBA__ADRESA:
				if (resolve) return getAdresa();
				return basicGetAdresa();
			case PbdmodelPackage.OSOBA__MJESTO:
				if (resolve) return getMjesto();
				return basicGetMjesto();
			case PbdmodelPackage.OSOBA__ZANIMANJE:
				return getZanimanje();
			case PbdmodelPackage.OSOBA__MALOLJETNIK:
				return isMaloljetnik();
			case PbdmodelPackage.OSOBA__PONASANJE:
				return getPonasanje();
			case PbdmodelPackage.OSOBA__BROJ_TELEFONA:
				return getBrojTelefona();
			case PbdmodelPackage.OSOBA__DJEVOJACKO_PREZIME:
				return getDjevojackoPrezime();
			case PbdmodelPackage.OSOBA__DRZAVA_RODJENJA:
				if (resolve) return getDrzavaRodjenja();
				return basicGetDrzavaRodjenja();
			case PbdmodelPackage.OSOBA__OPSTINA_RODJENJA:
				if (resolve) return getOpstinaRodjenja();
				return basicGetOpstinaRodjenja();
			case PbdmodelPackage.OSOBA__BROJ_LICNE_KARTE:
				return getBrojLicneKarte();
			case PbdmodelPackage.OSOBA__BROJ_VOZACKE_DOZVOLE:
				return getBrojVozackeDozvole();
			case PbdmodelPackage.OSOBA__KRVNA_GRUPA:
				if (resolve) return getKrvnaGrupa();
				return basicGetKrvnaGrupa();
			case PbdmodelPackage.OSOBA__DRZAVLJANSTVO:
				if (resolve) return getDrzavljanstvo();
				return basicGetDrzavljanstvo();
			case PbdmodelPackage.OSOBA__STEPOEN_INVALIDNOSTI:
				return getStepoenInvalidnosti();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.OSOBA__ID_OSOBE:
				setIDOsobe((Long)newValue);
				return;
			case PbdmodelPackage.OSOBA__JMB:
				setJMB((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__IME:
				setIme((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__PREZIME:
				setPrezime((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__IME_RODITELJA:
				setImeRoditelja((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__SPOL:
				setSpol((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__NADIMAK:
				setNadimak((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__STRUCNA_SPREMA:
				setStrucnaSprema((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__IME_OCA:
				setImeOca((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__IME_MAJKE:
				setImeMajke((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__DJEVOJACKO_PREZIME_MAJKE:
				setDjevojackoPrezimeMajke((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__DATUM_RODJENJA:
				setDatumRodjenja((Date)newValue);
				return;
			case PbdmodelPackage.OSOBA__MJESTO_ZAPOSLENJA:
				setMjestoZaposlenja((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__BROJ_LICNOG_DOKUMENTA:
				setBrojLicnogDokumenta((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__LICNI_DOKUMENT_IZDAT_OD:
				setLicniDokumentIzdatOd((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__PUNO_IME:
				setPunoIme((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__VRSTE_OSOBE:
				setVrsteOsobe((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__ZVANJE:
				setZvanje((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__OPIS_OSOBE:
				setOpisOsobe((OpisOsobeImpl)newValue);
				return;
			case PbdmodelPackage.OSOBA__TIP_LICNOG_DOKUMENTA:
				setTipLicnogDokumenta((TipLicnogDokumentaImpl)newValue);
				return;
			case PbdmodelPackage.OSOBA__NACIONALNOST:
				setNacionalnost((NacionalnostImpl)newValue);
				return;
			case PbdmodelPackage.OSOBA__ADRESA:
				setAdresa((AdresaImpl)newValue);
				return;
			case PbdmodelPackage.OSOBA__MJESTO:
				setMjesto((MjestoImpl)newValue);
				return;
			case PbdmodelPackage.OSOBA__ZANIMANJE:
				setZanimanje((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__MALOLJETNIK:
				setMaloljetnik((Boolean)newValue);
				return;
			case PbdmodelPackage.OSOBA__PONASANJE:
				setPonasanje((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__BROJ_TELEFONA:
				setBrojTelefona((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__DJEVOJACKO_PREZIME:
				setDjevojackoPrezime((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__DRZAVA_RODJENJA:
				setDrzavaRodjenja((DrzavaImpl)newValue);
				return;
			case PbdmodelPackage.OSOBA__OPSTINA_RODJENJA:
				setOpstinaRodjenja((OpstinaImpl)newValue);
				return;
			case PbdmodelPackage.OSOBA__BROJ_LICNE_KARTE:
				setBrojLicneKarte((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__BROJ_VOZACKE_DOZVOLE:
				setBrojVozackeDozvole((String)newValue);
				return;
			case PbdmodelPackage.OSOBA__KRVNA_GRUPA:
				setKrvnaGrupa((KrvnaGrupaImpl)newValue);
				return;
			case PbdmodelPackage.OSOBA__DRZAVLJANSTVO:
				setDrzavljanstvo((DrzavljanstvoImpl)newValue);
				return;
			case PbdmodelPackage.OSOBA__STEPOEN_INVALIDNOSTI:
				setStepoenInvalidnosti((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.OSOBA__ID_OSOBE:
				setIDOsobe(ID_OSOBE_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__JMB:
				setJMB(JMB_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__IME:
				setIme(IME_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__PREZIME:
				setPrezime(PREZIME_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__IME_RODITELJA:
				setImeRoditelja(IME_RODITELJA_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__SPOL:
				setSpol(SPOL_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__NADIMAK:
				setNadimak(NADIMAK_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__STRUCNA_SPREMA:
				setStrucnaSprema(STRUCNA_SPREMA_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__IME_OCA:
				setImeOca(IME_OCA_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__IME_MAJKE:
				setImeMajke(IME_MAJKE_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__DJEVOJACKO_PREZIME_MAJKE:
				setDjevojackoPrezimeMajke(DJEVOJACKO_PREZIME_MAJKE_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__DATUM_RODJENJA:
				setDatumRodjenja(DATUM_RODJENJA_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__MJESTO_ZAPOSLENJA:
				setMjestoZaposlenja(MJESTO_ZAPOSLENJA_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__BROJ_LICNOG_DOKUMENTA:
				setBrojLicnogDokumenta(BROJ_LICNOG_DOKUMENTA_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__LICNI_DOKUMENT_IZDAT_OD:
				setLicniDokumentIzdatOd(LICNI_DOKUMENT_IZDAT_OD_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__PUNO_IME:
				setPunoIme(PUNO_IME_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__VRSTE_OSOBE:
				setVrsteOsobe(VRSTE_OSOBE_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__ZVANJE:
				setZvanje(ZVANJE_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__OPIS_OSOBE:
				setOpisOsobe((OpisOsobeImpl)null);
				return;
			case PbdmodelPackage.OSOBA__TIP_LICNOG_DOKUMENTA:
				setTipLicnogDokumenta((TipLicnogDokumentaImpl)null);
				return;
			case PbdmodelPackage.OSOBA__NACIONALNOST:
				setNacionalnost((NacionalnostImpl)null);
				return;
			case PbdmodelPackage.OSOBA__ADRESA:
				setAdresa((AdresaImpl)null);
				return;
			case PbdmodelPackage.OSOBA__MJESTO:
				setMjesto((MjestoImpl)null);
				return;
			case PbdmodelPackage.OSOBA__ZANIMANJE:
				setZanimanje(ZANIMANJE_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__MALOLJETNIK:
				setMaloljetnik(MALOLJETNIK_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__PONASANJE:
				setPonasanje(PONASANJE_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__BROJ_TELEFONA:
				setBrojTelefona(BROJ_TELEFONA_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__DJEVOJACKO_PREZIME:
				setDjevojackoPrezime(DJEVOJACKO_PREZIME_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__DRZAVA_RODJENJA:
				setDrzavaRodjenja((DrzavaImpl)null);
				return;
			case PbdmodelPackage.OSOBA__OPSTINA_RODJENJA:
				setOpstinaRodjenja((OpstinaImpl)null);
				return;
			case PbdmodelPackage.OSOBA__BROJ_LICNE_KARTE:
				setBrojLicneKarte(BROJ_LICNE_KARTE_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__BROJ_VOZACKE_DOZVOLE:
				setBrojVozackeDozvole(BROJ_VOZACKE_DOZVOLE_EDEFAULT);
				return;
			case PbdmodelPackage.OSOBA__KRVNA_GRUPA:
				setKrvnaGrupa((KrvnaGrupaImpl)null);
				return;
			case PbdmodelPackage.OSOBA__DRZAVLJANSTVO:
				setDrzavljanstvo((DrzavljanstvoImpl)null);
				return;
			case PbdmodelPackage.OSOBA__STEPOEN_INVALIDNOSTI:
				setStepoenInvalidnosti(STEPOEN_INVALIDNOSTI_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.OSOBA__ID_OSOBE:
				return iDOsobe != ID_OSOBE_EDEFAULT;
			case PbdmodelPackage.OSOBA__JMB:
				return JMB_EDEFAULT == null ? jmb != null : !JMB_EDEFAULT.equals(jmb);
			case PbdmodelPackage.OSOBA__IME:
				return IME_EDEFAULT == null ? ime != null : !IME_EDEFAULT.equals(ime);
			case PbdmodelPackage.OSOBA__PREZIME:
				return PREZIME_EDEFAULT == null ? prezime != null : !PREZIME_EDEFAULT.equals(prezime);
			case PbdmodelPackage.OSOBA__IME_RODITELJA:
				return IME_RODITELJA_EDEFAULT == null ? imeRoditelja != null : !IME_RODITELJA_EDEFAULT.equals(imeRoditelja);
			case PbdmodelPackage.OSOBA__SPOL:
				return SPOL_EDEFAULT == null ? spol != null : !SPOL_EDEFAULT.equals(spol);
			case PbdmodelPackage.OSOBA__NADIMAK:
				return NADIMAK_EDEFAULT == null ? nadimak != null : !NADIMAK_EDEFAULT.equals(nadimak);
			case PbdmodelPackage.OSOBA__STRUCNA_SPREMA:
				return STRUCNA_SPREMA_EDEFAULT == null ? strucnaSprema != null : !STRUCNA_SPREMA_EDEFAULT.equals(strucnaSprema);
			case PbdmodelPackage.OSOBA__IME_OCA:
				return IME_OCA_EDEFAULT == null ? imeOca != null : !IME_OCA_EDEFAULT.equals(imeOca);
			case PbdmodelPackage.OSOBA__IME_MAJKE:
				return IME_MAJKE_EDEFAULT == null ? imeMajke != null : !IME_MAJKE_EDEFAULT.equals(imeMajke);
			case PbdmodelPackage.OSOBA__DJEVOJACKO_PREZIME_MAJKE:
				return DJEVOJACKO_PREZIME_MAJKE_EDEFAULT == null ? djevojackoPrezimeMajke != null : !DJEVOJACKO_PREZIME_MAJKE_EDEFAULT.equals(djevojackoPrezimeMajke);
			case PbdmodelPackage.OSOBA__DATUM_RODJENJA:
				return DATUM_RODJENJA_EDEFAULT == null ? datumRodjenja != null : !DATUM_RODJENJA_EDEFAULT.equals(datumRodjenja);
			case PbdmodelPackage.OSOBA__MJESTO_ZAPOSLENJA:
				return MJESTO_ZAPOSLENJA_EDEFAULT == null ? mjestoZaposlenja != null : !MJESTO_ZAPOSLENJA_EDEFAULT.equals(mjestoZaposlenja);
			case PbdmodelPackage.OSOBA__BROJ_LICNOG_DOKUMENTA:
				return BROJ_LICNOG_DOKUMENTA_EDEFAULT == null ? brojLicnogDokumenta != null : !BROJ_LICNOG_DOKUMENTA_EDEFAULT.equals(brojLicnogDokumenta);
			case PbdmodelPackage.OSOBA__LICNI_DOKUMENT_IZDAT_OD:
				return LICNI_DOKUMENT_IZDAT_OD_EDEFAULT == null ? licniDokumentIzdatOd != null : !LICNI_DOKUMENT_IZDAT_OD_EDEFAULT.equals(licniDokumentIzdatOd);
			case PbdmodelPackage.OSOBA__PUNO_IME:
				return PUNO_IME_EDEFAULT == null ? punoIme != null : !PUNO_IME_EDEFAULT.equals(punoIme);
			case PbdmodelPackage.OSOBA__VRSTE_OSOBE:
				return VRSTE_OSOBE_EDEFAULT == null ? vrsteOsobe != null : !VRSTE_OSOBE_EDEFAULT.equals(vrsteOsobe);
			case PbdmodelPackage.OSOBA__ZVANJE:
				return ZVANJE_EDEFAULT == null ? zvanje != null : !ZVANJE_EDEFAULT.equals(zvanje);
			case PbdmodelPackage.OSOBA__OPIS_OSOBE:
				return opisOsobe != null;
			case PbdmodelPackage.OSOBA__TIP_LICNOG_DOKUMENTA:
				return tipLicnogDokumenta != null;
			case PbdmodelPackage.OSOBA__NACIONALNOST:
				return nacionalnost != null;
			case PbdmodelPackage.OSOBA__ADRESA:
				return adresa != null;
			case PbdmodelPackage.OSOBA__MJESTO:
				return mjesto != null;
			case PbdmodelPackage.OSOBA__ZANIMANJE:
				return ZANIMANJE_EDEFAULT == null ? zanimanje != null : !ZANIMANJE_EDEFAULT.equals(zanimanje);
			case PbdmodelPackage.OSOBA__MALOLJETNIK:
				return maloljetnik != MALOLJETNIK_EDEFAULT;
			case PbdmodelPackage.OSOBA__PONASANJE:
				return PONASANJE_EDEFAULT == null ? ponasanje != null : !PONASANJE_EDEFAULT.equals(ponasanje);
			case PbdmodelPackage.OSOBA__BROJ_TELEFONA:
				return BROJ_TELEFONA_EDEFAULT == null ? brojTelefona != null : !BROJ_TELEFONA_EDEFAULT.equals(brojTelefona);
			case PbdmodelPackage.OSOBA__DJEVOJACKO_PREZIME:
				return DJEVOJACKO_PREZIME_EDEFAULT == null ? djevojackoPrezime != null : !DJEVOJACKO_PREZIME_EDEFAULT.equals(djevojackoPrezime);
			case PbdmodelPackage.OSOBA__DRZAVA_RODJENJA:
				return drzavaRodjenja != null;
			case PbdmodelPackage.OSOBA__OPSTINA_RODJENJA:
				return opstinaRodjenja != null;
			case PbdmodelPackage.OSOBA__BROJ_LICNE_KARTE:
				return BROJ_LICNE_KARTE_EDEFAULT == null ? brojLicneKarte != null : !BROJ_LICNE_KARTE_EDEFAULT.equals(brojLicneKarte);
			case PbdmodelPackage.OSOBA__BROJ_VOZACKE_DOZVOLE:
				return BROJ_VOZACKE_DOZVOLE_EDEFAULT == null ? brojVozackeDozvole != null : !BROJ_VOZACKE_DOZVOLE_EDEFAULT.equals(brojVozackeDozvole);
			case PbdmodelPackage.OSOBA__KRVNA_GRUPA:
				return krvnaGrupa != null;
			case PbdmodelPackage.OSOBA__DRZAVLJANSTVO:
				return drzavljanstvo != null;
			case PbdmodelPackage.OSOBA__STEPOEN_INVALIDNOSTI:
				return STEPOEN_INVALIDNOSTI_EDEFAULT == null ? stepoenInvalidnosti != null : !STEPOEN_INVALIDNOSTI_EDEFAULT.equals(stepoenInvalidnosti);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDOsobe: ");
		result.append(iDOsobe);
		result.append(", JMB: ");
		result.append(jmb);
		result.append(", ime: ");
		result.append(ime);
		result.append(", prezime: ");
		result.append(prezime);
		result.append(", imeRoditelja: ");
		result.append(imeRoditelja);
		result.append(", spol: ");
		result.append(spol);
		result.append(", nadimak: ");
		result.append(nadimak);
		result.append(", strucnaSprema: ");
		result.append(strucnaSprema);
		result.append(", imeOca: ");
		result.append(imeOca);
		result.append(", imeMajke: ");
		result.append(imeMajke);
		result.append(", djevojackoPrezimeMajke: ");
		result.append(djevojackoPrezimeMajke);
		result.append(", datumRodjenja: ");
		result.append(datumRodjenja);
		result.append(", mjestoZaposlenja: ");
		result.append(mjestoZaposlenja);
		result.append(", brojLicnogDokumenta: ");
		result.append(brojLicnogDokumenta);
		result.append(", licniDokumentIzdatOd: ");
		result.append(licniDokumentIzdatOd);
		result.append(", punoIme: ");
		result.append(punoIme);
		result.append(", vrsteOsobe: ");
		result.append(vrsteOsobe);
		result.append(", zvanje: ");
		result.append(zvanje);
		result.append(", zanimanje: ");
		result.append(zanimanje);
		result.append(", maloljetnik: ");
		result.append(maloljetnik);
		result.append(", ponasanje: ");
		result.append(ponasanje);
		result.append(", brojTelefona: ");
		result.append(brojTelefona);
		result.append(", djevojackoPrezime: ");
		result.append(djevojackoPrezime);
		result.append(", brojLicneKarte: ");
		result.append(brojLicneKarte);
		result.append(", brojVozackeDozvole: ");
		result.append(brojVozackeDozvole);
		result.append(", stepoenInvalidnosti: ");
		result.append(stepoenInvalidnosti);
		result.append(')');
		return result.toString();
	}

} //OsobaImpl
