/**
 */
package pbdmodel.impl;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import pbdmodel.PatrolniNalogAktivnosti;
import pbdmodel.PbdmodelPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Patrolni Nalog Aktivnosti</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getIskljucenoVozila <em>Iskljuceno Vozila</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getIskljucenoVozaca <em>Iskljuceno Vozaca</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getOstavljenoNaVozilu <em>Ostavljeno Na Vozilu</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getUrucenoPostom <em>Uruceno Postom</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getUrucenoLicno <em>Uruceno Licno</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getUrucenoNaloga <em>Uruceno Naloga</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getUpozoreno <em>Upozoreno</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getKontrolisano <em>Kontrolisano</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getSredstvaPrinudeOstalo <em>Sredstva Prinude Ostalo</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getVatrenoOruzje <em>Vatreno Oruzje</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getPalica <em>Palica</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getSluzbeneLisice <em>Sluzbene Lisice</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getFizickaSnaga <em>Fizicka Snaga</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getOstaleAktivnosti <em>Ostale Aktivnosti</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getPruzenoAsistencija <em>Pruzeno Asistencija</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getUhvacenoLicaPoPotjernicama <em>Uhvaceno Lica Po Potjernicama</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getLegitimisanoLica <em>Legitimisano Lica</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getOduzetoPredmeta <em>Oduzeto Predmeta</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getKriminalitetOstalo <em>Kriminalitet Ostalo</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getSluzbenihZabiljeski <em>Sluzbenih Zabiljeski</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getPretresStanaObjekta <em>Pretres Stana Objekta</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getPretresenoLica <em>Pretreseno Lica</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getObisaoObjekata <em>Obisao Objekata</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getJrmOstalo <em>Jrm Ostalo</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getPodnesenoPrijava <em>Podneseno Prijava</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getZadrzanoLica <em>Zadrzano Lica</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getUrucenoNalogaJRM <em>Uruceno Naloga JRM</em>}</li>
 *   <li>{@link pbdmodel.impl.PatrolniNalogAktivnostiImpl#getUpozorenoLica <em>Upozoreno Lica</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class PatrolniNalogAktivnostiImpl extends EObjectImpl implements PatrolniNalogAktivnosti {
	
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long idPatrolniNalog;
	
	
	public long getIdPatrolniNalog() {
		return idPatrolniNalog;
	}

	public void setIdPatrolniNalog(long idPatrolniNalog) {
		this.idPatrolniNalog = idPatrolniNalog;
	}
	
	protected String provjeraZaLica = "";
	protected String provjeraZaVozila = "";
	protected String krimObavjestajnihObrazaca = "";
	
	
	public String getProvjeraZaLica() {
		return provjeraZaLica;
	}

	public void setProvjeraZaLica(String provjeraZaLica) {
		this.provjeraZaLica = provjeraZaLica;
	}

	public String getProvjeraZaVozila() {
		return provjeraZaVozila;
	}

	public void setProvjeraZaVozila(String provjeraZaVozila) {
		this.provjeraZaVozila = provjeraZaVozila;
	}

	public String getKrimObavjestajnihObrazaca() {
		return krimObavjestajnihObrazaca;
	}

	public void setKrimObavjestajnihObrazaca(String krimObavjestajnihObrazaca) {
		this.krimObavjestajnihObrazaca = krimObavjestajnihObrazaca;
	}

	/**
	 * The default value of the '{@link #getIskljucenoVozila() <em>Iskljuceno Vozila</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIskljucenoVozila()
	 * @generated
	 * @ordered
	 */
	protected static final String ISKLJUCENO_VOZILA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getIskljucenoVozila() <em>Iskljuceno Vozila</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIskljucenoVozila()
	 * @generated
	 * @ordered
	 */

	protected String iskljucenoVozila = ISKLJUCENO_VOZILA_EDEFAULT;

	/**
	 * The default value of the '{@link #getIskljucenoVozaca() <em>Iskljuceno Vozaca</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIskljucenoVozaca()
	 * @generated
	 * @ordered
	 */
	protected static final String ISKLJUCENO_VOZACA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getIskljucenoVozaca() <em>Iskljuceno Vozaca</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIskljucenoVozaca()
	 * @generated
	 * @ordered
	 */
	protected String iskljucenoVozaca = ISKLJUCENO_VOZACA_EDEFAULT;

	/**
	 * The default value of the '{@link #getOstavljenoNaVozilu() <em>Ostavljeno Na Vozilu</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOstavljenoNaVozilu()
	 * @generated
	 * @ordered
	 */
	protected static final String OSTAVLJENO_NA_VOZILU_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOstavljenoNaVozilu() <em>Ostavljeno Na Vozilu</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOstavljenoNaVozilu()
	 * @generated
	 * @ordered
	 */
	protected String ostavljenoNaVozilu = OSTAVLJENO_NA_VOZILU_EDEFAULT;

	/**
	 * The default value of the '{@link #getUrucenoPostom() <em>Uruceno Postom</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUrucenoPostom()
	 * @generated
	 * @ordered
	 */
	protected static final String URUCENO_POSTOM_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getUrucenoPostom() <em>Uruceno Postom</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUrucenoPostom()
	 * @generated
	 * @ordered
	 */
	protected String urucenoPostom = URUCENO_POSTOM_EDEFAULT;

	/**
	 * The default value of the '{@link #getUrucenoLicno() <em>Uruceno Licno</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUrucenoLicno()
	 * @generated
	 * @ordered
	 */
	protected static final String URUCENO_LICNO_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getUrucenoLicno() <em>Uruceno Licno</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUrucenoLicno()
	 * @generated
	 * @ordered
	 */
	protected String urucenoLicno = URUCENO_LICNO_EDEFAULT;

	/**
	 * The default value of the '{@link #getUrucenoNaloga() <em>Uruceno Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUrucenoNaloga()
	 * @generated
	 * @ordered
	 */
	protected static final String URUCENO_NALOGA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getUrucenoNaloga() <em>Uruceno Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUrucenoNaloga()
	 * @generated
	 * @ordered
	 */
	protected String urucenoNaloga = URUCENO_NALOGA_EDEFAULT;

	/**
	 * The default value of the '{@link #getUpozoreno() <em>Upozoreno</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUpozoreno()
	 * @generated
	 * @ordered
	 */
	protected static final String UPOZORENO_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getUpozoreno() <em>Upozoreno</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUpozoreno()
	 * @generated
	 * @ordered
	 */
	protected String upozoreno = UPOZORENO_EDEFAULT;

	/**
	 * The default value of the '{@link #getKontrolisano() <em>Kontrolisano</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKontrolisano()
	 * @generated
	 * @ordered
	 */
	protected static final String KONTROLISANO_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getKontrolisano() <em>Kontrolisano</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKontrolisano()
	 * @generated
	 * @ordered
	 */
	protected String kontrolisano = KONTROLISANO_EDEFAULT;

	/**
	 * The default value of the '{@link #getSredstvaPrinudeOstalo() <em>Sredstva Prinude Ostalo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSredstvaPrinudeOstalo()
	 * @generated
	 * @ordered
	 */
	protected static final String SREDSTVA_PRINUDE_OSTALO_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getSredstvaPrinudeOstalo() <em>Sredstva Prinude Ostalo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSredstvaPrinudeOstalo()
	 * @generated
	 * @ordered
	 */
	protected String sredstvaPrinudeOstalo = SREDSTVA_PRINUDE_OSTALO_EDEFAULT;

	/**
	 * The default value of the '{@link #getVatrenoOruzje() <em>Vatreno Oruzje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVatrenoOruzje()
	 * @generated
	 * @ordered
	 */
	protected static final String VATRENO_ORUZJE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVatrenoOruzje() <em>Vatreno Oruzje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVatrenoOruzje()
	 * @generated
	 * @ordered
	 */
	protected String vatrenoOruzje = VATRENO_ORUZJE_EDEFAULT;

	/**
	 * The default value of the '{@link #getPalica() <em>Palica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPalica()
	 * @generated
	 * @ordered
	 */
	protected static final String PALICA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPalica() <em>Palica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPalica()
	 * @generated
	 * @ordered
	 */
	protected String palica = PALICA_EDEFAULT;

	/**
	 * The default value of the '{@link #getSluzbeneLisice() <em>Sluzbene Lisice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSluzbeneLisice()
	 * @generated
	 * @ordered
	 */
	protected static final String SLUZBENE_LISICE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getSluzbeneLisice() <em>Sluzbene Lisice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSluzbeneLisice()
	 * @generated
	 * @ordered
	 */
	protected String sluzbeneLisice = SLUZBENE_LISICE_EDEFAULT;

	/**
	 * The default value of the '{@link #getFizickaSnaga() <em>Fizicka Snaga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFizickaSnaga()
	 * @generated
	 * @ordered
	 */
	protected static final String FIZICKA_SNAGA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getFizickaSnaga() <em>Fizicka Snaga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFizickaSnaga()
	 * @generated
	 * @ordered
	 */
	protected String fizickaSnaga = FIZICKA_SNAGA_EDEFAULT;

	/**
	 * The default value of the '{@link #getOstaleAktivnosti() <em>Ostale Aktivnosti</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOstaleAktivnosti()
	 * @generated
	 * @ordered
	 */
	protected static final String OSTALE_AKTIVNOSTI_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOstaleAktivnosti() <em>Ostale Aktivnosti</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOstaleAktivnosti()
	 * @generated
	 * @ordered
	 */
	protected String ostaleAktivnosti = OSTALE_AKTIVNOSTI_EDEFAULT;

	/**
	 * The default value of the '{@link #getPruzenoAsistencija() <em>Pruzeno Asistencija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPruzenoAsistencija()
	 * @generated
	 * @ordered
	 */
	protected static final String PRUZENO_ASISTENCIJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPruzenoAsistencija() <em>Pruzeno Asistencija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPruzenoAsistencija()
	 * @generated
	 * @ordered
	 */
	protected String pruzenoAsistencija = PRUZENO_ASISTENCIJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getUhvacenoLicaPoPotjernicama() <em>Uhvaceno Lica Po Potjernicama</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUhvacenoLicaPoPotjernicama()
	 * @generated
	 * @ordered
	 */
	protected static final String UHVACENO_LICA_PO_POTJERNICAMA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getUhvacenoLicaPoPotjernicama() <em>Uhvaceno Lica Po Potjernicama</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUhvacenoLicaPoPotjernicama()
	 * @generated
	 * @ordered
	 */
	protected String uhvacenoLicaPoPotjernicama = UHVACENO_LICA_PO_POTJERNICAMA_EDEFAULT;

	/**
	 * The default value of the '{@link #getLegitimisanoLica() <em>Legitimisano Lica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLegitimisanoLica()
	 * @generated
	 * @ordered
	 */
	protected static final String LEGITIMISANO_LICA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getLegitimisanoLica() <em>Legitimisano Lica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLegitimisanoLica()
	 * @generated
	 * @ordered
	 */
	protected String legitimisanoLica = LEGITIMISANO_LICA_EDEFAULT;

	/**
	 * The default value of the '{@link #getOduzetoPredmeta() <em>Oduzeto Predmeta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOduzetoPredmeta()
	 * @generated
	 * @ordered
	 */
	protected static final String ODUZETO_PREDMETA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOduzetoPredmeta() <em>Oduzeto Predmeta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOduzetoPredmeta()
	 * @generated
	 * @ordered
	 */
	protected String oduzetoPredmeta = ODUZETO_PREDMETA_EDEFAULT;

	/**
	 * The default value of the '{@link #getKriminalitetOstalo() <em>Kriminalitet Ostalo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKriminalitetOstalo()
	 * @generated
	 * @ordered
	 */
	protected static final String KRIMINALITET_OSTALO_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getKriminalitetOstalo() <em>Kriminalitet Ostalo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKriminalitetOstalo()
	 * @generated
	 * @ordered
	 */
	protected String kriminalitetOstalo = KRIMINALITET_OSTALO_EDEFAULT;

	/**
	 * The default value of the '{@link #getSluzbenihZabiljeski() <em>Sluzbenih Zabiljeski</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSluzbenihZabiljeski()
	 * @generated
	 * @ordered
	 */
	protected static final String SLUZBENIH_ZABILJESKI_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getSluzbenihZabiljeski() <em>Sluzbenih Zabiljeski</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSluzbenihZabiljeski()
	 * @generated
	 * @ordered
	 */
	protected String sluzbenihZabiljeski = SLUZBENIH_ZABILJESKI_EDEFAULT;

	/**
	 * The default value of the '{@link #getPretresStanaObjekta() <em>Pretres Stana Objekta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPretresStanaObjekta()
	 * @generated
	 * @ordered
	 */
	protected static final String PRETRES_STANA_OBJEKTA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPretresStanaObjekta() <em>Pretres Stana Objekta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPretresStanaObjekta()
	 * @generated
	 * @ordered
	 */
	protected String pretresStanaObjekta = PRETRES_STANA_OBJEKTA_EDEFAULT;

	/**
	 * The default value of the '{@link #getPretresenoLica() <em>Pretreseno Lica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPretresenoLica()
	 * @generated
	 * @ordered
	 */
	protected static final String PRETRESENO_LICA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPretresenoLica() <em>Pretreseno Lica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPretresenoLica()
	 * @generated
	 * @ordered
	 */
	protected String pretresenoLica = PRETRESENO_LICA_EDEFAULT;

	/**
	 * The default value of the '{@link #getObisaoObjekata() <em>Obisao Objekata</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getObisaoObjekata()
	 * @generated
	 * @ordered
	 */
	protected static final String OBISAO_OBJEKATA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getObisaoObjekata() <em>Obisao Objekata</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getObisaoObjekata()
	 * @generated
	 * @ordered
	 */
	protected String obisaoObjekata = OBISAO_OBJEKATA_EDEFAULT;

	/**
	 * The default value of the '{@link #getJrmOstalo() <em>Jrm Ostalo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getJrmOstalo()
	 * @generated
	 * @ordered
	 */
	protected static final String JRM_OSTALO_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getJrmOstalo() <em>Jrm Ostalo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getJrmOstalo()
	 * @generated
	 * @ordered
	 */
	protected String jrmOstalo = JRM_OSTALO_EDEFAULT;

	/**
	 * The default value of the '{@link #getPodnesenoPrijava() <em>Podneseno Prijava</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPodnesenoPrijava()
	 * @generated
	 * @ordered
	 */
	protected static final String PODNESENO_PRIJAVA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPodnesenoPrijava() <em>Podneseno Prijava</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPodnesenoPrijava()
	 * @generated
	 * @ordered
	 */
	protected String podnesenoPrijava = PODNESENO_PRIJAVA_EDEFAULT;

	/**
	 * The default value of the '{@link #getZadrzanoLica() <em>Zadrzano Lica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getZadrzanoLica()
	 * @generated
	 * @ordered
	 */
	protected static final String ZADRZANO_LICA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getZadrzanoLica() <em>Zadrzano Lica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getZadrzanoLica()
	 * @generated
	 * @ordered
	 */
	protected String zadrzanoLica = ZADRZANO_LICA_EDEFAULT;

	/**
	 * The default value of the '{@link #getUrucenoNalogaJRM() <em>Uruceno Naloga JRM</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUrucenoNalogaJRM()
	 * @generated
	 * @ordered
	 */
	protected static final String URUCENO_NALOGA_JRM_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getUrucenoNalogaJRM() <em>Uruceno Naloga JRM</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUrucenoNalogaJRM()
	 * @generated
	 * @ordered
	 */
	protected String urucenoNalogaJRM = URUCENO_NALOGA_JRM_EDEFAULT;

	/**
	 * The default value of the '{@link #getUpozorenoLica() <em>Upozoreno Lica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUpozorenoLica()
	 * @generated
	 * @ordered
	 */
	protected static final String UPOZORENO_LICA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getUpozorenoLica() <em>Upozoreno Lica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUpozorenoLica()
	 * @generated
	 * @ordered
	 */
	protected String upozorenoLica = UPOZORENO_LICA_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PatrolniNalogAktivnostiImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getPatrolniNalogAktivnosti();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getIskljucenoVozila() {
		return iskljucenoVozila;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIskljucenoVozila(String newIskljucenoVozila) {
		String oldIskljucenoVozila = iskljucenoVozila;
		iskljucenoVozila = newIskljucenoVozila;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ISKLJUCENO_VOZILA, oldIskljucenoVozila, iskljucenoVozila));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getIskljucenoVozaca() {
		return iskljucenoVozaca;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIskljucenoVozaca(String newIskljucenoVozaca) {
		String oldIskljucenoVozaca = iskljucenoVozaca;
		iskljucenoVozaca = newIskljucenoVozaca;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ISKLJUCENO_VOZACA, oldIskljucenoVozaca, iskljucenoVozaca));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOstavljenoNaVozilu() {
		return ostavljenoNaVozilu;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOstavljenoNaVozilu(String newOstavljenoNaVozilu) {
		String oldOstavljenoNaVozilu = ostavljenoNaVozilu;
		ostavljenoNaVozilu = newOstavljenoNaVozilu;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__OSTAVLJENO_NA_VOZILU, oldOstavljenoNaVozilu, ostavljenoNaVozilu));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getUrucenoPostom() {
		return urucenoPostom;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setUrucenoPostom(String newUrucenoPostom) {
		String oldUrucenoPostom = urucenoPostom;
		urucenoPostom = newUrucenoPostom;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_POSTOM, oldUrucenoPostom, urucenoPostom));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getUrucenoLicno() {
		return urucenoLicno;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setUrucenoLicno(String newUrucenoLicno) {
		String oldUrucenoLicno = urucenoLicno;
		urucenoLicno = newUrucenoLicno;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_LICNO, oldUrucenoLicno, urucenoLicno));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getUrucenoNaloga() {
		return urucenoNaloga;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setUrucenoNaloga(String newUrucenoNaloga) {
		String oldUrucenoNaloga = urucenoNaloga;
		urucenoNaloga = newUrucenoNaloga;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_NALOGA, oldUrucenoNaloga, urucenoNaloga));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getUpozoreno() {
		return upozoreno;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setUpozoreno(String newUpozoreno) {
		String oldUpozoreno = upozoreno;
		upozoreno = newUpozoreno;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__UPOZORENO, oldUpozoreno, upozoreno));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getKontrolisano() {
		return kontrolisano;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setKontrolisano(String newKontrolisano) {
		String oldKontrolisano = kontrolisano;
		kontrolisano = newKontrolisano;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__KONTROLISANO, oldKontrolisano, kontrolisano));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSredstvaPrinudeOstalo() {
		return sredstvaPrinudeOstalo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSredstvaPrinudeOstalo(String newSredstvaPrinudeOstalo) {
		String oldSredstvaPrinudeOstalo = sredstvaPrinudeOstalo;
		sredstvaPrinudeOstalo = newSredstvaPrinudeOstalo;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__SREDSTVA_PRINUDE_OSTALO, oldSredstvaPrinudeOstalo, sredstvaPrinudeOstalo));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getVatrenoOruzje() {
		return vatrenoOruzje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVatrenoOruzje(String newVatrenoOruzje) {
		String oldVatrenoOruzje = vatrenoOruzje;
		vatrenoOruzje = newVatrenoOruzje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__VATRENO_ORUZJE, oldVatrenoOruzje, vatrenoOruzje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPalica() {
		return palica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPalica(String newPalica) {
		String oldPalica = palica;
		palica = newPalica;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PALICA, oldPalica, palica));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSluzbeneLisice() {
		return sluzbeneLisice;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSluzbeneLisice(String newSluzbeneLisice) {
		String oldSluzbeneLisice = sluzbeneLisice;
		sluzbeneLisice = newSluzbeneLisice;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__SLUZBENE_LISICE, oldSluzbeneLisice, sluzbeneLisice));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getFizickaSnaga() {
		return fizickaSnaga;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFizickaSnaga(String newFizickaSnaga) {
		String oldFizickaSnaga = fizickaSnaga;
		fizickaSnaga = newFizickaSnaga;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__FIZICKA_SNAGA, oldFizickaSnaga, fizickaSnaga));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOstaleAktivnosti() {
		return ostaleAktivnosti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOstaleAktivnosti(String newOstaleAktivnosti) {
		String oldOstaleAktivnosti = ostaleAktivnosti;
		ostaleAktivnosti = newOstaleAktivnosti;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__OSTALE_AKTIVNOSTI, oldOstaleAktivnosti, ostaleAktivnosti));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPruzenoAsistencija() {
		return pruzenoAsistencija;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPruzenoAsistencija(String newPruzenoAsistencija) {
		String oldPruzenoAsistencija = pruzenoAsistencija;
		pruzenoAsistencija = newPruzenoAsistencija;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PRUZENO_ASISTENCIJA, oldPruzenoAsistencija, pruzenoAsistencija));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getUhvacenoLicaPoPotjernicama() {
		return uhvacenoLicaPoPotjernicama;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setUhvacenoLicaPoPotjernicama(String newUhvacenoLicaPoPotjernicama) {
		String oldUhvacenoLicaPoPotjernicama = uhvacenoLicaPoPotjernicama;
		uhvacenoLicaPoPotjernicama = newUhvacenoLicaPoPotjernicama;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__UHVACENO_LICA_PO_POTJERNICAMA, oldUhvacenoLicaPoPotjernicama, uhvacenoLicaPoPotjernicama));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getLegitimisanoLica() {
		return legitimisanoLica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLegitimisanoLica(String newLegitimisanoLica) {
		String oldLegitimisanoLica = legitimisanoLica;
		legitimisanoLica = newLegitimisanoLica;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__LEGITIMISANO_LICA, oldLegitimisanoLica, legitimisanoLica));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOduzetoPredmeta() {
		return oduzetoPredmeta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOduzetoPredmeta(String newOduzetoPredmeta) {
		String oldOduzetoPredmeta = oduzetoPredmeta;
		oduzetoPredmeta = newOduzetoPredmeta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ODUZETO_PREDMETA, oldOduzetoPredmeta, oduzetoPredmeta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getKriminalitetOstalo() {
		return kriminalitetOstalo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setKriminalitetOstalo(String newKriminalitetOstalo) {
		String oldKriminalitetOstalo = kriminalitetOstalo;
		kriminalitetOstalo = newKriminalitetOstalo;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__KRIMINALITET_OSTALO, oldKriminalitetOstalo, kriminalitetOstalo));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSluzbenihZabiljeski() {
		return sluzbenihZabiljeski;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSluzbenihZabiljeski(String newSluzbenihZabiljeski) {
		String oldSluzbenihZabiljeski = sluzbenihZabiljeski;
		sluzbenihZabiljeski = newSluzbenihZabiljeski;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__SLUZBENIH_ZABILJESKI, oldSluzbenihZabiljeski, sluzbenihZabiljeski));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPretresStanaObjekta() {
		return pretresStanaObjekta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPretresStanaObjekta(String newPretresStanaObjekta) {
		String oldPretresStanaObjekta = pretresStanaObjekta;
		pretresStanaObjekta = newPretresStanaObjekta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PRETRES_STANA_OBJEKTA, oldPretresStanaObjekta, pretresStanaObjekta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPretresenoLica() {
		return pretresenoLica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPretresenoLica(String newPretresenoLica) {
		String oldPretresenoLica = pretresenoLica;
		pretresenoLica = newPretresenoLica;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PRETRESENO_LICA, oldPretresenoLica, pretresenoLica));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getObisaoObjekata() {
		return obisaoObjekata;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setObisaoObjekata(String newObisaoObjekata) {
		String oldObisaoObjekata = obisaoObjekata;
		obisaoObjekata = newObisaoObjekata;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__OBISAO_OBJEKATA, oldObisaoObjekata, obisaoObjekata));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getJrmOstalo() {
		return jrmOstalo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setJrmOstalo(String newJrmOstalo) {
		String oldJrmOstalo = jrmOstalo;
		jrmOstalo = newJrmOstalo;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__JRM_OSTALO, oldJrmOstalo, jrmOstalo));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPodnesenoPrijava() {
		return podnesenoPrijava;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPodnesenoPrijava(String newPodnesenoPrijava) {
		String oldPodnesenoPrijava = podnesenoPrijava;
		podnesenoPrijava = newPodnesenoPrijava;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PODNESENO_PRIJAVA, oldPodnesenoPrijava, podnesenoPrijava));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getZadrzanoLica() {
		return zadrzanoLica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setZadrzanoLica(String newZadrzanoLica) {
		String oldZadrzanoLica = zadrzanoLica;
		zadrzanoLica = newZadrzanoLica;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ZADRZANO_LICA, oldZadrzanoLica, zadrzanoLica));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getUrucenoNalogaJRM() {
		return urucenoNalogaJRM;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setUrucenoNalogaJRM(String newUrucenoNalogaJRM) {
		String oldUrucenoNalogaJRM = urucenoNalogaJRM;
		urucenoNalogaJRM = newUrucenoNalogaJRM;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_NALOGA_JRM, oldUrucenoNalogaJRM, urucenoNalogaJRM));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getUpozorenoLica() {
		return upozorenoLica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setUpozorenoLica(String newUpozorenoLica) {
		String oldUpozorenoLica = upozorenoLica;
		upozorenoLica = newUpozorenoLica;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__UPOZORENO_LICA, oldUpozorenoLica, upozorenoLica));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ISKLJUCENO_VOZILA:
				return getIskljucenoVozila();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ISKLJUCENO_VOZACA:
				return getIskljucenoVozaca();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__OSTAVLJENO_NA_VOZILU:
				return getOstavljenoNaVozilu();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_POSTOM:
				return getUrucenoPostom();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_LICNO:
				return getUrucenoLicno();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_NALOGA:
				return getUrucenoNaloga();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__UPOZORENO:
				return getUpozoreno();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__KONTROLISANO:
				return getKontrolisano();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__SREDSTVA_PRINUDE_OSTALO:
				return getSredstvaPrinudeOstalo();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__VATRENO_ORUZJE:
				return getVatrenoOruzje();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PALICA:
				return getPalica();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__SLUZBENE_LISICE:
				return getSluzbeneLisice();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__FIZICKA_SNAGA:
				return getFizickaSnaga();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__OSTALE_AKTIVNOSTI:
				return getOstaleAktivnosti();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PRUZENO_ASISTENCIJA:
				return getPruzenoAsistencija();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__UHVACENO_LICA_PO_POTJERNICAMA:
				return getUhvacenoLicaPoPotjernicama();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__LEGITIMISANO_LICA:
				return getLegitimisanoLica();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ODUZETO_PREDMETA:
				return getOduzetoPredmeta();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__KRIMINALITET_OSTALO:
				return getKriminalitetOstalo();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__SLUZBENIH_ZABILJESKI:
				return getSluzbenihZabiljeski();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PRETRES_STANA_OBJEKTA:
				return getPretresStanaObjekta();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PRETRESENO_LICA:
				return getPretresenoLica();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__OBISAO_OBJEKATA:
				return getObisaoObjekata();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__JRM_OSTALO:
				return getJrmOstalo();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PODNESENO_PRIJAVA:
				return getPodnesenoPrijava();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ZADRZANO_LICA:
				return getZadrzanoLica();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_NALOGA_JRM:
				return getUrucenoNalogaJRM();
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__UPOZORENO_LICA:
				return getUpozorenoLica();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ISKLJUCENO_VOZILA:
				setIskljucenoVozila((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ISKLJUCENO_VOZACA:
				setIskljucenoVozaca((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__OSTAVLJENO_NA_VOZILU:
				setOstavljenoNaVozilu((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_POSTOM:
				setUrucenoPostom((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_LICNO:
				setUrucenoLicno((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_NALOGA:
				setUrucenoNaloga((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__UPOZORENO:
				setUpozoreno((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__KONTROLISANO:
				setKontrolisano((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__SREDSTVA_PRINUDE_OSTALO:
				setSredstvaPrinudeOstalo((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__VATRENO_ORUZJE:
				setVatrenoOruzje((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PALICA:
				setPalica((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__SLUZBENE_LISICE:
				setSluzbeneLisice((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__FIZICKA_SNAGA:
				setFizickaSnaga((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__OSTALE_AKTIVNOSTI:
				setOstaleAktivnosti((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PRUZENO_ASISTENCIJA:
				setPruzenoAsistencija((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__UHVACENO_LICA_PO_POTJERNICAMA:
				setUhvacenoLicaPoPotjernicama((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__LEGITIMISANO_LICA:
				setLegitimisanoLica((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ODUZETO_PREDMETA:
				setOduzetoPredmeta((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__KRIMINALITET_OSTALO:
				setKriminalitetOstalo((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__SLUZBENIH_ZABILJESKI:
				setSluzbenihZabiljeski((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PRETRES_STANA_OBJEKTA:
				setPretresStanaObjekta((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PRETRESENO_LICA:
				setPretresenoLica((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__OBISAO_OBJEKATA:
				setObisaoObjekata((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__JRM_OSTALO:
				setJrmOstalo((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PODNESENO_PRIJAVA:
				setPodnesenoPrijava((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ZADRZANO_LICA:
				setZadrzanoLica((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_NALOGA_JRM:
				setUrucenoNalogaJRM((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__UPOZORENO_LICA:
				setUpozorenoLica((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ISKLJUCENO_VOZILA:
				setIskljucenoVozila(ISKLJUCENO_VOZILA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ISKLJUCENO_VOZACA:
				setIskljucenoVozaca(ISKLJUCENO_VOZACA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__OSTAVLJENO_NA_VOZILU:
				setOstavljenoNaVozilu(OSTAVLJENO_NA_VOZILU_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_POSTOM:
				setUrucenoPostom(URUCENO_POSTOM_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_LICNO:
				setUrucenoLicno(URUCENO_LICNO_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_NALOGA:
				setUrucenoNaloga(URUCENO_NALOGA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__UPOZORENO:
				setUpozoreno(UPOZORENO_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__KONTROLISANO:
				setKontrolisano(KONTROLISANO_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__SREDSTVA_PRINUDE_OSTALO:
				setSredstvaPrinudeOstalo(SREDSTVA_PRINUDE_OSTALO_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__VATRENO_ORUZJE:
				setVatrenoOruzje(VATRENO_ORUZJE_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PALICA:
				setPalica(PALICA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__SLUZBENE_LISICE:
				setSluzbeneLisice(SLUZBENE_LISICE_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__FIZICKA_SNAGA:
				setFizickaSnaga(FIZICKA_SNAGA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__OSTALE_AKTIVNOSTI:
				setOstaleAktivnosti(OSTALE_AKTIVNOSTI_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PRUZENO_ASISTENCIJA:
				setPruzenoAsistencija(PRUZENO_ASISTENCIJA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__UHVACENO_LICA_PO_POTJERNICAMA:
				setUhvacenoLicaPoPotjernicama(UHVACENO_LICA_PO_POTJERNICAMA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__LEGITIMISANO_LICA:
				setLegitimisanoLica(LEGITIMISANO_LICA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ODUZETO_PREDMETA:
				setOduzetoPredmeta(ODUZETO_PREDMETA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__KRIMINALITET_OSTALO:
				setKriminalitetOstalo(KRIMINALITET_OSTALO_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__SLUZBENIH_ZABILJESKI:
				setSluzbenihZabiljeski(SLUZBENIH_ZABILJESKI_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PRETRES_STANA_OBJEKTA:
				setPretresStanaObjekta(PRETRES_STANA_OBJEKTA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PRETRESENO_LICA:
				setPretresenoLica(PRETRESENO_LICA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__OBISAO_OBJEKATA:
				setObisaoObjekata(OBISAO_OBJEKATA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__JRM_OSTALO:
				setJrmOstalo(JRM_OSTALO_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PODNESENO_PRIJAVA:
				setPodnesenoPrijava(PODNESENO_PRIJAVA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ZADRZANO_LICA:
				setZadrzanoLica(ZADRZANO_LICA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_NALOGA_JRM:
				setUrucenoNalogaJRM(URUCENO_NALOGA_JRM_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__UPOZORENO_LICA:
				setUpozorenoLica(UPOZORENO_LICA_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ISKLJUCENO_VOZILA:
				return ISKLJUCENO_VOZILA_EDEFAULT == null ? iskljucenoVozila != null : !ISKLJUCENO_VOZILA_EDEFAULT.equals(iskljucenoVozila);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ISKLJUCENO_VOZACA:
				return ISKLJUCENO_VOZACA_EDEFAULT == null ? iskljucenoVozaca != null : !ISKLJUCENO_VOZACA_EDEFAULT.equals(iskljucenoVozaca);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__OSTAVLJENO_NA_VOZILU:
				return OSTAVLJENO_NA_VOZILU_EDEFAULT == null ? ostavljenoNaVozilu != null : !OSTAVLJENO_NA_VOZILU_EDEFAULT.equals(ostavljenoNaVozilu);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_POSTOM:
				return URUCENO_POSTOM_EDEFAULT == null ? urucenoPostom != null : !URUCENO_POSTOM_EDEFAULT.equals(urucenoPostom);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_LICNO:
				return URUCENO_LICNO_EDEFAULT == null ? urucenoLicno != null : !URUCENO_LICNO_EDEFAULT.equals(urucenoLicno);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_NALOGA:
				return URUCENO_NALOGA_EDEFAULT == null ? urucenoNaloga != null : !URUCENO_NALOGA_EDEFAULT.equals(urucenoNaloga);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__UPOZORENO:
				return UPOZORENO_EDEFAULT == null ? upozoreno != null : !UPOZORENO_EDEFAULT.equals(upozoreno);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__KONTROLISANO:
				return KONTROLISANO_EDEFAULT == null ? kontrolisano != null : !KONTROLISANO_EDEFAULT.equals(kontrolisano);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__SREDSTVA_PRINUDE_OSTALO:
				return SREDSTVA_PRINUDE_OSTALO_EDEFAULT == null ? sredstvaPrinudeOstalo != null : !SREDSTVA_PRINUDE_OSTALO_EDEFAULT.equals(sredstvaPrinudeOstalo);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__VATRENO_ORUZJE:
				return VATRENO_ORUZJE_EDEFAULT == null ? vatrenoOruzje != null : !VATRENO_ORUZJE_EDEFAULT.equals(vatrenoOruzje);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PALICA:
				return PALICA_EDEFAULT == null ? palica != null : !PALICA_EDEFAULT.equals(palica);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__SLUZBENE_LISICE:
				return SLUZBENE_LISICE_EDEFAULT == null ? sluzbeneLisice != null : !SLUZBENE_LISICE_EDEFAULT.equals(sluzbeneLisice);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__FIZICKA_SNAGA:
				return FIZICKA_SNAGA_EDEFAULT == null ? fizickaSnaga != null : !FIZICKA_SNAGA_EDEFAULT.equals(fizickaSnaga);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__OSTALE_AKTIVNOSTI:
				return OSTALE_AKTIVNOSTI_EDEFAULT == null ? ostaleAktivnosti != null : !OSTALE_AKTIVNOSTI_EDEFAULT.equals(ostaleAktivnosti);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PRUZENO_ASISTENCIJA:
				return PRUZENO_ASISTENCIJA_EDEFAULT == null ? pruzenoAsistencija != null : !PRUZENO_ASISTENCIJA_EDEFAULT.equals(pruzenoAsistencija);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__UHVACENO_LICA_PO_POTJERNICAMA:
				return UHVACENO_LICA_PO_POTJERNICAMA_EDEFAULT == null ? uhvacenoLicaPoPotjernicama != null : !UHVACENO_LICA_PO_POTJERNICAMA_EDEFAULT.equals(uhvacenoLicaPoPotjernicama);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__LEGITIMISANO_LICA:
				return LEGITIMISANO_LICA_EDEFAULT == null ? legitimisanoLica != null : !LEGITIMISANO_LICA_EDEFAULT.equals(legitimisanoLica);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ODUZETO_PREDMETA:
				return ODUZETO_PREDMETA_EDEFAULT == null ? oduzetoPredmeta != null : !ODUZETO_PREDMETA_EDEFAULT.equals(oduzetoPredmeta);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__KRIMINALITET_OSTALO:
				return KRIMINALITET_OSTALO_EDEFAULT == null ? kriminalitetOstalo != null : !KRIMINALITET_OSTALO_EDEFAULT.equals(kriminalitetOstalo);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__SLUZBENIH_ZABILJESKI:
				return SLUZBENIH_ZABILJESKI_EDEFAULT == null ? sluzbenihZabiljeski != null : !SLUZBENIH_ZABILJESKI_EDEFAULT.equals(sluzbenihZabiljeski);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PRETRES_STANA_OBJEKTA:
				return PRETRES_STANA_OBJEKTA_EDEFAULT == null ? pretresStanaObjekta != null : !PRETRES_STANA_OBJEKTA_EDEFAULT.equals(pretresStanaObjekta);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PRETRESENO_LICA:
				return PRETRESENO_LICA_EDEFAULT == null ? pretresenoLica != null : !PRETRESENO_LICA_EDEFAULT.equals(pretresenoLica);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__OBISAO_OBJEKATA:
				return OBISAO_OBJEKATA_EDEFAULT == null ? obisaoObjekata != null : !OBISAO_OBJEKATA_EDEFAULT.equals(obisaoObjekata);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__JRM_OSTALO:
				return JRM_OSTALO_EDEFAULT == null ? jrmOstalo != null : !JRM_OSTALO_EDEFAULT.equals(jrmOstalo);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__PODNESENO_PRIJAVA:
				return PODNESENO_PRIJAVA_EDEFAULT == null ? podnesenoPrijava != null : !PODNESENO_PRIJAVA_EDEFAULT.equals(podnesenoPrijava);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__ZADRZANO_LICA:
				return ZADRZANO_LICA_EDEFAULT == null ? zadrzanoLica != null : !ZADRZANO_LICA_EDEFAULT.equals(zadrzanoLica);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__URUCENO_NALOGA_JRM:
				return URUCENO_NALOGA_JRM_EDEFAULT == null ? urucenoNalogaJRM != null : !URUCENO_NALOGA_JRM_EDEFAULT.equals(urucenoNalogaJRM);
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI__UPOZORENO_LICA:
				return UPOZORENO_LICA_EDEFAULT == null ? upozorenoLica != null : !UPOZORENO_LICA_EDEFAULT.equals(upozorenoLica);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iskljucenoVozila: ");
		result.append(iskljucenoVozila);
		result.append(", iskljucenoVozaca: ");
		result.append(iskljucenoVozaca);
		result.append(", ostavljenoNaVozilu: ");
		result.append(ostavljenoNaVozilu);
		result.append(", urucenoPostom: ");
		result.append(urucenoPostom);
		result.append(", urucenoLicno: ");
		result.append(urucenoLicno);
		result.append(", urucenoNaloga: ");
		result.append(urucenoNaloga);
		result.append(", upozoreno: ");
		result.append(upozoreno);
		result.append(", kontrolisano: ");
		result.append(kontrolisano);
		result.append(", sredstvaPrinudeOstalo: ");
		result.append(sredstvaPrinudeOstalo);
		result.append(", vatrenoOruzje: ");
		result.append(vatrenoOruzje);
		result.append(", palica: ");
		result.append(palica);
		result.append(", sluzbeneLisice: ");
		result.append(sluzbeneLisice);
		result.append(", fizickaSnaga: ");
		result.append(fizickaSnaga);
		result.append(", ostaleAktivnosti: ");
		result.append(ostaleAktivnosti);
		result.append(", pruzenoAsistencija: ");
		result.append(pruzenoAsistencija);
		result.append(", uhvacenoLicaPoPotjernicama: ");
		result.append(uhvacenoLicaPoPotjernicama);
		result.append(", legitimisanoLica: ");
		result.append(legitimisanoLica);
		result.append(", oduzetoPredmeta: ");
		result.append(oduzetoPredmeta);
		result.append(", kriminalitetOstalo: ");
		result.append(kriminalitetOstalo);
		result.append(", sluzbenihZabiljeski: ");
		result.append(sluzbenihZabiljeski);
		result.append(", pretresStanaObjekta: ");
		result.append(pretresStanaObjekta);
		result.append(", pretresenoLica: ");
		result.append(pretresenoLica);
		result.append(", obisaoObjekata: ");
		result.append(obisaoObjekata);
		result.append(", jrmOstalo: ");
		result.append(jrmOstalo);
		result.append(", podnesenoPrijava: ");
		result.append(podnesenoPrijava);
		result.append(", zadrzanoLica: ");
		result.append(zadrzanoLica);
		result.append(", urucenoNalogaJRM: ");
		result.append(urucenoNalogaJRM);
		result.append(", upozorenoLica: ");
		result.append(upozorenoLica);
		result.append(')');
		return result.toString();
	}

} //PatrolniNalogAktivnostiImpl
