/**
 */
package pbdmodel.impl;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import pbdmodel.PbdmodelPackage;
import pbdmodel.PodnosilacPrijave;


/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Podnosilac Prijave</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.PodnosilacPrijaveImpl#getIDPodnosilacPrijave <em>ID Podnosilac Prijave</em>}</li>
 *   <li>{@link pbdmodel.impl.PodnosilacPrijaveImpl#isVrstaPodnosiocaPrijave <em>Vrsta Podnosioca Prijave</em>}</li>
 *   <li>{@link pbdmodel.impl.PodnosilacPrijaveImpl#getVrstaGlasaOsobe <em>Vrsta Glasa Osobe</em>}</li>
 *   <li>{@link pbdmodel.impl.PodnosilacPrijaveImpl#getVrstaIdentitetaOsobe <em>Vrsta Identiteta Osobe</em>}</li>
 *   <li>{@link pbdmodel.impl.PodnosilacPrijaveImpl#getVrstaStavaOsobe <em>Vrsta Stava Osobe</em>}</li>
 *   <li>{@link pbdmodel.impl.PodnosilacPrijaveImpl#getVrstaGovoraOsobe <em>Vrsta Govora Osobe</em>}</li>
 *   <li>{@link pbdmodel.impl.PodnosilacPrijaveImpl#getVrstaDijalektaOsobe <em>Vrsta Dijalekta Osobe</em>}</li>
 *   <li>{@link pbdmodel.impl.PodnosilacPrijaveImpl#getVrstaOkolnihZvukova <em>Vrsta Okolnih Zvukova</em>}</li>
 *   <li>{@link pbdmodel.impl.PodnosilacPrijaveImpl#getOsoba <em>OsobaImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.PodnosilacPrijaveImpl#getTelefon <em>Telefon</em>}</li>
 *   <li>{@link pbdmodel.impl.PodnosilacPrijaveImpl#getHosobaPodnosilac <em>Hosoba Podnosilac</em>}</li>
 *   <li>{@link pbdmodel.impl.PodnosilacPrijaveImpl#getBrojPrijave <em>Broj Prijave</em>}</li>
 *   <li>{@link pbdmodel.impl.PodnosilacPrijaveImpl#getOpisGovoraOsobe <em>Opis Govora Osobe</em>}</li>
 *   <li>{@link pbdmodel.impl.PodnosilacPrijaveImpl#getOpisDijalektaOsobe <em>Opis Dijalekta Osobe</em>}</li>
 *   <li>{@link pbdmodel.impl.PodnosilacPrijaveImpl#getOpisOkolnihZvukova <em>Opis Okolnih Zvukova</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class PodnosilacPrijaveImpl extends EObjectImpl implements PodnosilacPrijave {
	/**
	 * The default value of the '{@link #getIDPodnosilacPrijave() <em>ID Podnosilac Prijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDPodnosilacPrijave()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_PODNOSILAC_PRIJAVE_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDPodnosilacPrijave() <em>ID Podnosilac Prijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDPodnosilacPrijave()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long iDPodnosilacPrijave = ID_PODNOSILAC_PRIJAVE_EDEFAULT;

	/**
	 * The default value of the '{@link #isVrstaPodnosiocaPrijave() <em>Vrsta Podnosioca Prijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isVrstaPodnosiocaPrijave()
	 * @generated
	 * @ordered
	 */
	protected static final boolean VRSTA_PODNOSIOCA_PRIJAVE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isVrstaPodnosiocaPrijave() <em>Vrsta Podnosioca Prijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isVrstaPodnosiocaPrijave()
	 * @generated
	 * @ordered
	 */
	protected boolean vrstaPodnosiocaPrijave = VRSTA_PODNOSIOCA_PRIJAVE_EDEFAULT;

	/**
	 * The cached value of the '{@link #getVrstaGlasaOsobe() <em>Vrsta Glasa Osobe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaGlasaOsobe()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_GLASA_OSOBE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected VrstaGlasaOsobeImpl vrstaGlasaOsobe;

	/**
	 * The cached value of the '{@link #getVrstaIdentitetaOsobe() <em>Vrsta Identiteta Osobe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaIdentitetaOsobe()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_IDENTITETA_OSOBE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected VrstaIdentitetaOsobeImpl vrstaIdentitetaOsobe;

	/**
	 * The cached value of the '{@link #getVrstaStavaOsobe() <em>Vrsta Stava Osobe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaStavaOsobe()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_STAVA_OSOBE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected VrstaStavaOsobeImpl vrstaStavaOsobe;

	/**
	 * The cached value of the '{@link #getVrstaGovoraOsobe() <em>Vrsta Govora Osobe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaGovoraOsobe()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_GOVOR_OSOBE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected VrstaGovorOsobeImpl vrstaGovoraOsobe;

	/**
	 * The cached value of the '{@link #getVrstaDijalektaOsobe() <em>Vrsta Dijalekta Osobe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaDijalektaOsobe()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_DIJALEKTA_OSOBE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected VrstaDijalektaOsobeImpl vrstaDijalektaOsobe;

	/**
	 * The cached value of the '{@link #getVrstaOkolnihZvukova() <em>Vrsta Okolnih Zvukova</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaOkolnihZvukova()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_OKOLNIH_ZVUKOVA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected VrstaOkolnihZvukovaImpl vrstaOkolnihZvukova;

	/**
	 * The cached value of the '{@link #getOsoba() <em>OsobaImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsoba()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OsobaImpl osoba;

	/**
	 * The default value of the '{@link #getTelefon() <em>Telefon</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTelefon()
	 * @generated
	 * @ordered
	 */
	protected static final String TELEFON_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getTelefon() <em>Telefon</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTelefon()
	 * @generated
	 * @ordered
	 */
	protected String telefon = TELEFON_EDEFAULT;

	/**
	 * The cached value of the '{@link #getHosobaPodnosilac() <em>Hosoba Podnosilac</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getHosobaPodnosilac()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OsobaImpl hosobaPodnosilac;

	/**
	 * The default value of the '{@link #getBrojPrijave() <em>Broj Prijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojPrijave()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_PRIJAVE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojPrijave() <em>Broj Prijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojPrijave()
	 * @generated
	 * @ordered
	 */
	protected String brojPrijave = BROJ_PRIJAVE_EDEFAULT;

	/**
	 * The cached value of the '{@link #getOpisGovoraOsobe() <em>Opis Govora Osobe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpisGovoraOsobe()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OPIS_GOVORA_OSOBE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OpisGovoraOsobeImpl opisGovoraOsobe;

	/**
	 * The cached value of the '{@link #getOpisDijalektaOsobe() <em>Opis Dijalekta Osobe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpisDijalektaOsobe()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OPIS_DIJALEKTA_OSOBE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OpisDijalektaOsobeImpl opisDijalektaOsobe;

	/**
	 * The cached value of the '{@link #getOpisOkolnihZvukova() <em>Opis Okolnih Zvukova</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpisOkolnihZvukova()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OPIS_OKOLNIH_ZVUKOVA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OpisOkolnihZvukovaImpl opisOkolnihZvukova;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PodnosilacPrijaveImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getPodnosilacPrijave();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDPodnosilacPrijave() {
		return iDPodnosilacPrijave;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDPodnosilacPrijave(long newIDPodnosilacPrijave) {
		long oldIDPodnosilacPrijave = iDPodnosilacPrijave;
		iDPodnosilacPrijave = newIDPodnosilacPrijave;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNOSILAC_PRIJAVE__ID_PODNOSILAC_PRIJAVE, oldIDPodnosilacPrijave, iDPodnosilacPrijave));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isVrstaPodnosiocaPrijave() {
		return vrstaPodnosiocaPrijave;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaPodnosiocaPrijave(boolean newVrstaPodnosiocaPrijave) {
		boolean oldVrstaPodnosiocaPrijave = vrstaPodnosiocaPrijave;
		vrstaPodnosiocaPrijave = newVrstaPodnosiocaPrijave;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_PODNOSIOCA_PRIJAVE, oldVrstaPodnosiocaPrijave, vrstaPodnosiocaPrijave));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaGlasaOsobeImpl getVrstaGlasaOsobe() {
		if (vrstaGlasaOsobe != null && vrstaGlasaOsobe.eIsProxy()) {
			InternalEObject oldVrstaGlasaOsobe = (InternalEObject)vrstaGlasaOsobe;
			vrstaGlasaOsobe = (VrstaGlasaOsobeImpl)eResolveProxy(oldVrstaGlasaOsobe);
			if (vrstaGlasaOsobe != oldVrstaGlasaOsobe) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_GLASA_OSOBE, oldVrstaGlasaOsobe, vrstaGlasaOsobe));
			}
		}
		return vrstaGlasaOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaGlasaOsobeImpl basicGetVrstaGlasaOsobe() {
		return vrstaGlasaOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaGlasaOsobe(VrstaGlasaOsobeImpl newVrstaGlasaOsobe) {
		VrstaGlasaOsobeImpl oldVrstaGlasaOsobe = vrstaGlasaOsobe;
		vrstaGlasaOsobe = newVrstaGlasaOsobe;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_GLASA_OSOBE, oldVrstaGlasaOsobe, vrstaGlasaOsobe));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaIdentitetaOsobeImpl getVrstaIdentitetaOsobe() {
		if (vrstaIdentitetaOsobe != null && vrstaIdentitetaOsobe.eIsProxy()) {
			InternalEObject oldVrstaIdentitetaOsobe = (InternalEObject)vrstaIdentitetaOsobe;
			vrstaIdentitetaOsobe = (VrstaIdentitetaOsobeImpl)eResolveProxy(oldVrstaIdentitetaOsobe);
			if (vrstaIdentitetaOsobe != oldVrstaIdentitetaOsobe) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_IDENTITETA_OSOBE, oldVrstaIdentitetaOsobe, vrstaIdentitetaOsobe));
			}
		}
		return vrstaIdentitetaOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaIdentitetaOsobeImpl basicGetVrstaIdentitetaOsobe() {
		return vrstaIdentitetaOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaIdentitetaOsobe(VrstaIdentitetaOsobeImpl newVrstaIdentitetaOsobe) {
		VrstaIdentitetaOsobeImpl oldVrstaIdentitetaOsobe = vrstaIdentitetaOsobe;
		vrstaIdentitetaOsobe = newVrstaIdentitetaOsobe;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_IDENTITETA_OSOBE, oldVrstaIdentitetaOsobe, vrstaIdentitetaOsobe));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaStavaOsobeImpl getVrstaStavaOsobe() {
		if (vrstaStavaOsobe != null && vrstaStavaOsobe.eIsProxy()) {
			InternalEObject oldVrstaStavaOsobe = (InternalEObject)vrstaStavaOsobe;
			vrstaStavaOsobe = (VrstaStavaOsobeImpl)eResolveProxy(oldVrstaStavaOsobe);
			if (vrstaStavaOsobe != oldVrstaStavaOsobe) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_STAVA_OSOBE, oldVrstaStavaOsobe, vrstaStavaOsobe));
			}
		}
		return vrstaStavaOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaStavaOsobeImpl basicGetVrstaStavaOsobe() {
		return vrstaStavaOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaStavaOsobe(VrstaStavaOsobeImpl newVrstaStavaOsobe) {
		VrstaStavaOsobeImpl oldVrstaStavaOsobe = vrstaStavaOsobe;
		vrstaStavaOsobe = newVrstaStavaOsobe;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_STAVA_OSOBE, oldVrstaStavaOsobe, vrstaStavaOsobe));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaGovorOsobeImpl getVrstaGovoraOsobe() {
		if (vrstaGovoraOsobe != null && vrstaGovoraOsobe.eIsProxy()) {
			InternalEObject oldVrstaGovoraOsobe = (InternalEObject)vrstaGovoraOsobe;
			vrstaGovoraOsobe = (VrstaGovorOsobeImpl)eResolveProxy(oldVrstaGovoraOsobe);
			if (vrstaGovoraOsobe != oldVrstaGovoraOsobe) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_GOVORA_OSOBE, oldVrstaGovoraOsobe, vrstaGovoraOsobe));
			}
		}
		return vrstaGovoraOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaGovorOsobeImpl basicGetVrstaGovoraOsobe() {
		return vrstaGovoraOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaGovoraOsobe(VrstaGovorOsobeImpl newVrstaGovoraOsobe) {
		VrstaGovorOsobeImpl oldVrstaGovoraOsobe = vrstaGovoraOsobe;
		vrstaGovoraOsobe = newVrstaGovoraOsobe;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_GOVORA_OSOBE, oldVrstaGovoraOsobe, vrstaGovoraOsobe));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaDijalektaOsobeImpl getVrstaDijalektaOsobe() {
		if (vrstaDijalektaOsobe != null && vrstaDijalektaOsobe.eIsProxy()) {
			InternalEObject oldVrstaDijalektaOsobe = (InternalEObject)vrstaDijalektaOsobe;
			vrstaDijalektaOsobe = (VrstaDijalektaOsobeImpl)eResolveProxy(oldVrstaDijalektaOsobe);
			if (vrstaDijalektaOsobe != oldVrstaDijalektaOsobe) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_DIJALEKTA_OSOBE, oldVrstaDijalektaOsobe, vrstaDijalektaOsobe));
			}
		}
		return vrstaDijalektaOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaDijalektaOsobeImpl basicGetVrstaDijalektaOsobe() {
		return vrstaDijalektaOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaDijalektaOsobe(VrstaDijalektaOsobeImpl newVrstaDijalektaOsobe) {
		VrstaDijalektaOsobeImpl oldVrstaDijalektaOsobe = vrstaDijalektaOsobe;
		vrstaDijalektaOsobe = newVrstaDijalektaOsobe;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_DIJALEKTA_OSOBE, oldVrstaDijalektaOsobe, vrstaDijalektaOsobe));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaOkolnihZvukovaImpl getVrstaOkolnihZvukova() {
		if (vrstaOkolnihZvukova != null && vrstaOkolnihZvukova.eIsProxy()) {
			InternalEObject oldVrstaOkolnihZvukova = (InternalEObject)vrstaOkolnihZvukova;
			vrstaOkolnihZvukova = (VrstaOkolnihZvukovaImpl)eResolveProxy(oldVrstaOkolnihZvukova);
			if (vrstaOkolnihZvukova != oldVrstaOkolnihZvukova) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_OKOLNIH_ZVUKOVA, oldVrstaOkolnihZvukova, vrstaOkolnihZvukova));
			}
		}
		return vrstaOkolnihZvukova;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaOkolnihZvukovaImpl basicGetVrstaOkolnihZvukova() {
		return vrstaOkolnihZvukova;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaOkolnihZvukova(VrstaOkolnihZvukovaImpl newVrstaOkolnihZvukova) {
		VrstaOkolnihZvukovaImpl oldVrstaOkolnihZvukova = vrstaOkolnihZvukova;
		vrstaOkolnihZvukova = newVrstaOkolnihZvukova;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_OKOLNIH_ZVUKOVA, oldVrstaOkolnihZvukova, vrstaOkolnihZvukova));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OsobaImpl getOsoba() {
		if (osoba != null && osoba.eIsProxy()) {
			InternalEObject oldOsoba = (InternalEObject)osoba;
			osoba = (OsobaImpl)eResolveProxy(oldOsoba);
			if (osoba != oldOsoba) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PODNOSILAC_PRIJAVE__OSOBA, oldOsoba, osoba));
			}
		}
		return osoba;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OsobaImpl basicGetOsoba() {
		return osoba;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOsoba(OsobaImpl newOsoba) {
		OsobaImpl oldOsoba = osoba;
		osoba = newOsoba;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNOSILAC_PRIJAVE__OSOBA, oldOsoba, osoba));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getTelefon() {
		return telefon;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTelefon(String newTelefon) {
		String oldTelefon = telefon;
		telefon = newTelefon;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNOSILAC_PRIJAVE__TELEFON, oldTelefon, telefon));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OsobaImpl getHosobaPodnosilac() {
		if (hosobaPodnosilac != null && hosobaPodnosilac.eIsProxy()) {
			InternalEObject oldHosobaPodnosilac = (InternalEObject)hosobaPodnosilac;
			hosobaPodnosilac = (OsobaImpl)eResolveProxy(oldHosobaPodnosilac);
			if (hosobaPodnosilac != oldHosobaPodnosilac) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PODNOSILAC_PRIJAVE__HOSOBA_PODNOSILAC, oldHosobaPodnosilac, hosobaPodnosilac));
			}
		}
		return hosobaPodnosilac;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OsobaImpl basicGetHosobaPodnosilac() {
		return hosobaPodnosilac;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setHosobaPodnosilac(OsobaImpl newHosobaPodnosilac) {
		OsobaImpl oldHosobaPodnosilac = hosobaPodnosilac;
		hosobaPodnosilac = newHosobaPodnosilac;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNOSILAC_PRIJAVE__HOSOBA_PODNOSILAC, oldHosobaPodnosilac, hosobaPodnosilac));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojPrijave() {
		return brojPrijave;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojPrijave(String newBrojPrijave) {
		String oldBrojPrijave = brojPrijave;
		brojPrijave = newBrojPrijave;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNOSILAC_PRIJAVE__BROJ_PRIJAVE, oldBrojPrijave, brojPrijave));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OpisGovoraOsobeImpl getOpisGovoraOsobe() {
		if (opisGovoraOsobe != null && opisGovoraOsobe.eIsProxy()) {
			InternalEObject oldOpisGovoraOsobe = (InternalEObject)opisGovoraOsobe;
			opisGovoraOsobe = (OpisGovoraOsobeImpl)eResolveProxy(oldOpisGovoraOsobe);
			if (opisGovoraOsobe != oldOpisGovoraOsobe) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_GOVORA_OSOBE, oldOpisGovoraOsobe, opisGovoraOsobe));
			}
		}
		return opisGovoraOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OpisGovoraOsobeImpl basicGetOpisGovoraOsobe() {
		return opisGovoraOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOpisGovoraOsobe(OpisGovoraOsobeImpl newOpisGovoraOsobe) {
		OpisGovoraOsobeImpl oldOpisGovoraOsobe = opisGovoraOsobe;
		opisGovoraOsobe = newOpisGovoraOsobe;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_GOVORA_OSOBE, oldOpisGovoraOsobe, opisGovoraOsobe));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OpisDijalektaOsobeImpl getOpisDijalektaOsobe() {
		if (opisDijalektaOsobe != null && opisDijalektaOsobe.eIsProxy()) {
			InternalEObject oldOpisDijalektaOsobe = (InternalEObject)opisDijalektaOsobe;
			opisDijalektaOsobe = (OpisDijalektaOsobeImpl)eResolveProxy(oldOpisDijalektaOsobe);
			if (opisDijalektaOsobe != oldOpisDijalektaOsobe) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_DIJALEKTA_OSOBE, oldOpisDijalektaOsobe, opisDijalektaOsobe));
			}
		}
		return opisDijalektaOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OpisDijalektaOsobeImpl basicGetOpisDijalektaOsobe() {
		return opisDijalektaOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOpisDijalektaOsobe(OpisDijalektaOsobeImpl newOpisDijalektaOsobe) {
		OpisDijalektaOsobeImpl oldOpisDijalektaOsobe = opisDijalektaOsobe;
		opisDijalektaOsobe = newOpisDijalektaOsobe;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_DIJALEKTA_OSOBE, oldOpisDijalektaOsobe, opisDijalektaOsobe));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OpisOkolnihZvukovaImpl getOpisOkolnihZvukova() {
		if (opisOkolnihZvukova != null && opisOkolnihZvukova.eIsProxy()) {
			InternalEObject oldOpisOkolnihZvukova = (InternalEObject)opisOkolnihZvukova;
			opisOkolnihZvukova = (OpisOkolnihZvukovaImpl)eResolveProxy(oldOpisOkolnihZvukova);
			if (opisOkolnihZvukova != oldOpisOkolnihZvukova) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_OKOLNIH_ZVUKOVA, oldOpisOkolnihZvukova, opisOkolnihZvukova));
			}
		}
		return opisOkolnihZvukova;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OpisOkolnihZvukovaImpl basicGetOpisOkolnihZvukova() {
		return opisOkolnihZvukova;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOpisOkolnihZvukova(OpisOkolnihZvukovaImpl newOpisOkolnihZvukova) {
		OpisOkolnihZvukovaImpl oldOpisOkolnihZvukova = opisOkolnihZvukova;
		opisOkolnihZvukova = newOpisOkolnihZvukova;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_OKOLNIH_ZVUKOVA, oldOpisOkolnihZvukova, opisOkolnihZvukova));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__ID_PODNOSILAC_PRIJAVE:
				return getIDPodnosilacPrijave();
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_PODNOSIOCA_PRIJAVE:
				return isVrstaPodnosiocaPrijave();
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_GLASA_OSOBE:
				if (resolve) return getVrstaGlasaOsobe();
				return basicGetVrstaGlasaOsobe();
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_IDENTITETA_OSOBE:
				if (resolve) return getVrstaIdentitetaOsobe();
				return basicGetVrstaIdentitetaOsobe();
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_STAVA_OSOBE:
				if (resolve) return getVrstaStavaOsobe();
				return basicGetVrstaStavaOsobe();
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_GOVORA_OSOBE:
				if (resolve) return getVrstaGovoraOsobe();
				return basicGetVrstaGovoraOsobe();
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_DIJALEKTA_OSOBE:
				if (resolve) return getVrstaDijalektaOsobe();
				return basicGetVrstaDijalektaOsobe();
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_OKOLNIH_ZVUKOVA:
				if (resolve) return getVrstaOkolnihZvukova();
				return basicGetVrstaOkolnihZvukova();
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__OSOBA:
				if (resolve) return getOsoba();
				return basicGetOsoba();
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__TELEFON:
				return getTelefon();
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__HOSOBA_PODNOSILAC:
				if (resolve) return getHosobaPodnosilac();
				return basicGetHosobaPodnosilac();
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__BROJ_PRIJAVE:
				return getBrojPrijave();
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_GOVORA_OSOBE:
				if (resolve) return getOpisGovoraOsobe();
				return basicGetOpisGovoraOsobe();
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_DIJALEKTA_OSOBE:
				if (resolve) return getOpisDijalektaOsobe();
				return basicGetOpisDijalektaOsobe();
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_OKOLNIH_ZVUKOVA:
				if (resolve) return getOpisOkolnihZvukova();
				return basicGetOpisOkolnihZvukova();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__ID_PODNOSILAC_PRIJAVE:
				setIDPodnosilacPrijave((Long)newValue);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_PODNOSIOCA_PRIJAVE:
				setVrstaPodnosiocaPrijave((Boolean)newValue);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_GLASA_OSOBE:
				setVrstaGlasaOsobe((VrstaGlasaOsobeImpl)newValue);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_IDENTITETA_OSOBE:
				setVrstaIdentitetaOsobe((VrstaIdentitetaOsobeImpl)newValue);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_STAVA_OSOBE:
				setVrstaStavaOsobe((VrstaStavaOsobeImpl)newValue);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_GOVORA_OSOBE:
				setVrstaGovoraOsobe((VrstaGovorOsobeImpl)newValue);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_DIJALEKTA_OSOBE:
				setVrstaDijalektaOsobe((VrstaDijalektaOsobeImpl)newValue);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_OKOLNIH_ZVUKOVA:
				setVrstaOkolnihZvukova((VrstaOkolnihZvukovaImpl)newValue);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__OSOBA:
				setOsoba((OsobaImpl)newValue);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__TELEFON:
				setTelefon((String)newValue);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__HOSOBA_PODNOSILAC:
				setHosobaPodnosilac((OsobaImpl)newValue);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__BROJ_PRIJAVE:
				setBrojPrijave((String)newValue);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_GOVORA_OSOBE:
				setOpisGovoraOsobe((OpisGovoraOsobeImpl)newValue);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_DIJALEKTA_OSOBE:
				setOpisDijalektaOsobe((OpisDijalektaOsobeImpl)newValue);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_OKOLNIH_ZVUKOVA:
				setOpisOkolnihZvukova((OpisOkolnihZvukovaImpl)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__ID_PODNOSILAC_PRIJAVE:
				setIDPodnosilacPrijave(ID_PODNOSILAC_PRIJAVE_EDEFAULT);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_PODNOSIOCA_PRIJAVE:
				setVrstaPodnosiocaPrijave(VRSTA_PODNOSIOCA_PRIJAVE_EDEFAULT);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_GLASA_OSOBE:
				setVrstaGlasaOsobe((VrstaGlasaOsobeImpl)null);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_IDENTITETA_OSOBE:
				setVrstaIdentitetaOsobe((VrstaIdentitetaOsobeImpl)null);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_STAVA_OSOBE:
				setVrstaStavaOsobe((VrstaStavaOsobeImpl)null);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_GOVORA_OSOBE:
				setVrstaGovoraOsobe((VrstaGovorOsobeImpl)null);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_DIJALEKTA_OSOBE:
				setVrstaDijalektaOsobe((VrstaDijalektaOsobeImpl)null);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_OKOLNIH_ZVUKOVA:
				setVrstaOkolnihZvukova((VrstaOkolnihZvukovaImpl)null);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__OSOBA:
				setOsoba((OsobaImpl)null);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__TELEFON:
				setTelefon(TELEFON_EDEFAULT);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__HOSOBA_PODNOSILAC:
				setHosobaPodnosilac((OsobaImpl)null);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__BROJ_PRIJAVE:
				setBrojPrijave(BROJ_PRIJAVE_EDEFAULT);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_GOVORA_OSOBE:
				setOpisGovoraOsobe((OpisGovoraOsobeImpl)null);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_DIJALEKTA_OSOBE:
				setOpisDijalektaOsobe((OpisDijalektaOsobeImpl)null);
				return;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_OKOLNIH_ZVUKOVA:
				setOpisOkolnihZvukova((OpisOkolnihZvukovaImpl)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__ID_PODNOSILAC_PRIJAVE:
				return iDPodnosilacPrijave != ID_PODNOSILAC_PRIJAVE_EDEFAULT;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_PODNOSIOCA_PRIJAVE:
				return vrstaPodnosiocaPrijave != VRSTA_PODNOSIOCA_PRIJAVE_EDEFAULT;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_GLASA_OSOBE:
				return vrstaGlasaOsobe != null;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_IDENTITETA_OSOBE:
				return vrstaIdentitetaOsobe != null;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_STAVA_OSOBE:
				return vrstaStavaOsobe != null;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_GOVORA_OSOBE:
				return vrstaGovoraOsobe != null;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_DIJALEKTA_OSOBE:
				return vrstaDijalektaOsobe != null;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__VRSTA_OKOLNIH_ZVUKOVA:
				return vrstaOkolnihZvukova != null;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__OSOBA:
				return osoba != null;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__TELEFON:
				return TELEFON_EDEFAULT == null ? telefon != null : !TELEFON_EDEFAULT.equals(telefon);
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__HOSOBA_PODNOSILAC:
				return hosobaPodnosilac != null;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__BROJ_PRIJAVE:
				return BROJ_PRIJAVE_EDEFAULT == null ? brojPrijave != null : !BROJ_PRIJAVE_EDEFAULT.equals(brojPrijave);
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_GOVORA_OSOBE:
				return opisGovoraOsobe != null;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_DIJALEKTA_OSOBE:
				return opisDijalektaOsobe != null;
			case PbdmodelPackage.PODNOSILAC_PRIJAVE__OPIS_OKOLNIH_ZVUKOVA:
				return opisOkolnihZvukova != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDPodnosilacPrijave: ");
		result.append(iDPodnosilacPrijave);
		result.append(", vrstaPodnosiocaPrijave: ");
		result.append(vrstaPodnosiocaPrijave);
		result.append(", telefon: ");
		result.append(telefon);
		result.append(", brojPrijave: ");
		result.append(brojPrijave);
		result.append(')');
		return result.toString();
	}

} //PodnosilacPrijaveImpl
