/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.PbdmodelPackage;
import pbdmodel.PrekrsajniPostupak;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Prekrsajni Postupak</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.PrekrsajniPostupakImpl#getIDPrekrsajniPostupak <em>ID Prekrsajni Postupak</em>}</li>
 *   <li>{@link pbdmodel.impl.PrekrsajniPostupakImpl#isZahtjevOdbacen <em>Zahtjev Odbacen</em>}</li>
 *   <li>{@link pbdmodel.impl.PrekrsajniPostupakImpl#isPostupakObustavljen <em>Postupak Obustavljen</em>}</li>
 *   <li>{@link pbdmodel.impl.PrekrsajniPostupakImpl#isPrijavaUstupljenaDrugomOrganu <em>Prijava Ustupljena Drugom Organu</em>}</li>
 *   <li>{@link pbdmodel.impl.PrekrsajniPostupakImpl#isPredmetUstupljenDrugomSudu <em>Predmet Ustupljen Drugom Sudu</em>}</li>
 *   <li>{@link pbdmodel.impl.PrekrsajniPostupakImpl#getOrganVlasti <em>Organ Vlasti</em>}</li>
 *   <li>{@link pbdmodel.impl.PrekrsajniPostupakImpl#getSud <em>SudImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.PrekrsajniPostupakImpl#isPostupakPoZalbi <em>Postupak Po Zalbi</em>}</li>
 *   <li>{@link pbdmodel.impl.PrekrsajniPostupakImpl#getSluzbenaOsoba <em>Sluzbena Osoba</em>}</li>
 *   <li>{@link pbdmodel.impl.PrekrsajniPostupakImpl#getSudionik <em>SudionikImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.PrekrsajniPostupakImpl#getVrstaOrganaVlasti <em>Vrsta Organa Vlasti</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class PrekrsajniPostupakImpl extends AktivnostImpl implements PrekrsajniPostupak {
	/**
	 * The default value of the '{@link #getIDPrekrsajniPostupak() <em>ID Prekrsajni Postupak</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDPrekrsajniPostupak()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_PREKRSAJNI_POSTUPAK_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDPrekrsajniPostupak() <em>ID Prekrsajni Postupak</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDPrekrsajniPostupak()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long iDPrekrsajniPostupak = ID_PREKRSAJNI_POSTUPAK_EDEFAULT;

	/**
	 * The default value of the '{@link #isZahtjevOdbacen() <em>Zahtjev Odbacen</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isZahtjevOdbacen()
	 * @generated
	 * @ordered
	 */
	protected static final boolean ZAHTJEV_ODBACEN_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isZahtjevOdbacen() <em>Zahtjev Odbacen</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isZahtjevOdbacen()
	 * @generated
	 * @ordered
	 */
	protected boolean zahtjevOdbacen = ZAHTJEV_ODBACEN_EDEFAULT;

	/**
	 * The default value of the '{@link #isPostupakObustavljen() <em>Postupak Obustavljen</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPostupakObustavljen()
	 * @generated
	 * @ordered
	 */
	protected static final boolean POSTUPAK_OBUSTAVLJEN_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isPostupakObustavljen() <em>Postupak Obustavljen</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPostupakObustavljen()
	 * @generated
	 * @ordered
	 */
	protected boolean postupakObustavljen = POSTUPAK_OBUSTAVLJEN_EDEFAULT;

	/**
	 * The default value of the '{@link #isPrijavaUstupljenaDrugomOrganu() <em>Prijava Ustupljena Drugom Organu</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPrijavaUstupljenaDrugomOrganu()
	 * @generated
	 * @ordered
	 */
	protected static final boolean PRIJAVA_USTUPLJENA_DRUGOM_ORGANU_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isPrijavaUstupljenaDrugomOrganu() <em>Prijava Ustupljena Drugom Organu</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPrijavaUstupljenaDrugomOrganu()
	 * @generated
	 * @ordered
	 */
	protected boolean prijavaUstupljenaDrugomOrganu = PRIJAVA_USTUPLJENA_DRUGOM_ORGANU_EDEFAULT;

	/**
	 * The default value of the '{@link #isPredmetUstupljenDrugomSudu() <em>Predmet Ustupljen Drugom Sudu</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPredmetUstupljenDrugomSudu()
	 * @generated
	 * @ordered
	 */
	protected static final boolean PREDMET_USTUPLJEN_DRUGOM_SUDU_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isPredmetUstupljenDrugomSudu() <em>Predmet Ustupljen Drugom Sudu</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPredmetUstupljenDrugomSudu()
	 * @generated
	 * @ordered
	 */
	protected boolean predmetUstupljenDrugomSudu = PREDMET_USTUPLJEN_DRUGOM_SUDU_EDEFAULT;

	/**
	 * The cached value of the '{@link #getOrganVlasti() <em>Organ Vlasti</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrganVlasti()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ORGAN_VLASTI_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected OrganVlastiImpl organVlasti;

	/**
	 * The cached value of the '{@link #getSud() <em>SudImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSud()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SUD_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected SudImpl sud;

	/**
	 * The default value of the '{@link #isPostupakPoZalbi() <em>Postupak Po Zalbi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPostupakPoZalbi()
	 * @generated
	 * @ordered
	 */
	protected static final boolean POSTUPAK_PO_ZALBI_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isPostupakPoZalbi() <em>Postupak Po Zalbi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPostupakPoZalbi()
	 * @generated
	 * @ordered
	 */
	protected boolean postupakPoZalbi = POSTUPAK_PO_ZALBI_EDEFAULT;

	/**
	 * The cached value of the '{@link #getSluzbenaOsoba() <em>Sluzbena Osoba</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSluzbenaOsoba()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SLUZBENA_OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<SluzbenaOsobaImpl> sluzbenaOsoba;

	/**
	 * The cached value of the '{@link #getSudionik() <em>SudionikImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSudionik()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SUDIONIK_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected SudionikImpl sudionik;

	/**
	 * The cached value of the '{@link #getVrstaOrganaVlasti() <em>Vrsta Organa Vlasti</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaOrganaVlasti()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_ORGANA_VLASTI_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected VrstaOrganaVlastiImpl vrstaOrganaVlasti;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PrekrsajniPostupakImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getPrekrsajniPostupak();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDPrekrsajniPostupak() {
		return iDPrekrsajniPostupak;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDPrekrsajniPostupak(long newIDPrekrsajniPostupak) {
		long oldIDPrekrsajniPostupak = iDPrekrsajniPostupak;
		iDPrekrsajniPostupak = newIDPrekrsajniPostupak;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PREKRSAJNI_POSTUPAK__ID_PREKRSAJNI_POSTUPAK, oldIDPrekrsajniPostupak, iDPrekrsajniPostupak));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isZahtjevOdbacen() {
		return zahtjevOdbacen;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setZahtjevOdbacen(boolean newZahtjevOdbacen) {
		boolean oldZahtjevOdbacen = zahtjevOdbacen;
		zahtjevOdbacen = newZahtjevOdbacen;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PREKRSAJNI_POSTUPAK__ZAHTJEV_ODBACEN, oldZahtjevOdbacen, zahtjevOdbacen));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isPostupakObustavljen() {
		return postupakObustavljen;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPostupakObustavljen(boolean newPostupakObustavljen) {
		boolean oldPostupakObustavljen = postupakObustavljen;
		postupakObustavljen = newPostupakObustavljen;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PREKRSAJNI_POSTUPAK__POSTUPAK_OBUSTAVLJEN, oldPostupakObustavljen, postupakObustavljen));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isPrijavaUstupljenaDrugomOrganu() {
		return prijavaUstupljenaDrugomOrganu;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPrijavaUstupljenaDrugomOrganu(boolean newPrijavaUstupljenaDrugomOrganu) {
		boolean oldPrijavaUstupljenaDrugomOrganu = prijavaUstupljenaDrugomOrganu;
		prijavaUstupljenaDrugomOrganu = newPrijavaUstupljenaDrugomOrganu;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PREKRSAJNI_POSTUPAK__PRIJAVA_USTUPLJENA_DRUGOM_ORGANU, oldPrijavaUstupljenaDrugomOrganu, prijavaUstupljenaDrugomOrganu));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isPredmetUstupljenDrugomSudu() {
		return predmetUstupljenDrugomSudu;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPredmetUstupljenDrugomSudu(boolean newPredmetUstupljenDrugomSudu) {
		boolean oldPredmetUstupljenDrugomSudu = predmetUstupljenDrugomSudu;
		predmetUstupljenDrugomSudu = newPredmetUstupljenDrugomSudu;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PREKRSAJNI_POSTUPAK__PREDMET_USTUPLJEN_DRUGOM_SUDU, oldPredmetUstupljenDrugomSudu, predmetUstupljenDrugomSudu));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrganVlastiImpl getOrganVlasti() {
		if (organVlasti != null && organVlasti.eIsProxy()) {
			InternalEObject oldOrganVlasti = (InternalEObject)organVlasti;
			organVlasti = (OrganVlastiImpl)eResolveProxy(oldOrganVlasti);
			if (organVlasti != oldOrganVlasti) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PREKRSAJNI_POSTUPAK__ORGAN_VLASTI, oldOrganVlasti, organVlasti));
			}
		}
		return organVlasti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrganVlastiImpl basicGetOrganVlasti() {
		return organVlasti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrganVlasti(OrganVlastiImpl newOrganVlasti) {
		OrganVlastiImpl oldOrganVlasti = organVlasti;
		organVlasti = newOrganVlasti;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PREKRSAJNI_POSTUPAK__ORGAN_VLASTI, oldOrganVlasti, organVlasti));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SudImpl getSud() {
		if (sud != null && sud.eIsProxy()) {
			InternalEObject oldSud = (InternalEObject)sud;
			sud = (SudImpl)eResolveProxy(oldSud);
			if (sud != oldSud) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PREKRSAJNI_POSTUPAK__SUD, oldSud, sud));
			}
		}
		return sud;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SudImpl basicGetSud() {
		return sud;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSud(SudImpl newSud) {
		SudImpl oldSud = sud;
		sud = newSud;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PREKRSAJNI_POSTUPAK__SUD, oldSud, sud));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isPostupakPoZalbi() {
		return postupakPoZalbi;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPostupakPoZalbi(boolean newPostupakPoZalbi) {
		boolean oldPostupakPoZalbi = postupakPoZalbi;
		postupakPoZalbi = newPostupakPoZalbi;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PREKRSAJNI_POSTUPAK__POSTUPAK_PO_ZALBI, oldPostupakPoZalbi, postupakPoZalbi));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<SluzbenaOsobaImpl> getSluzbenaOsoba() {
		if (sluzbenaOsoba == null) {
			sluzbenaOsoba = new ArrayList<SluzbenaOsobaImpl>();
		}
		return sluzbenaOsoba;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SudionikImpl getSudionik() {
		if (sudionik != null && sudionik.eIsProxy()) {
			InternalEObject oldSudionik = (InternalEObject)sudionik;
			sudionik = (SudionikImpl)eResolveProxy(oldSudionik);
			if (sudionik != oldSudionik) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PREKRSAJNI_POSTUPAK__SUDIONIK, oldSudionik, sudionik));
			}
		}
		return sudionik;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SudionikImpl basicGetSudionik() {
		return sudionik;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSudionik(SudionikImpl newSudionik) {
		SudionikImpl oldSudionik = sudionik;
		sudionik = newSudionik;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PREKRSAJNI_POSTUPAK__SUDIONIK, oldSudionik, sudionik));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaOrganaVlastiImpl getVrstaOrganaVlasti() {
		if (vrstaOrganaVlasti != null && vrstaOrganaVlasti.eIsProxy()) {
			InternalEObject oldVrstaOrganaVlasti = (InternalEObject)vrstaOrganaVlasti;
			vrstaOrganaVlasti = (VrstaOrganaVlastiImpl)eResolveProxy(oldVrstaOrganaVlasti);
			if (vrstaOrganaVlasti != oldVrstaOrganaVlasti) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PREKRSAJNI_POSTUPAK__VRSTA_ORGANA_VLASTI, oldVrstaOrganaVlasti, vrstaOrganaVlasti));
			}
		}
		return vrstaOrganaVlasti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaOrganaVlastiImpl basicGetVrstaOrganaVlasti() {
		return vrstaOrganaVlasti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaOrganaVlasti(VrstaOrganaVlastiImpl newVrstaOrganaVlasti) {
		VrstaOrganaVlastiImpl oldVrstaOrganaVlasti = vrstaOrganaVlasti;
		vrstaOrganaVlasti = newVrstaOrganaVlasti;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PREKRSAJNI_POSTUPAK__VRSTA_ORGANA_VLASTI, oldVrstaOrganaVlasti, vrstaOrganaVlasti));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__ID_PREKRSAJNI_POSTUPAK:
				return getIDPrekrsajniPostupak();
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__ZAHTJEV_ODBACEN:
				return isZahtjevOdbacen();
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__POSTUPAK_OBUSTAVLJEN:
				return isPostupakObustavljen();
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__PRIJAVA_USTUPLJENA_DRUGOM_ORGANU:
				return isPrijavaUstupljenaDrugomOrganu();
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__PREDMET_USTUPLJEN_DRUGOM_SUDU:
				return isPredmetUstupljenDrugomSudu();
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__ORGAN_VLASTI:
				if (resolve) return getOrganVlasti();
				return basicGetOrganVlasti();
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__SUD:
				if (resolve) return getSud();
				return basicGetSud();
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__POSTUPAK_PO_ZALBI:
				return isPostupakPoZalbi();
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__SLUZBENA_OSOBA:
				return getSluzbenaOsoba();
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__SUDIONIK:
				if (resolve) return getSudionik();
				return basicGetSudionik();
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__VRSTA_ORGANA_VLASTI:
				if (resolve) return getVrstaOrganaVlasti();
				return basicGetVrstaOrganaVlasti();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__ID_PREKRSAJNI_POSTUPAK:
				setIDPrekrsajniPostupak((Long)newValue);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__ZAHTJEV_ODBACEN:
				setZahtjevOdbacen((Boolean)newValue);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__POSTUPAK_OBUSTAVLJEN:
				setPostupakObustavljen((Boolean)newValue);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__PRIJAVA_USTUPLJENA_DRUGOM_ORGANU:
				setPrijavaUstupljenaDrugomOrganu((Boolean)newValue);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__PREDMET_USTUPLJEN_DRUGOM_SUDU:
				setPredmetUstupljenDrugomSudu((Boolean)newValue);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__ORGAN_VLASTI:
				setOrganVlasti((OrganVlastiImpl)newValue);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__SUD:
				setSud((SudImpl)newValue);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__POSTUPAK_PO_ZALBI:
				setPostupakPoZalbi((Boolean)newValue);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__SLUZBENA_OSOBA:
				getSluzbenaOsoba().clear();
				getSluzbenaOsoba().addAll((Collection<? extends SluzbenaOsobaImpl>)newValue);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__SUDIONIK:
				setSudionik((SudionikImpl)newValue);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__VRSTA_ORGANA_VLASTI:
				setVrstaOrganaVlasti((VrstaOrganaVlastiImpl)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__ID_PREKRSAJNI_POSTUPAK:
				setIDPrekrsajniPostupak(ID_PREKRSAJNI_POSTUPAK_EDEFAULT);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__ZAHTJEV_ODBACEN:
				setZahtjevOdbacen(ZAHTJEV_ODBACEN_EDEFAULT);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__POSTUPAK_OBUSTAVLJEN:
				setPostupakObustavljen(POSTUPAK_OBUSTAVLJEN_EDEFAULT);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__PRIJAVA_USTUPLJENA_DRUGOM_ORGANU:
				setPrijavaUstupljenaDrugomOrganu(PRIJAVA_USTUPLJENA_DRUGOM_ORGANU_EDEFAULT);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__PREDMET_USTUPLJEN_DRUGOM_SUDU:
				setPredmetUstupljenDrugomSudu(PREDMET_USTUPLJEN_DRUGOM_SUDU_EDEFAULT);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__ORGAN_VLASTI:
				setOrganVlasti((OrganVlastiImpl)null);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__SUD:
				setSud((SudImpl)null);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__POSTUPAK_PO_ZALBI:
				setPostupakPoZalbi(POSTUPAK_PO_ZALBI_EDEFAULT);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__SLUZBENA_OSOBA:
				getSluzbenaOsoba().clear();
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__SUDIONIK:
				setSudionik((SudionikImpl)null);
				return;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__VRSTA_ORGANA_VLASTI:
				setVrstaOrganaVlasti((VrstaOrganaVlastiImpl)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__ID_PREKRSAJNI_POSTUPAK:
				return iDPrekrsajniPostupak != ID_PREKRSAJNI_POSTUPAK_EDEFAULT;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__ZAHTJEV_ODBACEN:
				return zahtjevOdbacen != ZAHTJEV_ODBACEN_EDEFAULT;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__POSTUPAK_OBUSTAVLJEN:
				return postupakObustavljen != POSTUPAK_OBUSTAVLJEN_EDEFAULT;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__PRIJAVA_USTUPLJENA_DRUGOM_ORGANU:
				return prijavaUstupljenaDrugomOrganu != PRIJAVA_USTUPLJENA_DRUGOM_ORGANU_EDEFAULT;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__PREDMET_USTUPLJEN_DRUGOM_SUDU:
				return predmetUstupljenDrugomSudu != PREDMET_USTUPLJEN_DRUGOM_SUDU_EDEFAULT;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__ORGAN_VLASTI:
				return organVlasti != null;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__SUD:
				return sud != null;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__POSTUPAK_PO_ZALBI:
				return postupakPoZalbi != POSTUPAK_PO_ZALBI_EDEFAULT;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__SLUZBENA_OSOBA:
				return sluzbenaOsoba != null && !sluzbenaOsoba.isEmpty();
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__SUDIONIK:
				return sudionik != null;
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK__VRSTA_ORGANA_VLASTI:
				return vrstaOrganaVlasti != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDPrekrsajniPostupak: ");
		result.append(iDPrekrsajniPostupak);
		result.append(", zahtjevOdbacen: ");
		result.append(zahtjevOdbacen);
		result.append(", postupakObustavljen: ");
		result.append(postupakObustavljen);
		result.append(", prijavaUstupljenaDrugomOrganu: ");
		result.append(prijavaUstupljenaDrugomOrganu);
		result.append(", predmetUstupljenDrugomSudu: ");
		result.append(predmetUstupljenDrugomSudu);
		result.append(", postupakPoZalbi: ");
		result.append(postupakPoZalbi);
		result.append(')');
		return result.toString();
	}

} //PrekrsajniPostupakImpl
