/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.PbdmodelPackage;
import pbdmodel.SaobracajnaNezgoda;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Saobracajna Nezgoda</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getIDSaobracajneNesrece <em>ID Saobracajne Nesrece</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getKategorijaPuta <em>Kategorija Puta</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getNapomena <em>Napomena</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getVrstaNezgode <em>Vrsta Nezgode</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getBrojLicaUNesreci <em>Broj Lica UNesreci</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getBrojProtokola <em>Broj Protokola</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getBrojPovrijedjenihOsoba <em>Broj Povrijedjenih Osoba</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getSudionikPovrijedjeni <em>SudionikImpl Povrijedjeni</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getPodaciONastalimLaksimTjelesnimOzljedama <em>Podaci ONastalim Laksim Tjelesnim Ozljedama</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getPodaciONastalimTeskimTjelesnimOzljedama <em>Podaci ONastalim Teskim Tjelesnim Ozljedama</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getDatumNezode <em>Datum Nezode</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getVrijemeNezgode <em>Vrijeme Nezgode</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getBrojVozilaUNesreci <em>Broj Vozila UNesreci</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getVozilo <em>VoziloImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getUzrokNezgode <em>Uzrok Nezgode</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getVisinaMaterijalneSteteProcjenaSluzbeneOsobe <em>Visina Materijalne Stete Procjena Sluzbene Osobe</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getMjestoNastankaNezgodeBlizaOznaka <em>MjestoImpl Nastanka Nezgode Bliza Oznaka</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getDrzavaNezgode <em>Drzava Nezgode</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#isPovrjedjeni <em>Povrjedjeni</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#isMaterijalnaSteta <em>Materijalna Steta</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getPodaciOSmrtnoStradalimOsobama <em>Podaci OSmrtno Stradalim Osobama</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getDanNastankaNezgode <em>Dan Nastanka Nezgode</em>}</li>
 *   <li>{@link pbdmodel.impl.SaobracajnaNezgodaImpl#getMjesto <em>MjestoImpl</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class SaobracajnaNezgodaImpl extends AktivnostImpl implements SaobracajnaNezgoda {
	/**
	 * The default value of the '{@link #getIDSaobracajneNesrece() <em>ID Saobracajne Nesrece</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDSaobracajneNesrece()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_SAOBRACAJNE_NESRECE_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDSaobracajneNesrece() <em>ID Saobracajne Nesrece</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDSaobracajneNesrece()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long iDSaobracajneNesrece = ID_SAOBRACAJNE_NESRECE_EDEFAULT;

	/**
	 * The cached value of the '{@link #getKategorijaPuta() <em>Kategorija Puta</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKategorijaPuta()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="KATEGORIJA_PUTA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected KategorijaPutaImpl kategorijaPuta;

	/**
	 * The default value of the '{@link #getNapomena() <em>Napomena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNapomena()
	 * @generated
	 * @ordered
	 */
	protected static final String NAPOMENA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getNapomena() <em>Napomena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNapomena()
	 * @generated
	 * @ordered
	 */
	protected String napomena = NAPOMENA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getVrstaNezgode() <em>Vrsta Nezgode</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaNezgode()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_NEZGODE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected VrstaNezgodeImpl vrstaNezgode;

	/**
	 * The default value of the '{@link #getBrojLicaUNesreci() <em>Broj Lica UNesreci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojLicaUNesreci()
	 * @generated
	 * @ordered
	 */
	protected static final long BROJ_LICA_UNESRECI_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getBrojLicaUNesreci() <em>Broj Lica UNesreci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojLicaUNesreci()
	 * @generated
	 * @ordered
	 */
	protected long brojLicaUNesreci = BROJ_LICA_UNESRECI_EDEFAULT;

	/**
	 * The default value of the '{@link #getBrojProtokola() <em>Broj Protokola</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojProtokola()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_PROTOKOLA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojProtokola() <em>Broj Protokola</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojProtokola()
	 * @generated
	 * @ordered
	 */
	protected String brojProtokola = BROJ_PROTOKOLA_EDEFAULT;

	/**
	 * The default value of the '{@link #getBrojPovrijedjenihOsoba() <em>Broj Povrijedjenih Osoba</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojPovrijedjenihOsoba()
	 * @generated
	 * @ordered
	 */
	protected static final long BROJ_POVRIJEDJENIH_OSOBA_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getBrojPovrijedjenihOsoba() <em>Broj Povrijedjenih Osoba</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojPovrijedjenihOsoba()
	 * @generated
	 * @ordered
	 */
	protected long brojPovrijedjenihOsoba = BROJ_POVRIJEDJENIH_OSOBA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getSudionikPovrijedjeni() <em>SudionikImpl Povrijedjeni</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSudionikPovrijedjeni()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SUDIONIK_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<SudionikImpl> sudionikPovrijedjeni;

	/**
	 * The default value of the '{@link #getPodaciONastalimLaksimTjelesnimOzljedama() <em>Podaci ONastalim Laksim Tjelesnim Ozljedama</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPodaciONastalimLaksimTjelesnimOzljedama()
	 * @generated
	 * @ordered
	 */
	protected static final String PODACI_ONASTALIM_LAKSIM_TJELESNIM_OZLJEDAMA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPodaciONastalimLaksimTjelesnimOzljedama() <em>Podaci ONastalim Laksim Tjelesnim Ozljedama</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPodaciONastalimLaksimTjelesnimOzljedama()
	 * @generated
	 * @ordered
	 */
	protected String podaciONastalimLaksimTjelesnimOzljedama = PODACI_ONASTALIM_LAKSIM_TJELESNIM_OZLJEDAMA_EDEFAULT;

	/**
	 * The default value of the '{@link #getPodaciONastalimTeskimTjelesnimOzljedama() <em>Podaci ONastalim Teskim Tjelesnim Ozljedama</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPodaciONastalimTeskimTjelesnimOzljedama()
	 * @generated
	 * @ordered
	 */
	protected static final String PODACI_ONASTALIM_TESKIM_TJELESNIM_OZLJEDAMA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPodaciONastalimTeskimTjelesnimOzljedama() <em>Podaci ONastalim Teskim Tjelesnim Ozljedama</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPodaciONastalimTeskimTjelesnimOzljedama()
	 * @generated
	 * @ordered
	 */
	protected String podaciONastalimTeskimTjelesnimOzljedama = PODACI_ONASTALIM_TESKIM_TJELESNIM_OZLJEDAMA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumNezode() <em>Datum Nezode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumNezode()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_NEZODE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumNezode() <em>Datum Nezode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumNezode()
	 * @generated
	 * @ordered
	 */
	protected Date datumNezode = DATUM_NEZODE_EDEFAULT;

	/**
	 * The default value of the '{@link #getVrijemeNezgode() <em>Vrijeme Nezgode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeNezgode()
	 * @generated
	 * @ordered
	 */
	protected static final Date VRIJEME_NEZGODE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVrijemeNezgode() <em>Vrijeme Nezgode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeNezgode()
	 * @generated
	 * @ordered
	 */
	protected Date vrijemeNezgode = VRIJEME_NEZGODE_EDEFAULT;

	/**
	 * The default value of the '{@link #getBrojVozilaUNesreci() <em>Broj Vozila UNesreci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojVozilaUNesreci()
	 * @generated
	 * @ordered
	 */
	protected static final long BROJ_VOZILA_UNESRECI_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getBrojVozilaUNesreci() <em>Broj Vozila UNesreci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojVozilaUNesreci()
	 * @generated
	 * @ordered
	 */
	protected long brojVozilaUNesreci = BROJ_VOZILA_UNESRECI_EDEFAULT;

	/**
	 * The cached value of the '{@link #getVozilo() <em>VoziloImpl</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVozilo()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VOZILO_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<VoziloImpl> vozilo;

	/**
	 * The cached value of the '{@link #getUzrokNezgode() <em>Uzrok Nezgode</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUzrokNezgode()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="UZROK_NEZGODE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected UzrokNezgodeImpl uzrokNezgode;

	/**
	 * The default value of the '{@link #getVisinaMaterijalneSteteProcjenaSluzbeneOsobe() <em>Visina Materijalne Stete Procjena Sluzbene Osobe</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVisinaMaterijalneSteteProcjenaSluzbeneOsobe()
	 * @generated
	 * @ordered
	 */
	protected static final float VISINA_MATERIJALNE_STETE_PROCJENA_SLUZBENE_OSOBE_EDEFAULT = 0.0F;

	/**
	 * The cached value of the '{@link #getVisinaMaterijalneSteteProcjenaSluzbeneOsobe() <em>Visina Materijalne Stete Procjena Sluzbene Osobe</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVisinaMaterijalneSteteProcjenaSluzbeneOsobe()
	 * @generated
	 * @ordered
	 */
	protected float visinaMaterijalneSteteProcjenaSluzbeneOsobe = VISINA_MATERIJALNE_STETE_PROCJENA_SLUZBENE_OSOBE_EDEFAULT;

	/**
	 * The default value of the '{@link #getMjestoNastankaNezgodeBlizaOznaka() <em>MjestoImpl Nastanka Nezgode Bliza Oznaka</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjestoNastankaNezgodeBlizaOznaka()
	 * @generated
	 * @ordered
	 */
	protected static final String MJESTO_NASTANKA_NEZGODE_BLIZA_OZNAKA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getMjestoNastankaNezgodeBlizaOznaka() <em>MjestoImpl Nastanka Nezgode Bliza Oznaka</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjestoNastankaNezgodeBlizaOznaka()
	 * @generated
	 * @ordered
	 */
	protected String mjestoNastankaNezgodeBlizaOznaka = MJESTO_NASTANKA_NEZGODE_BLIZA_OZNAKA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDrzavaNezgode() <em>Drzava Nezgode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDrzavaNezgode()
	 * @generated
	 * @ordered
	 */
	protected static final String DRZAVA_NEZGODE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDrzavaNezgode() <em>Drzava Nezgode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDrzavaNezgode()
	 * @generated
	 * @ordered
	 */
	protected String drzavaNezgode = DRZAVA_NEZGODE_EDEFAULT;

	/**
	 * The default value of the '{@link #isPovrjedjeni() <em>Povrjedjeni</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPovrjedjeni()
	 * @generated
	 * @ordered
	 */
	protected static final boolean POVRJEDJENI_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isPovrjedjeni() <em>Povrjedjeni</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPovrjedjeni()
	 * @generated
	 * @ordered
	 */
	protected boolean povrjedjeni = POVRJEDJENI_EDEFAULT;

	/**
	 * The default value of the '{@link #isMaterijalnaSteta() <em>Materijalna Steta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isMaterijalnaSteta()
	 * @generated
	 * @ordered
	 */
	protected static final boolean MATERIJALNA_STETA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isMaterijalnaSteta() <em>Materijalna Steta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isMaterijalnaSteta()
	 * @generated
	 * @ordered
	 */
	protected boolean materijalnaSteta = MATERIJALNA_STETA_EDEFAULT;

	/**
	 * The default value of the '{@link #getPodaciOSmrtnoStradalimOsobama() <em>Podaci OSmrtno Stradalim Osobama</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPodaciOSmrtnoStradalimOsobama()
	 * @generated
	 * @ordered
	 */
	protected static final String PODACI_OSMRTNO_STRADALIM_OSOBAMA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPodaciOSmrtnoStradalimOsobama() <em>Podaci OSmrtno Stradalim Osobama</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPodaciOSmrtnoStradalimOsobama()
	 * @generated
	 * @ordered
	 */
	protected String podaciOSmrtnoStradalimOsobama = PODACI_OSMRTNO_STRADALIM_OSOBAMA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDanNastankaNezgode() <em>Dan Nastanka Nezgode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDanNastankaNezgode()
	 * @generated
	 * @ordered
	 */
	protected static final String DAN_NASTANKA_NEZGODE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDanNastankaNezgode() <em>Dan Nastanka Nezgode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDanNastankaNezgode()
	 * @generated
	 * @ordered
	 */
	protected String danNastankaNezgode = DAN_NASTANKA_NEZGODE_EDEFAULT;

	/**
	 * The cached value of the '{@link #getMjesto() <em>MjestoImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjesto()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="MJESTO_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected MjestoImpl mjesto;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SaobracajnaNezgodaImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getSaobracajnaNezgoda();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDSaobracajneNesrece() {
		return iDSaobracajneNesrece;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDSaobracajneNesrece(long newIDSaobracajneNesrece) {
		long oldIDSaobracajneNesrece = iDSaobracajneNesrece;
		iDSaobracajneNesrece = newIDSaobracajneNesrece;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__ID_SAOBRACAJNE_NESRECE, oldIDSaobracajneNesrece, iDSaobracajneNesrece));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KategorijaPutaImpl getKategorijaPuta() {
		if (kategorijaPuta != null && kategorijaPuta.eIsProxy()) {
			InternalEObject oldKategorijaPuta = (InternalEObject)kategorijaPuta;
			kategorijaPuta = (KategorijaPutaImpl)eResolveProxy(oldKategorijaPuta);
			if (kategorijaPuta != oldKategorijaPuta) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.SAOBRACAJNA_NEZGODA__KATEGORIJA_PUTA, oldKategorijaPuta, kategorijaPuta));
			}
		}
		return kategorijaPuta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KategorijaPutaImpl basicGetKategorijaPuta() {
		return kategorijaPuta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setKategorijaPuta(KategorijaPutaImpl newKategorijaPuta) {
		KategorijaPutaImpl oldKategorijaPuta = kategorijaPuta;
		kategorijaPuta = newKategorijaPuta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__KATEGORIJA_PUTA, oldKategorijaPuta, kategorijaPuta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getNapomena() {
		return napomena;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNapomena(String newNapomena) {
		String oldNapomena = napomena;
		napomena = newNapomena;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__NAPOMENA, oldNapomena, napomena));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaNezgodeImpl getVrstaNezgode() {
		if (vrstaNezgode != null && vrstaNezgode.eIsProxy()) {
			InternalEObject oldVrstaNezgode = (InternalEObject)vrstaNezgode;
			vrstaNezgode = (VrstaNezgodeImpl)eResolveProxy(oldVrstaNezgode);
			if (vrstaNezgode != oldVrstaNezgode) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.SAOBRACAJNA_NEZGODA__VRSTA_NEZGODE, oldVrstaNezgode, vrstaNezgode));
			}
		}
		return vrstaNezgode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaNezgodeImpl basicGetVrstaNezgode() {
		return vrstaNezgode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaNezgode(VrstaNezgodeImpl newVrstaNezgode) {
		VrstaNezgodeImpl oldVrstaNezgode = vrstaNezgode;
		vrstaNezgode = newVrstaNezgode;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__VRSTA_NEZGODE, oldVrstaNezgode, vrstaNezgode));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getBrojLicaUNesreci() {
		return brojLicaUNesreci;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojLicaUNesreci(long newBrojLicaUNesreci) {
		long oldBrojLicaUNesreci = brojLicaUNesreci;
		brojLicaUNesreci = newBrojLicaUNesreci;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_LICA_UNESRECI, oldBrojLicaUNesreci, brojLicaUNesreci));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojProtokola() {
		return brojProtokola;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojProtokola(String newBrojProtokola) {
		String oldBrojProtokola = brojProtokola;
		brojProtokola = newBrojProtokola;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_PROTOKOLA, oldBrojProtokola, brojProtokola));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getBrojPovrijedjenihOsoba() {
		return brojPovrijedjenihOsoba;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojPovrijedjenihOsoba(long newBrojPovrijedjenihOsoba) {
		long oldBrojPovrijedjenihOsoba = brojPovrijedjenihOsoba;
		brojPovrijedjenihOsoba = newBrojPovrijedjenihOsoba;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_POVRIJEDJENIH_OSOBA, oldBrojPovrijedjenihOsoba, brojPovrijedjenihOsoba));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<SudionikImpl> getSudionikPovrijedjeni() {
		if (sudionikPovrijedjeni == null) {
			sudionikPovrijedjeni = new ArrayList<SudionikImpl>();
		}
		return sudionikPovrijedjeni;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPodaciONastalimLaksimTjelesnimOzljedama() {
		return podaciONastalimLaksimTjelesnimOzljedama;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPodaciONastalimLaksimTjelesnimOzljedama(String newPodaciONastalimLaksimTjelesnimOzljedama) {
		String oldPodaciONastalimLaksimTjelesnimOzljedama = podaciONastalimLaksimTjelesnimOzljedama;
		podaciONastalimLaksimTjelesnimOzljedama = newPodaciONastalimLaksimTjelesnimOzljedama;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__PODACI_ONASTALIM_LAKSIM_TJELESNIM_OZLJEDAMA, oldPodaciONastalimLaksimTjelesnimOzljedama, podaciONastalimLaksimTjelesnimOzljedama));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPodaciONastalimTeskimTjelesnimOzljedama() {
		return podaciONastalimTeskimTjelesnimOzljedama;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPodaciONastalimTeskimTjelesnimOzljedama(String newPodaciONastalimTeskimTjelesnimOzljedama) {
		String oldPodaciONastalimTeskimTjelesnimOzljedama = podaciONastalimTeskimTjelesnimOzljedama;
		podaciONastalimTeskimTjelesnimOzljedama = newPodaciONastalimTeskimTjelesnimOzljedama;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__PODACI_ONASTALIM_TESKIM_TJELESNIM_OZLJEDAMA, oldPodaciONastalimTeskimTjelesnimOzljedama, podaciONastalimTeskimTjelesnimOzljedama));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumNezode() {
		return datumNezode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumNezode(Date newDatumNezode) {
		Date oldDatumNezode = datumNezode;
		datumNezode = newDatumNezode;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__DATUM_NEZODE, oldDatumNezode, datumNezode));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getVrijemeNezgode() {
		return vrijemeNezgode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrijemeNezgode(Date newVrijemeNezgode) {
		Date oldVrijemeNezgode = vrijemeNezgode;
		vrijemeNezgode = newVrijemeNezgode;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__VRIJEME_NEZGODE, oldVrijemeNezgode, vrijemeNezgode));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getBrojVozilaUNesreci() {
		return brojVozilaUNesreci;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojVozilaUNesreci(long newBrojVozilaUNesreci) {
		long oldBrojVozilaUNesreci = brojVozilaUNesreci;
		brojVozilaUNesreci = newBrojVozilaUNesreci;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_VOZILA_UNESRECI, oldBrojVozilaUNesreci, brojVozilaUNesreci));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<VoziloImpl> getVozilo() {
		if (vozilo == null) {
			vozilo = new ArrayList<VoziloImpl>();
		}
		return vozilo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public UzrokNezgodeImpl getUzrokNezgode() {
		if (uzrokNezgode != null && uzrokNezgode.eIsProxy()) {
			InternalEObject oldUzrokNezgode = (InternalEObject)uzrokNezgode;
			uzrokNezgode = (UzrokNezgodeImpl)eResolveProxy(oldUzrokNezgode);
			if (uzrokNezgode != oldUzrokNezgode) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.SAOBRACAJNA_NEZGODA__UZROK_NEZGODE, oldUzrokNezgode, uzrokNezgode));
			}
		}
		return uzrokNezgode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public UzrokNezgodeImpl basicGetUzrokNezgode() {
		return uzrokNezgode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setUzrokNezgode(UzrokNezgodeImpl newUzrokNezgode) {
		UzrokNezgodeImpl oldUzrokNezgode = uzrokNezgode;
		uzrokNezgode = newUzrokNezgode;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__UZROK_NEZGODE, oldUzrokNezgode, uzrokNezgode));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public float getVisinaMaterijalneSteteProcjenaSluzbeneOsobe() {
		return visinaMaterijalneSteteProcjenaSluzbeneOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVisinaMaterijalneSteteProcjenaSluzbeneOsobe(float newVisinaMaterijalneSteteProcjenaSluzbeneOsobe) {
		float oldVisinaMaterijalneSteteProcjenaSluzbeneOsobe = visinaMaterijalneSteteProcjenaSluzbeneOsobe;
		visinaMaterijalneSteteProcjenaSluzbeneOsobe = newVisinaMaterijalneSteteProcjenaSluzbeneOsobe;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__VISINA_MATERIJALNE_STETE_PROCJENA_SLUZBENE_OSOBE, oldVisinaMaterijalneSteteProcjenaSluzbeneOsobe, visinaMaterijalneSteteProcjenaSluzbeneOsobe));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getMjestoNastankaNezgodeBlizaOznaka() {
		return mjestoNastankaNezgodeBlizaOznaka;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMjestoNastankaNezgodeBlizaOznaka(String newMjestoNastankaNezgodeBlizaOznaka) {
		String oldMjestoNastankaNezgodeBlizaOznaka = mjestoNastankaNezgodeBlizaOznaka;
		mjestoNastankaNezgodeBlizaOznaka = newMjestoNastankaNezgodeBlizaOznaka;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__MJESTO_NASTANKA_NEZGODE_BLIZA_OZNAKA, oldMjestoNastankaNezgodeBlizaOznaka, mjestoNastankaNezgodeBlizaOznaka));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getDrzavaNezgode() {
		return drzavaNezgode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDrzavaNezgode(String newDrzavaNezgode) {
		String oldDrzavaNezgode = drzavaNezgode;
		drzavaNezgode = newDrzavaNezgode;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__DRZAVA_NEZGODE, oldDrzavaNezgode, drzavaNezgode));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isPovrjedjeni() {
		return povrjedjeni;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPovrjedjeni(boolean newPovrjedjeni) {
		boolean oldPovrjedjeni = povrjedjeni;
		povrjedjeni = newPovrjedjeni;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__POVRJEDJENI, oldPovrjedjeni, povrjedjeni));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isMaterijalnaSteta() {
		return materijalnaSteta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMaterijalnaSteta(boolean newMaterijalnaSteta) {
		boolean oldMaterijalnaSteta = materijalnaSteta;
		materijalnaSteta = newMaterijalnaSteta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__MATERIJALNA_STETA, oldMaterijalnaSteta, materijalnaSteta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPodaciOSmrtnoStradalimOsobama() {
		return podaciOSmrtnoStradalimOsobama;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPodaciOSmrtnoStradalimOsobama(String newPodaciOSmrtnoStradalimOsobama) {
		String oldPodaciOSmrtnoStradalimOsobama = podaciOSmrtnoStradalimOsobama;
		podaciOSmrtnoStradalimOsobama = newPodaciOSmrtnoStradalimOsobama;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__PODACI_OSMRTNO_STRADALIM_OSOBAMA, oldPodaciOSmrtnoStradalimOsobama, podaciOSmrtnoStradalimOsobama));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getDanNastankaNezgode() {
		return danNastankaNezgode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDanNastankaNezgode(String newDanNastankaNezgode) {
		String oldDanNastankaNezgode = danNastankaNezgode;
		danNastankaNezgode = newDanNastankaNezgode;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__DAN_NASTANKA_NEZGODE, oldDanNastankaNezgode, danNastankaNezgode));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MjestoImpl getMjesto() {
		if (mjesto != null && mjesto.eIsProxy()) {
			InternalEObject oldMjesto = (InternalEObject)mjesto;
			mjesto = (MjestoImpl)eResolveProxy(oldMjesto);
			if (mjesto != oldMjesto) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.SAOBRACAJNA_NEZGODA__MJESTO, oldMjesto, mjesto));
			}
		}
		return mjesto;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MjestoImpl basicGetMjesto() {
		return mjesto;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMjesto(MjestoImpl newMjesto) {
		MjestoImpl oldMjesto = mjesto;
		mjesto = newMjesto;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.SAOBRACAJNA_NEZGODA__MJESTO, oldMjesto, mjesto));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__ID_SAOBRACAJNE_NESRECE:
				return getIDSaobracajneNesrece();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__KATEGORIJA_PUTA:
				if (resolve) return getKategorijaPuta();
				return basicGetKategorijaPuta();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__NAPOMENA:
				return getNapomena();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__VRSTA_NEZGODE:
				if (resolve) return getVrstaNezgode();
				return basicGetVrstaNezgode();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_LICA_UNESRECI:
				return getBrojLicaUNesreci();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_PROTOKOLA:
				return getBrojProtokola();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_POVRIJEDJENIH_OSOBA:
				return getBrojPovrijedjenihOsoba();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__SUDIONIK_POVRIJEDJENI:
				return getSudionikPovrijedjeni();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__PODACI_ONASTALIM_LAKSIM_TJELESNIM_OZLJEDAMA:
				return getPodaciONastalimLaksimTjelesnimOzljedama();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__PODACI_ONASTALIM_TESKIM_TJELESNIM_OZLJEDAMA:
				return getPodaciONastalimTeskimTjelesnimOzljedama();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__DATUM_NEZODE:
				return getDatumNezode();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__VRIJEME_NEZGODE:
				return getVrijemeNezgode();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_VOZILA_UNESRECI:
				return getBrojVozilaUNesreci();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__VOZILO:
				return getVozilo();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__UZROK_NEZGODE:
				if (resolve) return getUzrokNezgode();
				return basicGetUzrokNezgode();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__VISINA_MATERIJALNE_STETE_PROCJENA_SLUZBENE_OSOBE:
				return getVisinaMaterijalneSteteProcjenaSluzbeneOsobe();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__MJESTO_NASTANKA_NEZGODE_BLIZA_OZNAKA:
				return getMjestoNastankaNezgodeBlizaOznaka();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__DRZAVA_NEZGODE:
				return getDrzavaNezgode();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__POVRJEDJENI:
				return isPovrjedjeni();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__MATERIJALNA_STETA:
				return isMaterijalnaSteta();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__PODACI_OSMRTNO_STRADALIM_OSOBAMA:
				return getPodaciOSmrtnoStradalimOsobama();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__DAN_NASTANKA_NEZGODE:
				return getDanNastankaNezgode();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__MJESTO:
				if (resolve) return getMjesto();
				return basicGetMjesto();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__ID_SAOBRACAJNE_NESRECE:
				setIDSaobracajneNesrece((Long)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__KATEGORIJA_PUTA:
				setKategorijaPuta((KategorijaPutaImpl)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__NAPOMENA:
				setNapomena((String)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__VRSTA_NEZGODE:
				setVrstaNezgode((VrstaNezgodeImpl)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_LICA_UNESRECI:
				setBrojLicaUNesreci((Long)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_PROTOKOLA:
				setBrojProtokola((String)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_POVRIJEDJENIH_OSOBA:
				setBrojPovrijedjenihOsoba((Long)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__SUDIONIK_POVRIJEDJENI:
				getSudionikPovrijedjeni().clear();
				getSudionikPovrijedjeni().addAll((Collection<? extends SudionikImpl>)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__PODACI_ONASTALIM_LAKSIM_TJELESNIM_OZLJEDAMA:
				setPodaciONastalimLaksimTjelesnimOzljedama((String)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__PODACI_ONASTALIM_TESKIM_TJELESNIM_OZLJEDAMA:
				setPodaciONastalimTeskimTjelesnimOzljedama((String)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__DATUM_NEZODE:
				setDatumNezode((Date)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__VRIJEME_NEZGODE:
				setVrijemeNezgode((Date)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_VOZILA_UNESRECI:
				setBrojVozilaUNesreci((Long)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__VOZILO:
				getVozilo().clear();
				getVozilo().addAll((Collection<? extends VoziloImpl>)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__UZROK_NEZGODE:
				setUzrokNezgode((UzrokNezgodeImpl)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__VISINA_MATERIJALNE_STETE_PROCJENA_SLUZBENE_OSOBE:
				setVisinaMaterijalneSteteProcjenaSluzbeneOsobe((Float)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__MJESTO_NASTANKA_NEZGODE_BLIZA_OZNAKA:
				setMjestoNastankaNezgodeBlizaOznaka((String)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__DRZAVA_NEZGODE:
				setDrzavaNezgode((String)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__POVRJEDJENI:
				setPovrjedjeni((Boolean)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__MATERIJALNA_STETA:
				setMaterijalnaSteta((Boolean)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__PODACI_OSMRTNO_STRADALIM_OSOBAMA:
				setPodaciOSmrtnoStradalimOsobama((String)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__DAN_NASTANKA_NEZGODE:
				setDanNastankaNezgode((String)newValue);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__MJESTO:
				setMjesto((MjestoImpl)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__ID_SAOBRACAJNE_NESRECE:
				setIDSaobracajneNesrece(ID_SAOBRACAJNE_NESRECE_EDEFAULT);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__KATEGORIJA_PUTA:
				setKategorijaPuta((KategorijaPutaImpl)null);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__NAPOMENA:
				setNapomena(NAPOMENA_EDEFAULT);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__VRSTA_NEZGODE:
				setVrstaNezgode((VrstaNezgodeImpl)null);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_LICA_UNESRECI:
				setBrojLicaUNesreci(BROJ_LICA_UNESRECI_EDEFAULT);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_PROTOKOLA:
				setBrojProtokola(BROJ_PROTOKOLA_EDEFAULT);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_POVRIJEDJENIH_OSOBA:
				setBrojPovrijedjenihOsoba(BROJ_POVRIJEDJENIH_OSOBA_EDEFAULT);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__SUDIONIK_POVRIJEDJENI:
				getSudionikPovrijedjeni().clear();
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__PODACI_ONASTALIM_LAKSIM_TJELESNIM_OZLJEDAMA:
				setPodaciONastalimLaksimTjelesnimOzljedama(PODACI_ONASTALIM_LAKSIM_TJELESNIM_OZLJEDAMA_EDEFAULT);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__PODACI_ONASTALIM_TESKIM_TJELESNIM_OZLJEDAMA:
				setPodaciONastalimTeskimTjelesnimOzljedama(PODACI_ONASTALIM_TESKIM_TJELESNIM_OZLJEDAMA_EDEFAULT);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__DATUM_NEZODE:
				setDatumNezode(DATUM_NEZODE_EDEFAULT);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__VRIJEME_NEZGODE:
				setVrijemeNezgode(VRIJEME_NEZGODE_EDEFAULT);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_VOZILA_UNESRECI:
				setBrojVozilaUNesreci(BROJ_VOZILA_UNESRECI_EDEFAULT);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__VOZILO:
				getVozilo().clear();
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__UZROK_NEZGODE:
				setUzrokNezgode((UzrokNezgodeImpl)null);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__VISINA_MATERIJALNE_STETE_PROCJENA_SLUZBENE_OSOBE:
				setVisinaMaterijalneSteteProcjenaSluzbeneOsobe(VISINA_MATERIJALNE_STETE_PROCJENA_SLUZBENE_OSOBE_EDEFAULT);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__MJESTO_NASTANKA_NEZGODE_BLIZA_OZNAKA:
				setMjestoNastankaNezgodeBlizaOznaka(MJESTO_NASTANKA_NEZGODE_BLIZA_OZNAKA_EDEFAULT);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__DRZAVA_NEZGODE:
				setDrzavaNezgode(DRZAVA_NEZGODE_EDEFAULT);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__POVRJEDJENI:
				setPovrjedjeni(POVRJEDJENI_EDEFAULT);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__MATERIJALNA_STETA:
				setMaterijalnaSteta(MATERIJALNA_STETA_EDEFAULT);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__PODACI_OSMRTNO_STRADALIM_OSOBAMA:
				setPodaciOSmrtnoStradalimOsobama(PODACI_OSMRTNO_STRADALIM_OSOBAMA_EDEFAULT);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__DAN_NASTANKA_NEZGODE:
				setDanNastankaNezgode(DAN_NASTANKA_NEZGODE_EDEFAULT);
				return;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__MJESTO:
				setMjesto((MjestoImpl)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__ID_SAOBRACAJNE_NESRECE:
				return iDSaobracajneNesrece != ID_SAOBRACAJNE_NESRECE_EDEFAULT;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__KATEGORIJA_PUTA:
				return kategorijaPuta != null;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__NAPOMENA:
				return NAPOMENA_EDEFAULT == null ? napomena != null : !NAPOMENA_EDEFAULT.equals(napomena);
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__VRSTA_NEZGODE:
				return vrstaNezgode != null;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_LICA_UNESRECI:
				return brojLicaUNesreci != BROJ_LICA_UNESRECI_EDEFAULT;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_PROTOKOLA:
				return BROJ_PROTOKOLA_EDEFAULT == null ? brojProtokola != null : !BROJ_PROTOKOLA_EDEFAULT.equals(brojProtokola);
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_POVRIJEDJENIH_OSOBA:
				return brojPovrijedjenihOsoba != BROJ_POVRIJEDJENIH_OSOBA_EDEFAULT;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__SUDIONIK_POVRIJEDJENI:
				return sudionikPovrijedjeni != null && !sudionikPovrijedjeni.isEmpty();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__PODACI_ONASTALIM_LAKSIM_TJELESNIM_OZLJEDAMA:
				return PODACI_ONASTALIM_LAKSIM_TJELESNIM_OZLJEDAMA_EDEFAULT == null ? podaciONastalimLaksimTjelesnimOzljedama != null : !PODACI_ONASTALIM_LAKSIM_TJELESNIM_OZLJEDAMA_EDEFAULT.equals(podaciONastalimLaksimTjelesnimOzljedama);
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__PODACI_ONASTALIM_TESKIM_TJELESNIM_OZLJEDAMA:
				return PODACI_ONASTALIM_TESKIM_TJELESNIM_OZLJEDAMA_EDEFAULT == null ? podaciONastalimTeskimTjelesnimOzljedama != null : !PODACI_ONASTALIM_TESKIM_TJELESNIM_OZLJEDAMA_EDEFAULT.equals(podaciONastalimTeskimTjelesnimOzljedama);
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__DATUM_NEZODE:
				return DATUM_NEZODE_EDEFAULT == null ? datumNezode != null : !DATUM_NEZODE_EDEFAULT.equals(datumNezode);
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__VRIJEME_NEZGODE:
				return VRIJEME_NEZGODE_EDEFAULT == null ? vrijemeNezgode != null : !VRIJEME_NEZGODE_EDEFAULT.equals(vrijemeNezgode);
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__BROJ_VOZILA_UNESRECI:
				return brojVozilaUNesreci != BROJ_VOZILA_UNESRECI_EDEFAULT;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__VOZILO:
				return vozilo != null && !vozilo.isEmpty();
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__UZROK_NEZGODE:
				return uzrokNezgode != null;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__VISINA_MATERIJALNE_STETE_PROCJENA_SLUZBENE_OSOBE:
				return visinaMaterijalneSteteProcjenaSluzbeneOsobe != VISINA_MATERIJALNE_STETE_PROCJENA_SLUZBENE_OSOBE_EDEFAULT;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__MJESTO_NASTANKA_NEZGODE_BLIZA_OZNAKA:
				return MJESTO_NASTANKA_NEZGODE_BLIZA_OZNAKA_EDEFAULT == null ? mjestoNastankaNezgodeBlizaOznaka != null : !MJESTO_NASTANKA_NEZGODE_BLIZA_OZNAKA_EDEFAULT.equals(mjestoNastankaNezgodeBlizaOznaka);
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__DRZAVA_NEZGODE:
				return DRZAVA_NEZGODE_EDEFAULT == null ? drzavaNezgode != null : !DRZAVA_NEZGODE_EDEFAULT.equals(drzavaNezgode);
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__POVRJEDJENI:
				return povrjedjeni != POVRJEDJENI_EDEFAULT;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__MATERIJALNA_STETA:
				return materijalnaSteta != MATERIJALNA_STETA_EDEFAULT;
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__PODACI_OSMRTNO_STRADALIM_OSOBAMA:
				return PODACI_OSMRTNO_STRADALIM_OSOBAMA_EDEFAULT == null ? podaciOSmrtnoStradalimOsobama != null : !PODACI_OSMRTNO_STRADALIM_OSOBAMA_EDEFAULT.equals(podaciOSmrtnoStradalimOsobama);
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__DAN_NASTANKA_NEZGODE:
				return DAN_NASTANKA_NEZGODE_EDEFAULT == null ? danNastankaNezgode != null : !DAN_NASTANKA_NEZGODE_EDEFAULT.equals(danNastankaNezgode);
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA__MJESTO:
				return mjesto != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDSaobracajneNesrece: ");
		result.append(iDSaobracajneNesrece);
		result.append(", napomena: ");
		result.append(napomena);
		result.append(", brojLicaUNesreci: ");
		result.append(brojLicaUNesreci);
		result.append(", brojProtokola: ");
		result.append(brojProtokola);
		result.append(", brojPovrijedjenihOsoba: ");
		result.append(brojPovrijedjenihOsoba);
		result.append(", podaciONastalimLaksimTjelesnimOzljedama: ");
		result.append(podaciONastalimLaksimTjelesnimOzljedama);
		result.append(", podaciONastalimTeskimTjelesnimOzljedama: ");
		result.append(podaciONastalimTeskimTjelesnimOzljedama);
		result.append(", datumNezode: ");
		result.append(datumNezode);
		result.append(", vrijemeNezgode: ");
		result.append(vrijemeNezgode);
		result.append(", brojVozilaUNesreci: ");
		result.append(brojVozilaUNesreci);
		result.append(", visinaMaterijalneSteteProcjenaSluzbeneOsobe: ");
		result.append(visinaMaterijalneSteteProcjenaSluzbeneOsobe);
		result.append(", mjestoNastankaNezgodeBlizaOznaka: ");
		result.append(mjestoNastankaNezgodeBlizaOznaka);
		result.append(", DrzavaNezgode: ");
		result.append(drzavaNezgode);
		result.append(", povrjedjeni: ");
		result.append(povrjedjeni);
		result.append(", materijalnaSteta: ");
		result.append(materijalnaSteta);
		result.append(", podaciOSmrtnoStradalimOsobama: ");
		result.append(podaciOSmrtnoStradalimOsobama);
		result.append(", danNastankaNezgode: ");
		result.append(danNastankaNezgode);
		result.append(')');
		return result.toString();
	}

} //SaobracajnaNezgodaImpl
