/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.PbdmodelPackage;
import pbdmodel.UtvrdjivanjeIdentiteta;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Utvrdjivanje Identiteta</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.UtvrdjivanjeIdentitetaImpl#getIDUtvrdjivanjeIdentiteta <em>ID Utvrdjivanje Identiteta</em>}</li>
 *   <li>{@link pbdmodel.impl.UtvrdjivanjeIdentitetaImpl#getDatumKriminalistickeTehnickeObrade <em>Datum Kriminalisticke Tehnicke Obrade</em>}</li>
 *   <li>{@link pbdmodel.impl.UtvrdjivanjeIdentitetaImpl#getVrijemeKriminalistickeTehnickeObrade <em>Vrijeme Kriminalisticke Tehnicke Obrade</em>}</li>
 *   <li>{@link pbdmodel.impl.UtvrdjivanjeIdentitetaImpl#getDatumProvjereIdentiteta <em>Datum Provjere Identiteta</em>}</li>
 *   <li>{@link pbdmodel.impl.UtvrdjivanjeIdentitetaImpl#getVrijemeProvjereIdentiteta <em>Vrijeme Provjere Identiteta</em>}</li>
 *   <li>{@link pbdmodel.impl.UtvrdjivanjeIdentitetaImpl#isFotografija <em>Fotografija</em>}</li>
 *   <li>{@link pbdmodel.impl.UtvrdjivanjeIdentitetaImpl#getRazlogUtvrdjivanjaIdentiteta <em>Razlog Utvrdjivanja Identiteta</em>}</li>
 *   <li>{@link pbdmodel.impl.UtvrdjivanjeIdentitetaImpl#getNaOsnovuCegaJeUtvrdjenIdentitet <em>Na Osnovu Cega Je Utvrdjen Identitet</em>}</li>
 *   <li>{@link pbdmodel.impl.UtvrdjivanjeIdentitetaImpl#getRadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta <em>Radnje Preduzete UCilju Utvrdjivanja Identiteta</em>}</li>
 *   <li>{@link pbdmodel.impl.UtvrdjivanjeIdentitetaImpl#isLisenjeSlobode <em>Lisenje Slobode</em>}</li>
 *   <li>{@link pbdmodel.impl.UtvrdjivanjeIdentitetaImpl#getOrganKojiVrsiUtvrdjivanjeIdentiteta <em>Organ Koji Vrsi Utvrdjivanje Identiteta</em>}</li>
 *   <li>{@link pbdmodel.impl.UtvrdjivanjeIdentitetaImpl#isIdentitetPotvrdjen <em>Identitet Potvrdjen</em>}</li>
 *   <li>{@link pbdmodel.impl.UtvrdjivanjeIdentitetaImpl#getOpisLanogIdentiteta <em>Opis Lanog Identiteta</em>}</li>
 *   <li>{@link pbdmodel.impl.UtvrdjivanjeIdentitetaImpl#getVozilo <em>VoziloImpl</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class UtvrdjivanjeIdentitetaImpl extends AktivnostImpl implements UtvrdjivanjeIdentiteta {
	/**
	 * The default value of the '{@link #getIDUtvrdjivanjeIdentiteta() <em>ID Utvrdjivanje Identiteta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDUtvrdjivanjeIdentiteta()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_UTVRDJIVANJE_IDENTITETA_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDUtvrdjivanjeIdentiteta() <em>ID Utvrdjivanje Identiteta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDUtvrdjivanjeIdentiteta()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long iDUtvrdjivanjeIdentiteta = ID_UTVRDJIVANJE_IDENTITETA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumKriminalistickeTehnickeObrade() <em>Datum Kriminalisticke Tehnicke Obrade</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumKriminalistickeTehnickeObrade()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_KRIMINALISTICKE_TEHNICKE_OBRADE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumKriminalistickeTehnickeObrade() <em>Datum Kriminalisticke Tehnicke Obrade</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumKriminalistickeTehnickeObrade()
	 * @generated
	 * @ordered
	 */
	protected Date datumKriminalistickeTehnickeObrade = DATUM_KRIMINALISTICKE_TEHNICKE_OBRADE_EDEFAULT;

	/**
	 * The default value of the '{@link #getVrijemeKriminalistickeTehnickeObrade() <em>Vrijeme Kriminalisticke Tehnicke Obrade</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeKriminalistickeTehnickeObrade()
	 * @generated
	 * @ordered
	 */
	protected static final Date VRIJEME_KRIMINALISTICKE_TEHNICKE_OBRADE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVrijemeKriminalistickeTehnickeObrade() <em>Vrijeme Kriminalisticke Tehnicke Obrade</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeKriminalistickeTehnickeObrade()
	 * @generated
	 * @ordered
	 */
	protected Date vrijemeKriminalistickeTehnickeObrade = VRIJEME_KRIMINALISTICKE_TEHNICKE_OBRADE_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumProvjereIdentiteta() <em>Datum Provjere Identiteta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumProvjereIdentiteta()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_PROVJERE_IDENTITETA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumProvjereIdentiteta() <em>Datum Provjere Identiteta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumProvjereIdentiteta()
	 * @generated
	 * @ordered
	 */
	protected Date datumProvjereIdentiteta = DATUM_PROVJERE_IDENTITETA_EDEFAULT;

	/**
	 * The default value of the '{@link #getVrijemeProvjereIdentiteta() <em>Vrijeme Provjere Identiteta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeProvjereIdentiteta()
	 * @generated
	 * @ordered
	 */
	protected static final Date VRIJEME_PROVJERE_IDENTITETA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVrijemeProvjereIdentiteta() <em>Vrijeme Provjere Identiteta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeProvjereIdentiteta()
	 * @generated
	 * @ordered
	 */
	protected Date vrijemeProvjereIdentiteta = VRIJEME_PROVJERE_IDENTITETA_EDEFAULT;

	/**
	 * The default value of the '{@link #isFotografija() <em>Fotografija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isFotografija()
	 * @generated
	 * @ordered
	 */
	protected static final boolean FOTOGRAFIJA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isFotografija() <em>Fotografija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isFotografija()
	 * @generated
	 * @ordered
	 */
	protected boolean fotografija = FOTOGRAFIJA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getRazlogUtvrdjivanjaIdentiteta() <em>Razlog Utvrdjivanja Identiteta</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRazlogUtvrdjivanjaIdentiteta()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="RAZLOG_UTVRDJIVANJA_IDENTITETA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected RazlogUtvrdjivanjaIdentitetaImpl razlogUtvrdjivanjaIdentiteta;

	/**
	 * The cached value of the '{@link #getNaOsnovuCegaJeUtvrdjenIdentitet() <em>Na Osnovu Cega Je Utvrdjen Identitet</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNaOsnovuCegaJeUtvrdjenIdentitet()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="NA_OSNOVU_CEGA_JE_UTVRDJIVAN_IDENTITET_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected NaOsnovuCegaJeUtvrdjenIdentitetImpl naOsnovuCegaJeUtvrdjenIdentitet;

	/**
	 * The cached value of the '{@link #getRadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta() <em>Radnje Preduzete UCilju Utvrdjivanja Identiteta</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="RADNJE_PREDUZETE_U_CILJU_UTVRDJIVANJA_IDENTITETA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<RadnjePreduzeteUCiljuUtvrdjivanjaIdentitetaImpl> radnjePreduzeteUCiljuUtvrdjivanjaIdentiteta;

	/**
	 * The default value of the '{@link #isLisenjeSlobode() <em>Lisenje Slobode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isLisenjeSlobode()
	 * @generated
	 * @ordered
	 */
	protected static final boolean LISENJE_SLOBODE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isLisenjeSlobode() <em>Lisenje Slobode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isLisenjeSlobode()
	 * @generated
	 * @ordered
	 */
	protected boolean lisenjeSlobode = LISENJE_SLOBODE_EDEFAULT;

	/**
	 * The default value of the '{@link #getOrganKojiVrsiUtvrdjivanjeIdentiteta() <em>Organ Koji Vrsi Utvrdjivanje Identiteta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrganKojiVrsiUtvrdjivanjeIdentiteta()
	 * @generated
	 * @ordered
	 */
	protected static final String ORGAN_KOJI_VRSI_UTVRDJIVANJE_IDENTITETA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOrganKojiVrsiUtvrdjivanjeIdentiteta() <em>Organ Koji Vrsi Utvrdjivanje Identiteta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrganKojiVrsiUtvrdjivanjeIdentiteta()
	 * @generated
	 * @ordered
	 */
	protected String organKojiVrsiUtvrdjivanjeIdentiteta = ORGAN_KOJI_VRSI_UTVRDJIVANJE_IDENTITETA_EDEFAULT;

	/**
	 * The default value of the '{@link #isIdentitetPotvrdjen() <em>Identitet Potvrdjen</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isIdentitetPotvrdjen()
	 * @generated
	 * @ordered
	 */
	protected static final boolean IDENTITET_POTVRDJEN_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isIdentitetPotvrdjen() <em>Identitet Potvrdjen</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isIdentitetPotvrdjen()
	 * @generated
	 * @ordered
	 */
	protected boolean identitetPotvrdjen = IDENTITET_POTVRDJEN_EDEFAULT;

	/**
	 * The default value of the '{@link #getOpisLanogIdentiteta() <em>Opis Lanog Identiteta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpisLanogIdentiteta()
	 * @generated
	 * @ordered
	 */
	protected static final String OPIS_LANOG_IDENTITETA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOpisLanogIdentiteta() <em>Opis Lanog Identiteta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpisLanogIdentiteta()
	 * @generated
	 * @ordered
	 */
	protected String opisLanogIdentiteta = OPIS_LANOG_IDENTITETA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getVozilo() <em>VoziloImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVozilo()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VOZILO_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected VoziloImpl vozilo;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected UtvrdjivanjeIdentitetaImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getUtvrdjivanjeIdentiteta();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDUtvrdjivanjeIdentiteta() {
		return iDUtvrdjivanjeIdentiteta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDUtvrdjivanjeIdentiteta(long newIDUtvrdjivanjeIdentiteta) {
		long oldIDUtvrdjivanjeIdentiteta = iDUtvrdjivanjeIdentiteta;
		iDUtvrdjivanjeIdentiteta = newIDUtvrdjivanjeIdentiteta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__ID_UTVRDJIVANJE_IDENTITETA, oldIDUtvrdjivanjeIdentiteta, iDUtvrdjivanjeIdentiteta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumKriminalistickeTehnickeObrade() {
		return datumKriminalistickeTehnickeObrade;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumKriminalistickeTehnickeObrade(Date newDatumKriminalistickeTehnickeObrade) {
		Date oldDatumKriminalistickeTehnickeObrade = datumKriminalistickeTehnickeObrade;
		datumKriminalistickeTehnickeObrade = newDatumKriminalistickeTehnickeObrade;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__DATUM_KRIMINALISTICKE_TEHNICKE_OBRADE, oldDatumKriminalistickeTehnickeObrade, datumKriminalistickeTehnickeObrade));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getVrijemeKriminalistickeTehnickeObrade() {
		return vrijemeKriminalistickeTehnickeObrade;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrijemeKriminalistickeTehnickeObrade(Date newVrijemeKriminalistickeTehnickeObrade) {
		Date oldVrijemeKriminalistickeTehnickeObrade = vrijemeKriminalistickeTehnickeObrade;
		vrijemeKriminalistickeTehnickeObrade = newVrijemeKriminalistickeTehnickeObrade;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__VRIJEME_KRIMINALISTICKE_TEHNICKE_OBRADE, oldVrijemeKriminalistickeTehnickeObrade, vrijemeKriminalistickeTehnickeObrade));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumProvjereIdentiteta() {
		return datumProvjereIdentiteta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumProvjereIdentiteta(Date newDatumProvjereIdentiteta) {
		Date oldDatumProvjereIdentiteta = datumProvjereIdentiteta;
		datumProvjereIdentiteta = newDatumProvjereIdentiteta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__DATUM_PROVJERE_IDENTITETA, oldDatumProvjereIdentiteta, datumProvjereIdentiteta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getVrijemeProvjereIdentiteta() {
		return vrijemeProvjereIdentiteta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrijemeProvjereIdentiteta(Date newVrijemeProvjereIdentiteta) {
		Date oldVrijemeProvjereIdentiteta = vrijemeProvjereIdentiteta;
		vrijemeProvjereIdentiteta = newVrijemeProvjereIdentiteta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__VRIJEME_PROVJERE_IDENTITETA, oldVrijemeProvjereIdentiteta, vrijemeProvjereIdentiteta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isFotografija() {
		return fotografija;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFotografija(boolean newFotografija) {
		boolean oldFotografija = fotografija;
		fotografija = newFotografija;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__FOTOGRAFIJA, oldFotografija, fotografija));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RazlogUtvrdjivanjaIdentitetaImpl getRazlogUtvrdjivanjaIdentiteta() {
		if (razlogUtvrdjivanjaIdentiteta != null && razlogUtvrdjivanjaIdentiteta.eIsProxy()) {
			InternalEObject oldRazlogUtvrdjivanjaIdentiteta = (InternalEObject)razlogUtvrdjivanjaIdentiteta;
			razlogUtvrdjivanjaIdentiteta = (RazlogUtvrdjivanjaIdentitetaImpl)eResolveProxy(oldRazlogUtvrdjivanjaIdentiteta);
			if (razlogUtvrdjivanjaIdentiteta != oldRazlogUtvrdjivanjaIdentiteta) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__RAZLOG_UTVRDJIVANJA_IDENTITETA, oldRazlogUtvrdjivanjaIdentiteta, razlogUtvrdjivanjaIdentiteta));
			}
		}
		return razlogUtvrdjivanjaIdentiteta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RazlogUtvrdjivanjaIdentitetaImpl basicGetRazlogUtvrdjivanjaIdentiteta() {
		return razlogUtvrdjivanjaIdentiteta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRazlogUtvrdjivanjaIdentiteta(RazlogUtvrdjivanjaIdentitetaImpl newRazlogUtvrdjivanjaIdentiteta) {
		RazlogUtvrdjivanjaIdentitetaImpl oldRazlogUtvrdjivanjaIdentiteta = razlogUtvrdjivanjaIdentiteta;
		razlogUtvrdjivanjaIdentiteta = newRazlogUtvrdjivanjaIdentiteta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__RAZLOG_UTVRDJIVANJA_IDENTITETA, oldRazlogUtvrdjivanjaIdentiteta, razlogUtvrdjivanjaIdentiteta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NaOsnovuCegaJeUtvrdjenIdentitetImpl getNaOsnovuCegaJeUtvrdjenIdentitet() {
		if (naOsnovuCegaJeUtvrdjenIdentitet != null && naOsnovuCegaJeUtvrdjenIdentitet.eIsProxy()) {
			InternalEObject oldNaOsnovuCegaJeUtvrdjenIdentitet = (InternalEObject)naOsnovuCegaJeUtvrdjenIdentitet;
			naOsnovuCegaJeUtvrdjenIdentitet = (NaOsnovuCegaJeUtvrdjenIdentitetImpl)eResolveProxy(oldNaOsnovuCegaJeUtvrdjenIdentitet);
			if (naOsnovuCegaJeUtvrdjenIdentitet != oldNaOsnovuCegaJeUtvrdjenIdentitet) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__NA_OSNOVU_CEGA_JE_UTVRDJEN_IDENTITET, oldNaOsnovuCegaJeUtvrdjenIdentitet, naOsnovuCegaJeUtvrdjenIdentitet));
			}
		}
		return naOsnovuCegaJeUtvrdjenIdentitet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NaOsnovuCegaJeUtvrdjenIdentitetImpl basicGetNaOsnovuCegaJeUtvrdjenIdentitet() {
		return naOsnovuCegaJeUtvrdjenIdentitet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNaOsnovuCegaJeUtvrdjenIdentitet(NaOsnovuCegaJeUtvrdjenIdentitetImpl newNaOsnovuCegaJeUtvrdjenIdentitet) {
		NaOsnovuCegaJeUtvrdjenIdentitetImpl oldNaOsnovuCegaJeUtvrdjenIdentitet = naOsnovuCegaJeUtvrdjenIdentitet;
		naOsnovuCegaJeUtvrdjenIdentitet = newNaOsnovuCegaJeUtvrdjenIdentitet;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__NA_OSNOVU_CEGA_JE_UTVRDJEN_IDENTITET, oldNaOsnovuCegaJeUtvrdjenIdentitet, naOsnovuCegaJeUtvrdjenIdentitet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<RadnjePreduzeteUCiljuUtvrdjivanjaIdentitetaImpl> getRadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta() {
		if (radnjePreduzeteUCiljuUtvrdjivanjaIdentiteta == null) {
			radnjePreduzeteUCiljuUtvrdjivanjaIdentiteta = new ArrayList<RadnjePreduzeteUCiljuUtvrdjivanjaIdentitetaImpl>();
		}
		return radnjePreduzeteUCiljuUtvrdjivanjaIdentiteta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isLisenjeSlobode() {
		return lisenjeSlobode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLisenjeSlobode(boolean newLisenjeSlobode) {
		boolean oldLisenjeSlobode = lisenjeSlobode;
		lisenjeSlobode = newLisenjeSlobode;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__LISENJE_SLOBODE, oldLisenjeSlobode, lisenjeSlobode));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOrganKojiVrsiUtvrdjivanjeIdentiteta() {
		return organKojiVrsiUtvrdjivanjeIdentiteta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrganKojiVrsiUtvrdjivanjeIdentiteta(String newOrganKojiVrsiUtvrdjivanjeIdentiteta) {
		String oldOrganKojiVrsiUtvrdjivanjeIdentiteta = organKojiVrsiUtvrdjivanjeIdentiteta;
		organKojiVrsiUtvrdjivanjeIdentiteta = newOrganKojiVrsiUtvrdjivanjeIdentiteta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__ORGAN_KOJI_VRSI_UTVRDJIVANJE_IDENTITETA, oldOrganKojiVrsiUtvrdjivanjeIdentiteta, organKojiVrsiUtvrdjivanjeIdentiteta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isIdentitetPotvrdjen() {
		return identitetPotvrdjen;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIdentitetPotvrdjen(boolean newIdentitetPotvrdjen) {
		boolean oldIdentitetPotvrdjen = identitetPotvrdjen;
		identitetPotvrdjen = newIdentitetPotvrdjen;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__IDENTITET_POTVRDJEN, oldIdentitetPotvrdjen, identitetPotvrdjen));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOpisLanogIdentiteta() {
		return opisLanogIdentiteta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOpisLanogIdentiteta(String newOpisLanogIdentiteta) {
		String oldOpisLanogIdentiteta = opisLanogIdentiteta;
		opisLanogIdentiteta = newOpisLanogIdentiteta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__OPIS_LANOG_IDENTITETA, oldOpisLanogIdentiteta, opisLanogIdentiteta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VoziloImpl getVozilo() {
		if (vozilo != null && vozilo.eIsProxy()) {
			InternalEObject oldVozilo = (InternalEObject)vozilo;
			vozilo = (VoziloImpl)eResolveProxy(oldVozilo);
			if (vozilo != oldVozilo) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__VOZILO, oldVozilo, vozilo));
			}
		}
		return vozilo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VoziloImpl basicGetVozilo() {
		return vozilo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVozilo(VoziloImpl newVozilo) {
		VoziloImpl oldVozilo = vozilo;
		vozilo = newVozilo;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__VOZILO, oldVozilo, vozilo));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__ID_UTVRDJIVANJE_IDENTITETA:
				return getIDUtvrdjivanjeIdentiteta();
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__DATUM_KRIMINALISTICKE_TEHNICKE_OBRADE:
				return getDatumKriminalistickeTehnickeObrade();
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__VRIJEME_KRIMINALISTICKE_TEHNICKE_OBRADE:
				return getVrijemeKriminalistickeTehnickeObrade();
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__DATUM_PROVJERE_IDENTITETA:
				return getDatumProvjereIdentiteta();
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__VRIJEME_PROVJERE_IDENTITETA:
				return getVrijemeProvjereIdentiteta();
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__FOTOGRAFIJA:
				return isFotografija();
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__RAZLOG_UTVRDJIVANJA_IDENTITETA:
				if (resolve) return getRazlogUtvrdjivanjaIdentiteta();
				return basicGetRazlogUtvrdjivanjaIdentiteta();
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__NA_OSNOVU_CEGA_JE_UTVRDJEN_IDENTITET:
				if (resolve) return getNaOsnovuCegaJeUtvrdjenIdentitet();
				return basicGetNaOsnovuCegaJeUtvrdjenIdentitet();
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__RADNJE_PREDUZETE_UCILJU_UTVRDJIVANJA_IDENTITETA:
				return getRadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta();
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__LISENJE_SLOBODE:
				return isLisenjeSlobode();
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__ORGAN_KOJI_VRSI_UTVRDJIVANJE_IDENTITETA:
				return getOrganKojiVrsiUtvrdjivanjeIdentiteta();
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__IDENTITET_POTVRDJEN:
				return isIdentitetPotvrdjen();
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__OPIS_LANOG_IDENTITETA:
				return getOpisLanogIdentiteta();
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__VOZILO:
				if (resolve) return getVozilo();
				return basicGetVozilo();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__ID_UTVRDJIVANJE_IDENTITETA:
				setIDUtvrdjivanjeIdentiteta((Long)newValue);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__DATUM_KRIMINALISTICKE_TEHNICKE_OBRADE:
				setDatumKriminalistickeTehnickeObrade((Date)newValue);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__VRIJEME_KRIMINALISTICKE_TEHNICKE_OBRADE:
				setVrijemeKriminalistickeTehnickeObrade((Date)newValue);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__DATUM_PROVJERE_IDENTITETA:
				setDatumProvjereIdentiteta((Date)newValue);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__VRIJEME_PROVJERE_IDENTITETA:
				setVrijemeProvjereIdentiteta((Date)newValue);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__FOTOGRAFIJA:
				setFotografija((Boolean)newValue);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__RAZLOG_UTVRDJIVANJA_IDENTITETA:
				setRazlogUtvrdjivanjaIdentiteta((RazlogUtvrdjivanjaIdentitetaImpl)newValue);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__NA_OSNOVU_CEGA_JE_UTVRDJEN_IDENTITET:
				setNaOsnovuCegaJeUtvrdjenIdentitet((NaOsnovuCegaJeUtvrdjenIdentitetImpl)newValue);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__RADNJE_PREDUZETE_UCILJU_UTVRDJIVANJA_IDENTITETA:
				getRadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta().clear();
				getRadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta().addAll((Collection<? extends RadnjePreduzeteUCiljuUtvrdjivanjaIdentitetaImpl>)newValue);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__LISENJE_SLOBODE:
				setLisenjeSlobode((Boolean)newValue);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__ORGAN_KOJI_VRSI_UTVRDJIVANJE_IDENTITETA:
				setOrganKojiVrsiUtvrdjivanjeIdentiteta((String)newValue);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__IDENTITET_POTVRDJEN:
				setIdentitetPotvrdjen((Boolean)newValue);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__OPIS_LANOG_IDENTITETA:
				setOpisLanogIdentiteta((String)newValue);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__VOZILO:
				setVozilo((VoziloImpl)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__ID_UTVRDJIVANJE_IDENTITETA:
				setIDUtvrdjivanjeIdentiteta(ID_UTVRDJIVANJE_IDENTITETA_EDEFAULT);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__DATUM_KRIMINALISTICKE_TEHNICKE_OBRADE:
				setDatumKriminalistickeTehnickeObrade(DATUM_KRIMINALISTICKE_TEHNICKE_OBRADE_EDEFAULT);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__VRIJEME_KRIMINALISTICKE_TEHNICKE_OBRADE:
				setVrijemeKriminalistickeTehnickeObrade(VRIJEME_KRIMINALISTICKE_TEHNICKE_OBRADE_EDEFAULT);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__DATUM_PROVJERE_IDENTITETA:
				setDatumProvjereIdentiteta(DATUM_PROVJERE_IDENTITETA_EDEFAULT);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__VRIJEME_PROVJERE_IDENTITETA:
				setVrijemeProvjereIdentiteta(VRIJEME_PROVJERE_IDENTITETA_EDEFAULT);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__FOTOGRAFIJA:
				setFotografija(FOTOGRAFIJA_EDEFAULT);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__RAZLOG_UTVRDJIVANJA_IDENTITETA:
				setRazlogUtvrdjivanjaIdentiteta((RazlogUtvrdjivanjaIdentitetaImpl)null);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__NA_OSNOVU_CEGA_JE_UTVRDJEN_IDENTITET:
				setNaOsnovuCegaJeUtvrdjenIdentitet((NaOsnovuCegaJeUtvrdjenIdentitetImpl)null);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__RADNJE_PREDUZETE_UCILJU_UTVRDJIVANJA_IDENTITETA:
				getRadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta().clear();
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__LISENJE_SLOBODE:
				setLisenjeSlobode(LISENJE_SLOBODE_EDEFAULT);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__ORGAN_KOJI_VRSI_UTVRDJIVANJE_IDENTITETA:
				setOrganKojiVrsiUtvrdjivanjeIdentiteta(ORGAN_KOJI_VRSI_UTVRDJIVANJE_IDENTITETA_EDEFAULT);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__IDENTITET_POTVRDJEN:
				setIdentitetPotvrdjen(IDENTITET_POTVRDJEN_EDEFAULT);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__OPIS_LANOG_IDENTITETA:
				setOpisLanogIdentiteta(OPIS_LANOG_IDENTITETA_EDEFAULT);
				return;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__VOZILO:
				setVozilo((VoziloImpl)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__ID_UTVRDJIVANJE_IDENTITETA:
				return iDUtvrdjivanjeIdentiteta != ID_UTVRDJIVANJE_IDENTITETA_EDEFAULT;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__DATUM_KRIMINALISTICKE_TEHNICKE_OBRADE:
				return DATUM_KRIMINALISTICKE_TEHNICKE_OBRADE_EDEFAULT == null ? datumKriminalistickeTehnickeObrade != null : !DATUM_KRIMINALISTICKE_TEHNICKE_OBRADE_EDEFAULT.equals(datumKriminalistickeTehnickeObrade);
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__VRIJEME_KRIMINALISTICKE_TEHNICKE_OBRADE:
				return VRIJEME_KRIMINALISTICKE_TEHNICKE_OBRADE_EDEFAULT == null ? vrijemeKriminalistickeTehnickeObrade != null : !VRIJEME_KRIMINALISTICKE_TEHNICKE_OBRADE_EDEFAULT.equals(vrijemeKriminalistickeTehnickeObrade);
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__DATUM_PROVJERE_IDENTITETA:
				return DATUM_PROVJERE_IDENTITETA_EDEFAULT == null ? datumProvjereIdentiteta != null : !DATUM_PROVJERE_IDENTITETA_EDEFAULT.equals(datumProvjereIdentiteta);
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__VRIJEME_PROVJERE_IDENTITETA:
				return VRIJEME_PROVJERE_IDENTITETA_EDEFAULT == null ? vrijemeProvjereIdentiteta != null : !VRIJEME_PROVJERE_IDENTITETA_EDEFAULT.equals(vrijemeProvjereIdentiteta);
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__FOTOGRAFIJA:
				return fotografija != FOTOGRAFIJA_EDEFAULT;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__RAZLOG_UTVRDJIVANJA_IDENTITETA:
				return razlogUtvrdjivanjaIdentiteta != null;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__NA_OSNOVU_CEGA_JE_UTVRDJEN_IDENTITET:
				return naOsnovuCegaJeUtvrdjenIdentitet != null;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__RADNJE_PREDUZETE_UCILJU_UTVRDJIVANJA_IDENTITETA:
				return radnjePreduzeteUCiljuUtvrdjivanjaIdentiteta != null && !radnjePreduzeteUCiljuUtvrdjivanjaIdentiteta.isEmpty();
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__LISENJE_SLOBODE:
				return lisenjeSlobode != LISENJE_SLOBODE_EDEFAULT;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__ORGAN_KOJI_VRSI_UTVRDJIVANJE_IDENTITETA:
				return ORGAN_KOJI_VRSI_UTVRDJIVANJE_IDENTITETA_EDEFAULT == null ? organKojiVrsiUtvrdjivanjeIdentiteta != null : !ORGAN_KOJI_VRSI_UTVRDJIVANJE_IDENTITETA_EDEFAULT.equals(organKojiVrsiUtvrdjivanjeIdentiteta);
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__IDENTITET_POTVRDJEN:
				return identitetPotvrdjen != IDENTITET_POTVRDJEN_EDEFAULT;
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__OPIS_LANOG_IDENTITETA:
				return OPIS_LANOG_IDENTITETA_EDEFAULT == null ? opisLanogIdentiteta != null : !OPIS_LANOG_IDENTITETA_EDEFAULT.equals(opisLanogIdentiteta);
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA__VOZILO:
				return vozilo != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDUtvrdjivanjeIdentiteta: ");
		result.append(iDUtvrdjivanjeIdentiteta);
		result.append(", datumKriminalistickeTehnickeObrade: ");
		result.append(datumKriminalistickeTehnickeObrade);
		result.append(", vrijemeKriminalistickeTehnickeObrade: ");
		result.append(vrijemeKriminalistickeTehnickeObrade);
		result.append(", datumProvjereIdentiteta: ");
		result.append(datumProvjereIdentiteta);
		result.append(", vrijemeProvjereIdentiteta: ");
		result.append(vrijemeProvjereIdentiteta);
		result.append(", fotografija: ");
		result.append(fotografija);
		result.append(", lisenjeSlobode: ");
		result.append(lisenjeSlobode);
		result.append(", organKojiVrsiUtvrdjivanjeIdentiteta: ");
		result.append(organKojiVrsiUtvrdjivanjeIdentiteta);
		result.append(", identitetPotvrdjen: ");
		result.append(identitetPotvrdjen);
		result.append(", opisLanogIdentiteta: ");
		result.append(opisLanogIdentiteta);
		result.append(')');
		return result.toString();
	}

} //UtvrdjivanjeIdentitetaImpl
