/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.PbdmodelPackage;
import pbdmodel.UvidjajForenzika;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Uvidjaj Forenzika</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#getIDUvidjajForenzika <em>ID Uvidjaj Forenzika</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#getDatumSaznanja <em>Datum Saznanja</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#getSatSaznanja <em>Sat Saznanja</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#getDatumISatIzlskaNaVrsenjeUvidjaja <em>Datum ISat Izlska Na Vrsenje Uvidjaja</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#getDatumISatDovrsetkaUvidjaja <em>Datum ISat Dovrsetka Uvidjaja</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#getKratakOpis <em>Kratak Opis</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isFotografisano <em>Fotografisano</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isSkicirano <em>Skicirano</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isPronadjeniTragovi <em>Pronadjeni Tragovi</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isFiksiraniTragovi <em>Fiksirani Tragovi</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#getNapomena <em>Napomena</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#getNacinIzvrsenja <em>Nacin Izvrsenja</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#getVrstaTragova <em>Vrsta Tragova</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#getNaciniFiksiranja <em>Nacini Fiksiranja</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#getRadnjaSaPronadjenimIFiksiranimTragovima <em>Radnja Sa Pronadjenim IFiksiranim Tragovima</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#getObjekat <em>Objekat</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#getTipRadnje <em>Tip Radnje</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isPretres <em>Pretres</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isObdukcija <em>Obdukcija</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isOstaloTipRadnje <em>Ostalo Tip Radnje</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isKradja <em>Kradja</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isTeskaKradja <em>Teska Kradja</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isRazbojnistvo <em>Razbojnistvo</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isSilovanje <em>Silovanje</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isNasiljeUPorodici <em>Nasilje UPorodici</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isSaobrNezgoda <em>Saobr Nezgoda</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isTekseTjelesnePovrede <em>Tekse Tjelesne Povrede</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isLakeTjelesnePovrede <em>Lake Tjelesne Povrede</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isDjelovanjePodesnogAlata <em>Djelovanje Podesnog Alata</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isDjelovanjeFizickeSile <em>Djelovanje Fizicke Sile</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isRazbijanjeStakla <em>Razbijanje Stakla</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isLomljenjeUloskaBrave <em>Lomljenje Uloska Brave</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isUpotrebaKljuca <em>Upotreba Kljuca</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isOstaloNacinIzvrsenja <em>Ostalo Nacin Izvrsenja</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isTragKrvi <em>Trag Krvi</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isTragDlake <em>Trag Dlake</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isTragoviGuma <em>Tragovi Guma</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isTragIzlucevina <em>Trag Izlucevina</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isTragGazeceObuce <em>Trag Gazece Obuce</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isTragPodesnogAlata <em>Trag Podesnog Alata</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isTragoviZemlje <em>Tragovi Zemlje</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isTragPapilarnihLinija <em>Trag Papilarnih Linija</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isOstaloVrstaTraga <em>Ostalo Vrsta Traga</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isBrisevi <em>Brisevi</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isMaluziranje <em>Maluziranje</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isFolija <em>Folija</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isRazmjernaFotografija <em>Razmjerna Fotografija</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isOstaloNacinFiksiranja <em>Ostalo Nacin Fiksiranja</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isVjestacenje <em>Vjestacenje</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isPohranjeniUdepozit <em>Pohranjeni Udepozit</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isOstaloUradjenoSaTragovima <em>Ostalo Uradjeno Sa Tragovima</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isEshumacije <em>Eshumacije</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isRekonstrukcije <em>Rekonstrukcije</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isPozari <em>Pozari</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isPaljevine <em>Paljevine</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isEksplozije <em>Eksplozije</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isNapadNaOSL <em>Napad Na OSL</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isOstecenjeTudjeStvari <em>Ostecenje Tudje Stvari</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isIzazivanjeOpsteOpasnosti <em>Izazivanje Opste Opasnosti</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isPokazivanjeLicaMjesta <em>Pokazivanje Lica Mjesta</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isForenzickiPregledi <em>Forenzicki Pregledi</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isPrepoznavanja <em>Prepoznavanja</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isUbistvo <em>Ubistvo</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isNarkoTestiranje <em>Narko Testiranje</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isKdzPregledi <em>Kdz Pregledi</em>}</li>
 *   <li>{@link pbdmodel.impl.UvidjajForenzikaImpl#isIzuzetiTragovi <em>Izuzeti Tragovi</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class UvidjajForenzikaImpl extends AktivnostImpl implements UvidjajForenzika {
	/**
	 * The default value of the '{@link #getIDUvidjajForenzika() <em>ID Uvidjaj Forenzika</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDUvidjajForenzika()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_UVIDJAJ_FORENZIKA_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDUvidjajForenzika() <em>ID Uvidjaj Forenzika</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDUvidjajForenzika()
	 * @generated
	 * @ordered
	 */

@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long iDUvidjajForenzika = ID_UVIDJAJ_FORENZIKA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumSaznanja() <em>Datum Saznanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumSaznanja()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_SAZNANJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumSaznanja() <em>Datum Saznanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumSaznanja()
	 * @generated
	 * @ordered
	 */
	protected Date datumSaznanja = DATUM_SAZNANJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getSatSaznanja() <em>Sat Saznanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSatSaznanja()
	 * @generated
	 * @ordered
	 */
	protected static final Date SAT_SAZNANJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getSatSaznanja() <em>Sat Saznanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSatSaznanja()
	 * @generated
	 * @ordered
	 */
	protected Date satSaznanja = SAT_SAZNANJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumISatIzlskaNaVrsenjeUvidjaja() <em>Datum ISat Izlska Na Vrsenje Uvidjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumISatIzlskaNaVrsenjeUvidjaja()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_ISAT_IZLSKA_NA_VRSENJE_UVIDJAJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumISatIzlskaNaVrsenjeUvidjaja() <em>Datum ISat Izlska Na Vrsenje Uvidjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumISatIzlskaNaVrsenjeUvidjaja()
	 * @generated
	 * @ordered
	 */
	protected Date datumISatIzlskaNaVrsenjeUvidjaja = DATUM_ISAT_IZLSKA_NA_VRSENJE_UVIDJAJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumISatDovrsetkaUvidjaja() <em>Datum ISat Dovrsetka Uvidjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumISatDovrsetkaUvidjaja()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_ISAT_DOVRSETKA_UVIDJAJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumISatDovrsetkaUvidjaja() <em>Datum ISat Dovrsetka Uvidjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumISatDovrsetkaUvidjaja()
	 * @generated
	 * @ordered
	 */
	protected Date datumISatDovrsetkaUvidjaja = DATUM_ISAT_DOVRSETKA_UVIDJAJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getKratakOpis() <em>Kratak Opis</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKratakOpis()
	 * @generated
	 * @ordered
	 */
	protected static final String KRATAK_OPIS_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getKratakOpis() <em>Kratak Opis</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKratakOpis()
	 * @generated
	 * @ordered
	 */
	protected String kratakOpis = KRATAK_OPIS_EDEFAULT;

	/**
	 * The default value of the '{@link #isFotografisano() <em>Fotografisano</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isFotografisano()
	 * @generated
	 * @ordered
	 */
	protected static final boolean FOTOGRAFISANO_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isFotografisano() <em>Fotografisano</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isFotografisano()
	 * @generated
	 * @ordered
	 */
	protected boolean fotografisano = FOTOGRAFISANO_EDEFAULT;

	/**
	 * The default value of the '{@link #isSkicirano() <em>Skicirano</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSkicirano()
	 * @generated
	 * @ordered
	 */
	protected static final boolean SKICIRANO_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isSkicirano() <em>Skicirano</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSkicirano()
	 * @generated
	 * @ordered
	 */
	protected boolean skicirano = SKICIRANO_EDEFAULT;

	/**
	 * The default value of the '{@link #isPronadjeniTragovi() <em>Pronadjeni Tragovi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPronadjeniTragovi()
	 * @generated
	 * @ordered
	 */
	protected static final boolean PRONADJENI_TRAGOVI_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isPronadjeniTragovi() <em>Pronadjeni Tragovi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPronadjeniTragovi()
	 * @generated
	 * @ordered
	 */
	protected boolean pronadjeniTragovi = PRONADJENI_TRAGOVI_EDEFAULT;

	/**
	 * The default value of the '{@link #isFiksiraniTragovi() <em>Fiksirani Tragovi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isFiksiraniTragovi()
	 * @generated
	 * @ordered
	 */
	protected static final boolean FIKSIRANI_TRAGOVI_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isFiksiraniTragovi() <em>Fiksirani Tragovi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isFiksiraniTragovi()
	 * @generated
	 * @ordered
	 */
	protected boolean fiksiraniTragovi = FIKSIRANI_TRAGOVI_EDEFAULT;

	/**
	 * The default value of the '{@link #getNapomena() <em>Napomena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNapomena()
	 * @generated
	 * @ordered
	 */
	protected static final String NAPOMENA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getNapomena() <em>Napomena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNapomena()
	 * @generated
	 * @ordered
	 */
	protected String napomena = NAPOMENA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getNacinIzvrsenja() <em>Nacin Izvrsenja</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNacinIzvrsenja()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="NACIN_IZVRSENJA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected NacinIzvrsenjaImpl nacinIzvrsenja;

	/**
	 * The cached value of the '{@link #getVrstaTragova() <em>Vrsta Tragova</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaTragova()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_TRAGA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<VrstaTragaImpl> vrstaTragova;

	/**
	 * The cached value of the '{@link #getNaciniFiksiranja() <em>Nacini Fiksiranja</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNaciniFiksiranja()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="NACIN_FIKSIRANJA_TRAGA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<NacinFiksiranjaTragaImpl> naciniFiksiranja;

	/**
	 * The cached value of the '{@link #getRadnjaSaPronadjenimIFiksiranimTragovima() <em>Radnja Sa Pronadjenim IFiksiranim Tragovima</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRadnjaSaPronadjenimIFiksiranimTragovima()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="RADNJA_SA_PRONADJENIM_I_FIKSIRANIM_TRAGOVIMA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected RadnjaSaPronadjenimIFiksiranimTragovimaImpl radnjaSaPronadjenimIFiksiranimTragovima;

	/**
	 * The cached value of the '{@link #getObjekat() <em>Objekat</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getObjekat()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OBJEKT_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<ObjektImpl> objekat;

	/**
	 * The cached value of the '{@link #getTipRadnje() <em>Tip Radnje</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTipRadnje()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="TIP_RADNJE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected TipRadnjeImpl tipRadnje;

	/**
	 * The default value of the '{@link #isPretres() <em>Pretres</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPretres()
	 * @generated
	 * @ordered
	 */
	protected static final boolean PRETRES_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isPretres() <em>Pretres</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPretres()
	 * @generated
	 * @ordered
	 */
	protected boolean pretres = PRETRES_EDEFAULT;

	/**
	 * The default value of the '{@link #isObdukcija() <em>Obdukcija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isObdukcija()
	 * @generated
	 * @ordered
	 */
	protected static final boolean OBDUKCIJA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isObdukcija() <em>Obdukcija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isObdukcija()
	 * @generated
	 * @ordered
	 */
	protected boolean obdukcija = OBDUKCIJA_EDEFAULT;

	/**
	 * The default value of the '{@link #isOstaloTipRadnje() <em>Ostalo Tip Radnje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isOstaloTipRadnje()
	 * @generated
	 * @ordered
	 */
	protected static final boolean OSTALO_TIP_RADNJE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isOstaloTipRadnje() <em>Ostalo Tip Radnje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isOstaloTipRadnje()
	 * @generated
	 * @ordered
	 */
	protected boolean ostaloTipRadnje = OSTALO_TIP_RADNJE_EDEFAULT;

	/**
	 * The default value of the '{@link #isKradja() <em>Kradja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isKradja()
	 * @generated
	 * @ordered
	 */
	protected static final boolean KRADJA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isKradja() <em>Kradja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isKradja()
	 * @generated
	 * @ordered
	 */
	protected boolean kradja = KRADJA_EDEFAULT;

	/**
	 * The default value of the '{@link #isTeskaKradja() <em>Teska Kradja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTeskaKradja()
	 * @generated
	 * @ordered
	 */
	protected static final boolean TESKA_KRADJA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isTeskaKradja() <em>Teska Kradja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTeskaKradja()
	 * @generated
	 * @ordered
	 */
	protected boolean teskaKradja = TESKA_KRADJA_EDEFAULT;

	/**
	 * The default value of the '{@link #isRazbojnistvo() <em>Razbojnistvo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isRazbojnistvo()
	 * @generated
	 * @ordered
	 */
	protected static final boolean RAZBOJNISTVO_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isRazbojnistvo() <em>Razbojnistvo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isRazbojnistvo()
	 * @generated
	 * @ordered
	 */
	protected boolean razbojnistvo = RAZBOJNISTVO_EDEFAULT;

	/**
	 * The default value of the '{@link #isSilovanje() <em>Silovanje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSilovanje()
	 * @generated
	 * @ordered
	 */
	protected static final boolean SILOVANJE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isSilovanje() <em>Silovanje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSilovanje()
	 * @generated
	 * @ordered
	 */
	protected boolean silovanje = SILOVANJE_EDEFAULT;

	/**
	 * The default value of the '{@link #isNasiljeUPorodici() <em>Nasilje UPorodici</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isNasiljeUPorodici()
	 * @generated
	 * @ordered
	 */
	protected static final boolean NASILJE_UPORODICI_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isNasiljeUPorodici() <em>Nasilje UPorodici</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isNasiljeUPorodici()
	 * @generated
	 * @ordered
	 */
	protected boolean nasiljeUPorodici = NASILJE_UPORODICI_EDEFAULT;

	/**
	 * The default value of the '{@link #isSaobrNezgoda() <em>Saobr Nezgoda</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSaobrNezgoda()
	 * @generated
	 * @ordered
	 */
	protected static final boolean SAOBR_NEZGODA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isSaobrNezgoda() <em>Saobr Nezgoda</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSaobrNezgoda()
	 * @generated
	 * @ordered
	 */
	protected boolean saobrNezgoda = SAOBR_NEZGODA_EDEFAULT;

	/**
	 * The default value of the '{@link #isTekseTjelesnePovrede() <em>Tekse Tjelesne Povrede</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTekseTjelesnePovrede()
	 * @generated
	 * @ordered
	 */
	protected static final boolean TEKSE_TJELESNE_POVREDE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isTekseTjelesnePovrede() <em>Tekse Tjelesne Povrede</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTekseTjelesnePovrede()
	 * @generated
	 * @ordered
	 */
	protected boolean tekseTjelesnePovrede = TEKSE_TJELESNE_POVREDE_EDEFAULT;

	/**
	 * The default value of the '{@link #isLakeTjelesnePovrede() <em>Lake Tjelesne Povrede</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isLakeTjelesnePovrede()
	 * @generated
	 * @ordered
	 */
	protected static final boolean LAKE_TJELESNE_POVREDE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isLakeTjelesnePovrede() <em>Lake Tjelesne Povrede</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isLakeTjelesnePovrede()
	 * @generated
	 * @ordered
	 */
	protected boolean lakeTjelesnePovrede = LAKE_TJELESNE_POVREDE_EDEFAULT;

	/**
	 * The default value of the '{@link #isDjelovanjePodesnogAlata() <em>Djelovanje Podesnog Alata</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isDjelovanjePodesnogAlata()
	 * @generated
	 * @ordered
	 */
	protected static final boolean DJELOVANJE_PODESNOG_ALATA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isDjelovanjePodesnogAlata() <em>Djelovanje Podesnog Alata</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isDjelovanjePodesnogAlata()
	 * @generated
	 * @ordered
	 */
	protected boolean djelovanjePodesnogAlata = DJELOVANJE_PODESNOG_ALATA_EDEFAULT;

	/**
	 * The default value of the '{@link #isDjelovanjeFizickeSile() <em>Djelovanje Fizicke Sile</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isDjelovanjeFizickeSile()
	 * @generated
	 * @ordered
	 */
	protected static final boolean DJELOVANJE_FIZICKE_SILE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isDjelovanjeFizickeSile() <em>Djelovanje Fizicke Sile</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isDjelovanjeFizickeSile()
	 * @generated
	 * @ordered
	 */
	protected boolean djelovanjeFizickeSile = DJELOVANJE_FIZICKE_SILE_EDEFAULT;

	/**
	 * The default value of the '{@link #isRazbijanjeStakla() <em>Razbijanje Stakla</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isRazbijanjeStakla()
	 * @generated
	 * @ordered
	 */
	protected static final boolean RAZBIJANJE_STAKLA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isRazbijanjeStakla() <em>Razbijanje Stakla</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isRazbijanjeStakla()
	 * @generated
	 * @ordered
	 */
	protected boolean razbijanjeStakla = RAZBIJANJE_STAKLA_EDEFAULT;

	/**
	 * The default value of the '{@link #isLomljenjeUloskaBrave() <em>Lomljenje Uloska Brave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isLomljenjeUloskaBrave()
	 * @generated
	 * @ordered
	 */
	protected static final boolean LOMLJENJE_ULOSKA_BRAVE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isLomljenjeUloskaBrave() <em>Lomljenje Uloska Brave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isLomljenjeUloskaBrave()
	 * @generated
	 * @ordered
	 */
	protected boolean lomljenjeUloskaBrave = LOMLJENJE_ULOSKA_BRAVE_EDEFAULT;

	/**
	 * The default value of the '{@link #isUpotrebaKljuca() <em>Upotreba Kljuca</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isUpotrebaKljuca()
	 * @generated
	 * @ordered
	 */
	protected static final boolean UPOTREBA_KLJUCA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isUpotrebaKljuca() <em>Upotreba Kljuca</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isUpotrebaKljuca()
	 * @generated
	 * @ordered
	 */
	protected boolean upotrebaKljuca = UPOTREBA_KLJUCA_EDEFAULT;

	/**
	 * The default value of the '{@link #isOstaloNacinIzvrsenja() <em>Ostalo Nacin Izvrsenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isOstaloNacinIzvrsenja()
	 * @generated
	 * @ordered
	 */
	protected static final boolean OSTALO_NACIN_IZVRSENJA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isOstaloNacinIzvrsenja() <em>Ostalo Nacin Izvrsenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isOstaloNacinIzvrsenja()
	 * @generated
	 * @ordered
	 */
	protected boolean ostaloNacinIzvrsenja = OSTALO_NACIN_IZVRSENJA_EDEFAULT;

	/**
	 * The default value of the '{@link #isTragKrvi() <em>Trag Krvi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTragKrvi()
	 * @generated
	 * @ordered
	 */
	protected static final boolean TRAG_KRVI_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isTragKrvi() <em>Trag Krvi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTragKrvi()
	 * @generated
	 * @ordered
	 */
	protected boolean tragKrvi = TRAG_KRVI_EDEFAULT;

	/**
	 * The default value of the '{@link #isTragDlake() <em>Trag Dlake</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTragDlake()
	 * @generated
	 * @ordered
	 */
	protected static final boolean TRAG_DLAKE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isTragDlake() <em>Trag Dlake</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTragDlake()
	 * @generated
	 * @ordered
	 */
	protected boolean tragDlake = TRAG_DLAKE_EDEFAULT;

	/**
	 * The default value of the '{@link #isTragoviGuma() <em>Tragovi Guma</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTragoviGuma()
	 * @generated
	 * @ordered
	 */
	protected static final boolean TRAGOVI_GUMA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isTragoviGuma() <em>Tragovi Guma</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTragoviGuma()
	 * @generated
	 * @ordered
	 */
	protected boolean tragoviGuma = TRAGOVI_GUMA_EDEFAULT;

	/**
	 * The default value of the '{@link #isTragIzlucevina() <em>Trag Izlucevina</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTragIzlucevina()
	 * @generated
	 * @ordered
	 */
	protected static final boolean TRAG_IZLUCEVINA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isTragIzlucevina() <em>Trag Izlucevina</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTragIzlucevina()
	 * @generated
	 * @ordered
	 */
	protected boolean tragIzlucevina = TRAG_IZLUCEVINA_EDEFAULT;

	/**
	 * The default value of the '{@link #isTragGazeceObuce() <em>Trag Gazece Obuce</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTragGazeceObuce()
	 * @generated
	 * @ordered
	 */
	protected static final boolean TRAG_GAZECE_OBUCE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isTragGazeceObuce() <em>Trag Gazece Obuce</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTragGazeceObuce()
	 * @generated
	 * @ordered
	 */
	protected boolean tragGazeceObuce = TRAG_GAZECE_OBUCE_EDEFAULT;

	/**
	 * The default value of the '{@link #isTragPodesnogAlata() <em>Trag Podesnog Alata</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTragPodesnogAlata()
	 * @generated
	 * @ordered
	 */
	protected static final boolean TRAG_PODESNOG_ALATA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isTragPodesnogAlata() <em>Trag Podesnog Alata</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTragPodesnogAlata()
	 * @generated
	 * @ordered
	 */
	protected boolean tragPodesnogAlata = TRAG_PODESNOG_ALATA_EDEFAULT;

	/**
	 * The default value of the '{@link #isTragoviZemlje() <em>Tragovi Zemlje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTragoviZemlje()
	 * @generated
	 * @ordered
	 */
	protected static final boolean TRAGOVI_ZEMLJE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isTragoviZemlje() <em>Tragovi Zemlje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTragoviZemlje()
	 * @generated
	 * @ordered
	 */
	protected boolean tragoviZemlje = TRAGOVI_ZEMLJE_EDEFAULT;

	/**
	 * The default value of the '{@link #isTragPapilarnihLinija() <em>Trag Papilarnih Linija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTragPapilarnihLinija()
	 * @generated
	 * @ordered
	 */
	protected static final boolean TRAG_PAPILARNIH_LINIJA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isTragPapilarnihLinija() <em>Trag Papilarnih Linija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isTragPapilarnihLinija()
	 * @generated
	 * @ordered
	 */
	protected boolean tragPapilarnihLinija = TRAG_PAPILARNIH_LINIJA_EDEFAULT;

	/**
	 * The default value of the '{@link #isOstaloVrstaTraga() <em>Ostalo Vrsta Traga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isOstaloVrstaTraga()
	 * @generated
	 * @ordered
	 */
	protected static final boolean OSTALO_VRSTA_TRAGA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isOstaloVrstaTraga() <em>Ostalo Vrsta Traga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isOstaloVrstaTraga()
	 * @generated
	 * @ordered
	 */
	protected boolean ostaloVrstaTraga = OSTALO_VRSTA_TRAGA_EDEFAULT;

	/**
	 * The default value of the '{@link #isBrisevi() <em>Brisevi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isBrisevi()
	 * @generated
	 * @ordered
	 */
	protected static final boolean BRISEVI_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isBrisevi() <em>Brisevi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isBrisevi()
	 * @generated
	 * @ordered
	 */
	protected boolean brisevi = BRISEVI_EDEFAULT;

	/**
	 * The default value of the '{@link #isMaluziranje() <em>Maluziranje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isMaluziranje()
	 * @generated
	 * @ordered
	 */
	protected static final boolean MALUZIRANJE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isMaluziranje() <em>Maluziranje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isMaluziranje()
	 * @generated
	 * @ordered
	 */
	protected boolean maluziranje = MALUZIRANJE_EDEFAULT;

	/**
	 * The default value of the '{@link #isFolija() <em>Folija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isFolija()
	 * @generated
	 * @ordered
	 */
	protected static final boolean FOLIJA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isFolija() <em>Folija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isFolija()
	 * @generated
	 * @ordered
	 */
	protected boolean folija = FOLIJA_EDEFAULT;

	/**
	 * The default value of the '{@link #isRazmjernaFotografija() <em>Razmjerna Fotografija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isRazmjernaFotografija()
	 * @generated
	 * @ordered
	 */
	protected static final boolean RAZMJERNA_FOTOGRAFIJA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isRazmjernaFotografija() <em>Razmjerna Fotografija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isRazmjernaFotografija()
	 * @generated
	 * @ordered
	 */
	protected boolean razmjernaFotografija = RAZMJERNA_FOTOGRAFIJA_EDEFAULT;

	/**
	 * The default value of the '{@link #isOstaloNacinFiksiranja() <em>Ostalo Nacin Fiksiranja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isOstaloNacinFiksiranja()
	 * @generated
	 * @ordered
	 */
	protected static final boolean OSTALO_NACIN_FIKSIRANJA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isOstaloNacinFiksiranja() <em>Ostalo Nacin Fiksiranja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isOstaloNacinFiksiranja()
	 * @generated
	 * @ordered
	 */
	protected boolean ostaloNacinFiksiranja = OSTALO_NACIN_FIKSIRANJA_EDEFAULT;

	/**
	 * The default value of the '{@link #isVjestacenje() <em>Vjestacenje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isVjestacenje()
	 * @generated
	 * @ordered
	 */
	protected static final boolean VJESTACENJE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isVjestacenje() <em>Vjestacenje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isVjestacenje()
	 * @generated
	 * @ordered
	 */
	protected boolean vjestacenje = VJESTACENJE_EDEFAULT;

	/**
	 * The default value of the '{@link #isPohranjeniUdepozit() <em>Pohranjeni Udepozit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPohranjeniUdepozit()
	 * @generated
	 * @ordered
	 */
	protected static final boolean POHRANJENI_UDEPOZIT_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isPohranjeniUdepozit() <em>Pohranjeni Udepozit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPohranjeniUdepozit()
	 * @generated
	 * @ordered
	 */
	protected boolean pohranjeniUdepozit = POHRANJENI_UDEPOZIT_EDEFAULT;

	/**
	 * The default value of the '{@link #isOstaloUradjenoSaTragovima() <em>Ostalo Uradjeno Sa Tragovima</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isOstaloUradjenoSaTragovima()
	 * @generated
	 * @ordered
	 */
	protected static final boolean OSTALO_URADJENO_SA_TRAGOVIMA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isOstaloUradjenoSaTragovima() <em>Ostalo Uradjeno Sa Tragovima</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isOstaloUradjenoSaTragovima()
	 * @generated
	 * @ordered
	 */
	protected boolean ostaloUradjenoSaTragovima = OSTALO_URADJENO_SA_TRAGOVIMA_EDEFAULT;

	/**
	 * The default value of the '{@link #isEshumacije() <em>Eshumacije</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isEshumacije()
	 * @generated
	 * @ordered
	 */
	protected static final boolean ESHUMACIJE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isEshumacije() <em>Eshumacije</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isEshumacije()
	 * @generated
	 * @ordered
	 */
	protected boolean eshumacije = ESHUMACIJE_EDEFAULT;

	/**
	 * The default value of the '{@link #isRekonstrukcije() <em>Rekonstrukcije</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isRekonstrukcije()
	 * @generated
	 * @ordered
	 */
	protected static final boolean REKONSTRUKCIJE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isRekonstrukcije() <em>Rekonstrukcije</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isRekonstrukcije()
	 * @generated
	 * @ordered
	 */
	protected boolean rekonstrukcije = REKONSTRUKCIJE_EDEFAULT;

	/**
	 * The default value of the '{@link #isPozari() <em>Pozari</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPozari()
	 * @generated
	 * @ordered
	 */
	protected static final boolean POZARI_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isPozari() <em>Pozari</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPozari()
	 * @generated
	 * @ordered
	 */
	protected boolean pozari = POZARI_EDEFAULT;

	/**
	 * The default value of the '{@link #isPaljevine() <em>Paljevine</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPaljevine()
	 * @generated
	 * @ordered
	 */
	protected static final boolean PALJEVINE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isPaljevine() <em>Paljevine</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPaljevine()
	 * @generated
	 * @ordered
	 */
	protected boolean paljevine = PALJEVINE_EDEFAULT;

	/**
	 * The default value of the '{@link #isEksplozije() <em>Eksplozije</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isEksplozije()
	 * @generated
	 * @ordered
	 */
	protected static final boolean EKSPLOZIJE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isEksplozije() <em>Eksplozije</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isEksplozije()
	 * @generated
	 * @ordered
	 */
	protected boolean eksplozije = EKSPLOZIJE_EDEFAULT;

	/**
	 * The default value of the '{@link #isNapadNaOSL() <em>Napad Na OSL</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isNapadNaOSL()
	 * @generated
	 * @ordered
	 */
	protected static final boolean NAPAD_NA_OSL_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isNapadNaOSL() <em>Napad Na OSL</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isNapadNaOSL()
	 * @generated
	 * @ordered
	 */
	protected boolean napadNaOSL = NAPAD_NA_OSL_EDEFAULT;

	/**
	 * The default value of the '{@link #isOstecenjeTudjeStvari() <em>Ostecenje Tudje Stvari</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isOstecenjeTudjeStvari()
	 * @generated
	 * @ordered
	 */
	protected static final boolean OSTECENJE_TUDJE_STVARI_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isOstecenjeTudjeStvari() <em>Ostecenje Tudje Stvari</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isOstecenjeTudjeStvari()
	 * @generated
	 * @ordered
	 */
	protected boolean ostecenjeTudjeStvari = OSTECENJE_TUDJE_STVARI_EDEFAULT;

	/**
	 * The default value of the '{@link #isIzazivanjeOpsteOpasnosti() <em>Izazivanje Opste Opasnosti</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isIzazivanjeOpsteOpasnosti()
	 * @generated
	 * @ordered
	 */
	protected static final boolean IZAZIVANJE_OPSTE_OPASNOSTI_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isIzazivanjeOpsteOpasnosti() <em>Izazivanje Opste Opasnosti</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isIzazivanjeOpsteOpasnosti()
	 * @generated
	 * @ordered
	 */
	protected boolean izazivanjeOpsteOpasnosti = IZAZIVANJE_OPSTE_OPASNOSTI_EDEFAULT;

	/**
	 * The default value of the '{@link #isPokazivanjeLicaMjesta() <em>Pokazivanje Lica Mjesta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPokazivanjeLicaMjesta()
	 * @generated
	 * @ordered
	 */
	protected static final boolean POKAZIVANJE_LICA_MJESTA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isPokazivanjeLicaMjesta() <em>Pokazivanje Lica Mjesta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPokazivanjeLicaMjesta()
	 * @generated
	 * @ordered
	 */
	protected boolean pokazivanjeLicaMjesta = POKAZIVANJE_LICA_MJESTA_EDEFAULT;

	/**
	 * The default value of the '{@link #isForenzickiPregledi() <em>Forenzicki Pregledi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isForenzickiPregledi()
	 * @generated
	 * @ordered
	 */
	protected static final boolean FORENZICKI_PREGLEDI_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isForenzickiPregledi() <em>Forenzicki Pregledi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isForenzickiPregledi()
	 * @generated
	 * @ordered
	 */
	protected boolean forenzickiPregledi = FORENZICKI_PREGLEDI_EDEFAULT;

	/**
	 * The default value of the '{@link #isPrepoznavanja() <em>Prepoznavanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPrepoznavanja()
	 * @generated
	 * @ordered
	 */
	protected static final boolean PREPOZNAVANJA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isPrepoznavanja() <em>Prepoznavanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPrepoznavanja()
	 * @generated
	 * @ordered
	 */
	protected boolean prepoznavanja = PREPOZNAVANJA_EDEFAULT;

	/**
	 * The default value of the '{@link #isUbistvo() <em>Ubistvo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isUbistvo()
	 * @generated
	 * @ordered
	 */
	protected static final boolean UBISTVO_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isUbistvo() <em>Ubistvo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isUbistvo()
	 * @generated
	 * @ordered
	 */
	protected boolean ubistvo = UBISTVO_EDEFAULT;

	/**
	 * The default value of the '{@link #isNarkoTestiranje() <em>Narko Testiranje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isNarkoTestiranje()
	 * @generated
	 * @ordered
	 */
	protected static final boolean NARKO_TESTIRANJE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isNarkoTestiranje() <em>Narko Testiranje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isNarkoTestiranje()
	 * @generated
	 * @ordered
	 */
	protected boolean narkoTestiranje = NARKO_TESTIRANJE_EDEFAULT;

	/**
	 * The default value of the '{@link #isKdzPregledi() <em>Kdz Pregledi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isKdzPregledi()
	 * @generated
	 * @ordered
	 */
	protected static final boolean KDZ_PREGLEDI_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isKdzPregledi() <em>Kdz Pregledi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isKdzPregledi()
	 * @generated
	 * @ordered
	 */
	protected boolean kdzPregledi = KDZ_PREGLEDI_EDEFAULT;

	/**
	 * The default value of the '{@link #isIzuzetiTragovi() <em>Izuzeti Tragovi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isIzuzetiTragovi()
	 * @generated
	 * @ordered
	 */
	protected static final boolean IZUZETI_TRAGOVI_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isIzuzetiTragovi() <em>Izuzeti Tragovi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isIzuzetiTragovi()
	 * @generated
	 * @ordered
	 */
	protected boolean izuzetiTragovi = IZUZETI_TRAGOVI_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public UvidjajForenzikaImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getUvidjajForenzika();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDUvidjajForenzika() {
		return iDUvidjajForenzika;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDUvidjajForenzika(long newIDUvidjajForenzika) {
		long oldIDUvidjajForenzika = iDUvidjajForenzika;
		iDUvidjajForenzika = newIDUvidjajForenzika;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__ID_UVIDJAJ_FORENZIKA, oldIDUvidjajForenzika, iDUvidjajForenzika));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumSaznanja() {
		return datumSaznanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumSaznanja(Date newDatumSaznanja) {
		Date oldDatumSaznanja = datumSaznanja;
		datumSaznanja = newDatumSaznanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__DATUM_SAZNANJA, oldDatumSaznanja, datumSaznanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getSatSaznanja() {
		return satSaznanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSatSaznanja(Date newSatSaznanja) {
		Date oldSatSaznanja = satSaznanja;
		satSaznanja = newSatSaznanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__SAT_SAZNANJA, oldSatSaznanja, satSaznanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumISatIzlskaNaVrsenjeUvidjaja() {
		return datumISatIzlskaNaVrsenjeUvidjaja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumISatIzlskaNaVrsenjeUvidjaja(Date newDatumISatIzlskaNaVrsenjeUvidjaja) {
		Date oldDatumISatIzlskaNaVrsenjeUvidjaja = datumISatIzlskaNaVrsenjeUvidjaja;
		datumISatIzlskaNaVrsenjeUvidjaja = newDatumISatIzlskaNaVrsenjeUvidjaja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__DATUM_ISAT_IZLSKA_NA_VRSENJE_UVIDJAJA, oldDatumISatIzlskaNaVrsenjeUvidjaja, datumISatIzlskaNaVrsenjeUvidjaja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumISatDovrsetkaUvidjaja() {
		return datumISatDovrsetkaUvidjaja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumISatDovrsetkaUvidjaja(Date newDatumISatDovrsetkaUvidjaja) {
		Date oldDatumISatDovrsetkaUvidjaja = datumISatDovrsetkaUvidjaja;
		datumISatDovrsetkaUvidjaja = newDatumISatDovrsetkaUvidjaja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__DATUM_ISAT_DOVRSETKA_UVIDJAJA, oldDatumISatDovrsetkaUvidjaja, datumISatDovrsetkaUvidjaja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getKratakOpis() {
		return kratakOpis;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setKratakOpis(String newKratakOpis) {
		String oldKratakOpis = kratakOpis;
		kratakOpis = newKratakOpis;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__KRATAK_OPIS, oldKratakOpis, kratakOpis));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isFotografisano() {
		return fotografisano;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFotografisano(boolean newFotografisano) {
		boolean oldFotografisano = fotografisano;
		fotografisano = newFotografisano;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__FOTOGRAFISANO, oldFotografisano, fotografisano));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSkicirano() {
		return skicirano;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSkicirano(boolean newSkicirano) {
		boolean oldSkicirano = skicirano;
		skicirano = newSkicirano;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__SKICIRANO, oldSkicirano, skicirano));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isPronadjeniTragovi() {
		return pronadjeniTragovi;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPronadjeniTragovi(boolean newPronadjeniTragovi) {
		boolean oldPronadjeniTragovi = pronadjeniTragovi;
		pronadjeniTragovi = newPronadjeniTragovi;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__PRONADJENI_TRAGOVI, oldPronadjeniTragovi, pronadjeniTragovi));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isFiksiraniTragovi() {
		return fiksiraniTragovi;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFiksiraniTragovi(boolean newFiksiraniTragovi) {
		boolean oldFiksiraniTragovi = fiksiraniTragovi;
		fiksiraniTragovi = newFiksiraniTragovi;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__FIKSIRANI_TRAGOVI, oldFiksiraniTragovi, fiksiraniTragovi));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getNapomena() {
		return napomena;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNapomena(String newNapomena) {
		String oldNapomena = napomena;
		napomena = newNapomena;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__NAPOMENA, oldNapomena, napomena));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NacinIzvrsenjaImpl getNacinIzvrsenja() {
		if (nacinIzvrsenja != null && nacinIzvrsenja.eIsProxy()) {
			InternalEObject oldNacinIzvrsenja = (InternalEObject)nacinIzvrsenja;
			nacinIzvrsenja = (NacinIzvrsenjaImpl)eResolveProxy(oldNacinIzvrsenja);
			if (nacinIzvrsenja != oldNacinIzvrsenja) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.UVIDJAJ_FORENZIKA__NACIN_IZVRSENJA, oldNacinIzvrsenja, nacinIzvrsenja));
			}
		}
		return nacinIzvrsenja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NacinIzvrsenjaImpl basicGetNacinIzvrsenja() {
		return nacinIzvrsenja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNacinIzvrsenja(NacinIzvrsenjaImpl newNacinIzvrsenja) {
		NacinIzvrsenjaImpl oldNacinIzvrsenja = nacinIzvrsenja;
		nacinIzvrsenja = newNacinIzvrsenja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__NACIN_IZVRSENJA, oldNacinIzvrsenja, nacinIzvrsenja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<VrstaTragaImpl> getVrstaTragova() {
		if (vrstaTragova == null) {
			vrstaTragova = new ArrayList<VrstaTragaImpl>();
		}
		return vrstaTragova;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<NacinFiksiranjaTragaImpl> getNaciniFiksiranja() {
		if (naciniFiksiranja == null) {
			naciniFiksiranja = new ArrayList<NacinFiksiranjaTragaImpl>();
		}
		return naciniFiksiranja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RadnjaSaPronadjenimIFiksiranimTragovimaImpl getRadnjaSaPronadjenimIFiksiranimTragovima() {
		if (radnjaSaPronadjenimIFiksiranimTragovima != null && radnjaSaPronadjenimIFiksiranimTragovima.eIsProxy()) {
			InternalEObject oldRadnjaSaPronadjenimIFiksiranimTragovima = (InternalEObject)radnjaSaPronadjenimIFiksiranimTragovima;
			radnjaSaPronadjenimIFiksiranimTragovima = (RadnjaSaPronadjenimIFiksiranimTragovimaImpl)eResolveProxy(oldRadnjaSaPronadjenimIFiksiranimTragovima);
			if (radnjaSaPronadjenimIFiksiranimTragovima != oldRadnjaSaPronadjenimIFiksiranimTragovima) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.UVIDJAJ_FORENZIKA__RADNJA_SA_PRONADJENIM_IFIKSIRANIM_TRAGOVIMA, oldRadnjaSaPronadjenimIFiksiranimTragovima, radnjaSaPronadjenimIFiksiranimTragovima));
			}
		}
		return radnjaSaPronadjenimIFiksiranimTragovima;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RadnjaSaPronadjenimIFiksiranimTragovimaImpl basicGetRadnjaSaPronadjenimIFiksiranimTragovima() {
		return radnjaSaPronadjenimIFiksiranimTragovima;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRadnjaSaPronadjenimIFiksiranimTragovima(RadnjaSaPronadjenimIFiksiranimTragovimaImpl newRadnjaSaPronadjenimIFiksiranimTragovima) {
		RadnjaSaPronadjenimIFiksiranimTragovimaImpl oldRadnjaSaPronadjenimIFiksiranimTragovima = radnjaSaPronadjenimIFiksiranimTragovima;
		radnjaSaPronadjenimIFiksiranimTragovima = newRadnjaSaPronadjenimIFiksiranimTragovima;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__RADNJA_SA_PRONADJENIM_IFIKSIRANIM_TRAGOVIMA, oldRadnjaSaPronadjenimIFiksiranimTragovima, radnjaSaPronadjenimIFiksiranimTragovima));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<ObjektImpl> getObjekat() {
		if (objekat == null) {
			objekat = new ArrayList<ObjektImpl>();
		}
		return objekat;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TipRadnjeImpl getTipRadnje() {
		if (tipRadnje != null && tipRadnje.eIsProxy()) {
			InternalEObject oldTipRadnje = (InternalEObject)tipRadnje;
			tipRadnje = (TipRadnjeImpl)eResolveProxy(oldTipRadnje);
			if (tipRadnje != oldTipRadnje) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.UVIDJAJ_FORENZIKA__TIP_RADNJE, oldTipRadnje, tipRadnje));
			}
		}
		return tipRadnje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TipRadnjeImpl basicGetTipRadnje() {
		return tipRadnje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTipRadnje(TipRadnjeImpl newTipRadnje) {
		TipRadnjeImpl oldTipRadnje = tipRadnje;
		tipRadnje = newTipRadnje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__TIP_RADNJE, oldTipRadnje, tipRadnje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isPretres() {
		return pretres;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPretres(boolean newPretres) {
		boolean oldPretres = pretres;
		pretres = newPretres;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__PRETRES, oldPretres, pretres));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isObdukcija() {
		return obdukcija;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setObdukcija(boolean newObdukcija) {
		boolean oldObdukcija = obdukcija;
		obdukcija = newObdukcija;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__OBDUKCIJA, oldObdukcija, obdukcija));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isOstaloTipRadnje() {
		return ostaloTipRadnje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOstaloTipRadnje(boolean newOstaloTipRadnje) {
		boolean oldOstaloTipRadnje = ostaloTipRadnje;
		ostaloTipRadnje = newOstaloTipRadnje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_TIP_RADNJE, oldOstaloTipRadnje, ostaloTipRadnje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isKradja() {
		return kradja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setKradja(boolean newKradja) {
		boolean oldKradja = kradja;
		kradja = newKradja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__KRADJA, oldKradja, kradja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isTeskaKradja() {
		return teskaKradja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTeskaKradja(boolean newTeskaKradja) {
		boolean oldTeskaKradja = teskaKradja;
		teskaKradja = newTeskaKradja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__TESKA_KRADJA, oldTeskaKradja, teskaKradja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isRazbojnistvo() {
		return razbojnistvo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRazbojnistvo(boolean newRazbojnistvo) {
		boolean oldRazbojnistvo = razbojnistvo;
		razbojnistvo = newRazbojnistvo;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__RAZBOJNISTVO, oldRazbojnistvo, razbojnistvo));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSilovanje() {
		return silovanje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSilovanje(boolean newSilovanje) {
		boolean oldSilovanje = silovanje;
		silovanje = newSilovanje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__SILOVANJE, oldSilovanje, silovanje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isNasiljeUPorodici() {
		return nasiljeUPorodici;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNasiljeUPorodici(boolean newNasiljeUPorodici) {
		boolean oldNasiljeUPorodici = nasiljeUPorodici;
		nasiljeUPorodici = newNasiljeUPorodici;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__NASILJE_UPORODICI, oldNasiljeUPorodici, nasiljeUPorodici));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSaobrNezgoda() {
		return saobrNezgoda;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSaobrNezgoda(boolean newSaobrNezgoda) {
		boolean oldSaobrNezgoda = saobrNezgoda;
		saobrNezgoda = newSaobrNezgoda;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__SAOBR_NEZGODA, oldSaobrNezgoda, saobrNezgoda));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isTekseTjelesnePovrede() {
		return tekseTjelesnePovrede;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTekseTjelesnePovrede(boolean newTekseTjelesnePovrede) {
		boolean oldTekseTjelesnePovrede = tekseTjelesnePovrede;
		tekseTjelesnePovrede = newTekseTjelesnePovrede;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__TEKSE_TJELESNE_POVREDE, oldTekseTjelesnePovrede, tekseTjelesnePovrede));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isLakeTjelesnePovrede() {
		return lakeTjelesnePovrede;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLakeTjelesnePovrede(boolean newLakeTjelesnePovrede) {
		boolean oldLakeTjelesnePovrede = lakeTjelesnePovrede;
		lakeTjelesnePovrede = newLakeTjelesnePovrede;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__LAKE_TJELESNE_POVREDE, oldLakeTjelesnePovrede, lakeTjelesnePovrede));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isDjelovanjePodesnogAlata() {
		return djelovanjePodesnogAlata;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDjelovanjePodesnogAlata(boolean newDjelovanjePodesnogAlata) {
		boolean oldDjelovanjePodesnogAlata = djelovanjePodesnogAlata;
		djelovanjePodesnogAlata = newDjelovanjePodesnogAlata;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__DJELOVANJE_PODESNOG_ALATA, oldDjelovanjePodesnogAlata, djelovanjePodesnogAlata));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isDjelovanjeFizickeSile() {
		return djelovanjeFizickeSile;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDjelovanjeFizickeSile(boolean newDjelovanjeFizickeSile) {
		boolean oldDjelovanjeFizickeSile = djelovanjeFizickeSile;
		djelovanjeFizickeSile = newDjelovanjeFizickeSile;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__DJELOVANJE_FIZICKE_SILE, oldDjelovanjeFizickeSile, djelovanjeFizickeSile));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isRazbijanjeStakla() {
		return razbijanjeStakla;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRazbijanjeStakla(boolean newRazbijanjeStakla) {
		boolean oldRazbijanjeStakla = razbijanjeStakla;
		razbijanjeStakla = newRazbijanjeStakla;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__RAZBIJANJE_STAKLA, oldRazbijanjeStakla, razbijanjeStakla));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isLomljenjeUloskaBrave() {
		return lomljenjeUloskaBrave;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLomljenjeUloskaBrave(boolean newLomljenjeUloskaBrave) {
		boolean oldLomljenjeUloskaBrave = lomljenjeUloskaBrave;
		lomljenjeUloskaBrave = newLomljenjeUloskaBrave;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__LOMLJENJE_ULOSKA_BRAVE, oldLomljenjeUloskaBrave, lomljenjeUloskaBrave));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isUpotrebaKljuca() {
		return upotrebaKljuca;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setUpotrebaKljuca(boolean newUpotrebaKljuca) {
		boolean oldUpotrebaKljuca = upotrebaKljuca;
		upotrebaKljuca = newUpotrebaKljuca;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__UPOTREBA_KLJUCA, oldUpotrebaKljuca, upotrebaKljuca));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isOstaloNacinIzvrsenja() {
		return ostaloNacinIzvrsenja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOstaloNacinIzvrsenja(boolean newOstaloNacinIzvrsenja) {
		boolean oldOstaloNacinIzvrsenja = ostaloNacinIzvrsenja;
		ostaloNacinIzvrsenja = newOstaloNacinIzvrsenja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_NACIN_IZVRSENJA, oldOstaloNacinIzvrsenja, ostaloNacinIzvrsenja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isTragKrvi() {
		return tragKrvi;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTragKrvi(boolean newTragKrvi) {
		boolean oldTragKrvi = tragKrvi;
		tragKrvi = newTragKrvi;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_KRVI, oldTragKrvi, tragKrvi));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isTragDlake() {
		return tragDlake;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTragDlake(boolean newTragDlake) {
		boolean oldTragDlake = tragDlake;
		tragDlake = newTragDlake;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_DLAKE, oldTragDlake, tragDlake));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isTragoviGuma() {
		return tragoviGuma;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTragoviGuma(boolean newTragoviGuma) {
		boolean oldTragoviGuma = tragoviGuma;
		tragoviGuma = newTragoviGuma;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAGOVI_GUMA, oldTragoviGuma, tragoviGuma));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isTragIzlucevina() {
		return tragIzlucevina;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTragIzlucevina(boolean newTragIzlucevina) {
		boolean oldTragIzlucevina = tragIzlucevina;
		tragIzlucevina = newTragIzlucevina;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_IZLUCEVINA, oldTragIzlucevina, tragIzlucevina));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isTragGazeceObuce() {
		return tragGazeceObuce;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTragGazeceObuce(boolean newTragGazeceObuce) {
		boolean oldTragGazeceObuce = tragGazeceObuce;
		tragGazeceObuce = newTragGazeceObuce;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_GAZECE_OBUCE, oldTragGazeceObuce, tragGazeceObuce));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isTragPodesnogAlata() {
		return tragPodesnogAlata;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTragPodesnogAlata(boolean newTragPodesnogAlata) {
		boolean oldTragPodesnogAlata = tragPodesnogAlata;
		tragPodesnogAlata = newTragPodesnogAlata;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_PODESNOG_ALATA, oldTragPodesnogAlata, tragPodesnogAlata));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isTragoviZemlje() {
		return tragoviZemlje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTragoviZemlje(boolean newTragoviZemlje) {
		boolean oldTragoviZemlje = tragoviZemlje;
		tragoviZemlje = newTragoviZemlje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAGOVI_ZEMLJE, oldTragoviZemlje, tragoviZemlje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isTragPapilarnihLinija() {
		return tragPapilarnihLinija;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTragPapilarnihLinija(boolean newTragPapilarnihLinija) {
		boolean oldTragPapilarnihLinija = tragPapilarnihLinija;
		tragPapilarnihLinija = newTragPapilarnihLinija;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_PAPILARNIH_LINIJA, oldTragPapilarnihLinija, tragPapilarnihLinija));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isOstaloVrstaTraga() {
		return ostaloVrstaTraga;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOstaloVrstaTraga(boolean newOstaloVrstaTraga) {
		boolean oldOstaloVrstaTraga = ostaloVrstaTraga;
		ostaloVrstaTraga = newOstaloVrstaTraga;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_VRSTA_TRAGA, oldOstaloVrstaTraga, ostaloVrstaTraga));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isBrisevi() {
		return brisevi;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrisevi(boolean newBrisevi) {
		boolean oldBrisevi = brisevi;
		brisevi = newBrisevi;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__BRISEVI, oldBrisevi, brisevi));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isMaluziranje() {
		return maluziranje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMaluziranje(boolean newMaluziranje) {
		boolean oldMaluziranje = maluziranje;
		maluziranje = newMaluziranje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__MALUZIRANJE, oldMaluziranje, maluziranje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isFolija() {
		return folija;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFolija(boolean newFolija) {
		boolean oldFolija = folija;
		folija = newFolija;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__FOLIJA, oldFolija, folija));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isRazmjernaFotografija() {
		return razmjernaFotografija;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRazmjernaFotografija(boolean newRazmjernaFotografija) {
		boolean oldRazmjernaFotografija = razmjernaFotografija;
		razmjernaFotografija = newRazmjernaFotografija;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__RAZMJERNA_FOTOGRAFIJA, oldRazmjernaFotografija, razmjernaFotografija));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isOstaloNacinFiksiranja() {
		return ostaloNacinFiksiranja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOstaloNacinFiksiranja(boolean newOstaloNacinFiksiranja) {
		boolean oldOstaloNacinFiksiranja = ostaloNacinFiksiranja;
		ostaloNacinFiksiranja = newOstaloNacinFiksiranja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_NACIN_FIKSIRANJA, oldOstaloNacinFiksiranja, ostaloNacinFiksiranja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isVjestacenje() {
		return vjestacenje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVjestacenje(boolean newVjestacenje) {
		boolean oldVjestacenje = vjestacenje;
		vjestacenje = newVjestacenje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__VJESTACENJE, oldVjestacenje, vjestacenje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isPohranjeniUdepozit() {
		return pohranjeniUdepozit;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPohranjeniUdepozit(boolean newPohranjeniUdepozit) {
		boolean oldPohranjeniUdepozit = pohranjeniUdepozit;
		pohranjeniUdepozit = newPohranjeniUdepozit;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__POHRANJENI_UDEPOZIT, oldPohranjeniUdepozit, pohranjeniUdepozit));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isOstaloUradjenoSaTragovima() {
		return ostaloUradjenoSaTragovima;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOstaloUradjenoSaTragovima(boolean newOstaloUradjenoSaTragovima) {
		boolean oldOstaloUradjenoSaTragovima = ostaloUradjenoSaTragovima;
		ostaloUradjenoSaTragovima = newOstaloUradjenoSaTragovima;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_URADJENO_SA_TRAGOVIMA, oldOstaloUradjenoSaTragovima, ostaloUradjenoSaTragovima));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isEshumacije() {
		return eshumacije;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setEshumacije(boolean newEshumacije) {
		boolean oldEshumacije = eshumacije;
		eshumacije = newEshumacije;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__ESHUMACIJE, oldEshumacije, eshumacije));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isRekonstrukcije() {
		return rekonstrukcije;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRekonstrukcije(boolean newRekonstrukcije) {
		boolean oldRekonstrukcije = rekonstrukcije;
		rekonstrukcije = newRekonstrukcije;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__REKONSTRUKCIJE, oldRekonstrukcije, rekonstrukcije));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isPozari() {
		return pozari;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPozari(boolean newPozari) {
		boolean oldPozari = pozari;
		pozari = newPozari;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__POZARI, oldPozari, pozari));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isPaljevine() {
		return paljevine;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPaljevine(boolean newPaljevine) {
		boolean oldPaljevine = paljevine;
		paljevine = newPaljevine;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__PALJEVINE, oldPaljevine, paljevine));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isEksplozije() {
		return eksplozije;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setEksplozije(boolean newEksplozije) {
		boolean oldEksplozije = eksplozije;
		eksplozije = newEksplozije;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__EKSPLOZIJE, oldEksplozije, eksplozije));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isNapadNaOSL() {
		return napadNaOSL;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNapadNaOSL(boolean newNapadNaOSL) {
		boolean oldNapadNaOSL = napadNaOSL;
		napadNaOSL = newNapadNaOSL;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__NAPAD_NA_OSL, oldNapadNaOSL, napadNaOSL));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isOstecenjeTudjeStvari() {
		return ostecenjeTudjeStvari;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOstecenjeTudjeStvari(boolean newOstecenjeTudjeStvari) {
		boolean oldOstecenjeTudjeStvari = ostecenjeTudjeStvari;
		ostecenjeTudjeStvari = newOstecenjeTudjeStvari;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTECENJE_TUDJE_STVARI, oldOstecenjeTudjeStvari, ostecenjeTudjeStvari));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isIzazivanjeOpsteOpasnosti() {
		return izazivanjeOpsteOpasnosti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIzazivanjeOpsteOpasnosti(boolean newIzazivanjeOpsteOpasnosti) {
		boolean oldIzazivanjeOpsteOpasnosti = izazivanjeOpsteOpasnosti;
		izazivanjeOpsteOpasnosti = newIzazivanjeOpsteOpasnosti;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__IZAZIVANJE_OPSTE_OPASNOSTI, oldIzazivanjeOpsteOpasnosti, izazivanjeOpsteOpasnosti));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isPokazivanjeLicaMjesta() {
		return pokazivanjeLicaMjesta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPokazivanjeLicaMjesta(boolean newPokazivanjeLicaMjesta) {
		boolean oldPokazivanjeLicaMjesta = pokazivanjeLicaMjesta;
		pokazivanjeLicaMjesta = newPokazivanjeLicaMjesta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__POKAZIVANJE_LICA_MJESTA, oldPokazivanjeLicaMjesta, pokazivanjeLicaMjesta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isForenzickiPregledi() {
		return forenzickiPregledi;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setForenzickiPregledi(boolean newForenzickiPregledi) {
		boolean oldForenzickiPregledi = forenzickiPregledi;
		forenzickiPregledi = newForenzickiPregledi;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__FORENZICKI_PREGLEDI, oldForenzickiPregledi, forenzickiPregledi));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isPrepoznavanja() {
		return prepoznavanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPrepoznavanja(boolean newPrepoznavanja) {
		boolean oldPrepoznavanja = prepoznavanja;
		prepoznavanja = newPrepoznavanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__PREPOZNAVANJA, oldPrepoznavanja, prepoznavanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isUbistvo() {
		return ubistvo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setUbistvo(boolean newUbistvo) {
		boolean oldUbistvo = ubistvo;
		ubistvo = newUbistvo;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__UBISTVO, oldUbistvo, ubistvo));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isNarkoTestiranje() {
		return narkoTestiranje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNarkoTestiranje(boolean newNarkoTestiranje) {
		boolean oldNarkoTestiranje = narkoTestiranje;
		narkoTestiranje = newNarkoTestiranje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__NARKO_TESTIRANJE, oldNarkoTestiranje, narkoTestiranje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isKdzPregledi() {
		return kdzPregledi;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setKdzPregledi(boolean newKdzPregledi) {
		boolean oldKdzPregledi = kdzPregledi;
		kdzPregledi = newKdzPregledi;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__KDZ_PREGLEDI, oldKdzPregledi, kdzPregledi));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isIzuzetiTragovi() {
		return izuzetiTragovi;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIzuzetiTragovi(boolean newIzuzetiTragovi) {
		boolean oldIzuzetiTragovi = izuzetiTragovi;
		izuzetiTragovi = newIzuzetiTragovi;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.UVIDJAJ_FORENZIKA__IZUZETI_TRAGOVI, oldIzuzetiTragovi, izuzetiTragovi));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__ID_UVIDJAJ_FORENZIKA:
				return getIDUvidjajForenzika();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DATUM_SAZNANJA:
				return getDatumSaznanja();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__SAT_SAZNANJA:
				return getSatSaznanja();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DATUM_ISAT_IZLSKA_NA_VRSENJE_UVIDJAJA:
				return getDatumISatIzlskaNaVrsenjeUvidjaja();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DATUM_ISAT_DOVRSETKA_UVIDJAJA:
				return getDatumISatDovrsetkaUvidjaja();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__KRATAK_OPIS:
				return getKratakOpis();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__FOTOGRAFISANO:
				return isFotografisano();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__SKICIRANO:
				return isSkicirano();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__PRONADJENI_TRAGOVI:
				return isPronadjeniTragovi();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__FIKSIRANI_TRAGOVI:
				return isFiksiraniTragovi();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NAPOMENA:
				return getNapomena();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NACIN_IZVRSENJA:
				if (resolve) return getNacinIzvrsenja();
				return basicGetNacinIzvrsenja();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__VRSTA_TRAGOVA:
				return getVrstaTragova();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NACINI_FIKSIRANJA:
				return getNaciniFiksiranja();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__RADNJA_SA_PRONADJENIM_IFIKSIRANIM_TRAGOVIMA:
				if (resolve) return getRadnjaSaPronadjenimIFiksiranimTragovima();
				return basicGetRadnjaSaPronadjenimIFiksiranimTragovima();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OBJEKAT:
				return getObjekat();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TIP_RADNJE:
				if (resolve) return getTipRadnje();
				return basicGetTipRadnje();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__PRETRES:
				return isPretres();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OBDUKCIJA:
				return isObdukcija();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_TIP_RADNJE:
				return isOstaloTipRadnje();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__KRADJA:
				return isKradja();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TESKA_KRADJA:
				return isTeskaKradja();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__RAZBOJNISTVO:
				return isRazbojnistvo();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__SILOVANJE:
				return isSilovanje();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NASILJE_UPORODICI:
				return isNasiljeUPorodici();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__SAOBR_NEZGODA:
				return isSaobrNezgoda();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TEKSE_TJELESNE_POVREDE:
				return isTekseTjelesnePovrede();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__LAKE_TJELESNE_POVREDE:
				return isLakeTjelesnePovrede();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DJELOVANJE_PODESNOG_ALATA:
				return isDjelovanjePodesnogAlata();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DJELOVANJE_FIZICKE_SILE:
				return isDjelovanjeFizickeSile();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__RAZBIJANJE_STAKLA:
				return isRazbijanjeStakla();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__LOMLJENJE_ULOSKA_BRAVE:
				return isLomljenjeUloskaBrave();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__UPOTREBA_KLJUCA:
				return isUpotrebaKljuca();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_NACIN_IZVRSENJA:
				return isOstaloNacinIzvrsenja();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_KRVI:
				return isTragKrvi();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_DLAKE:
				return isTragDlake();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAGOVI_GUMA:
				return isTragoviGuma();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_IZLUCEVINA:
				return isTragIzlucevina();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_GAZECE_OBUCE:
				return isTragGazeceObuce();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_PODESNOG_ALATA:
				return isTragPodesnogAlata();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAGOVI_ZEMLJE:
				return isTragoviZemlje();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_PAPILARNIH_LINIJA:
				return isTragPapilarnihLinija();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_VRSTA_TRAGA:
				return isOstaloVrstaTraga();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__BRISEVI:
				return isBrisevi();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__MALUZIRANJE:
				return isMaluziranje();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__FOLIJA:
				return isFolija();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__RAZMJERNA_FOTOGRAFIJA:
				return isRazmjernaFotografija();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_NACIN_FIKSIRANJA:
				return isOstaloNacinFiksiranja();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__VJESTACENJE:
				return isVjestacenje();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__POHRANJENI_UDEPOZIT:
				return isPohranjeniUdepozit();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_URADJENO_SA_TRAGOVIMA:
				return isOstaloUradjenoSaTragovima();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__ESHUMACIJE:
				return isEshumacije();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__REKONSTRUKCIJE:
				return isRekonstrukcije();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__POZARI:
				return isPozari();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__PALJEVINE:
				return isPaljevine();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__EKSPLOZIJE:
				return isEksplozije();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NAPAD_NA_OSL:
				return isNapadNaOSL();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTECENJE_TUDJE_STVARI:
				return isOstecenjeTudjeStvari();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__IZAZIVANJE_OPSTE_OPASNOSTI:
				return isIzazivanjeOpsteOpasnosti();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__POKAZIVANJE_LICA_MJESTA:
				return isPokazivanjeLicaMjesta();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__FORENZICKI_PREGLEDI:
				return isForenzickiPregledi();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__PREPOZNAVANJA:
				return isPrepoznavanja();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__UBISTVO:
				return isUbistvo();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NARKO_TESTIRANJE:
				return isNarkoTestiranje();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__KDZ_PREGLEDI:
				return isKdzPregledi();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__IZUZETI_TRAGOVI:
				return isIzuzetiTragovi();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__ID_UVIDJAJ_FORENZIKA:
				setIDUvidjajForenzika((Long)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DATUM_SAZNANJA:
				setDatumSaznanja((Date)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__SAT_SAZNANJA:
				setSatSaznanja((Date)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DATUM_ISAT_IZLSKA_NA_VRSENJE_UVIDJAJA:
				setDatumISatIzlskaNaVrsenjeUvidjaja((Date)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DATUM_ISAT_DOVRSETKA_UVIDJAJA:
				setDatumISatDovrsetkaUvidjaja((Date)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__KRATAK_OPIS:
				setKratakOpis((String)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__FOTOGRAFISANO:
				setFotografisano((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__SKICIRANO:
				setSkicirano((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__PRONADJENI_TRAGOVI:
				setPronadjeniTragovi((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__FIKSIRANI_TRAGOVI:
				setFiksiraniTragovi((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NAPOMENA:
				setNapomena((String)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NACIN_IZVRSENJA:
				setNacinIzvrsenja((NacinIzvrsenjaImpl)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__VRSTA_TRAGOVA:
				getVrstaTragova().clear();
				getVrstaTragova().addAll((Collection<? extends VrstaTragaImpl>)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NACINI_FIKSIRANJA:
				getNaciniFiksiranja().clear();
				getNaciniFiksiranja().addAll((Collection<? extends NacinFiksiranjaTragaImpl>)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__RADNJA_SA_PRONADJENIM_IFIKSIRANIM_TRAGOVIMA:
				setRadnjaSaPronadjenimIFiksiranimTragovima((RadnjaSaPronadjenimIFiksiranimTragovimaImpl)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OBJEKAT:
				getObjekat().clear();
				getObjekat().addAll((Collection<? extends ObjektImpl>)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TIP_RADNJE:
				setTipRadnje((TipRadnjeImpl)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__PRETRES:
				setPretres((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OBDUKCIJA:
				setObdukcija((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_TIP_RADNJE:
				setOstaloTipRadnje((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__KRADJA:
				setKradja((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TESKA_KRADJA:
				setTeskaKradja((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__RAZBOJNISTVO:
				setRazbojnistvo((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__SILOVANJE:
				setSilovanje((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NASILJE_UPORODICI:
				setNasiljeUPorodici((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__SAOBR_NEZGODA:
				setSaobrNezgoda((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TEKSE_TJELESNE_POVREDE:
				setTekseTjelesnePovrede((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__LAKE_TJELESNE_POVREDE:
				setLakeTjelesnePovrede((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DJELOVANJE_PODESNOG_ALATA:
				setDjelovanjePodesnogAlata((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DJELOVANJE_FIZICKE_SILE:
				setDjelovanjeFizickeSile((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__RAZBIJANJE_STAKLA:
				setRazbijanjeStakla((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__LOMLJENJE_ULOSKA_BRAVE:
				setLomljenjeUloskaBrave((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__UPOTREBA_KLJUCA:
				setUpotrebaKljuca((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_NACIN_IZVRSENJA:
				setOstaloNacinIzvrsenja((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_KRVI:
				setTragKrvi((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_DLAKE:
				setTragDlake((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAGOVI_GUMA:
				setTragoviGuma((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_IZLUCEVINA:
				setTragIzlucevina((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_GAZECE_OBUCE:
				setTragGazeceObuce((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_PODESNOG_ALATA:
				setTragPodesnogAlata((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAGOVI_ZEMLJE:
				setTragoviZemlje((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_PAPILARNIH_LINIJA:
				setTragPapilarnihLinija((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_VRSTA_TRAGA:
				setOstaloVrstaTraga((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__BRISEVI:
				setBrisevi((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__MALUZIRANJE:
				setMaluziranje((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__FOLIJA:
				setFolija((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__RAZMJERNA_FOTOGRAFIJA:
				setRazmjernaFotografija((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_NACIN_FIKSIRANJA:
				setOstaloNacinFiksiranja((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__VJESTACENJE:
				setVjestacenje((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__POHRANJENI_UDEPOZIT:
				setPohranjeniUdepozit((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_URADJENO_SA_TRAGOVIMA:
				setOstaloUradjenoSaTragovima((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__ESHUMACIJE:
				setEshumacije((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__REKONSTRUKCIJE:
				setRekonstrukcije((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__POZARI:
				setPozari((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__PALJEVINE:
				setPaljevine((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__EKSPLOZIJE:
				setEksplozije((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NAPAD_NA_OSL:
				setNapadNaOSL((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTECENJE_TUDJE_STVARI:
				setOstecenjeTudjeStvari((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__IZAZIVANJE_OPSTE_OPASNOSTI:
				setIzazivanjeOpsteOpasnosti((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__POKAZIVANJE_LICA_MJESTA:
				setPokazivanjeLicaMjesta((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__FORENZICKI_PREGLEDI:
				setForenzickiPregledi((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__PREPOZNAVANJA:
				setPrepoznavanja((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__UBISTVO:
				setUbistvo((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NARKO_TESTIRANJE:
				setNarkoTestiranje((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__KDZ_PREGLEDI:
				setKdzPregledi((Boolean)newValue);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__IZUZETI_TRAGOVI:
				setIzuzetiTragovi((Boolean)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__ID_UVIDJAJ_FORENZIKA:
				setIDUvidjajForenzika(ID_UVIDJAJ_FORENZIKA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DATUM_SAZNANJA:
				setDatumSaznanja(DATUM_SAZNANJA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__SAT_SAZNANJA:
				setSatSaznanja(SAT_SAZNANJA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DATUM_ISAT_IZLSKA_NA_VRSENJE_UVIDJAJA:
				setDatumISatIzlskaNaVrsenjeUvidjaja(DATUM_ISAT_IZLSKA_NA_VRSENJE_UVIDJAJA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DATUM_ISAT_DOVRSETKA_UVIDJAJA:
				setDatumISatDovrsetkaUvidjaja(DATUM_ISAT_DOVRSETKA_UVIDJAJA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__KRATAK_OPIS:
				setKratakOpis(KRATAK_OPIS_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__FOTOGRAFISANO:
				setFotografisano(FOTOGRAFISANO_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__SKICIRANO:
				setSkicirano(SKICIRANO_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__PRONADJENI_TRAGOVI:
				setPronadjeniTragovi(PRONADJENI_TRAGOVI_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__FIKSIRANI_TRAGOVI:
				setFiksiraniTragovi(FIKSIRANI_TRAGOVI_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NAPOMENA:
				setNapomena(NAPOMENA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NACIN_IZVRSENJA:
				setNacinIzvrsenja((NacinIzvrsenjaImpl)null);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__VRSTA_TRAGOVA:
				getVrstaTragova().clear();
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NACINI_FIKSIRANJA:
				getNaciniFiksiranja().clear();
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__RADNJA_SA_PRONADJENIM_IFIKSIRANIM_TRAGOVIMA:
				setRadnjaSaPronadjenimIFiksiranimTragovima((RadnjaSaPronadjenimIFiksiranimTragovimaImpl)null);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OBJEKAT:
				getObjekat().clear();
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TIP_RADNJE:
				setTipRadnje((TipRadnjeImpl)null);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__PRETRES:
				setPretres(PRETRES_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OBDUKCIJA:
				setObdukcija(OBDUKCIJA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_TIP_RADNJE:
				setOstaloTipRadnje(OSTALO_TIP_RADNJE_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__KRADJA:
				setKradja(KRADJA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TESKA_KRADJA:
				setTeskaKradja(TESKA_KRADJA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__RAZBOJNISTVO:
				setRazbojnistvo(RAZBOJNISTVO_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__SILOVANJE:
				setSilovanje(SILOVANJE_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NASILJE_UPORODICI:
				setNasiljeUPorodici(NASILJE_UPORODICI_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__SAOBR_NEZGODA:
				setSaobrNezgoda(SAOBR_NEZGODA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TEKSE_TJELESNE_POVREDE:
				setTekseTjelesnePovrede(TEKSE_TJELESNE_POVREDE_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__LAKE_TJELESNE_POVREDE:
				setLakeTjelesnePovrede(LAKE_TJELESNE_POVREDE_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DJELOVANJE_PODESNOG_ALATA:
				setDjelovanjePodesnogAlata(DJELOVANJE_PODESNOG_ALATA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DJELOVANJE_FIZICKE_SILE:
				setDjelovanjeFizickeSile(DJELOVANJE_FIZICKE_SILE_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__RAZBIJANJE_STAKLA:
				setRazbijanjeStakla(RAZBIJANJE_STAKLA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__LOMLJENJE_ULOSKA_BRAVE:
				setLomljenjeUloskaBrave(LOMLJENJE_ULOSKA_BRAVE_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__UPOTREBA_KLJUCA:
				setUpotrebaKljuca(UPOTREBA_KLJUCA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_NACIN_IZVRSENJA:
				setOstaloNacinIzvrsenja(OSTALO_NACIN_IZVRSENJA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_KRVI:
				setTragKrvi(TRAG_KRVI_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_DLAKE:
				setTragDlake(TRAG_DLAKE_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAGOVI_GUMA:
				setTragoviGuma(TRAGOVI_GUMA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_IZLUCEVINA:
				setTragIzlucevina(TRAG_IZLUCEVINA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_GAZECE_OBUCE:
				setTragGazeceObuce(TRAG_GAZECE_OBUCE_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_PODESNOG_ALATA:
				setTragPodesnogAlata(TRAG_PODESNOG_ALATA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAGOVI_ZEMLJE:
				setTragoviZemlje(TRAGOVI_ZEMLJE_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_PAPILARNIH_LINIJA:
				setTragPapilarnihLinija(TRAG_PAPILARNIH_LINIJA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_VRSTA_TRAGA:
				setOstaloVrstaTraga(OSTALO_VRSTA_TRAGA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__BRISEVI:
				setBrisevi(BRISEVI_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__MALUZIRANJE:
				setMaluziranje(MALUZIRANJE_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__FOLIJA:
				setFolija(FOLIJA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__RAZMJERNA_FOTOGRAFIJA:
				setRazmjernaFotografija(RAZMJERNA_FOTOGRAFIJA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_NACIN_FIKSIRANJA:
				setOstaloNacinFiksiranja(OSTALO_NACIN_FIKSIRANJA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__VJESTACENJE:
				setVjestacenje(VJESTACENJE_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__POHRANJENI_UDEPOZIT:
				setPohranjeniUdepozit(POHRANJENI_UDEPOZIT_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_URADJENO_SA_TRAGOVIMA:
				setOstaloUradjenoSaTragovima(OSTALO_URADJENO_SA_TRAGOVIMA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__ESHUMACIJE:
				setEshumacije(ESHUMACIJE_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__REKONSTRUKCIJE:
				setRekonstrukcije(REKONSTRUKCIJE_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__POZARI:
				setPozari(POZARI_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__PALJEVINE:
				setPaljevine(PALJEVINE_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__EKSPLOZIJE:
				setEksplozije(EKSPLOZIJE_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NAPAD_NA_OSL:
				setNapadNaOSL(NAPAD_NA_OSL_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTECENJE_TUDJE_STVARI:
				setOstecenjeTudjeStvari(OSTECENJE_TUDJE_STVARI_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__IZAZIVANJE_OPSTE_OPASNOSTI:
				setIzazivanjeOpsteOpasnosti(IZAZIVANJE_OPSTE_OPASNOSTI_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__POKAZIVANJE_LICA_MJESTA:
				setPokazivanjeLicaMjesta(POKAZIVANJE_LICA_MJESTA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__FORENZICKI_PREGLEDI:
				setForenzickiPregledi(FORENZICKI_PREGLEDI_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__PREPOZNAVANJA:
				setPrepoznavanja(PREPOZNAVANJA_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__UBISTVO:
				setUbistvo(UBISTVO_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NARKO_TESTIRANJE:
				setNarkoTestiranje(NARKO_TESTIRANJE_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__KDZ_PREGLEDI:
				setKdzPregledi(KDZ_PREGLEDI_EDEFAULT);
				return;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__IZUZETI_TRAGOVI:
				setIzuzetiTragovi(IZUZETI_TRAGOVI_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__ID_UVIDJAJ_FORENZIKA:
				return iDUvidjajForenzika != ID_UVIDJAJ_FORENZIKA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DATUM_SAZNANJA:
				return DATUM_SAZNANJA_EDEFAULT == null ? datumSaznanja != null : !DATUM_SAZNANJA_EDEFAULT.equals(datumSaznanja);
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__SAT_SAZNANJA:
				return SAT_SAZNANJA_EDEFAULT == null ? satSaznanja != null : !SAT_SAZNANJA_EDEFAULT.equals(satSaznanja);
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DATUM_ISAT_IZLSKA_NA_VRSENJE_UVIDJAJA:
				return DATUM_ISAT_IZLSKA_NA_VRSENJE_UVIDJAJA_EDEFAULT == null ? datumISatIzlskaNaVrsenjeUvidjaja != null : !DATUM_ISAT_IZLSKA_NA_VRSENJE_UVIDJAJA_EDEFAULT.equals(datumISatIzlskaNaVrsenjeUvidjaja);
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DATUM_ISAT_DOVRSETKA_UVIDJAJA:
				return DATUM_ISAT_DOVRSETKA_UVIDJAJA_EDEFAULT == null ? datumISatDovrsetkaUvidjaja != null : !DATUM_ISAT_DOVRSETKA_UVIDJAJA_EDEFAULT.equals(datumISatDovrsetkaUvidjaja);
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__KRATAK_OPIS:
				return KRATAK_OPIS_EDEFAULT == null ? kratakOpis != null : !KRATAK_OPIS_EDEFAULT.equals(kratakOpis);
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__FOTOGRAFISANO:
				return fotografisano != FOTOGRAFISANO_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__SKICIRANO:
				return skicirano != SKICIRANO_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__PRONADJENI_TRAGOVI:
				return pronadjeniTragovi != PRONADJENI_TRAGOVI_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__FIKSIRANI_TRAGOVI:
				return fiksiraniTragovi != FIKSIRANI_TRAGOVI_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NAPOMENA:
				return NAPOMENA_EDEFAULT == null ? napomena != null : !NAPOMENA_EDEFAULT.equals(napomena);
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NACIN_IZVRSENJA:
				return nacinIzvrsenja != null;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__VRSTA_TRAGOVA:
				return vrstaTragova != null && !vrstaTragova.isEmpty();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NACINI_FIKSIRANJA:
				return naciniFiksiranja != null && !naciniFiksiranja.isEmpty();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__RADNJA_SA_PRONADJENIM_IFIKSIRANIM_TRAGOVIMA:
				return radnjaSaPronadjenimIFiksiranimTragovima != null;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OBJEKAT:
				return objekat != null && !objekat.isEmpty();
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TIP_RADNJE:
				return tipRadnje != null;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__PRETRES:
				return pretres != PRETRES_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OBDUKCIJA:
				return obdukcija != OBDUKCIJA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_TIP_RADNJE:
				return ostaloTipRadnje != OSTALO_TIP_RADNJE_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__KRADJA:
				return kradja != KRADJA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TESKA_KRADJA:
				return teskaKradja != TESKA_KRADJA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__RAZBOJNISTVO:
				return razbojnistvo != RAZBOJNISTVO_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__SILOVANJE:
				return silovanje != SILOVANJE_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NASILJE_UPORODICI:
				return nasiljeUPorodici != NASILJE_UPORODICI_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__SAOBR_NEZGODA:
				return saobrNezgoda != SAOBR_NEZGODA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TEKSE_TJELESNE_POVREDE:
				return tekseTjelesnePovrede != TEKSE_TJELESNE_POVREDE_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__LAKE_TJELESNE_POVREDE:
				return lakeTjelesnePovrede != LAKE_TJELESNE_POVREDE_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DJELOVANJE_PODESNOG_ALATA:
				return djelovanjePodesnogAlata != DJELOVANJE_PODESNOG_ALATA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__DJELOVANJE_FIZICKE_SILE:
				return djelovanjeFizickeSile != DJELOVANJE_FIZICKE_SILE_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__RAZBIJANJE_STAKLA:
				return razbijanjeStakla != RAZBIJANJE_STAKLA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__LOMLJENJE_ULOSKA_BRAVE:
				return lomljenjeUloskaBrave != LOMLJENJE_ULOSKA_BRAVE_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__UPOTREBA_KLJUCA:
				return upotrebaKljuca != UPOTREBA_KLJUCA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_NACIN_IZVRSENJA:
				return ostaloNacinIzvrsenja != OSTALO_NACIN_IZVRSENJA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_KRVI:
				return tragKrvi != TRAG_KRVI_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_DLAKE:
				return tragDlake != TRAG_DLAKE_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAGOVI_GUMA:
				return tragoviGuma != TRAGOVI_GUMA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_IZLUCEVINA:
				return tragIzlucevina != TRAG_IZLUCEVINA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_GAZECE_OBUCE:
				return tragGazeceObuce != TRAG_GAZECE_OBUCE_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_PODESNOG_ALATA:
				return tragPodesnogAlata != TRAG_PODESNOG_ALATA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAGOVI_ZEMLJE:
				return tragoviZemlje != TRAGOVI_ZEMLJE_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__TRAG_PAPILARNIH_LINIJA:
				return tragPapilarnihLinija != TRAG_PAPILARNIH_LINIJA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_VRSTA_TRAGA:
				return ostaloVrstaTraga != OSTALO_VRSTA_TRAGA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__BRISEVI:
				return brisevi != BRISEVI_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__MALUZIRANJE:
				return maluziranje != MALUZIRANJE_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__FOLIJA:
				return folija != FOLIJA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__RAZMJERNA_FOTOGRAFIJA:
				return razmjernaFotografija != RAZMJERNA_FOTOGRAFIJA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_NACIN_FIKSIRANJA:
				return ostaloNacinFiksiranja != OSTALO_NACIN_FIKSIRANJA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__VJESTACENJE:
				return vjestacenje != VJESTACENJE_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__POHRANJENI_UDEPOZIT:
				return pohranjeniUdepozit != POHRANJENI_UDEPOZIT_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTALO_URADJENO_SA_TRAGOVIMA:
				return ostaloUradjenoSaTragovima != OSTALO_URADJENO_SA_TRAGOVIMA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__ESHUMACIJE:
				return eshumacije != ESHUMACIJE_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__REKONSTRUKCIJE:
				return rekonstrukcije != REKONSTRUKCIJE_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__POZARI:
				return pozari != POZARI_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__PALJEVINE:
				return paljevine != PALJEVINE_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__EKSPLOZIJE:
				return eksplozije != EKSPLOZIJE_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NAPAD_NA_OSL:
				return napadNaOSL != NAPAD_NA_OSL_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__OSTECENJE_TUDJE_STVARI:
				return ostecenjeTudjeStvari != OSTECENJE_TUDJE_STVARI_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__IZAZIVANJE_OPSTE_OPASNOSTI:
				return izazivanjeOpsteOpasnosti != IZAZIVANJE_OPSTE_OPASNOSTI_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__POKAZIVANJE_LICA_MJESTA:
				return pokazivanjeLicaMjesta != POKAZIVANJE_LICA_MJESTA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__FORENZICKI_PREGLEDI:
				return forenzickiPregledi != FORENZICKI_PREGLEDI_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__PREPOZNAVANJA:
				return prepoznavanja != PREPOZNAVANJA_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__UBISTVO:
				return ubistvo != UBISTVO_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__NARKO_TESTIRANJE:
				return narkoTestiranje != NARKO_TESTIRANJE_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__KDZ_PREGLEDI:
				return kdzPregledi != KDZ_PREGLEDI_EDEFAULT;
			case PbdmodelPackage.UVIDJAJ_FORENZIKA__IZUZETI_TRAGOVI:
				return izuzetiTragovi != IZUZETI_TRAGOVI_EDEFAULT;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDUvidjajForenzika: ");
		result.append(iDUvidjajForenzika);
		result.append(", datumSaznanja: ");
		result.append(datumSaznanja);
		result.append(", satSaznanja: ");
		result.append(satSaznanja);
		result.append(", datumISatIzlskaNaVrsenjeUvidjaja: ");
		result.append(datumISatIzlskaNaVrsenjeUvidjaja);
		result.append(", datumISatDovrsetkaUvidjaja: ");
		result.append(datumISatDovrsetkaUvidjaja);
		result.append(", kratakOpis: ");
		result.append(kratakOpis);
		result.append(", fotografisano: ");
		result.append(fotografisano);
		result.append(", skicirano: ");
		result.append(skicirano);
		result.append(", pronadjeniTragovi: ");
		result.append(pronadjeniTragovi);
		result.append(", fiksiraniTragovi: ");
		result.append(fiksiraniTragovi);
		result.append(", napomena: ");
		result.append(napomena);
		result.append(", pretres: ");
		result.append(pretres);
		result.append(", obdukcija: ");
		result.append(obdukcija);
		result.append(", ostaloTipRadnje: ");
		result.append(ostaloTipRadnje);
		result.append(", kradja: ");
		result.append(kradja);
		result.append(", teskaKradja: ");
		result.append(teskaKradja);
		result.append(", razbojnistvo: ");
		result.append(razbojnistvo);
		result.append(", silovanje: ");
		result.append(silovanje);
		result.append(", nasiljeUPorodici: ");
		result.append(nasiljeUPorodici);
		result.append(", saobrNezgoda: ");
		result.append(saobrNezgoda);
		result.append(", tekseTjelesnePovrede: ");
		result.append(tekseTjelesnePovrede);
		result.append(", lakeTjelesnePovrede: ");
		result.append(lakeTjelesnePovrede);
		result.append(", djelovanjePodesnogAlata: ");
		result.append(djelovanjePodesnogAlata);
		result.append(", djelovanjeFizickeSile: ");
		result.append(djelovanjeFizickeSile);
		result.append(", razbijanjeStakla: ");
		result.append(razbijanjeStakla);
		result.append(", lomljenjeUloskaBrave: ");
		result.append(lomljenjeUloskaBrave);
		result.append(", upotrebaKljuca: ");
		result.append(upotrebaKljuca);
		result.append(", ostaloNacinIzvrsenja: ");
		result.append(ostaloNacinIzvrsenja);
		result.append(", tragKrvi: ");
		result.append(tragKrvi);
		result.append(", tragDlake: ");
		result.append(tragDlake);
		result.append(", tragoviGuma: ");
		result.append(tragoviGuma);
		result.append(", tragIzlucevina: ");
		result.append(tragIzlucevina);
		result.append(", tragGazeceObuce: ");
		result.append(tragGazeceObuce);
		result.append(", tragPodesnogAlata: ");
		result.append(tragPodesnogAlata);
		result.append(", tragoviZemlje: ");
		result.append(tragoviZemlje);
		result.append(", tragPapilarnihLinija: ");
		result.append(tragPapilarnihLinija);
		result.append(", ostaloVrstaTraga: ");
		result.append(ostaloVrstaTraga);
		result.append(", brisevi: ");
		result.append(brisevi);
		result.append(", maluziranje: ");
		result.append(maluziranje);
		result.append(", folija: ");
		result.append(folija);
		result.append(", razmjernaFotografija: ");
		result.append(razmjernaFotografija);
		result.append(", ostaloNacinFiksiranja: ");
		result.append(ostaloNacinFiksiranja);
		result.append(", vjestacenje: ");
		result.append(vjestacenje);
		result.append(", pohranjeniUdepozit: ");
		result.append(pohranjeniUdepozit);
		result.append(", ostaloUradjenoSaTragovima: ");
		result.append(ostaloUradjenoSaTragovima);
		result.append(", eshumacije: ");
		result.append(eshumacije);
		result.append(", rekonstrukcije: ");
		result.append(rekonstrukcije);
		result.append(", pozari: ");
		result.append(pozari);
		result.append(", paljevine: ");
		result.append(paljevine);
		result.append(", eksplozije: ");
		result.append(eksplozije);
		result.append(", napadNaOSL: ");
		result.append(napadNaOSL);
		result.append(", ostecenjeTudjeStvari: ");
		result.append(ostecenjeTudjeStvari);
		result.append(", izazivanjeOpsteOpasnosti: ");
		result.append(izazivanjeOpsteOpasnosti);
		result.append(", pokazivanjeLicaMjesta: ");
		result.append(pokazivanjeLicaMjesta);
		result.append(", forenzickiPregledi: ");
		result.append(forenzickiPregledi);
		result.append(", prepoznavanja: ");
		result.append(prepoznavanja);
		result.append(", ubistvo: ");
		result.append(ubistvo);
		result.append(", narkoTestiranje: ");
		result.append(narkoTestiranje);
		result.append(", kdzPregledi: ");
		result.append(kdzPregledi);
		result.append(", izuzetiTragovi: ");
		result.append(izuzetiTragovi);
		result.append(')');
		return result.toString();
	}

} //UvidjajForenzikaImpl
