/**
 */
package pbdmodel.impl;

import java.util.Date;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.PbdmodelPackage;
import pbdmodel.ZadrzavanjeOsoba;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Zadrzavanje Osoba</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.ZadrzavanjeOsobaImpl#getIDZadrzavanjeOsoba <em>ID Zadrzavanje Osoba</em>}</li>
 *   <li>{@link pbdmodel.impl.ZadrzavanjeOsobaImpl#getPrijava <em>PrijavaImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.ZadrzavanjeOsobaImpl#getVrijemeZadrzavanjaLica <em>Vrijeme Zadrzavanja Lica</em>}</li>
 *   <li>{@link pbdmodel.impl.ZadrzavanjeOsobaImpl#getDatumZadrzavanjaLica <em>Datum Zadrzavanja Lica</em>}</li>
 *   <li>{@link pbdmodel.impl.ZadrzavanjeOsobaImpl#getDatumZavrsetkaZadrzavanja <em>Datum Zavrsetka Zadrzavanja</em>}</li>
 *   <li>{@link pbdmodel.impl.ZadrzavanjeOsobaImpl#getVrijemeZavrsetkaZadrzavanja <em>Vrijeme Zavrsetka Zadrzavanja</em>}</li>
 *   <li>{@link pbdmodel.impl.ZadrzavanjeOsobaImpl#getNapomona <em>Napomona</em>}</li>
 *   <li>{@link pbdmodel.impl.ZadrzavanjeOsobaImpl#getPravnoLice <em>Pravno Lice</em>}</li>
 *   <li>{@link pbdmodel.impl.ZadrzavanjeOsobaImpl#getRazlogZadrzavanja <em>Razlog Zadrzavanja</em>}</li>
 *   <li>{@link pbdmodel.impl.ZadrzavanjeOsobaImpl#getPravnoLiceOslobo <em>Pravno Lice Oslobo</em>}</li>
 *   <li>{@link pbdmodel.impl.ZadrzavanjeOsobaImpl#getBrojAktaZadrzavanja <em>Broj Akta Zadrzavanja</em>}</li>
 *   <li>{@link pbdmodel.impl.ZadrzavanjeOsobaImpl#getBrojAktaPrekidaZadrzavanja <em>Broj Akta Prekida Zadrzavanja</em>}</li>
 *   <li>{@link pbdmodel.impl.ZadrzavanjeOsobaImpl#getOrganOdredioZadrzavanje <em>Organ Odredio Zadrzavanje</em>}</li>
 *   <li>{@link pbdmodel.impl.ZadrzavanjeOsobaImpl#getOrganOdredioPrekidZadrzavanja <em>Organ Odredio Prekid Zadrzavanja</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class ZadrzavanjeOsobaImpl extends AktivnostImpl implements ZadrzavanjeOsoba {
	/**
	 * The default value of the '{@link #getIDZadrzavanjeOsoba() <em>ID Zadrzavanje Osoba</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDZadrzavanjeOsoba()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_ZADRZAVANJE_OSOBA_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDZadrzavanjeOsoba() <em>ID Zadrzavanje Osoba</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDZadrzavanjeOsoba()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long iDZadrzavanjeOsoba = ID_ZADRZAVANJE_OSOBA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getPrijava() <em>PrijavaImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPrijava()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PRIJAVA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected PrijavaImpl prijava;

	/**
	 * The default value of the '{@link #getVrijemeZadrzavanjaLica() <em>Vrijeme Zadrzavanja Lica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeZadrzavanjaLica()
	 * @generated
	 * @ordered
	 */
	protected static final Date VRIJEME_ZADRZAVANJA_LICA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVrijemeZadrzavanjaLica() <em>Vrijeme Zadrzavanja Lica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeZadrzavanjaLica()
	 * @generated
	 * @ordered
	 */
	protected Date vrijemeZadrzavanjaLica = VRIJEME_ZADRZAVANJA_LICA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumZadrzavanjaLica() <em>Datum Zadrzavanja Lica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumZadrzavanjaLica()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_ZADRZAVANJA_LICA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumZadrzavanjaLica() <em>Datum Zadrzavanja Lica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumZadrzavanjaLica()
	 * @generated
	 * @ordered
	 */
	protected Date datumZadrzavanjaLica = DATUM_ZADRZAVANJA_LICA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumZavrsetkaZadrzavanja() <em>Datum Zavrsetka Zadrzavanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumZavrsetkaZadrzavanja()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_ZAVRSETKA_ZADRZAVANJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumZavrsetkaZadrzavanja() <em>Datum Zavrsetka Zadrzavanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumZavrsetkaZadrzavanja()
	 * @generated
	 * @ordered
	 */
	protected Date datumZavrsetkaZadrzavanja = DATUM_ZAVRSETKA_ZADRZAVANJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getVrijemeZavrsetkaZadrzavanja() <em>Vrijeme Zavrsetka Zadrzavanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeZavrsetkaZadrzavanja()
	 * @generated
	 * @ordered
	 */
	protected static final Date VRIJEME_ZAVRSETKA_ZADRZAVANJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVrijemeZavrsetkaZadrzavanja() <em>Vrijeme Zavrsetka Zadrzavanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeZavrsetkaZadrzavanja()
	 * @generated
	 * @ordered
	 */
	protected Date vrijemeZavrsetkaZadrzavanja = VRIJEME_ZAVRSETKA_ZADRZAVANJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getNapomona() <em>Napomona</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNapomona()
	 * @generated
	 * @ordered
	 */
	protected static final String NAPOMONA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getNapomona() <em>Napomona</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNapomona()
	 * @generated
	 * @ordered
	 */
	protected String napomona = NAPOMONA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getPravnoLice() <em>Pravno Lice</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPravnoLice()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PRAVNO_LICE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected PravnoLiceImpl pravnoLice;

	/**
	 * The cached value of the '{@link #getRazlogZadrzavanja() <em>Razlog Zadrzavanja</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRazlogZadrzavanja()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="RAZLOG_ZADRZAVANJA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected RazlogZadrzavanjaImpl razlogZadrzavanja;

	/**
	 * The cached value of the '{@link #getPravnoLiceOslobo() <em>Pravno Lice Oslobo</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPravnoLiceOslobo()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PRAVNO_LICE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected PravnoLiceImpl pravnoLiceOslobo;

	/**
	 * The default value of the '{@link #getBrojAktaZadrzavanja() <em>Broj Akta Zadrzavanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojAktaZadrzavanja()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_AKTA_ZADRZAVANJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojAktaZadrzavanja() <em>Broj Akta Zadrzavanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojAktaZadrzavanja()
	 * @generated
	 * @ordered
	 */
	protected String brojAktaZadrzavanja = BROJ_AKTA_ZADRZAVANJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getBrojAktaPrekidaZadrzavanja() <em>Broj Akta Prekida Zadrzavanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojAktaPrekidaZadrzavanja()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_AKTA_PREKIDA_ZADRZAVANJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojAktaPrekidaZadrzavanja() <em>Broj Akta Prekida Zadrzavanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojAktaPrekidaZadrzavanja()
	 * @generated
	 * @ordered
	 */
	protected String brojAktaPrekidaZadrzavanja = BROJ_AKTA_PREKIDA_ZADRZAVANJA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getOrganOdredioZadrzavanje() <em>Organ Odredio Zadrzavanje</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrganOdredioZadrzavanje()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_ORGANA_VLASTI_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected VrstaOrganaVlastiImpl organOdredioZadrzavanje;

	/**
	 * The cached value of the '{@link #getOrganOdredioPrekidZadrzavanja() <em>Organ Odredio Prekid Zadrzavanja</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrganOdredioPrekidZadrzavanja()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_ORGANA_VLASTI_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected VrstaOrganaVlastiImpl organOdredioPrekidZadrzavanja;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ZadrzavanjeOsobaImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getZadrzavanjeOsoba();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDZadrzavanjeOsoba() {
		return iDZadrzavanjeOsoba;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDZadrzavanjeOsoba(long newIDZadrzavanjeOsoba) {
		long oldIDZadrzavanjeOsoba = iDZadrzavanjeOsoba;
		iDZadrzavanjeOsoba = newIDZadrzavanjeOsoba;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZADRZAVANJE_OSOBA__ID_ZADRZAVANJE_OSOBA, oldIDZadrzavanjeOsoba, iDZadrzavanjeOsoba));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PrijavaImpl getPrijava() {
		if (prijava != null && prijava.eIsProxy()) {
			InternalEObject oldPrijava = (InternalEObject)prijava;
			prijava = (PrijavaImpl)eResolveProxy(oldPrijava);
			if (prijava != oldPrijava) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ZADRZAVANJE_OSOBA__PRIJAVA, oldPrijava, prijava));
			}
		}
		return prijava;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PrijavaImpl basicGetPrijava() {
		return prijava;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPrijava(PrijavaImpl newPrijava) {
		PrijavaImpl oldPrijava = prijava;
		prijava = newPrijava;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZADRZAVANJE_OSOBA__PRIJAVA, oldPrijava, prijava));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getVrijemeZadrzavanjaLica() {
		return vrijemeZadrzavanjaLica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrijemeZadrzavanjaLica(Date newVrijemeZadrzavanjaLica) {
		Date oldVrijemeZadrzavanjaLica = vrijemeZadrzavanjaLica;
		vrijemeZadrzavanjaLica = newVrijemeZadrzavanjaLica;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZADRZAVANJE_OSOBA__VRIJEME_ZADRZAVANJA_LICA, oldVrijemeZadrzavanjaLica, vrijemeZadrzavanjaLica));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumZadrzavanjaLica() {
		return datumZadrzavanjaLica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumZadrzavanjaLica(Date newDatumZadrzavanjaLica) {
		Date oldDatumZadrzavanjaLica = datumZadrzavanjaLica;
		datumZadrzavanjaLica = newDatumZadrzavanjaLica;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZADRZAVANJE_OSOBA__DATUM_ZADRZAVANJA_LICA, oldDatumZadrzavanjaLica, datumZadrzavanjaLica));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumZavrsetkaZadrzavanja() {
		return datumZavrsetkaZadrzavanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumZavrsetkaZadrzavanja(Date newDatumZavrsetkaZadrzavanja) {
		Date oldDatumZavrsetkaZadrzavanja = datumZavrsetkaZadrzavanja;
		datumZavrsetkaZadrzavanja = newDatumZavrsetkaZadrzavanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZADRZAVANJE_OSOBA__DATUM_ZAVRSETKA_ZADRZAVANJA, oldDatumZavrsetkaZadrzavanja, datumZavrsetkaZadrzavanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getVrijemeZavrsetkaZadrzavanja() {
		return vrijemeZavrsetkaZadrzavanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrijemeZavrsetkaZadrzavanja(Date newVrijemeZavrsetkaZadrzavanja) {
		Date oldVrijemeZavrsetkaZadrzavanja = vrijemeZavrsetkaZadrzavanja;
		vrijemeZavrsetkaZadrzavanja = newVrijemeZavrsetkaZadrzavanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZADRZAVANJE_OSOBA__VRIJEME_ZAVRSETKA_ZADRZAVANJA, oldVrijemeZavrsetkaZadrzavanja, vrijemeZavrsetkaZadrzavanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getNapomona() {
		return napomona;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNapomona(String newNapomona) {
		String oldNapomona = napomona;
		napomona = newNapomona;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZADRZAVANJE_OSOBA__NAPOMONA, oldNapomona, napomona));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PravnoLiceImpl getPravnoLice() {
		if (pravnoLice != null && pravnoLice.eIsProxy()) {
			InternalEObject oldPravnoLice = (InternalEObject)pravnoLice;
			pravnoLice = (PravnoLiceImpl)eResolveProxy(oldPravnoLice);
			if (pravnoLice != oldPravnoLice) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ZADRZAVANJE_OSOBA__PRAVNO_LICE, oldPravnoLice, pravnoLice));
			}
		}
		return pravnoLice;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PravnoLiceImpl basicGetPravnoLice() {
		return pravnoLice;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPravnoLice(PravnoLiceImpl newPravnoLice) {
		PravnoLiceImpl oldPravnoLice = pravnoLice;
		pravnoLice = newPravnoLice;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZADRZAVANJE_OSOBA__PRAVNO_LICE, oldPravnoLice, pravnoLice));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RazlogZadrzavanjaImpl getRazlogZadrzavanja() {
		if (razlogZadrzavanja != null && razlogZadrzavanja.eIsProxy()) {
			InternalEObject oldRazlogZadrzavanja = (InternalEObject)razlogZadrzavanja;
			razlogZadrzavanja = (RazlogZadrzavanjaImpl)eResolveProxy(oldRazlogZadrzavanja);
			if (razlogZadrzavanja != oldRazlogZadrzavanja) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ZADRZAVANJE_OSOBA__RAZLOG_ZADRZAVANJA, oldRazlogZadrzavanja, razlogZadrzavanja));
			}
		}
		return razlogZadrzavanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RazlogZadrzavanjaImpl basicGetRazlogZadrzavanja() {
		return razlogZadrzavanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRazlogZadrzavanja(RazlogZadrzavanjaImpl newRazlogZadrzavanja) {
		RazlogZadrzavanjaImpl oldRazlogZadrzavanja = razlogZadrzavanja;
		razlogZadrzavanja = newRazlogZadrzavanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZADRZAVANJE_OSOBA__RAZLOG_ZADRZAVANJA, oldRazlogZadrzavanja, razlogZadrzavanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PravnoLiceImpl getPravnoLiceOslobo() {
		if (pravnoLiceOslobo != null && pravnoLiceOslobo.eIsProxy()) {
			InternalEObject oldPravnoLiceOslobo = (InternalEObject)pravnoLiceOslobo;
			pravnoLiceOslobo = (PravnoLiceImpl)eResolveProxy(oldPravnoLiceOslobo);
			if (pravnoLiceOslobo != oldPravnoLiceOslobo) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ZADRZAVANJE_OSOBA__PRAVNO_LICE_OSLOBO, oldPravnoLiceOslobo, pravnoLiceOslobo));
			}
		}
		return pravnoLiceOslobo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PravnoLiceImpl basicGetPravnoLiceOslobo() {
		return pravnoLiceOslobo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPravnoLiceOslobo(PravnoLiceImpl newPravnoLiceOslobo) {
		PravnoLiceImpl oldPravnoLiceOslobo = pravnoLiceOslobo;
		pravnoLiceOslobo = newPravnoLiceOslobo;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZADRZAVANJE_OSOBA__PRAVNO_LICE_OSLOBO, oldPravnoLiceOslobo, pravnoLiceOslobo));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojAktaZadrzavanja() {
		return brojAktaZadrzavanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojAktaZadrzavanja(String newBrojAktaZadrzavanja) {
		String oldBrojAktaZadrzavanja = brojAktaZadrzavanja;
		brojAktaZadrzavanja = newBrojAktaZadrzavanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZADRZAVANJE_OSOBA__BROJ_AKTA_ZADRZAVANJA, oldBrojAktaZadrzavanja, brojAktaZadrzavanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojAktaPrekidaZadrzavanja() {
		return brojAktaPrekidaZadrzavanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojAktaPrekidaZadrzavanja(String newBrojAktaPrekidaZadrzavanja) {
		String oldBrojAktaPrekidaZadrzavanja = brojAktaPrekidaZadrzavanja;
		brojAktaPrekidaZadrzavanja = newBrojAktaPrekidaZadrzavanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZADRZAVANJE_OSOBA__BROJ_AKTA_PREKIDA_ZADRZAVANJA, oldBrojAktaPrekidaZadrzavanja, brojAktaPrekidaZadrzavanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaOrganaVlastiImpl getOrganOdredioZadrzavanje() {
		if (organOdredioZadrzavanje != null && organOdredioZadrzavanje.eIsProxy()) {
			InternalEObject oldOrganOdredioZadrzavanje = (InternalEObject)organOdredioZadrzavanje;
			organOdredioZadrzavanje = (VrstaOrganaVlastiImpl)eResolveProxy(oldOrganOdredioZadrzavanje);
			if (organOdredioZadrzavanje != oldOrganOdredioZadrzavanje) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ZADRZAVANJE_OSOBA__ORGAN_ODREDIO_ZADRZAVANJE, oldOrganOdredioZadrzavanje, organOdredioZadrzavanje));
			}
		}
		return organOdredioZadrzavanje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaOrganaVlastiImpl basicGetOrganOdredioZadrzavanje() {
		return organOdredioZadrzavanje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrganOdredioZadrzavanje(VrstaOrganaVlastiImpl newOrganOdredioZadrzavanje) {
		VrstaOrganaVlastiImpl oldOrganOdredioZadrzavanje = organOdredioZadrzavanje;
		organOdredioZadrzavanje = newOrganOdredioZadrzavanje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZADRZAVANJE_OSOBA__ORGAN_ODREDIO_ZADRZAVANJE, oldOrganOdredioZadrzavanje, organOdredioZadrzavanje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaOrganaVlastiImpl getOrganOdredioPrekidZadrzavanja() {
		if (organOdredioPrekidZadrzavanja != null && organOdredioPrekidZadrzavanja.eIsProxy()) {
			InternalEObject oldOrganOdredioPrekidZadrzavanja = (InternalEObject)organOdredioPrekidZadrzavanja;
			organOdredioPrekidZadrzavanja = (VrstaOrganaVlastiImpl)eResolveProxy(oldOrganOdredioPrekidZadrzavanja);
			if (organOdredioPrekidZadrzavanja != oldOrganOdredioPrekidZadrzavanja) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ZADRZAVANJE_OSOBA__ORGAN_ODREDIO_PREKID_ZADRZAVANJA, oldOrganOdredioPrekidZadrzavanja, organOdredioPrekidZadrzavanja));
			}
		}
		return organOdredioPrekidZadrzavanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaOrganaVlastiImpl basicGetOrganOdredioPrekidZadrzavanja() {
		return organOdredioPrekidZadrzavanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrganOdredioPrekidZadrzavanja(VrstaOrganaVlastiImpl newOrganOdredioPrekidZadrzavanja) {
		VrstaOrganaVlastiImpl oldOrganOdredioPrekidZadrzavanja = organOdredioPrekidZadrzavanja;
		organOdredioPrekidZadrzavanja = newOrganOdredioPrekidZadrzavanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZADRZAVANJE_OSOBA__ORGAN_ODREDIO_PREKID_ZADRZAVANJA, oldOrganOdredioPrekidZadrzavanja, organOdredioPrekidZadrzavanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__ID_ZADRZAVANJE_OSOBA:
				return getIDZadrzavanjeOsoba();
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__PRIJAVA:
				if (resolve) return getPrijava();
				return basicGetPrijava();
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__VRIJEME_ZADRZAVANJA_LICA:
				return getVrijemeZadrzavanjaLica();
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__DATUM_ZADRZAVANJA_LICA:
				return getDatumZadrzavanjaLica();
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__DATUM_ZAVRSETKA_ZADRZAVANJA:
				return getDatumZavrsetkaZadrzavanja();
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__VRIJEME_ZAVRSETKA_ZADRZAVANJA:
				return getVrijemeZavrsetkaZadrzavanja();
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__NAPOMONA:
				return getNapomona();
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__PRAVNO_LICE:
				if (resolve) return getPravnoLice();
				return basicGetPravnoLice();
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__RAZLOG_ZADRZAVANJA:
				if (resolve) return getRazlogZadrzavanja();
				return basicGetRazlogZadrzavanja();
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__PRAVNO_LICE_OSLOBO:
				if (resolve) return getPravnoLiceOslobo();
				return basicGetPravnoLiceOslobo();
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__BROJ_AKTA_ZADRZAVANJA:
				return getBrojAktaZadrzavanja();
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__BROJ_AKTA_PREKIDA_ZADRZAVANJA:
				return getBrojAktaPrekidaZadrzavanja();
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__ORGAN_ODREDIO_ZADRZAVANJE:
				if (resolve) return getOrganOdredioZadrzavanje();
				return basicGetOrganOdredioZadrzavanje();
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__ORGAN_ODREDIO_PREKID_ZADRZAVANJA:
				if (resolve) return getOrganOdredioPrekidZadrzavanja();
				return basicGetOrganOdredioPrekidZadrzavanja();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__ID_ZADRZAVANJE_OSOBA:
				setIDZadrzavanjeOsoba((Long)newValue);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__PRIJAVA:
				setPrijava((PrijavaImpl)newValue);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__VRIJEME_ZADRZAVANJA_LICA:
				setVrijemeZadrzavanjaLica((Date)newValue);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__DATUM_ZADRZAVANJA_LICA:
				setDatumZadrzavanjaLica((Date)newValue);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__DATUM_ZAVRSETKA_ZADRZAVANJA:
				setDatumZavrsetkaZadrzavanja((Date)newValue);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__VRIJEME_ZAVRSETKA_ZADRZAVANJA:
				setVrijemeZavrsetkaZadrzavanja((Date)newValue);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__NAPOMONA:
				setNapomona((String)newValue);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__PRAVNO_LICE:
				setPravnoLice((PravnoLiceImpl)newValue);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__RAZLOG_ZADRZAVANJA:
				setRazlogZadrzavanja((RazlogZadrzavanjaImpl)newValue);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__PRAVNO_LICE_OSLOBO:
				setPravnoLiceOslobo((PravnoLiceImpl)newValue);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__BROJ_AKTA_ZADRZAVANJA:
				setBrojAktaZadrzavanja((String)newValue);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__BROJ_AKTA_PREKIDA_ZADRZAVANJA:
				setBrojAktaPrekidaZadrzavanja((String)newValue);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__ORGAN_ODREDIO_ZADRZAVANJE:
				setOrganOdredioZadrzavanje((VrstaOrganaVlastiImpl)newValue);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__ORGAN_ODREDIO_PREKID_ZADRZAVANJA:
				setOrganOdredioPrekidZadrzavanja((VrstaOrganaVlastiImpl)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__ID_ZADRZAVANJE_OSOBA:
				setIDZadrzavanjeOsoba(ID_ZADRZAVANJE_OSOBA_EDEFAULT);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__PRIJAVA:
				setPrijava((PrijavaImpl)null);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__VRIJEME_ZADRZAVANJA_LICA:
				setVrijemeZadrzavanjaLica(VRIJEME_ZADRZAVANJA_LICA_EDEFAULT);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__DATUM_ZADRZAVANJA_LICA:
				setDatumZadrzavanjaLica(DATUM_ZADRZAVANJA_LICA_EDEFAULT);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__DATUM_ZAVRSETKA_ZADRZAVANJA:
				setDatumZavrsetkaZadrzavanja(DATUM_ZAVRSETKA_ZADRZAVANJA_EDEFAULT);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__VRIJEME_ZAVRSETKA_ZADRZAVANJA:
				setVrijemeZavrsetkaZadrzavanja(VRIJEME_ZAVRSETKA_ZADRZAVANJA_EDEFAULT);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__NAPOMONA:
				setNapomona(NAPOMONA_EDEFAULT);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__PRAVNO_LICE:
				setPravnoLice((PravnoLiceImpl)null);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__RAZLOG_ZADRZAVANJA:
				setRazlogZadrzavanja((RazlogZadrzavanjaImpl)null);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__PRAVNO_LICE_OSLOBO:
				setPravnoLiceOslobo((PravnoLiceImpl)null);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__BROJ_AKTA_ZADRZAVANJA:
				setBrojAktaZadrzavanja(BROJ_AKTA_ZADRZAVANJA_EDEFAULT);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__BROJ_AKTA_PREKIDA_ZADRZAVANJA:
				setBrojAktaPrekidaZadrzavanja(BROJ_AKTA_PREKIDA_ZADRZAVANJA_EDEFAULT);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__ORGAN_ODREDIO_ZADRZAVANJE:
				setOrganOdredioZadrzavanje((VrstaOrganaVlastiImpl)null);
				return;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__ORGAN_ODREDIO_PREKID_ZADRZAVANJA:
				setOrganOdredioPrekidZadrzavanja((VrstaOrganaVlastiImpl)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__ID_ZADRZAVANJE_OSOBA:
				return iDZadrzavanjeOsoba != ID_ZADRZAVANJE_OSOBA_EDEFAULT;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__PRIJAVA:
				return prijava != null;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__VRIJEME_ZADRZAVANJA_LICA:
				return VRIJEME_ZADRZAVANJA_LICA_EDEFAULT == null ? vrijemeZadrzavanjaLica != null : !VRIJEME_ZADRZAVANJA_LICA_EDEFAULT.equals(vrijemeZadrzavanjaLica);
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__DATUM_ZADRZAVANJA_LICA:
				return DATUM_ZADRZAVANJA_LICA_EDEFAULT == null ? datumZadrzavanjaLica != null : !DATUM_ZADRZAVANJA_LICA_EDEFAULT.equals(datumZadrzavanjaLica);
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__DATUM_ZAVRSETKA_ZADRZAVANJA:
				return DATUM_ZAVRSETKA_ZADRZAVANJA_EDEFAULT == null ? datumZavrsetkaZadrzavanja != null : !DATUM_ZAVRSETKA_ZADRZAVANJA_EDEFAULT.equals(datumZavrsetkaZadrzavanja);
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__VRIJEME_ZAVRSETKA_ZADRZAVANJA:
				return VRIJEME_ZAVRSETKA_ZADRZAVANJA_EDEFAULT == null ? vrijemeZavrsetkaZadrzavanja != null : !VRIJEME_ZAVRSETKA_ZADRZAVANJA_EDEFAULT.equals(vrijemeZavrsetkaZadrzavanja);
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__NAPOMONA:
				return NAPOMONA_EDEFAULT == null ? napomona != null : !NAPOMONA_EDEFAULT.equals(napomona);
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__PRAVNO_LICE:
				return pravnoLice != null;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__RAZLOG_ZADRZAVANJA:
				return razlogZadrzavanja != null;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__PRAVNO_LICE_OSLOBO:
				return pravnoLiceOslobo != null;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__BROJ_AKTA_ZADRZAVANJA:
				return BROJ_AKTA_ZADRZAVANJA_EDEFAULT == null ? brojAktaZadrzavanja != null : !BROJ_AKTA_ZADRZAVANJA_EDEFAULT.equals(brojAktaZadrzavanja);
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__BROJ_AKTA_PREKIDA_ZADRZAVANJA:
				return BROJ_AKTA_PREKIDA_ZADRZAVANJA_EDEFAULT == null ? brojAktaPrekidaZadrzavanja != null : !BROJ_AKTA_PREKIDA_ZADRZAVANJA_EDEFAULT.equals(brojAktaPrekidaZadrzavanja);
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__ORGAN_ODREDIO_ZADRZAVANJE:
				return organOdredioZadrzavanje != null;
			case PbdmodelPackage.ZADRZAVANJE_OSOBA__ORGAN_ODREDIO_PREKID_ZADRZAVANJA:
				return organOdredioPrekidZadrzavanja != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDZadrzavanjeOsoba: ");
		result.append(iDZadrzavanjeOsoba);
		result.append(", vrijemeZadrzavanjaLica: ");
		result.append(vrijemeZadrzavanjaLica);
		result.append(", datumZadrzavanjaLica: ");
		result.append(datumZadrzavanjaLica);
		result.append(", datumZavrsetkaZadrzavanja: ");
		result.append(datumZavrsetkaZadrzavanja);
		result.append(", vrijemeZavrsetkaZadrzavanja: ");
		result.append(vrijemeZavrsetkaZadrzavanja);
		result.append(", napomona: ");
		result.append(napomona);
		result.append(", brojAktaZadrzavanja: ");
		result.append(brojAktaZadrzavanja);
		result.append(", brojAktaPrekidaZadrzavanja: ");
		result.append(brojAktaPrekidaZadrzavanja);
		result.append(')');
		return result.toString();
	}

} //ZadrzavanjeOsobaImpl
