/**
 */
package pbdmodel.impl;

import java.util.Date;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import pbdmodel.PbdmodelPackage;
import pbdmodel.Zaposlenja;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Zaposlenja</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#getIdZaposlenja <em>Id Zaposlenja</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#getPoduzece <em>Poduzece</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#getOrgJedinica <em>Org Jedinica</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#getBrojUgovora <em>Broj Ugovora</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#getDatumUgovora <em>Datum Ugovora</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#isVlasnik <em>Vlasnik</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#getVrstaZaposlenja <em>Vrsta Zaposlenja</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#getDatumOd <em>Datum Od</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#getDatumDo <em>Datum Do</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#isNepunoRadnoVrijeme <em>Nepuno Radno Vrijeme</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#getDnevnoRadnoVrijeme <em>Dnevno Radno Vrijeme</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#getTjednoRadnoVrijeme <em>Tjedno Radno Vrijeme</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#getMjesecnoRadnoVrijeme <em>Mjesecno Radno Vrijeme</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#isStazUStruci <em>Staz UStruci</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#isStazSPovecanimTrajanjem <em>Staz SPovecanim Trajanjem</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#getStazGodina <em>Staz Godina</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#getStazMjeseci <em>Staz Mjeseci</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#getStazDana <em>Staz Dana</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#getOpis <em>Opis</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposlenjaImpl#getRadnoMjesto <em>Radno Mjesto</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class ZaposlenjaImpl extends EObjectImpl implements Zaposlenja {
	/**
	 * The default value of the '{@link #getIdZaposlenja() <em>Id Zaposlenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdZaposlenja()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_ZAPOSLENJA_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIdZaposlenja() <em>Id Zaposlenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdZaposlenja()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long idZaposlenja = ID_ZAPOSLENJA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getPoduzece() <em>Poduzece</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPoduzece()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PRAVNO_LICE_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected PravnoLiceImpl poduzece;

	/**
	 * The cached value of the '{@link #getOrgJedinica() <em>Org Jedinica</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrgJedinica()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ORG_JEDINICA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected OrgJedinicaImpl orgJedinica;

	/**
	 * The default value of the '{@link #getBrojUgovora() <em>Broj Ugovora</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojUgovora()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_UGOVORA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojUgovora() <em>Broj Ugovora</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojUgovora()
	 * @generated
	 * @ordered
	 */
	protected String brojUgovora = BROJ_UGOVORA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumUgovora() <em>Datum Ugovora</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumUgovora()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_UGOVORA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumUgovora() <em>Datum Ugovora</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumUgovora()
	 * @generated
	 * @ordered
	 */
	protected Date datumUgovora = DATUM_UGOVORA_EDEFAULT;

	/**
	 * The default value of the '{@link #isVlasnik() <em>Vlasnik</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isVlasnik()
	 * @generated
	 * @ordered
	 */
	protected static final boolean VLASNIK_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isVlasnik() <em>Vlasnik</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isVlasnik()
	 * @generated
	 * @ordered
	 */
	protected boolean vlasnik = VLASNIK_EDEFAULT;

	/**
	 * The cached value of the '{@link #getVrstaZaposlenja() <em>Vrsta Zaposlenja</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaZaposlenja()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_ZAPOSLENJA_ID", unique= true, nullable=true, insertable=true, updatable=true) 
	protected VrtsaZaposlenjaImpl vrstaZaposlenja;

	/**
	 * The default value of the '{@link #getDatumOd() <em>Datum Od</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumOd()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_OD_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumOd() <em>Datum Od</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumOd()
	 * @generated
	 * @ordered
	 */
	protected Date datumOd = DATUM_OD_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumDo() <em>Datum Do</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumDo()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_DO_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumDo() <em>Datum Do</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumDo()
	 * @generated
	 * @ordered
	 */
	protected Date datumDo = DATUM_DO_EDEFAULT;

	/**
	 * The default value of the '{@link #isNepunoRadnoVrijeme() <em>Nepuno Radno Vrijeme</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isNepunoRadnoVrijeme()
	 * @generated
	 * @ordered
	 */
	protected static final boolean NEPUNO_RADNO_VRIJEME_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isNepunoRadnoVrijeme() <em>Nepuno Radno Vrijeme</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isNepunoRadnoVrijeme()
	 * @generated
	 * @ordered
	 */
	protected boolean nepunoRadnoVrijeme = NEPUNO_RADNO_VRIJEME_EDEFAULT;

	/**
	 * The default value of the '{@link #getDnevnoRadnoVrijeme() <em>Dnevno Radno Vrijeme</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDnevnoRadnoVrijeme()
	 * @generated
	 * @ordered
	 */
	protected static final String DNEVNO_RADNO_VRIJEME_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDnevnoRadnoVrijeme() <em>Dnevno Radno Vrijeme</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDnevnoRadnoVrijeme()
	 * @generated
	 * @ordered
	 */
	protected String dnevnoRadnoVrijeme = DNEVNO_RADNO_VRIJEME_EDEFAULT;

	/**
	 * The default value of the '{@link #getTjednoRadnoVrijeme() <em>Tjedno Radno Vrijeme</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTjednoRadnoVrijeme()
	 * @generated
	 * @ordered
	 */
	protected static final String TJEDNO_RADNO_VRIJEME_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getTjednoRadnoVrijeme() <em>Tjedno Radno Vrijeme</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTjednoRadnoVrijeme()
	 * @generated
	 * @ordered
	 */
	protected String tjednoRadnoVrijeme = TJEDNO_RADNO_VRIJEME_EDEFAULT;

	/**
	 * The default value of the '{@link #getMjesecnoRadnoVrijeme() <em>Mjesecno Radno Vrijeme</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjesecnoRadnoVrijeme()
	 * @generated
	 * @ordered
	 */
	protected static final String MJESECNO_RADNO_VRIJEME_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getMjesecnoRadnoVrijeme() <em>Mjesecno Radno Vrijeme</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjesecnoRadnoVrijeme()
	 * @generated
	 * @ordered
	 */
	protected String mjesecnoRadnoVrijeme = MJESECNO_RADNO_VRIJEME_EDEFAULT;

	/**
	 * The default value of the '{@link #isStazUStruci() <em>Staz UStruci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isStazUStruci()
	 * @generated
	 * @ordered
	 */
	protected static final boolean STAZ_USTRUCI_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isStazUStruci() <em>Staz UStruci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isStazUStruci()
	 * @generated
	 * @ordered
	 */
	protected boolean stazUStruci = STAZ_USTRUCI_EDEFAULT;

	/**
	 * The default value of the '{@link #isStazSPovecanimTrajanjem() <em>Staz SPovecanim Trajanjem</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isStazSPovecanimTrajanjem()
	 * @generated
	 * @ordered
	 */
	protected static final boolean STAZ_SPOVECANIM_TRAJANJEM_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isStazSPovecanimTrajanjem() <em>Staz SPovecanim Trajanjem</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isStazSPovecanimTrajanjem()
	 * @generated
	 * @ordered
	 */
	protected boolean stazSPovecanimTrajanjem = STAZ_SPOVECANIM_TRAJANJEM_EDEFAULT;

	/**
	 * The default value of the '{@link #getStazGodina() <em>Staz Godina</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStazGodina()
	 * @generated
	 * @ordered
	 */
	protected static final String STAZ_GODINA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getStazGodina() <em>Staz Godina</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStazGodina()
	 * @generated
	 * @ordered
	 */
	protected String stazGodina = STAZ_GODINA_EDEFAULT;

	/**
	 * The default value of the '{@link #getStazMjeseci() <em>Staz Mjeseci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStazMjeseci()
	 * @generated
	 * @ordered
	 */
	protected static final String STAZ_MJESECI_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getStazMjeseci() <em>Staz Mjeseci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStazMjeseci()
	 * @generated
	 * @ordered
	 */
	protected String stazMjeseci = STAZ_MJESECI_EDEFAULT;

	/**
	 * The default value of the '{@link #getStazDana() <em>Staz Dana</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStazDana()
	 * @generated
	 * @ordered
	 */
	protected static final String STAZ_DANA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getStazDana() <em>Staz Dana</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStazDana()
	 * @generated
	 * @ordered
	 */
	protected String stazDana = STAZ_DANA_EDEFAULT;

	/**
	 * The default value of the '{@link #getOpis() <em>Opis</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpis()
	 * @generated
	 * @ordered
	 */
	protected static final String OPIS_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOpis() <em>Opis</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpis()
	 * @generated
	 * @ordered
	 */
	protected String opis = OPIS_EDEFAULT;

	/**
	 * The cached value of the '{@link #getRadnoMjesto() <em>Radno Mjesto</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRadnoMjesto()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="RADNO_MJESTO_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected RadnoMjestoImpl radnoMjesto;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ZaposlenjaImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getZaposlenja();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIdZaposlenja() {
		return idZaposlenja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIdZaposlenja(long newIdZaposlenja) {
		long oldIdZaposlenja = idZaposlenja;
		idZaposlenja = newIdZaposlenja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__ID_ZAPOSLENJA, oldIdZaposlenja, idZaposlenja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PravnoLiceImpl getPoduzece() {
		if (poduzece != null && poduzece.eIsProxy()) {
			InternalEObject oldPoduzece = (InternalEObject)poduzece;
			poduzece = (PravnoLiceImpl)eResolveProxy(oldPoduzece);
			if (poduzece != oldPoduzece) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ZAPOSLENJA__PODUZECE, oldPoduzece, poduzece));
			}
		}
		return poduzece;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PravnoLiceImpl basicGetPoduzece() {
		return poduzece;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPoduzece(PravnoLiceImpl newPoduzece) {
		PravnoLiceImpl oldPoduzece = poduzece;
		poduzece = newPoduzece;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__PODUZECE, oldPoduzece, poduzece));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrgJedinicaImpl getOrgJedinica() {
		if (orgJedinica != null && orgJedinica.eIsProxy()) {
			InternalEObject oldOrgJedinica = (InternalEObject)orgJedinica;
			orgJedinica = (OrgJedinicaImpl)eResolveProxy(oldOrgJedinica);
			if (orgJedinica != oldOrgJedinica) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ZAPOSLENJA__ORG_JEDINICA, oldOrgJedinica, orgJedinica));
			}
		}
		return orgJedinica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrgJedinicaImpl basicGetOrgJedinica() {
		return orgJedinica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrgJedinica(OrgJedinicaImpl newOrgJedinica) {
		OrgJedinicaImpl oldOrgJedinica = orgJedinica;
		orgJedinica = newOrgJedinica;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__ORG_JEDINICA, oldOrgJedinica, orgJedinica));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojUgovora() {
		return brojUgovora;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojUgovora(String newBrojUgovora) {
		String oldBrojUgovora = brojUgovora;
		brojUgovora = newBrojUgovora;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__BROJ_UGOVORA, oldBrojUgovora, brojUgovora));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumUgovora() {
		return datumUgovora;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumUgovora(Date newDatumUgovora) {
		Date oldDatumUgovora = datumUgovora;
		datumUgovora = newDatumUgovora;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__DATUM_UGOVORA, oldDatumUgovora, datumUgovora));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isVlasnik() {
		return vlasnik;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVlasnik(boolean newVlasnik) {
		boolean oldVlasnik = vlasnik;
		vlasnik = newVlasnik;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__VLASNIK, oldVlasnik, vlasnik));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrtsaZaposlenjaImpl getVrstaZaposlenja() {
		if (vrstaZaposlenja != null && vrstaZaposlenja.eIsProxy()) {
			InternalEObject oldVrstaZaposlenja = (InternalEObject)vrstaZaposlenja;
			vrstaZaposlenja = (VrtsaZaposlenjaImpl)eResolveProxy(oldVrstaZaposlenja);
			if (vrstaZaposlenja != oldVrstaZaposlenja) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ZAPOSLENJA__VRSTA_ZAPOSLENJA, oldVrstaZaposlenja, vrstaZaposlenja));
			}
		}
		return vrstaZaposlenja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrtsaZaposlenjaImpl basicGetVrstaZaposlenja() {
		return vrstaZaposlenja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaZaposlenja(VrtsaZaposlenjaImpl newVrstaZaposlenja) {
		VrtsaZaposlenjaImpl oldVrstaZaposlenja = vrstaZaposlenja;
		vrstaZaposlenja = newVrstaZaposlenja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__VRSTA_ZAPOSLENJA, oldVrstaZaposlenja, vrstaZaposlenja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumOd() {
		return datumOd;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumOd(Date newDatumOd) {
		Date oldDatumOd = datumOd;
		datumOd = newDatumOd;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__DATUM_OD, oldDatumOd, datumOd));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumDo() {
		return datumDo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumDo(Date newDatumDo) {
		Date oldDatumDo = datumDo;
		datumDo = newDatumDo;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__DATUM_DO, oldDatumDo, datumDo));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isNepunoRadnoVrijeme() {
		return nepunoRadnoVrijeme;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNepunoRadnoVrijeme(boolean newNepunoRadnoVrijeme) {
		boolean oldNepunoRadnoVrijeme = nepunoRadnoVrijeme;
		nepunoRadnoVrijeme = newNepunoRadnoVrijeme;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__NEPUNO_RADNO_VRIJEME, oldNepunoRadnoVrijeme, nepunoRadnoVrijeme));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getDnevnoRadnoVrijeme() {
		return dnevnoRadnoVrijeme;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDnevnoRadnoVrijeme(String newDnevnoRadnoVrijeme) {
		String oldDnevnoRadnoVrijeme = dnevnoRadnoVrijeme;
		dnevnoRadnoVrijeme = newDnevnoRadnoVrijeme;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__DNEVNO_RADNO_VRIJEME, oldDnevnoRadnoVrijeme, dnevnoRadnoVrijeme));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getTjednoRadnoVrijeme() {
		return tjednoRadnoVrijeme;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTjednoRadnoVrijeme(String newTjednoRadnoVrijeme) {
		String oldTjednoRadnoVrijeme = tjednoRadnoVrijeme;
		tjednoRadnoVrijeme = newTjednoRadnoVrijeme;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__TJEDNO_RADNO_VRIJEME, oldTjednoRadnoVrijeme, tjednoRadnoVrijeme));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getMjesecnoRadnoVrijeme() {
		return mjesecnoRadnoVrijeme;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMjesecnoRadnoVrijeme(String newMjesecnoRadnoVrijeme) {
		String oldMjesecnoRadnoVrijeme = mjesecnoRadnoVrijeme;
		mjesecnoRadnoVrijeme = newMjesecnoRadnoVrijeme;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__MJESECNO_RADNO_VRIJEME, oldMjesecnoRadnoVrijeme, mjesecnoRadnoVrijeme));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isStazUStruci() {
		return stazUStruci;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setStazUStruci(boolean newStazUStruci) {
		boolean oldStazUStruci = stazUStruci;
		stazUStruci = newStazUStruci;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__STAZ_USTRUCI, oldStazUStruci, stazUStruci));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isStazSPovecanimTrajanjem() {
		return stazSPovecanimTrajanjem;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setStazSPovecanimTrajanjem(boolean newStazSPovecanimTrajanjem) {
		boolean oldStazSPovecanimTrajanjem = stazSPovecanimTrajanjem;
		stazSPovecanimTrajanjem = newStazSPovecanimTrajanjem;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__STAZ_SPOVECANIM_TRAJANJEM, oldStazSPovecanimTrajanjem, stazSPovecanimTrajanjem));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getStazGodina() {
		return stazGodina;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setStazGodina(String newStazGodina) {
		String oldStazGodina = stazGodina;
		stazGodina = newStazGodina;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__STAZ_GODINA, oldStazGodina, stazGodina));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getStazMjeseci() {
		return stazMjeseci;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setStazMjeseci(String newStazMjeseci) {
		String oldStazMjeseci = stazMjeseci;
		stazMjeseci = newStazMjeseci;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__STAZ_MJESECI, oldStazMjeseci, stazMjeseci));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getStazDana() {
		return stazDana;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setStazDana(String newStazDana) {
		String oldStazDana = stazDana;
		stazDana = newStazDana;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__STAZ_DANA, oldStazDana, stazDana));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOpis() {
		return opis;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOpis(String newOpis) {
		String oldOpis = opis;
		opis = newOpis;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__OPIS, oldOpis, opis));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RadnoMjestoImpl getRadnoMjesto() {
		if (radnoMjesto != null && radnoMjesto.eIsProxy()) {
			InternalEObject oldRadnoMjesto = (InternalEObject)radnoMjesto;
			radnoMjesto = (RadnoMjestoImpl)eResolveProxy(oldRadnoMjesto);
			if (radnoMjesto != oldRadnoMjesto) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ZAPOSLENJA__RADNO_MJESTO, oldRadnoMjesto, radnoMjesto));
			}
		}
		return radnoMjesto;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RadnoMjestoImpl basicGetRadnoMjesto() {
		return radnoMjesto;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRadnoMjesto(RadnoMjestoImpl newRadnoMjesto) {
		RadnoMjestoImpl oldRadnoMjesto = radnoMjesto;
		radnoMjesto = newRadnoMjesto;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPOSLENJA__RADNO_MJESTO, oldRadnoMjesto, radnoMjesto));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.ZAPOSLENJA__ID_ZAPOSLENJA:
				return getIdZaposlenja();
			case PbdmodelPackage.ZAPOSLENJA__PODUZECE:
				if (resolve) return getPoduzece();
				return basicGetPoduzece();
			case PbdmodelPackage.ZAPOSLENJA__ORG_JEDINICA:
				if (resolve) return getOrgJedinica();
				return basicGetOrgJedinica();
			case PbdmodelPackage.ZAPOSLENJA__BROJ_UGOVORA:
				return getBrojUgovora();
			case PbdmodelPackage.ZAPOSLENJA__DATUM_UGOVORA:
				return getDatumUgovora();
			case PbdmodelPackage.ZAPOSLENJA__VLASNIK:
				return isVlasnik();
			case PbdmodelPackage.ZAPOSLENJA__VRSTA_ZAPOSLENJA:
				if (resolve) return getVrstaZaposlenja();
				return basicGetVrstaZaposlenja();
			case PbdmodelPackage.ZAPOSLENJA__DATUM_OD:
				return getDatumOd();
			case PbdmodelPackage.ZAPOSLENJA__DATUM_DO:
				return getDatumDo();
			case PbdmodelPackage.ZAPOSLENJA__NEPUNO_RADNO_VRIJEME:
				return isNepunoRadnoVrijeme();
			case PbdmodelPackage.ZAPOSLENJA__DNEVNO_RADNO_VRIJEME:
				return getDnevnoRadnoVrijeme();
			case PbdmodelPackage.ZAPOSLENJA__TJEDNO_RADNO_VRIJEME:
				return getTjednoRadnoVrijeme();
			case PbdmodelPackage.ZAPOSLENJA__MJESECNO_RADNO_VRIJEME:
				return getMjesecnoRadnoVrijeme();
			case PbdmodelPackage.ZAPOSLENJA__STAZ_USTRUCI:
				return isStazUStruci();
			case PbdmodelPackage.ZAPOSLENJA__STAZ_SPOVECANIM_TRAJANJEM:
				return isStazSPovecanimTrajanjem();
			case PbdmodelPackage.ZAPOSLENJA__STAZ_GODINA:
				return getStazGodina();
			case PbdmodelPackage.ZAPOSLENJA__STAZ_MJESECI:
				return getStazMjeseci();
			case PbdmodelPackage.ZAPOSLENJA__STAZ_DANA:
				return getStazDana();
			case PbdmodelPackage.ZAPOSLENJA__OPIS:
				return getOpis();
			case PbdmodelPackage.ZAPOSLENJA__RADNO_MJESTO:
				if (resolve) return getRadnoMjesto();
				return basicGetRadnoMjesto();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.ZAPOSLENJA__ID_ZAPOSLENJA:
				setIdZaposlenja((Long)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__PODUZECE:
				setPoduzece((PravnoLiceImpl)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__ORG_JEDINICA:
				setOrgJedinica((OrgJedinicaImpl)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__BROJ_UGOVORA:
				setBrojUgovora((String)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__DATUM_UGOVORA:
				setDatumUgovora((Date)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__VLASNIK:
				setVlasnik((Boolean)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__VRSTA_ZAPOSLENJA:
				setVrstaZaposlenja((VrtsaZaposlenjaImpl)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__DATUM_OD:
				setDatumOd((Date)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__DATUM_DO:
				setDatumDo((Date)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__NEPUNO_RADNO_VRIJEME:
				setNepunoRadnoVrijeme((Boolean)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__DNEVNO_RADNO_VRIJEME:
				setDnevnoRadnoVrijeme((String)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__TJEDNO_RADNO_VRIJEME:
				setTjednoRadnoVrijeme((String)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__MJESECNO_RADNO_VRIJEME:
				setMjesecnoRadnoVrijeme((String)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__STAZ_USTRUCI:
				setStazUStruci((Boolean)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__STAZ_SPOVECANIM_TRAJANJEM:
				setStazSPovecanimTrajanjem((Boolean)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__STAZ_GODINA:
				setStazGodina((String)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__STAZ_MJESECI:
				setStazMjeseci((String)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__STAZ_DANA:
				setStazDana((String)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__OPIS:
				setOpis((String)newValue);
				return;
			case PbdmodelPackage.ZAPOSLENJA__RADNO_MJESTO:
				setRadnoMjesto((RadnoMjestoImpl)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.ZAPOSLENJA__ID_ZAPOSLENJA:
				setIdZaposlenja(ID_ZAPOSLENJA_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPOSLENJA__PODUZECE:
				setPoduzece((PravnoLiceImpl)null);
				return;
			case PbdmodelPackage.ZAPOSLENJA__ORG_JEDINICA:
				setOrgJedinica((OrgJedinicaImpl)null);
				return;
			case PbdmodelPackage.ZAPOSLENJA__BROJ_UGOVORA:
				setBrojUgovora(BROJ_UGOVORA_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPOSLENJA__DATUM_UGOVORA:
				setDatumUgovora(DATUM_UGOVORA_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPOSLENJA__VLASNIK:
				setVlasnik(VLASNIK_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPOSLENJA__VRSTA_ZAPOSLENJA:
				setVrstaZaposlenja((VrtsaZaposlenjaImpl)null);
				return;
			case PbdmodelPackage.ZAPOSLENJA__DATUM_OD:
				setDatumOd(DATUM_OD_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPOSLENJA__DATUM_DO:
				setDatumDo(DATUM_DO_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPOSLENJA__NEPUNO_RADNO_VRIJEME:
				setNepunoRadnoVrijeme(NEPUNO_RADNO_VRIJEME_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPOSLENJA__DNEVNO_RADNO_VRIJEME:
				setDnevnoRadnoVrijeme(DNEVNO_RADNO_VRIJEME_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPOSLENJA__TJEDNO_RADNO_VRIJEME:
				setTjednoRadnoVrijeme(TJEDNO_RADNO_VRIJEME_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPOSLENJA__MJESECNO_RADNO_VRIJEME:
				setMjesecnoRadnoVrijeme(MJESECNO_RADNO_VRIJEME_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPOSLENJA__STAZ_USTRUCI:
				setStazUStruci(STAZ_USTRUCI_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPOSLENJA__STAZ_SPOVECANIM_TRAJANJEM:
				setStazSPovecanimTrajanjem(STAZ_SPOVECANIM_TRAJANJEM_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPOSLENJA__STAZ_GODINA:
				setStazGodina(STAZ_GODINA_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPOSLENJA__STAZ_MJESECI:
				setStazMjeseci(STAZ_MJESECI_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPOSLENJA__STAZ_DANA:
				setStazDana(STAZ_DANA_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPOSLENJA__OPIS:
				setOpis(OPIS_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPOSLENJA__RADNO_MJESTO:
				setRadnoMjesto((RadnoMjestoImpl)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.ZAPOSLENJA__ID_ZAPOSLENJA:
				return idZaposlenja != ID_ZAPOSLENJA_EDEFAULT;
			case PbdmodelPackage.ZAPOSLENJA__PODUZECE:
				return poduzece != null;
			case PbdmodelPackage.ZAPOSLENJA__ORG_JEDINICA:
				return orgJedinica != null;
			case PbdmodelPackage.ZAPOSLENJA__BROJ_UGOVORA:
				return BROJ_UGOVORA_EDEFAULT == null ? brojUgovora != null : !BROJ_UGOVORA_EDEFAULT.equals(brojUgovora);
			case PbdmodelPackage.ZAPOSLENJA__DATUM_UGOVORA:
				return DATUM_UGOVORA_EDEFAULT == null ? datumUgovora != null : !DATUM_UGOVORA_EDEFAULT.equals(datumUgovora);
			case PbdmodelPackage.ZAPOSLENJA__VLASNIK:
				return vlasnik != VLASNIK_EDEFAULT;
			case PbdmodelPackage.ZAPOSLENJA__VRSTA_ZAPOSLENJA:
				return vrstaZaposlenja != null;
			case PbdmodelPackage.ZAPOSLENJA__DATUM_OD:
				return DATUM_OD_EDEFAULT == null ? datumOd != null : !DATUM_OD_EDEFAULT.equals(datumOd);
			case PbdmodelPackage.ZAPOSLENJA__DATUM_DO:
				return DATUM_DO_EDEFAULT == null ? datumDo != null : !DATUM_DO_EDEFAULT.equals(datumDo);
			case PbdmodelPackage.ZAPOSLENJA__NEPUNO_RADNO_VRIJEME:
				return nepunoRadnoVrijeme != NEPUNO_RADNO_VRIJEME_EDEFAULT;
			case PbdmodelPackage.ZAPOSLENJA__DNEVNO_RADNO_VRIJEME:
				return DNEVNO_RADNO_VRIJEME_EDEFAULT == null ? dnevnoRadnoVrijeme != null : !DNEVNO_RADNO_VRIJEME_EDEFAULT.equals(dnevnoRadnoVrijeme);
			case PbdmodelPackage.ZAPOSLENJA__TJEDNO_RADNO_VRIJEME:
				return TJEDNO_RADNO_VRIJEME_EDEFAULT == null ? tjednoRadnoVrijeme != null : !TJEDNO_RADNO_VRIJEME_EDEFAULT.equals(tjednoRadnoVrijeme);
			case PbdmodelPackage.ZAPOSLENJA__MJESECNO_RADNO_VRIJEME:
				return MJESECNO_RADNO_VRIJEME_EDEFAULT == null ? mjesecnoRadnoVrijeme != null : !MJESECNO_RADNO_VRIJEME_EDEFAULT.equals(mjesecnoRadnoVrijeme);
			case PbdmodelPackage.ZAPOSLENJA__STAZ_USTRUCI:
				return stazUStruci != STAZ_USTRUCI_EDEFAULT;
			case PbdmodelPackage.ZAPOSLENJA__STAZ_SPOVECANIM_TRAJANJEM:
				return stazSPovecanimTrajanjem != STAZ_SPOVECANIM_TRAJANJEM_EDEFAULT;
			case PbdmodelPackage.ZAPOSLENJA__STAZ_GODINA:
				return STAZ_GODINA_EDEFAULT == null ? stazGodina != null : !STAZ_GODINA_EDEFAULT.equals(stazGodina);
			case PbdmodelPackage.ZAPOSLENJA__STAZ_MJESECI:
				return STAZ_MJESECI_EDEFAULT == null ? stazMjeseci != null : !STAZ_MJESECI_EDEFAULT.equals(stazMjeseci);
			case PbdmodelPackage.ZAPOSLENJA__STAZ_DANA:
				return STAZ_DANA_EDEFAULT == null ? stazDana != null : !STAZ_DANA_EDEFAULT.equals(stazDana);
			case PbdmodelPackage.ZAPOSLENJA__OPIS:
				return OPIS_EDEFAULT == null ? opis != null : !OPIS_EDEFAULT.equals(opis);
			case PbdmodelPackage.ZAPOSLENJA__RADNO_MJESTO:
				return radnoMjesto != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (idZaposlenja: ");
		result.append(idZaposlenja);
		result.append(", brojUgovora: ");
		result.append(brojUgovora);
		result.append(", datumUgovora: ");
		result.append(datumUgovora);
		result.append(", vlasnik: ");
		result.append(vlasnik);
		result.append(", datumOd: ");
		result.append(datumOd);
		result.append(", datumDo: ");
		result.append(datumDo);
		result.append(", nepunoRadnoVrijeme: ");
		result.append(nepunoRadnoVrijeme);
		result.append(", dnevnoRadnoVrijeme: ");
		result.append(dnevnoRadnoVrijeme);
		result.append(", tjednoRadnoVrijeme: ");
		result.append(tjednoRadnoVrijeme);
		result.append(", mjesecnoRadnoVrijeme: ");
		result.append(mjesecnoRadnoVrijeme);
		result.append(", stazUStruci: ");
		result.append(stazUStruci);
		result.append(", stazSPovecanimTrajanjem: ");
		result.append(stazSPovecanimTrajanjem);
		result.append(", stazGodina: ");
		result.append(stazGodina);
		result.append(", stazMjeseci: ");
		result.append(stazMjeseci);
		result.append(", stazDana: ");
		result.append(stazDana);
		result.append(", opis: ");
		result.append(opis);
		result.append(')');
		return result.toString();
	}

} //ZaposlenjaImpl
