/**
 */
package pbdmodel;

import java.util.Date;

import org.eclipse.emf.ecore.EObject;

import pbdmodel.impl.NazivPovredeSluzbeneDuznostiImpl;
import pbdmodel.impl.PovredaPoZakonuImpl;
import pbdmodel.impl.RezultatInternogPostupkaImpl;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Interni Postupak</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link pbdmodel.InterniPostupak#getIdInterniPostupak <em>Id Interni Postupak</em>}</li>
 *   <li>{@link pbdmodel.InterniPostupak#getDatumPokretanjaInternogPostupka <em>Datum Pokretanja Internog Postupka</em>}</li>
 *   <li>{@link pbdmodel.InterniPostupak#getDatumZavrsetkaInternogPostupka <em>Datum Zavrsetka Internog Postupka</em>}</li>
 *   <li>{@link pbdmodel.InterniPostupak#getUtvrdjenaPovredaSluzbeneDuznosti <em>Utvrdjena Povreda Sluzbene Duznosti</em>}</li>
 *   <li>{@link pbdmodel.InterniPostupak#getUtvrdjenaDisciplinskaSankcija <em>Utvrdjena Disciplinska Sankcija</em>}</li>
 *   <li>{@link pbdmodel.InterniPostupak#getIznosKazne <em>Iznos Kazne</em>}</li>
 *   <li>{@link pbdmodel.InterniPostupak#getValuta <em>Valuta</em>}</li>
 *   <li>{@link pbdmodel.InterniPostupak#getTrajanjeUMjesecima <em>Trajanje UMjesecima</em>}</li>
 *   <li>{@link pbdmodel.InterniPostupak#getKazneniBodovi <em>Kazneni Bodovi</em>}</li>
 *   <li>{@link pbdmodel.InterniPostupak#getPravosnaznostDisciplinskeSankcijeIMjere <em>Pravosnaznost Disciplinske Sankcije IMjere</em>}</li>
 *   <li>{@link pbdmodel.InterniPostupak#getRezultatInternogPostupka <em>Rezultat Internog Postupka</em>}</li>
 *   <li>{@link pbdmodel.InterniPostupak#getPovredaPoZakonu <em>Povreda Po Zakonu</em>}</li>
 *   <li>{@link pbdmodel.InterniPostupak#getNazivPovredeSluzbeneDuznosti <em>Naziv Povrede Sluzbene Duznosti</em>}</li>
 *   <li>{@link pbdmodel.InterniPostupak#getSluzbenikProtivKogaJePodnesenaZalba <em>Sluzbenik Protiv Koga Je Podnesena Zalba</em>}</li>
 * </ul>
 * </p>
 *
 * @see pbdmodel.PbdmodelPackage#getInterniPostupak()
 * @model
 * @generated
 */
public interface InterniPostupak extends EObject {
	/**
	 * Returns the value of the '<em><b>Id Interni Postupak</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Id Interni Postupak</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Id Interni Postupak</em>' attribute.
	 * @see #setIdInterniPostupak(long)
	 * @see pbdmodel.PbdmodelPackage#getInterniPostupak_IdInterniPostupak()
	 * @model
	 * @generated
	 */
	long getIdInterniPostupak();

	/**
	 * Sets the value of the '{@link pbdmodel.InterniPostupak#getIdInterniPostupak <em>Id Interni Postupak</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Id Interni Postupak</em>' attribute.
	 * @see #getIdInterniPostupak()
	 * @generated
	 */
	void setIdInterniPostupak(long value);

	/**
	 * Returns the value of the '<em><b>Datum Pokretanja Internog Postupka</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum Pokretanja Internog Postupka</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum Pokretanja Internog Postupka</em>' attribute.
	 * @see #setDatumPokretanjaInternogPostupka(Date)
	 * @see pbdmodel.PbdmodelPackage#getInterniPostupak_DatumPokretanjaInternogPostupka()
	 * @model
	 * @generated
	 */
	Date getDatumPokretanjaInternogPostupka();

	/**
	 * Sets the value of the '{@link pbdmodel.InterniPostupak#getDatumPokretanjaInternogPostupka <em>Datum Pokretanja Internog Postupka</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum Pokretanja Internog Postupka</em>' attribute.
	 * @see #getDatumPokretanjaInternogPostupka()
	 * @generated
	 */
	void setDatumPokretanjaInternogPostupka(Date value);

	/**
	 * Returns the value of the '<em><b>Datum Zavrsetka Internog Postupka</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum Zavrsetka Internog Postupka</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum Zavrsetka Internog Postupka</em>' attribute.
	 * @see #setDatumZavrsetkaInternogPostupka(Date)
	 * @see pbdmodel.PbdmodelPackage#getInterniPostupak_DatumZavrsetkaInternogPostupka()
	 * @model
	 * @generated
	 */
	Date getDatumZavrsetkaInternogPostupka();

	/**
	 * Sets the value of the '{@link pbdmodel.InterniPostupak#getDatumZavrsetkaInternogPostupka <em>Datum Zavrsetka Internog Postupka</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum Zavrsetka Internog Postupka</em>' attribute.
	 * @see #getDatumZavrsetkaInternogPostupka()
	 * @generated
	 */
	void setDatumZavrsetkaInternogPostupka(Date value);

	/**
	 * Returns the value of the '<em><b>Utvrdjena Povreda Sluzbene Duznosti</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Utvrdjena Povreda Sluzbene Duznosti</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Utvrdjena Povreda Sluzbene Duznosti</em>' attribute.
	 * @see #setUtvrdjenaPovredaSluzbeneDuznosti(String)
	 * @see pbdmodel.PbdmodelPackage#getInterniPostupak_UtvrdjenaPovredaSluzbeneDuznosti()
	 * @model
	 * @generated
	 */
	String getUtvrdjenaPovredaSluzbeneDuznosti();

	/**
	 * Sets the value of the '{@link pbdmodel.InterniPostupak#getUtvrdjenaPovredaSluzbeneDuznosti <em>Utvrdjena Povreda Sluzbene Duznosti</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Utvrdjena Povreda Sluzbene Duznosti</em>' attribute.
	 * @see #getUtvrdjenaPovredaSluzbeneDuznosti()
	 * @generated
	 */
	void setUtvrdjenaPovredaSluzbeneDuznosti(String value);

	/**
	 * Returns the value of the '<em><b>Utvrdjena Disciplinska Sankcija</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Utvrdjena Disciplinska Sankcija</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Utvrdjena Disciplinska Sankcija</em>' attribute.
	 * @see #setUtvrdjenaDisciplinskaSankcija(String)
	 * @see pbdmodel.PbdmodelPackage#getInterniPostupak_UtvrdjenaDisciplinskaSankcija()
	 * @model
	 * @generated
	 */
	String getUtvrdjenaDisciplinskaSankcija();

	/**
	 * Sets the value of the '{@link pbdmodel.InterniPostupak#getUtvrdjenaDisciplinskaSankcija <em>Utvrdjena Disciplinska Sankcija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Utvrdjena Disciplinska Sankcija</em>' attribute.
	 * @see #getUtvrdjenaDisciplinskaSankcija()
	 * @generated
	 */
	void setUtvrdjenaDisciplinskaSankcija(String value);

	/**
	 * Returns the value of the '<em><b>Iznos Kazne</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Iznos Kazne</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Iznos Kazne</em>' attribute.
	 * @see #setIznosKazne(String)
	 * @see pbdmodel.PbdmodelPackage#getInterniPostupak_IznosKazne()
	 * @model
	 * @generated
	 */
	String getIznosKazne();

	/**
	 * Sets the value of the '{@link pbdmodel.InterniPostupak#getIznosKazne <em>Iznos Kazne</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Iznos Kazne</em>' attribute.
	 * @see #getIznosKazne()
	 * @generated
	 */
	void setIznosKazne(String value);

	/**
	 * Returns the value of the '<em><b>Valuta</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Valuta</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Valuta</em>' attribute.
	 * @see #setValuta(String)
	 * @see pbdmodel.PbdmodelPackage#getInterniPostupak_Valuta()
	 * @model
	 * @generated
	 */
	String getValuta();

	/**
	 * Sets the value of the '{@link pbdmodel.InterniPostupak#getValuta <em>Valuta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Valuta</em>' attribute.
	 * @see #getValuta()
	 * @generated
	 */
	void setValuta(String value);

	/**
	 * Returns the value of the '<em><b>Trajanje UMjesecima</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Trajanje UMjesecima</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Trajanje UMjesecima</em>' attribute.
	 * @see #setTrajanjeUMjesecima(String)
	 * @see pbdmodel.PbdmodelPackage#getInterniPostupak_TrajanjeUMjesecima()
	 * @model
	 * @generated
	 */
	String getTrajanjeUMjesecima();

	/**
	 * Sets the value of the '{@link pbdmodel.InterniPostupak#getTrajanjeUMjesecima <em>Trajanje UMjesecima</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Trajanje UMjesecima</em>' attribute.
	 * @see #getTrajanjeUMjesecima()
	 * @generated
	 */
	void setTrajanjeUMjesecima(String value);

	/**
	 * Returns the value of the '<em><b>Kazneni Bodovi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Kazneni Bodovi</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Kazneni Bodovi</em>' attribute.
	 * @see #setKazneniBodovi(String)
	 * @see pbdmodel.PbdmodelPackage#getInterniPostupak_KazneniBodovi()
	 * @model
	 * @generated
	 */
	String getKazneniBodovi();

	/**
	 * Sets the value of the '{@link pbdmodel.InterniPostupak#getKazneniBodovi <em>Kazneni Bodovi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Kazneni Bodovi</em>' attribute.
	 * @see #getKazneniBodovi()
	 * @generated
	 */
	void setKazneniBodovi(String value);

	/**
	 * Returns the value of the '<em><b>Pravosnaznost Disciplinske Sankcije IMjere</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Pravosnaznost Disciplinske Sankcije IMjere</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pravosnaznost Disciplinske Sankcije IMjere</em>' attribute.
	 * @see #setPravosnaznostDisciplinskeSankcijeIMjere(Date)
	 * @see pbdmodel.PbdmodelPackage#getInterniPostupak_PravosnaznostDisciplinskeSankcijeIMjere()
	 * @model
	 * @generated
	 */
	Date getPravosnaznostDisciplinskeSankcijeIMjere();

	/**
	 * Sets the value of the '{@link pbdmodel.InterniPostupak#getPravosnaznostDisciplinskeSankcijeIMjere <em>Pravosnaznost Disciplinske Sankcije IMjere</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Pravosnaznost Disciplinske Sankcije IMjere</em>' attribute.
	 * @see #getPravosnaznostDisciplinskeSankcijeIMjere()
	 * @generated
	 */
	void setPravosnaznostDisciplinskeSankcijeIMjere(Date value);

	/**
	 * Returns the value of the '<em><b>Rezultat Internog Postupka</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Rezultat Internog Postupka</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Rezultat Internog Postupka</em>' reference.
	 * @see #setRezultatInternogPostupka(RezultatInternogPostupka)
	 * @see pbdmodel.PbdmodelPackage#getInterniPostupak_RezultatInternogPostupka()
	 * @model required="true"
	 * @generated
	 */
	RezultatInternogPostupkaImpl getRezultatInternogPostupka();

	/**
	 * Sets the value of the '{@link pbdmodel.InterniPostupak#getRezultatInternogPostupka <em>Rezultat Internog Postupka</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Rezultat Internog Postupka</em>' reference.
	 * @see #getRezultatInternogPostupka()
	 * @generated
	 */
	void setRezultatInternogPostupka(RezultatInternogPostupkaImpl value);

	/**
	 * Returns the value of the '<em><b>Povreda Po Zakonu</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Povreda Po Zakonu</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Povreda Po Zakonu</em>' reference.
	 * @see #setPovredaPoZakonu(PovredaPoZakonu)
	 * @see pbdmodel.PbdmodelPackage#getInterniPostupak_PovredaPoZakonu()
	 * @model required="true"
	 * @generated
	 */
	PovredaPoZakonuImpl getPovredaPoZakonu();

	/**
	 * Sets the value of the '{@link pbdmodel.InterniPostupak#getPovredaPoZakonu <em>Povreda Po Zakonu</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Povreda Po Zakonu</em>' reference.
	 * @see #getPovredaPoZakonu()
	 * @generated
	 */
	void setPovredaPoZakonu(PovredaPoZakonuImpl value);

	/**
	 * Returns the value of the '<em><b>Naziv Povrede Sluzbene Duznosti</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Naziv Povrede Sluzbene Duznosti</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Naziv Povrede Sluzbene Duznosti</em>' reference.
	 * @see #setNazivPovredeSluzbeneDuznosti(NazivPovredeSluzbeneDuznosti)
	 * @see pbdmodel.PbdmodelPackage#getInterniPostupak_NazivPovredeSluzbeneDuznosti()
	 * @model required="true"
	 * @generated
	 */
	NazivPovredeSluzbeneDuznostiImpl getNazivPovredeSluzbeneDuznosti();

	/**
	 * Sets the value of the '{@link pbdmodel.InterniPostupak#getNazivPovredeSluzbeneDuznosti <em>Naziv Povrede Sluzbene Duznosti</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Naziv Povrede Sluzbene Duznosti</em>' reference.
	 * @see #getNazivPovredeSluzbeneDuznosti()
	 * @generated
	 */
	void setNazivPovredeSluzbeneDuznosti(NazivPovredeSluzbeneDuznostiImpl value);

	/**
	 * Returns the value of the '<em><b>Sluzbenik Protiv Koga Je Podnesena Zalba</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Sluzbenik Protiv Koga Je Podnesena Zalba</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Sluzbenik Protiv Koga Je Podnesena Zalba</em>' reference.
	 * @see #setSluzbenikProtivKogaJePodnesenaZalba(SluzbenaOsoba)
	 * @see pbdmodel.PbdmodelPackage#getInterniPostupak_SluzbenikProtivKogaJePodnesenaZalba()
	 * @model required="true"
	 * @generated
	 */
//	SluzbenaOsobaImpl getSluzbenikProtivKogaJePodnesenaZalba();

	/**
	 * Sets the value of the '{@link pbdmodel.InterniPostupak#getSluzbenikProtivKogaJePodnesenaZalba <em>Sluzbenik Protiv Koga Je Podnesena Zalba</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Sluzbenik Protiv Koga Je Podnesena Zalba</em>' reference.
	 * @see #getSluzbenikProtivKogaJePodnesenaZalba()
	 * @generated
	 */
//	void setSluzbenikProtivKogaJePodnesenaZalba(SluzbenaOsobaImpl value);

} // InterniPostupak
