/**
 */
package pbdmodel;

import java.util.Date;
import java.util.List;

import pbdmodel.impl.MjestoImpl;
import pbdmodel.impl.NacinOduzimanjaPredmetaImpl;
import pbdmodel.impl.OrganVlastiImpl;
import pbdmodel.impl.PostupanjeSaPredmetimaImpl;
import pbdmodel.impl.PredmetImpl;
import pbdmodel.impl.ZakonskaOsnovaImpl;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Oduzimanje Predmeta</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getIDOduzimanjePredmeta <em>ID Oduzimanje Predmeta</em>}</li>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getDatumIzdavanjaPotvrde <em>Datum Izdavanja Potvrde</em>}</li>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getVrijemeIzdavanjaPotvrde <em>Vrijeme Izdavanja Potvrde</em>}</li>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getRazlogOduzimanjaPredmeta <em>Razlog Oduzimanja Predmeta</em>}</li>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getPostupanjeSaPrivremenoOduzetimPredmetima <em>Postupanje Sa Privremeno Oduzetim Predmetima</em>}</li>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getDatumPreuzimanja <em>Datum Preuzimanja</em>}</li>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getVrijemePreuzimanja <em>Vrijeme Preuzimanja</em>}</li>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getOsobaKojaJePreuzelaPredmet <em>Osoba Koja Je Preuzela Predmet</em>}</li>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getOrganVlasti <em>Organ Vlasti</em>}</li>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getPredmeti <em>Predmeti</em>}</li>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getZakonskaOsnova <em>Zakonska Osnova</em>}</li>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getNacinOduzimanjaPredmeta <em>Nacin Oduzimanja Predmeta</em>}</li>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getPostupanjeSaPredmetima <em>Postupanje Sa Predmetima</em>}</li>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getDatumOduzimanjaPredmeta <em>Datum Oduzimanja Predmeta</em>}</li>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getBrojPotvrdeOPredaji <em>Broj Potvrde OPredaji</em>}</li>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getPredmetDeponovanU <em>Predmet Deponovan U</em>}</li>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getPredmetPredao <em>Predmet Predao</em>}</li>
 *   <li>{@link pbdmodel.OduzimanjePredmeta#getMjesto <em>Mjesto</em>}</li>
 * </ul>
 * </p>
 *
 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta()
 * @model
 * @generated
 */
public interface OduzimanjePredmeta extends Aktivnost {
	/**
	 * Returns the value of the '<em><b>ID Oduzimanje Predmeta</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>ID Oduzimanje Predmeta</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>ID Oduzimanje Predmeta</em>' attribute.
	 * @see #setIDOduzimanjePredmeta(long)
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_IDOduzimanjePredmeta()
	 * @model
	 * @generated
	 */
	long getIDOduzimanjePredmeta();

	/**
	 * Sets the value of the '{@link pbdmodel.OduzimanjePredmeta#getIDOduzimanjePredmeta <em>ID Oduzimanje Predmeta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>ID Oduzimanje Predmeta</em>' attribute.
	 * @see #getIDOduzimanjePredmeta()
	 * @generated
	 */
	void setIDOduzimanjePredmeta(long value);

	/**
	 * Returns the value of the '<em><b>Datum Izdavanja Potvrde</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum Izdavanja Potvrde</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum Izdavanja Potvrde</em>' attribute.
	 * @see #setDatumIzdavanjaPotvrde(Date)
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_DatumIzdavanjaPotvrde()
	 * @model
	 * @generated
	 */
	Date getDatumIzdavanjaPotvrde();

	/**
	 * Sets the value of the '{@link pbdmodel.OduzimanjePredmeta#getDatumIzdavanjaPotvrde <em>Datum Izdavanja Potvrde</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum Izdavanja Potvrde</em>' attribute.
	 * @see #getDatumIzdavanjaPotvrde()
	 * @generated
	 */
	void setDatumIzdavanjaPotvrde(Date value);

	/**
	 * Returns the value of the '<em><b>Vrijeme Izdavanja Potvrde</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrijeme Izdavanja Potvrde</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrijeme Izdavanja Potvrde</em>' attribute.
	 * @see #setVrijemeIzdavanjaPotvrde(Date)
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_VrijemeIzdavanjaPotvrde()
	 * @model
	 * @generated
	 */
	Date getVrijemeIzdavanjaPotvrde();

	/**
	 * Sets the value of the '{@link pbdmodel.OduzimanjePredmeta#getVrijemeIzdavanjaPotvrde <em>Vrijeme Izdavanja Potvrde</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrijeme Izdavanja Potvrde</em>' attribute.
	 * @see #getVrijemeIzdavanjaPotvrde()
	 * @generated
	 */
	void setVrijemeIzdavanjaPotvrde(Date value);

	/**
	 * Returns the value of the '<em><b>Razlog Oduzimanja Predmeta</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Razlog Oduzimanja Predmeta</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Razlog Oduzimanja Predmeta</em>' attribute.
	 * @see #setRazlogOduzimanjaPredmeta(String)
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_RazlogOduzimanjaPredmeta()
	 * @model
	 * @generated
	 */
	String getRazlogOduzimanjaPredmeta();

	/**
	 * Sets the value of the '{@link pbdmodel.OduzimanjePredmeta#getRazlogOduzimanjaPredmeta <em>Razlog Oduzimanja Predmeta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Razlog Oduzimanja Predmeta</em>' attribute.
	 * @see #getRazlogOduzimanjaPredmeta()
	 * @generated
	 */
	void setRazlogOduzimanjaPredmeta(String value);

	/**
	 * Returns the value of the '<em><b>Postupanje Sa Privremeno Oduzetim Predmetima</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Postupanje Sa Privremeno Oduzetim Predmetima</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Postupanje Sa Privremeno Oduzetim Predmetima</em>' attribute.
	 * @see #setPostupanjeSaPrivremenoOduzetimPredmetima(String)
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_PostupanjeSaPrivremenoOduzetimPredmetima()
	 * @model
	 * @generated
	 */
	String getPostupanjeSaPrivremenoOduzetimPredmetima();

	/**
	 * Sets the value of the '{@link pbdmodel.OduzimanjePredmeta#getPostupanjeSaPrivremenoOduzetimPredmetima <em>Postupanje Sa Privremeno Oduzetim Predmetima</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Postupanje Sa Privremeno Oduzetim Predmetima</em>' attribute.
	 * @see #getPostupanjeSaPrivremenoOduzetimPredmetima()
	 * @generated
	 */
	void setPostupanjeSaPrivremenoOduzetimPredmetima(String value);

	/**
	 * Returns the value of the '<em><b>Datum Preuzimanja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum Preuzimanja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum Preuzimanja</em>' attribute.
	 * @see #setDatumPreuzimanja(Date)
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_DatumPreuzimanja()
	 * @model
	 * @generated
	 */
	Date getDatumPreuzimanja();

	/**
	 * Sets the value of the '{@link pbdmodel.OduzimanjePredmeta#getDatumPreuzimanja <em>Datum Preuzimanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum Preuzimanja</em>' attribute.
	 * @see #getDatumPreuzimanja()
	 * @generated
	 */
	void setDatumPreuzimanja(Date value);

	/**
	 * Returns the value of the '<em><b>Vrijeme Preuzimanja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrijeme Preuzimanja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrijeme Preuzimanja</em>' attribute.
	 * @see #setVrijemePreuzimanja(Date)
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_VrijemePreuzimanja()
	 * @model
	 * @generated
	 */
	Date getVrijemePreuzimanja();

	/**
	 * Sets the value of the '{@link pbdmodel.OduzimanjePredmeta#getVrijemePreuzimanja <em>Vrijeme Preuzimanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrijeme Preuzimanja</em>' attribute.
	 * @see #getVrijemePreuzimanja()
	 * @generated
	 */
	void setVrijemePreuzimanja(Date value);

	/**
	 * Returns the value of the '<em><b>Osoba Koja Je Preuzela Predmet</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Osoba Koja Je Preuzela Predmet</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Osoba Koja Je Preuzela Predmet</em>' attribute.
	 * @see #setOsobaKojaJePreuzelaPredmet(String)
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_OsobaKojaJePreuzelaPredmet()
	 * @model
	 * @generated
	 */
	String getOsobaKojaJePreuzelaPredmet();

	/**
	 * Sets the value of the '{@link pbdmodel.OduzimanjePredmeta#getOsobaKojaJePreuzelaPredmet <em>Osoba Koja Je Preuzela Predmet</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Osoba Koja Je Preuzela Predmet</em>' attribute.
	 * @see #getOsobaKojaJePreuzelaPredmet()
	 * @generated
	 */
	void setOsobaKojaJePreuzelaPredmet(String value);

	/**
	 * Returns the value of the '<em><b>Organ Vlasti</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Organ Vlasti</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Organ Vlasti</em>' reference.
	 * @see #setOrganVlasti(OrganVlasti)
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_OrganVlasti()
	 * @model required="true"
	 * @generated
	 */
	OrganVlastiImpl getOrganVlasti();

	/**
	 * Sets the value of the '{@link pbdmodel.OduzimanjePredmeta#getOrganVlasti <em>Organ Vlasti</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Organ Vlasti</em>' reference.
	 * @see #getOrganVlasti()
	 * @generated
	 */
	void setOrganVlasti(OrganVlastiImpl value);

	/**
	 * Returns the value of the '<em><b>Predmeti</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Predmet}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Predmeti</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Predmeti</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_Predmeti()
	 * @model required="true"
	 * @generated
	 */
	List<PredmetImpl> getPredmeti();

	/**
	 * Returns the value of the '<em><b>Zakonska Osnova</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Zakonska Osnova</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Zakonska Osnova</em>' reference.
	 * @see #setZakonskaOsnova(ZakonskaOsnova)
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_ZakonskaOsnova()
	 * @model required="true"
	 * @generated
	 */
	ZakonskaOsnovaImpl getZakonskaOsnova();

	/**
	 * Sets the value of the '{@link pbdmodel.OduzimanjePredmeta#getZakonskaOsnova <em>Zakonska Osnova</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Zakonska Osnova</em>' reference.
	 * @see #getZakonskaOsnova()
	 * @generated
	 */
	void setZakonskaOsnova(ZakonskaOsnovaImpl value);

	/**
	 * Returns the value of the '<em><b>Nacin Oduzimanja Predmeta</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Nacin Oduzimanja Predmeta</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Nacin Oduzimanja Predmeta</em>' reference.
	 * @see #setNacinOduzimanjaPredmeta(NacinOduzimanjaPredmeta)
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_NacinOduzimanjaPredmeta()
	 * @model required="true"
	 * @generated
	 */
	NacinOduzimanjaPredmetaImpl getNacinOduzimanjaPredmeta();

	/**
	 * Sets the value of the '{@link pbdmodel.OduzimanjePredmeta#getNacinOduzimanjaPredmeta <em>Nacin Oduzimanja Predmeta</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Nacin Oduzimanja Predmeta</em>' reference.
	 * @see #getNacinOduzimanjaPredmeta()
	 * @generated
	 */
	void setNacinOduzimanjaPredmeta(NacinOduzimanjaPredmetaImpl value);

	/**
	 * Returns the value of the '<em><b>Postupanje Sa Predmetima</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Postupanje Sa Predmetima</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Postupanje Sa Predmetima</em>' reference.
	 * @see #setPostupanjeSaPredmetima(PostupanjeSaPredmetima)
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_PostupanjeSaPredmetima()
	 * @model required="true"
	 * @generated
	 */
	PostupanjeSaPredmetimaImpl getPostupanjeSaPredmetima();

	/**
	 * Sets the value of the '{@link pbdmodel.OduzimanjePredmeta#getPostupanjeSaPredmetima <em>Postupanje Sa Predmetima</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Postupanje Sa Predmetima</em>' reference.
	 * @see #getPostupanjeSaPredmetima()
	 * @generated
	 */
	void setPostupanjeSaPredmetima(PostupanjeSaPredmetimaImpl value);

	/**
	 * Returns the value of the '<em><b>Datum Oduzimanja Predmeta</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum Oduzimanja Predmeta</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum Oduzimanja Predmeta</em>' attribute.
	 * @see #setDatumOduzimanjaPredmeta(Date)
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_DatumOduzimanjaPredmeta()
	 * @model
	 * @generated
	 */
	Date getDatumOduzimanjaPredmeta();

	/**
	 * Sets the value of the '{@link pbdmodel.OduzimanjePredmeta#getDatumOduzimanjaPredmeta <em>Datum Oduzimanja Predmeta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum Oduzimanja Predmeta</em>' attribute.
	 * @see #getDatumOduzimanjaPredmeta()
	 * @generated
	 */
	void setDatumOduzimanjaPredmeta(Date value);

	/**
	 * Returns the value of the '<em><b>Broj Potvrde OPredaji</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Broj Potvrde OPredaji</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Broj Potvrde OPredaji</em>' attribute.
	 * @see #setBrojPotvrdeOPredaji(String)
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_BrojPotvrdeOPredaji()
	 * @model
	 * @generated
	 */
	String getBrojPotvrdeOPredaji();

	/**
	 * Sets the value of the '{@link pbdmodel.OduzimanjePredmeta#getBrojPotvrdeOPredaji <em>Broj Potvrde OPredaji</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Broj Potvrde OPredaji</em>' attribute.
	 * @see #getBrojPotvrdeOPredaji()
	 * @generated
	 */
	void setBrojPotvrdeOPredaji(String value);

	/**
	 * Returns the value of the '<em><b>Predmet Deponovan U</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Predmet Deponovan U</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Predmet Deponovan U</em>' attribute.
	 * @see #setPredmetDeponovanU(String)
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_PredmetDeponovanU()
	 * @model
	 * @generated
	 */
	String getPredmetDeponovanU();

	/**
	 * Sets the value of the '{@link pbdmodel.OduzimanjePredmeta#getPredmetDeponovanU <em>Predmet Deponovan U</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Predmet Deponovan U</em>' attribute.
	 * @see #getPredmetDeponovanU()
	 * @generated
	 */
	void setPredmetDeponovanU(String value);

	/**
	 * Returns the value of the '<em><b>Predmet Predao</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Predmet Predao</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Predmet Predao</em>' attribute.
	 * @see #setPredmetPredao(String)
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_PredmetPredao()
	 * @model
	 * @generated
	 */
	String getPredmetPredao();

	/**
	 * Sets the value of the '{@link pbdmodel.OduzimanjePredmeta#getPredmetPredao <em>Predmet Predao</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Predmet Predao</em>' attribute.
	 * @see #getPredmetPredao()
	 * @generated
	 */
	void setPredmetPredao(String value);

	/**
	 * Returns the value of the '<em><b>Mjesto</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Mjesto</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Mjesto</em>' reference.
	 * @see #setMjesto(Mjesto)
	 * @see pbdmodel.PbdmodelPackage#getOduzimanjePredmeta_Mjesto()
	 * @model required="true"
	 * @generated
	 */
	MjestoImpl getMjesto();

	/**
	 * Sets the value of the '{@link pbdmodel.OduzimanjePredmeta#getMjesto <em>Mjesto</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Mjesto</em>' reference.
	 * @see #getMjesto()
	 * @generated
	 */
	void setMjesto(MjestoImpl value);

} // OduzimanjePredmeta
