/**
 */
package pbdmodel;

import java.util.Date;

import pbdmodel.impl.AdresaImpl;
import pbdmodel.impl.DrzavaImpl;
import pbdmodel.impl.DrzavljanstvoImpl;
import pbdmodel.impl.KrvnaGrupaImpl;
import pbdmodel.impl.MjestoImpl;
import pbdmodel.impl.NacionalnostImpl;
import pbdmodel.impl.OpisOsobeImpl;
import pbdmodel.impl.OpstinaImpl;
import pbdmodel.impl.TipLicnogDokumentaImpl;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Osoba</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link pbdmodel.Osoba#getIDOsobe <em>ID Osobe</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getJMB <em>JMB</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getIme <em>Ime</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getPrezime <em>Prezime</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getImeRoditelja <em>Ime Roditelja</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getSpol <em>Spol</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getNadimak <em>Nadimak</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getStrucnaSprema <em>Strucna Sprema</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getImeOca <em>Ime Oca</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getImeMajke <em>Ime Majke</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getDjevojackoPrezimeMajke <em>Djevojacko Prezime Majke</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getDatumRodjenja <em>Datum Rodjenja</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getMjestoZaposlenja <em>Mjesto Zaposlenja</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getBrojLicnogDokumenta <em>Broj Licnog Dokumenta</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getLicniDokumentIzdatOd <em>Licni Dokument Izdat Od</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getPunoIme <em>Puno Ime</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getVrsteOsobe <em>Vrste Osobe</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getZvanje <em>Zvanje</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getOpisOsobe <em>Opis Osobe</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getTipLicnogDokumenta <em>Tip Licnog Dokumenta</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getNacionalnost <em>Nacionalnost</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getAdresa <em>Adresa</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getMjesto <em>Mjesto</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getZanimanje <em>Zanimanje</em>}</li>
 *   <li>{@link pbdmodel.Osoba#isMaloljetnik <em>Maloljetnik</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getPonasanje <em>Ponasanje</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getBrojTelefona <em>Broj Telefona</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getDjevojackoPrezime <em>Djevojacko Prezime</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getDrzavaRodjenja <em>Drzava Rodjenja</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getOpstinaRodjenja <em>Opstina Rodjenja</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getBrojLicneKarte <em>Broj Licne Karte</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getBrojVozackeDozvole <em>Broj Vozacke Dozvole</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getKrvnaGrupa <em>Krvna Grupa</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getDrzavljanstvo <em>Drzavljanstvo</em>}</li>
 *   <li>{@link pbdmodel.Osoba#getStepoenInvalidnosti <em>Stepoen Invalidnosti</em>}</li>
 * </ul>
 * </p>
 *
 * @see pbdmodel.PbdmodelPackage#getOsoba()
 * @model
 * @generated
 */
public interface Osoba extends Metadata {
	/**
	 * Returns the value of the '<em><b>ID Osobe</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>ID Osobe</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>ID Osobe</em>' attribute.
	 * @see #setIDOsobe(long)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_IDOsobe()
	 * @model
	 * @generated
	 */
	long getIDOsobe();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getIDOsobe <em>ID Osobe</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>ID Osobe</em>' attribute.
	 * @see #getIDOsobe()
	 * @generated
	 */
	void setIDOsobe(long value);

	/**
	 * Returns the value of the '<em><b>JMB</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>JMB</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>JMB</em>' attribute.
	 * @see #setJMB(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_JMB()
	 * @model
	 * @generated
	 */
	String getJMB();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getJMB <em>JMB</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>JMB</em>' attribute.
	 * @see #getJMB()
	 * @generated
	 */
	void setJMB(String value);

	/**
	 * Returns the value of the '<em><b>Ime</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ime</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ime</em>' attribute.
	 * @see #setIme(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_Ime()
	 * @model
	 * @generated
	 */
	String getIme();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getIme <em>Ime</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ime</em>' attribute.
	 * @see #getIme()
	 * @generated
	 */
	void setIme(String value);

	/**
	 * Returns the value of the '<em><b>Prezime</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Prezime</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Prezime</em>' attribute.
	 * @see #setPrezime(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_Prezime()
	 * @model
	 * @generated
	 */
	String getPrezime();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getPrezime <em>Prezime</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Prezime</em>' attribute.
	 * @see #getPrezime()
	 * @generated
	 */
	void setPrezime(String value);

	/**
	 * Returns the value of the '<em><b>Ime Roditelja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ime Roditelja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ime Roditelja</em>' attribute.
	 * @see #setImeRoditelja(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_ImeRoditelja()
	 * @model
	 * @generated
	 */
	String getImeRoditelja();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getImeRoditelja <em>Ime Roditelja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ime Roditelja</em>' attribute.
	 * @see #getImeRoditelja()
	 * @generated
	 */
	void setImeRoditelja(String value);

	/**
	 * Returns the value of the '<em><b>Spol</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Spol</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Spol</em>' attribute.
	 * @see #setSpol(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_Spol()
	 * @model
	 * @generated
	 */
	String getSpol();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getSpol <em>Spol</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Spol</em>' attribute.
	 * @see #getSpol()
	 * @generated
	 */
	void setSpol(String value);

	/**
	 * Returns the value of the '<em><b>Nadimak</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Nadimak</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Nadimak</em>' attribute.
	 * @see #setNadimak(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_Nadimak()
	 * @model
	 * @generated
	 */
	String getNadimak();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getNadimak <em>Nadimak</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Nadimak</em>' attribute.
	 * @see #getNadimak()
	 * @generated
	 */
	void setNadimak(String value);

	/**
	 * Returns the value of the '<em><b>Strucna Sprema</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Strucna Sprema</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Strucna Sprema</em>' attribute.
	 * @see #setStrucnaSprema(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_StrucnaSprema()
	 * @model
	 * @generated
	 */
	String getStrucnaSprema();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getStrucnaSprema <em>Strucna Sprema</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Strucna Sprema</em>' attribute.
	 * @see #getStrucnaSprema()
	 * @generated
	 */
	void setStrucnaSprema(String value);

	/**
	 * Returns the value of the '<em><b>Ime Oca</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ime Oca</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ime Oca</em>' attribute.
	 * @see #setImeOca(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_ImeOca()
	 * @model
	 * @generated
	 */
	String getImeOca();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getImeOca <em>Ime Oca</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ime Oca</em>' attribute.
	 * @see #getImeOca()
	 * @generated
	 */
	void setImeOca(String value);

	/**
	 * Returns the value of the '<em><b>Ime Majke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ime Majke</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ime Majke</em>' attribute.
	 * @see #setImeMajke(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_ImeMajke()
	 * @model
	 * @generated
	 */
	String getImeMajke();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getImeMajke <em>Ime Majke</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ime Majke</em>' attribute.
	 * @see #getImeMajke()
	 * @generated
	 */
	void setImeMajke(String value);

	/**
	 * Returns the value of the '<em><b>Djevojacko Prezime Majke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Djevojacko Prezime Majke</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Djevojacko Prezime Majke</em>' attribute.
	 * @see #setDjevojackoPrezimeMajke(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_DjevojackoPrezimeMajke()
	 * @model
	 * @generated
	 */
	String getDjevojackoPrezimeMajke();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getDjevojackoPrezimeMajke <em>Djevojacko Prezime Majke</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Djevojacko Prezime Majke</em>' attribute.
	 * @see #getDjevojackoPrezimeMajke()
	 * @generated
	 */
	void setDjevojackoPrezimeMajke(String value);

	/**
	 * Returns the value of the '<em><b>Datum Rodjenja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum Rodjenja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum Rodjenja</em>' attribute.
	 * @see #setDatumRodjenja(Date)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_DatumRodjenja()
	 * @model
	 * @generated
	 */
	Date getDatumRodjenja();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getDatumRodjenja <em>Datum Rodjenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum Rodjenja</em>' attribute.
	 * @see #getDatumRodjenja()
	 * @generated
	 */
	void setDatumRodjenja(Date value);

	/**
	 * Returns the value of the '<em><b>Mjesto Zaposlenja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Mjesto Zaposlenja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Mjesto Zaposlenja</em>' attribute.
	 * @see #setMjestoZaposlenja(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_MjestoZaposlenja()
	 * @model
	 * @generated
	 */
	String getMjestoZaposlenja();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getMjestoZaposlenja <em>Mjesto Zaposlenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Mjesto Zaposlenja</em>' attribute.
	 * @see #getMjestoZaposlenja()
	 * @generated
	 */
	void setMjestoZaposlenja(String value);

	/**
	 * Returns the value of the '<em><b>Broj Licnog Dokumenta</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Broj Licnog Dokumenta</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Broj Licnog Dokumenta</em>' attribute.
	 * @see #setBrojLicnogDokumenta(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_BrojLicnogDokumenta()
	 * @model
	 * @generated
	 */
	String getBrojLicnogDokumenta();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getBrojLicnogDokumenta <em>Broj Licnog Dokumenta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Broj Licnog Dokumenta</em>' attribute.
	 * @see #getBrojLicnogDokumenta()
	 * @generated
	 */
	void setBrojLicnogDokumenta(String value);

	/**
	 * Returns the value of the '<em><b>Licni Dokument Izdat Od</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Licni Dokument Izdat Od</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Licni Dokument Izdat Od</em>' attribute.
	 * @see #setLicniDokumentIzdatOd(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_LicniDokumentIzdatOd()
	 * @model
	 * @generated
	 */
	String getLicniDokumentIzdatOd();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getLicniDokumentIzdatOd <em>Licni Dokument Izdat Od</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Licni Dokument Izdat Od</em>' attribute.
	 * @see #getLicniDokumentIzdatOd()
	 * @generated
	 */
	void setLicniDokumentIzdatOd(String value);

	/**
	 * Returns the value of the '<em><b>Puno Ime</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Puno Ime</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Puno Ime</em>' attribute.
	 * @see #setPunoIme(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_PunoIme()
	 * @model
	 * @generated
	 */
	String getPunoIme();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getPunoIme <em>Puno Ime</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Puno Ime</em>' attribute.
	 * @see #getPunoIme()
	 * @generated
	 */
	void setPunoIme(String value);

	/**
	 * Returns the value of the '<em><b>Vrste Osobe</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrste Osobe</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrste Osobe</em>' attribute.
	 * @see #setVrsteOsobe(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_VrsteOsobe()
	 * @model
	 * @generated
	 */
	String getVrsteOsobe();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getVrsteOsobe <em>Vrste Osobe</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrste Osobe</em>' attribute.
	 * @see #getVrsteOsobe()
	 * @generated
	 */
	void setVrsteOsobe(String value);

	/**
	 * Returns the value of the '<em><b>Zvanje</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Zvanje</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Zvanje</em>' attribute.
	 * @see #setZvanje(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_Zvanje()
	 * @model
	 * @generated
	 */
	String getZvanje();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getZvanje <em>Zvanje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Zvanje</em>' attribute.
	 * @see #getZvanje()
	 * @generated
	 */
	void setZvanje(String value);

	/**
	 * Returns the value of the '<em><b>Opis Osobe</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Opis Osobe</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Opis Osobe</em>' reference.
	 * @see #setOpisOsobe(OpisOsobe)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_OpisOsobe()
	 * @model required="true"
	 * @generated
	 */
	OpisOsobeImpl getOpisOsobe();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getOpisOsobe <em>Opis Osobe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Opis Osobe</em>' reference.
	 * @see #getOpisOsobe()
	 * @generated
	 */
	void setOpisOsobe(OpisOsobeImpl value);

	/**
	 * Returns the value of the '<em><b>Tip Licnog Dokumenta</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Tip Licnog Dokumenta</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Tip Licnog Dokumenta</em>' reference.
	 * @see #setTipLicnogDokumenta(TipLicnogDokumenta)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_TipLicnogDokumenta()
	 * @model required="true"
	 * @generated
	 */
	TipLicnogDokumentaImpl getTipLicnogDokumenta();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getTipLicnogDokumenta <em>Tip Licnog Dokumenta</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Tip Licnog Dokumenta</em>' reference.
	 * @see #getTipLicnogDokumenta()
	 * @generated
	 */
	void setTipLicnogDokumenta(TipLicnogDokumentaImpl value);

	/**
	 * Returns the value of the '<em><b>Nacionalnost</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Nacionalnost</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Nacionalnost</em>' reference.
	 * @see #setNacionalnost(Nacionalnost)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_Nacionalnost()
	 * @model required="true"
	 * @generated
	 */
	NacionalnostImpl getNacionalnost();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getNacionalnost <em>Nacionalnost</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Nacionalnost</em>' reference.
	 * @see #getNacionalnost()
	 * @generated
	 */
	void setNacionalnost(NacionalnostImpl value);

	/**
	 * Returns the value of the '<em><b>Adresa</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Adresa</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Adresa</em>' reference.
	 * @see #setAdresa(Adresa)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_Adresa()
	 * @model required="true"
	 * @generated
	 */
	AdresaImpl getAdresa();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getAdresa <em>Adresa</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Adresa</em>' reference.
	 * @see #getAdresa()
	 * @generated
	 */
	void setAdresa(AdresaImpl value);

	/**
	 * Returns the value of the '<em><b>Mjesto</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Mjesto</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Mjesto</em>' reference.
	 * @see #setMjesto(Mjesto)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_Mjesto()
	 * @model required="true"
	 * @generated
	 */
	MjestoImpl getMjesto();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getMjesto <em>Mjesto</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Mjesto</em>' reference.
	 * @see #getMjesto()
	 * @generated
	 */
	void setMjesto(MjestoImpl value);

	/**
	 * Returns the value of the '<em><b>Zanimanje</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Zanimanje</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Zanimanje</em>' attribute.
	 * @see #setZanimanje(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_Zanimanje()
	 * @model
	 * @generated
	 */
	String getZanimanje();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getZanimanje <em>Zanimanje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Zanimanje</em>' attribute.
	 * @see #getZanimanje()
	 * @generated
	 */
	void setZanimanje(String value);

	/**
	 * Returns the value of the '<em><b>Maloljetnik</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Maloljetnik</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Maloljetnik</em>' attribute.
	 * @see #setMaloljetnik(boolean)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_Maloljetnik()
	 * @model
	 * @generated
	 */
	boolean isMaloljetnik();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#isMaloljetnik <em>Maloljetnik</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Maloljetnik</em>' attribute.
	 * @see #isMaloljetnik()
	 * @generated
	 */
	void setMaloljetnik(boolean value);

	/**
	 * Returns the value of the '<em><b>Ponasanje</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ponasanje</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ponasanje</em>' attribute.
	 * @see #setPonasanje(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_Ponasanje()
	 * @model
	 * @generated
	 */
	String getPonasanje();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getPonasanje <em>Ponasanje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ponasanje</em>' attribute.
	 * @see #getPonasanje()
	 * @generated
	 */
	void setPonasanje(String value);

	/**
	 * Returns the value of the '<em><b>Broj Telefona</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Broj Telefona</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Broj Telefona</em>' attribute.
	 * @see #setBrojTelefona(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_BrojTelefona()
	 * @model
	 * @generated
	 */
	String getBrojTelefona();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getBrojTelefona <em>Broj Telefona</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Broj Telefona</em>' attribute.
	 * @see #getBrojTelefona()
	 * @generated
	 */
	void setBrojTelefona(String value);

	/**
	 * Returns the value of the '<em><b>Djevojacko Prezime</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Djevojacko Prezime</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Djevojacko Prezime</em>' attribute.
	 * @see #setDjevojackoPrezime(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_DjevojackoPrezime()
	 * @model
	 * @generated
	 */
	String getDjevojackoPrezime();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getDjevojackoPrezime <em>Djevojacko Prezime</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Djevojacko Prezime</em>' attribute.
	 * @see #getDjevojackoPrezime()
	 * @generated
	 */
	void setDjevojackoPrezime(String value);

	/**
	 * Returns the value of the '<em><b>Drzava Rodjenja</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Drzava Rodjenja</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Drzava Rodjenja</em>' reference.
	 * @see #setDrzavaRodjenja(Drzava)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_DrzavaRodjenja()
	 * @model required="true"
	 * @generated
	 */
	DrzavaImpl getDrzavaRodjenja();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getDrzavaRodjenja <em>Drzava Rodjenja</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Drzava Rodjenja</em>' reference.
	 * @see #getDrzavaRodjenja()
	 * @generated
	 */
	void setDrzavaRodjenja(DrzavaImpl value);

	/**
	 * Returns the value of the '<em><b>Opstina Rodjenja</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Opstina Rodjenja</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Opstina Rodjenja</em>' reference.
	 * @see #setOpstinaRodjenja(Opstina)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_OpstinaRodjenja()
	 * @model required="true"
	 * @generated
	 */
	OpstinaImpl getOpstinaRodjenja();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getOpstinaRodjenja <em>Opstina Rodjenja</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Opstina Rodjenja</em>' reference.
	 * @see #getOpstinaRodjenja()
	 * @generated
	 */
	void setOpstinaRodjenja(OpstinaImpl value);

	/**
	 * Returns the value of the '<em><b>Broj Licne Karte</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Broj Licne Karte</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Broj Licne Karte</em>' attribute.
	 * @see #setBrojLicneKarte(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_BrojLicneKarte()
	 * @model
	 * @generated
	 */
	String getBrojLicneKarte();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getBrojLicneKarte <em>Broj Licne Karte</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Broj Licne Karte</em>' attribute.
	 * @see #getBrojLicneKarte()
	 * @generated
	 */
	void setBrojLicneKarte(String value);

	/**
	 * Returns the value of the '<em><b>Broj Vozacke Dozvole</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Broj Vozacke Dozvole</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Broj Vozacke Dozvole</em>' attribute.
	 * @see #setBrojVozackeDozvole(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_BrojVozackeDozvole()
	 * @model
	 * @generated
	 */
	String getBrojVozackeDozvole();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getBrojVozackeDozvole <em>Broj Vozacke Dozvole</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Broj Vozacke Dozvole</em>' attribute.
	 * @see #getBrojVozackeDozvole()
	 * @generated
	 */
	void setBrojVozackeDozvole(String value);

	/**
	 * Returns the value of the '<em><b>Krvna Grupa</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Krvna Grupa</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Krvna Grupa</em>' reference.
	 * @see #setKrvnaGrupa(KrvnaGrupa)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_KrvnaGrupa()
	 * @model required="true"
	 * @generated
	 */
	KrvnaGrupaImpl getKrvnaGrupa();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getKrvnaGrupa <em>Krvna Grupa</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Krvna Grupa</em>' reference.
	 * @see #getKrvnaGrupa()
	 * @generated
	 */
	void setKrvnaGrupa(KrvnaGrupaImpl value);

	/**
	 * Returns the value of the '<em><b>Drzavljanstvo</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Drzavljanstvo</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Drzavljanstvo</em>' reference.
	 * @see #setDrzavljanstvo(Drzavljanstvo)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_Drzavljanstvo()
	 * @model required="true"
	 * @generated
	 */
	DrzavljanstvoImpl getDrzavljanstvo();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getDrzavljanstvo <em>Drzavljanstvo</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Drzavljanstvo</em>' reference.
	 * @see #getDrzavljanstvo()
	 * @generated
	 */
	void setDrzavljanstvo(DrzavljanstvoImpl value);

	/**
	 * Returns the value of the '<em><b>Stepoen Invalidnosti</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Stepoen Invalidnosti</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Stepoen Invalidnosti</em>' attribute.
	 * @see #setStepoenInvalidnosti(String)
	 * @see pbdmodel.PbdmodelPackage#getOsoba_StepoenInvalidnosti()
	 * @model
	 * @generated
	 */
	String getStepoenInvalidnosti();

	/**
	 * Sets the value of the '{@link pbdmodel.Osoba#getStepoenInvalidnosti <em>Stepoen Invalidnosti</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Stepoen Invalidnosti</em>' attribute.
	 * @see #getStepoenInvalidnosti()
	 * @generated
	 */
	void setStepoenInvalidnosti(String value);

} // Osoba
