/**
 */
package pbdmodel;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Patrolni Nalog Aktivnosti</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getIskljucenoVozila <em>Iskljuceno Vozila</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getIskljucenoVozaca <em>Iskljuceno Vozaca</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getOstavljenoNaVozilu <em>Ostavljeno Na Vozilu</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getUrucenoPostom <em>Uruceno Postom</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getUrucenoLicno <em>Uruceno Licno</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getUrucenoNaloga <em>Uruceno Naloga</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getUpozoreno <em>Upozoreno</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getKontrolisano <em>Kontrolisano</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getSredstvaPrinudeOstalo <em>Sredstva Prinude Ostalo</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getVatrenoOruzje <em>Vatreno Oruzje</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getPalica <em>Palica</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getSluzbeneLisice <em>Sluzbene Lisice</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getFizickaSnaga <em>Fizicka Snaga</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getOstaleAktivnosti <em>Ostale Aktivnosti</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getPruzenoAsistencija <em>Pruzeno Asistencija</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getUhvacenoLicaPoPotjernicama <em>Uhvaceno Lica Po Potjernicama</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getLegitimisanoLica <em>Legitimisano Lica</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getOduzetoPredmeta <em>Oduzeto Predmeta</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getKriminalitetOstalo <em>Kriminalitet Ostalo</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getSluzbenihZabiljeski <em>Sluzbenih Zabiljeski</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getPretresStanaObjekta <em>Pretres Stana Objekta</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getPretresenoLica <em>Pretreseno Lica</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getObisaoObjekata <em>Obisao Objekata</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getJrmOstalo <em>Jrm Ostalo</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getPodnesenoPrijava <em>Podneseno Prijava</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getZadrzanoLica <em>Zadrzano Lica</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getUrucenoNalogaJRM <em>Uruceno Naloga JRM</em>}</li>
 *   <li>{@link pbdmodel.PatrolniNalogAktivnosti#getUpozorenoLica <em>Upozoreno Lica</em>}</li>
 * </ul>
 * </p>
 *
 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti()
 * @model
 * @generated
 */
public interface PatrolniNalogAktivnosti extends EObject {
	/**
	 * Returns the value of the '<em><b>Iskljuceno Vozila</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Iskljuceno Vozila</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Iskljuceno Vozila</em>' attribute.
	 * @see #setIskljucenoVozila(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_IskljucenoVozila()
	 * @model
	 * @generated
	 */
	String getIskljucenoVozila();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getIskljucenoVozila <em>Iskljuceno Vozila</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Iskljuceno Vozila</em>' attribute.
	 * @see #getIskljucenoVozila()
	 * @generated
	 */
	void setIskljucenoVozila(String value);

	/**
	 * Returns the value of the '<em><b>Iskljuceno Vozaca</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Iskljuceno Vozaca</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Iskljuceno Vozaca</em>' attribute.
	 * @see #setIskljucenoVozaca(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_IskljucenoVozaca()
	 * @model
	 * @generated
	 */
	String getIskljucenoVozaca();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getIskljucenoVozaca <em>Iskljuceno Vozaca</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Iskljuceno Vozaca</em>' attribute.
	 * @see #getIskljucenoVozaca()
	 * @generated
	 */
	void setIskljucenoVozaca(String value);

	/**
	 * Returns the value of the '<em><b>Ostavljeno Na Vozilu</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ostavljeno Na Vozilu</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ostavljeno Na Vozilu</em>' attribute.
	 * @see #setOstavljenoNaVozilu(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_OstavljenoNaVozilu()
	 * @model
	 * @generated
	 */
	String getOstavljenoNaVozilu();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getOstavljenoNaVozilu <em>Ostavljeno Na Vozilu</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ostavljeno Na Vozilu</em>' attribute.
	 * @see #getOstavljenoNaVozilu()
	 * @generated
	 */
	void setOstavljenoNaVozilu(String value);

	/**
	 * Returns the value of the '<em><b>Uruceno Postom</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Uruceno Postom</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Uruceno Postom</em>' attribute.
	 * @see #setUrucenoPostom(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_UrucenoPostom()
	 * @model
	 * @generated
	 */
	String getUrucenoPostom();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getUrucenoPostom <em>Uruceno Postom</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Uruceno Postom</em>' attribute.
	 * @see #getUrucenoPostom()
	 * @generated
	 */
	void setUrucenoPostom(String value);

	/**
	 * Returns the value of the '<em><b>Uruceno Licno</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Uruceno Licno</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Uruceno Licno</em>' attribute.
	 * @see #setUrucenoLicno(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_UrucenoLicno()
	 * @model
	 * @generated
	 */
	String getUrucenoLicno();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getUrucenoLicno <em>Uruceno Licno</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Uruceno Licno</em>' attribute.
	 * @see #getUrucenoLicno()
	 * @generated
	 */
	void setUrucenoLicno(String value);

	/**
	 * Returns the value of the '<em><b>Uruceno Naloga</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Uruceno Naloga</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Uruceno Naloga</em>' attribute.
	 * @see #setUrucenoNaloga(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_UrucenoNaloga()
	 * @model
	 * @generated
	 */
	String getUrucenoNaloga();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getUrucenoNaloga <em>Uruceno Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Uruceno Naloga</em>' attribute.
	 * @see #getUrucenoNaloga()
	 * @generated
	 */
	void setUrucenoNaloga(String value);

	/**
	 * Returns the value of the '<em><b>Upozoreno</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Upozoreno</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Upozoreno</em>' attribute.
	 * @see #setUpozoreno(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_Upozoreno()
	 * @model
	 * @generated
	 */
	String getUpozoreno();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getUpozoreno <em>Upozoreno</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Upozoreno</em>' attribute.
	 * @see #getUpozoreno()
	 * @generated
	 */
	void setUpozoreno(String value);

	/**
	 * Returns the value of the '<em><b>Kontrolisano</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Kontrolisano</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Kontrolisano</em>' attribute.
	 * @see #setKontrolisano(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_Kontrolisano()
	 * @model
	 * @generated
	 */
	String getKontrolisano();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getKontrolisano <em>Kontrolisano</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Kontrolisano</em>' attribute.
	 * @see #getKontrolisano()
	 * @generated
	 */
	void setKontrolisano(String value);

	/**
	 * Returns the value of the '<em><b>Sredstva Prinude Ostalo</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Sredstva Prinude Ostalo</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Sredstva Prinude Ostalo</em>' attribute.
	 * @see #setSredstvaPrinudeOstalo(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_SredstvaPrinudeOstalo()
	 * @model
	 * @generated
	 */
	String getSredstvaPrinudeOstalo();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getSredstvaPrinudeOstalo <em>Sredstva Prinude Ostalo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Sredstva Prinude Ostalo</em>' attribute.
	 * @see #getSredstvaPrinudeOstalo()
	 * @generated
	 */
	void setSredstvaPrinudeOstalo(String value);

	/**
	 * Returns the value of the '<em><b>Vatreno Oruzje</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vatreno Oruzje</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vatreno Oruzje</em>' attribute.
	 * @see #setVatrenoOruzje(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_VatrenoOruzje()
	 * @model
	 * @generated
	 */
	String getVatrenoOruzje();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getVatrenoOruzje <em>Vatreno Oruzje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vatreno Oruzje</em>' attribute.
	 * @see #getVatrenoOruzje()
	 * @generated
	 */
	void setVatrenoOruzje(String value);

	/**
	 * Returns the value of the '<em><b>Palica</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Palica</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Palica</em>' attribute.
	 * @see #setPalica(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_Palica()
	 * @model
	 * @generated
	 */
	String getPalica();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getPalica <em>Palica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Palica</em>' attribute.
	 * @see #getPalica()
	 * @generated
	 */
	void setPalica(String value);

	/**
	 * Returns the value of the '<em><b>Sluzbene Lisice</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Sluzbene Lisice</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Sluzbene Lisice</em>' attribute.
	 * @see #setSluzbeneLisice(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_SluzbeneLisice()
	 * @model
	 * @generated
	 */
	String getSluzbeneLisice();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getSluzbeneLisice <em>Sluzbene Lisice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Sluzbene Lisice</em>' attribute.
	 * @see #getSluzbeneLisice()
	 * @generated
	 */
	void setSluzbeneLisice(String value);

	/**
	 * Returns the value of the '<em><b>Fizicka Snaga</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Fizicka Snaga</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Fizicka Snaga</em>' attribute.
	 * @see #setFizickaSnaga(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_FizickaSnaga()
	 * @model
	 * @generated
	 */
	String getFizickaSnaga();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getFizickaSnaga <em>Fizicka Snaga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Fizicka Snaga</em>' attribute.
	 * @see #getFizickaSnaga()
	 * @generated
	 */
	void setFizickaSnaga(String value);

	/**
	 * Returns the value of the '<em><b>Ostale Aktivnosti</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ostale Aktivnosti</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ostale Aktivnosti</em>' attribute.
	 * @see #setOstaleAktivnosti(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_OstaleAktivnosti()
	 * @model
	 * @generated
	 */
	String getOstaleAktivnosti();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getOstaleAktivnosti <em>Ostale Aktivnosti</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ostale Aktivnosti</em>' attribute.
	 * @see #getOstaleAktivnosti()
	 * @generated
	 */
	void setOstaleAktivnosti(String value);

	/**
	 * Returns the value of the '<em><b>Pruzeno Asistencija</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Pruzeno Asistencija</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pruzeno Asistencija</em>' attribute.
	 * @see #setPruzenoAsistencija(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_PruzenoAsistencija()
	 * @model
	 * @generated
	 */
	String getPruzenoAsistencija();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getPruzenoAsistencija <em>Pruzeno Asistencija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Pruzeno Asistencija</em>' attribute.
	 * @see #getPruzenoAsistencija()
	 * @generated
	 */
	void setPruzenoAsistencija(String value);

	/**
	 * Returns the value of the '<em><b>Uhvaceno Lica Po Potjernicama</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Uhvaceno Lica Po Potjernicama</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Uhvaceno Lica Po Potjernicama</em>' attribute.
	 * @see #setUhvacenoLicaPoPotjernicama(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_UhvacenoLicaPoPotjernicama()
	 * @model
	 * @generated
	 */
	String getUhvacenoLicaPoPotjernicama();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getUhvacenoLicaPoPotjernicama <em>Uhvaceno Lica Po Potjernicama</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Uhvaceno Lica Po Potjernicama</em>' attribute.
	 * @see #getUhvacenoLicaPoPotjernicama()
	 * @generated
	 */
	void setUhvacenoLicaPoPotjernicama(String value);

	/**
	 * Returns the value of the '<em><b>Legitimisano Lica</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Legitimisano Lica</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Legitimisano Lica</em>' attribute.
	 * @see #setLegitimisanoLica(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_LegitimisanoLica()
	 * @model
	 * @generated
	 */
	String getLegitimisanoLica();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getLegitimisanoLica <em>Legitimisano Lica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Legitimisano Lica</em>' attribute.
	 * @see #getLegitimisanoLica()
	 * @generated
	 */
	void setLegitimisanoLica(String value);

	/**
	 * Returns the value of the '<em><b>Oduzeto Predmeta</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Oduzeto Predmeta</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Oduzeto Predmeta</em>' attribute.
	 * @see #setOduzetoPredmeta(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_OduzetoPredmeta()
	 * @model
	 * @generated
	 */
	String getOduzetoPredmeta();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getOduzetoPredmeta <em>Oduzeto Predmeta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Oduzeto Predmeta</em>' attribute.
	 * @see #getOduzetoPredmeta()
	 * @generated
	 */
	void setOduzetoPredmeta(String value);

	/**
	 * Returns the value of the '<em><b>Kriminalitet Ostalo</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Kriminalitet Ostalo</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Kriminalitet Ostalo</em>' attribute.
	 * @see #setKriminalitetOstalo(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_KriminalitetOstalo()
	 * @model
	 * @generated
	 */
	String getKriminalitetOstalo();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getKriminalitetOstalo <em>Kriminalitet Ostalo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Kriminalitet Ostalo</em>' attribute.
	 * @see #getKriminalitetOstalo()
	 * @generated
	 */
	void setKriminalitetOstalo(String value);

	/**
	 * Returns the value of the '<em><b>Sluzbenih Zabiljeski</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Sluzbenih Zabiljeski</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Sluzbenih Zabiljeski</em>' attribute.
	 * @see #setSluzbenihZabiljeski(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_SluzbenihZabiljeski()
	 * @model
	 * @generated
	 */
	String getSluzbenihZabiljeski();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getSluzbenihZabiljeski <em>Sluzbenih Zabiljeski</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Sluzbenih Zabiljeski</em>' attribute.
	 * @see #getSluzbenihZabiljeski()
	 * @generated
	 */
	void setSluzbenihZabiljeski(String value);

	/**
	 * Returns the value of the '<em><b>Pretres Stana Objekta</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Pretres Stana Objekta</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pretres Stana Objekta</em>' attribute.
	 * @see #setPretresStanaObjekta(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_PretresStanaObjekta()
	 * @model
	 * @generated
	 */
	String getPretresStanaObjekta();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getPretresStanaObjekta <em>Pretres Stana Objekta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Pretres Stana Objekta</em>' attribute.
	 * @see #getPretresStanaObjekta()
	 * @generated
	 */
	void setPretresStanaObjekta(String value);

	/**
	 * Returns the value of the '<em><b>Pretreseno Lica</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Pretreseno Lica</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pretreseno Lica</em>' attribute.
	 * @see #setPretresenoLica(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_PretresenoLica()
	 * @model
	 * @generated
	 */
	String getPretresenoLica();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getPretresenoLica <em>Pretreseno Lica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Pretreseno Lica</em>' attribute.
	 * @see #getPretresenoLica()
	 * @generated
	 */
	void setPretresenoLica(String value);

	/**
	 * Returns the value of the '<em><b>Obisao Objekata</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Obisao Objekata</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Obisao Objekata</em>' attribute.
	 * @see #setObisaoObjekata(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_ObisaoObjekata()
	 * @model
	 * @generated
	 */
	String getObisaoObjekata();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getObisaoObjekata <em>Obisao Objekata</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Obisao Objekata</em>' attribute.
	 * @see #getObisaoObjekata()
	 * @generated
	 */
	void setObisaoObjekata(String value);

	/**
	 * Returns the value of the '<em><b>Jrm Ostalo</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Jrm Ostalo</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Jrm Ostalo</em>' attribute.
	 * @see #setJrmOstalo(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_JrmOstalo()
	 * @model
	 * @generated
	 */
	String getJrmOstalo();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getJrmOstalo <em>Jrm Ostalo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Jrm Ostalo</em>' attribute.
	 * @see #getJrmOstalo()
	 * @generated
	 */
	void setJrmOstalo(String value);

	/**
	 * Returns the value of the '<em><b>Podneseno Prijava</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Podneseno Prijava</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Podneseno Prijava</em>' attribute.
	 * @see #setPodnesenoPrijava(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_PodnesenoPrijava()
	 * @model
	 * @generated
	 */
	String getPodnesenoPrijava();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getPodnesenoPrijava <em>Podneseno Prijava</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Podneseno Prijava</em>' attribute.
	 * @see #getPodnesenoPrijava()
	 * @generated
	 */
	void setPodnesenoPrijava(String value);

	/**
	 * Returns the value of the '<em><b>Zadrzano Lica</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Zadrzano Lica</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Zadrzano Lica</em>' attribute.
	 * @see #setZadrzanoLica(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_ZadrzanoLica()
	 * @model
	 * @generated
	 */
	String getZadrzanoLica();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getZadrzanoLica <em>Zadrzano Lica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Zadrzano Lica</em>' attribute.
	 * @see #getZadrzanoLica()
	 * @generated
	 */
	void setZadrzanoLica(String value);

	/**
	 * Returns the value of the '<em><b>Uruceno Naloga JRM</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Uruceno Naloga JRM</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Uruceno Naloga JRM</em>' attribute.
	 * @see #setUrucenoNalogaJRM(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_UrucenoNalogaJRM()
	 * @model
	 * @generated
	 */
	String getUrucenoNalogaJRM();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getUrucenoNalogaJRM <em>Uruceno Naloga JRM</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Uruceno Naloga JRM</em>' attribute.
	 * @see #getUrucenoNalogaJRM()
	 * @generated
	 */
	void setUrucenoNalogaJRM(String value);

	/**
	 * Returns the value of the '<em><b>Upozoreno Lica</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Upozoreno Lica</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Upozoreno Lica</em>' attribute.
	 * @see #setUpozorenoLica(String)
	 * @see pbdmodel.PbdmodelPackage#getPatrolniNalogAktivnosti_UpozorenoLica()
	 * @model
	 * @generated
	 */
	String getUpozorenoLica();

	/**
	 * Sets the value of the '{@link pbdmodel.PatrolniNalogAktivnosti#getUpozorenoLica <em>Upozoreno Lica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Upozoreno Lica</em>' attribute.
	 * @see #getUpozorenoLica()
	 * @generated
	 */
	void setUpozorenoLica(String value);

} // PatrolniNalogAktivnosti
