/**
 */
package pbdmodel;

import java.util.Date;
import java.util.List;

import org.eclipse.emf.ecore.EObject;

import pbdmodel.impl.AdresaImpl;
import pbdmodel.impl.AktivnostImpl;
import pbdmodel.impl.DogadjajImpl;
import pbdmodel.impl.DokumentImpl;
import pbdmodel.impl.MjestoImpl;
import pbdmodel.impl.NacinPostupanjaImpl;
import pbdmodel.impl.OrgJedinicaImpl;
import pbdmodel.impl.PostupakImpl;
import pbdmodel.impl.SudionikImpl;
import pbdmodel.impl.ZakonImpl;
import pbdmodel.impl.vrstaPostupanjaImpl;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Policijsko Postupanje</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link pbdmodel.PolicijskoPostupanje#getIDPostupanje <em>ID Postupanje</em>}</li>
 *   <li>{@link pbdmodel.PolicijskoPostupanje#getOstaleMjere <em>Ostale Mjere</em>}</li>
 *   <li>{@link pbdmodel.PolicijskoPostupanje#getNapomena <em>Napomena</em>}</li>
 *   <li>{@link pbdmodel.PolicijskoPostupanje#getZakon <em>Zakon</em>}</li>
 *   <li>{@link pbdmodel.PolicijskoPostupanje#getVrstaPostupanja <em>Vrsta Postupanja</em>}</li>
 *   <li>{@link pbdmodel.PolicijskoPostupanje#getNacinPostupanja <em>Nacin Postupanja</em>}</li>
 *   <li>{@link pbdmodel.PolicijskoPostupanje#getAdresa <em>Adresa</em>}</li>
 *   <li>{@link pbdmodel.PolicijskoPostupanje#getSudionici <em>Sudionici</em>}</li>
 *   <li>{@link pbdmodel.PolicijskoPostupanje#getSluzbenaOsoba <em>Sluzbena Osoba</em>}</li>
 *   <li>{@link pbdmodel.PolicijskoPostupanje#getDogadjaj <em>Dogadjaj</em>}</li>
 *   <li>{@link pbdmodel.PolicijskoPostupanje#getPostupak <em>Postupak</em>}</li>
 *   <li>{@link pbdmodel.PolicijskoPostupanje#getAktivnost <em>Aktivnost</em>}</li>
 *   <li>{@link pbdmodel.PolicijskoPostupanje#getDokument <em>Dokument</em>}</li>
 *   <li>{@link pbdmodel.PolicijskoPostupanje#getMjesto <em>Mjesto</em>}</li>
 *   <li>{@link pbdmodel.PolicijskoPostupanje#getVrijemeIzlaskaNaUvidjaj <em>Vrijeme Izlaska Na Uvidjaj</em>}</li>
 *   <li>{@link pbdmodel.PolicijskoPostupanje#getVrijemePovratkaSaUvidjaja <em>Vrijeme Povratka Sa Uvidjaja</em>}</li>
 *   <li>{@link pbdmodel.PolicijskoPostupanje#getOrganizacionaJedinica <em>Organizaciona Jedinica</em>}</li>
 * </ul>
 * </p>
 *
 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje()
 * @model
 * @generated
 */
public interface PolicijskoPostupanje extends EObject {
	/**
	 * Returns the value of the '<em><b>ID Postupanje</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>ID Postupanje</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>ID Postupanje</em>' attribute.
	 * @see #setIDPostupanje(long)
	 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje_IDPostupanje()
	 * @model
	 * @generated
	 */
	long getIDPostupanje();

	/**
	 * Sets the value of the '{@link pbdmodel.PolicijskoPostupanje#getIDPostupanje <em>ID Postupanje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>ID Postupanje</em>' attribute.
	 * @see #getIDPostupanje()
	 * @generated
	 */
	void setIDPostupanje(long value);

	/**
	 * Returns the value of the '<em><b>Ostale Mjere</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ostale Mjere</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ostale Mjere</em>' attribute.
	 * @see #setOstaleMjere(String)
	 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje_OstaleMjere()
	 * @model
	 * @generated
	 */
	String getOstaleMjere();

	/**
	 * Sets the value of the '{@link pbdmodel.PolicijskoPostupanje#getOstaleMjere <em>Ostale Mjere</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ostale Mjere</em>' attribute.
	 * @see #getOstaleMjere()
	 * @generated
	 */
	void setOstaleMjere(String value);

	/**
	 * Returns the value of the '<em><b>Napomena</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Napomena</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Napomena</em>' attribute.
	 * @see #setNapomena(String)
	 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje_Napomena()
	 * @model
	 * @generated
	 */
	String getNapomena();

	/**
	 * Sets the value of the '{@link pbdmodel.PolicijskoPostupanje#getNapomena <em>Napomena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Napomena</em>' attribute.
	 * @see #getNapomena()
	 * @generated
	 */
	void setNapomena(String value);

	/**
	 * Returns the value of the '<em><b>Zakon</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Zakon</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Zakon</em>' reference.
	 * @see #setZakon(Zakon)
	 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje_Zakon()
	 * @model required="true"
	 * @generated
	 */
	ZakonImpl getZakon();

	/**
	 * Sets the value of the '{@link pbdmodel.PolicijskoPostupanje#getZakon <em>Zakon</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Zakon</em>' reference.
	 * @see #getZakon()
	 * @generated
	 */
	void setZakon(ZakonImpl value);

	/**
	 * Returns the value of the '<em><b>Vrsta Postupanja</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrsta Postupanja</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrsta Postupanja</em>' reference.
	 * @see #setVrstaPostupanja(vrstaPostupanja)
	 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje_VrstaPostupanja()
	 * @model required="true"
	 * @generated
	 */
	vrstaPostupanjaImpl getVrstaPostupanja();

	/**
	 * Sets the value of the '{@link pbdmodel.PolicijskoPostupanje#getVrstaPostupanja <em>Vrsta Postupanja</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrsta Postupanja</em>' reference.
	 * @see #getVrstaPostupanja()
	 * @generated
	 */
	void setVrstaPostupanja(vrstaPostupanjaImpl value);

	/**
	 * Returns the value of the '<em><b>Nacin Postupanja</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Nacin Postupanja</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Nacin Postupanja</em>' reference.
	 * @see #setNacinPostupanja(NacinPostupanja)
	 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje_NacinPostupanja()
	 * @model required="true"
	 * @generated
	 */
	NacinPostupanjaImpl getNacinPostupanja();

	/**
	 * Sets the value of the '{@link pbdmodel.PolicijskoPostupanje#getNacinPostupanja <em>Nacin Postupanja</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Nacin Postupanja</em>' reference.
	 * @see #getNacinPostupanja()
	 * @generated
	 */
	void setNacinPostupanja(NacinPostupanjaImpl value);

	/**
	 * Returns the value of the '<em><b>Adresa</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Adresa</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Adresa</em>' reference.
	 * @see #setAdresa(Adresa)
	 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje_Adresa()
	 * @model required="true"
	 * @generated
	 */
	AdresaImpl getAdresa();

	/**
	 * Sets the value of the '{@link pbdmodel.PolicijskoPostupanje#getAdresa <em>Adresa</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Adresa</em>' reference.
	 * @see #getAdresa()
	 * @generated
	 */
	void setAdresa(AdresaImpl value);

	/**
	 * Returns the value of the '<em><b>Sudionici</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Sudionik}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Sudionici</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Sudionici</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje_Sudionici()
	 * @model required="true"
	 * @generated
	 */
	List<SudionikImpl> getSudionici();

	/**
	 * Returns the value of the '<em><b>Sluzbena Osoba</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.SluzbenaOsoba}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Sluzbena Osoba</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Sluzbena Osoba</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje_SluzbenaOsoba()
	 * @model required="true"
	 * @generated
	 */
//	List<SluzbenaOsobaImpl> getSluzbenaOsoba();

	/**
	 * Returns the value of the '<em><b>Dogadjaj</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Dogadjaj</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Dogadjaj</em>' reference.
	 * @see #setDogadjaj(Dogadjaj)
	 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje_Dogadjaj()
	 * @model required="true"
	 * @generated
	 */
	DogadjajImpl getDogadjaj();

	/**
	 * Sets the value of the '{@link pbdmodel.PolicijskoPostupanje#getDogadjaj <em>Dogadjaj</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Dogadjaj</em>' reference.
	 * @see #getDogadjaj()
	 * @generated
	 */
	void setDogadjaj(DogadjajImpl value);

	/**
	 * Returns the value of the '<em><b>Postupak</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Postupak}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Postupak</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Postupak</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje_Postupak()
	 * @model required="true"
	 * @generated
	 */
	List<PostupakImpl> getPostupak();

	/**
	 * Returns the value of the '<em><b>Aktivnost</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Aktivnost}.
	 * It is bidirectional and its opposite is '{@link pbdmodel.Aktivnost#getPolicijskoPotupanje <em>Policijsko Potupanje</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Aktivnost</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Aktivnost</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje_Aktivnost()
	 * @see pbdmodel.Aktivnost#getPolicijskoPotupanje
	 * @model opposite="policijskoPotupanje" required="true"
	 * @generated
	 */
	List<AktivnostImpl> getAktivnost();

	/**
	 * Returns the value of the '<em><b>Dokument</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Dokument</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Dokument</em>' reference.
	 * @see #setDokument(Dokument)
	 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje_Dokument()
	 * @model required="true"
	 * @generated
	 */
	DokumentImpl getDokument();

	/**
	 * Sets the value of the '{@link pbdmodel.PolicijskoPostupanje#getDokument <em>Dokument</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Dokument</em>' reference.
	 * @see #getDokument()
	 * @generated
	 */
	void setDokument(DokumentImpl value);

	/**
	 * Returns the value of the '<em><b>Mjesto</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Mjesto</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Mjesto</em>' reference.
	 * @see #setMjesto(Mjesto)
	 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje_Mjesto()
	 * @model required="true"
	 * @generated
	 */
	MjestoImpl getMjesto();

	/**
	 * Sets the value of the '{@link pbdmodel.PolicijskoPostupanje#getMjesto <em>Mjesto</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Mjesto</em>' reference.
	 * @see #getMjesto()
	 * @generated
	 */
	void setMjesto(MjestoImpl value);

	/**
	 * Returns the value of the '<em><b>Vrijeme Izlaska Na Uvidjaj</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrijeme Izlaska Na Uvidjaj</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrijeme Izlaska Na Uvidjaj</em>' attribute.
	 * @see #setVrijemeIzlaskaNaUvidjaj(Date)
	 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje_VrijemeIzlaskaNaUvidjaj()
	 * @model
	 * @generated
	 */
	Date getVrijemeIzlaskaNaUvidjaj();

	/**
	 * Sets the value of the '{@link pbdmodel.PolicijskoPostupanje#getVrijemeIzlaskaNaUvidjaj <em>Vrijeme Izlaska Na Uvidjaj</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrijeme Izlaska Na Uvidjaj</em>' attribute.
	 * @see #getVrijemeIzlaskaNaUvidjaj()
	 * @generated
	 */
	void setVrijemeIzlaskaNaUvidjaj(Date value);

	/**
	 * Returns the value of the '<em><b>Vrijeme Povratka Sa Uvidjaja</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrijeme Povratka Sa Uvidjaja</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrijeme Povratka Sa Uvidjaja</em>' attribute.
	 * @see #setVrijemePovratkaSaUvidjaja(Date)
	 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje_VrijemePovratkaSaUvidjaja()
	 * @model
	 * @generated
	 */
	Date getVrijemePovratkaSaUvidjaja();

	/**
	 * Sets the value of the '{@link pbdmodel.PolicijskoPostupanje#getVrijemePovratkaSaUvidjaja <em>Vrijeme Povratka Sa Uvidjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrijeme Povratka Sa Uvidjaja</em>' attribute.
	 * @see #getVrijemePovratkaSaUvidjaja()
	 * @generated
	 */
	void setVrijemePovratkaSaUvidjaja(Date value);

	/**
	 * Returns the value of the '<em><b>Organizaciona Jedinica</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Organizaciona Jedinica</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Organizaciona Jedinica</em>' reference.
	 * @see #setOrganizacionaJedinica(OrgJedinica)
	 * @see pbdmodel.PbdmodelPackage#getPolicijskoPostupanje_OrganizacionaJedinica()
	 * @model required="true"
	 * @generated
	 */
	OrgJedinicaImpl getOrganizacionaJedinica();

	/**
	 * Sets the value of the '{@link pbdmodel.PolicijskoPostupanje#getOrganizacionaJedinica <em>Organizaciona Jedinica</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Organizaciona Jedinica</em>' reference.
	 * @see #getOrganizacionaJedinica()
	 * @generated
	 */
	void setOrganizacionaJedinica(OrgJedinicaImpl value);

} // PolicijskoPostupanje
