/**
 */
package pbdmodel;

import java.util.Date;
import java.util.List;

import pbdmodel.impl.KategorijaPutaImpl;
import pbdmodel.impl.MjestoImpl;
import pbdmodel.impl.SudionikImpl;
import pbdmodel.impl.UzrokNezgodeImpl;
import pbdmodel.impl.VoziloImpl;
import pbdmodel.impl.VrstaNezgodeImpl;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Saobracajna Nezgoda</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getIDSaobracajneNesrece <em>ID Saobracajne Nesrece</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getKategorijaPuta <em>Kategorija Puta</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getNapomena <em>Napomena</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getVrstaNezgode <em>Vrsta Nezgode</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getBrojLicaUNesreci <em>Broj Lica UNesreci</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getBrojProtokola <em>Broj Protokola</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getBrojPovrijedjenihOsoba <em>Broj Povrijedjenih Osoba</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getSudionikPovrijedjeni <em>Sudionik Povrijedjeni</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getPodaciONastalimLaksimTjelesnimOzljedama <em>Podaci ONastalim Laksim Tjelesnim Ozljedama</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getPodaciONastalimTeskimTjelesnimOzljedama <em>Podaci ONastalim Teskim Tjelesnim Ozljedama</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getDatumNezode <em>Datum Nezode</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getVrijemeNezgode <em>Vrijeme Nezgode</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getBrojVozilaUNesreci <em>Broj Vozila UNesreci</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getVozilo <em>Vozilo</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getUzrokNezgode <em>Uzrok Nezgode</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getVisinaMaterijalneSteteProcjenaSluzbeneOsobe <em>Visina Materijalne Stete Procjena Sluzbene Osobe</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getMjestoNastankaNezgodeBlizaOznaka <em>Mjesto Nastanka Nezgode Bliza Oznaka</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getDrzavaNezgode <em>Drzava Nezgode</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#isPovrjedjeni <em>Povrjedjeni</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#isMaterijalnaSteta <em>Materijalna Steta</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getPodaciOSmrtnoStradalimOsobama <em>Podaci OSmrtno Stradalim Osobama</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getDanNastankaNezgode <em>Dan Nastanka Nezgode</em>}</li>
 *   <li>{@link pbdmodel.SaobracajnaNezgoda#getMjesto <em>Mjesto</em>}</li>
 * </ul>
 * </p>
 *
 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda()
 * @model
 * @generated
 */
public interface SaobracajnaNezgoda extends Aktivnost {
	/**
	 * Returns the value of the '<em><b>ID Saobracajne Nesrece</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>ID Saobracajne Nesrece</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>ID Saobracajne Nesrece</em>' attribute.
	 * @see #setIDSaobracajneNesrece(long)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_IDSaobracajneNesrece()
	 * @model
	 * @generated
	 */
	long getIDSaobracajneNesrece();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getIDSaobracajneNesrece <em>ID Saobracajne Nesrece</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>ID Saobracajne Nesrece</em>' attribute.
	 * @see #getIDSaobracajneNesrece()
	 * @generated
	 */
	void setIDSaobracajneNesrece(long value);

	/**
	 * Returns the value of the '<em><b>Kategorija Puta</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Kategorija Puta</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Kategorija Puta</em>' reference.
	 * @see #setKategorijaPuta(KategorijaPuta)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_KategorijaPuta()
	 * @model required="true"
	 * @generated
	 */
	KategorijaPutaImpl getKategorijaPuta();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getKategorijaPuta <em>Kategorija Puta</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Kategorija Puta</em>' reference.
	 * @see #getKategorijaPuta()
	 * @generated
	 */
	void setKategorijaPuta(KategorijaPutaImpl value);

	/**
	 * Returns the value of the '<em><b>Napomena</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Napomena</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Napomena</em>' attribute.
	 * @see #setNapomena(String)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_Napomena()
	 * @model
	 * @generated
	 */
	String getNapomena();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getNapomena <em>Napomena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Napomena</em>' attribute.
	 * @see #getNapomena()
	 * @generated
	 */
	void setNapomena(String value);

	/**
	 * Returns the value of the '<em><b>Vrsta Nezgode</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrsta Nezgode</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrsta Nezgode</em>' reference.
	 * @see #setVrstaNezgode(VrstaNezgode)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_VrstaNezgode()
	 * @model required="true"
	 * @generated
	 */
	VrstaNezgodeImpl getVrstaNezgode();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getVrstaNezgode <em>Vrsta Nezgode</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrsta Nezgode</em>' reference.
	 * @see #getVrstaNezgode()
	 * @generated
	 */
	void setVrstaNezgode(VrstaNezgodeImpl value);

	/**
	 * Returns the value of the '<em><b>Broj Lica UNesreci</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Broj Lica UNesreci</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Broj Lica UNesreci</em>' attribute.
	 * @see #setBrojLicaUNesreci(long)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_BrojLicaUNesreci()
	 * @model
	 * @generated
	 */
	long getBrojLicaUNesreci();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getBrojLicaUNesreci <em>Broj Lica UNesreci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Broj Lica UNesreci</em>' attribute.
	 * @see #getBrojLicaUNesreci()
	 * @generated
	 */
	void setBrojLicaUNesreci(long value);

	/**
	 * Returns the value of the '<em><b>Broj Protokola</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Broj Protokola</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Broj Protokola</em>' attribute.
	 * @see #setBrojProtokola(String)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_BrojProtokola()
	 * @model
	 * @generated
	 */
	String getBrojProtokola();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getBrojProtokola <em>Broj Protokola</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Broj Protokola</em>' attribute.
	 * @see #getBrojProtokola()
	 * @generated
	 */
	void setBrojProtokola(String value);

	/**
	 * Returns the value of the '<em><b>Broj Povrijedjenih Osoba</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Broj Povrijedjenih Osoba</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Broj Povrijedjenih Osoba</em>' attribute.
	 * @see #setBrojPovrijedjenihOsoba(long)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_BrojPovrijedjenihOsoba()
	 * @model
	 * @generated
	 */
	long getBrojPovrijedjenihOsoba();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getBrojPovrijedjenihOsoba <em>Broj Povrijedjenih Osoba</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Broj Povrijedjenih Osoba</em>' attribute.
	 * @see #getBrojPovrijedjenihOsoba()
	 * @generated
	 */
	void setBrojPovrijedjenihOsoba(long value);

	/**
	 * Returns the value of the '<em><b>Sudionik Povrijedjeni</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Sudionik}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Sudionik Povrijedjeni</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Sudionik Povrijedjeni</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_SudionikPovrijedjeni()
	 * @model required="true"
	 * @generated
	 */
	List<SudionikImpl> getSudionikPovrijedjeni();

	/**
	 * Returns the value of the '<em><b>Podaci ONastalim Laksim Tjelesnim Ozljedama</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Podaci ONastalim Laksim Tjelesnim Ozljedama</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Podaci ONastalim Laksim Tjelesnim Ozljedama</em>' attribute.
	 * @see #setPodaciONastalimLaksimTjelesnimOzljedama(String)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_PodaciONastalimLaksimTjelesnimOzljedama()
	 * @model
	 * @generated
	 */
	String getPodaciONastalimLaksimTjelesnimOzljedama();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getPodaciONastalimLaksimTjelesnimOzljedama <em>Podaci ONastalim Laksim Tjelesnim Ozljedama</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Podaci ONastalim Laksim Tjelesnim Ozljedama</em>' attribute.
	 * @see #getPodaciONastalimLaksimTjelesnimOzljedama()
	 * @generated
	 */
	void setPodaciONastalimLaksimTjelesnimOzljedama(String value);

	/**
	 * Returns the value of the '<em><b>Podaci ONastalim Teskim Tjelesnim Ozljedama</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Podaci ONastalim Teskim Tjelesnim Ozljedama</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Podaci ONastalim Teskim Tjelesnim Ozljedama</em>' attribute.
	 * @see #setPodaciONastalimTeskimTjelesnimOzljedama(String)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_PodaciONastalimTeskimTjelesnimOzljedama()
	 * @model
	 * @generated
	 */
	String getPodaciONastalimTeskimTjelesnimOzljedama();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getPodaciONastalimTeskimTjelesnimOzljedama <em>Podaci ONastalim Teskim Tjelesnim Ozljedama</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Podaci ONastalim Teskim Tjelesnim Ozljedama</em>' attribute.
	 * @see #getPodaciONastalimTeskimTjelesnimOzljedama()
	 * @generated
	 */
	void setPodaciONastalimTeskimTjelesnimOzljedama(String value);

	/**
	 * Returns the value of the '<em><b>Datum Nezode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum Nezode</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum Nezode</em>' attribute.
	 * @see #setDatumNezode(Date)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_DatumNezode()
	 * @model
	 * @generated
	 */
	Date getDatumNezode();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getDatumNezode <em>Datum Nezode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum Nezode</em>' attribute.
	 * @see #getDatumNezode()
	 * @generated
	 */
	void setDatumNezode(Date value);

	/**
	 * Returns the value of the '<em><b>Vrijeme Nezgode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrijeme Nezgode</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrijeme Nezgode</em>' attribute.
	 * @see #setVrijemeNezgode(Date)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_VrijemeNezgode()
	 * @model
	 * @generated
	 */
	Date getVrijemeNezgode();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getVrijemeNezgode <em>Vrijeme Nezgode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrijeme Nezgode</em>' attribute.
	 * @see #getVrijemeNezgode()
	 * @generated
	 */
	void setVrijemeNezgode(Date value);

	/**
	 * Returns the value of the '<em><b>Broj Vozila UNesreci</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Broj Vozila UNesreci</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Broj Vozila UNesreci</em>' attribute.
	 * @see #setBrojVozilaUNesreci(long)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_BrojVozilaUNesreci()
	 * @model
	 * @generated
	 */
	long getBrojVozilaUNesreci();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getBrojVozilaUNesreci <em>Broj Vozila UNesreci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Broj Vozila UNesreci</em>' attribute.
	 * @see #getBrojVozilaUNesreci()
	 * @generated
	 */
	void setBrojVozilaUNesreci(long value);

	/**
	 * Returns the value of the '<em><b>Vozilo</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Vozilo}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vozilo</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vozilo</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_Vozilo()
	 * @model required="true"
	 * @generated
	 */
	List<VoziloImpl> getVozilo();

	/**
	 * Returns the value of the '<em><b>Uzrok Nezgode</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Uzrok Nezgode</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Uzrok Nezgode</em>' reference.
	 * @see #setUzrokNezgode(UzrokNezgode)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_UzrokNezgode()
	 * @model required="true"
	 * @generated
	 */
	UzrokNezgodeImpl getUzrokNezgode();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getUzrokNezgode <em>Uzrok Nezgode</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Uzrok Nezgode</em>' reference.
	 * @see #getUzrokNezgode()
	 * @generated
	 */
	void setUzrokNezgode(UzrokNezgodeImpl value);

	/**
	 * Returns the value of the '<em><b>Visina Materijalne Stete Procjena Sluzbene Osobe</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Visina Materijalne Stete Procjena Sluzbene Osobe</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Visina Materijalne Stete Procjena Sluzbene Osobe</em>' attribute.
	 * @see #setVisinaMaterijalneSteteProcjenaSluzbeneOsobe(float)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_VisinaMaterijalneSteteProcjenaSluzbeneOsobe()
	 * @model
	 * @generated
	 */
	float getVisinaMaterijalneSteteProcjenaSluzbeneOsobe();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getVisinaMaterijalneSteteProcjenaSluzbeneOsobe <em>Visina Materijalne Stete Procjena Sluzbene Osobe</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Visina Materijalne Stete Procjena Sluzbene Osobe</em>' attribute.
	 * @see #getVisinaMaterijalneSteteProcjenaSluzbeneOsobe()
	 * @generated
	 */
	void setVisinaMaterijalneSteteProcjenaSluzbeneOsobe(float value);

	/**
	 * Returns the value of the '<em><b>Mjesto Nastanka Nezgode Bliza Oznaka</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Mjesto Nastanka Nezgode Bliza Oznaka</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Mjesto Nastanka Nezgode Bliza Oznaka</em>' attribute.
	 * @see #setMjestoNastankaNezgodeBlizaOznaka(String)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_MjestoNastankaNezgodeBlizaOznaka()
	 * @model
	 * @generated
	 */
	String getMjestoNastankaNezgodeBlizaOznaka();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getMjestoNastankaNezgodeBlizaOznaka <em>Mjesto Nastanka Nezgode Bliza Oznaka</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Mjesto Nastanka Nezgode Bliza Oznaka</em>' attribute.
	 * @see #getMjestoNastankaNezgodeBlizaOznaka()
	 * @generated
	 */
	void setMjestoNastankaNezgodeBlizaOznaka(String value);

	/**
	 * Returns the value of the '<em><b>Drzava Nezgode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Drzava Nezgode</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Drzava Nezgode</em>' attribute.
	 * @see #setDrzavaNezgode(String)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_DrzavaNezgode()
	 * @model
	 * @generated
	 */
	String getDrzavaNezgode();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getDrzavaNezgode <em>Drzava Nezgode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Drzava Nezgode</em>' attribute.
	 * @see #getDrzavaNezgode()
	 * @generated
	 */
	void setDrzavaNezgode(String value);

	/**
	 * Returns the value of the '<em><b>Povrjedjeni</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Povrjedjeni</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Povrjedjeni</em>' attribute.
	 * @see #setPovrjedjeni(boolean)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_Povrjedjeni()
	 * @model
	 * @generated
	 */
	boolean isPovrjedjeni();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#isPovrjedjeni <em>Povrjedjeni</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Povrjedjeni</em>' attribute.
	 * @see #isPovrjedjeni()
	 * @generated
	 */
	void setPovrjedjeni(boolean value);

	/**
	 * Returns the value of the '<em><b>Materijalna Steta</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Materijalna Steta</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Materijalna Steta</em>' attribute.
	 * @see #setMaterijalnaSteta(boolean)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_MaterijalnaSteta()
	 * @model
	 * @generated
	 */
	boolean isMaterijalnaSteta();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#isMaterijalnaSteta <em>Materijalna Steta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Materijalna Steta</em>' attribute.
	 * @see #isMaterijalnaSteta()
	 * @generated
	 */
	void setMaterijalnaSteta(boolean value);

	/**
	 * Returns the value of the '<em><b>Podaci OSmrtno Stradalim Osobama</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Podaci OSmrtno Stradalim Osobama</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Podaci OSmrtno Stradalim Osobama</em>' attribute.
	 * @see #setPodaciOSmrtnoStradalimOsobama(String)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_PodaciOSmrtnoStradalimOsobama()
	 * @model
	 * @generated
	 */
	String getPodaciOSmrtnoStradalimOsobama();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getPodaciOSmrtnoStradalimOsobama <em>Podaci OSmrtno Stradalim Osobama</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Podaci OSmrtno Stradalim Osobama</em>' attribute.
	 * @see #getPodaciOSmrtnoStradalimOsobama()
	 * @generated
	 */
	void setPodaciOSmrtnoStradalimOsobama(String value);

	/**
	 * Returns the value of the '<em><b>Dan Nastanka Nezgode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Dan Nastanka Nezgode</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Dan Nastanka Nezgode</em>' attribute.
	 * @see #setDanNastankaNezgode(String)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_DanNastankaNezgode()
	 * @model
	 * @generated
	 */
	String getDanNastankaNezgode();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getDanNastankaNezgode <em>Dan Nastanka Nezgode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Dan Nastanka Nezgode</em>' attribute.
	 * @see #getDanNastankaNezgode()
	 * @generated
	 */
	void setDanNastankaNezgode(String value);

	/**
	 * Returns the value of the '<em><b>Mjesto</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Mjesto</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Mjesto</em>' reference.
	 * @see #setMjesto(Mjesto)
	 * @see pbdmodel.PbdmodelPackage#getSaobracajnaNezgoda_Mjesto()
	 * @model required="true"
	 * @generated
	 */
	MjestoImpl getMjesto();

	/**
	 * Sets the value of the '{@link pbdmodel.SaobracajnaNezgoda#getMjesto <em>Mjesto</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Mjesto</em>' reference.
	 * @see #getMjesto()
	 * @generated
	 */
	void setMjesto(MjestoImpl value);

} // SaobracajnaNezgoda
