/**
 */
package pbdmodel;

import java.util.Date;
import java.util.List;

import pbdmodel.impl.NaOsnovuCegaJeUtvrdjenIdentitetImpl;
import pbdmodel.impl.RadnjePreduzeteUCiljuUtvrdjivanjaIdentitetaImpl;
import pbdmodel.impl.RazlogUtvrdjivanjaIdentitetaImpl;
import pbdmodel.impl.VoziloImpl;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Utvrdjivanje Identiteta</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link pbdmodel.UtvrdjivanjeIdentiteta#getIDUtvrdjivanjeIdentiteta <em>ID Utvrdjivanje Identiteta</em>}</li>
 *   <li>{@link pbdmodel.UtvrdjivanjeIdentiteta#getDatumKriminalistickeTehnickeObrade <em>Datum Kriminalisticke Tehnicke Obrade</em>}</li>
 *   <li>{@link pbdmodel.UtvrdjivanjeIdentiteta#getVrijemeKriminalistickeTehnickeObrade <em>Vrijeme Kriminalisticke Tehnicke Obrade</em>}</li>
 *   <li>{@link pbdmodel.UtvrdjivanjeIdentiteta#getDatumProvjereIdentiteta <em>Datum Provjere Identiteta</em>}</li>
 *   <li>{@link pbdmodel.UtvrdjivanjeIdentiteta#getVrijemeProvjereIdentiteta <em>Vrijeme Provjere Identiteta</em>}</li>
 *   <li>{@link pbdmodel.UtvrdjivanjeIdentiteta#isFotografija <em>Fotografija</em>}</li>
 *   <li>{@link pbdmodel.UtvrdjivanjeIdentiteta#getRazlogUtvrdjivanjaIdentiteta <em>Razlog Utvrdjivanja Identiteta</em>}</li>
 *   <li>{@link pbdmodel.UtvrdjivanjeIdentiteta#getNaOsnovuCegaJeUtvrdjenIdentitet <em>Na Osnovu Cega Je Utvrdjen Identitet</em>}</li>
 *   <li>{@link pbdmodel.UtvrdjivanjeIdentiteta#getRadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta <em>Radnje Preduzete UCilju Utvrdjivanja Identiteta</em>}</li>
 *   <li>{@link pbdmodel.UtvrdjivanjeIdentiteta#isLisenjeSlobode <em>Lisenje Slobode</em>}</li>
 *   <li>{@link pbdmodel.UtvrdjivanjeIdentiteta#getOrganKojiVrsiUtvrdjivanjeIdentiteta <em>Organ Koji Vrsi Utvrdjivanje Identiteta</em>}</li>
 *   <li>{@link pbdmodel.UtvrdjivanjeIdentiteta#isIdentitetPotvrdjen <em>Identitet Potvrdjen</em>}</li>
 *   <li>{@link pbdmodel.UtvrdjivanjeIdentiteta#getOpisLanogIdentiteta <em>Opis Lanog Identiteta</em>}</li>
 *   <li>{@link pbdmodel.UtvrdjivanjeIdentiteta#getVozilo <em>Vozilo</em>}</li>
 * </ul>
 * </p>
 *
 * @see pbdmodel.PbdmodelPackage#getUtvrdjivanjeIdentiteta()
 * @model
 * @generated
 */
public interface UtvrdjivanjeIdentiteta extends Aktivnost {
	/**
	 * Returns the value of the '<em><b>ID Utvrdjivanje Identiteta</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>ID Utvrdjivanje Identiteta</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>ID Utvrdjivanje Identiteta</em>' attribute.
	 * @see #setIDUtvrdjivanjeIdentiteta(long)
	 * @see pbdmodel.PbdmodelPackage#getUtvrdjivanjeIdentiteta_IDUtvrdjivanjeIdentiteta()
	 * @model
	 * @generated
	 */
	long getIDUtvrdjivanjeIdentiteta();

	/**
	 * Sets the value of the '{@link pbdmodel.UtvrdjivanjeIdentiteta#getIDUtvrdjivanjeIdentiteta <em>ID Utvrdjivanje Identiteta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>ID Utvrdjivanje Identiteta</em>' attribute.
	 * @see #getIDUtvrdjivanjeIdentiteta()
	 * @generated
	 */
	void setIDUtvrdjivanjeIdentiteta(long value);

	/**
	 * Returns the value of the '<em><b>Datum Kriminalisticke Tehnicke Obrade</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum Kriminalisticke Tehnicke Obrade</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum Kriminalisticke Tehnicke Obrade</em>' attribute.
	 * @see #setDatumKriminalistickeTehnickeObrade(Date)
	 * @see pbdmodel.PbdmodelPackage#getUtvrdjivanjeIdentiteta_DatumKriminalistickeTehnickeObrade()
	 * @model
	 * @generated
	 */
	Date getDatumKriminalistickeTehnickeObrade();

	/**
	 * Sets the value of the '{@link pbdmodel.UtvrdjivanjeIdentiteta#getDatumKriminalistickeTehnickeObrade <em>Datum Kriminalisticke Tehnicke Obrade</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum Kriminalisticke Tehnicke Obrade</em>' attribute.
	 * @see #getDatumKriminalistickeTehnickeObrade()
	 * @generated
	 */
	void setDatumKriminalistickeTehnickeObrade(Date value);

	/**
	 * Returns the value of the '<em><b>Vrijeme Kriminalisticke Tehnicke Obrade</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrijeme Kriminalisticke Tehnicke Obrade</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrijeme Kriminalisticke Tehnicke Obrade</em>' attribute.
	 * @see #setVrijemeKriminalistickeTehnickeObrade(Date)
	 * @see pbdmodel.PbdmodelPackage#getUtvrdjivanjeIdentiteta_VrijemeKriminalistickeTehnickeObrade()
	 * @model
	 * @generated
	 */
	Date getVrijemeKriminalistickeTehnickeObrade();

	/**
	 * Sets the value of the '{@link pbdmodel.UtvrdjivanjeIdentiteta#getVrijemeKriminalistickeTehnickeObrade <em>Vrijeme Kriminalisticke Tehnicke Obrade</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrijeme Kriminalisticke Tehnicke Obrade</em>' attribute.
	 * @see #getVrijemeKriminalistickeTehnickeObrade()
	 * @generated
	 */
	void setVrijemeKriminalistickeTehnickeObrade(Date value);

	/**
	 * Returns the value of the '<em><b>Datum Provjere Identiteta</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum Provjere Identiteta</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum Provjere Identiteta</em>' attribute.
	 * @see #setDatumProvjereIdentiteta(Date)
	 * @see pbdmodel.PbdmodelPackage#getUtvrdjivanjeIdentiteta_DatumProvjereIdentiteta()
	 * @model
	 * @generated
	 */
	Date getDatumProvjereIdentiteta();

	/**
	 * Sets the value of the '{@link pbdmodel.UtvrdjivanjeIdentiteta#getDatumProvjereIdentiteta <em>Datum Provjere Identiteta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum Provjere Identiteta</em>' attribute.
	 * @see #getDatumProvjereIdentiteta()
	 * @generated
	 */
	void setDatumProvjereIdentiteta(Date value);

	/**
	 * Returns the value of the '<em><b>Vrijeme Provjere Identiteta</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrijeme Provjere Identiteta</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrijeme Provjere Identiteta</em>' attribute.
	 * @see #setVrijemeProvjereIdentiteta(Date)
	 * @see pbdmodel.PbdmodelPackage#getUtvrdjivanjeIdentiteta_VrijemeProvjereIdentiteta()
	 * @model
	 * @generated
	 */
	Date getVrijemeProvjereIdentiteta();

	/**
	 * Sets the value of the '{@link pbdmodel.UtvrdjivanjeIdentiteta#getVrijemeProvjereIdentiteta <em>Vrijeme Provjere Identiteta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrijeme Provjere Identiteta</em>' attribute.
	 * @see #getVrijemeProvjereIdentiteta()
	 * @generated
	 */
	void setVrijemeProvjereIdentiteta(Date value);

	/**
	 * Returns the value of the '<em><b>Fotografija</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Fotografija</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Fotografija</em>' attribute.
	 * @see #setFotografija(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUtvrdjivanjeIdentiteta_Fotografija()
	 * @model
	 * @generated
	 */
	boolean isFotografija();

	/**
	 * Sets the value of the '{@link pbdmodel.UtvrdjivanjeIdentiteta#isFotografija <em>Fotografija</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Fotografija</em>' attribute.
	 * @see #isFotografija()
	 * @generated
	 */
	void setFotografija(boolean value);

	/**
	 * Returns the value of the '<em><b>Razlog Utvrdjivanja Identiteta</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Razlog Utvrdjivanja Identiteta</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Razlog Utvrdjivanja Identiteta</em>' reference.
	 * @see #setRazlogUtvrdjivanjaIdentiteta(RazlogUtvrdjivanjaIdentiteta)
	 * @see pbdmodel.PbdmodelPackage#getUtvrdjivanjeIdentiteta_RazlogUtvrdjivanjaIdentiteta()
	 * @model required="true"
	 * @generated
	 */
	RazlogUtvrdjivanjaIdentitetaImpl getRazlogUtvrdjivanjaIdentiteta();

	/**
	 * Sets the value of the '{@link pbdmodel.UtvrdjivanjeIdentiteta#getRazlogUtvrdjivanjaIdentiteta <em>Razlog Utvrdjivanja Identiteta</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Razlog Utvrdjivanja Identiteta</em>' reference.
	 * @see #getRazlogUtvrdjivanjaIdentiteta()
	 * @generated
	 */
	void setRazlogUtvrdjivanjaIdentiteta(RazlogUtvrdjivanjaIdentitetaImpl value);

	/**
	 * Returns the value of the '<em><b>Na Osnovu Cega Je Utvrdjen Identitet</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Na Osnovu Cega Je Utvrdjen Identitet</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Na Osnovu Cega Je Utvrdjen Identitet</em>' reference.
	 * @see #setNaOsnovuCegaJeUtvrdjenIdentitet(NaOsnovuCegaJeUtvrdjenIdentitet)
	 * @see pbdmodel.PbdmodelPackage#getUtvrdjivanjeIdentiteta_NaOsnovuCegaJeUtvrdjenIdentitet()
	 * @model required="true"
	 * @generated
	 */
	NaOsnovuCegaJeUtvrdjenIdentitetImpl getNaOsnovuCegaJeUtvrdjenIdentitet();

	/**
	 * Sets the value of the '{@link pbdmodel.UtvrdjivanjeIdentiteta#getNaOsnovuCegaJeUtvrdjenIdentitet <em>Na Osnovu Cega Je Utvrdjen Identitet</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Na Osnovu Cega Je Utvrdjen Identitet</em>' reference.
	 * @see #getNaOsnovuCegaJeUtvrdjenIdentitet()
	 * @generated
	 */
	void setNaOsnovuCegaJeUtvrdjenIdentitet(NaOsnovuCegaJeUtvrdjenIdentitetImpl value);

	/**
	 * Returns the value of the '<em><b>Radnje Preduzete UCilju Utvrdjivanja Identiteta</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.RadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Radnje Preduzete UCilju Utvrdjivanja Identiteta</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Radnje Preduzete UCilju Utvrdjivanja Identiteta</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getUtvrdjivanjeIdentiteta_RadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta()
	 * @model required="true"
	 * @generated
	 */
	List<RadnjePreduzeteUCiljuUtvrdjivanjaIdentitetaImpl> getRadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta();

	/**
	 * Returns the value of the '<em><b>Lisenje Slobode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Lisenje Slobode</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Lisenje Slobode</em>' attribute.
	 * @see #setLisenjeSlobode(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUtvrdjivanjeIdentiteta_LisenjeSlobode()
	 * @model
	 * @generated
	 */
	boolean isLisenjeSlobode();

	/**
	 * Sets the value of the '{@link pbdmodel.UtvrdjivanjeIdentiteta#isLisenjeSlobode <em>Lisenje Slobode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Lisenje Slobode</em>' attribute.
	 * @see #isLisenjeSlobode()
	 * @generated
	 */
	void setLisenjeSlobode(boolean value);

	/**
	 * Returns the value of the '<em><b>Organ Koji Vrsi Utvrdjivanje Identiteta</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Organ Koji Vrsi Utvrdjivanje Identiteta</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Organ Koji Vrsi Utvrdjivanje Identiteta</em>' attribute.
	 * @see #setOrganKojiVrsiUtvrdjivanjeIdentiteta(String)
	 * @see pbdmodel.PbdmodelPackage#getUtvrdjivanjeIdentiteta_OrganKojiVrsiUtvrdjivanjeIdentiteta()
	 * @model
	 * @generated
	 */
	String getOrganKojiVrsiUtvrdjivanjeIdentiteta();

	/**
	 * Sets the value of the '{@link pbdmodel.UtvrdjivanjeIdentiteta#getOrganKojiVrsiUtvrdjivanjeIdentiteta <em>Organ Koji Vrsi Utvrdjivanje Identiteta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Organ Koji Vrsi Utvrdjivanje Identiteta</em>' attribute.
	 * @see #getOrganKojiVrsiUtvrdjivanjeIdentiteta()
	 * @generated
	 */
	void setOrganKojiVrsiUtvrdjivanjeIdentiteta(String value);

	/**
	 * Returns the value of the '<em><b>Identitet Potvrdjen</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Identitet Potvrdjen</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Identitet Potvrdjen</em>' attribute.
	 * @see #setIdentitetPotvrdjen(boolean)
	 * @see pbdmodel.PbdmodelPackage#getUtvrdjivanjeIdentiteta_IdentitetPotvrdjen()
	 * @model
	 * @generated
	 */
	boolean isIdentitetPotvrdjen();

	/**
	 * Sets the value of the '{@link pbdmodel.UtvrdjivanjeIdentiteta#isIdentitetPotvrdjen <em>Identitet Potvrdjen</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Identitet Potvrdjen</em>' attribute.
	 * @see #isIdentitetPotvrdjen()
	 * @generated
	 */
	void setIdentitetPotvrdjen(boolean value);

	/**
	 * Returns the value of the '<em><b>Opis Lanog Identiteta</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Opis Lanog Identiteta</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Opis Lanog Identiteta</em>' attribute.
	 * @see #setOpisLanogIdentiteta(String)
	 * @see pbdmodel.PbdmodelPackage#getUtvrdjivanjeIdentiteta_OpisLanogIdentiteta()
	 * @model
	 * @generated
	 */
	String getOpisLanogIdentiteta();

	/**
	 * Sets the value of the '{@link pbdmodel.UtvrdjivanjeIdentiteta#getOpisLanogIdentiteta <em>Opis Lanog Identiteta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Opis Lanog Identiteta</em>' attribute.
	 * @see #getOpisLanogIdentiteta()
	 * @generated
	 */
	void setOpisLanogIdentiteta(String value);

	/**
	 * Returns the value of the '<em><b>Vozilo</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vozilo</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vozilo</em>' reference.
	 * @see #setVozilo(Vozilo)
	 * @see pbdmodel.PbdmodelPackage#getUtvrdjivanjeIdentiteta_Vozilo()
	 * @model required="true"
	 * @generated
	 */
	VoziloImpl getVozilo();

	/**
	 * Sets the value of the '{@link pbdmodel.UtvrdjivanjeIdentiteta#getVozilo <em>Vozilo</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vozilo</em>' reference.
	 * @see #getVozilo()
	 * @generated
	 */
	void setVozilo(VoziloImpl value);

} // UtvrdjivanjeIdentiteta
