/**
 */
package pbdmodel;

import java.util.Date;
import java.util.List;

import pbdmodel.impl.AdresaImpl;
import pbdmodel.impl.BankovniRacunImpl;
import pbdmodel.impl.CinImpl;
import pbdmodel.impl.FileImpl;
import pbdmodel.impl.GodisnjaOcjenaImpl;
import pbdmodel.impl.KazneImpl;
import pbdmodel.impl.KontaktZaposlenikaImpl;
import pbdmodel.impl.MjestoImpl;
import pbdmodel.impl.NagradeImpl;
import pbdmodel.impl.OdsustvaImpl;
import pbdmodel.impl.OrgJedinicaImpl;
import pbdmodel.impl.OsiguranjeImpl;
import pbdmodel.impl.OsobaImpl;
import pbdmodel.impl.SkolovanjaImpl;
import pbdmodel.impl.StepenStrucneSpremeImpl;
import pbdmodel.impl.UlogeImpl;
import pbdmodel.impl.UserImpl;
import pbdmodel.impl.VrstaSmjeneImpl;
import pbdmodel.impl.VrstaZaposlenikaImpl;
import pbdmodel.impl.ZaposlenjaImpl;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Zaposlenici</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link pbdmodel.Zaposlenici#getIdZaposlenici <em>Id Zaposlenici</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getSifraZaposlenika <em>Sifra Zaposlenika</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getAdresaZaposlenog <em>Adresa Zaposlenog</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getBankovniRacuni <em>Bankovni Racuni</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getKontaktZaposlenika <em>Kontakt Zaposlenika</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getSkolovanja <em>Skolovanja</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getOdsustva <em>Odsustva</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getUzdrzavaneOsobe <em>Uzdrzavane Osobe</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getUloga <em>Uloga</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getVrstaZapolenika <em>Vrsta Zapolenika</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getCin <em>Cin</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getBrojSluzbeneZnacke <em>Broj Sluzbene Znacke</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getZaposlenja <em>Zaposlenja</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getOrgJedinica <em>Org Jedinica</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getNagrade <em>Nagrade</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getKazne <em>Kazne</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getGodisnjaOcjena <em>Godisnja Ocjena</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getUser <em>User</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#isKorisnikAplikacije <em>Korisnik Aplikacije</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getVrstaSmjene <em>Vrsta Smjene</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getDokumentiOsobe <em>Dokumenti Osobe</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getPlatniRazred <em>Platni Razred</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getNetoPlata <em>Neto Plata</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getBrojPIO <em>Broj PIO</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getBrojRadneKnjizice <em>Broj Radne Knjizice</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getDatumIzdavanjaRadneKnjizice <em>Datum Izdavanja Radne Knjizice</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#isAktivan <em>Aktivan</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getMjestoIzdavanjaRadneKnjizice <em>Mjesto Izdavanja Radne Knjizice</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getOsiguranje <em>Osiguranje</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getStepenStrucneSpreme <em>Stepen Strucne Spreme</em>}</li>
 *   <li>{@link pbdmodel.Zaposlenici#getPovjestOrgJedinica <em>Povjest Org Jedinica</em>}</li>
 * </ul>
 * </p>
 *
 * @see pbdmodel.PbdmodelPackage#getZaposlenici()
 * @model
 * @generated
 */
public interface Zaposlenici extends Osoba {
	/**
	 * Returns the value of the '<em><b>Id Zaposlenici</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Id Zaposlenici</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Id Zaposlenici</em>' attribute.
	 * @see #setIdZaposlenici(long)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_IdZaposlenici()
	 * @model
	 * @generated
	 */
	long getIdZaposlenici();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#getIdZaposlenici <em>Id Zaposlenici</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Id Zaposlenici</em>' attribute.
	 * @see #getIdZaposlenici()
	 * @generated
	 */
	void setIdZaposlenici(long value);

	/**
	 * Returns the value of the '<em><b>Sifra Zaposlenika</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Sifra Zaposlenika</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Sifra Zaposlenika</em>' attribute.
	 * @see #setSifraZaposlenika(String)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_SifraZaposlenika()
	 * @model
	 * @generated
	 */
	String getSifraZaposlenika();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#getSifraZaposlenika <em>Sifra Zaposlenika</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Sifra Zaposlenika</em>' attribute.
	 * @see #getSifraZaposlenika()
	 * @generated
	 */
	void setSifraZaposlenika(String value);

	/**
	 * Returns the value of the '<em><b>Adresa Zaposlenog</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Adresa}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Adresa Zaposlenog</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Adresa Zaposlenog</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_AdresaZaposlenog()
	 * @model required="true"
	 * @generated
	 */
	List<AdresaImpl> getAdresaZaposlenog();

	/**
	 * Returns the value of the '<em><b>Bankovni Racuni</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.BankovniRacun}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Bankovni Racuni</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Bankovni Racuni</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_BankovniRacuni()
	 * @model required="true"
	 * @generated
	 */
	List<BankovniRacunImpl> getBankovniRacuni();

	/**
	 * Returns the value of the '<em><b>Kontakt Zaposlenika</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.KontaktZaposlenika}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Kontakt Zaposlenika</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Kontakt Zaposlenika</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_KontaktZaposlenika()
	 * @model required="true"
	 * @generated
	 */
	List<KontaktZaposlenikaImpl> getKontaktZaposlenika();

	/**
	 * Returns the value of the '<em><b>Skolovanja</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Skolovanja}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Skolovanja</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Skolovanja</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_Skolovanja()
	 * @model required="true"
	 * @generated
	 */
	List<SkolovanjaImpl> getSkolovanja();

	/**
	 * Returns the value of the '<em><b>Odsustva</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Odsustva}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Odsustva</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Odsustva</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_Odsustva()
	 * @model required="true"
	 * @generated
	 */
	List<OdsustvaImpl> getOdsustva();

	/**
	 * Returns the value of the '<em><b>Uzdrzavane Osobe</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Osoba}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Uzdrzavane Osobe</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Uzdrzavane Osobe</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_UzdrzavaneOsobe()
	 * @model required="true"
	 * @generated
	 */
	List<OsobaImpl> getUzdrzavaneOsobe();

	/**
	 * Returns the value of the '<em><b>Uloga</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Uloga</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Uloga</em>' reference.
	 * @see #setUloga(Uloge)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_Uloga()
	 * @model required="true"
	 * @generated
	 */
	UlogeImpl getUloga();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#getUloga <em>Uloga</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Uloga</em>' reference.
	 * @see #getUloga()
	 * @generated
	 */
	void setUloga(UlogeImpl value);

	/**
	 * Returns the value of the '<em><b>Vrsta Zapolenika</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrsta Zapolenika</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrsta Zapolenika</em>' reference.
	 * @see #setVrstaZapolenika(VrstaZaposlenika)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_VrstaZapolenika()
	 * @model required="true"
	 * @generated
	 */
	VrstaZaposlenikaImpl getVrstaZapolenika();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#getVrstaZapolenika <em>Vrsta Zapolenika</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Vrsta Zapolenika</em>' reference.
	 * @see #getVrstaZapolenika()
	 * @generated
	 */
	void setVrstaZapolenika(VrstaZaposlenikaImpl value);

	/**
	 * Returns the value of the '<em><b>Cin</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Cin</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Cin</em>' reference.
	 * @see #setCin(Cin)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_Cin()
	 * @model required="true"
	 * @generated
	 */
	CinImpl getCin();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#getCin <em>Cin</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Cin</em>' reference.
	 * @see #getCin()
	 * @generated
	 */
	void setCin(CinImpl value);

	/**
	 * Returns the value of the '<em><b>Broj Sluzbene Znacke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Broj Sluzbene Znacke</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Broj Sluzbene Znacke</em>' attribute.
	 * @see #setBrojSluzbeneZnacke(String)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_BrojSluzbeneZnacke()
	 * @model
	 * @generated
	 */
	String getBrojSluzbeneZnacke();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#getBrojSluzbeneZnacke <em>Broj Sluzbene Znacke</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Broj Sluzbene Znacke</em>' attribute.
	 * @see #getBrojSluzbeneZnacke()
	 * @generated
	 */
	void setBrojSluzbeneZnacke(String value);

	/**
	 * Returns the value of the '<em><b>Zaposlenja</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Zaposlenja}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Zaposlenja</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Zaposlenja</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_Zaposlenja()
	 * @model required="true"
	 * @generated
	 */
	List<ZaposlenjaImpl> getZaposlenja();

	/**
	 * Returns the value of the '<em><b>Org Jedinica</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Org Jedinica</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Org Jedinica</em>' reference.
	 * @see #setOrgJedinica(OrgJedinica)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_OrgJedinica()
	 * @model required="true"
	 * @generated
	 */
	OrgJedinicaImpl getOrgJedinica();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#getOrgJedinica <em>Org Jedinica</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Org Jedinica</em>' reference.
	 * @see #getOrgJedinica()
	 * @generated
	 */
	void setOrgJedinica(OrgJedinicaImpl value);

	/**
	 * Returns the value of the '<em><b>Nagrade</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Nagrade}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Nagrade</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Nagrade</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_Nagrade()
	 * @model required="true"
	 * @generated
	 */
	List<NagradeImpl> getNagrade();

	/**
	 * Returns the value of the '<em><b>Kazne</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.Kazne}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Kazne</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Kazne</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_Kazne()
	 * @model required="true"
	 * @generated
	 */
	List<KazneImpl> getKazne();

	/**
	 * Returns the value of the '<em><b>Godisnja Ocjena</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.GodisnjaOcjena}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Godisnja Ocjena</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Godisnja Ocjena</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_GodisnjaOcjena()
	 * @model required="true"
	 * @generated
	 */
	List<GodisnjaOcjenaImpl> getGodisnjaOcjena();

	/**
	 * Returns the value of the '<em><b>User</b></em>' reference.
	 * It is bidirectional and its opposite is '{@link pbdmodel.User#getZaposlenik <em>Zaposlenik</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>User</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>User</em>' reference.
	 * @see #setUser(User)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_User()
	 * @see pbdmodel.User#getZaposlenik
	 * @model opposite="zaposlenik" required="true"
	 * @generated
	 */
	UserImpl getUser();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#getUser <em>User</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>User</em>' reference.
	 * @see #getUser()
	 * @generated
	 */
	void setUser(UserImpl value);

	/**
	 * Returns the value of the '<em><b>Korisnik Aplikacije</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Korisnik Aplikacije</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Korisnik Aplikacije</em>' attribute.
	 * @see #setKorisnikAplikacije(boolean)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_KorisnikAplikacije()
	 * @model
	 * @generated
	 */
	boolean isKorisnikAplikacije();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#isKorisnikAplikacije <em>Korisnik Aplikacije</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Korisnik Aplikacije</em>' attribute.
	 * @see #isKorisnikAplikacije()
	 * @generated
	 */
	void setKorisnikAplikacije(boolean value);

	/**
	 * Returns the value of the '<em><b>Vrsta Smjene</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.VrstaSmjene}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Vrsta Smjene</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Vrsta Smjene</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_VrstaSmjene()
	 * @model required="true"
	 * @generated
	 */
//	List<VrstaSmjeneImpl> getVrstaSmjene();

	/**
	 * Returns the value of the '<em><b>Dokumenti Osobe</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.File}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Dokumenti Osobe</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Dokumenti Osobe</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_DokumentiOsobe()
	 * @model required="true"
	 * @generated
	 */
	List<FileImpl> getDokumentiOsobe();

	/**
	 * Returns the value of the '<em><b>Platni Razred</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Platni Razred</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Platni Razred</em>' attribute.
	 * @see #setPlatniRazred(String)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_PlatniRazred()
	 * @model
	 * @generated
	 */
	String getPlatniRazred();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#getPlatniRazred <em>Platni Razred</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Platni Razred</em>' attribute.
	 * @see #getPlatniRazred()
	 * @generated
	 */
	void setPlatniRazred(String value);

	/**
	 * Returns the value of the '<em><b>Neto Plata</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Neto Plata</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Neto Plata</em>' attribute.
	 * @see #setNetoPlata(String)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_NetoPlata()
	 * @model
	 * @generated
	 */
	String getNetoPlata();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#getNetoPlata <em>Neto Plata</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Neto Plata</em>' attribute.
	 * @see #getNetoPlata()
	 * @generated
	 */
	void setNetoPlata(String value);

	/**
	 * Returns the value of the '<em><b>Broj PIO</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Broj PIO</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Broj PIO</em>' attribute.
	 * @see #setBrojPIO(String)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_BrojPIO()
	 * @model
	 * @generated
	 */
	String getBrojPIO();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#getBrojPIO <em>Broj PIO</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Broj PIO</em>' attribute.
	 * @see #getBrojPIO()
	 * @generated
	 */
	void setBrojPIO(String value);

	/**
	 * Returns the value of the '<em><b>Broj Radne Knjizice</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Broj Radne Knjizice</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Broj Radne Knjizice</em>' attribute.
	 * @see #setBrojRadneKnjizice(String)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_BrojRadneKnjizice()
	 * @model
	 * @generated
	 */
	String getBrojRadneKnjizice();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#getBrojRadneKnjizice <em>Broj Radne Knjizice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Broj Radne Knjizice</em>' attribute.
	 * @see #getBrojRadneKnjizice()
	 * @generated
	 */
	void setBrojRadneKnjizice(String value);

	/**
	 * Returns the value of the '<em><b>Datum Izdavanja Radne Knjizice</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Datum Izdavanja Radne Knjizice</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Datum Izdavanja Radne Knjizice</em>' attribute.
	 * @see #setDatumIzdavanjaRadneKnjizice(Date)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_DatumIzdavanjaRadneKnjizice()
	 * @model
	 * @generated
	 */
	Date getDatumIzdavanjaRadneKnjizice();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#getDatumIzdavanjaRadneKnjizice <em>Datum Izdavanja Radne Knjizice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Datum Izdavanja Radne Knjizice</em>' attribute.
	 * @see #getDatumIzdavanjaRadneKnjizice()
	 * @generated
	 */
	void setDatumIzdavanjaRadneKnjizice(Date value);

	/**
	 * Returns the value of the '<em><b>Aktivan</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Aktivan</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Aktivan</em>' attribute.
	 * @see #setAktivan(boolean)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_Aktivan()
	 * @model
	 * @generated
	 */
	boolean isAktivan();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#isAktivan <em>Aktivan</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Aktivan</em>' attribute.
	 * @see #isAktivan()
	 * @generated
	 */
	void setAktivan(boolean value);

	/**
	 * Returns the value of the '<em><b>Mjesto Izdavanja Radne Knjizice</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Mjesto Izdavanja Radne Knjizice</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Mjesto Izdavanja Radne Knjizice</em>' reference.
	 * @see #setMjestoIzdavanjaRadneKnjizice(Mjesto)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_MjestoIzdavanjaRadneKnjizice()
	 * @model
	 * @generated
	 */
	MjestoImpl getMjestoIzdavanjaRadneKnjizice();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#getMjestoIzdavanjaRadneKnjizice <em>Mjesto Izdavanja Radne Knjizice</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Mjesto Izdavanja Radne Knjizice</em>' reference.
	 * @see #getMjestoIzdavanjaRadneKnjizice()
	 * @generated
	 */
	void setMjestoIzdavanjaRadneKnjizice(MjestoImpl value);

	/**
	 * Returns the value of the '<em><b>Osiguranje</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Osiguranje</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Osiguranje</em>' reference.
	 * @see #setOsiguranje(Osiguranje)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_Osiguranje()
	 * @model required="true"
	 * @generated
	 */
	OsiguranjeImpl getOsiguranje();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#getOsiguranje <em>Osiguranje</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Osiguranje</em>' reference.
	 * @see #getOsiguranje()
	 * @generated
	 */
	void setOsiguranje(OsiguranjeImpl value);

	/**
	 * Returns the value of the '<em><b>Stepen Strucne Spreme</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Stepen Strucne Spreme</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Stepen Strucne Spreme</em>' reference.
	 * @see #setStepenStrucneSpreme(StepenStrucneSpreme)
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_StepenStrucneSpreme()
	 * @model required="true"
	 * @generated
	 */
	StepenStrucneSpremeImpl getStepenStrucneSpreme();

	/**
	 * Sets the value of the '{@link pbdmodel.Zaposlenici#getStepenStrucneSpreme <em>Stepen Strucne Spreme</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Stepen Strucne Spreme</em>' reference.
	 * @see #getStepenStrucneSpreme()
	 * @generated
	 */
	void setStepenStrucneSpreme(StepenStrucneSpremeImpl value);

	/**
	 * Returns the value of the '<em><b>Povjest Org Jedinica</b></em>' reference list.
	 * The list contents are of type {@link pbdmodel.OrgJedinica}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Povjest Org Jedinica</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Povjest Org Jedinica</em>' reference list.
	 * @see pbdmodel.PbdmodelPackage#getZaposlenici_PovjestOrgJedinica()
	 * @model required="true"
	 * @generated
	 */
	List<OrgJedinicaImpl> getPovjestOrgJedinica();

} // Zaposlenici
