/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.util.InternalEList;

import pbdmodel.Dogadjaj;
import pbdmodel.PbdmodelPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Dogadjaj</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getIdDogadjaja <em>Id Dogadjaja</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getRedniBrojDogadjaja <em>Redni Broj Dogadjaja</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getEvidencije <em>EvidencijeImpl</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getDjela <em>Djela</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getDatumDogadjaja <em>Datum Dogadjaja</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getAdresa <em>AdresaImpl</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getPolicijskiSluzbenici <em>Policijski Sluzbenici</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getVrijemeDogadjaja <em>Vrijeme Dogadjaja</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getZakonskaKvalifikacija <em>Zakonska Kvalifikacija</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getVrstaDogadjaja <em>Vrsta Dogadjaja</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getStanje <em>Stanje</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#isPotvrdjenNalogrijave <em>Potvrdjen Nalogrijave</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getSadrzajPrijave <em>Sadrzaj Prijave</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getPrijava <em>PrijavaImpl</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getDatumSaznanja <em>Datum Saznanja</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getVrijemeSaznanja <em>Vrijeme Saznanja</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getNaknadneUvidjajneRadnje <em>Naknadne Uvidjajne Radnje</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getOstalo <em>Ostalo</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getSaobracajnaNezgoda <em>Saobracajna Nezgoda</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getDokumenti <em>Dokumenti</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getAkti <em>Akti</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getFolderi <em>Folderi</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getTaskovi <em>Taskovi</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getPoruke <em>Poruke</em>}</li>
 *   <li>{@link pbdmodel.pbdmodel.impl.DogadjajImpl#getEksterniDMS <em>Eksterni DMS</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class DogadjajImpl extends MetadataImpl implements Dogadjaj {
	/**
	 * The default value of the '{@link #getIdDogadjaja() <em>Id Dogadjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdDogadjaja()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_DOGADJAJA_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIdDogadjaja() <em>Id Dogadjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdDogadjaja()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long idDogadjaja = ID_DOGADJAJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getRedniBrojDogadjaja() <em>Redni Broj Dogadjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRedniBrojDogadjaja()
	 * @generated
	 * @ordered
	 */
	protected static final String REDNI_BROJ_DOGADJAJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getRedniBrojDogadjaja() <em>Redni Broj Dogadjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRedniBrojDogadjaja()
	 * @generated
	 * @ordered
	 */
	protected String redniBrojDogadjaja = REDNI_BROJ_DOGADJAJA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getEvidencije() <em>EvidencijeImpl</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getEvidencije()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="EVIDENCIJE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<EvidencijeImpl> evidencije;

	/**
	 * The cached value of the '{@link #getDjela() <em>Djela</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDjela()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="DJELO_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<DjeloImpl> djela;

	/**
	 * The default value of the '{@link #getDatumDogadjaja() <em>Datum Dogadjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumDogadjaja()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_DOGADJAJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumDogadjaja() <em>Datum Dogadjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumDogadjaja()
	 * @generated
	 * @ordered
	 */
	protected Date datumDogadjaja = DATUM_DOGADJAJA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getAdresa() <em>AdresaImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getAdresa()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ADRESA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected AdresaImpl adresa;

	/**
	 * The cached value of the '{@link #getPolicijskiSluzbenici() <em>Policijski Sluzbenici</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPolicijskiSluzbenici()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="POLICIJSKO_POSTUPANJE_ID", unique= true, nullable=true, insertable=true, updatable=true) //TODO JEL VALJA

	protected List<PolicijskoPostupanjeImpl> policijskiSluzbenici;

	/**
	 * The default value of the '{@link #getVrijemeDogadjaja() <em>Vrijeme Dogadjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeDogadjaja()
	 * @generated
	 * @ordered
	 */
	protected static final Date VRIJEME_DOGADJAJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVrijemeDogadjaja() <em>Vrijeme Dogadjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeDogadjaja()
	 * @generated
	 * @ordered
	 */
	protected Date vrijemeDogadjaja = VRIJEME_DOGADJAJA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getZakonskaKvalifikacija() <em>Zakonska Kvalifikacija</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getZakonskaKvalifikacija()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ZAKONSKA_KVALIFIKACIJA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected ZakonskaKvalifikacijaImpl zakonskaKvalifikacija;

	/**
	 * The cached value of the '{@link #getVrstaDogadjaja() <em>Vrsta Dogadjaja</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaDogadjaja()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_DOGADJAJA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected VrstaDogadjajaImpl vrstaDogadjaja;

	/**
	 * The cached value of the '{@link #getStanje() <em>Stanje</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStanje()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="STATUS_OBRADE_DOGADJAJA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected StatusObradeDogadjajaImpl stanje;

	/**
	 * The default value of the '{@link #isPotvrdjenNalogrijave() <em>Potvrdjen Nalogrijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPotvrdjenNalogrijave()
	 * @generated
	 * @ordered
	 */
	protected static final boolean POTVRDJEN_NALOGRIJAVE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isPotvrdjenNalogrijave() <em>Potvrdjen Nalogrijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPotvrdjenNalogrijave()
	 * @generated
	 * @ordered
	 */
	protected boolean potvrdjenNalogrijave = POTVRDJEN_NALOGRIJAVE_EDEFAULT;

	/**
	 * The default value of the '{@link #getSadrzajPrijave() <em>Sadrzaj Prijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSadrzajPrijave()
	 * @generated
	 * @ordered
	 */
	protected static final String SADRZAJ_PRIJAVE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getSadrzajPrijave() <em>Sadrzaj Prijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSadrzajPrijave()
	 * @generated
	 * @ordered
	 */
	protected String sadrzajPrijave = SADRZAJ_PRIJAVE_EDEFAULT;

	/**
	 * The cached value of the '{@link #getPrijava() <em>PrijavaImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPrijava()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PRIJAVA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected PrijavaImpl prijava;

	/**
	 * The default value of the '{@link #getDatumSaznanja() <em>Datum Saznanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumSaznanja()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_SAZNANJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumSaznanja() <em>Datum Saznanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumSaznanja()
	 * @generated
	 * @ordered
	 */
	protected Date datumSaznanja = DATUM_SAZNANJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getVrijemeSaznanja() <em>Vrijeme Saznanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeSaznanja()
	 * @generated
	 * @ordered
	 */
	protected static final Date VRIJEME_SAZNANJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVrijemeSaznanja() <em>Vrijeme Saznanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeSaznanja()
	 * @generated
	 * @ordered
	 */
	protected Date vrijemeSaznanja = VRIJEME_SAZNANJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getNaknadneUvidjajneRadnje() <em>Naknadne Uvidjajne Radnje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNaknadneUvidjajneRadnje()
	 * @generated
	 * @ordered
	 */
	protected static final String NAKNADNE_UVIDJAJNE_RADNJE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getNaknadneUvidjajneRadnje() <em>Naknadne Uvidjajne Radnje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNaknadneUvidjajneRadnje()
	 * @generated
	 * @ordered
	 */
	protected String naknadneUvidjajneRadnje = NAKNADNE_UVIDJAJNE_RADNJE_EDEFAULT;

	/**
	 * The default value of the '{@link #getOstalo() <em>Ostalo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOstalo()
	 * @generated
	 * @ordered
	 */
	protected static final String OSTALO_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOstalo() <em>Ostalo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOstalo()
	 * @generated
	 * @ordered
	 */
	protected String ostalo = OSTALO_EDEFAULT;

	/**
	 * The cached value of the '{@link #getSaobracajnaNezgoda() <em>Saobracajna Nezgoda</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSaobracajnaNezgoda()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SAOBRACAJNA_NEZGODA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected SaobracajnaNezgodaImpl saobracajnaNezgoda;

	/**
	 * The cached value of the '{@link #getDokumenti() <em>Dokumenti</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDokumenti()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="DOKUMENT_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<DokumentImpl> dokumenti;

	/**
	 * The cached value of the '{@link #getAkti() <em>Akti</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getAkti()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="AKT_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<AktImpl> akti;

	/**
	 * The cached value of the '{@link #getFolderi() <em>Folderi</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFolderi()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="FOLDER_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<FolderImpl> folderi;

	/**
	 * The cached value of the '{@link #getTaskovi() <em>Taskovi</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTaskovi()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="TASK_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<TaskImpl> taskovi;

	/**
	 * The cached value of the '{@link #getPoruke() <em>Poruke</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPoruke()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PORUKA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<PorukaImpl> poruke;

	/**
	 * The cached value of the '{@link #getEksterniDMS() <em>Eksterni DMS</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getEksterniDMS()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="EKSTERNI_DMS_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<EksterniDMSImpl> eksterniDMS;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DogadjajImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getDogadjaj();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIdDogadjaja() {
		return idDogadjaja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIdDogadjaja(long newIdDogadjaja) {
		long oldIdDogadjaja = idDogadjaja;
		idDogadjaja = newIdDogadjaja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOGADJAJ__ID_DOGADJAJA, oldIdDogadjaja, idDogadjaja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getRedniBrojDogadjaja() {
		return redniBrojDogadjaja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRedniBrojDogadjaja(String newRedniBrojDogadjaja) {
		String oldRedniBrojDogadjaja = redniBrojDogadjaja;
		redniBrojDogadjaja = newRedniBrojDogadjaja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOGADJAJ__REDNI_BROJ_DOGADJAJA, oldRedniBrojDogadjaja, redniBrojDogadjaja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<EvidencijeImpl> getEvidencije() {
		if (evidencije == null) {
			evidencije = new ArrayList<EvidencijeImpl>();
		}
		return evidencije;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<DjeloImpl> getDjela() {
		if (djela == null) {
			djela = new ArrayList<DjeloImpl>();
		}
		return djela;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumDogadjaja() {
		return datumDogadjaja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumDogadjaja(Date newDatumDogadjaja) {
		Date oldDatumDogadjaja = datumDogadjaja;
		datumDogadjaja = newDatumDogadjaja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOGADJAJ__DATUM_DOGADJAJA, oldDatumDogadjaja, datumDogadjaja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdresaImpl getAdresa() {
		if (adresa != null && adresa.eIsProxy()) {
			InternalEObject oldAdresa = (InternalEObject)adresa;
			adresa = (AdresaImpl)eResolveProxy(oldAdresa);
			if (adresa != oldAdresa) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.DOGADJAJ__ADRESA, oldAdresa, adresa));
			}
		}
		return adresa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdresaImpl basicGetAdresa() {
		return adresa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setAdresa(AdresaImpl newAdresa) {
		AdresaImpl oldAdresa = adresa;
		adresa = newAdresa;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOGADJAJ__ADRESA, oldAdresa, adresa));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<PolicijskoPostupanjeImpl> getPolicijskiSluzbenici() {
		if (policijskiSluzbenici == null) {
			policijskiSluzbenici = new ArrayList<PolicijskoPostupanjeImpl>();
		}
		return policijskiSluzbenici;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getVrijemeDogadjaja() {
		return vrijemeDogadjaja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrijemeDogadjaja(Date newVrijemeDogadjaja) {
		Date oldVrijemeDogadjaja = vrijemeDogadjaja;
		vrijemeDogadjaja = newVrijemeDogadjaja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOGADJAJ__VRIJEME_DOGADJAJA, oldVrijemeDogadjaja, vrijemeDogadjaja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ZakonskaKvalifikacijaImpl getZakonskaKvalifikacija() {
		if (zakonskaKvalifikacija != null && zakonskaKvalifikacija.eIsProxy()) {
			InternalEObject oldZakonskaKvalifikacija = (InternalEObject)zakonskaKvalifikacija;
			zakonskaKvalifikacija = (ZakonskaKvalifikacijaImpl)eResolveProxy(oldZakonskaKvalifikacija);
			if (zakonskaKvalifikacija != oldZakonskaKvalifikacija) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.DOGADJAJ__ZAKONSKA_KVALIFIKACIJA, oldZakonskaKvalifikacija, zakonskaKvalifikacija));
			}
		}
		return zakonskaKvalifikacija;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ZakonskaKvalifikacijaImpl basicGetZakonskaKvalifikacija() {
		return zakonskaKvalifikacija;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setZakonskaKvalifikacija(ZakonskaKvalifikacijaImpl newZakonskaKvalifikacija) {
		ZakonskaKvalifikacijaImpl oldZakonskaKvalifikacija = zakonskaKvalifikacija;
		zakonskaKvalifikacija = newZakonskaKvalifikacija;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOGADJAJ__ZAKONSKA_KVALIFIKACIJA, oldZakonskaKvalifikacija, zakonskaKvalifikacija));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaDogadjajaImpl getVrstaDogadjaja() {
		if (vrstaDogadjaja != null && vrstaDogadjaja.eIsProxy()) {
			InternalEObject oldVrstaDogadjaja = (InternalEObject)vrstaDogadjaja;
			vrstaDogadjaja = (VrstaDogadjajaImpl)eResolveProxy(oldVrstaDogadjaja);
			if (vrstaDogadjaja != oldVrstaDogadjaja) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.DOGADJAJ__VRSTA_DOGADJAJA, oldVrstaDogadjaja, vrstaDogadjaja));
			}
		}
		return vrstaDogadjaja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaDogadjajaImpl basicGetVrstaDogadjaja() {
		return vrstaDogadjaja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaDogadjaja(VrstaDogadjajaImpl newVrstaDogadjaja) {
		VrstaDogadjajaImpl oldVrstaDogadjaja = vrstaDogadjaja;
		vrstaDogadjaja = newVrstaDogadjaja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOGADJAJ__VRSTA_DOGADJAJA, oldVrstaDogadjaja, vrstaDogadjaja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StatusObradeDogadjajaImpl getStanje() {
		if (stanje != null && stanje.eIsProxy()) {
			InternalEObject oldStanje = (InternalEObject)stanje;
			stanje = (StatusObradeDogadjajaImpl)eResolveProxy(oldStanje);
			if (stanje != oldStanje) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.DOGADJAJ__STANJE, oldStanje, stanje));
			}
		}
		return stanje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StatusObradeDogadjajaImpl basicGetStanje() {
		return stanje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setStanje(StatusObradeDogadjajaImpl newStanje) {
		StatusObradeDogadjajaImpl oldStanje = stanje;
		stanje = newStanje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOGADJAJ__STANJE, oldStanje, stanje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isPotvrdjenNalogrijave() {
		return potvrdjenNalogrijave;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPotvrdjenNalogrijave(boolean newPotvrdjenNalogrijave) {
		boolean oldPotvrdjenNalogrijave = potvrdjenNalogrijave;
		potvrdjenNalogrijave = newPotvrdjenNalogrijave;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOGADJAJ__POTVRDJEN_NALOGRIJAVE, oldPotvrdjenNalogrijave, potvrdjenNalogrijave));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSadrzajPrijave() {
		return sadrzajPrijave;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSadrzajPrijave(String newSadrzajPrijave) {
		String oldSadrzajPrijave = sadrzajPrijave;
		sadrzajPrijave = newSadrzajPrijave;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOGADJAJ__SADRZAJ_PRIJAVE, oldSadrzajPrijave, sadrzajPrijave));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PrijavaImpl getPrijava() {
		if (prijava != null && prijava.eIsProxy()) {
			InternalEObject oldPrijava = (InternalEObject)prijava;
			prijava = (PrijavaImpl)eResolveProxy(oldPrijava);
			if (prijava != oldPrijava) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.DOGADJAJ__PRIJAVA, oldPrijava, prijava));
			}
		}
		return prijava;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PrijavaImpl basicGetPrijava() {
		return prijava;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPrijava(PrijavaImpl newPrijava) {
		PrijavaImpl oldPrijava = prijava;
		prijava = newPrijava;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOGADJAJ__PRIJAVA, oldPrijava, prijava));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumSaznanja() {
		return datumSaznanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumSaznanja(Date newDatumSaznanja) {
		Date oldDatumSaznanja = datumSaznanja;
		datumSaznanja = newDatumSaznanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOGADJAJ__DATUM_SAZNANJA, oldDatumSaznanja, datumSaznanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getVrijemeSaznanja() {
		return vrijemeSaznanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrijemeSaznanja(Date newVrijemeSaznanja) {
		Date oldVrijemeSaznanja = vrijemeSaznanja;
		vrijemeSaznanja = newVrijemeSaznanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOGADJAJ__VRIJEME_SAZNANJA, oldVrijemeSaznanja, vrijemeSaznanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getNaknadneUvidjajneRadnje() {
		return naknadneUvidjajneRadnje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNaknadneUvidjajneRadnje(String newNaknadneUvidjajneRadnje) {
		String oldNaknadneUvidjajneRadnje = naknadneUvidjajneRadnje;
		naknadneUvidjajneRadnje = newNaknadneUvidjajneRadnje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOGADJAJ__NAKNADNE_UVIDJAJNE_RADNJE, oldNaknadneUvidjajneRadnje, naknadneUvidjajneRadnje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOstalo() {
		return ostalo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOstalo(String newOstalo) {
		String oldOstalo = ostalo;
		ostalo = newOstalo;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOGADJAJ__OSTALO, oldOstalo, ostalo));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SaobracajnaNezgodaImpl getSaobracajnaNezgoda() {
		if (saobracajnaNezgoda != null && saobracajnaNezgoda.eIsProxy()) {
			InternalEObject oldSaobracajnaNezgoda = (InternalEObject)saobracajnaNezgoda;
			saobracajnaNezgoda = (SaobracajnaNezgodaImpl)eResolveProxy(oldSaobracajnaNezgoda);
			if (saobracajnaNezgoda != oldSaobracajnaNezgoda) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.DOGADJAJ__SAOBRACAJNA_NEZGODA, oldSaobracajnaNezgoda, saobracajnaNezgoda));
			}
		}
		return saobracajnaNezgoda;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SaobracajnaNezgodaImpl basicGetSaobracajnaNezgoda() {
		return saobracajnaNezgoda;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSaobracajnaNezgoda(SaobracajnaNezgodaImpl newSaobracajnaNezgoda) {
		SaobracajnaNezgodaImpl oldSaobracajnaNezgoda = saobracajnaNezgoda;
		saobracajnaNezgoda = newSaobracajnaNezgoda;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOGADJAJ__SAOBRACAJNA_NEZGODA, oldSaobracajnaNezgoda, saobracajnaNezgoda));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<DokumentImpl> getDokumenti() {
		if (dokumenti == null) {
			dokumenti = new ArrayList<DokumentImpl>();
		}
		return dokumenti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<AktImpl> getAkti() {
		if (akti == null) {
			akti = new ArrayList<AktImpl>();
		}
		return akti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<FolderImpl> getFolderi() {
		if (folderi == null) {
			folderi = new ArrayList<FolderImpl>();
		}
		return folderi;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<TaskImpl> getTaskovi() {
		if (taskovi == null) {
			taskovi = new ArrayList<TaskImpl>();
		}
		return taskovi;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<PorukaImpl> getPoruke() {
		if (poruke == null) {
			poruke = new ArrayList<PorukaImpl>();
		}
		return poruke;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<EksterniDMSImpl> getEksterniDMS() {
		if (eksterniDMS == null) {
			eksterniDMS = new ArrayList<EksterniDMSImpl>();
		}
		return eksterniDMS;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case PbdmodelPackage.DOGADJAJ__DJELA:
				return ((InternalEList<InternalEObject>)(InternalEList<?>)getDjela()).basicAdd(otherEnd, msgs);
		}
		return super.eInverseAdd(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case PbdmodelPackage.DOGADJAJ__EVIDENCIJE:
				return ((InternalEList<?>)getEvidencije()).basicRemove(otherEnd, msgs);
			case PbdmodelPackage.DOGADJAJ__DJELA:
				return ((InternalEList<?>)getDjela()).basicRemove(otherEnd, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.DOGADJAJ__ID_DOGADJAJA:
				return getIdDogadjaja();
			case PbdmodelPackage.DOGADJAJ__REDNI_BROJ_DOGADJAJA:
				return getRedniBrojDogadjaja();
			case PbdmodelPackage.DOGADJAJ__EVIDENCIJE:
				return getEvidencije();
			case PbdmodelPackage.DOGADJAJ__DJELA:
				return getDjela();
			case PbdmodelPackage.DOGADJAJ__DATUM_DOGADJAJA:
				return getDatumDogadjaja();
			case PbdmodelPackage.DOGADJAJ__ADRESA:
				if (resolve) return getAdresa();
				return basicGetAdresa();
			case PbdmodelPackage.DOGADJAJ__POLICIJSKI_SLUZBENICI:
				return getPolicijskiSluzbenici();
			case PbdmodelPackage.DOGADJAJ__VRIJEME_DOGADJAJA:
				return getVrijemeDogadjaja();
			case PbdmodelPackage.DOGADJAJ__ZAKONSKA_KVALIFIKACIJA:
				if (resolve) return getZakonskaKvalifikacija();
				return basicGetZakonskaKvalifikacija();
			case PbdmodelPackage.DOGADJAJ__VRSTA_DOGADJAJA:
				if (resolve) return getVrstaDogadjaja();
				return basicGetVrstaDogadjaja();
			case PbdmodelPackage.DOGADJAJ__STANJE:
				if (resolve) return getStanje();
				return basicGetStanje();
			case PbdmodelPackage.DOGADJAJ__POTVRDJEN_NALOGRIJAVE:
				return isPotvrdjenNalogrijave();
			case PbdmodelPackage.DOGADJAJ__SADRZAJ_PRIJAVE:
				return getSadrzajPrijave();
			case PbdmodelPackage.DOGADJAJ__PRIJAVA:
				if (resolve) return getPrijava();
				return basicGetPrijava();
			case PbdmodelPackage.DOGADJAJ__DATUM_SAZNANJA:
				return getDatumSaznanja();
			case PbdmodelPackage.DOGADJAJ__VRIJEME_SAZNANJA:
				return getVrijemeSaznanja();
			case PbdmodelPackage.DOGADJAJ__NAKNADNE_UVIDJAJNE_RADNJE:
				return getNaknadneUvidjajneRadnje();
			case PbdmodelPackage.DOGADJAJ__OSTALO:
				return getOstalo();
			case PbdmodelPackage.DOGADJAJ__SAOBRACAJNA_NEZGODA:
				if (resolve) return getSaobracajnaNezgoda();
				return basicGetSaobracajnaNezgoda();
			case PbdmodelPackage.DOGADJAJ__DOKUMENTI:
				return getDokumenti();
			case PbdmodelPackage.DOGADJAJ__AKTI:
				return getAkti();
			case PbdmodelPackage.DOGADJAJ__FOLDERI:
				return getFolderi();
			case PbdmodelPackage.DOGADJAJ__TASKOVI:
				return getTaskovi();
			case PbdmodelPackage.DOGADJAJ__PORUKE:
				return getPoruke();
			case PbdmodelPackage.DOGADJAJ__EKSTERNI_DMS:
				return getEksterniDMS();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.DOGADJAJ__ID_DOGADJAJA:
				setIdDogadjaja((Long)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__REDNI_BROJ_DOGADJAJA:
				setRedniBrojDogadjaja((String)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__EVIDENCIJE:
				getEvidencije().clear();
				getEvidencije().addAll((Collection<? extends EvidencijeImpl>)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__DJELA:
				getDjela().clear();
				getDjela().addAll((Collection<? extends DjeloImpl>)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__DATUM_DOGADJAJA:
				setDatumDogadjaja((Date)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__ADRESA:
				setAdresa((AdresaImpl)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__POLICIJSKI_SLUZBENICI:
				getPolicijskiSluzbenici().clear();
				getPolicijskiSluzbenici().addAll((Collection<? extends PolicijskoPostupanjeImpl>)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__VRIJEME_DOGADJAJA:
				setVrijemeDogadjaja((Date)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__ZAKONSKA_KVALIFIKACIJA:
				setZakonskaKvalifikacija((ZakonskaKvalifikacijaImpl)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__VRSTA_DOGADJAJA:
				setVrstaDogadjaja((VrstaDogadjajaImpl)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__STANJE:
				setStanje((StatusObradeDogadjajaImpl)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__POTVRDJEN_NALOGRIJAVE:
				setPotvrdjenNalogrijave((Boolean)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__SADRZAJ_PRIJAVE:
				setSadrzajPrijave((String)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__PRIJAVA:
				setPrijava((PrijavaImpl)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__DATUM_SAZNANJA:
				setDatumSaznanja((Date)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__VRIJEME_SAZNANJA:
				setVrijemeSaznanja((Date)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__NAKNADNE_UVIDJAJNE_RADNJE:
				setNaknadneUvidjajneRadnje((String)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__OSTALO:
				setOstalo((String)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__SAOBRACAJNA_NEZGODA:
				setSaobracajnaNezgoda((SaobracajnaNezgodaImpl)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__DOKUMENTI:
				getDokumenti().clear();
				getDokumenti().addAll((Collection<? extends DokumentImpl>)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__AKTI:
				getAkti().clear();
				getAkti().addAll((Collection<? extends AktImpl>)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__FOLDERI:
				getFolderi().clear();
				getFolderi().addAll((Collection<? extends FolderImpl>)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__TASKOVI:
				getTaskovi().clear();
				getTaskovi().addAll((Collection<? extends TaskImpl>)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__PORUKE:
				getPoruke().clear();
				getPoruke().addAll((Collection<? extends PorukaImpl>)newValue);
				return;
			case PbdmodelPackage.DOGADJAJ__EKSTERNI_DMS:
				getEksterniDMS().clear();
				getEksterniDMS().addAll((Collection<? extends EksterniDMSImpl>)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.DOGADJAJ__ID_DOGADJAJA:
				setIdDogadjaja(ID_DOGADJAJA_EDEFAULT);
				return;
			case PbdmodelPackage.DOGADJAJ__REDNI_BROJ_DOGADJAJA:
				setRedniBrojDogadjaja(REDNI_BROJ_DOGADJAJA_EDEFAULT);
				return;
			case PbdmodelPackage.DOGADJAJ__EVIDENCIJE:
				getEvidencije().clear();
				return;
			case PbdmodelPackage.DOGADJAJ__DJELA:
				getDjela().clear();
				return;
			case PbdmodelPackage.DOGADJAJ__DATUM_DOGADJAJA:
				setDatumDogadjaja(DATUM_DOGADJAJA_EDEFAULT);
				return;
			case PbdmodelPackage.DOGADJAJ__ADRESA:
				setAdresa((AdresaImpl)null);
				return;
			case PbdmodelPackage.DOGADJAJ__POLICIJSKI_SLUZBENICI:
				getPolicijskiSluzbenici().clear();
				return;
			case PbdmodelPackage.DOGADJAJ__VRIJEME_DOGADJAJA:
				setVrijemeDogadjaja(VRIJEME_DOGADJAJA_EDEFAULT);
				return;
			case PbdmodelPackage.DOGADJAJ__ZAKONSKA_KVALIFIKACIJA:
				setZakonskaKvalifikacija((ZakonskaKvalifikacijaImpl)null);
				return;
			case PbdmodelPackage.DOGADJAJ__VRSTA_DOGADJAJA:
				setVrstaDogadjaja((VrstaDogadjajaImpl)null);
				return;
			case PbdmodelPackage.DOGADJAJ__STANJE:
				setStanje((StatusObradeDogadjajaImpl)null);
				return;
			case PbdmodelPackage.DOGADJAJ__POTVRDJEN_NALOGRIJAVE:
				setPotvrdjenNalogrijave(POTVRDJEN_NALOGRIJAVE_EDEFAULT);
				return;
			case PbdmodelPackage.DOGADJAJ__SADRZAJ_PRIJAVE:
				setSadrzajPrijave(SADRZAJ_PRIJAVE_EDEFAULT);
				return;
			case PbdmodelPackage.DOGADJAJ__PRIJAVA:
				setPrijava((PrijavaImpl)null);
				return;
			case PbdmodelPackage.DOGADJAJ__DATUM_SAZNANJA:
				setDatumSaznanja(DATUM_SAZNANJA_EDEFAULT);
				return;
			case PbdmodelPackage.DOGADJAJ__VRIJEME_SAZNANJA:
				setVrijemeSaznanja(VRIJEME_SAZNANJA_EDEFAULT);
				return;
			case PbdmodelPackage.DOGADJAJ__NAKNADNE_UVIDJAJNE_RADNJE:
				setNaknadneUvidjajneRadnje(NAKNADNE_UVIDJAJNE_RADNJE_EDEFAULT);
				return;
			case PbdmodelPackage.DOGADJAJ__OSTALO:
				setOstalo(OSTALO_EDEFAULT);
				return;
			case PbdmodelPackage.DOGADJAJ__SAOBRACAJNA_NEZGODA:
				setSaobracajnaNezgoda((SaobracajnaNezgodaImpl)null);
				return;
			case PbdmodelPackage.DOGADJAJ__DOKUMENTI:
				getDokumenti().clear();
				return;
			case PbdmodelPackage.DOGADJAJ__AKTI:
				getAkti().clear();
				return;
			case PbdmodelPackage.DOGADJAJ__FOLDERI:
				getFolderi().clear();
				return;
			case PbdmodelPackage.DOGADJAJ__TASKOVI:
				getTaskovi().clear();
				return;
			case PbdmodelPackage.DOGADJAJ__PORUKE:
				getPoruke().clear();
				return;
			case PbdmodelPackage.DOGADJAJ__EKSTERNI_DMS:
				getEksterniDMS().clear();
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.DOGADJAJ__ID_DOGADJAJA:
				return idDogadjaja != ID_DOGADJAJA_EDEFAULT;
			case PbdmodelPackage.DOGADJAJ__REDNI_BROJ_DOGADJAJA:
				return REDNI_BROJ_DOGADJAJA_EDEFAULT == null ? redniBrojDogadjaja != null : !REDNI_BROJ_DOGADJAJA_EDEFAULT.equals(redniBrojDogadjaja);
			case PbdmodelPackage.DOGADJAJ__EVIDENCIJE:
				return evidencije != null && !evidencije.isEmpty();
			case PbdmodelPackage.DOGADJAJ__DJELA:
				return djela != null && !djela.isEmpty();
			case PbdmodelPackage.DOGADJAJ__DATUM_DOGADJAJA:
				return DATUM_DOGADJAJA_EDEFAULT == null ? datumDogadjaja != null : !DATUM_DOGADJAJA_EDEFAULT.equals(datumDogadjaja);
			case PbdmodelPackage.DOGADJAJ__ADRESA:
				return adresa != null;
			case PbdmodelPackage.DOGADJAJ__POLICIJSKI_SLUZBENICI:
				return policijskiSluzbenici != null && !policijskiSluzbenici.isEmpty();
			case PbdmodelPackage.DOGADJAJ__VRIJEME_DOGADJAJA:
				return VRIJEME_DOGADJAJA_EDEFAULT == null ? vrijemeDogadjaja != null : !VRIJEME_DOGADJAJA_EDEFAULT.equals(vrijemeDogadjaja);
			case PbdmodelPackage.DOGADJAJ__ZAKONSKA_KVALIFIKACIJA:
				return zakonskaKvalifikacija != null;
			case PbdmodelPackage.DOGADJAJ__VRSTA_DOGADJAJA:
				return vrstaDogadjaja != null;
			case PbdmodelPackage.DOGADJAJ__STANJE:
				return stanje != null;
			case PbdmodelPackage.DOGADJAJ__POTVRDJEN_NALOGRIJAVE:
				return potvrdjenNalogrijave != POTVRDJEN_NALOGRIJAVE_EDEFAULT;
			case PbdmodelPackage.DOGADJAJ__SADRZAJ_PRIJAVE:
				return SADRZAJ_PRIJAVE_EDEFAULT == null ? sadrzajPrijave != null : !SADRZAJ_PRIJAVE_EDEFAULT.equals(sadrzajPrijave);
			case PbdmodelPackage.DOGADJAJ__PRIJAVA:
				return prijava != null;
			case PbdmodelPackage.DOGADJAJ__DATUM_SAZNANJA:
				return DATUM_SAZNANJA_EDEFAULT == null ? datumSaznanja != null : !DATUM_SAZNANJA_EDEFAULT.equals(datumSaznanja);
			case PbdmodelPackage.DOGADJAJ__VRIJEME_SAZNANJA:
				return VRIJEME_SAZNANJA_EDEFAULT == null ? vrijemeSaznanja != null : !VRIJEME_SAZNANJA_EDEFAULT.equals(vrijemeSaznanja);
			case PbdmodelPackage.DOGADJAJ__NAKNADNE_UVIDJAJNE_RADNJE:
				return NAKNADNE_UVIDJAJNE_RADNJE_EDEFAULT == null ? naknadneUvidjajneRadnje != null : !NAKNADNE_UVIDJAJNE_RADNJE_EDEFAULT.equals(naknadneUvidjajneRadnje);
			case PbdmodelPackage.DOGADJAJ__OSTALO:
				return OSTALO_EDEFAULT == null ? ostalo != null : !OSTALO_EDEFAULT.equals(ostalo);
			case PbdmodelPackage.DOGADJAJ__SAOBRACAJNA_NEZGODA:
				return saobracajnaNezgoda != null;
			case PbdmodelPackage.DOGADJAJ__DOKUMENTI:
				return dokumenti != null && !dokumenti.isEmpty();
			case PbdmodelPackage.DOGADJAJ__AKTI:
				return akti != null && !akti.isEmpty();
			case PbdmodelPackage.DOGADJAJ__FOLDERI:
				return folderi != null && !folderi.isEmpty();
			case PbdmodelPackage.DOGADJAJ__TASKOVI:
				return taskovi != null && !taskovi.isEmpty();
			case PbdmodelPackage.DOGADJAJ__PORUKE:
				return poruke != null && !poruke.isEmpty();
			case PbdmodelPackage.DOGADJAJ__EKSTERNI_DMS:
				return eksterniDMS != null && !eksterniDMS.isEmpty();
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (idDogadjaja: ");
		result.append(idDogadjaja);
		result.append(", redniBrojDogadjaja: ");
		result.append(redniBrojDogadjaja);
		result.append(", datumDogadjaja: ");
		result.append(datumDogadjaja);
		result.append(", vrijemeDogadjaja: ");
		result.append(vrijemeDogadjaja);
		result.append(", potvrdjenNalogrijave: ");
		result.append(potvrdjenNalogrijave);
		result.append(", sadrzajPrijave: ");
		result.append(sadrzajPrijave);
		result.append(", datumSaznanja: ");
		result.append(datumSaznanja);
		result.append(", vrijemeSaznanja: ");
		result.append(vrijemeSaznanja);
		result.append(", naknadneUvidjajneRadnje: ");
		result.append(naknadneUvidjajneRadnje);
		result.append(", ostalo: ");
		result.append(ostalo);
		result.append(')');
		return result.toString();
	}

} //DogadjajImpl
