/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.SequenceGenerator;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca;
import pbdmodel.PbdmodelPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Evidencijao Kaznenim Djelima Pocinjenih Od Nepoznatih Pocinioca</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPociniocaImpl#getIDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca <em>ID Evidencijao Kaznenim Djelima Pocinjenih Od Nepoznatih Pocinioca</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPociniocaImpl#getNapomena <em>Napomena</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPociniocaImpl#getDjelo <em>DjeloImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPociniocaImpl#getRealizacija <em>Realizacija</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPociniocaImpl#getSudionikOsteceni <em>SudionikImpl Osteceni</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPociniocaImpl#getSudionikIzvrsitelj <em>SudionikImpl Izvrsitelj</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPociniocaImpl#getSluzbenaOsoba <em>Sluzbena Osoba</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPociniocaImpl#getOrgJedinica <em>Org Jedinica</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
@SequenceGenerator(name="EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPociniocaImpl_SEQ", allocationSize=1, initialValue=1)
public class EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPociniocaImpl extends EvidencijeImpl implements EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca {
	/**
	 * The default value of the '{@link #getIDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca() <em>ID Evidencijao Kaznenim Djelima Pocinjenih Od Nepoznatih Pocinioca</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca() <em>ID Evidencijao Kaznenim Djelima Pocinjenih Od Nepoznatih Pocinioca</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca()
	 * @generated
	 * @ordered
	 */
	@GeneratedValue(strategy=GenerationType.AUTO, generator="EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPociniocaImpl_SEQ")
	protected long iDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca = ID_EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA_EDEFAULT;

	/**
	 * The default value of the '{@link #getNapomena() <em>Napomena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNapomena()
	 * @generated
	 * @ordered
	 */
	protected static final String NAPOMENA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getNapomena() <em>Napomena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNapomena()
	 * @generated
	 * @ordered
	 */
	protected String napomena = NAPOMENA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getDjelo() <em>DjeloImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDjelo()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="DJELO_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected DjeloImpl djelo;

	/**
	 * The cached value of the '{@link #getRealizacija() <em>Realizacija</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRealizacija()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="REALIZACIJA_ID", unique= true, nullable=true, insertable=true, updatable=true) //TODO REALZIZACIJA
	protected RealzizacijaImpl realizacija;

	/**
	 * The cached value of the '{@link #getSudionikOsteceni() <em>SudionikImpl Osteceni</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSudionikOsteceni()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SUDIONIK_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<SudionikImpl> sudionikOsteceni;

	/**
	 * The cached value of the '{@link #getSudionikIzvrsitelj() <em>SudionikImpl Izvrsitelj</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSudionikIzvrsitelj()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SUDIONIK_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<SudionikImpl> sudionikIzvrsitelj;

	/**
	 * The cached value of the '{@link #getSluzbenaOsoba() <em>Sluzbena Osoba</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSluzbenaOsoba()
	 * @generated
	 * @ordered
	 */
//	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
//	  @JoinColumn(name="SLUZBENA_OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)
//	protected List<SluzbenaOsobaImpl> sluzbenaOsoba;

	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ZAPOSLENICI_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<ZaposleniciImpl> zaposlenici;
	/**
	 * The cached value of the '{@link #getOrgJedinica() <em>Org Jedinica</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrgJedinica()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ORG_JEDINICA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected OrgJedinicaImpl orgJedinica;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPociniocaImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca() {
		return iDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca(long newIDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca) {
		long oldIDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca = iDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca;
		iDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca = newIDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__ID_EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA, oldIDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca, iDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getNapomena() {
		return napomena;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNapomena(String newNapomena) {
		String oldNapomena = napomena;
		napomena = newNapomena;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__NAPOMENA, oldNapomena, napomena));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DjeloImpl getDjelo() {
		if (djelo != null && djelo.eIsProxy()) {
			InternalEObject oldDjelo = (InternalEObject)djelo;
			djelo = (DjeloImpl)eResolveProxy(oldDjelo);
			if (djelo != oldDjelo) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__DJELO, oldDjelo, djelo));
			}
		}
		return djelo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DjeloImpl basicGetDjelo() {
		return djelo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDjelo(DjeloImpl newDjelo) {
		DjeloImpl oldDjelo = djelo;
		djelo = newDjelo;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__DJELO, oldDjelo, djelo));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RealzizacijaImpl getRealizacija() {
		if (realizacija != null && realizacija.eIsProxy()) {
			InternalEObject oldRealizacija = (InternalEObject)realizacija;
			realizacija = (RealzizacijaImpl)eResolveProxy(oldRealizacija);
			if (realizacija != oldRealizacija) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__REALIZACIJA, oldRealizacija, realizacija));
			}
		}
		return realizacija;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RealzizacijaImpl basicGetRealizacija() {
		return realizacija;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRealizacija(RealzizacijaImpl newRealizacija) {
		RealzizacijaImpl oldRealizacija = realizacija;
		realizacija = newRealizacija;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__REALIZACIJA, oldRealizacija, realizacija));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<SudionikImpl> getSudionikOsteceni() {
		if (sudionikOsteceni == null) {
			sudionikOsteceni = new ArrayList<SudionikImpl>();
		}
		return sudionikOsteceni;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<SudionikImpl> getSudionikIzvrsitelj() {
		if (sudionikIzvrsitelj == null) {
			sudionikIzvrsitelj = new ArrayList<SudionikImpl>();
		}
		return sudionikIzvrsitelj;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
//	public List<SluzbenaOsobaImpl> getSluzbenaOsoba() {
//		if (sluzbenaOsoba == null) {
//			sluzbenaOsoba = new ArrayList<SluzbenaOsobaImpl>();
//		}
//		return sluzbenaOsoba;
//	}
	
	public List<ZaposleniciImpl> getZaposlenici() {
		if (zaposlenici == null) {
			zaposlenici = new ArrayList<ZaposleniciImpl>();
		}
		return zaposlenici;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrgJedinicaImpl getOrgJedinica() {
		if (orgJedinica != null && orgJedinica.eIsProxy()) {
			InternalEObject oldOrgJedinica = (InternalEObject)orgJedinica;
			orgJedinica = (OrgJedinicaImpl)eResolveProxy(oldOrgJedinica);
			if (orgJedinica != oldOrgJedinica) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__ORG_JEDINICA, oldOrgJedinica, orgJedinica));
			}
		}
		return orgJedinica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrgJedinicaImpl basicGetOrgJedinica() {
		return orgJedinica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrgJedinica(OrgJedinicaImpl newOrgJedinica) {
		OrgJedinicaImpl oldOrgJedinica = orgJedinica;
		orgJedinica = newOrgJedinica;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__ORG_JEDINICA, oldOrgJedinica, orgJedinica));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__ID_EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA:
				return getIDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca();
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__NAPOMENA:
				return getNapomena();
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__DJELO:
				if (resolve) return getDjelo();
				return basicGetDjelo();
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__REALIZACIJA:
				if (resolve) return getRealizacija();
				return basicGetRealizacija();
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__SUDIONIK_OSTECENI:
				return getSudionikOsteceni();
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__SUDIONIK_IZVRSITELJ:
				return getSudionikIzvrsitelj();
//			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__SLUZBENA_OSOBA:
//				return getSluzbenaOsoba();
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__ORG_JEDINICA:
				if (resolve) return getOrgJedinica();
				return basicGetOrgJedinica();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__ID_EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA:
				setIDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca((Long)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__NAPOMENA:
				setNapomena((String)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__DJELO:
				setDjelo((DjeloImpl)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__REALIZACIJA:
				setRealizacija((RealzizacijaImpl)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__SUDIONIK_OSTECENI:
				getSudionikOsteceni().clear();
				getSudionikOsteceni().addAll((Collection<? extends SudionikImpl>)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__SUDIONIK_IZVRSITELJ:
				getSudionikIzvrsitelj().clear();
				getSudionikIzvrsitelj().addAll((Collection<? extends SudionikImpl>)newValue);
				return;
//			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__SLUZBENA_OSOBA:
//				getSluzbenaOsoba().clear();
//				getSluzbenaOsoba().addAll((Collection<? extends SluzbenaOsobaImpl>)newValue);
//				return;
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__ORG_JEDINICA:
				setOrgJedinica((OrgJedinicaImpl)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__ID_EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA:
				setIDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca(ID_EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA_EDEFAULT);
				return;
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__NAPOMENA:
				setNapomena(NAPOMENA_EDEFAULT);
				return;
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__DJELO:
				setDjelo((DjeloImpl)null);
				return;
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__REALIZACIJA:
				setRealizacija((RealzizacijaImpl)null);
				return;
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__SUDIONIK_OSTECENI:
				getSudionikOsteceni().clear();
				return;
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__SUDIONIK_IZVRSITELJ:
				getSudionikIzvrsitelj().clear();
				return;
//			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__SLUZBENA_OSOBA:
//				getSluzbenaOsoba().clear();
//				return;
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__ORG_JEDINICA:
				setOrgJedinica((OrgJedinicaImpl)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__ID_EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA:
				return iDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca != ID_EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA_EDEFAULT;
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__NAPOMENA:
				return NAPOMENA_EDEFAULT == null ? napomena != null : !NAPOMENA_EDEFAULT.equals(napomena);
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__DJELO:
				return djelo != null;
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__REALIZACIJA:
				return realizacija != null;
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__SUDIONIK_OSTECENI:
				return sudionikOsteceni != null && !sudionikOsteceni.isEmpty();
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__SUDIONIK_IZVRSITELJ:
				return sudionikIzvrsitelj != null && !sudionikIzvrsitelj.isEmpty();
//			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__SLUZBENA_OSOBA:
//				return sluzbenaOsoba != null && !sluzbenaOsoba.isEmpty();
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA__ORG_JEDINICA:
				return orgJedinica != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca: ");
		result.append(iDEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca);
		result.append(", Napomena: ");
		result.append(napomena);
		result.append(')');
		return result.toString();
	}

} //EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPociniocaImpl
