/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.SequenceGenerator;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.PatrolniNalog;
import pbdmodel.PbdmodelPackage;


/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Nalog za sluzbu</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getIdPatrolniNalog <em>Id Patrolni Nalog</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getOrgJedinicaPatrolniNalog <em>Org Jedinica Patrolni Nalog</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getZaposlenici <em>ZaposleniciImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getBrojPatrolnogNaloga <em>Broj Patrolnog Naloga</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getDatumPatrolnogNaloga <em>Datum Patrolnog Naloga</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getPocetakPatrolnogNaloga <em>Pocetak Patrolnog Naloga</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getKrajPatrolnogNaloga <em>Kraj Patrolnog Naloga</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getReonSektor <em>Reon Sektor</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getOpstiZadaci <em>Opsti Zadaci</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getKonkretniZadaci <em>Konkretni Zadaci</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getRasporedRadnogVremena <em>Raspored Radnog Vremena</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getOpstiZadaciPatrolniIzvjestaj <em>Opsti Zadaci Patrolni Izvjestaj</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getKonkretniZadaciPatrolniIzvjestaj <em>Konkretni Zadaci Patrolni Izvjestaj</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getOstaleAktivnostiIzvjestaj <em>Ostale Aktivnosti Izvjestaj</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getPatrolniDokumenti <em>Patrolni Dokumenti</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getSluzbenaOsobaSudionikDogadjaj <em>Sluzbena Osoba Sudionik DogadjajImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getPatrolniNalogAktivnosti <em>Patrolni Nalog Aktivnosti</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getFajlovi <em>Fajlovi</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getPatrola <em>PatrolaImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getVrstaSluzbe <em>Vrsta Sluzbe</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getOperativniRadar <em>Operativni Radar</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getOperativniAlkotest <em>Operativni Alkotest</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getOperativniRadioUredjaj <em>Operativni Radio Uredjaj</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getOperativniFotoAparat <em>Operativni Foto Aparat</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getOperativniReflektor <em>Operativni Reflektor</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getOperativnoVozilo <em>Operativno Vozilo</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getOperativniMetarPantljinka <em>Operativni Metar Pantljinka</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getOstalaOperativnaOprema <em>Ostala Operativna Oprema</em>}</li>
 *   <li>{@link pbdmodel.impl.NalogZaSluzbuImpl#getPrilozi <em>Prilozi</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
@SequenceGenerator(name="NALOG_SLUZBA_SEQ", allocationSize=1, initialValue=1)
public class NalogZaSluzbuImpl extends AktImpl {
	/**
	 * The default value of the '{@link #getIdPatrolniNalog() <em>Id Patrolni Nalog</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdPatrolniNalog()
	 * @generated
	 * @ordered
	 */
//	protected static final long ID_PATROLNI_NALOG_EDEFAULT = 0L;
//STa sad?
//	da probamo ovo
	protected long idAkt = 0L;
	
	
	public long getIdAkt() {
		return idAkt;
	}

	public void setIdAkt(long idAkt) {
		this.idAkt = idAkt;
	}

	/**
	 * The cached value of the '{@link #getIdPatrolniNalog() <em>Id Patrolni Nalog</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdPatrolniNalog()
	 * @generated
	 * @ordered
	 */
	@GeneratedValue(strategy=GenerationType.AUTO, generator="NALOG_SLUZBA_SEQ")
	protected long idNalogZaSluzbu = 0L;

	/**
	 * The cached value of the '{@link #getOrgJedinicaPatrolniNalog() <em>Org Jedinica Patrolni Nalog</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrgJedinicaPatrolniNalog()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ORG_JEDINICA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected OrgJedinicaImpl orgJedinicaPatrolniNalog;
	
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="DOKUMENT_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<DokumentImpl> vezaniDokumenti;
	
	
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_SMJENE_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected VrstaSmjeneImpl vrstaSmjene;
	
	

	public VrstaSmjeneImpl getVrstaSmjene() {
		return vrstaSmjene;
	}

	public void setVrstaSmjene(VrstaSmjeneImpl vrstaSmjene) {
		this.vrstaSmjene = vrstaSmjene;
	}

	public List<DokumentImpl> getVezaniDokumenti() {
		if(vezaniDokumenti == null){
			vezaniDokumenti = new ArrayList<DokumentImpl>();
		}
		return vezaniDokumenti;
	}
	
	protected String smjenaSeVrsi = "";

	public String getSmjenaSeVrsi() {
		return smjenaSeVrsi;
	}

	public void setSmjenaSeVrsi(String smjenaSeVrsi) {
		this.smjenaSeVrsi = smjenaSeVrsi;
	}

	/**
	 * The cached value of the '{@link #getZaposlenici() <em>ZaposleniciImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getZaposlenici()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ZAPOSLENICI_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected ZaposleniciImpl zaposlenici;

	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ZAPOSLENICI_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<ZaposleniciImpl> sluzbenici;
	
	public List<ZaposleniciImpl> getSluzbenici() {
		if (sluzbenici == null) {
			sluzbenici = new ArrayList<ZaposleniciImpl>();
		}
		return sluzbenici;
	}
	
//	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
//	  @JoinColumn(name="PREKRSAJNI_NALOG_ID", unique= true, nullable=true, insertable=true, updatable=true)
//	protected List<PrekrsajniNalogImpl> prekrsajniNalozi;
//	
//	public List<PrekrsajniNalogImpl> getPrekrsajniNalozi() {
//		if (prekrsajniNalozi == null) {
//			prekrsajniNalozi = new ArrayList<PrekrsajniNalogImpl>();
//		}
//		return prekrsajniNalozi;
//	}
	/**
	 * The default value of the '{@link #getBrojPatrolnogNaloga() <em>Broj Patrolnog Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojPatrolnogNaloga()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_PATROLNOG_NALOGA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojPatrolnogNaloga() <em>Broj Patrolnog Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojPatrolnogNaloga()
	 * @generated
	 * @ordered
	 */
	protected String brojPatrolnogNaloga = BROJ_PATROLNOG_NALOGA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumPatrolnogNaloga() <em>Datum Patrolnog Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumPatrolnogNaloga()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_PATROLNOG_NALOGA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumPatrolnogNaloga() <em>Datum Patrolnog Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumPatrolnogNaloga()
	 * @generated
	 * @ordered
	 */
	protected Date datumPatrolnogNaloga = DATUM_PATROLNOG_NALOGA_EDEFAULT;

	/**
	 * The default value of the '{@link #getPocetakPatrolnogNaloga() <em>Pocetak Patrolnog Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPocetakPatrolnogNaloga()
	 * @generated
	 * @ordered
	 */
	protected static final String POCETAK_PATROLNOG_NALOGA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPocetakPatrolnogNaloga() <em>Pocetak Patrolnog Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPocetakPatrolnogNaloga()
	 * @generated
	 * @ordered
	 */
	protected String pocetakPatrolnogNaloga = POCETAK_PATROLNOG_NALOGA_EDEFAULT;
	
	protected static final String TRENUTNA_GODINA = null;

	/**
	 * The cached value of the '{@link #getPocetakPatrolnogNaloga() <em>Pocetak Patrolnog Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPocetakPatrolnogNaloga()
	 * @generated
	 * @ordered
	 */
	protected String trenutnaGodina = TRENUTNA_GODINA;

	public String getTrenutnaGodina() {
		return trenutnaGodina;
	}

	public void setTrenutnaGodina(String trenutnaGodina) {
		this.trenutnaGodina = trenutnaGodina;
	}
	
	protected static final Long BROJAC_JSP = null;

	/**
	 * The cached value of the '{@link #getPocetakPatrolnogNaloga() <em>Pocetak Patrolnog Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPocetakPatrolnogNaloga()
	 * @generated
	 * @ordered
	 */
	protected Long brojacJSP = BROJAC_JSP;

	public Long getBrojacJSP() {
		return brojacJSP;
	}

	public void setBrojacJSP(Long brojacJSP) {
		this.brojacJSP = brojacJSP;
	}
	
	protected static final Long BROJAC_JOP = null;

	/**
	 * The cached value of the '{@link #getPocetakPatrolnogNaloga() <em>Pocetak Patrolnog Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPocetakPatrolnogNaloga()
	 * @generated
	 * @ordered
	 */
	protected Long brojacJOP = BROJAC_JOP;

	public Long getBrojacJOP() {
		return brojacJOP;
	}

	public void setBrojacJOP(Long brojacJOP) {
		this.brojacJOP = brojacJOP;
	}

	/**
	 * The default value of the '{@link #getKrajPatrolnogNaloga() <em>Kraj Patrolnog Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKrajPatrolnogNaloga()
	 * @generated
	 * @ordered
	 */
	protected static final String KRAJ_PATROLNOG_NALOGA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getKrajPatrolnogNaloga() <em>Kraj Patrolnog Naloga</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKrajPatrolnogNaloga()
	 * @generated
	 * @ordered
	 */
	protected String krajPatrolnogNaloga = KRAJ_PATROLNOG_NALOGA_EDEFAULT;

	/**
	 * The default value of the '{@link #getReonSektor() <em>Reon Sektor</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getReonSektor()
	 * @generated
	 * @ordered
	 */
	protected static final SektorImpl REON_SEKTOR_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getReonSektor() <em>Reon Sektor</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getReonSektor()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SEKTOR_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected SektorImpl reonSektor = REON_SEKTOR_EDEFAULT;


	/**
	 * The default value of the '{@link #getOpstiZadaci() <em>Opsti Zadaci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpstiZadaci()
	 * @generated
	 * @ordered
	 */
	protected static final String OPSTI_ZADACI_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOpstiZadaci() <em>Opsti Zadaci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpstiZadaci()
	 * @generated
	 * @ordered
	 */
	protected String opstiZadaci = OPSTI_ZADACI_EDEFAULT;

	/**
	 * The default value of the '{@link #getKonkretniZadaci() <em>Konkretni Zadaci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKonkretniZadaci()
	 * @generated
	 * @ordered
	 */
	protected static final String KONKRETNI_ZADACI_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getKonkretniZadaci() <em>Konkretni Zadaci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKonkretniZadaci()
	 * @generated
	 * @ordered
	 */
	protected String konkretniZadaci = KONKRETNI_ZADACI_EDEFAULT;

	/**
	 * The default value of the '{@link #getRasporedRadnogVremena() <em>Raspored Radnog Vremena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRasporedRadnogVremena()
	 * @generated
	 * @ordered
	 */
	protected static final String RASPORED_RADNOG_VREMENA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getRasporedRadnogVremena() <em>Raspored Radnog Vremena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRasporedRadnogVremena()
	 * @generated
	 * @ordered
	 */
	protected String rasporedRadnogVremena = RASPORED_RADNOG_VREMENA_EDEFAULT;

	/**
	 * The default value of the '{@link #getOpstiZadaciPatrolniIzvjestaj() <em>Opsti Zadaci Patrolni Izvjestaj</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpstiZadaciPatrolniIzvjestaj()
	 * @generated
	 * @ordered
	 */
	protected static final String OPSTI_ZADACI_PATROLNI_IZVJESTAJ_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOpstiZadaciPatrolniIzvjestaj() <em>Opsti Zadaci Patrolni Izvjestaj</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpstiZadaciPatrolniIzvjestaj()
	 * @generated
	 * @ordered
	 */
	protected String opstiZadaciPatrolniIzvjestaj = OPSTI_ZADACI_PATROLNI_IZVJESTAJ_EDEFAULT;

	/**
	 * The default value of the '{@link #getKonkretniZadaciPatrolniIzvjestaj() <em>Konkretni Zadaci Patrolni Izvjestaj</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKonkretniZadaciPatrolniIzvjestaj()
	 * @generated
	 * @ordered
	 */
	protected static final String KONKRETNI_ZADACI_PATROLNI_IZVJESTAJ_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getKonkretniZadaciPatrolniIzvjestaj() <em>Konkretni Zadaci Patrolni Izvjestaj</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKonkretniZadaciPatrolniIzvjestaj()
	 * @generated
	 * @ordered
	 */
	protected String konkretniZadaciPatrolniIzvjestaj = KONKRETNI_ZADACI_PATROLNI_IZVJESTAJ_EDEFAULT;

	/**
	 * The default value of the '{@link #getOstaleAktivnostiIzvjestaj() <em>Ostale Aktivnosti Izvjestaj</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOstaleAktivnostiIzvjestaj()
	 * @generated
	 * @ordered
	 */
	protected static final String OSTALE_AKTIVNOSTI_IZVJESTAJ_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOstaleAktivnostiIzvjestaj() <em>Ostale Aktivnosti Izvjestaj</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOstaleAktivnostiIzvjestaj()
	 * @generated
	 * @ordered
	 */
	protected String ostaleAktivnostiIzvjestaj = OSTALE_AKTIVNOSTI_IZVJESTAJ_EDEFAULT;

	/**
	 * The cached value of the '{@link #getPatrolniDokumenti() <em>Patrolni Dokumenti</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPatrolniDokumenti()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PATROLNI_DOKUMENTI_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<PatrolniDokumentiImpl> patrolniDokumenti;

	/**
	 * The cached value of the '{@link #getSluzbenaOsobaSudionikDogadjaj() <em>Sluzbena Osoba Sudionik DogadjajImpl</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSluzbenaOsobaSudionikDogadjaj()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="DOGADJAJ_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<DogadjajImpl> sluzbenaOsobaSudionikDogadjaj;

	/**
	 * The cached value of the '{@link #getPatrolniNalogAktivnosti() <em>Patrolni Nalog Aktivnosti</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPatrolniNalogAktivnosti()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PATROLNI_NALOG_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<PatrolniNalogAktivnostiImpl> patrolniNalogAktivnosti;

	/**
	 * The cached value of the '{@link #getFajlovi() <em>Fajlovi</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFajlovi()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="FILE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<FileImpl> fajlovi;

	/**
	 * The cached value of the '{@link #getPatrola() <em>PatrolaImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPatrola()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PATROLA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected PatrolaImpl patrola;

	/**
	 * The cached value of the '{@link #getVrstaSluzbe() <em>Vrsta Sluzbe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaSluzbe()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_SLUZBE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected VrstaSluzbeImpl vrstaSluzbe;

	/**
	 * The cached value of the '{@link #getOperativniRadar() <em>Operativni Radar</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOperativniRadar()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OPERATIVNI_RADAR_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OperativniRadarImpl operativniRadar;

	/**
	 * The cached value of the '{@link #getOperativniAlkotest() <em>Operativni Alkotest</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOperativniAlkotest()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OPERATIVNI_ALKOTEST_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OperativniAlkotestImpl operativniAlkotest;

	/**
	 * The cached value of the '{@link #getOperativniRadioUredjaj() <em>Operativni Radio Uredjaj</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOperativniRadioUredjaj()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OPERATIVNI_RADIO_UREDJAJ_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OperativniRadioUredjajImpl operativniRadioUredjaj;

	/**
	 * The cached value of the '{@link #getOperativniFotoAparat() <em>Operativni Foto Aparat</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOperativniFotoAparat()
	 * @generated
	 * @ordered
	 */
	
	public String alkotest;
	public String radar;
	
	public String getAlkotest() {
		return alkotest;
	}

	public void setAlkotest(String alkotest) {
		this.alkotest = alkotest;
	}

	public String getRadar() {
		return radar;
	}

	public void setRadar(String radar) {
		this.radar = radar;
	}

	
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OPERATIVNI_FOTO_APARAT_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OperativniFotoAparatImpl operativniFotoAparat;

	/**
	 * The cached value of the '{@link #getOperativniReflektor() <em>Operativni Reflektor</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOperativniReflektor()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OPERATIVNI_REFLEKTOR_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OperativniReflektorImpl operativniReflektor;

	/**
	 * The cached value of the '{@link #getOperativnoVozilo() <em>Operativno Vozilo</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOperativnoVozilo()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OPERATIVNI_VOZILO_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OperativnoVoziloImpl operativnoVozilo;

	/**
	 * The cached value of the '{@link #getOperativniMetarPantljinka() <em>Operativni Metar Pantljinka</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOperativniMetarPantljinka()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OPERATIVNI_METAR_PANTLJIKA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OperativniMetarPantljinkaImpl operativniMetarPantljinka;

	/**
	 * The cached value of the '{@link #getOstalaOperativnaOprema() <em>Ostala Operativna Oprema</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOstalaOperativnaOprema()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OSTALA_OPERATIVNA_OPREMA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OstalaOperativnaOpremaImpl ostalaOperativnaOprema;

	/**
	 * The cached value of the '{@link #getPrilozi() <em>Prilozi</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPrilozi()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PRILOG_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<PrilogImpl> prilozi;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NalogZaSluzbuImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getPatrolniNalog();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIdNalogZaSluzbu() {
		return idNalogZaSluzbu;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIdNalogZaSluzbu(long newIdNalogZaSluzbu) {
		idNalogZaSluzbu = newIdNalogZaSluzbu;
		}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrgJedinicaImpl getOrgJedinicaPatrolniNalog() {
		if (orgJedinicaPatrolniNalog != null && orgJedinicaPatrolniNalog.eIsProxy()) {
			InternalEObject oldOrgJedinicaPatrolniNalog = (InternalEObject)orgJedinicaPatrolniNalog;
			orgJedinicaPatrolniNalog = (OrgJedinicaImpl)eResolveProxy(oldOrgJedinicaPatrolniNalog);
			if (orgJedinicaPatrolniNalog != oldOrgJedinicaPatrolniNalog) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PATROLNI_NALOG__ORG_JEDINICA_PATROLNI_NALOG, oldOrgJedinicaPatrolniNalog, orgJedinicaPatrolniNalog));
			}
		}
		return orgJedinicaPatrolniNalog;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrgJedinicaImpl basicGetOrgJedinicaPatrolniNalog() {
		return orgJedinicaPatrolniNalog;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrgJedinicaPatrolniNalog(OrgJedinicaImpl newOrgJedinicaPatrolniNalog) {
		OrgJedinicaImpl oldOrgJedinicaPatrolniNalog = orgJedinicaPatrolniNalog;
		orgJedinicaPatrolniNalog = newOrgJedinicaPatrolniNalog;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__ORG_JEDINICA_PATROLNI_NALOG, oldOrgJedinicaPatrolniNalog, orgJedinicaPatrolniNalog));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ZaposleniciImpl getZaposlenici() {
		if (zaposlenici != null && zaposlenici.eIsProxy()) {
			InternalEObject oldZaposlenici = (InternalEObject)zaposlenici;
			zaposlenici = (ZaposleniciImpl)eResolveProxy(oldZaposlenici);
			if (zaposlenici != oldZaposlenici) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PATROLNI_NALOG__ZAPOSLENICI, oldZaposlenici, zaposlenici));
			}
		}
		return zaposlenici;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ZaposleniciImpl basicGetZaposlenici() {
		return zaposlenici;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setZaposlenici(ZaposleniciImpl newZaposlenici) {
		ZaposleniciImpl oldZaposlenici = zaposlenici;
		zaposlenici = newZaposlenici;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__ZAPOSLENICI, oldZaposlenici, zaposlenici));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojPatrolnogNaloga() {
		return brojPatrolnogNaloga;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojPatrolnogNaloga(String newBrojPatrolnogNaloga) {
		String oldBrojPatrolnogNaloga = brojPatrolnogNaloga;
		brojPatrolnogNaloga = newBrojPatrolnogNaloga;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__BROJ_PATROLNOG_NALOGA, oldBrojPatrolnogNaloga, brojPatrolnogNaloga));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	
	public SektorImpl getReonSektor() {
		return reonSektor;
	}

	public void setReonSektor(SektorImpl reonSektor) {
		this.reonSektor = reonSektor;
	}

	
	
	public Date getDatumPatrolnogNaloga() {
		return datumPatrolnogNaloga;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumPatrolnogNaloga(Date newDatumPatrolnogNaloga) {
		Date oldDatumPatrolnogNaloga = datumPatrolnogNaloga;
		datumPatrolnogNaloga = newDatumPatrolnogNaloga;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__DATUM_PATROLNOG_NALOGA, oldDatumPatrolnogNaloga, datumPatrolnogNaloga));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPocetakPatrolnogNaloga() {
		return pocetakPatrolnogNaloga;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPocetakPatrolnogNaloga(String newPocetakPatrolnogNaloga) {
		String oldPocetakPatrolnogNaloga = pocetakPatrolnogNaloga;
		pocetakPatrolnogNaloga = newPocetakPatrolnogNaloga;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__POCETAK_PATROLNOG_NALOGA, oldPocetakPatrolnogNaloga, pocetakPatrolnogNaloga));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getKrajPatrolnogNaloga() {
		return krajPatrolnogNaloga;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setKrajPatrolnogNaloga(String newKrajPatrolnogNaloga) {
		String oldKrajPatrolnogNaloga = krajPatrolnogNaloga;
		krajPatrolnogNaloga = newKrajPatrolnogNaloga;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__KRAJ_PATROLNOG_NALOGA, oldKrajPatrolnogNaloga, krajPatrolnogNaloga));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */


	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOpstiZadaci() {
		return opstiZadaci;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOpstiZadaci(String newOpstiZadaci) {
		String oldOpstiZadaci = opstiZadaci;
		opstiZadaci = newOpstiZadaci;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__OPSTI_ZADACI, oldOpstiZadaci, opstiZadaci));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getKonkretniZadaci() {
		return konkretniZadaci;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setKonkretniZadaci(String newKonkretniZadaci) {
		String oldKonkretniZadaci = konkretniZadaci;
		konkretniZadaci = newKonkretniZadaci;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__KONKRETNI_ZADACI, oldKonkretniZadaci, konkretniZadaci));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getRasporedRadnogVremena() {
		return rasporedRadnogVremena;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRasporedRadnogVremena(String newRasporedRadnogVremena) {
		String oldRasporedRadnogVremena = rasporedRadnogVremena;
		rasporedRadnogVremena = newRasporedRadnogVremena;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__RASPORED_RADNOG_VREMENA, oldRasporedRadnogVremena, rasporedRadnogVremena));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOpstiZadaciPatrolniIzvjestaj() {
		return opstiZadaciPatrolniIzvjestaj;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOpstiZadaciPatrolniIzvjestaj(String newOpstiZadaciPatrolniIzvjestaj) {
		String oldOpstiZadaciPatrolniIzvjestaj = opstiZadaciPatrolniIzvjestaj;
		opstiZadaciPatrolniIzvjestaj = newOpstiZadaciPatrolniIzvjestaj;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__OPSTI_ZADACI_PATROLNI_IZVJESTAJ, oldOpstiZadaciPatrolniIzvjestaj, opstiZadaciPatrolniIzvjestaj));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getKonkretniZadaciPatrolniIzvjestaj() {
		return konkretniZadaciPatrolniIzvjestaj;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setKonkretniZadaciPatrolniIzvjestaj(String newKonkretniZadaciPatrolniIzvjestaj) {
		String oldKonkretniZadaciPatrolniIzvjestaj = konkretniZadaciPatrolniIzvjestaj;
		konkretniZadaciPatrolniIzvjestaj = newKonkretniZadaciPatrolniIzvjestaj;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__KONKRETNI_ZADACI_PATROLNI_IZVJESTAJ, oldKonkretniZadaciPatrolniIzvjestaj, konkretniZadaciPatrolniIzvjestaj));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOstaleAktivnostiIzvjestaj() {
		return ostaleAktivnostiIzvjestaj;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOstaleAktivnostiIzvjestaj(String newOstaleAktivnostiIzvjestaj) {
		String oldOstaleAktivnostiIzvjestaj = ostaleAktivnostiIzvjestaj;
		ostaleAktivnostiIzvjestaj = newOstaleAktivnostiIzvjestaj;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__OSTALE_AKTIVNOSTI_IZVJESTAJ, oldOstaleAktivnostiIzvjestaj, ostaleAktivnostiIzvjestaj));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<PatrolniDokumentiImpl> getPatrolniDokumenti() {
		if (patrolniDokumenti == null) {
			patrolniDokumenti = new ArrayList<PatrolniDokumentiImpl>();
		}
		return patrolniDokumenti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<DogadjajImpl> getSluzbenaOsobaSudionikDogadjaj() {
		if (sluzbenaOsobaSudionikDogadjaj == null) {
			sluzbenaOsobaSudionikDogadjaj = new ArrayList<DogadjajImpl>();
		}
		return sluzbenaOsobaSudionikDogadjaj;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<PatrolniNalogAktivnostiImpl> getPatrolniNalogAktivnosti() {
		if (patrolniNalogAktivnosti == null) {
			patrolniNalogAktivnosti = new ArrayList<PatrolniNalogAktivnostiImpl>();
		}
		return patrolniNalogAktivnosti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<FileImpl> getFajlovi() {
		if (fajlovi == null) {
			fajlovi = new ArrayList<FileImpl>();
		}
		return fajlovi;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PatrolaImpl getPatrola() {
		if (patrola != null && patrola.eIsProxy()) {
			InternalEObject oldPatrola = (InternalEObject)patrola;
			patrola = (PatrolaImpl)eResolveProxy(oldPatrola);
			if (patrola != oldPatrola) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PATROLNI_NALOG__PATROLA, oldPatrola, patrola));
			}
		}
		return patrola;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PatrolaImpl basicGetPatrola() {
		return patrola;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPatrola(PatrolaImpl newPatrola) {
		PatrolaImpl oldPatrola = patrola;
		patrola = newPatrola;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__PATROLA, oldPatrola, patrola));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaSluzbeImpl getVrstaSluzbe() {
		if (vrstaSluzbe != null && vrstaSluzbe.eIsProxy()) {
			InternalEObject oldVrstaSluzbe = (InternalEObject)vrstaSluzbe;
			vrstaSluzbe = (VrstaSluzbeImpl)eResolveProxy(oldVrstaSluzbe);
			if (vrstaSluzbe != oldVrstaSluzbe) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PATROLNI_NALOG__VRSTA_SLUZBE, oldVrstaSluzbe, vrstaSluzbe));
			}
		}
		return vrstaSluzbe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaSluzbeImpl basicGetVrstaSluzbe() {
		return vrstaSluzbe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaSluzbe(VrstaSluzbeImpl newVrstaSluzbe) {
		VrstaSluzbeImpl oldVrstaSluzbe = vrstaSluzbe;
		vrstaSluzbe = newVrstaSluzbe;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__VRSTA_SLUZBE, oldVrstaSluzbe, vrstaSluzbe));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OperativniRadarImpl getOperativniRadar() {
		if (operativniRadar != null && operativniRadar.eIsProxy()) {
			InternalEObject oldOperativniRadar = (InternalEObject)operativniRadar;
			operativniRadar = (OperativniRadarImpl)eResolveProxy(oldOperativniRadar);
			if (operativniRadar != oldOperativniRadar) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_RADAR, oldOperativniRadar, operativniRadar));
			}
		}
		return operativniRadar;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OperativniRadarImpl basicGetOperativniRadar() {
		return operativniRadar;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOperativniRadar(OperativniRadarImpl newOperativniRadar) {
		OperativniRadarImpl oldOperativniRadar = operativniRadar;
		operativniRadar = newOperativniRadar;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_RADAR, oldOperativniRadar, operativniRadar));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OperativniAlkotestImpl getOperativniAlkotest() {
		if (operativniAlkotest != null && operativniAlkotest.eIsProxy()) {
			InternalEObject oldOperativniAlkotest = (InternalEObject)operativniAlkotest;
			operativniAlkotest = (OperativniAlkotestImpl)eResolveProxy(oldOperativniAlkotest);
			if (operativniAlkotest != oldOperativniAlkotest) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_ALKOTEST, oldOperativniAlkotest, operativniAlkotest));
			}
		}
		return operativniAlkotest;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OperativniAlkotestImpl basicGetOperativniAlkotest() {
		return operativniAlkotest;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOperativniAlkotest(OperativniAlkotestImpl newOperativniAlkotest) {
		OperativniAlkotestImpl oldOperativniAlkotest = operativniAlkotest;
		operativniAlkotest = newOperativniAlkotest;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_ALKOTEST, oldOperativniAlkotest, operativniAlkotest));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OperativniRadioUredjajImpl getOperativniRadioUredjaj() {
		if (operativniRadioUredjaj != null && operativniRadioUredjaj.eIsProxy()) {
			InternalEObject oldOperativniRadioUredjaj = (InternalEObject)operativniRadioUredjaj;
			operativniRadioUredjaj = (OperativniRadioUredjajImpl)eResolveProxy(oldOperativniRadioUredjaj);
			if (operativniRadioUredjaj != oldOperativniRadioUredjaj) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_RADIO_UREDJAJ, oldOperativniRadioUredjaj, operativniRadioUredjaj));
			}
		}
		return operativniRadioUredjaj;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OperativniRadioUredjajImpl basicGetOperativniRadioUredjaj() {
		return operativniRadioUredjaj;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOperativniRadioUredjaj(OperativniRadioUredjajImpl newOperativniRadioUredjaj) {
		OperativniRadioUredjajImpl oldOperativniRadioUredjaj = operativniRadioUredjaj;
		operativniRadioUredjaj = newOperativniRadioUredjaj;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_RADIO_UREDJAJ, oldOperativniRadioUredjaj, operativniRadioUredjaj));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OperativniFotoAparatImpl getOperativniFotoAparat() {
		if (operativniFotoAparat != null && operativniFotoAparat.eIsProxy()) {
			InternalEObject oldOperativniFotoAparat = (InternalEObject)operativniFotoAparat;
			operativniFotoAparat = (OperativniFotoAparatImpl)eResolveProxy(oldOperativniFotoAparat);
			if (operativniFotoAparat != oldOperativniFotoAparat) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_FOTO_APARAT, oldOperativniFotoAparat, operativniFotoAparat));
			}
		}
		return operativniFotoAparat;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OperativniFotoAparatImpl basicGetOperativniFotoAparat() {
		return operativniFotoAparat;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOperativniFotoAparat(OperativniFotoAparatImpl newOperativniFotoAparat) {
		OperativniFotoAparatImpl oldOperativniFotoAparat = operativniFotoAparat;
		operativniFotoAparat = newOperativniFotoAparat;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_FOTO_APARAT, oldOperativniFotoAparat, operativniFotoAparat));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OperativniReflektorImpl getOperativniReflektor() {
		if (operativniReflektor != null && operativniReflektor.eIsProxy()) {
			InternalEObject oldOperativniReflektor = (InternalEObject)operativniReflektor;
			operativniReflektor = (OperativniReflektorImpl)eResolveProxy(oldOperativniReflektor);
			if (operativniReflektor != oldOperativniReflektor) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_REFLEKTOR, oldOperativniReflektor, operativniReflektor));
			}
		}
		return operativniReflektor;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OperativniReflektorImpl basicGetOperativniReflektor() {
		return operativniReflektor;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOperativniReflektor(OperativniReflektorImpl newOperativniReflektor) {
		OperativniReflektorImpl oldOperativniReflektor = operativniReflektor;
		operativniReflektor = newOperativniReflektor;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_REFLEKTOR, oldOperativniReflektor, operativniReflektor));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OperativnoVoziloImpl getOperativnoVozilo() {
		if (operativnoVozilo != null && operativnoVozilo.eIsProxy()) {
			InternalEObject oldOperativnoVozilo = (InternalEObject)operativnoVozilo;
			operativnoVozilo = (OperativnoVoziloImpl)eResolveProxy(oldOperativnoVozilo);
			if (operativnoVozilo != oldOperativnoVozilo) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PATROLNI_NALOG__OPERATIVNO_VOZILO, oldOperativnoVozilo, operativnoVozilo));
			}
		}
		return operativnoVozilo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OperativnoVoziloImpl basicGetOperativnoVozilo() {
		return operativnoVozilo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOperativnoVozilo(OperativnoVoziloImpl newOperativnoVozilo) {
		OperativnoVoziloImpl oldOperativnoVozilo = operativnoVozilo;
		operativnoVozilo = newOperativnoVozilo;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__OPERATIVNO_VOZILO, oldOperativnoVozilo, operativnoVozilo));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OperativniMetarPantljinkaImpl getOperativniMetarPantljinka() {
		if (operativniMetarPantljinka != null && operativniMetarPantljinka.eIsProxy()) {
			InternalEObject oldOperativniMetarPantljinka = (InternalEObject)operativniMetarPantljinka;
			operativniMetarPantljinka = (OperativniMetarPantljinkaImpl)eResolveProxy(oldOperativniMetarPantljinka);
			if (operativniMetarPantljinka != oldOperativniMetarPantljinka) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_METAR_PANTLJINKA, oldOperativniMetarPantljinka, operativniMetarPantljinka));
			}
		}
		return operativniMetarPantljinka;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OperativniMetarPantljinkaImpl basicGetOperativniMetarPantljinka() {
		return operativniMetarPantljinka;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOperativniMetarPantljinka(OperativniMetarPantljinkaImpl newOperativniMetarPantljinka) {
		OperativniMetarPantljinkaImpl oldOperativniMetarPantljinka = operativniMetarPantljinka;
		operativniMetarPantljinka = newOperativniMetarPantljinka;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_METAR_PANTLJINKA, oldOperativniMetarPantljinka, operativniMetarPantljinka));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OstalaOperativnaOpremaImpl getOstalaOperativnaOprema() {
		if (ostalaOperativnaOprema != null && ostalaOperativnaOprema.eIsProxy()) {
			InternalEObject oldOstalaOperativnaOprema = (InternalEObject)ostalaOperativnaOprema;
			ostalaOperativnaOprema = (OstalaOperativnaOpremaImpl)eResolveProxy(oldOstalaOperativnaOprema);
			if (ostalaOperativnaOprema != oldOstalaOperativnaOprema) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PATROLNI_NALOG__OSTALA_OPERATIVNA_OPREMA, oldOstalaOperativnaOprema, ostalaOperativnaOprema));
			}
		}
		return ostalaOperativnaOprema;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OstalaOperativnaOpremaImpl basicGetOstalaOperativnaOprema() {
		return ostalaOperativnaOprema;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOstalaOperativnaOprema(OstalaOperativnaOpremaImpl newOstalaOperativnaOprema) {
		OstalaOperativnaOpremaImpl oldOstalaOperativnaOprema = ostalaOperativnaOprema;
		ostalaOperativnaOprema = newOstalaOperativnaOprema;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PATROLNI_NALOG__OSTALA_OPERATIVNA_OPREMA, oldOstalaOperativnaOprema, ostalaOperativnaOprema));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<PrilogImpl> getPrilozi() {
		if (prilozi == null) {
			prilozi = new ArrayList<PrilogImpl>();
		}
		return prilozi;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.PATROLNI_NALOG__ID_PATROLNI_NALOG:
				return getIdNalogZaSluzbu();
			case PbdmodelPackage.PATROLNI_NALOG__ORG_JEDINICA_PATROLNI_NALOG:
				if (resolve) return getOrgJedinicaPatrolniNalog();
				return basicGetOrgJedinicaPatrolniNalog();
			case PbdmodelPackage.PATROLNI_NALOG__ZAPOSLENICI:
				if (resolve) return getZaposlenici();
				return basicGetZaposlenici();
			case PbdmodelPackage.PATROLNI_NALOG__BROJ_PATROLNOG_NALOGA:
				return getBrojPatrolnogNaloga();
			case PbdmodelPackage.PATROLNI_NALOG__DATUM_PATROLNOG_NALOGA:
				return getDatumPatrolnogNaloga();
			case PbdmodelPackage.PATROLNI_NALOG__POCETAK_PATROLNOG_NALOGA:
				return getPocetakPatrolnogNaloga();
			case PbdmodelPackage.PATROLNI_NALOG__KRAJ_PATROLNOG_NALOGA:
				return getKrajPatrolnogNaloga();
			case PbdmodelPackage.PATROLNI_NALOG__REON_SEKTOR:
				return getReonSektor();
			case PbdmodelPackage.PATROLNI_NALOG__OPSTI_ZADACI:
				return getOpstiZadaci();
			case PbdmodelPackage.PATROLNI_NALOG__KONKRETNI_ZADACI:
				return getKonkretniZadaci();
			case PbdmodelPackage.PATROLNI_NALOG__RASPORED_RADNOG_VREMENA:
				return getRasporedRadnogVremena();
			case PbdmodelPackage.PATROLNI_NALOG__OPSTI_ZADACI_PATROLNI_IZVJESTAJ:
				return getOpstiZadaciPatrolniIzvjestaj();
			case PbdmodelPackage.PATROLNI_NALOG__KONKRETNI_ZADACI_PATROLNI_IZVJESTAJ:
				return getKonkretniZadaciPatrolniIzvjestaj();
			case PbdmodelPackage.PATROLNI_NALOG__OSTALE_AKTIVNOSTI_IZVJESTAJ:
				return getOstaleAktivnostiIzvjestaj();
			case PbdmodelPackage.PATROLNI_NALOG__PATROLNI_DOKUMENTI:
				return getPatrolniDokumenti();
			case PbdmodelPackage.PATROLNI_NALOG__SLUZBENA_OSOBA_SUDIONIK_DOGADJAJ:
				return getSluzbenaOsobaSudionikDogadjaj();
			case PbdmodelPackage.PATROLNI_NALOG__PATROLNI_NALOG_AKTIVNOSTI:
				return getPatrolniNalogAktivnosti();
			case PbdmodelPackage.PATROLNI_NALOG__FAJLOVI:
				return getFajlovi();
			case PbdmodelPackage.PATROLNI_NALOG__PATROLA:
				if (resolve) return getPatrola();
				return basicGetPatrola();
			case PbdmodelPackage.PATROLNI_NALOG__VRSTA_SLUZBE:
				if (resolve) return getVrstaSluzbe();
				return basicGetVrstaSluzbe();
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_RADAR:
				if (resolve) return getOperativniRadar();
				return basicGetOperativniRadar();
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_ALKOTEST:
				if (resolve) return getOperativniAlkotest();
				return basicGetOperativniAlkotest();
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_RADIO_UREDJAJ:
				if (resolve) return getOperativniRadioUredjaj();
				return basicGetOperativniRadioUredjaj();
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_FOTO_APARAT:
				if (resolve) return getOperativniFotoAparat();
				return basicGetOperativniFotoAparat();
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_REFLEKTOR:
				if (resolve) return getOperativniReflektor();
				return basicGetOperativniReflektor();
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNO_VOZILO:
				if (resolve) return getOperativnoVozilo();
				return basicGetOperativnoVozilo();
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_METAR_PANTLJINKA:
				if (resolve) return getOperativniMetarPantljinka();
				return basicGetOperativniMetarPantljinka();
			case PbdmodelPackage.PATROLNI_NALOG__OSTALA_OPERATIVNA_OPREMA:
				if (resolve) return getOstalaOperativnaOprema();
				return basicGetOstalaOperativnaOprema();
			case PbdmodelPackage.PATROLNI_NALOG__PRILOZI:
				return getPrilozi();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.PATROLNI_NALOG__ID_PATROLNI_NALOG:
				setIdNalogZaSluzbu((Long)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__ORG_JEDINICA_PATROLNI_NALOG:
				setOrgJedinicaPatrolniNalog((OrgJedinicaImpl)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__ZAPOSLENICI:
				setZaposlenici((ZaposleniciImpl)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__BROJ_PATROLNOG_NALOGA:
				setBrojPatrolnogNaloga((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__DATUM_PATROLNOG_NALOGA:
				setDatumPatrolnogNaloga((Date)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__POCETAK_PATROLNOG_NALOGA:
				setPocetakPatrolnogNaloga((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__KRAJ_PATROLNOG_NALOGA:
				setKrajPatrolnogNaloga((String)newValue);
				return;
			
			case PbdmodelPackage.PATROLNI_NALOG__OPSTI_ZADACI:
				setOpstiZadaci((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__KONKRETNI_ZADACI:
				setKonkretniZadaci((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__RASPORED_RADNOG_VREMENA:
				setRasporedRadnogVremena((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OPSTI_ZADACI_PATROLNI_IZVJESTAJ:
				setOpstiZadaciPatrolniIzvjestaj((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__KONKRETNI_ZADACI_PATROLNI_IZVJESTAJ:
				setKonkretniZadaciPatrolniIzvjestaj((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OSTALE_AKTIVNOSTI_IZVJESTAJ:
				setOstaleAktivnostiIzvjestaj((String)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__PATROLNI_DOKUMENTI:
				getPatrolniDokumenti().clear();
				getPatrolniDokumenti().addAll((Collection<? extends PatrolniDokumentiImpl>)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__SLUZBENA_OSOBA_SUDIONIK_DOGADJAJ:
				getSluzbenaOsobaSudionikDogadjaj().clear();
				getSluzbenaOsobaSudionikDogadjaj().addAll((Collection<? extends DogadjajImpl>)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__PATROLNI_NALOG_AKTIVNOSTI:
				getPatrolniNalogAktivnosti().clear();
				getPatrolniNalogAktivnosti().addAll((Collection<? extends PatrolniNalogAktivnostiImpl>)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__FAJLOVI:
				getFajlovi().clear();
				getFajlovi().addAll((Collection<? extends FileImpl>)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__PATROLA:
				setPatrola((PatrolaImpl)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__VRSTA_SLUZBE:
				setVrstaSluzbe((VrstaSluzbeImpl)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_RADAR:
				setOperativniRadar((OperativniRadarImpl)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_ALKOTEST:
				setOperativniAlkotest((OperativniAlkotestImpl)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_RADIO_UREDJAJ:
				setOperativniRadioUredjaj((OperativniRadioUredjajImpl)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_FOTO_APARAT:
				setOperativniFotoAparat((OperativniFotoAparatImpl)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_REFLEKTOR:
				setOperativniReflektor((OperativniReflektorImpl)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNO_VOZILO:
				setOperativnoVozilo((OperativnoVoziloImpl)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_METAR_PANTLJINKA:
				setOperativniMetarPantljinka((OperativniMetarPantljinkaImpl)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OSTALA_OPERATIVNA_OPREMA:
				setOstalaOperativnaOprema((OstalaOperativnaOpremaImpl)newValue);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__PRILOZI:
				getPrilozi().clear();
				getPrilozi().addAll((Collection<? extends PrilogImpl>)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
//			case PbdmodelPackage.PATROLNI_NALOG__ID_PATROLNI_NALOG:
//				setIdPatrolniNalog(ID_PATROLNI_NALOG_EDEFAULT);
//				return;
			case PbdmodelPackage.PATROLNI_NALOG__ORG_JEDINICA_PATROLNI_NALOG:
				setOrgJedinicaPatrolniNalog((OrgJedinicaImpl)null);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__ZAPOSLENICI:
				setZaposlenici((ZaposleniciImpl)null);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__BROJ_PATROLNOG_NALOGA:
				setBrojPatrolnogNaloga(BROJ_PATROLNOG_NALOGA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__DATUM_PATROLNOG_NALOGA:
				setDatumPatrolnogNaloga(DATUM_PATROLNOG_NALOGA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__POCETAK_PATROLNOG_NALOGA:
				setPocetakPatrolnogNaloga(POCETAK_PATROLNOG_NALOGA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__KRAJ_PATROLNOG_NALOGA:
				setKrajPatrolnogNaloga(KRAJ_PATROLNOG_NALOGA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__REON_SEKTOR:
				setReonSektor(REON_SEKTOR_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OPSTI_ZADACI:
				setOpstiZadaci(OPSTI_ZADACI_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__KONKRETNI_ZADACI:
				setKonkretniZadaci(KONKRETNI_ZADACI_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__RASPORED_RADNOG_VREMENA:
				setRasporedRadnogVremena(RASPORED_RADNOG_VREMENA_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OPSTI_ZADACI_PATROLNI_IZVJESTAJ:
				setOpstiZadaciPatrolniIzvjestaj(OPSTI_ZADACI_PATROLNI_IZVJESTAJ_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__KONKRETNI_ZADACI_PATROLNI_IZVJESTAJ:
				setKonkretniZadaciPatrolniIzvjestaj(KONKRETNI_ZADACI_PATROLNI_IZVJESTAJ_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OSTALE_AKTIVNOSTI_IZVJESTAJ:
				setOstaleAktivnostiIzvjestaj(OSTALE_AKTIVNOSTI_IZVJESTAJ_EDEFAULT);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__PATROLNI_DOKUMENTI:
				getPatrolniDokumenti().clear();
				return;
			case PbdmodelPackage.PATROLNI_NALOG__SLUZBENA_OSOBA_SUDIONIK_DOGADJAJ:
				getSluzbenaOsobaSudionikDogadjaj().clear();
				return;
			case PbdmodelPackage.PATROLNI_NALOG__PATROLNI_NALOG_AKTIVNOSTI:
				getPatrolniNalogAktivnosti().clear();
				return;
			case PbdmodelPackage.PATROLNI_NALOG__FAJLOVI:
				getFajlovi().clear();
				return;
			case PbdmodelPackage.PATROLNI_NALOG__PATROLA:
				setPatrola((PatrolaImpl)null);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__VRSTA_SLUZBE:
				setVrstaSluzbe((VrstaSluzbeImpl)null);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_RADAR:
				setOperativniRadar((OperativniRadarImpl)null);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_ALKOTEST:
				setOperativniAlkotest((OperativniAlkotestImpl)null);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_RADIO_UREDJAJ:
				setOperativniRadioUredjaj((OperativniRadioUredjajImpl)null);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_FOTO_APARAT:
				setOperativniFotoAparat((OperativniFotoAparatImpl)null);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_REFLEKTOR:
				setOperativniReflektor((OperativniReflektorImpl)null);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNO_VOZILO:
				setOperativnoVozilo((OperativnoVoziloImpl)null);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_METAR_PANTLJINKA:
				setOperativniMetarPantljinka((OperativniMetarPantljinkaImpl)null);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__OSTALA_OPERATIVNA_OPREMA:
				setOstalaOperativnaOprema((OstalaOperativnaOpremaImpl)null);
				return;
			case PbdmodelPackage.PATROLNI_NALOG__PRILOZI:
				getPrilozi().clear();
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
//			case PbdmodelPackage.PATROLNI_NALOG__ID_PATROLNI_NALOG:
//				return idNalogZaSluzbu != ID_PATROLNI_NALOG_EDEFAULT;
			case PbdmodelPackage.PATROLNI_NALOG__ORG_JEDINICA_PATROLNI_NALOG:
				return orgJedinicaPatrolniNalog != null;
			case PbdmodelPackage.PATROLNI_NALOG__ZAPOSLENICI:
				return zaposlenici != null;
			case PbdmodelPackage.PATROLNI_NALOG__BROJ_PATROLNOG_NALOGA:
				return BROJ_PATROLNOG_NALOGA_EDEFAULT == null ? brojPatrolnogNaloga != null : !BROJ_PATROLNOG_NALOGA_EDEFAULT.equals(brojPatrolnogNaloga);
			case PbdmodelPackage.PATROLNI_NALOG__DATUM_PATROLNOG_NALOGA:
				return DATUM_PATROLNOG_NALOGA_EDEFAULT == null ? datumPatrolnogNaloga != null : !DATUM_PATROLNOG_NALOGA_EDEFAULT.equals(datumPatrolnogNaloga);
			case PbdmodelPackage.PATROLNI_NALOG__POCETAK_PATROLNOG_NALOGA:
				return POCETAK_PATROLNOG_NALOGA_EDEFAULT == null ? pocetakPatrolnogNaloga != null : !POCETAK_PATROLNOG_NALOGA_EDEFAULT.equals(pocetakPatrolnogNaloga);
			case PbdmodelPackage.PATROLNI_NALOG__KRAJ_PATROLNOG_NALOGA:
				return KRAJ_PATROLNOG_NALOGA_EDEFAULT == null ? krajPatrolnogNaloga != null : !KRAJ_PATROLNOG_NALOGA_EDEFAULT.equals(krajPatrolnogNaloga);
			case PbdmodelPackage.PATROLNI_NALOG__REON_SEKTOR:
				return REON_SEKTOR_EDEFAULT == null ? reonSektor != null : !REON_SEKTOR_EDEFAULT.equals(reonSektor);
			case PbdmodelPackage.PATROLNI_NALOG__OPSTI_ZADACI:
				return OPSTI_ZADACI_EDEFAULT == null ? opstiZadaci != null : !OPSTI_ZADACI_EDEFAULT.equals(opstiZadaci);
			case PbdmodelPackage.PATROLNI_NALOG__KONKRETNI_ZADACI:
				return KONKRETNI_ZADACI_EDEFAULT == null ? konkretniZadaci != null : !KONKRETNI_ZADACI_EDEFAULT.equals(konkretniZadaci);
			case PbdmodelPackage.PATROLNI_NALOG__RASPORED_RADNOG_VREMENA:
				return RASPORED_RADNOG_VREMENA_EDEFAULT == null ? rasporedRadnogVremena != null : !RASPORED_RADNOG_VREMENA_EDEFAULT.equals(rasporedRadnogVremena);
			case PbdmodelPackage.PATROLNI_NALOG__OPSTI_ZADACI_PATROLNI_IZVJESTAJ:
				return OPSTI_ZADACI_PATROLNI_IZVJESTAJ_EDEFAULT == null ? opstiZadaciPatrolniIzvjestaj != null : !OPSTI_ZADACI_PATROLNI_IZVJESTAJ_EDEFAULT.equals(opstiZadaciPatrolniIzvjestaj);
			case PbdmodelPackage.PATROLNI_NALOG__KONKRETNI_ZADACI_PATROLNI_IZVJESTAJ:
				return KONKRETNI_ZADACI_PATROLNI_IZVJESTAJ_EDEFAULT == null ? konkretniZadaciPatrolniIzvjestaj != null : !KONKRETNI_ZADACI_PATROLNI_IZVJESTAJ_EDEFAULT.equals(konkretniZadaciPatrolniIzvjestaj);
			case PbdmodelPackage.PATROLNI_NALOG__OSTALE_AKTIVNOSTI_IZVJESTAJ:
				return OSTALE_AKTIVNOSTI_IZVJESTAJ_EDEFAULT == null ? ostaleAktivnostiIzvjestaj != null : !OSTALE_AKTIVNOSTI_IZVJESTAJ_EDEFAULT.equals(ostaleAktivnostiIzvjestaj);
			case PbdmodelPackage.PATROLNI_NALOG__PATROLNI_DOKUMENTI:
				return patrolniDokumenti != null && !patrolniDokumenti.isEmpty();
			case PbdmodelPackage.PATROLNI_NALOG__SLUZBENA_OSOBA_SUDIONIK_DOGADJAJ:
				return sluzbenaOsobaSudionikDogadjaj != null && !sluzbenaOsobaSudionikDogadjaj.isEmpty();
			case PbdmodelPackage.PATROLNI_NALOG__PATROLNI_NALOG_AKTIVNOSTI:
				return patrolniNalogAktivnosti != null && !patrolniNalogAktivnosti.isEmpty();
			case PbdmodelPackage.PATROLNI_NALOG__FAJLOVI:
				return fajlovi != null && !fajlovi.isEmpty();
			case PbdmodelPackage.PATROLNI_NALOG__PATROLA:
				return patrola != null;
			case PbdmodelPackage.PATROLNI_NALOG__VRSTA_SLUZBE:
				return vrstaSluzbe != null;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_RADAR:
				return operativniRadar != null;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_ALKOTEST:
				return operativniAlkotest != null;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_RADIO_UREDJAJ:
				return operativniRadioUredjaj != null;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_FOTO_APARAT:
				return operativniFotoAparat != null;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_REFLEKTOR:
				return operativniReflektor != null;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNO_VOZILO:
				return operativnoVozilo != null;
			case PbdmodelPackage.PATROLNI_NALOG__OPERATIVNI_METAR_PANTLJINKA:
				return operativniMetarPantljinka != null;
			case PbdmodelPackage.PATROLNI_NALOG__OSTALA_OPERATIVNA_OPREMA:
				return ostalaOperativnaOprema != null;
			case PbdmodelPackage.PATROLNI_NALOG__PRILOZI:
				return prilozi != null && !prilozi.isEmpty();
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (idPatrolniNalog: ");
		result.append(idNalogZaSluzbu);
		result.append(", brojPatrolnogNaloga: ");
		result.append(brojPatrolnogNaloga);
		result.append(", datumPatrolnogNaloga: ");
		result.append(datumPatrolnogNaloga);
		result.append(", pocetakPatrolnogNaloga: ");
		result.append(pocetakPatrolnogNaloga);
		result.append(", krajPatrolnogNaloga: ");
		result.append(krajPatrolnogNaloga);
		result.append(", reonSektor: ");
		result.append(reonSektor);
		result.append(", opstiZadaci: ");
		result.append(opstiZadaci);
		result.append(", konkretniZadaci: ");
		result.append(konkretniZadaci);
		result.append(", rasporedRadnogVremena: ");
		result.append(rasporedRadnogVremena);
		result.append(", opstiZadaciPatrolniIzvjestaj: ");
		result.append(opstiZadaciPatrolniIzvjestaj);
		result.append(", konkretniZadaciPatrolniIzvjestaj: ");
		result.append(konkretniZadaciPatrolniIzvjestaj);
		result.append(", ostaleAktivnostiIzvjestaj: ");
		result.append(ostaleAktivnostiIzvjestaj);
		result.append(')');
		return result.toString();
	}

} //PatrolniNalogImpl
