/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.OduzimanjePredmeta;
import pbdmodel.PbdmodelPackage;


/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Oduzimanje Predmeta</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getIDOduzimanjePredmeta <em>ID Oduzimanje Predmeta</em>}</li>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getDatumIzdavanjaPotvrde <em>Datum Izdavanja Potvrde</em>}</li>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getVrijemeIzdavanjaPotvrde <em>Vrijeme Izdavanja Potvrde</em>}</li>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getRazlogOduzimanjaPredmeta <em>Razlog Oduzimanja Predmeta</em>}</li>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getPostupanjeSaPrivremenoOduzetimPredmetima <em>Postupanje Sa Privremeno Oduzetim Predmetima</em>}</li>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getDatumPreuzimanja <em>Datum Preuzimanja</em>}</li>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getVrijemePreuzimanja <em>Vrijeme Preuzimanja</em>}</li>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getOsobaKojaJePreuzelaPredmet <em>Osoba Koja Je Preuzela PredmetImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getOrganVlasti <em>Organ Vlasti</em>}</li>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getPredmeti <em>Predmeti</em>}</li>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getZakonskaOsnova <em>Zakonska Osnova</em>}</li>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getNacinOduzimanjaPredmeta <em>Nacin Oduzimanja Predmeta</em>}</li>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getPostupanjeSaPredmetima <em>Postupanje Sa Predmetima</em>}</li>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getDatumOduzimanjaPredmeta <em>Datum Oduzimanja Predmeta</em>}</li>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getBrojPotvrdeOPredaji <em>Broj Potvrde OPredaji</em>}</li>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getPredmetDeponovanU <em>PredmetImpl Deponovan U</em>}</li>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getPredmetPredao <em>PredmetImpl Predao</em>}</li>
 *   <li>{@link pbdmodel.impl.OduzimanjePredmetaImpl#getMjesto <em>MjestoImpl</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class OduzimanjePredmetaImpl extends AktivnostImpl implements OduzimanjePredmeta {
	/**
	 * The default value of the '{@link #getIDOduzimanjePredmeta() <em>ID Oduzimanje Predmeta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDOduzimanjePredmeta()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_ODUZIMANJE_PREDMETA_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDOduzimanjePredmeta() <em>ID Oduzimanje Predmeta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDOduzimanjePredmeta()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long iDOduzimanjePredmeta = ID_ODUZIMANJE_PREDMETA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumIzdavanjaPotvrde() <em>Datum Izdavanja Potvrde</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumIzdavanjaPotvrde()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_IZDAVANJA_POTVRDE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumIzdavanjaPotvrde() <em>Datum Izdavanja Potvrde</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumIzdavanjaPotvrde()
	 * @generated
	 * @ordered
	 */
	protected Date datumIzdavanjaPotvrde = DATUM_IZDAVANJA_POTVRDE_EDEFAULT;

	/**
	 * The default value of the '{@link #getVrijemeIzdavanjaPotvrde() <em>Vrijeme Izdavanja Potvrde</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeIzdavanjaPotvrde()
	 * @generated
	 * @ordered
	 */
	protected static final Date VRIJEME_IZDAVANJA_POTVRDE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVrijemeIzdavanjaPotvrde() <em>Vrijeme Izdavanja Potvrde</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeIzdavanjaPotvrde()
	 * @generated
	 * @ordered
	 */
	protected Date vrijemeIzdavanjaPotvrde = VRIJEME_IZDAVANJA_POTVRDE_EDEFAULT;

	/**
	 * The default value of the '{@link #getRazlogOduzimanjaPredmeta() <em>Razlog Oduzimanja Predmeta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRazlogOduzimanjaPredmeta()
	 * @generated
	 * @ordered
	 */
	protected static final String RAZLOG_ODUZIMANJA_PREDMETA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getRazlogOduzimanjaPredmeta() <em>Razlog Oduzimanja Predmeta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRazlogOduzimanjaPredmeta()
	 * @generated
	 * @ordered
	 */
	protected String razlogOduzimanjaPredmeta = RAZLOG_ODUZIMANJA_PREDMETA_EDEFAULT;

	/**
	 * The default value of the '{@link #getPostupanjeSaPrivremenoOduzetimPredmetima() <em>Postupanje Sa Privremeno Oduzetim Predmetima</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPostupanjeSaPrivremenoOduzetimPredmetima()
	 * @generated
	 * @ordered
	 */
	protected static final String POSTUPANJE_SA_PRIVREMENO_ODUZETIM_PREDMETIMA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPostupanjeSaPrivremenoOduzetimPredmetima() <em>Postupanje Sa Privremeno Oduzetim Predmetima</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPostupanjeSaPrivremenoOduzetimPredmetima()
	 * @generated
	 * @ordered
	 */
	protected String postupanjeSaPrivremenoOduzetimPredmetima = POSTUPANJE_SA_PRIVREMENO_ODUZETIM_PREDMETIMA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumPreuzimanja() <em>Datum Preuzimanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumPreuzimanja()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_PREUZIMANJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumPreuzimanja() <em>Datum Preuzimanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumPreuzimanja()
	 * @generated
	 * @ordered
	 */
	protected Date datumPreuzimanja = DATUM_PREUZIMANJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getVrijemePreuzimanja() <em>Vrijeme Preuzimanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemePreuzimanja()
	 * @generated
	 * @ordered
	 */
	protected static final Date VRIJEME_PREUZIMANJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVrijemePreuzimanja() <em>Vrijeme Preuzimanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemePreuzimanja()
	 * @generated
	 * @ordered
	 */
	protected Date vrijemePreuzimanja = VRIJEME_PREUZIMANJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getOsobaKojaJePreuzelaPredmet() <em>Osoba Koja Je Preuzela PredmetImpl</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsobaKojaJePreuzelaPredmet()
	 * @generated
	 * @ordered
	 */
	protected static final String OSOBA_KOJA_JE_PREUZELA_PREDMET_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOsobaKojaJePreuzelaPredmet() <em>Osoba Koja Je Preuzela PredmetImpl</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsobaKojaJePreuzelaPredmet()
	 * @generated
	 * @ordered
	 */
	protected String osobaKojaJePreuzelaPredmet = OSOBA_KOJA_JE_PREUZELA_PREDMET_EDEFAULT;

	/**
	 * The cached value of the '{@link #getOrganVlasti() <em>Organ Vlasti</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrganVlasti()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ORGAN_VLASTI_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OrganVlastiImpl organVlasti;

	/**
	 * The cached value of the '{@link #getPredmeti() <em>Predmeti</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPredmeti()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PREDMET_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<PredmetImpl> predmeti;

	/**
	 * The cached value of the '{@link #getZakonskaOsnova() <em>Zakonska Osnova</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getZakonskaOsnova()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ZAKONSKA_OSNOVA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected ZakonskaOsnovaImpl zakonskaOsnova;

	/**
	 * The cached value of the '{@link #getNacinOduzimanjaPredmeta() <em>Nacin Oduzimanja Predmeta</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNacinOduzimanjaPredmeta()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="NACINA_ODUZIMANJA_PREDMETA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected NacinOduzimanjaPredmetaImpl nacinOduzimanjaPredmeta;

	/**
	 * The cached value of the '{@link #getPostupanjeSaPredmetima() <em>Postupanje Sa Predmetima</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPostupanjeSaPredmetima()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="POSTUPANJE_SA_PREDMETIMA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected PostupanjeSaPredmetimaImpl postupanjeSaPredmetima;

	/**
	 * The default value of the '{@link #getDatumOduzimanjaPredmeta() <em>Datum Oduzimanja Predmeta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumOduzimanjaPredmeta()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_ODUZIMANJA_PREDMETA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumOduzimanjaPredmeta() <em>Datum Oduzimanja Predmeta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumOduzimanjaPredmeta()
	 * @generated
	 * @ordered
	 */
	protected Date datumOduzimanjaPredmeta = DATUM_ODUZIMANJA_PREDMETA_EDEFAULT;

	/**
	 * The default value of the '{@link #getBrojPotvrdeOPredaji() <em>Broj Potvrde OPredaji</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojPotvrdeOPredaji()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_POTVRDE_OPREDAJI_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojPotvrdeOPredaji() <em>Broj Potvrde OPredaji</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojPotvrdeOPredaji()
	 * @generated
	 * @ordered
	 */
	protected String brojPotvrdeOPredaji = BROJ_POTVRDE_OPREDAJI_EDEFAULT;

	/**
	 * The default value of the '{@link #getPredmetDeponovanU() <em>PredmetImpl Deponovan U</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPredmetDeponovanU()
	 * @generated
	 * @ordered
	 */
	protected static final String PREDMET_DEPONOVAN_U_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPredmetDeponovanU() <em>PredmetImpl Deponovan U</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPredmetDeponovanU()
	 * @generated
	 * @ordered
	 */
	protected String predmetDeponovanU = PREDMET_DEPONOVAN_U_EDEFAULT;

	/**
	 * The default value of the '{@link #getPredmetPredao() <em>PredmetImpl Predao</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPredmetPredao()
	 * @generated
	 * @ordered
	 */
	protected static final String PREDMET_PREDAO_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPredmetPredao() <em>PredmetImpl Predao</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPredmetPredao()
	 * @generated
	 * @ordered
	 */
	protected String predmetPredao = PREDMET_PREDAO_EDEFAULT;

	/**
	 * The cached value of the '{@link #getMjesto() <em>MjestoImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjesto()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SLUZBENA_OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected MjestoImpl mjesto;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OduzimanjePredmetaImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getOduzimanjePredmeta();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDOduzimanjePredmeta() {
		return iDOduzimanjePredmeta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDOduzimanjePredmeta(long newIDOduzimanjePredmeta) {
		long oldIDOduzimanjePredmeta = iDOduzimanjePredmeta;
		iDOduzimanjePredmeta = newIDOduzimanjePredmeta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ODUZIMANJE_PREDMETA__ID_ODUZIMANJE_PREDMETA, oldIDOduzimanjePredmeta, iDOduzimanjePredmeta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumIzdavanjaPotvrde() {
		return datumIzdavanjaPotvrde;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumIzdavanjaPotvrde(Date newDatumIzdavanjaPotvrde) {
		Date oldDatumIzdavanjaPotvrde = datumIzdavanjaPotvrde;
		datumIzdavanjaPotvrde = newDatumIzdavanjaPotvrde;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ODUZIMANJE_PREDMETA__DATUM_IZDAVANJA_POTVRDE, oldDatumIzdavanjaPotvrde, datumIzdavanjaPotvrde));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getVrijemeIzdavanjaPotvrde() {
		return vrijemeIzdavanjaPotvrde;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrijemeIzdavanjaPotvrde(Date newVrijemeIzdavanjaPotvrde) {
		Date oldVrijemeIzdavanjaPotvrde = vrijemeIzdavanjaPotvrde;
		vrijemeIzdavanjaPotvrde = newVrijemeIzdavanjaPotvrde;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ODUZIMANJE_PREDMETA__VRIJEME_IZDAVANJA_POTVRDE, oldVrijemeIzdavanjaPotvrde, vrijemeIzdavanjaPotvrde));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getRazlogOduzimanjaPredmeta() {
		return razlogOduzimanjaPredmeta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRazlogOduzimanjaPredmeta(String newRazlogOduzimanjaPredmeta) {
		String oldRazlogOduzimanjaPredmeta = razlogOduzimanjaPredmeta;
		razlogOduzimanjaPredmeta = newRazlogOduzimanjaPredmeta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ODUZIMANJE_PREDMETA__RAZLOG_ODUZIMANJA_PREDMETA, oldRazlogOduzimanjaPredmeta, razlogOduzimanjaPredmeta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPostupanjeSaPrivremenoOduzetimPredmetima() {
		return postupanjeSaPrivremenoOduzetimPredmetima;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPostupanjeSaPrivremenoOduzetimPredmetima(String newPostupanjeSaPrivremenoOduzetimPredmetima) {
		String oldPostupanjeSaPrivremenoOduzetimPredmetima = postupanjeSaPrivremenoOduzetimPredmetima;
		postupanjeSaPrivremenoOduzetimPredmetima = newPostupanjeSaPrivremenoOduzetimPredmetima;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ODUZIMANJE_PREDMETA__POSTUPANJE_SA_PRIVREMENO_ODUZETIM_PREDMETIMA, oldPostupanjeSaPrivremenoOduzetimPredmetima, postupanjeSaPrivremenoOduzetimPredmetima));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumPreuzimanja() {
		return datumPreuzimanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumPreuzimanja(Date newDatumPreuzimanja) {
		Date oldDatumPreuzimanja = datumPreuzimanja;
		datumPreuzimanja = newDatumPreuzimanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ODUZIMANJE_PREDMETA__DATUM_PREUZIMANJA, oldDatumPreuzimanja, datumPreuzimanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getVrijemePreuzimanja() {
		return vrijemePreuzimanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrijemePreuzimanja(Date newVrijemePreuzimanja) {
		Date oldVrijemePreuzimanja = vrijemePreuzimanja;
		vrijemePreuzimanja = newVrijemePreuzimanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ODUZIMANJE_PREDMETA__VRIJEME_PREUZIMANJA, oldVrijemePreuzimanja, vrijemePreuzimanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOsobaKojaJePreuzelaPredmet() {
		return osobaKojaJePreuzelaPredmet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOsobaKojaJePreuzelaPredmet(String newOsobaKojaJePreuzelaPredmet) {
		String oldOsobaKojaJePreuzelaPredmet = osobaKojaJePreuzelaPredmet;
		osobaKojaJePreuzelaPredmet = newOsobaKojaJePreuzelaPredmet;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ODUZIMANJE_PREDMETA__OSOBA_KOJA_JE_PREUZELA_PREDMET, oldOsobaKojaJePreuzelaPredmet, osobaKojaJePreuzelaPredmet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrganVlastiImpl getOrganVlasti() {
		if (organVlasti != null && organVlasti.eIsProxy()) {
			InternalEObject oldOrganVlasti = (InternalEObject)organVlasti;
			organVlasti = (OrganVlastiImpl)eResolveProxy(oldOrganVlasti);
			if (organVlasti != oldOrganVlasti) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ODUZIMANJE_PREDMETA__ORGAN_VLASTI, oldOrganVlasti, organVlasti));
			}
		}
		return organVlasti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrganVlastiImpl basicGetOrganVlasti() {
		return organVlasti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrganVlasti(OrganVlastiImpl newOrganVlasti) {
		OrganVlastiImpl oldOrganVlasti = organVlasti;
		organVlasti = newOrganVlasti;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ODUZIMANJE_PREDMETA__ORGAN_VLASTI, oldOrganVlasti, organVlasti));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<PredmetImpl> getPredmeti() {
		if (predmeti == null) {
			predmeti = new ArrayList<PredmetImpl>();
		}
		return predmeti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ZakonskaOsnovaImpl getZakonskaOsnova() {
		if (zakonskaOsnova != null && zakonskaOsnova.eIsProxy()) {
			InternalEObject oldZakonskaOsnova = (InternalEObject)zakonskaOsnova;
			zakonskaOsnova = (ZakonskaOsnovaImpl)eResolveProxy(oldZakonskaOsnova);
			if (zakonskaOsnova != oldZakonskaOsnova) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ODUZIMANJE_PREDMETA__ZAKONSKA_OSNOVA, oldZakonskaOsnova, zakonskaOsnova));
			}
		}
		return zakonskaOsnova;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ZakonskaOsnovaImpl basicGetZakonskaOsnova() {
		return zakonskaOsnova;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setZakonskaOsnova(ZakonskaOsnovaImpl newZakonskaOsnova) {
		ZakonskaOsnovaImpl oldZakonskaOsnova = zakonskaOsnova;
		zakonskaOsnova = newZakonskaOsnova;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ODUZIMANJE_PREDMETA__ZAKONSKA_OSNOVA, oldZakonskaOsnova, zakonskaOsnova));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NacinOduzimanjaPredmetaImpl getNacinOduzimanjaPredmeta() {
		if (nacinOduzimanjaPredmeta != null && nacinOduzimanjaPredmeta.eIsProxy()) {
			InternalEObject oldNacinOduzimanjaPredmeta = (InternalEObject)nacinOduzimanjaPredmeta;
			nacinOduzimanjaPredmeta = (NacinOduzimanjaPredmetaImpl)eResolveProxy(oldNacinOduzimanjaPredmeta);
			if (nacinOduzimanjaPredmeta != oldNacinOduzimanjaPredmeta) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ODUZIMANJE_PREDMETA__NACIN_ODUZIMANJA_PREDMETA, oldNacinOduzimanjaPredmeta, nacinOduzimanjaPredmeta));
			}
		}
		return nacinOduzimanjaPredmeta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NacinOduzimanjaPredmetaImpl basicGetNacinOduzimanjaPredmeta() {
		return nacinOduzimanjaPredmeta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNacinOduzimanjaPredmeta(NacinOduzimanjaPredmetaImpl newNacinOduzimanjaPredmeta) {
		NacinOduzimanjaPredmetaImpl oldNacinOduzimanjaPredmeta = nacinOduzimanjaPredmeta;
		nacinOduzimanjaPredmeta = newNacinOduzimanjaPredmeta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ODUZIMANJE_PREDMETA__NACIN_ODUZIMANJA_PREDMETA, oldNacinOduzimanjaPredmeta, nacinOduzimanjaPredmeta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PostupanjeSaPredmetimaImpl getPostupanjeSaPredmetima() {
		if (postupanjeSaPredmetima != null && postupanjeSaPredmetima.eIsProxy()) {
			InternalEObject oldPostupanjeSaPredmetima = (InternalEObject)postupanjeSaPredmetima;
			postupanjeSaPredmetima = (PostupanjeSaPredmetimaImpl)eResolveProxy(oldPostupanjeSaPredmetima);
			if (postupanjeSaPredmetima != oldPostupanjeSaPredmetima) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ODUZIMANJE_PREDMETA__POSTUPANJE_SA_PREDMETIMA, oldPostupanjeSaPredmetima, postupanjeSaPredmetima));
			}
		}
		return postupanjeSaPredmetima;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PostupanjeSaPredmetimaImpl basicGetPostupanjeSaPredmetima() {
		return postupanjeSaPredmetima;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPostupanjeSaPredmetima(PostupanjeSaPredmetimaImpl newPostupanjeSaPredmetima) {
		PostupanjeSaPredmetimaImpl oldPostupanjeSaPredmetima = postupanjeSaPredmetima;
		postupanjeSaPredmetima = newPostupanjeSaPredmetima;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ODUZIMANJE_PREDMETA__POSTUPANJE_SA_PREDMETIMA, oldPostupanjeSaPredmetima, postupanjeSaPredmetima));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumOduzimanjaPredmeta() {
		return datumOduzimanjaPredmeta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumOduzimanjaPredmeta(Date newDatumOduzimanjaPredmeta) {
		Date oldDatumOduzimanjaPredmeta = datumOduzimanjaPredmeta;
		datumOduzimanjaPredmeta = newDatumOduzimanjaPredmeta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ODUZIMANJE_PREDMETA__DATUM_ODUZIMANJA_PREDMETA, oldDatumOduzimanjaPredmeta, datumOduzimanjaPredmeta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojPotvrdeOPredaji() {
		return brojPotvrdeOPredaji;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojPotvrdeOPredaji(String newBrojPotvrdeOPredaji) {
		String oldBrojPotvrdeOPredaji = brojPotvrdeOPredaji;
		brojPotvrdeOPredaji = newBrojPotvrdeOPredaji;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ODUZIMANJE_PREDMETA__BROJ_POTVRDE_OPREDAJI, oldBrojPotvrdeOPredaji, brojPotvrdeOPredaji));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPredmetDeponovanU() {
		return predmetDeponovanU;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPredmetDeponovanU(String newPredmetDeponovanU) {
		String oldPredmetDeponovanU = predmetDeponovanU;
		predmetDeponovanU = newPredmetDeponovanU;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ODUZIMANJE_PREDMETA__PREDMET_DEPONOVAN_U, oldPredmetDeponovanU, predmetDeponovanU));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPredmetPredao() {
		return predmetPredao;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPredmetPredao(String newPredmetPredao) {
		String oldPredmetPredao = predmetPredao;
		predmetPredao = newPredmetPredao;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ODUZIMANJE_PREDMETA__PREDMET_PREDAO, oldPredmetPredao, predmetPredao));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MjestoImpl getMjesto() {
		if (mjesto != null && mjesto.eIsProxy()) {
			InternalEObject oldMjesto = (InternalEObject)mjesto;
			mjesto = (MjestoImpl)eResolveProxy(oldMjesto);
			if (mjesto != oldMjesto) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ODUZIMANJE_PREDMETA__MJESTO, oldMjesto, mjesto));
			}
		}
		return mjesto;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MjestoImpl basicGetMjesto() {
		return mjesto;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMjesto(MjestoImpl newMjesto) {
		MjestoImpl oldMjesto = mjesto;
		mjesto = newMjesto;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ODUZIMANJE_PREDMETA__MJESTO, oldMjesto, mjesto));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__ID_ODUZIMANJE_PREDMETA:
				return getIDOduzimanjePredmeta();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__DATUM_IZDAVANJA_POTVRDE:
				return getDatumIzdavanjaPotvrde();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__VRIJEME_IZDAVANJA_POTVRDE:
				return getVrijemeIzdavanjaPotvrde();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__RAZLOG_ODUZIMANJA_PREDMETA:
				return getRazlogOduzimanjaPredmeta();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__POSTUPANJE_SA_PRIVREMENO_ODUZETIM_PREDMETIMA:
				return getPostupanjeSaPrivremenoOduzetimPredmetima();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__DATUM_PREUZIMANJA:
				return getDatumPreuzimanja();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__VRIJEME_PREUZIMANJA:
				return getVrijemePreuzimanja();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__OSOBA_KOJA_JE_PREUZELA_PREDMET:
				return getOsobaKojaJePreuzelaPredmet();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__ORGAN_VLASTI:
				if (resolve) return getOrganVlasti();
				return basicGetOrganVlasti();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__PREDMETI:
				return getPredmeti();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__ZAKONSKA_OSNOVA:
				if (resolve) return getZakonskaOsnova();
				return basicGetZakonskaOsnova();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__NACIN_ODUZIMANJA_PREDMETA:
				if (resolve) return getNacinOduzimanjaPredmeta();
				return basicGetNacinOduzimanjaPredmeta();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__POSTUPANJE_SA_PREDMETIMA:
				if (resolve) return getPostupanjeSaPredmetima();
				return basicGetPostupanjeSaPredmetima();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__DATUM_ODUZIMANJA_PREDMETA:
				return getDatumOduzimanjaPredmeta();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__BROJ_POTVRDE_OPREDAJI:
				return getBrojPotvrdeOPredaji();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__PREDMET_DEPONOVAN_U:
				return getPredmetDeponovanU();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__PREDMET_PREDAO:
				return getPredmetPredao();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__MJESTO:
				if (resolve) return getMjesto();
				return basicGetMjesto();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__ID_ODUZIMANJE_PREDMETA:
				setIDOduzimanjePredmeta((Long)newValue);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__DATUM_IZDAVANJA_POTVRDE:
				setDatumIzdavanjaPotvrde((Date)newValue);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__VRIJEME_IZDAVANJA_POTVRDE:
				setVrijemeIzdavanjaPotvrde((Date)newValue);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__RAZLOG_ODUZIMANJA_PREDMETA:
				setRazlogOduzimanjaPredmeta((String)newValue);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__POSTUPANJE_SA_PRIVREMENO_ODUZETIM_PREDMETIMA:
				setPostupanjeSaPrivremenoOduzetimPredmetima((String)newValue);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__DATUM_PREUZIMANJA:
				setDatumPreuzimanja((Date)newValue);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__VRIJEME_PREUZIMANJA:
				setVrijemePreuzimanja((Date)newValue);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__OSOBA_KOJA_JE_PREUZELA_PREDMET:
				setOsobaKojaJePreuzelaPredmet((String)newValue);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__ORGAN_VLASTI:
				setOrganVlasti((OrganVlastiImpl)newValue);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__PREDMETI:
				getPredmeti().clear();
				getPredmeti().addAll((Collection<? extends PredmetImpl>)newValue);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__ZAKONSKA_OSNOVA:
				setZakonskaOsnova((ZakonskaOsnovaImpl)newValue);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__NACIN_ODUZIMANJA_PREDMETA:
				setNacinOduzimanjaPredmeta((NacinOduzimanjaPredmetaImpl)newValue);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__POSTUPANJE_SA_PREDMETIMA:
				setPostupanjeSaPredmetima((PostupanjeSaPredmetimaImpl)newValue);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__DATUM_ODUZIMANJA_PREDMETA:
				setDatumOduzimanjaPredmeta((Date)newValue);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__BROJ_POTVRDE_OPREDAJI:
				setBrojPotvrdeOPredaji((String)newValue);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__PREDMET_DEPONOVAN_U:
				setPredmetDeponovanU((String)newValue);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__PREDMET_PREDAO:
				setPredmetPredao((String)newValue);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__MJESTO:
				setMjesto((MjestoImpl)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__ID_ODUZIMANJE_PREDMETA:
				setIDOduzimanjePredmeta(ID_ODUZIMANJE_PREDMETA_EDEFAULT);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__DATUM_IZDAVANJA_POTVRDE:
				setDatumIzdavanjaPotvrde(DATUM_IZDAVANJA_POTVRDE_EDEFAULT);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__VRIJEME_IZDAVANJA_POTVRDE:
				setVrijemeIzdavanjaPotvrde(VRIJEME_IZDAVANJA_POTVRDE_EDEFAULT);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__RAZLOG_ODUZIMANJA_PREDMETA:
				setRazlogOduzimanjaPredmeta(RAZLOG_ODUZIMANJA_PREDMETA_EDEFAULT);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__POSTUPANJE_SA_PRIVREMENO_ODUZETIM_PREDMETIMA:
				setPostupanjeSaPrivremenoOduzetimPredmetima(POSTUPANJE_SA_PRIVREMENO_ODUZETIM_PREDMETIMA_EDEFAULT);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__DATUM_PREUZIMANJA:
				setDatumPreuzimanja(DATUM_PREUZIMANJA_EDEFAULT);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__VRIJEME_PREUZIMANJA:
				setVrijemePreuzimanja(VRIJEME_PREUZIMANJA_EDEFAULT);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__OSOBA_KOJA_JE_PREUZELA_PREDMET:
				setOsobaKojaJePreuzelaPredmet(OSOBA_KOJA_JE_PREUZELA_PREDMET_EDEFAULT);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__ORGAN_VLASTI:
				setOrganVlasti((OrganVlastiImpl)null);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__PREDMETI:
				getPredmeti().clear();
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__ZAKONSKA_OSNOVA:
				setZakonskaOsnova((ZakonskaOsnovaImpl)null);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__NACIN_ODUZIMANJA_PREDMETA:
				setNacinOduzimanjaPredmeta((NacinOduzimanjaPredmetaImpl)null);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__POSTUPANJE_SA_PREDMETIMA:
				setPostupanjeSaPredmetima((PostupanjeSaPredmetimaImpl)null);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__DATUM_ODUZIMANJA_PREDMETA:
				setDatumOduzimanjaPredmeta(DATUM_ODUZIMANJA_PREDMETA_EDEFAULT);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__BROJ_POTVRDE_OPREDAJI:
				setBrojPotvrdeOPredaji(BROJ_POTVRDE_OPREDAJI_EDEFAULT);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__PREDMET_DEPONOVAN_U:
				setPredmetDeponovanU(PREDMET_DEPONOVAN_U_EDEFAULT);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__PREDMET_PREDAO:
				setPredmetPredao(PREDMET_PREDAO_EDEFAULT);
				return;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__MJESTO:
				setMjesto((MjestoImpl)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__ID_ODUZIMANJE_PREDMETA:
				return iDOduzimanjePredmeta != ID_ODUZIMANJE_PREDMETA_EDEFAULT;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__DATUM_IZDAVANJA_POTVRDE:
				return DATUM_IZDAVANJA_POTVRDE_EDEFAULT == null ? datumIzdavanjaPotvrde != null : !DATUM_IZDAVANJA_POTVRDE_EDEFAULT.equals(datumIzdavanjaPotvrde);
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__VRIJEME_IZDAVANJA_POTVRDE:
				return VRIJEME_IZDAVANJA_POTVRDE_EDEFAULT == null ? vrijemeIzdavanjaPotvrde != null : !VRIJEME_IZDAVANJA_POTVRDE_EDEFAULT.equals(vrijemeIzdavanjaPotvrde);
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__RAZLOG_ODUZIMANJA_PREDMETA:
				return RAZLOG_ODUZIMANJA_PREDMETA_EDEFAULT == null ? razlogOduzimanjaPredmeta != null : !RAZLOG_ODUZIMANJA_PREDMETA_EDEFAULT.equals(razlogOduzimanjaPredmeta);
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__POSTUPANJE_SA_PRIVREMENO_ODUZETIM_PREDMETIMA:
				return POSTUPANJE_SA_PRIVREMENO_ODUZETIM_PREDMETIMA_EDEFAULT == null ? postupanjeSaPrivremenoOduzetimPredmetima != null : !POSTUPANJE_SA_PRIVREMENO_ODUZETIM_PREDMETIMA_EDEFAULT.equals(postupanjeSaPrivremenoOduzetimPredmetima);
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__DATUM_PREUZIMANJA:
				return DATUM_PREUZIMANJA_EDEFAULT == null ? datumPreuzimanja != null : !DATUM_PREUZIMANJA_EDEFAULT.equals(datumPreuzimanja);
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__VRIJEME_PREUZIMANJA:
				return VRIJEME_PREUZIMANJA_EDEFAULT == null ? vrijemePreuzimanja != null : !VRIJEME_PREUZIMANJA_EDEFAULT.equals(vrijemePreuzimanja);
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__OSOBA_KOJA_JE_PREUZELA_PREDMET:
				return OSOBA_KOJA_JE_PREUZELA_PREDMET_EDEFAULT == null ? osobaKojaJePreuzelaPredmet != null : !OSOBA_KOJA_JE_PREUZELA_PREDMET_EDEFAULT.equals(osobaKojaJePreuzelaPredmet);
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__ORGAN_VLASTI:
				return organVlasti != null;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__PREDMETI:
				return predmeti != null && !predmeti.isEmpty();
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__ZAKONSKA_OSNOVA:
				return zakonskaOsnova != null;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__NACIN_ODUZIMANJA_PREDMETA:
				return nacinOduzimanjaPredmeta != null;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__POSTUPANJE_SA_PREDMETIMA:
				return postupanjeSaPredmetima != null;
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__DATUM_ODUZIMANJA_PREDMETA:
				return DATUM_ODUZIMANJA_PREDMETA_EDEFAULT == null ? datumOduzimanjaPredmeta != null : !DATUM_ODUZIMANJA_PREDMETA_EDEFAULT.equals(datumOduzimanjaPredmeta);
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__BROJ_POTVRDE_OPREDAJI:
				return BROJ_POTVRDE_OPREDAJI_EDEFAULT == null ? brojPotvrdeOPredaji != null : !BROJ_POTVRDE_OPREDAJI_EDEFAULT.equals(brojPotvrdeOPredaji);
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__PREDMET_DEPONOVAN_U:
				return PREDMET_DEPONOVAN_U_EDEFAULT == null ? predmetDeponovanU != null : !PREDMET_DEPONOVAN_U_EDEFAULT.equals(predmetDeponovanU);
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__PREDMET_PREDAO:
				return PREDMET_PREDAO_EDEFAULT == null ? predmetPredao != null : !PREDMET_PREDAO_EDEFAULT.equals(predmetPredao);
			case PbdmodelPackage.ODUZIMANJE_PREDMETA__MJESTO:
				return mjesto != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDOduzimanjePredmeta: ");
		result.append(iDOduzimanjePredmeta);
		result.append(", datumIzdavanjaPotvrde: ");
		result.append(datumIzdavanjaPotvrde);
		result.append(", vrijemeIzdavanjaPotvrde: ");
		result.append(vrijemeIzdavanjaPotvrde);
		result.append(", razlogOduzimanjaPredmeta: ");
		result.append(razlogOduzimanjaPredmeta);
		result.append(", postupanjeSaPrivremenoOduzetimPredmetima: ");
		result.append(postupanjeSaPrivremenoOduzetimPredmetima);
		result.append(", datumPreuzimanja: ");
		result.append(datumPreuzimanja);
		result.append(", vrijemePreuzimanja: ");
		result.append(vrijemePreuzimanja);
		result.append(", osobaKojaJePreuzelaPredmet: ");
		result.append(osobaKojaJePreuzelaPredmet);
		result.append(", datumOduzimanjaPredmeta: ");
		result.append(datumOduzimanjaPredmeta);
		result.append(", brojPotvrdeOPredaji: ");
		result.append(brojPotvrdeOPredaji);
		result.append(", predmetDeponovanU: ");
		result.append(predmetDeponovanU);
		result.append(", predmetPredao: ");
		result.append(predmetPredao);
		result.append(')');
		return result.toString();
	}

} //OduzimanjePredmetaImpl
