/**
 */
package pbdmodel.impl;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import pbdmodel.OpisOsobe;
import pbdmodel.PbdmodelPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Opis Osobe</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getIDOpisOsobe <em>ID Opis Osobe</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getBojaKose <em>Boja Kose</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getBojaOciju <em>Boja Ociju</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getVisina <em>Visina</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getGradja <em>Gradja</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getRazvijenost <em>Razvijenost</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getLice <em>Lice</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getKosa <em>Kosa</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getIzgledKose <em>Izgled Kose</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getCelavost <em>Celavost</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getNos <em>Nos</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getIzgledNosa <em>Izgled Nosa</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getUsi <em>Usi</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getOblikUsiju <em>Oblik Usiju</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getIzgledBazeNosa <em>Izgled Baze Nosa</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getIzgledUsiju <em>Izgled Usiju</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getResiceNaUsima <em>Resice Na Usima</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getLicniZnaci <em>Licni Znaci</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getOci <em>Oci</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getOpisOdjece <em>Opis Odjece</em>}</li>
 *   <li>{@link pbdmodel.impl.OpisOsobeImpl#getStepenInvalidnosti <em>Stepen Invalidnosti</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class OpisOsobeImpl extends EObjectImpl implements OpisOsobe {
	/**
	 * The default value of the '{@link #getIDOpisOsobe() <em>ID Opis Osobe</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDOpisOsobe()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_OPIS_OSOBE_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDOpisOsobe() <em>ID Opis Osobe</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDOpisOsobe()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long iDOpisOsobe = ID_OPIS_OSOBE_EDEFAULT;

	/**
	 * The default value of the '{@link #getBojaKose() <em>Boja Kose</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBojaKose()
	 * @generated
	 * @ordered
	 */
	protected static final String BOJA_KOSE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBojaKose() <em>Boja Kose</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBojaKose()
	 * @generated
	 * @ordered
	 */
	protected String bojaKose = BOJA_KOSE_EDEFAULT;

	/**
	 * The default value of the '{@link #getBojaOciju() <em>Boja Ociju</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBojaOciju()
	 * @generated
	 * @ordered
	 */
	protected static final String BOJA_OCIJU_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBojaOciju() <em>Boja Ociju</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBojaOciju()
	 * @generated
	 * @ordered
	 */
	protected String bojaOciju = BOJA_OCIJU_EDEFAULT;

	/**
	 * The default value of the '{@link #getVisina() <em>Visina</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVisina()
	 * @generated
	 * @ordered
	 */
	protected static final String VISINA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVisina() <em>Visina</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVisina()
	 * @generated
	 * @ordered
	 */
	protected String visina = VISINA_EDEFAULT;

	/**
	 * The default value of the '{@link #getGradja() <em>Gradja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getGradja()
	 * @generated
	 * @ordered
	 */
	protected static final String GRADJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getGradja() <em>Gradja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getGradja()
	 * @generated
	 * @ordered
	 */
	protected String gradja = GRADJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getRazvijenost() <em>Razvijenost</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRazvijenost()
	 * @generated
	 * @ordered
	 */
	protected static final String RAZVIJENOST_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getRazvijenost() <em>Razvijenost</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRazvijenost()
	 * @generated
	 * @ordered
	 */
	protected String razvijenost = RAZVIJENOST_EDEFAULT;

	/**
	 * The default value of the '{@link #getLice() <em>Lice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLice()
	 * @generated
	 * @ordered
	 */
	protected static final String LICE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getLice() <em>Lice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLice()
	 * @generated
	 * @ordered
	 */
	protected String lice = LICE_EDEFAULT;

	/**
	 * The default value of the '{@link #getKosa() <em>Kosa</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKosa()
	 * @generated
	 * @ordered
	 */
	protected static final String KOSA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getKosa() <em>Kosa</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKosa()
	 * @generated
	 * @ordered
	 */
	protected String kosa = KOSA_EDEFAULT;

	/**
	 * The default value of the '{@link #getIzgledKose() <em>Izgled Kose</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIzgledKose()
	 * @generated
	 * @ordered
	 */
	protected static final String IZGLED_KOSE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getIzgledKose() <em>Izgled Kose</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIzgledKose()
	 * @generated
	 * @ordered
	 */
	protected String izgledKose = IZGLED_KOSE_EDEFAULT;

	/**
	 * The default value of the '{@link #getCelavost() <em>Celavost</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCelavost()
	 * @generated
	 * @ordered
	 */
	protected static final String CELAVOST_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getCelavost() <em>Celavost</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCelavost()
	 * @generated
	 * @ordered
	 */
	protected String celavost = CELAVOST_EDEFAULT;

	/**
	 * The default value of the '{@link #getNos() <em>Nos</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNos()
	 * @generated
	 * @ordered
	 */
	protected static final String NOS_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getNos() <em>Nos</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNos()
	 * @generated
	 * @ordered
	 */
	protected String nos = NOS_EDEFAULT;

	/**
	 * The default value of the '{@link #getIzgledNosa() <em>Izgled Nosa</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIzgledNosa()
	 * @generated
	 * @ordered
	 */
	protected static final String IZGLED_NOSA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getIzgledNosa() <em>Izgled Nosa</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIzgledNosa()
	 * @generated
	 * @ordered
	 */
	protected String izgledNosa = IZGLED_NOSA_EDEFAULT;

	/**
	 * The default value of the '{@link #getUsi() <em>Usi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUsi()
	 * @generated
	 * @ordered
	 */
	protected static final String USI_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getUsi() <em>Usi</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUsi()
	 * @generated
	 * @ordered
	 */
	protected String usi = USI_EDEFAULT;

	/**
	 * The default value of the '{@link #getOblikUsiju() <em>Oblik Usiju</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOblikUsiju()
	 * @generated
	 * @ordered
	 */
	protected static final String OBLIK_USIJU_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOblikUsiju() <em>Oblik Usiju</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOblikUsiju()
	 * @generated
	 * @ordered
	 */
	protected String oblikUsiju = OBLIK_USIJU_EDEFAULT;

	/**
	 * The default value of the '{@link #getIzgledBazeNosa() <em>Izgled Baze Nosa</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIzgledBazeNosa()
	 * @generated
	 * @ordered
	 */
	protected static final String IZGLED_BAZE_NOSA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getIzgledBazeNosa() <em>Izgled Baze Nosa</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIzgledBazeNosa()
	 * @generated
	 * @ordered
	 */
	protected String izgledBazeNosa = IZGLED_BAZE_NOSA_EDEFAULT;

	/**
	 * The default value of the '{@link #getIzgledUsiju() <em>Izgled Usiju</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIzgledUsiju()
	 * @generated
	 * @ordered
	 */
	protected static final String IZGLED_USIJU_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getIzgledUsiju() <em>Izgled Usiju</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIzgledUsiju()
	 * @generated
	 * @ordered
	 */
	protected String izgledUsiju = IZGLED_USIJU_EDEFAULT;

	/**
	 * The default value of the '{@link #getResiceNaUsima() <em>Resice Na Usima</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getResiceNaUsima()
	 * @generated
	 * @ordered
	 */
	protected static final String RESICE_NA_USIMA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getResiceNaUsima() <em>Resice Na Usima</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getResiceNaUsima()
	 * @generated
	 * @ordered
	 */
	protected String resiceNaUsima = RESICE_NA_USIMA_EDEFAULT;

	/**
	 * The default value of the '{@link #getLicniZnaci() <em>Licni Znaci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLicniZnaci()
	 * @generated
	 * @ordered
	 */
	protected static final String LICNI_ZNACI_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getLicniZnaci() <em>Licni Znaci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLicniZnaci()
	 * @generated
	 * @ordered
	 */
	protected String licniZnaci = LICNI_ZNACI_EDEFAULT;

	/**
	 * The default value of the '{@link #getOci() <em>Oci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOci()
	 * @generated
	 * @ordered
	 */
	protected static final String OCI_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOci() <em>Oci</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOci()
	 * @generated
	 * @ordered
	 */
	protected String oci = OCI_EDEFAULT;

	/**
	 * The cached value of the '{@link #getOpisOdjece() <em>Opis Odjece</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpisOdjece()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OPIS_ODJECE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OpisOdjeceImpl opisOdjece;

	/**
	 * The default value of the '{@link #getStepenInvalidnosti() <em>Stepen Invalidnosti</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStepenInvalidnosti()
	 * @generated
	 * @ordered
	 */
	protected static final String STEPEN_INVALIDNOSTI_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getStepenInvalidnosti() <em>Stepen Invalidnosti</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStepenInvalidnosti()
	 * @generated
	 * @ordered
	 */
	protected String stepenInvalidnosti = STEPEN_INVALIDNOSTI_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OpisOsobeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getOpisOsobe();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDOpisOsobe() {
		return iDOpisOsobe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDOpisOsobe(long newIDOpisOsobe) {
		long oldIDOpisOsobe = iDOpisOsobe;
		iDOpisOsobe = newIDOpisOsobe;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__ID_OPIS_OSOBE, oldIDOpisOsobe, iDOpisOsobe));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBojaKose() {
		return bojaKose;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBojaKose(String newBojaKose) {
		String oldBojaKose = bojaKose;
		bojaKose = newBojaKose;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__BOJA_KOSE, oldBojaKose, bojaKose));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBojaOciju() {
		return bojaOciju;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBojaOciju(String newBojaOciju) {
		String oldBojaOciju = bojaOciju;
		bojaOciju = newBojaOciju;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__BOJA_OCIJU, oldBojaOciju, bojaOciju));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getVisina() {
		return visina;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVisina(String newVisina) {
		String oldVisina = visina;
		visina = newVisina;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__VISINA, oldVisina, visina));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getGradja() {
		return gradja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setGradja(String newGradja) {
		String oldGradja = gradja;
		gradja = newGradja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__GRADJA, oldGradja, gradja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getRazvijenost() {
		return razvijenost;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRazvijenost(String newRazvijenost) {
		String oldRazvijenost = razvijenost;
		razvijenost = newRazvijenost;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__RAZVIJENOST, oldRazvijenost, razvijenost));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getLice() {
		return lice;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLice(String newLice) {
		String oldLice = lice;
		lice = newLice;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__LICE, oldLice, lice));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getKosa() {
		return kosa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setKosa(String newKosa) {
		String oldKosa = kosa;
		kosa = newKosa;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__KOSA, oldKosa, kosa));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getIzgledKose() {
		return izgledKose;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIzgledKose(String newIzgledKose) {
		String oldIzgledKose = izgledKose;
		izgledKose = newIzgledKose;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__IZGLED_KOSE, oldIzgledKose, izgledKose));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getCelavost() {
		return celavost;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setCelavost(String newCelavost) {
		String oldCelavost = celavost;
		celavost = newCelavost;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__CELAVOST, oldCelavost, celavost));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getNos() {
		return nos;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNos(String newNos) {
		String oldNos = nos;
		nos = newNos;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__NOS, oldNos, nos));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getIzgledNosa() {
		return izgledNosa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIzgledNosa(String newIzgledNosa) {
		String oldIzgledNosa = izgledNosa;
		izgledNosa = newIzgledNosa;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__IZGLED_NOSA, oldIzgledNosa, izgledNosa));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getUsi() {
		return usi;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setUsi(String newUsi) {
		String oldUsi = usi;
		usi = newUsi;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__USI, oldUsi, usi));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOblikUsiju() {
		return oblikUsiju;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOblikUsiju(String newOblikUsiju) {
		String oldOblikUsiju = oblikUsiju;
		oblikUsiju = newOblikUsiju;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__OBLIK_USIJU, oldOblikUsiju, oblikUsiju));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getIzgledBazeNosa() {
		return izgledBazeNosa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIzgledBazeNosa(String newIzgledBazeNosa) {
		String oldIzgledBazeNosa = izgledBazeNosa;
		izgledBazeNosa = newIzgledBazeNosa;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__IZGLED_BAZE_NOSA, oldIzgledBazeNosa, izgledBazeNosa));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getIzgledUsiju() {
		return izgledUsiju;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIzgledUsiju(String newIzgledUsiju) {
		String oldIzgledUsiju = izgledUsiju;
		izgledUsiju = newIzgledUsiju;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__IZGLED_USIJU, oldIzgledUsiju, izgledUsiju));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getResiceNaUsima() {
		return resiceNaUsima;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setResiceNaUsima(String newResiceNaUsima) {
		String oldResiceNaUsima = resiceNaUsima;
		resiceNaUsima = newResiceNaUsima;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__RESICE_NA_USIMA, oldResiceNaUsima, resiceNaUsima));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getLicniZnaci() {
		return licniZnaci;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLicniZnaci(String newLicniZnaci) {
		String oldLicniZnaci = licniZnaci;
		licniZnaci = newLicniZnaci;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__LICNI_ZNACI, oldLicniZnaci, licniZnaci));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOci() {
		return oci;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOci(String newOci) {
		String oldOci = oci;
		oci = newOci;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__OCI, oldOci, oci));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OpisOdjeceImpl getOpisOdjece() {
		if (opisOdjece != null && opisOdjece.eIsProxy()) {
			InternalEObject oldOpisOdjece = (InternalEObject)opisOdjece;
			opisOdjece = (OpisOdjeceImpl)eResolveProxy(oldOpisOdjece);
			if (opisOdjece != oldOpisOdjece) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.OPIS_OSOBE__OPIS_ODJECE, oldOpisOdjece, opisOdjece));
			}
		}
		return opisOdjece;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OpisOdjeceImpl basicGetOpisOdjece() {
		return opisOdjece;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOpisOdjece(OpisOdjeceImpl newOpisOdjece) {
		OpisOdjeceImpl oldOpisOdjece = opisOdjece;
		opisOdjece = newOpisOdjece;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__OPIS_ODJECE, oldOpisOdjece, opisOdjece));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getStepenInvalidnosti() {
		return stepenInvalidnosti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setStepenInvalidnosti(String newStepenInvalidnosti) {
		String oldStepenInvalidnosti = stepenInvalidnosti;
		stepenInvalidnosti = newStepenInvalidnosti;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.OPIS_OSOBE__STEPEN_INVALIDNOSTI, oldStepenInvalidnosti, stepenInvalidnosti));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.OPIS_OSOBE__ID_OPIS_OSOBE:
				return getIDOpisOsobe();
			case PbdmodelPackage.OPIS_OSOBE__BOJA_KOSE:
				return getBojaKose();
			case PbdmodelPackage.OPIS_OSOBE__BOJA_OCIJU:
				return getBojaOciju();
			case PbdmodelPackage.OPIS_OSOBE__VISINA:
				return getVisina();
			case PbdmodelPackage.OPIS_OSOBE__GRADJA:
				return getGradja();
			case PbdmodelPackage.OPIS_OSOBE__RAZVIJENOST:
				return getRazvijenost();
			case PbdmodelPackage.OPIS_OSOBE__LICE:
				return getLice();
			case PbdmodelPackage.OPIS_OSOBE__KOSA:
				return getKosa();
			case PbdmodelPackage.OPIS_OSOBE__IZGLED_KOSE:
				return getIzgledKose();
			case PbdmodelPackage.OPIS_OSOBE__CELAVOST:
				return getCelavost();
			case PbdmodelPackage.OPIS_OSOBE__NOS:
				return getNos();
			case PbdmodelPackage.OPIS_OSOBE__IZGLED_NOSA:
				return getIzgledNosa();
			case PbdmodelPackage.OPIS_OSOBE__USI:
				return getUsi();
			case PbdmodelPackage.OPIS_OSOBE__OBLIK_USIJU:
				return getOblikUsiju();
			case PbdmodelPackage.OPIS_OSOBE__IZGLED_BAZE_NOSA:
				return getIzgledBazeNosa();
			case PbdmodelPackage.OPIS_OSOBE__IZGLED_USIJU:
				return getIzgledUsiju();
			case PbdmodelPackage.OPIS_OSOBE__RESICE_NA_USIMA:
				return getResiceNaUsima();
			case PbdmodelPackage.OPIS_OSOBE__LICNI_ZNACI:
				return getLicniZnaci();
			case PbdmodelPackage.OPIS_OSOBE__OCI:
				return getOci();
			case PbdmodelPackage.OPIS_OSOBE__OPIS_ODJECE:
				if (resolve) return getOpisOdjece();
				return basicGetOpisOdjece();
			case PbdmodelPackage.OPIS_OSOBE__STEPEN_INVALIDNOSTI:
				return getStepenInvalidnosti();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.OPIS_OSOBE__ID_OPIS_OSOBE:
				setIDOpisOsobe((Long)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__BOJA_KOSE:
				setBojaKose((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__BOJA_OCIJU:
				setBojaOciju((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__VISINA:
				setVisina((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__GRADJA:
				setGradja((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__RAZVIJENOST:
				setRazvijenost((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__LICE:
				setLice((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__KOSA:
				setKosa((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__IZGLED_KOSE:
				setIzgledKose((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__CELAVOST:
				setCelavost((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__NOS:
				setNos((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__IZGLED_NOSA:
				setIzgledNosa((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__USI:
				setUsi((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__OBLIK_USIJU:
				setOblikUsiju((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__IZGLED_BAZE_NOSA:
				setIzgledBazeNosa((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__IZGLED_USIJU:
				setIzgledUsiju((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__RESICE_NA_USIMA:
				setResiceNaUsima((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__LICNI_ZNACI:
				setLicniZnaci((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__OCI:
				setOci((String)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__OPIS_ODJECE:
				setOpisOdjece((OpisOdjeceImpl)newValue);
				return;
			case PbdmodelPackage.OPIS_OSOBE__STEPEN_INVALIDNOSTI:
				setStepenInvalidnosti((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.OPIS_OSOBE__ID_OPIS_OSOBE:
				setIDOpisOsobe(ID_OPIS_OSOBE_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__BOJA_KOSE:
				setBojaKose(BOJA_KOSE_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__BOJA_OCIJU:
				setBojaOciju(BOJA_OCIJU_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__VISINA:
				setVisina(VISINA_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__GRADJA:
				setGradja(GRADJA_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__RAZVIJENOST:
				setRazvijenost(RAZVIJENOST_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__LICE:
				setLice(LICE_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__KOSA:
				setKosa(KOSA_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__IZGLED_KOSE:
				setIzgledKose(IZGLED_KOSE_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__CELAVOST:
				setCelavost(CELAVOST_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__NOS:
				setNos(NOS_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__IZGLED_NOSA:
				setIzgledNosa(IZGLED_NOSA_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__USI:
				setUsi(USI_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__OBLIK_USIJU:
				setOblikUsiju(OBLIK_USIJU_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__IZGLED_BAZE_NOSA:
				setIzgledBazeNosa(IZGLED_BAZE_NOSA_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__IZGLED_USIJU:
				setIzgledUsiju(IZGLED_USIJU_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__RESICE_NA_USIMA:
				setResiceNaUsima(RESICE_NA_USIMA_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__LICNI_ZNACI:
				setLicniZnaci(LICNI_ZNACI_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__OCI:
				setOci(OCI_EDEFAULT);
				return;
			case PbdmodelPackage.OPIS_OSOBE__OPIS_ODJECE:
				setOpisOdjece((OpisOdjeceImpl)null);
				return;
			case PbdmodelPackage.OPIS_OSOBE__STEPEN_INVALIDNOSTI:
				setStepenInvalidnosti(STEPEN_INVALIDNOSTI_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.OPIS_OSOBE__ID_OPIS_OSOBE:
				return iDOpisOsobe != ID_OPIS_OSOBE_EDEFAULT;
			case PbdmodelPackage.OPIS_OSOBE__BOJA_KOSE:
				return BOJA_KOSE_EDEFAULT == null ? bojaKose != null : !BOJA_KOSE_EDEFAULT.equals(bojaKose);
			case PbdmodelPackage.OPIS_OSOBE__BOJA_OCIJU:
				return BOJA_OCIJU_EDEFAULT == null ? bojaOciju != null : !BOJA_OCIJU_EDEFAULT.equals(bojaOciju);
			case PbdmodelPackage.OPIS_OSOBE__VISINA:
				return VISINA_EDEFAULT == null ? visina != null : !VISINA_EDEFAULT.equals(visina);
			case PbdmodelPackage.OPIS_OSOBE__GRADJA:
				return GRADJA_EDEFAULT == null ? gradja != null : !GRADJA_EDEFAULT.equals(gradja);
			case PbdmodelPackage.OPIS_OSOBE__RAZVIJENOST:
				return RAZVIJENOST_EDEFAULT == null ? razvijenost != null : !RAZVIJENOST_EDEFAULT.equals(razvijenost);
			case PbdmodelPackage.OPIS_OSOBE__LICE:
				return LICE_EDEFAULT == null ? lice != null : !LICE_EDEFAULT.equals(lice);
			case PbdmodelPackage.OPIS_OSOBE__KOSA:
				return KOSA_EDEFAULT == null ? kosa != null : !KOSA_EDEFAULT.equals(kosa);
			case PbdmodelPackage.OPIS_OSOBE__IZGLED_KOSE:
				return IZGLED_KOSE_EDEFAULT == null ? izgledKose != null : !IZGLED_KOSE_EDEFAULT.equals(izgledKose);
			case PbdmodelPackage.OPIS_OSOBE__CELAVOST:
				return CELAVOST_EDEFAULT == null ? celavost != null : !CELAVOST_EDEFAULT.equals(celavost);
			case PbdmodelPackage.OPIS_OSOBE__NOS:
				return NOS_EDEFAULT == null ? nos != null : !NOS_EDEFAULT.equals(nos);
			case PbdmodelPackage.OPIS_OSOBE__IZGLED_NOSA:
				return IZGLED_NOSA_EDEFAULT == null ? izgledNosa != null : !IZGLED_NOSA_EDEFAULT.equals(izgledNosa);
			case PbdmodelPackage.OPIS_OSOBE__USI:
				return USI_EDEFAULT == null ? usi != null : !USI_EDEFAULT.equals(usi);
			case PbdmodelPackage.OPIS_OSOBE__OBLIK_USIJU:
				return OBLIK_USIJU_EDEFAULT == null ? oblikUsiju != null : !OBLIK_USIJU_EDEFAULT.equals(oblikUsiju);
			case PbdmodelPackage.OPIS_OSOBE__IZGLED_BAZE_NOSA:
				return IZGLED_BAZE_NOSA_EDEFAULT == null ? izgledBazeNosa != null : !IZGLED_BAZE_NOSA_EDEFAULT.equals(izgledBazeNosa);
			case PbdmodelPackage.OPIS_OSOBE__IZGLED_USIJU:
				return IZGLED_USIJU_EDEFAULT == null ? izgledUsiju != null : !IZGLED_USIJU_EDEFAULT.equals(izgledUsiju);
			case PbdmodelPackage.OPIS_OSOBE__RESICE_NA_USIMA:
				return RESICE_NA_USIMA_EDEFAULT == null ? resiceNaUsima != null : !RESICE_NA_USIMA_EDEFAULT.equals(resiceNaUsima);
			case PbdmodelPackage.OPIS_OSOBE__LICNI_ZNACI:
				return LICNI_ZNACI_EDEFAULT == null ? licniZnaci != null : !LICNI_ZNACI_EDEFAULT.equals(licniZnaci);
			case PbdmodelPackage.OPIS_OSOBE__OCI:
				return OCI_EDEFAULT == null ? oci != null : !OCI_EDEFAULT.equals(oci);
			case PbdmodelPackage.OPIS_OSOBE__OPIS_ODJECE:
				return opisOdjece != null;
			case PbdmodelPackage.OPIS_OSOBE__STEPEN_INVALIDNOSTI:
				return STEPEN_INVALIDNOSTI_EDEFAULT == null ? stepenInvalidnosti != null : !STEPEN_INVALIDNOSTI_EDEFAULT.equals(stepenInvalidnosti);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDOpisOsobe: ");
		result.append(iDOpisOsobe);
		result.append(", bojaKose: ");
		result.append(bojaKose);
		result.append(", bojaOciju: ");
		result.append(bojaOciju);
		result.append(", visina: ");
		result.append(visina);
		result.append(", gradja: ");
		result.append(gradja);
		result.append(", razvijenost: ");
		result.append(razvijenost);
		result.append(", lice: ");
		result.append(lice);
		result.append(", kosa: ");
		result.append(kosa);
		result.append(", izgledKose: ");
		result.append(izgledKose);
		result.append(", celavost: ");
		result.append(celavost);
		result.append(", nos: ");
		result.append(nos);
		result.append(", izgledNosa: ");
		result.append(izgledNosa);
		result.append(", usi: ");
		result.append(usi);
		result.append(", oblikUsiju: ");
		result.append(oblikUsiju);
		result.append(", izgledBazeNosa: ");
		result.append(izgledBazeNosa);
		result.append(", izgledUsiju: ");
		result.append(izgledUsiju);
		result.append(", resiceNaUsima: ");
		result.append(resiceNaUsima);
		result.append(", licniZnaci: ");
		result.append(licniZnaci);
		result.append(", oci: ");
		result.append(oci);
		result.append(", stepenInvalidnosti: ");
		result.append(stepenInvalidnosti);
		result.append(')');
		return result.toString();
	}

} //OpisOsobeImpl
