/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import pbdmodel.OrgJedinica;
import pbdmodel.PbdmodelPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Org Jedinica</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.OrgJedinicaImpl#getIDOrgJedinica <em>ID Org Jedinica</em>}</li>
 *   <li>{@link pbdmodel.impl.OrgJedinicaImpl#getNazivOrgJedinice <em>Naziv Org Jedinice</em>}</li>
 *   <li>{@link pbdmodel.impl.OrgJedinicaImpl#getOznaka <em>Oznaka</em>}</li>
 *   <li>{@link pbdmodel.impl.OrgJedinicaImpl#getSluzbenici <em>Sluzbenici</em>}</li>
 *   <li>{@link pbdmodel.impl.OrgJedinicaImpl#getVrstaOrgJedinice <em>Vrsta Org Jedinice</em>}</li>
 *   <li>{@link pbdmodel.impl.OrgJedinicaImpl#getOrganizacija <em>OrganizacijaImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.OrgJedinicaImpl#getParentOrgJedinica <em>Parent Org Jedinica</em>}</li>
 *   <li>{@link pbdmodel.impl.OrgJedinicaImpl#getRadneUlogeOrgJedinice <em>Radne Uloge Org Jedinice</em>}</li>
 *   <li>{@link pbdmodel.impl.OrgJedinicaImpl#getSifraOrgJedinice <em>Sifra Org Jedinice</em>}</li>
 *   <li>{@link pbdmodel.impl.OrgJedinicaImpl#isImaAdresu <em>Ima Adresu</em>}</li>
 *   <li>{@link pbdmodel.impl.OrgJedinicaImpl#getAdresaOrgJedinice <em>AdresaImpl Org Jedinice</em>}</li>
 *   <li>{@link pbdmodel.impl.OrgJedinicaImpl#isBlagajna <em>Blagajna</em>}</li>
 *   <li>{@link pbdmodel.impl.OrgJedinicaImpl#getPromjeneVrijedeOd <em>Promjene Vrijede Od</em>}</li>
 *   <li>{@link pbdmodel.impl.OrgJedinicaImpl#getOpis <em>Opis</em>}</li>
 *   <li>{@link pbdmodel.impl.OrgJedinicaImpl#getRadnoVrijeme <em>Radno Vrijeme</em>}</li>
 *   <li>{@link pbdmodel.impl.OrgJedinicaImpl#getVrstaPapitaNaIspisuBlagajne <em>Vrsta Papita Na Ispisu Blagajne</em>}</li>
 *   <li>{@link pbdmodel.impl.OrgJedinicaImpl#getRasporedSmjena <em>Raspored Smjena</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class OrgJedinicaImpl extends EObjectImpl implements OrgJedinica {
	/**
	 * The default value of the '{@link #getIDOrgJedinica() <em>ID Org Jedinica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDOrgJedinica()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_ORG_JEDINICA_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDOrgJedinica() <em>ID Org Jedinica</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDOrgJedinica()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long iDOrgJedinica = ID_ORG_JEDINICA_EDEFAULT;

	/**
	 * The default value of the '{@link #getNazivOrgJedinice() <em>Naziv Org Jedinice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNazivOrgJedinice()
	 * @generated
	 * @ordered
	 */
	protected static final String NAZIV_ORG_JEDINICE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getNazivOrgJedinice() <em>Naziv Org Jedinice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNazivOrgJedinice()
	 * @generated
	 * @ordered
	 */
	public String nazivOrgJedinice = NAZIV_ORG_JEDINICE_EDEFAULT;

	/**
	 * The default value of the '{@link #getOznaka() <em>Oznaka</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOznaka()
	 * @generated
	 * @ordered
	 */
	protected static final String OZNAKA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOznaka() <em>Oznaka</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOznaka()
	 * @generated
	 * @ordered
	 */
	protected String oznaka = OZNAKA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getSluzbenici() <em>Sluzbenici</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSluzbenici()
	 * @generated
	 * @ordered
	 */
	 @OneToMany(cascade=CascadeType.ALL, mappedBy="orgJedinica")
	protected List<ZaposleniciImpl> sluzbenici;

	/**
	 * The cached value of the '{@link #getVrstaOrgJedinice() <em>Vrsta Org Jedinice</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaOrgJedinice()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_ORG_JEDINICE_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected VrstaOrgJediniceImpl vrstaOrgJedinice;

	/**
	 * The cached value of the '{@link #getOrganizacija() <em>OrganizacijaImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrganizacija()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ORGANIZACIJA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected OrganizacijaImpl organizacija;

	/**
	 * The cached value of the '{@link #getParentOrgJedinica() <em>Parent Org Jedinica</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getParentOrgJedinica()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ORG_JEDINICA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected OrgJedinicaImpl parentOrgJedinica;

	/**
	 * The cached value of the '{@link #getRadneUlogeOrgJedinice() <em>Radne Uloge Org Jedinice</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRadneUlogeOrgJedinice()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="RADNE_ULOGE_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<RadneUlogeImpl> radneUlogeOrgJedinice;

	/**
	 * The default value of the '{@link #getSifraOrgJedinice() <em>Sifra Org Jedinice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSifraOrgJedinice()
	 * @generated
	 * @ordered
	 */
	protected static final String SIFRA_ORG_JEDINICE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getSifraOrgJedinice() <em>Sifra Org Jedinice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSifraOrgJedinice()
	 * @generated
	 * @ordered
	 */
	protected String sifraOrgJedinice = SIFRA_ORG_JEDINICE_EDEFAULT;

	/**
	 * The default value of the '{@link #isImaAdresu() <em>Ima Adresu</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isImaAdresu()
	 * @generated
	 * @ordered
	 */
	protected static final boolean IMA_ADRESU_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isImaAdresu() <em>Ima Adresu</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isImaAdresu()
	 * @generated
	 * @ordered
	 */
	protected boolean imaAdresu = IMA_ADRESU_EDEFAULT;

	/**
	 * The cached value of the '{@link #getAdresaOrgJedinice() <em>AdresaImpl Org Jedinice</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getAdresaOrgJedinice()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ADRESA_ORG_JEDINICE_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected AdresaImpl adresaOrgJedinice;

	/**
	 * The default value of the '{@link #isBlagajna() <em>Blagajna</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isBlagajna()
	 * @generated
	 * @ordered
	 */
	protected static final boolean BLAGAJNA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isBlagajna() <em>Blagajna</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isBlagajna()
	 * @generated
	 * @ordered
	 */
	protected boolean blagajna = BLAGAJNA_EDEFAULT;

	/**
	 * The default value of the '{@link #getPromjeneVrijedeOd() <em>Promjene Vrijede Od</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPromjeneVrijedeOd()
	 * @generated
	 * @ordered
	 */
	protected static final Date PROMJENE_VRIJEDE_OD_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPromjeneVrijedeOd() <em>Promjene Vrijede Od</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPromjeneVrijedeOd()
	 * @generated
	 * @ordered
	 */
	protected Date promjeneVrijedeOd = PROMJENE_VRIJEDE_OD_EDEFAULT;

	/**
	 * The default value of the '{@link #getOpis() <em>Opis</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpis()
	 * @generated
	 * @ordered
	 */
	protected static final String OPIS_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOpis() <em>Opis</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpis()
	 * @generated
	 * @ordered
	 */
	protected String opis = OPIS_EDEFAULT;

	/**
	 * The default value of the '{@link #getRadnoVrijeme() <em>Radno Vrijeme</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRadnoVrijeme()
	 * @generated
	 * @ordered
	 */
	protected static final String RADNO_VRIJEME_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getRadnoVrijeme() <em>Radno Vrijeme</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRadnoVrijeme()
	 * @generated
	 * @ordered
	 */
	protected String radnoVrijeme = RADNO_VRIJEME_EDEFAULT;

	/**
	 * The cached value of the '{@link #getVrstaPapitaNaIspisuBlagajne() <em>Vrsta Papita Na Ispisu Blagajne</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaPapitaNaIspisuBlagajne()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_PAPIRA_NA_ISPISU_BLAGAJNE_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected VrstaPapiraNaIspisuBlagajneImpl vrstaPapitaNaIspisuBlagajne;

	/**
	 * The cached value of the '{@link #getRasporedSmjena() <em>Raspored Smjena</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRasporedSmjena()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="RASPORED_SMJENA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<RasporedSmjenaImpl> rasporedSmjena;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrgJedinicaImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getOrgJedinica();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDOrgJedinica() {
		return iDOrgJedinica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDOrgJedinica(long newIDOrgJedinica) {
		long oldIDOrgJedinica = iDOrgJedinica;
		iDOrgJedinica = newIDOrgJedinica;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ORG_JEDINICA__ID_ORG_JEDINICA, oldIDOrgJedinica, iDOrgJedinica));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getNazivOrgJedinice() {
		return nazivOrgJedinice;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNazivOrgJedinice(String newNazivOrgJedinice) {
		String oldNazivOrgJedinice = nazivOrgJedinice;
		nazivOrgJedinice = newNazivOrgJedinice;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ORG_JEDINICA__NAZIV_ORG_JEDINICE, oldNazivOrgJedinice, nazivOrgJedinice));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOznaka() {
		return oznaka;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOznaka(String newOznaka) {
		String oldOznaka = oznaka;
		oznaka = newOznaka;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ORG_JEDINICA__OZNAKA, oldOznaka, oznaka));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<ZaposleniciImpl> getSluzbenici() {
		if (sluzbenici == null) {
			sluzbenici = new ArrayList<ZaposleniciImpl>();
		}
		return sluzbenici;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaOrgJediniceImpl getVrstaOrgJedinice() {
		if (vrstaOrgJedinice != null && vrstaOrgJedinice.eIsProxy()) {
			InternalEObject oldVrstaOrgJedinice = (InternalEObject)vrstaOrgJedinice;
			vrstaOrgJedinice = (VrstaOrgJediniceImpl)eResolveProxy(oldVrstaOrgJedinice);
			if (vrstaOrgJedinice != oldVrstaOrgJedinice) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ORG_JEDINICA__VRSTA_ORG_JEDINICE, oldVrstaOrgJedinice, vrstaOrgJedinice));
			}
		}
		return vrstaOrgJedinice;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaOrgJediniceImpl basicGetVrstaOrgJedinice() {
		return vrstaOrgJedinice;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaOrgJedinice(VrstaOrgJediniceImpl newVrstaOrgJedinice) {
		VrstaOrgJediniceImpl oldVrstaOrgJedinice = vrstaOrgJedinice;
		vrstaOrgJedinice = newVrstaOrgJedinice;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ORG_JEDINICA__VRSTA_ORG_JEDINICE, oldVrstaOrgJedinice, vrstaOrgJedinice));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrganizacijaImpl getOrganizacija() {
		if (organizacija != null && organizacija.eIsProxy()) {
			InternalEObject oldOrganizacija = (InternalEObject)organizacija;
			organizacija = (OrganizacijaImpl)eResolveProxy(oldOrganizacija);
			if (organizacija != oldOrganizacija) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ORG_JEDINICA__ORGANIZACIJA, oldOrganizacija, organizacija));
			}
		}
		return organizacija;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrganizacijaImpl basicGetOrganizacija() {
		return organizacija;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetOrganizacija(OrganizacijaImpl newOrganizacija, NotificationChain msgs) {
		OrganizacijaImpl oldOrganizacija = organizacija;
		organizacija = newOrganizacija;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ORG_JEDINICA__ORGANIZACIJA, oldOrganizacija, newOrganizacija);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrganizacija(OrganizacijaImpl newOrganizacija) {
		if (newOrganizacija != organizacija) {
			NotificationChain msgs = null;
			if (organizacija != null)
				msgs = ((InternalEObject)organizacija).eInverseRemove(this, PbdmodelPackage.ORGANIZACIJA__ORG_JEDINICA, OrganizacijaImpl.class, msgs);
			if (newOrganizacija != null)
				msgs = ((InternalEObject)newOrganizacija).eInverseAdd(this, PbdmodelPackage.ORGANIZACIJA__ORG_JEDINICA, OrganizacijaImpl.class, msgs);
			msgs = basicSetOrganizacija(newOrganizacija, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ORG_JEDINICA__ORGANIZACIJA, newOrganizacija, newOrganizacija));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrgJedinicaImpl getParentOrgJedinica() {
		if (parentOrgJedinica != null && parentOrgJedinica.eIsProxy()) {
			InternalEObject oldParentOrgJedinica = (InternalEObject)parentOrgJedinica;
			parentOrgJedinica = (OrgJedinicaImpl)eResolveProxy(oldParentOrgJedinica);
			if (parentOrgJedinica != oldParentOrgJedinica) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ORG_JEDINICA__PARENT_ORG_JEDINICA, oldParentOrgJedinica, parentOrgJedinica));
			}
		}
		return parentOrgJedinica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrgJedinicaImpl basicGetParentOrgJedinica() {
		return parentOrgJedinica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setParentOrgJedinica(OrgJedinicaImpl newParentOrgJedinica) {
		OrgJedinicaImpl oldParentOrgJedinica = parentOrgJedinica;
		parentOrgJedinica = newParentOrgJedinica;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ORG_JEDINICA__PARENT_ORG_JEDINICA, oldParentOrgJedinica, parentOrgJedinica));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<RadneUlogeImpl> getRadneUlogeOrgJedinice() {
		if (radneUlogeOrgJedinice == null) {
			radneUlogeOrgJedinice = new ArrayList<RadneUlogeImpl>();
		}
		return radneUlogeOrgJedinice;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getSifraOrgJedinice() {
		return sifraOrgJedinice;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSifraOrgJedinice(String newSifraOrgJedinice) {
		String oldSifraOrgJedinice = sifraOrgJedinice;
		sifraOrgJedinice = newSifraOrgJedinice;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ORG_JEDINICA__SIFRA_ORG_JEDINICE, oldSifraOrgJedinice, sifraOrgJedinice));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isImaAdresu() {
		return imaAdresu;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setImaAdresu(boolean newImaAdresu) {
		boolean oldImaAdresu = imaAdresu;
		imaAdresu = newImaAdresu;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ORG_JEDINICA__IMA_ADRESU, oldImaAdresu, imaAdresu));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdresaImpl getAdresaOrgJedinice() {
		if (adresaOrgJedinice != null && adresaOrgJedinice.eIsProxy()) {
			InternalEObject oldAdresaOrgJedinice = (InternalEObject)adresaOrgJedinice;
			adresaOrgJedinice = (AdresaImpl)eResolveProxy(oldAdresaOrgJedinice);
			if (adresaOrgJedinice != oldAdresaOrgJedinice) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ORG_JEDINICA__ADRESA_ORG_JEDINICE, oldAdresaOrgJedinice, adresaOrgJedinice));
			}
		}
		return adresaOrgJedinice;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdresaImpl basicGetAdresaOrgJedinice() {
		return adresaOrgJedinice;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setAdresaOrgJedinice(AdresaImpl newAdresaOrgJedinice) {
		AdresaImpl oldAdresaOrgJedinice = adresaOrgJedinice;
		adresaOrgJedinice = newAdresaOrgJedinice;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ORG_JEDINICA__ADRESA_ORG_JEDINICE, oldAdresaOrgJedinice, adresaOrgJedinice));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isBlagajna() {
		return blagajna;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBlagajna(boolean newBlagajna) {
		boolean oldBlagajna = blagajna;
		blagajna = newBlagajna;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ORG_JEDINICA__BLAGAJNA, oldBlagajna, blagajna));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getPromjeneVrijedeOd() {
		return promjeneVrijedeOd;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPromjeneVrijedeOd(Date newPromjeneVrijedeOd) {
		Date oldPromjeneVrijedeOd = promjeneVrijedeOd;
		promjeneVrijedeOd = newPromjeneVrijedeOd;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ORG_JEDINICA__PROMJENE_VRIJEDE_OD, oldPromjeneVrijedeOd, promjeneVrijedeOd));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOpis() {
		return opis;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOpis(String newOpis) {
		String oldOpis = opis;
		opis = newOpis;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ORG_JEDINICA__OPIS, oldOpis, opis));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getRadnoVrijeme() {
		return radnoVrijeme;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRadnoVrijeme(String newRadnoVrijeme) {
		String oldRadnoVrijeme = radnoVrijeme;
		radnoVrijeme = newRadnoVrijeme;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ORG_JEDINICA__RADNO_VRIJEME, oldRadnoVrijeme, radnoVrijeme));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaPapiraNaIspisuBlagajneImpl getVrstaPapitaNaIspisuBlagajne() {
		if (vrstaPapitaNaIspisuBlagajne != null && vrstaPapitaNaIspisuBlagajne.eIsProxy()) {
			InternalEObject oldVrstaPapitaNaIspisuBlagajne = (InternalEObject)vrstaPapitaNaIspisuBlagajne;
			vrstaPapitaNaIspisuBlagajne = (VrstaPapiraNaIspisuBlagajneImpl)eResolveProxy(oldVrstaPapitaNaIspisuBlagajne);
			if (vrstaPapitaNaIspisuBlagajne != oldVrstaPapitaNaIspisuBlagajne) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ORG_JEDINICA__VRSTA_PAPITA_NA_ISPISU_BLAGAJNE, oldVrstaPapitaNaIspisuBlagajne, vrstaPapitaNaIspisuBlagajne));
			}
		}
		return vrstaPapitaNaIspisuBlagajne;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaPapiraNaIspisuBlagajneImpl basicGetVrstaPapitaNaIspisuBlagajne() {
		return vrstaPapitaNaIspisuBlagajne;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaPapitaNaIspisuBlagajne(VrstaPapiraNaIspisuBlagajneImpl newVrstaPapitaNaIspisuBlagajne) {
		VrstaPapiraNaIspisuBlagajneImpl oldVrstaPapitaNaIspisuBlagajne = vrstaPapitaNaIspisuBlagajne;
		vrstaPapitaNaIspisuBlagajne = newVrstaPapitaNaIspisuBlagajne;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ORG_JEDINICA__VRSTA_PAPITA_NA_ISPISU_BLAGAJNE, oldVrstaPapitaNaIspisuBlagajne, vrstaPapitaNaIspisuBlagajne));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<RasporedSmjenaImpl> getRasporedSmjena() {
		if (rasporedSmjena == null) {
			rasporedSmjena = new ArrayList<RasporedSmjenaImpl>();
		}
		return rasporedSmjena;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case PbdmodelPackage.ORG_JEDINICA__ORGANIZACIJA:
				if (organizacija != null)
					msgs = ((InternalEObject)organizacija).eInverseRemove(this, PbdmodelPackage.ORGANIZACIJA__ORG_JEDINICA, OrganizacijaImpl.class, msgs);
				return basicSetOrganizacija((OrganizacijaImpl)otherEnd, msgs);
		}
		return super.eInverseAdd(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case PbdmodelPackage.ORG_JEDINICA__ORGANIZACIJA:
				return basicSetOrganizacija(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.ORG_JEDINICA__ID_ORG_JEDINICA:
				return getIDOrgJedinica();
			case PbdmodelPackage.ORG_JEDINICA__NAZIV_ORG_JEDINICE:
				return getNazivOrgJedinice();
			case PbdmodelPackage.ORG_JEDINICA__OZNAKA:
				return getOznaka();
			case PbdmodelPackage.ORG_JEDINICA__SLUZBENICI:
				return getSluzbenici();
			case PbdmodelPackage.ORG_JEDINICA__VRSTA_ORG_JEDINICE:
				if (resolve) return getVrstaOrgJedinice();
				return basicGetVrstaOrgJedinice();
			case PbdmodelPackage.ORG_JEDINICA__ORGANIZACIJA:
				if (resolve) return getOrganizacija();
				return basicGetOrganizacija();
			case PbdmodelPackage.ORG_JEDINICA__PARENT_ORG_JEDINICA:
				if (resolve) return getParentOrgJedinica();
				return basicGetParentOrgJedinica();
			case PbdmodelPackage.ORG_JEDINICA__RADNE_ULOGE_ORG_JEDINICE:
				return getRadneUlogeOrgJedinice();
			case PbdmodelPackage.ORG_JEDINICA__SIFRA_ORG_JEDINICE:
				return getSifraOrgJedinice();
			case PbdmodelPackage.ORG_JEDINICA__IMA_ADRESU:
				return isImaAdresu();
			case PbdmodelPackage.ORG_JEDINICA__ADRESA_ORG_JEDINICE:
				if (resolve) return getAdresaOrgJedinice();
				return basicGetAdresaOrgJedinice();
			case PbdmodelPackage.ORG_JEDINICA__BLAGAJNA:
				return isBlagajna();
			case PbdmodelPackage.ORG_JEDINICA__PROMJENE_VRIJEDE_OD:
				return getPromjeneVrijedeOd();
			case PbdmodelPackage.ORG_JEDINICA__OPIS:
				return getOpis();
			case PbdmodelPackage.ORG_JEDINICA__RADNO_VRIJEME:
				return getRadnoVrijeme();
			case PbdmodelPackage.ORG_JEDINICA__VRSTA_PAPITA_NA_ISPISU_BLAGAJNE:
				if (resolve) return getVrstaPapitaNaIspisuBlagajne();
				return basicGetVrstaPapitaNaIspisuBlagajne();
			case PbdmodelPackage.ORG_JEDINICA__RASPORED_SMJENA:
				return getRasporedSmjena();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.ORG_JEDINICA__ID_ORG_JEDINICA:
				setIDOrgJedinica((Long)newValue);
				return;
			case PbdmodelPackage.ORG_JEDINICA__NAZIV_ORG_JEDINICE:
				setNazivOrgJedinice((String)newValue);
				return;
			case PbdmodelPackage.ORG_JEDINICA__OZNAKA:
				setOznaka((String)newValue);
				return;
			case PbdmodelPackage.ORG_JEDINICA__SLUZBENICI:
				getSluzbenici().clear();
				getSluzbenici().addAll((Collection<? extends SluzbenaOsobaImpl>)newValue);
				return;
			case PbdmodelPackage.ORG_JEDINICA__VRSTA_ORG_JEDINICE:
				setVrstaOrgJedinice((VrstaOrgJediniceImpl)newValue);
				return;
			case PbdmodelPackage.ORG_JEDINICA__ORGANIZACIJA:
				setOrganizacija((OrganizacijaImpl)newValue);
				return;
			case PbdmodelPackage.ORG_JEDINICA__PARENT_ORG_JEDINICA:
				setParentOrgJedinica((OrgJedinicaImpl)newValue);
				return;
			case PbdmodelPackage.ORG_JEDINICA__RADNE_ULOGE_ORG_JEDINICE:
				getRadneUlogeOrgJedinice().clear();
				getRadneUlogeOrgJedinice().addAll((Collection<? extends RadneUlogeImpl>)newValue);
				return;
			case PbdmodelPackage.ORG_JEDINICA__SIFRA_ORG_JEDINICE:
				setSifraOrgJedinice((String)newValue);
				return;
			case PbdmodelPackage.ORG_JEDINICA__IMA_ADRESU:
				setImaAdresu((Boolean)newValue);
				return;
			case PbdmodelPackage.ORG_JEDINICA__ADRESA_ORG_JEDINICE:
				setAdresaOrgJedinice((AdresaImpl)newValue);
				return;
			case PbdmodelPackage.ORG_JEDINICA__BLAGAJNA:
				setBlagajna((Boolean)newValue);
				return;
			case PbdmodelPackage.ORG_JEDINICA__PROMJENE_VRIJEDE_OD:
				setPromjeneVrijedeOd((Date)newValue);
				return;
			case PbdmodelPackage.ORG_JEDINICA__OPIS:
				setOpis((String)newValue);
				return;
			case PbdmodelPackage.ORG_JEDINICA__RADNO_VRIJEME:
				setRadnoVrijeme((String)newValue);
				return;
			case PbdmodelPackage.ORG_JEDINICA__VRSTA_PAPITA_NA_ISPISU_BLAGAJNE:
				setVrstaPapitaNaIspisuBlagajne((VrstaPapiraNaIspisuBlagajneImpl)newValue);
				return;
			case PbdmodelPackage.ORG_JEDINICA__RASPORED_SMJENA:
				getRasporedSmjena().clear();
				getRasporedSmjena().addAll((Collection<? extends RasporedSmjenaImpl>)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.ORG_JEDINICA__ID_ORG_JEDINICA:
				setIDOrgJedinica(ID_ORG_JEDINICA_EDEFAULT);
				return;
			case PbdmodelPackage.ORG_JEDINICA__NAZIV_ORG_JEDINICE:
				setNazivOrgJedinice(NAZIV_ORG_JEDINICE_EDEFAULT);
				return;
			case PbdmodelPackage.ORG_JEDINICA__OZNAKA:
				setOznaka(OZNAKA_EDEFAULT);
				return;
			case PbdmodelPackage.ORG_JEDINICA__SLUZBENICI:
				getSluzbenici().clear();
				return;
			case PbdmodelPackage.ORG_JEDINICA__VRSTA_ORG_JEDINICE:
				setVrstaOrgJedinice((VrstaOrgJediniceImpl)null);
				return;
			case PbdmodelPackage.ORG_JEDINICA__ORGANIZACIJA:
				setOrganizacija((OrganizacijaImpl)null);
				return;
			case PbdmodelPackage.ORG_JEDINICA__PARENT_ORG_JEDINICA:
				setParentOrgJedinica((OrgJedinicaImpl)null);
				return;
			case PbdmodelPackage.ORG_JEDINICA__RADNE_ULOGE_ORG_JEDINICE:
				getRadneUlogeOrgJedinice().clear();
				return;
			case PbdmodelPackage.ORG_JEDINICA__SIFRA_ORG_JEDINICE:
				setSifraOrgJedinice(SIFRA_ORG_JEDINICE_EDEFAULT);
				return;
			case PbdmodelPackage.ORG_JEDINICA__IMA_ADRESU:
				setImaAdresu(IMA_ADRESU_EDEFAULT);
				return;
			case PbdmodelPackage.ORG_JEDINICA__ADRESA_ORG_JEDINICE:
				setAdresaOrgJedinice((AdresaImpl)null);
				return;
			case PbdmodelPackage.ORG_JEDINICA__BLAGAJNA:
				setBlagajna(BLAGAJNA_EDEFAULT);
				return;
			case PbdmodelPackage.ORG_JEDINICA__PROMJENE_VRIJEDE_OD:
				setPromjeneVrijedeOd(PROMJENE_VRIJEDE_OD_EDEFAULT);
				return;
			case PbdmodelPackage.ORG_JEDINICA__OPIS:
				setOpis(OPIS_EDEFAULT);
				return;
			case PbdmodelPackage.ORG_JEDINICA__RADNO_VRIJEME:
				setRadnoVrijeme(RADNO_VRIJEME_EDEFAULT);
				return;
			case PbdmodelPackage.ORG_JEDINICA__VRSTA_PAPITA_NA_ISPISU_BLAGAJNE:
				setVrstaPapitaNaIspisuBlagajne((VrstaPapiraNaIspisuBlagajneImpl)null);
				return;
			case PbdmodelPackage.ORG_JEDINICA__RASPORED_SMJENA:
				getRasporedSmjena().clear();
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.ORG_JEDINICA__ID_ORG_JEDINICA:
				return iDOrgJedinica != ID_ORG_JEDINICA_EDEFAULT;
			case PbdmodelPackage.ORG_JEDINICA__NAZIV_ORG_JEDINICE:
				return NAZIV_ORG_JEDINICE_EDEFAULT == null ? nazivOrgJedinice != null : !NAZIV_ORG_JEDINICE_EDEFAULT.equals(nazivOrgJedinice);
			case PbdmodelPackage.ORG_JEDINICA__OZNAKA:
				return OZNAKA_EDEFAULT == null ? oznaka != null : !OZNAKA_EDEFAULT.equals(oznaka);
			case PbdmodelPackage.ORG_JEDINICA__SLUZBENICI:
				return sluzbenici != null && !sluzbenici.isEmpty();
			case PbdmodelPackage.ORG_JEDINICA__VRSTA_ORG_JEDINICE:
				return vrstaOrgJedinice != null;
			case PbdmodelPackage.ORG_JEDINICA__ORGANIZACIJA:
				return organizacija != null;
			case PbdmodelPackage.ORG_JEDINICA__PARENT_ORG_JEDINICA:
				return parentOrgJedinica != null;
			case PbdmodelPackage.ORG_JEDINICA__RADNE_ULOGE_ORG_JEDINICE:
				return radneUlogeOrgJedinice != null && !radneUlogeOrgJedinice.isEmpty();
			case PbdmodelPackage.ORG_JEDINICA__SIFRA_ORG_JEDINICE:
				return SIFRA_ORG_JEDINICE_EDEFAULT == null ? sifraOrgJedinice != null : !SIFRA_ORG_JEDINICE_EDEFAULT.equals(sifraOrgJedinice);
			case PbdmodelPackage.ORG_JEDINICA__IMA_ADRESU:
				return imaAdresu != IMA_ADRESU_EDEFAULT;
			case PbdmodelPackage.ORG_JEDINICA__ADRESA_ORG_JEDINICE:
				return adresaOrgJedinice != null;
			case PbdmodelPackage.ORG_JEDINICA__BLAGAJNA:
				return blagajna != BLAGAJNA_EDEFAULT;
			case PbdmodelPackage.ORG_JEDINICA__PROMJENE_VRIJEDE_OD:
				return PROMJENE_VRIJEDE_OD_EDEFAULT == null ? promjeneVrijedeOd != null : !PROMJENE_VRIJEDE_OD_EDEFAULT.equals(promjeneVrijedeOd);
			case PbdmodelPackage.ORG_JEDINICA__OPIS:
				return OPIS_EDEFAULT == null ? opis != null : !OPIS_EDEFAULT.equals(opis);
			case PbdmodelPackage.ORG_JEDINICA__RADNO_VRIJEME:
				return RADNO_VRIJEME_EDEFAULT == null ? radnoVrijeme != null : !RADNO_VRIJEME_EDEFAULT.equals(radnoVrijeme);
			case PbdmodelPackage.ORG_JEDINICA__VRSTA_PAPITA_NA_ISPISU_BLAGAJNE:
				return vrstaPapitaNaIspisuBlagajne != null;
			case PbdmodelPackage.ORG_JEDINICA__RASPORED_SMJENA:
				return rasporedSmjena != null && !rasporedSmjena.isEmpty();
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDOrgJedinica: ");
		result.append(iDOrgJedinica);
		result.append(", nazivOrgJedinice: ");
		result.append(nazivOrgJedinice);
		result.append(", oznaka: ");
		result.append(oznaka);
		result.append(", sifraOrgJedinice: ");
		result.append(sifraOrgJedinice);
		result.append(", imaAdresu: ");
		result.append(imaAdresu);
		result.append(", Blagajna: ");
		result.append(blagajna);
		result.append(", promjeneVrijedeOd: ");
		result.append(promjeneVrijedeOd);
		result.append(", opis: ");
		result.append(opis);
		result.append(", radnoVrijeme: ");
		result.append(radnoVrijeme);
		result.append(')');
		return result.toString();
	}

} //OrgJedinicaImpl
