/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.PbdmodelPackage;
import pbdmodel.PodneseniIzvjestajiOPocinjenomKrivicnomDjelu;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Podneseni Izvjestaji OPocinjenom Krivicnom Djelu</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.PodneseniIzvjestajiOPocinjenomKrivicnomDjeluImpl#getIDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu <em>ID Podneseni Izvjestaji OPocinjenom Krivicnom Djelu</em>}</li>
 *   <li>{@link pbdmodel.impl.PodneseniIzvjestajiOPocinjenomKrivicnomDjeluImpl#getDatumPodnosenjaIzvjestaja <em>Datum Podnosenja Izvjestaja</em>}</li>
 *   <li>{@link pbdmodel.impl.PodneseniIzvjestajiOPocinjenomKrivicnomDjeluImpl#getBrojKUa <em>Broj KUa</em>}</li>
 *   <li>{@link pbdmodel.impl.PodneseniIzvjestajiOPocinjenomKrivicnomDjeluImpl#getSudionici <em>Sudionici</em>}</li>
 *   <li>{@link pbdmodel.impl.PodneseniIzvjestajiOPocinjenomKrivicnomDjeluImpl#getOrganVlasti <em>Organ Vlasti</em>}</li>
 *   <li>{@link pbdmodel.impl.PodneseniIzvjestajiOPocinjenomKrivicnomDjeluImpl#getSudioniciPrijavljeni <em>Sudionici Prijavljeni</em>}</li>
 *   <li>{@link pbdmodel.impl.PodneseniIzvjestajiOPocinjenomKrivicnomDjeluImpl#getPosljediceIzvrsenjaKDa <em>Posljedice Izvrsenja KDa</em>}</li>
 *   <li>{@link pbdmodel.impl.PodneseniIzvjestajiOPocinjenomKrivicnomDjeluImpl#getPreduzece <em>PreduzeceImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.PodneseniIzvjestajiOPocinjenomKrivicnomDjeluImpl#isPreduzeceBool <em>PreduzeceImpl Bool</em>}</li>
 *   <li>{@link pbdmodel.impl.PodneseniIzvjestajiOPocinjenomKrivicnomDjeluImpl#getOrgJedinicaUnutrasnja <em>Org Jedinica Unutrasnja</em>}</li>
 *   <li>{@link pbdmodel.impl.PodneseniIzvjestajiOPocinjenomKrivicnomDjeluImpl#getOrganKojemJeUpucenIzvjestaj <em>Organ Kojem Je Upucen Izvjestaj</em>}</li>
 *   <li>{@link pbdmodel.impl.PodneseniIzvjestajiOPocinjenomKrivicnomDjeluImpl#getSluzbenaOsoba <em>Sluzbena Osoba</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class PodneseniIzvjestajiOPocinjenomKrivicnomDjeluImpl extends DokumentImpl implements PodneseniIzvjestajiOPocinjenomKrivicnomDjelu {
	/**
	 * The default value of the '{@link #getIDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu() <em>ID Podneseni Izvjestaji OPocinjenom Krivicnom Djelu</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu() <em>ID Podneseni Izvjestaji OPocinjenom Krivicnom Djelu</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu()
	 * @generated
	 * @ordered
	 */
	@GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long iDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu = ID_PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumPodnosenjaIzvjestaja() <em>Datum Podnosenja Izvjestaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumPodnosenjaIzvjestaja()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_PODNOSENJA_IZVJESTAJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumPodnosenjaIzvjestaja() <em>Datum Podnosenja Izvjestaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumPodnosenjaIzvjestaja()
	 * @generated
	 * @ordered
	 */
	protected Date datumPodnosenjaIzvjestaja = DATUM_PODNOSENJA_IZVJESTAJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getBrojKUa() <em>Broj KUa</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojKUa()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_KUA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojKUa() <em>Broj KUa</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojKUa()
	 * @generated
	 * @ordered
	 */
	protected String brojKUa = BROJ_KUA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getSudionici() <em>Sudionici</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSudionici()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SUDIONIK_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<SudionikImpl> sudionici;

	/**
	 * The cached value of the '{@link #getOrganVlasti() <em>Organ Vlasti</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrganVlasti()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ORGAN_VLASTI_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OrganVlastiImpl organVlasti;

	/**
	 * The cached value of the '{@link #getSudioniciPrijavljeni() <em>Sudionici Prijavljeni</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSudioniciPrijavljeni()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SUDIONIK_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<SudionikImpl> sudioniciPrijavljeni;

	/**
	 * The default value of the '{@link #getPosljediceIzvrsenjaKDa() <em>Posljedice Izvrsenja KDa</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPosljediceIzvrsenjaKDa()
	 * @generated
	 * @ordered
	 */
	protected static final String POSLJEDICE_IZVRSENJA_KDA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPosljediceIzvrsenjaKDa() <em>Posljedice Izvrsenja KDa</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPosljediceIzvrsenjaKDa()
	 * @generated
	 * @ordered
	 */
	protected String posljediceIzvrsenjaKDa = POSLJEDICE_IZVRSENJA_KDA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getPreduzece() <em>PreduzeceImpl</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPreduzece()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PREDUZECE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<PreduzeceImpl> preduzece;

	/**
	 * The default value of the '{@link #isPreduzeceBool() <em>PreduzeceImpl Bool</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPreduzeceBool()
	 * @generated
	 * @ordered
	 */
	protected static final boolean PREDUZECE_BOOL_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isPreduzeceBool() <em>PreduzeceImpl Bool</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isPreduzeceBool()
	 * @generated
	 * @ordered
	 */
	protected boolean preduzeceBool = PREDUZECE_BOOL_EDEFAULT;

	/**
	 * The cached value of the '{@link #getOrgJedinicaUnutrasnja() <em>Org Jedinica Unutrasnja</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrgJedinicaUnutrasnja()
	 * @generated
	 * @ordered
	 */

	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
		  @JoinColumn(name="SLUZBENA_OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OrgJedinicaImpl orgJedinicaUnutrasnja;

	/**
	 * The default value of the '{@link #getOrganKojemJeUpucenIzvjestaj() <em>Organ Kojem Je Upucen Izvjestaj</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrganKojemJeUpucenIzvjestaj()
	 * @generated
	 * @ordered
	 */
	protected static final String ORGAN_KOJEM_JE_UPUCEN_IZVJESTAJ_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOrganKojemJeUpucenIzvjestaj() <em>Organ Kojem Je Upucen Izvjestaj</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrganKojemJeUpucenIzvjestaj()
	 * @generated
	 * @ordered
	 */
	protected String organKojemJeUpucenIzvjestaj = ORGAN_KOJEM_JE_UPUCEN_IZVJESTAJ_EDEFAULT;

	/**
	 * The cached value of the '{@link #getSluzbenaOsoba() <em>Sluzbena Osoba</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSluzbenaOsoba()
	 * @generated
	 * @ordered
	 */

	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SLUZBENA_OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected SluzbenaOsobaImpl sluzbenaOsoba;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected PodneseniIzvjestajiOPocinjenomKrivicnomDjeluImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getPodneseniIzvjestajiOPocinjenomKrivicnomDjelu();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu() {
		return iDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu(long newIDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu) {
		long oldIDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu = iDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu;
		iDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu = newIDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ID_PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU, oldIDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu, iDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumPodnosenjaIzvjestaja() {
		return datumPodnosenjaIzvjestaja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumPodnosenjaIzvjestaja(Date newDatumPodnosenjaIzvjestaja) {
		Date oldDatumPodnosenjaIzvjestaja = datumPodnosenjaIzvjestaja;
		datumPodnosenjaIzvjestaja = newDatumPodnosenjaIzvjestaja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__DATUM_PODNOSENJA_IZVJESTAJA, oldDatumPodnosenjaIzvjestaja, datumPodnosenjaIzvjestaja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojKUa() {
		return brojKUa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojKUa(String newBrojKUa) {
		String oldBrojKUa = brojKUa;
		brojKUa = newBrojKUa;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__BROJ_KUA, oldBrojKUa, brojKUa));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<SudionikImpl> getSudionici() {
		if (sudionici == null) {
			sudionici = new ArrayList<SudionikImpl>();
		}
		return sudionici;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrganVlastiImpl getOrganVlasti() {
		if (organVlasti != null && organVlasti.eIsProxy()) {
			InternalEObject oldOrganVlasti = (InternalEObject)organVlasti;
			organVlasti = (OrganVlastiImpl)eResolveProxy(oldOrganVlasti);
			if (organVlasti != oldOrganVlasti) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ORGAN_VLASTI, oldOrganVlasti, organVlasti));
			}
		}
		return organVlasti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrganVlastiImpl basicGetOrganVlasti() {
		return organVlasti;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrganVlasti(OrganVlastiImpl newOrganVlasti) {
		OrganVlastiImpl oldOrganVlasti = organVlasti;
		organVlasti = newOrganVlasti;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ORGAN_VLASTI, oldOrganVlasti, organVlasti));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<SudionikImpl> getSudioniciPrijavljeni() {
		if (sudioniciPrijavljeni == null) {
			sudioniciPrijavljeni = new ArrayList<SudionikImpl>();
		}
		return sudioniciPrijavljeni;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPosljediceIzvrsenjaKDa() {
		return posljediceIzvrsenjaKDa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPosljediceIzvrsenjaKDa(String newPosljediceIzvrsenjaKDa) {
		String oldPosljediceIzvrsenjaKDa = posljediceIzvrsenjaKDa;
		posljediceIzvrsenjaKDa = newPosljediceIzvrsenjaKDa;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__POSLJEDICE_IZVRSENJA_KDA, oldPosljediceIzvrsenjaKDa, posljediceIzvrsenjaKDa));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<PreduzeceImpl> getPreduzece() {
		if (preduzece == null) {
			preduzece = new ArrayList<PreduzeceImpl>();
		}
		return preduzece;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isPreduzeceBool() {
		return preduzeceBool;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPreduzeceBool(boolean newPreduzeceBool) {
		boolean oldPreduzeceBool = preduzeceBool;
		preduzeceBool = newPreduzeceBool;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__PREDUZECE_BOOL, oldPreduzeceBool, preduzeceBool));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrgJedinicaImpl getOrgJedinicaUnutrasnja() {
		if (orgJedinicaUnutrasnja != null && orgJedinicaUnutrasnja.eIsProxy()) {
			InternalEObject oldOrgJedinicaUnutrasnja = (InternalEObject)orgJedinicaUnutrasnja;
			orgJedinicaUnutrasnja = (OrgJedinicaImpl)eResolveProxy(oldOrgJedinicaUnutrasnja);
			if (orgJedinicaUnutrasnja != oldOrgJedinicaUnutrasnja) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ORG_JEDINICA_UNUTRASNJA, oldOrgJedinicaUnutrasnja, orgJedinicaUnutrasnja));
			}
		}
		return orgJedinicaUnutrasnja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrgJedinicaImpl basicGetOrgJedinicaUnutrasnja() {
		return orgJedinicaUnutrasnja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrgJedinicaUnutrasnja(OrgJedinicaImpl newOrgJedinicaUnutrasnja) {
		OrgJedinicaImpl oldOrgJedinicaUnutrasnja = orgJedinicaUnutrasnja;
		orgJedinicaUnutrasnja = newOrgJedinicaUnutrasnja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ORG_JEDINICA_UNUTRASNJA, oldOrgJedinicaUnutrasnja, orgJedinicaUnutrasnja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOrganKojemJeUpucenIzvjestaj() {
		return organKojemJeUpucenIzvjestaj;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrganKojemJeUpucenIzvjestaj(String newOrganKojemJeUpucenIzvjestaj) {
		String oldOrganKojemJeUpucenIzvjestaj = organKojemJeUpucenIzvjestaj;
		organKojemJeUpucenIzvjestaj = newOrganKojemJeUpucenIzvjestaj;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ORGAN_KOJEM_JE_UPUCEN_IZVJESTAJ, oldOrganKojemJeUpucenIzvjestaj, organKojemJeUpucenIzvjestaj));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SluzbenaOsobaImpl getSluzbenaOsoba() {
		if (sluzbenaOsoba != null && sluzbenaOsoba.eIsProxy()) {
			InternalEObject oldSluzbenaOsoba = (InternalEObject)sluzbenaOsoba;
			sluzbenaOsoba = (SluzbenaOsobaImpl)eResolveProxy(oldSluzbenaOsoba);
			if (sluzbenaOsoba != oldSluzbenaOsoba) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__SLUZBENA_OSOBA, oldSluzbenaOsoba, sluzbenaOsoba));
			}
		}
		return sluzbenaOsoba;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SluzbenaOsobaImpl basicGetSluzbenaOsoba() {
		return sluzbenaOsoba;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSluzbenaOsoba(SluzbenaOsobaImpl newSluzbenaOsoba) {
		SluzbenaOsobaImpl oldSluzbenaOsoba = sluzbenaOsoba;
		sluzbenaOsoba = newSluzbenaOsoba;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__SLUZBENA_OSOBA, oldSluzbenaOsoba, sluzbenaOsoba));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ID_PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU:
				return getIDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu();
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__DATUM_PODNOSENJA_IZVJESTAJA:
				return getDatumPodnosenjaIzvjestaja();
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__BROJ_KUA:
				return getBrojKUa();
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__SUDIONICI:
				return getSudionici();
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ORGAN_VLASTI:
				if (resolve) return getOrganVlasti();
				return basicGetOrganVlasti();
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__SUDIONICI_PRIJAVLJENI:
				return getSudioniciPrijavljeni();
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__POSLJEDICE_IZVRSENJA_KDA:
				return getPosljediceIzvrsenjaKDa();
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__PREDUZECE:
				return getPreduzece();
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__PREDUZECE_BOOL:
				return isPreduzeceBool();
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ORG_JEDINICA_UNUTRASNJA:
				if (resolve) return getOrgJedinicaUnutrasnja();
				return basicGetOrgJedinicaUnutrasnja();
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ORGAN_KOJEM_JE_UPUCEN_IZVJESTAJ:
				return getOrganKojemJeUpucenIzvjestaj();
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__SLUZBENA_OSOBA:
				if (resolve) return getSluzbenaOsoba();
				return basicGetSluzbenaOsoba();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ID_PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU:
				setIDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu((Long)newValue);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__DATUM_PODNOSENJA_IZVJESTAJA:
				setDatumPodnosenjaIzvjestaja((Date)newValue);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__BROJ_KUA:
				setBrojKUa((String)newValue);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__SUDIONICI:
				getSudionici().clear();
				getSudionici().addAll((Collection<? extends SudionikImpl>)newValue);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ORGAN_VLASTI:
				setOrganVlasti((OrganVlastiImpl)newValue);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__SUDIONICI_PRIJAVLJENI:
				getSudioniciPrijavljeni().clear();
				getSudioniciPrijavljeni().addAll((Collection<? extends SudionikImpl>)newValue);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__POSLJEDICE_IZVRSENJA_KDA:
				setPosljediceIzvrsenjaKDa((String)newValue);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__PREDUZECE:
				getPreduzece().clear();
				getPreduzece().addAll((Collection<? extends PreduzeceImpl>)newValue);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__PREDUZECE_BOOL:
				setPreduzeceBool((Boolean)newValue);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ORG_JEDINICA_UNUTRASNJA:
				setOrgJedinicaUnutrasnja((OrgJedinicaImpl)newValue);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ORGAN_KOJEM_JE_UPUCEN_IZVJESTAJ:
				setOrganKojemJeUpucenIzvjestaj((String)newValue);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__SLUZBENA_OSOBA:
				setSluzbenaOsoba((SluzbenaOsobaImpl)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ID_PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU:
				setIDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu(ID_PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU_EDEFAULT);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__DATUM_PODNOSENJA_IZVJESTAJA:
				setDatumPodnosenjaIzvjestaja(DATUM_PODNOSENJA_IZVJESTAJA_EDEFAULT);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__BROJ_KUA:
				setBrojKUa(BROJ_KUA_EDEFAULT);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__SUDIONICI:
				getSudionici().clear();
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ORGAN_VLASTI:
				setOrganVlasti((OrganVlastiImpl)null);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__SUDIONICI_PRIJAVLJENI:
				getSudioniciPrijavljeni().clear();
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__POSLJEDICE_IZVRSENJA_KDA:
				setPosljediceIzvrsenjaKDa(POSLJEDICE_IZVRSENJA_KDA_EDEFAULT);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__PREDUZECE:
				getPreduzece().clear();
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__PREDUZECE_BOOL:
				setPreduzeceBool(PREDUZECE_BOOL_EDEFAULT);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ORG_JEDINICA_UNUTRASNJA:
				setOrgJedinicaUnutrasnja((OrgJedinicaImpl)null);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ORGAN_KOJEM_JE_UPUCEN_IZVJESTAJ:
				setOrganKojemJeUpucenIzvjestaj(ORGAN_KOJEM_JE_UPUCEN_IZVJESTAJ_EDEFAULT);
				return;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__SLUZBENA_OSOBA:
				setSluzbenaOsoba((SluzbenaOsobaImpl)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ID_PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU:
				return iDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu != ID_PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU_EDEFAULT;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__DATUM_PODNOSENJA_IZVJESTAJA:
				return DATUM_PODNOSENJA_IZVJESTAJA_EDEFAULT == null ? datumPodnosenjaIzvjestaja != null : !DATUM_PODNOSENJA_IZVJESTAJA_EDEFAULT.equals(datumPodnosenjaIzvjestaja);
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__BROJ_KUA:
				return BROJ_KUA_EDEFAULT == null ? brojKUa != null : !BROJ_KUA_EDEFAULT.equals(brojKUa);
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__SUDIONICI:
				return sudionici != null && !sudionici.isEmpty();
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ORGAN_VLASTI:
				return organVlasti != null;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__SUDIONICI_PRIJAVLJENI:
				return sudioniciPrijavljeni != null && !sudioniciPrijavljeni.isEmpty();
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__POSLJEDICE_IZVRSENJA_KDA:
				return POSLJEDICE_IZVRSENJA_KDA_EDEFAULT == null ? posljediceIzvrsenjaKDa != null : !POSLJEDICE_IZVRSENJA_KDA_EDEFAULT.equals(posljediceIzvrsenjaKDa);
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__PREDUZECE:
				return preduzece != null && !preduzece.isEmpty();
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__PREDUZECE_BOOL:
				return preduzeceBool != PREDUZECE_BOOL_EDEFAULT;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ORG_JEDINICA_UNUTRASNJA:
				return orgJedinicaUnutrasnja != null;
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__ORGAN_KOJEM_JE_UPUCEN_IZVJESTAJ:
				return ORGAN_KOJEM_JE_UPUCEN_IZVJESTAJ_EDEFAULT == null ? organKojemJeUpucenIzvjestaj != null : !ORGAN_KOJEM_JE_UPUCEN_IZVJESTAJ_EDEFAULT.equals(organKojemJeUpucenIzvjestaj);
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU__SLUZBENA_OSOBA:
				return sluzbenaOsoba != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu: ");
		result.append(iDPodneseniIzvjestajiOPocinjenomKrivicnomDjelu);
		result.append(", datumPodnosenjaIzvjestaja: ");
		result.append(datumPodnosenjaIzvjestaja);
		result.append(", brojKUa: ");
		result.append(brojKUa);
		result.append(", posljediceIzvrsenjaKDa: ");
		result.append(posljediceIzvrsenjaKDa);
		result.append(", preduzeceBool: ");
		result.append(preduzeceBool);
		result.append(", organKojemJeUpucenIzvjestaj: ");
		result.append(organKojemJeUpucenIzvjestaj);
		result.append(')');
		return result.toString();
	}

} //PodneseniIzvjestajiOPocinjenomKrivicnomDjeluImpl
