/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;
import org.eclipse.emf.ecore.util.InternalEList;

import pbdmodel.PbdmodelPackage;
import pbdmodel.PolicijskoPostupanje;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Policijsko Postupanje</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.PolicijskoPostupanjeImpl#getIDPostupanje <em>ID Postupanje</em>}</li>
 *   <li>{@link pbdmodel.impl.PolicijskoPostupanjeImpl#getOstaleMjere <em>Ostale Mjere</em>}</li>
 *   <li>{@link pbdmodel.impl.PolicijskoPostupanjeImpl#getNapomena <em>Napomena</em>}</li>
 *   <li>{@link pbdmodel.impl.PolicijskoPostupanjeImpl#getZakon <em>ZakonImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.PolicijskoPostupanjeImpl#getVrstaPostupanja <em>Vrsta Postupanja</em>}</li>
 *   <li>{@link pbdmodel.impl.PolicijskoPostupanjeImpl#getNacinPostupanja <em>Nacin Postupanja</em>}</li>
 *   <li>{@link pbdmodel.impl.PolicijskoPostupanjeImpl#getAdresa <em>AdresaImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.PolicijskoPostupanjeImpl#getSudionici <em>Sudionici</em>}</li>
 *   <li>{@link pbdmodel.impl.PolicijskoPostupanjeImpl#getSluzbenaOsoba <em>Sluzbena Osoba</em>}</li>
 *   <li>{@link pbdmodel.impl.PolicijskoPostupanjeImpl#getDogadjaj <em>DogadjajImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.PolicijskoPostupanjeImpl#getPostupak <em>PostupakImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.PolicijskoPostupanjeImpl#getAktivnost <em>AktivnostImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.PolicijskoPostupanjeImpl#getDokument <em>DokumentImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.PolicijskoPostupanjeImpl#getMjesto <em>MjestoImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.PolicijskoPostupanjeImpl#getVrijemeIzlaskaNaUvidjaj <em>Vrijeme Izlaska Na Uvidjaj</em>}</li>
 *   <li>{@link pbdmodel.impl.PolicijskoPostupanjeImpl#getVrijemePovratkaSaUvidjaja <em>Vrijeme Povratka Sa Uvidjaja</em>}</li>
 *   <li>{@link pbdmodel.impl.PolicijskoPostupanjeImpl#getOrganizacionaJedinica <em>Organizaciona Jedinica</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class PolicijskoPostupanjeImpl extends EObjectImpl implements PolicijskoPostupanje {
	/**
	 * The default value of the '{@link #getIDPostupanje() <em>ID Postupanje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDPostupanje()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_POSTUPANJE_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDPostupanje() <em>ID Postupanje</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDPostupanje()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long iDPostupanje = ID_POSTUPANJE_EDEFAULT;

	/**
	 * The default value of the '{@link #getOstaleMjere() <em>Ostale Mjere</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOstaleMjere()
	 * @generated
	 * @ordered
	 */
	protected static final String OSTALE_MJERE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOstaleMjere() <em>Ostale Mjere</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOstaleMjere()
	 * @generated
	 * @ordered
	 */
	protected String ostaleMjere = OSTALE_MJERE_EDEFAULT;

	/**
	 * The default value of the '{@link #getNapomena() <em>Napomena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNapomena()
	 * @generated
	 * @ordered
	 */
	protected static final String NAPOMENA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getNapomena() <em>Napomena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNapomena()
	 * @generated
	 * @ordered
	 */
	protected String napomena = NAPOMENA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getZakon() <em>ZakonImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getZakon()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ZAKON_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected ZakonImpl zakon;

	/**
	 * The cached value of the '{@link #getVrstaPostupanja() <em>Vrsta Postupanja</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaPostupanja()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_POSTUPANJA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected vrstaPostupanjaImpl vrstaPostupanjaImpl;

	/**
	 * The cached value of the '{@link #getNacinPostupanja() <em>Nacin Postupanja</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNacinPostupanja()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="NACIN_POSTUPANJA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected NacinPostupanjaImpl nacinPostupanja;

	/**
	 * The cached value of the '{@link #getAdresa() <em>AdresaImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getAdresa()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ADRESA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected AdresaImpl adresa;

	/**
	 * The cached value of the '{@link #getSudionici() <em>Sudionici</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSudionici()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SUDIONIK_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<SudionikImpl> sudionici;

	/**
	 * The cached value of the '{@link #getSluzbenaOsoba() <em>Sluzbena Osoba</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSluzbenaOsoba()
	 * @generated
	 * @ordered
	 */
//	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
//	  @JoinColumn(name="SLUZBENA_OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)
//	protected List<SluzbenaOsobaImpl> sluzbenaOsoba;

	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ZAPOSLENICI_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<ZaposleniciImpl> zaposlenici;
	/**
	 * The cached value of the '{@link #getDogadjaj() <em>DogadjajImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDogadjaj()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="DOGADJAJ_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected DogadjajImpl dogadjaj;

	/**
	 * The cached value of the '{@link #getPostupak() <em>PostupakImpl</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPostupak()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="POSTUPAK_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<PostupakImpl> postupak;

	/**
	 * The cached value of the '{@link #getAktivnost() <em>AktivnostImpl</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getAktivnost()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="AKTIVNOST_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<AktivnostImpl> aktivnost;

	/**
	 * The cached value of the '{@link #getDokument() <em>DokumentImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDokument()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="DOKUMENT_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected DokumentImpl dokument;

	/**
	 * The cached value of the '{@link #getMjesto() <em>MjestoImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjesto()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="MJESTO_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected MjestoImpl mjesto;

	/**
	 * The default value of the '{@link #getVrijemeIzlaskaNaUvidjaj() <em>Vrijeme Izlaska Na Uvidjaj</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeIzlaskaNaUvidjaj()
	 * @generated
	 * @ordered
	 */
	protected static final Date VRIJEME_IZLASKA_NA_UVIDJAJ_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVrijemeIzlaskaNaUvidjaj() <em>Vrijeme Izlaska Na Uvidjaj</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeIzlaskaNaUvidjaj()
	 * @generated
	 * @ordered
	 */
	protected Date vrijemeIzlaskaNaUvidjaj = VRIJEME_IZLASKA_NA_UVIDJAJ_EDEFAULT;

	/**
	 * The default value of the '{@link #getVrijemePovratkaSaUvidjaja() <em>Vrijeme Povratka Sa Uvidjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemePovratkaSaUvidjaja()
	 * @generated
	 * @ordered
	 */
	protected static final Date VRIJEME_POVRATKA_SA_UVIDJAJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVrijemePovratkaSaUvidjaja() <em>Vrijeme Povratka Sa Uvidjaja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemePovratkaSaUvidjaja()
	 * @generated
	 * @ordered
	 */
	protected Date vrijemePovratkaSaUvidjaja = VRIJEME_POVRATKA_SA_UVIDJAJA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getOrganizacionaJedinica() <em>Organizaciona Jedinica</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrganizacionaJedinica()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SLUZBENA_OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected OrgJedinicaImpl organizacionaJedinica;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PolicijskoPostupanjeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getPolicijskoPostupanje();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDPostupanje() {
		return iDPostupanje;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDPostupanje(long newIDPostupanje) {
		long oldIDPostupanje = iDPostupanje;
		iDPostupanje = newIDPostupanje;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.POLICIJSKO_POSTUPANJE__ID_POSTUPANJE, oldIDPostupanje, iDPostupanje));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOstaleMjere() {
		return ostaleMjere;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOstaleMjere(String newOstaleMjere) {
		String oldOstaleMjere = ostaleMjere;
		ostaleMjere = newOstaleMjere;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.POLICIJSKO_POSTUPANJE__OSTALE_MJERE, oldOstaleMjere, ostaleMjere));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getNapomena() {
		return napomena;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNapomena(String newNapomena) {
		String oldNapomena = napomena;
		napomena = newNapomena;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.POLICIJSKO_POSTUPANJE__NAPOMENA, oldNapomena, napomena));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ZakonImpl getZakon() {
		if (zakon != null && zakon.eIsProxy()) {
			InternalEObject oldZakon = (InternalEObject)zakon;
			zakon = (ZakonImpl)eResolveProxy(oldZakon);
			if (zakon != oldZakon) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.POLICIJSKO_POSTUPANJE__ZAKON, oldZakon, zakon));
			}
		}
		return zakon;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ZakonImpl basicGetZakon() {
		return zakon;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setZakon(ZakonImpl newZakon) {
		ZakonImpl oldZakon = zakon;
		zakon = newZakon;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.POLICIJSKO_POSTUPANJE__ZAKON, oldZakon, zakon));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public vrstaPostupanjaImpl getVrstaPostupanja() {
		if (vrstaPostupanjaImpl != null && vrstaPostupanjaImpl.eIsProxy()) {
			InternalEObject oldVrstaPostupanja = (InternalEObject)vrstaPostupanjaImpl;
			vrstaPostupanjaImpl = (vrstaPostupanjaImpl)eResolveProxy(oldVrstaPostupanja);
			if (vrstaPostupanjaImpl != oldVrstaPostupanja) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.POLICIJSKO_POSTUPANJE__VRSTA_POSTUPANJA, oldVrstaPostupanja, vrstaPostupanjaImpl));
			}
		}
		return vrstaPostupanjaImpl;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public vrstaPostupanjaImpl basicGetVrstaPostupanja() {
		return vrstaPostupanjaImpl;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaPostupanja(vrstaPostupanjaImpl newVrstaPostupanja) {
		vrstaPostupanjaImpl oldVrstaPostupanja = vrstaPostupanjaImpl;
		vrstaPostupanjaImpl = newVrstaPostupanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.POLICIJSKO_POSTUPANJE__VRSTA_POSTUPANJA, oldVrstaPostupanja, vrstaPostupanjaImpl));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NacinPostupanjaImpl getNacinPostupanja() {
		if (nacinPostupanja != null && nacinPostupanja.eIsProxy()) {
			InternalEObject oldNacinPostupanja = (InternalEObject)nacinPostupanja;
			nacinPostupanja = (NacinPostupanjaImpl)eResolveProxy(oldNacinPostupanja);
			if (nacinPostupanja != oldNacinPostupanja) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.POLICIJSKO_POSTUPANJE__NACIN_POSTUPANJA, oldNacinPostupanja, nacinPostupanja));
			}
		}
		return nacinPostupanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NacinPostupanjaImpl basicGetNacinPostupanja() {
		return nacinPostupanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNacinPostupanja(NacinPostupanjaImpl newNacinPostupanja) {
		NacinPostupanjaImpl oldNacinPostupanja = nacinPostupanja;
		nacinPostupanja = newNacinPostupanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.POLICIJSKO_POSTUPANJE__NACIN_POSTUPANJA, oldNacinPostupanja, nacinPostupanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdresaImpl getAdresa() {
		if (adresa != null && adresa.eIsProxy()) {
			InternalEObject oldAdresa = (InternalEObject)adresa;
			adresa = (AdresaImpl)eResolveProxy(oldAdresa);
			if (adresa != oldAdresa) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.POLICIJSKO_POSTUPANJE__ADRESA, oldAdresa, adresa));
			}
		}
		return adresa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdresaImpl basicGetAdresa() {
		return adresa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setAdresa(AdresaImpl newAdresa) {
		AdresaImpl oldAdresa = adresa;
		adresa = newAdresa;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.POLICIJSKO_POSTUPANJE__ADRESA, oldAdresa, adresa));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<SudionikImpl> getSudionici() {
		if (sudionici == null) {
			sudionici = new ArrayList<SudionikImpl>();
		}
		return sudionici;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
//	public List<SluzbenaOsobaImpl> getSluzbenaOsoba() {
//		if (sluzbenaOsoba == null) {
//			sluzbenaOsoba = new ArrayList<SluzbenaOsobaImpl>();
//		}
//		return sluzbenaOsoba;
//	}
	
	public List<ZaposleniciImpl> getZaposlenici() {
		if (zaposlenici == null) {
			zaposlenici = new ArrayList<ZaposleniciImpl>();
		}
		return zaposlenici;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DogadjajImpl getDogadjaj() {
		if (dogadjaj != null && dogadjaj.eIsProxy()) {
			InternalEObject oldDogadjaj = (InternalEObject)dogadjaj;
			dogadjaj = (DogadjajImpl)eResolveProxy(oldDogadjaj);
			if (dogadjaj != oldDogadjaj) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.POLICIJSKO_POSTUPANJE__DOGADJAJ, oldDogadjaj, dogadjaj));
			}
		}
		return dogadjaj;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DogadjajImpl basicGetDogadjaj() {
		return dogadjaj;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDogadjaj(DogadjajImpl newDogadjaj) {
		DogadjajImpl oldDogadjaj = dogadjaj;
		dogadjaj = newDogadjaj;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.POLICIJSKO_POSTUPANJE__DOGADJAJ, oldDogadjaj, dogadjaj));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<PostupakImpl> getPostupak() {
		if (postupak == null) {
			postupak = new ArrayList<PostupakImpl>();
		}
		return postupak;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<AktivnostImpl> getAktivnost() {
		if (aktivnost == null) {
			aktivnost = new ArrayList<AktivnostImpl>();
		}
		return aktivnost;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DokumentImpl getDokument() {
		if (dokument != null && dokument.eIsProxy()) {
			InternalEObject oldDokument = (InternalEObject)dokument;
			dokument = (DokumentImpl)eResolveProxy(oldDokument);
			if (dokument != oldDokument) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.POLICIJSKO_POSTUPANJE__DOKUMENT, oldDokument, dokument));
			}
		}
		return dokument;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DokumentImpl basicGetDokument() {
		return dokument;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDokument(DokumentImpl newDokument) {
		DokumentImpl oldDokument = dokument;
		dokument = newDokument;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.POLICIJSKO_POSTUPANJE__DOKUMENT, oldDokument, dokument));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MjestoImpl getMjesto() {
		if (mjesto != null && mjesto.eIsProxy()) {
			InternalEObject oldMjesto = (InternalEObject)mjesto;
			mjesto = (MjestoImpl)eResolveProxy(oldMjesto);
			if (mjesto != oldMjesto) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.POLICIJSKO_POSTUPANJE__MJESTO, oldMjesto, mjesto));
			}
		}
		return mjesto;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MjestoImpl basicGetMjesto() {
		return mjesto;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMjesto(MjestoImpl newMjesto) {
		MjestoImpl oldMjesto = mjesto;
		mjesto = newMjesto;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.POLICIJSKO_POSTUPANJE__MJESTO, oldMjesto, mjesto));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getVrijemeIzlaskaNaUvidjaj() {
		return vrijemeIzlaskaNaUvidjaj;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrijemeIzlaskaNaUvidjaj(Date newVrijemeIzlaskaNaUvidjaj) {
		Date oldVrijemeIzlaskaNaUvidjaj = vrijemeIzlaskaNaUvidjaj;
		vrijemeIzlaskaNaUvidjaj = newVrijemeIzlaskaNaUvidjaj;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.POLICIJSKO_POSTUPANJE__VRIJEME_IZLASKA_NA_UVIDJAJ, oldVrijemeIzlaskaNaUvidjaj, vrijemeIzlaskaNaUvidjaj));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getVrijemePovratkaSaUvidjaja() {
		return vrijemePovratkaSaUvidjaja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrijemePovratkaSaUvidjaja(Date newVrijemePovratkaSaUvidjaja) {
		Date oldVrijemePovratkaSaUvidjaja = vrijemePovratkaSaUvidjaja;
		vrijemePovratkaSaUvidjaja = newVrijemePovratkaSaUvidjaja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.POLICIJSKO_POSTUPANJE__VRIJEME_POVRATKA_SA_UVIDJAJA, oldVrijemePovratkaSaUvidjaja, vrijemePovratkaSaUvidjaja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrgJedinicaImpl getOrganizacionaJedinica() {
		if (organizacionaJedinica != null && organizacionaJedinica.eIsProxy()) {
			InternalEObject oldOrganizacionaJedinica = (InternalEObject)organizacionaJedinica;
			organizacionaJedinica = (OrgJedinicaImpl)eResolveProxy(oldOrganizacionaJedinica);
			if (organizacionaJedinica != oldOrganizacionaJedinica) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.POLICIJSKO_POSTUPANJE__ORGANIZACIONA_JEDINICA, oldOrganizacionaJedinica, organizacionaJedinica));
			}
		}
		return organizacionaJedinica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrgJedinicaImpl basicGetOrganizacionaJedinica() {
		return organizacionaJedinica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrganizacionaJedinica(OrgJedinicaImpl newOrganizacionaJedinica) {
		OrgJedinicaImpl oldOrganizacionaJedinica = organizacionaJedinica;
		organizacionaJedinica = newOrganizacionaJedinica;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.POLICIJSKO_POSTUPANJE__ORGANIZACIONA_JEDINICA, oldOrganizacionaJedinica, organizacionaJedinica));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__AKTIVNOST:
				return ((InternalEList<InternalEObject>)(InternalEList<?>)getAktivnost()).basicAdd(otherEnd, msgs);
		}
		return super.eInverseAdd(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__AKTIVNOST:
				return ((InternalEList<?>)getAktivnost()).basicRemove(otherEnd, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__ID_POSTUPANJE:
				return getIDPostupanje();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__OSTALE_MJERE:
				return getOstaleMjere();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__NAPOMENA:
				return getNapomena();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__ZAKON:
				if (resolve) return getZakon();
				return basicGetZakon();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__VRSTA_POSTUPANJA:
				if (resolve) return getVrstaPostupanja();
				return basicGetVrstaPostupanja();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__NACIN_POSTUPANJA:
				if (resolve) return getNacinPostupanja();
				return basicGetNacinPostupanja();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__ADRESA:
				if (resolve) return getAdresa();
				return basicGetAdresa();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__SUDIONICI:
				return getSudionici();
//			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__SLUZBENA_OSOBA:
//				return getSluzbenaOsoba();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__DOGADJAJ:
				if (resolve) return getDogadjaj();
				return basicGetDogadjaj();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__POSTUPAK:
				return getPostupak();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__AKTIVNOST:
				return getAktivnost();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__DOKUMENT:
				if (resolve) return getDokument();
				return basicGetDokument();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__MJESTO:
				if (resolve) return getMjesto();
				return basicGetMjesto();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__VRIJEME_IZLASKA_NA_UVIDJAJ:
				return getVrijemeIzlaskaNaUvidjaj();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__VRIJEME_POVRATKA_SA_UVIDJAJA:
				return getVrijemePovratkaSaUvidjaja();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__ORGANIZACIONA_JEDINICA:
				if (resolve) return getOrganizacionaJedinica();
				return basicGetOrganizacionaJedinica();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__ID_POSTUPANJE:
				setIDPostupanje((Long)newValue);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__OSTALE_MJERE:
				setOstaleMjere((String)newValue);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__NAPOMENA:
				setNapomena((String)newValue);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__ZAKON:
				setZakon((ZakonImpl)newValue);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__VRSTA_POSTUPANJA:
				setVrstaPostupanja((vrstaPostupanjaImpl)newValue);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__NACIN_POSTUPANJA:
				setNacinPostupanja((NacinPostupanjaImpl)newValue);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__ADRESA:
				setAdresa((AdresaImpl)newValue);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__SUDIONICI:
				getSudionici().clear();
				getSudionici().addAll((Collection<? extends SudionikImpl>)newValue);
				return;
//			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__SLUZBENA_OSOBA:
//				getSluzbenaOsoba().clear();
//				getSluzbenaOsoba().addAll((Collection<? extends SluzbenaOsobaImpl>)newValue);
//				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__DOGADJAJ:
				setDogadjaj((DogadjajImpl)newValue);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__POSTUPAK:
				getPostupak().clear();
				getPostupak().addAll((Collection<? extends PostupakImpl>)newValue);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__AKTIVNOST:
				getAktivnost().clear();
				getAktivnost().addAll((Collection<? extends AktivnostImpl>)newValue);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__DOKUMENT:
				setDokument((DokumentImpl)newValue);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__MJESTO:
				setMjesto((MjestoImpl)newValue);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__VRIJEME_IZLASKA_NA_UVIDJAJ:
				setVrijemeIzlaskaNaUvidjaj((Date)newValue);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__VRIJEME_POVRATKA_SA_UVIDJAJA:
				setVrijemePovratkaSaUvidjaja((Date)newValue);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__ORGANIZACIONA_JEDINICA:
				setOrganizacionaJedinica((OrgJedinicaImpl)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__ID_POSTUPANJE:
				setIDPostupanje(ID_POSTUPANJE_EDEFAULT);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__OSTALE_MJERE:
				setOstaleMjere(OSTALE_MJERE_EDEFAULT);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__NAPOMENA:
				setNapomena(NAPOMENA_EDEFAULT);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__ZAKON:
				setZakon((ZakonImpl)null);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__VRSTA_POSTUPANJA:
				setVrstaPostupanja((vrstaPostupanjaImpl)null);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__NACIN_POSTUPANJA:
				setNacinPostupanja((NacinPostupanjaImpl)null);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__ADRESA:
				setAdresa((AdresaImpl)null);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__SUDIONICI:
				getSudionici().clear();
				return;
//			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__SLUZBENA_OSOBA:
//				getSluzbenaOsoba().clear();
//				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__DOGADJAJ:
				setDogadjaj((DogadjajImpl)null);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__POSTUPAK:
				getPostupak().clear();
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__AKTIVNOST:
				getAktivnost().clear();
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__DOKUMENT:
				setDokument((DokumentImpl)null);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__MJESTO:
				setMjesto((MjestoImpl)null);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__VRIJEME_IZLASKA_NA_UVIDJAJ:
				setVrijemeIzlaskaNaUvidjaj(VRIJEME_IZLASKA_NA_UVIDJAJ_EDEFAULT);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__VRIJEME_POVRATKA_SA_UVIDJAJA:
				setVrijemePovratkaSaUvidjaja(VRIJEME_POVRATKA_SA_UVIDJAJA_EDEFAULT);
				return;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__ORGANIZACIONA_JEDINICA:
				setOrganizacionaJedinica((OrgJedinicaImpl)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__ID_POSTUPANJE:
				return iDPostupanje != ID_POSTUPANJE_EDEFAULT;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__OSTALE_MJERE:
				return OSTALE_MJERE_EDEFAULT == null ? ostaleMjere != null : !OSTALE_MJERE_EDEFAULT.equals(ostaleMjere);
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__NAPOMENA:
				return NAPOMENA_EDEFAULT == null ? napomena != null : !NAPOMENA_EDEFAULT.equals(napomena);
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__ZAKON:
				return zakon != null;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__VRSTA_POSTUPANJA:
				return vrstaPostupanjaImpl != null;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__NACIN_POSTUPANJA:
				return nacinPostupanja != null;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__ADRESA:
				return adresa != null;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__SUDIONICI:
				return sudionici != null && !sudionici.isEmpty();
//			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__SLUZBENA_OSOBA:
//				return sluzbenaOsoba != null && !sluzbenaOsoba.isEmpty();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__DOGADJAJ:
				return dogadjaj != null;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__POSTUPAK:
				return postupak != null && !postupak.isEmpty();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__AKTIVNOST:
				return aktivnost != null && !aktivnost.isEmpty();
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__DOKUMENT:
				return dokument != null;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__MJESTO:
				return mjesto != null;
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__VRIJEME_IZLASKA_NA_UVIDJAJ:
				return VRIJEME_IZLASKA_NA_UVIDJAJ_EDEFAULT == null ? vrijemeIzlaskaNaUvidjaj != null : !VRIJEME_IZLASKA_NA_UVIDJAJ_EDEFAULT.equals(vrijemeIzlaskaNaUvidjaj);
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__VRIJEME_POVRATKA_SA_UVIDJAJA:
				return VRIJEME_POVRATKA_SA_UVIDJAJA_EDEFAULT == null ? vrijemePovratkaSaUvidjaja != null : !VRIJEME_POVRATKA_SA_UVIDJAJA_EDEFAULT.equals(vrijemePovratkaSaUvidjaja);
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE__ORGANIZACIONA_JEDINICA:
				return organizacionaJedinica != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDPostupanje: ");
		result.append(iDPostupanje);
		result.append(", ostaleMjere: ");
		result.append(ostaleMjere);
		result.append(", napomena: ");
		result.append(napomena);
		result.append(", vrijemeIzlaskaNaUvidjaj: ");
		result.append(vrijemeIzlaskaNaUvidjaj);
		result.append(", VrijemePovratkaSaUvidjaja: ");
		result.append(vrijemePovratkaSaUvidjaja);
		result.append(')');
		return result.toString();
	}

} //PolicijskoPostupanjeImpl
