/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import pbdmodel.PbdmodelPackage;
import pbdmodel.PrituzbaGradjana;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Prituzba Gradjana</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getIDPrituzbaGradjana <em>ID Prituzba Gradjana</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getKratakSadrzajPredstavkeIZalbe <em>Kratak Sadrzaj Predstavke IZalbe</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getDatumPokretanjaInternogPostupka <em>Datum Pokretanja Internog Postupka</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getDatumZavrsetkaInternogPostupka <em>Datum Zavrsetka Internog Postupka</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getUtvrdjenaPovredaSluzbeneDuznosti <em>Utvrdjena Povreda Sluzbene Duznosti</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getUtvrdjenaDisciplinskaSankcija <em>Utvrdjena Disciplinska Sankcija</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getIznosKazne <em>Iznos Kazne</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getValuta <em>Valuta</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getTrajanjeUMjesecima <em>Trajanje UMjesecima</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getKazneniBodovi <em>Kazneni Bodovi</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getPravosnaznostDisciplinskeSankcijeIMjere <em>Pravosnaznost Disciplinske Sankcije IMjere</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getNapomena <em>Napomena</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getRezultatInternogPostupka <em>Rezultat Internog Postupka</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getPovredaPoZakonu <em>Povreda Po Zakonu</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getNazivPovredeSluzbeneDuznosti <em>Naziv Povrede Sluzbene Duznosti</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getStatusZalbe <em>Status Zalbe</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getOsoba <em>OsobaImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getSlOsoba <em>Sl OsobaImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getVrstaLica <em>Vrsta Lica</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getPravnoLice <em>Pravno Lice</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getSluzbenaOsobaInterno <em>Sluzbena OsobaImpl Interno</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getDokument <em>DokumentImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getImePredmetnogIzvrsitelja <em>Ime Predmetnog Izvrsitelja</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getBrojPredmeta <em>Broj Predmeta</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getSluzbenaOsobaKojaPodnosiZalbu <em>Sluzbena OsobaImpl Koja Podnosi Zalbu</em>}</li>
 *   <li>{@link pbdmodel.impl.PrituzbaGradjanaImpl#getSluzbenikProtivKogaJePodnesenaZalba <em>Sluzbenik Protiv Koga Je Podnesena Zalba</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class PrituzbaGradjanaImpl extends EObjectImpl implements PrituzbaGradjana {
	/**
	 * The default value of the '{@link #getIDPrituzbaGradjana() <em>ID Prituzba Gradjana</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDPrituzbaGradjana()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_PRITUZBA_GRADJANA_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDPrituzbaGradjana() <em>ID Prituzba Gradjana</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDPrituzbaGradjana()
	 * @generated
	 * @ordered
	 */
	@Id
	@GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long iDPrituzbaGradjana = ID_PRITUZBA_GRADJANA_EDEFAULT;

	/**
	 * The default value of the '{@link #getKratakSadrzajPredstavkeIZalbe() <em>Kratak Sadrzaj Predstavke IZalbe</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKratakSadrzajPredstavkeIZalbe()
	 * @generated
	 * @ordered
	 */
	protected static final String KRATAK_SADRZAJ_PREDSTAVKE_IZALBE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getKratakSadrzajPredstavkeIZalbe() <em>Kratak Sadrzaj Predstavke IZalbe</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKratakSadrzajPredstavkeIZalbe()
	 * @generated
	 * @ordered
	 */
	protected String kratakSadrzajPredstavkeIZalbe = KRATAK_SADRZAJ_PREDSTAVKE_IZALBE_EDEFAULT;

	/**
	 * The default value of the '{@link #getNapomena() <em>Napomena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNapomena()
	 * @generated
	 * @ordered
	 */
	protected static final String NAPOMENA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getNapomena() <em>Napomena</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNapomena()
	 * @generated
	 * @ordered
	 */
	protected String napomena = NAPOMENA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getStatusZalbe() <em>Status Zalbe</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStatusZalbe()
	 * @generated
	 * @ordered
	 */
	 @OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="STATUS_ZALBE_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected StatusZalbeImpl statusZalbe;
	 
	 @OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="AKT_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected AktImpl akt;
	 
	 

	public AktImpl getAkt() {
		return akt;
	}

	public void setAkt(AktImpl akt) {
		this.akt = akt;
	}

	/**
	 * The cached value of the '{@link #getOsoba() <em>OsobaImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsoba()
	 * @generated
	 * @ordered
	 */
	 @OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected OsobaImpl osoba;

	 @OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="INTERNI_POSTUPAK_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<InterniPostupakImpl> interniPostupci;

	/**
	 * The cached value of the '{@link #getVrstaLica() <em>Vrsta Lica</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaLica()
	 * @generated
	 * @ordered
	 */
	 @OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_LICA", unique= true, nullable=true, insertable=true, updatable=true)
	protected VrstaLicaImpl vrstaLica;

	/**
	 * The cached value of the '{@link #getPravnoLice() <em>Pravno Lice</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPravnoLice()
	 * @generated
	 * @ordered
	 */
	 @OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PRAVNO_LICE_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected PravnoLiceImpl pravnoLice;

	/**
	 * The cached value of the '{@link #getDokument() <em>DokumentImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDokument()
	 * @generated
	 * @ordered
	 */
	 @OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="DOKUMENT_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected DokumentImpl dokument;
	 
//	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
//	@JoinColumn(name="SLUZBENA_OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)
//	protected List<SluzbenaOsobaImpl> sluzbenaOsobaInterno;
//	
//	public List<SluzbenaOsobaImpl> getSluzbenaOsobaInterno() {
//		if (sluzbenaOsobaInterno == null) {
//			sluzbenaOsobaInterno = new ArrayList<SluzbenaOsobaImpl>();
//		}
//		return sluzbenaOsobaInterno;
//	}
	
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	@JoinColumn(name="ZAPOSLENICI_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<ZaposleniciImpl> zaposleniciInterno;
	
	public List<ZaposleniciImpl> getZaposlenikInterno() {
		if (zaposleniciInterno == null) {
			zaposleniciInterno = new ArrayList<ZaposleniciImpl>();
		}
		return zaposleniciInterno;
	}
	
	 @OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PREZADUZENJE_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected PrezaduzenjeImpl prezaduzenje;

	public PrezaduzenjeImpl getPrezaduzenje() {
		return prezaduzenje;
	}

	public void setPrezaduzenje(PrezaduzenjeImpl prezaduzenje) {
		this.prezaduzenje = prezaduzenje;
	}

	/**
	 * The default value of the '{@link #getBrojPredmeta() <em>Broj Predmeta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojPredmeta()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_PREDMETA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojPredmeta() <em>Broj Predmeta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojPredmeta()
	 * @generated
	 * @ordered
	 */
	protected String brojPredmeta = BROJ_PREDMETA_EDEFAULT;
	/**
	 * The cached value of the '{@link #getSluzbenaOsobaKojaPodnosiZalbu() <em>Sluzbena OsobaImpl Koja Podnosi Zalbu</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSluzbenaOsobaKojaPodnosiZalbu()
	 * @generated
	 * @ordered
	 */
//	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
//	  @JoinColumn(name="SLUZBENA_OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)
//	protected SluzbenaOsobaImpl sluzbenaOsobaKojaPodnosiZalbu;
	
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ZAPOSLENICI_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected ZaposleniciImpl zaposlenikPodnosilacZalbe;

	public ZaposleniciImpl getZaposlenikPodnosilacZalbe() {
		return zaposlenikPodnosilacZalbe;
	}

	public void setZaposlenikPodnosilacZalbe(
			ZaposleniciImpl zaposlenikPodnosilacZalbe) {
		this.zaposlenikPodnosilacZalbe = zaposlenikPodnosilacZalbe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PrituzbaGradjanaImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getPrituzbaGradjana();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDPrituzbaGradjana() {
		return iDPrituzbaGradjana;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDPrituzbaGradjana(long newIDPrituzbaGradjana) {
		long oldIDPrituzbaGradjana = iDPrituzbaGradjana;
		iDPrituzbaGradjana = newIDPrituzbaGradjana;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PRITUZBA_GRADJANA__ID_PRITUZBA_GRADJANA, oldIDPrituzbaGradjana, iDPrituzbaGradjana));
	}
	
	public List<InterniPostupakImpl> getInterniPostupci() {
		if (interniPostupci == null) {
			interniPostupci = new ArrayList<InterniPostupakImpl>();
		}
		return interniPostupci;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getKratakSadrzajPredstavkeIZalbe() {
		return kratakSadrzajPredstavkeIZalbe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setKratakSadrzajPredstavkeIZalbe(String newKratakSadrzajPredstavkeIZalbe) {
		String oldKratakSadrzajPredstavkeIZalbe = kratakSadrzajPredstavkeIZalbe;
		kratakSadrzajPredstavkeIZalbe = newKratakSadrzajPredstavkeIZalbe;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PRITUZBA_GRADJANA__KRATAK_SADRZAJ_PREDSTAVKE_IZALBE, oldKratakSadrzajPredstavkeIZalbe, kratakSadrzajPredstavkeIZalbe));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getNapomena() {
		return napomena;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNapomena(String newNapomena) {
		String oldNapomena = napomena;
		napomena = newNapomena;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PRITUZBA_GRADJANA__NAPOMENA, oldNapomena, napomena));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StatusZalbeImpl getStatusZalbe() {
		if (statusZalbe != null && statusZalbe.eIsProxy()) {
			InternalEObject oldStatusZalbe = (InternalEObject)statusZalbe;
			statusZalbe = (StatusZalbeImpl)eResolveProxy(oldStatusZalbe);
			if (statusZalbe != oldStatusZalbe) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PRITUZBA_GRADJANA__STATUS_ZALBE, oldStatusZalbe, statusZalbe));
			}
		}
		return statusZalbe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StatusZalbeImpl basicGetStatusZalbe() {
		return statusZalbe;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setStatusZalbe(StatusZalbeImpl newStatusZalbe) {
		StatusZalbeImpl oldStatusZalbe = statusZalbe;
		statusZalbe = newStatusZalbe;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PRITUZBA_GRADJANA__STATUS_ZALBE, oldStatusZalbe, statusZalbe));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OsobaImpl getOsoba() {
		if (osoba != null && osoba.eIsProxy()) {
			InternalEObject oldOsoba = (InternalEObject)osoba;
			osoba = (OsobaImpl)eResolveProxy(oldOsoba);
			if (osoba != oldOsoba) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PRITUZBA_GRADJANA__OSOBA, oldOsoba, osoba));
			}
		}
		return osoba;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OsobaImpl basicGetOsoba() {
		return osoba;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOsoba(OsobaImpl newOsoba) {
		OsobaImpl oldOsoba = osoba;
		osoba = newOsoba;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PRITUZBA_GRADJANA__OSOBA, oldOsoba, osoba));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaLicaImpl getVrstaLica() {
		if (vrstaLica != null && vrstaLica.eIsProxy()) {
			InternalEObject oldVrstaLica = (InternalEObject)vrstaLica;
			vrstaLica = (VrstaLicaImpl)eResolveProxy(oldVrstaLica);
			if (vrstaLica != oldVrstaLica) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PRITUZBA_GRADJANA__VRSTA_LICA, oldVrstaLica, vrstaLica));
			}
		}
		return vrstaLica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaLicaImpl basicGetVrstaLica() {
		return vrstaLica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaLica(VrstaLicaImpl newVrstaLica) {
		VrstaLicaImpl oldVrstaLica = vrstaLica;
		vrstaLica = newVrstaLica;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PRITUZBA_GRADJANA__VRSTA_LICA, oldVrstaLica, vrstaLica));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PravnoLiceImpl getPravnoLice() {
		if (pravnoLice != null && pravnoLice.eIsProxy()) {
			InternalEObject oldPravnoLice = (InternalEObject)pravnoLice;
			pravnoLice = (PravnoLiceImpl)eResolveProxy(oldPravnoLice);
			if (pravnoLice != oldPravnoLice) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PRITUZBA_GRADJANA__PRAVNO_LICE, oldPravnoLice, pravnoLice));
			}
		}
		return pravnoLice;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PravnoLiceImpl basicGetPravnoLice() {
		return pravnoLice;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPravnoLice(PravnoLiceImpl newPravnoLice) {
		PravnoLiceImpl oldPravnoLice = pravnoLice;
		pravnoLice = newPravnoLice;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PRITUZBA_GRADJANA__PRAVNO_LICE, oldPravnoLice, pravnoLice));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DokumentImpl getDokument() {
		if (dokument != null && dokument.eIsProxy()) {
			InternalEObject oldDokument = (InternalEObject)dokument;
			dokument = (DokumentImpl)eResolveProxy(oldDokument);
			if (dokument != oldDokument) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PRITUZBA_GRADJANA__DOKUMENT, oldDokument, dokument));
			}
		}
		return dokument;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DokumentImpl basicGetDokument() {
		return dokument;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDokument(DokumentImpl newDokument) {
		DokumentImpl oldDokument = dokument;
		dokument = newDokument;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PRITUZBA_GRADJANA__DOKUMENT, oldDokument, dokument));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojPredmeta() {
		return brojPredmeta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojPredmeta(String newBrojPredmeta) {
		String oldBrojPredmeta = brojPredmeta;
		brojPredmeta = newBrojPredmeta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PRITUZBA_GRADJANA__BROJ_PREDMETA, oldBrojPredmeta, brojPredmeta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
//	public SluzbenaOsobaImpl getSluzbenaOsobaKojaPodnosiZalbu() {
//		if (sluzbenaOsobaKojaPodnosiZalbu != null && sluzbenaOsobaKojaPodnosiZalbu.eIsProxy()) {
//			InternalEObject oldSluzbenaOsobaKojaPodnosiZalbu = (InternalEObject)sluzbenaOsobaKojaPodnosiZalbu;
//			sluzbenaOsobaKojaPodnosiZalbu = (SluzbenaOsobaImpl)eResolveProxy(oldSluzbenaOsobaKojaPodnosiZalbu);
//			if (sluzbenaOsobaKojaPodnosiZalbu != oldSluzbenaOsobaKojaPodnosiZalbu) {
//				if (eNotificationRequired())
//					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.PRITUZBA_GRADJANA__SLUZBENA_OSOBA_KOJA_PODNOSI_ZALBU, oldSluzbenaOsobaKojaPodnosiZalbu, sluzbenaOsobaKojaPodnosiZalbu));
//			}
//		}
//		return sluzbenaOsobaKojaPodnosiZalbu;
//	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
//	public SluzbenaOsobaImpl basicGetSluzbenaOsobaKojaPodnosiZalbu() {
//		return sluzbenaOsobaKojaPodnosiZalbu;
//	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
//	public void setSluzbenaOsobaKojaPodnosiZalbu(SluzbenaOsobaImpl newSluzbenaOsobaKojaPodnosiZalbu) {
//		SluzbenaOsobaImpl oldSluzbenaOsobaKojaPodnosiZalbu = sluzbenaOsobaKojaPodnosiZalbu;
//		sluzbenaOsobaKojaPodnosiZalbu = newSluzbenaOsobaKojaPodnosiZalbu;
//		if (eNotificationRequired())
//			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.PRITUZBA_GRADJANA__SLUZBENA_OSOBA_KOJA_PODNOSI_ZALBU, oldSluzbenaOsobaKojaPodnosiZalbu, sluzbenaOsobaKojaPodnosiZalbu));
//	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.PRITUZBA_GRADJANA__ID_PRITUZBA_GRADJANA:
				return getIDPrituzbaGradjana();
			case PbdmodelPackage.PRITUZBA_GRADJANA__KRATAK_SADRZAJ_PREDSTAVKE_IZALBE:
				return getKratakSadrzajPredstavkeIZalbe();
			case PbdmodelPackage.PRITUZBA_GRADJANA__NAPOMENA:
				return getNapomena();
			case PbdmodelPackage.PRITUZBA_GRADJANA__STATUS_ZALBE:
				if (resolve) return getStatusZalbe();
				return basicGetStatusZalbe();
			case PbdmodelPackage.PRITUZBA_GRADJANA__OSOBA:
				if (resolve) return getOsoba();
				return basicGetOsoba();
			case PbdmodelPackage.PRITUZBA_GRADJANA__VRSTA_LICA:
				if (resolve) return getVrstaLica();
				return basicGetVrstaLica();
			case PbdmodelPackage.PRITUZBA_GRADJANA__PRAVNO_LICE:
				if (resolve) return getPravnoLice();
				return basicGetPravnoLice();
			case PbdmodelPackage.PRITUZBA_GRADJANA__DOKUMENT:
				if (resolve) return getDokument();
				return basicGetDokument();
			case PbdmodelPackage.PRITUZBA_GRADJANA__BROJ_PREDMETA:
				return getBrojPredmeta();
//			case PbdmodelPackage.PRITUZBA_GRADJANA__SLUZBENA_OSOBA_KOJA_PODNOSI_ZALBU:
//				if (resolve) return getSluzbenaOsobaKojaPodnosiZalbu();
//				return basicGetSluzbenaOsobaKojaPodnosiZalbu();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.PRITUZBA_GRADJANA__ID_PRITUZBA_GRADJANA:
				setIDPrituzbaGradjana((Long)newValue);
				return;
			case PbdmodelPackage.PRITUZBA_GRADJANA__KRATAK_SADRZAJ_PREDSTAVKE_IZALBE:
				setKratakSadrzajPredstavkeIZalbe((String)newValue);
				return;
			case PbdmodelPackage.PRITUZBA_GRADJANA__NAPOMENA:
				setNapomena((String)newValue);
				return;
			case PbdmodelPackage.PRITUZBA_GRADJANA__STATUS_ZALBE:
				setStatusZalbe((StatusZalbeImpl)newValue);
				return;
			case PbdmodelPackage.PRITUZBA_GRADJANA__OSOBA:
				setOsoba((OsobaImpl)newValue);
				return;
			case PbdmodelPackage.PRITUZBA_GRADJANA__VRSTA_LICA:
				setVrstaLica((VrstaLicaImpl)newValue);
				return;
			case PbdmodelPackage.PRITUZBA_GRADJANA__PRAVNO_LICE:
				setPravnoLice((PravnoLiceImpl)newValue);
				return;
			case PbdmodelPackage.PRITUZBA_GRADJANA__DOKUMENT:
				setDokument((DokumentImpl)newValue);
				return;
			case PbdmodelPackage.PRITUZBA_GRADJANA__BROJ_PREDMETA:
				setBrojPredmeta((String)newValue);
				return;
//			case PbdmodelPackage.PRITUZBA_GRADJANA__SLUZBENA_OSOBA_KOJA_PODNOSI_ZALBU:
//				setSluzbenaOsobaKojaPodnosiZalbu((SluzbenaOsobaImpl)newValue);
//				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.PRITUZBA_GRADJANA__ID_PRITUZBA_GRADJANA:
				setIDPrituzbaGradjana(ID_PRITUZBA_GRADJANA_EDEFAULT);
				return;
			case PbdmodelPackage.PRITUZBA_GRADJANA__KRATAK_SADRZAJ_PREDSTAVKE_IZALBE:
				setKratakSadrzajPredstavkeIZalbe(KRATAK_SADRZAJ_PREDSTAVKE_IZALBE_EDEFAULT);
				return;
			case PbdmodelPackage.PRITUZBA_GRADJANA__NAPOMENA:
				setNapomena(NAPOMENA_EDEFAULT);
				return;
			case PbdmodelPackage.PRITUZBA_GRADJANA__STATUS_ZALBE:
				setStatusZalbe((StatusZalbeImpl)null);
				return;
			case PbdmodelPackage.PRITUZBA_GRADJANA__OSOBA:
				setOsoba((OsobaImpl)null);
				return;
			case PbdmodelPackage.PRITUZBA_GRADJANA__VRSTA_LICA:
				setVrstaLica((VrstaLicaImpl)null);
				return;
			case PbdmodelPackage.PRITUZBA_GRADJANA__PRAVNO_LICE:
				setPravnoLice((PravnoLiceImpl)null);
				return;
			case PbdmodelPackage.PRITUZBA_GRADJANA__DOKUMENT:
				setDokument((DokumentImpl)null);
				return;
			case PbdmodelPackage.PRITUZBA_GRADJANA__BROJ_PREDMETA:
				setBrojPredmeta(BROJ_PREDMETA_EDEFAULT);
				return;
//			case PbdmodelPackage.PRITUZBA_GRADJANA__SLUZBENA_OSOBA_KOJA_PODNOSI_ZALBU:
//				setSluzbenaOsobaKojaPodnosiZalbu((SluzbenaOsobaImpl)null);
//				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.PRITUZBA_GRADJANA__ID_PRITUZBA_GRADJANA:
				return iDPrituzbaGradjana != ID_PRITUZBA_GRADJANA_EDEFAULT;
			case PbdmodelPackage.PRITUZBA_GRADJANA__KRATAK_SADRZAJ_PREDSTAVKE_IZALBE:
				return KRATAK_SADRZAJ_PREDSTAVKE_IZALBE_EDEFAULT == null ? kratakSadrzajPredstavkeIZalbe != null : !KRATAK_SADRZAJ_PREDSTAVKE_IZALBE_EDEFAULT.equals(kratakSadrzajPredstavkeIZalbe);
			case PbdmodelPackage.PRITUZBA_GRADJANA__NAPOMENA:
				return NAPOMENA_EDEFAULT == null ? napomena != null : !NAPOMENA_EDEFAULT.equals(napomena);
			case PbdmodelPackage.PRITUZBA_GRADJANA__STATUS_ZALBE:
				return statusZalbe != null;
			case PbdmodelPackage.PRITUZBA_GRADJANA__OSOBA:
				return osoba != null;
			case PbdmodelPackage.PRITUZBA_GRADJANA__VRSTA_LICA:
				return vrstaLica != null;
			case PbdmodelPackage.PRITUZBA_GRADJANA__PRAVNO_LICE:
				return pravnoLice != null;
			case PbdmodelPackage.PRITUZBA_GRADJANA__DOKUMENT:
				return dokument != null;
			case PbdmodelPackage.PRITUZBA_GRADJANA__BROJ_PREDMETA:
				return BROJ_PREDMETA_EDEFAULT == null ? brojPredmeta != null : !BROJ_PREDMETA_EDEFAULT.equals(brojPredmeta);
//			case PbdmodelPackage.PRITUZBA_GRADJANA__SLUZBENA_OSOBA_KOJA_PODNOSI_ZALBU:
//				return sluzbenaOsobaKojaPodnosiZalbu != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDPrituzbaGradjana: ");
		result.append(iDPrituzbaGradjana);
		result.append(", kratakSadrzajPredstavkeIZalbe: ");
		result.append(kratakSadrzajPredstavkeIZalbe);
		result.append(", napomena: ");
		result.append(napomena);
		result.append(", brojPredmeta: ");
		result.append(brojPredmeta);
		result.append(')');
		return result.toString();
	}

} //PrituzbaGradjanaImpl
