/**
 */
package pbdmodel.impl;

import java.util.Date;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Sluzbena Zabiljeska OPrijemu Usmene Prijave Putem Telefona Obrazac</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl#getId <em>Id</em>}</li>
 *   <li>{@link pbdmodel.impl.SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl#getDatumPrijave <em>Datum Prijave</em>}</li>
 *   <li>{@link pbdmodel.impl.SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl#getVrijemePrijave <em>Vrijeme Prijave</em>}</li>
 *   <li>{@link pbdmodel.impl.SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl#getKrivicnoDjeloString <em>Krivicno Djelo String</em>}</li>
 *   <li>{@link pbdmodel.impl.SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl#getClanKrivicnogDjela <em>Clan Krivicnog Djela</em>}</li>
 *   <li>{@link pbdmodel.impl.SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl#getStavKricisnogDjela <em>Stav Kricisnog Djela</em>}</li>
 *   <li>{@link pbdmodel.impl.SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl#getTackaKrivicnogDjela <em>Tacka Krivicnog Djela</em>}</li>
 *   <li>{@link pbdmodel.impl.SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl#getBrojTelefona <em>Broj Telefona</em>}</li>
 *   <li>{@link pbdmodel.impl.SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl#getKontaktTelefon <em>Kontakt Telefon</em>}</li>
 *   <li>{@link pbdmodel.impl.SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl#getOpisDjela <em>Opis Djela</em>}</li>
 *   <li>{@link pbdmodel.impl.SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl#getSteta <em>Steta</em>}</li>
 *   <li>{@link pbdmodel.impl.SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl#getPrijavljeneISumnjiveOsobe <em>Prijavljene ISumnjive Osobe</em>}</li>
 *   <li>{@link pbdmodel.impl.SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl#getObavjesten <em>Obavjesten</em>}</li>
 *   <li>{@link pbdmodel.impl.SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl#getTuziteljstvo <em>Tuziteljstvo</em>}</li>
 *   <li>{@link pbdmodel.impl.SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl#getImeIPrezimeTuzioca <em>Ime IPrezime Tuzioca</em>}</li>
 *   <li>{@link pbdmodel.impl.SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl#getSluzbenik <em>Sluzbenik</em>}</li>
 *   <li>{@link pbdmodel.impl.SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl#getPrijavitelj <em>Prijavitelj</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl extends ObrasciImpl {
	/**
	 * The default value of the '{@link #getId() <em>Id</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getId()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getId() <em>Id</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getId()
	 * @generated
	 * @ordered
	 */
	@GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long id = ID_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumPrijave() <em>Datum Prijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumPrijave()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_PRIJAVE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumPrijave() <em>Datum Prijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumPrijave()
	 * @generated
	 * @ordered
	 */
	protected Date datumPrijave = DATUM_PRIJAVE_EDEFAULT;

	/**
	 * The default value of the '{@link #getVrijemePrijave() <em>Vrijeme Prijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemePrijave()
	 * @generated
	 * @ordered
	 */
	protected static final Date VRIJEME_PRIJAVE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVrijemePrijave() <em>Vrijeme Prijave</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemePrijave()
	 * @generated
	 * @ordered
	 */
	protected Date vrijemePrijave = VRIJEME_PRIJAVE_EDEFAULT;

	/**
	 * The default value of the '{@link #getKrivicnoDjeloString() <em>Krivicno Djelo String</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKrivicnoDjeloString()
	 * @generated
	 * @ordered
	 */
	protected static final String KRIVICNO_DJELO_STRING_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getKrivicnoDjeloString() <em>Krivicno Djelo String</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKrivicnoDjeloString()
	 * @generated
	 * @ordered
	 */
	protected String krivicnoDjeloString = KRIVICNO_DJELO_STRING_EDEFAULT;

	/**
	 * The default value of the '{@link #getClanKrivicnogDjela() <em>Clan Krivicnog Djela</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClanKrivicnogDjela()
	 * @generated
	 * @ordered
	 */
	protected static final String CLAN_KRIVICNOG_DJELA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getClanKrivicnogDjela() <em>Clan Krivicnog Djela</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClanKrivicnogDjela()
	 * @generated
	 * @ordered
	 */
	protected String clanKrivicnogDjela = CLAN_KRIVICNOG_DJELA_EDEFAULT;

	/**
	 * The default value of the '{@link #getStavKricisnogDjela() <em>Stav Kricisnog Djela</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStavKricisnogDjela()
	 * @generated
	 * @ordered
	 */
	protected static final String STAV_KRICISNOG_DJELA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getStavKricisnogDjela() <em>Stav Kricisnog Djela</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStavKricisnogDjela()
	 * @generated
	 * @ordered
	 */
	protected String stavKricisnogDjela = STAV_KRICISNOG_DJELA_EDEFAULT;

	/**
	 * The default value of the '{@link #getTackaKrivicnogDjela() <em>Tacka Krivicnog Djela</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTackaKrivicnogDjela()
	 * @generated
	 * @ordered
	 */
	protected static final String TACKA_KRIVICNOG_DJELA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getTackaKrivicnogDjela() <em>Tacka Krivicnog Djela</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTackaKrivicnogDjela()
	 * @generated
	 * @ordered
	 */
	protected String tackaKrivicnogDjela = TACKA_KRIVICNOG_DJELA_EDEFAULT;

	/**
	 * The default value of the '{@link #getBrojTelefona() <em>Broj Telefona</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojTelefona()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_TELEFONA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojTelefona() <em>Broj Telefona</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojTelefona()
	 * @generated
	 * @ordered
	 */
	protected String brojTelefona = BROJ_TELEFONA_EDEFAULT;

	/**
	 * The default value of the '{@link #getKontaktTelefon() <em>Kontakt Telefon</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKontaktTelefon()
	 * @generated
	 * @ordered
	 */
	protected static final String KONTAKT_TELEFON_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getKontaktTelefon() <em>Kontakt Telefon</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKontaktTelefon()
	 * @generated
	 * @ordered
	 */
	protected String kontaktTelefon = KONTAKT_TELEFON_EDEFAULT;

	/**
	 * The default value of the '{@link #getOpisDjela() <em>Opis Djela</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpisDjela()
	 * @generated
	 * @ordered
	 */
	protected static final String OPIS_DJELA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOpisDjela() <em>Opis Djela</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOpisDjela()
	 * @generated
	 * @ordered
	 */
	protected String opisDjela = OPIS_DJELA_EDEFAULT;

	/**
	 * The default value of the '{@link #getSteta() <em>Steta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSteta()
	 * @generated
	 * @ordered
	 */
	protected static final String STETA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getSteta() <em>Steta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSteta()
	 * @generated
	 * @ordered
	 */
	protected String steta = STETA_EDEFAULT;

	/**
	 * The default value of the '{@link #getPrijavljeneISumnjiveOsobe() <em>Prijavljene ISumnjive Osobe</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPrijavljeneISumnjiveOsobe()
	 * @generated
	 * @ordered
	 */
	protected static final String PRIJAVLJENE_ISUMNJIVE_OSOBE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPrijavljeneISumnjiveOsobe() <em>Prijavljene ISumnjive Osobe</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPrijavljeneISumnjiveOsobe()
	 * @generated
	 * @ordered
	 */
	protected String prijavljeneISumnjiveOsobe = PRIJAVLJENE_ISUMNJIVE_OSOBE_EDEFAULT;

	/**
	 * The default value of the '{@link #getObavjesten() <em>Obavjesten</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getObavjesten()
	 * @generated
	 * @ordered
	 */
	protected static final String OBAVJESTEN_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getObavjesten() <em>Obavjesten</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getObavjesten()
	 * @generated
	 * @ordered
	 */
	protected String obavjesten = OBAVJESTEN_EDEFAULT;

	/**
	 * The default value of the '{@link #getTuziteljstvo() <em>Tuziteljstvo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTuziteljstvo()
	 * @generated
	 * @ordered
	 */
	protected static final String TUZITELJSTVO_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getTuziteljstvo() <em>Tuziteljstvo</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTuziteljstvo()
	 * @generated
	 * @ordered
	 */
	protected String tuziteljstvo = TUZITELJSTVO_EDEFAULT;

	/**
	 * The default value of the '{@link #getImeIPrezimeTuzioca() <em>Ime IPrezime Tuzioca</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getImeIPrezimeTuzioca()
	 * @generated
	 * @ordered
	 */
	protected static final String IME_IPREZIME_TUZIOCA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getImeIPrezimeTuzioca() <em>Ime IPrezime Tuzioca</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getImeIPrezimeTuzioca()
	 * @generated
	 * @ordered
	 */
	protected String imeIPrezimeTuzioca = IME_IPREZIME_TUZIOCA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getSluzbenik() <em>Sluzbenik</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSluzbenik()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected ZaposleniciImpl sluzbenik;

	/**
	 * The cached value of the '{@link #getPrijavitelj() <em>Prijavitelj</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPrijavitelj()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected SudionikImpl prijavitelj;

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public Date getDatumPrijave() {
		return datumPrijave;
	}

	public void setDatumPrijave(Date datumPrijave) {
		this.datumPrijave = datumPrijave;
	}

	public Date getVrijemePrijave() {
		return vrijemePrijave;
	}

	public void setVrijemePrijave(Date vrijemePrijave) {
		this.vrijemePrijave = vrijemePrijave;
	}

	public String getKrivicnoDjeloString() {
		return krivicnoDjeloString;
	}

	public void setKrivicnoDjeloString(String krivicnoDjeloString) {
		this.krivicnoDjeloString = krivicnoDjeloString;
	}

	public String getClanKrivicnogDjela() {
		return clanKrivicnogDjela;
	}

	public void setClanKrivicnogDjela(String clanKrivicnogDjela) {
		this.clanKrivicnogDjela = clanKrivicnogDjela;
	}

	public String getStavKricisnogDjela() {
		return stavKricisnogDjela;
	}

	public void setStavKricisnogDjela(String stavKricisnogDjela) {
		this.stavKricisnogDjela = stavKricisnogDjela;
	}

	public String getTackaKrivicnogDjela() {
		return tackaKrivicnogDjela;
	}

	public void setTackaKrivicnogDjela(String tackaKrivicnogDjela) {
		this.tackaKrivicnogDjela = tackaKrivicnogDjela;
	}

	public String getBrojTelefona() {
		return brojTelefona;
	}

	public void setBrojTelefona(String brojTelefona) {
		this.brojTelefona = brojTelefona;
	}

	public String getKontaktTelefon() {
		return kontaktTelefon;
	}

	public void setKontaktTelefon(String kontaktTelefon) {
		this.kontaktTelefon = kontaktTelefon;
	}

	public String getOpisDjela() {
		return opisDjela;
	}

	public void setOpisDjela(String opisDjela) {
		this.opisDjela = opisDjela;
	}

	public String getSteta() {
		return steta;
	}

	public void setSteta(String steta) {
		this.steta = steta;
	}

	public String getPrijavljeneISumnjiveOsobe() {
		return prijavljeneISumnjiveOsobe;
	}

	public void setPrijavljeneISumnjiveOsobe(String prijavljeneISumnjiveOsobe) {
		this.prijavljeneISumnjiveOsobe = prijavljeneISumnjiveOsobe;
	}

	public String getObavjesten() {
		return obavjesten;
	}

	public void setObavjesten(String obavjesten) {
		this.obavjesten = obavjesten;
	}

	public String getTuziteljstvo() {
		return tuziteljstvo;
	}

	public void setTuziteljstvo(String tuziteljstvo) {
		this.tuziteljstvo = tuziteljstvo;
	}

	public String getImeIPrezimeTuzioca() {
		return imeIPrezimeTuzioca;
	}

	public void setImeIPrezimeTuzioca(String imeIPrezimeTuzioca) {
		this.imeIPrezimeTuzioca = imeIPrezimeTuzioca;
	}

	public ZaposleniciImpl getSluzbenik() {
		return sluzbenik;
	}

	public void setSluzbenik(ZaposleniciImpl sluzbenik) {
		this.sluzbenik = sluzbenik;
	}

	public SudionikImpl getPrijavitelj() {
		return prijavitelj;
	}

	public void setPrijavitelj(SudionikImpl prijavitelj) {
		this.prijavitelj = prijavitelj;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl() {
		super();
	}
} //SluzbenaZabiljeskaOPrijemuUsmenePrijavePutemTelefonaObrazacImpl
