/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.PbdmodelPackage;
import pbdmodel.ZahtjevZaNabavkuOruzja;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Zahtjev Za Nabavku Oruzja</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.ZahtjevZaNabavkuOruzjaImpl#getIDZahtjevZaNabavkuOruzja <em>ID Zahtjev Za Nabavku Oruzja</em>}</li>
 *   <li>{@link pbdmodel.impl.ZahtjevZaNabavkuOruzjaImpl#getPravnoLice <em>Pravno Lice</em>}</li>
 *   <li>{@link pbdmodel.impl.ZahtjevZaNabavkuOruzjaImpl#getOsoba <em>OsobaImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.ZahtjevZaNabavkuOruzjaImpl#getBrojIzdatogOdobrenja <em>Broj Izdatog Odobrenja</em>}</li>
 *   <li>{@link pbdmodel.impl.ZahtjevZaNabavkuOruzjaImpl#getKolicinaOdobrenogNaoruzanja <em>Kolicina Odobrenog Naoruzanja</em>}</li>
 *   <li>{@link pbdmodel.impl.ZahtjevZaNabavkuOruzjaImpl#isOdobrenaNabavkaOruzja <em>Odobrena Nabavka Oruzja</em>}</li>
 *   <li>{@link pbdmodel.impl.ZahtjevZaNabavkuOruzjaImpl#getDatumIzdatogOdobrenja <em>Datum Izdatog Odobrenja</em>}</li>
 *   <li>{@link pbdmodel.impl.ZahtjevZaNabavkuOruzjaImpl#getVrijemeIzdatogOdobrenja <em>Vrijeme Izdatog Odobrenja</em>}</li>
 *   <li>{@link pbdmodel.impl.ZahtjevZaNabavkuOruzjaImpl#getOruzja <em>Oruzja</em>}</li>
 *   <li>{@link pbdmodel.impl.ZahtjevZaNabavkuOruzjaImpl#getBrojRjesenja <em>Broj Rjesenja</em>}</li>
 *   <li>{@link pbdmodel.impl.ZahtjevZaNabavkuOruzjaImpl#isFizickoLice <em>Fizicko Lice</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class ZahtjevZaNabavkuOruzjaImpl extends DokumentImpl implements ZahtjevZaNabavkuOruzja {
	/**
	 * The default value of the '{@link #getIDZahtjevZaNabavkuOruzja() <em>ID Zahtjev Za Nabavku Oruzja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDZahtjevZaNabavkuOruzja()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_ZAHTJEV_ZA_NABAVKU_ORUZJA_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDZahtjevZaNabavkuOruzja() <em>ID Zahtjev Za Nabavku Oruzja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDZahtjevZaNabavkuOruzja()
	 * @generated
	 * @ordered
	 */
	@GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long iDZahtjevZaNabavkuOruzja = ID_ZAHTJEV_ZA_NABAVKU_ORUZJA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getPravnoLice() <em>Pravno Lice</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPravnoLice()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PRAVNO_LICE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected PravnoLiceImpl pravnoLice;

	/**
	 * The cached value of the '{@link #getOsoba() <em>OsobaImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsoba()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OsobaImpl osoba;

	/**
	 * The default value of the '{@link #getBrojIzdatogOdobrenja() <em>Broj Izdatog Odobrenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojIzdatogOdobrenja()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_IZDATOG_ODOBRENJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojIzdatogOdobrenja() <em>Broj Izdatog Odobrenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojIzdatogOdobrenja()
	 * @generated
	 * @ordered
	 */
	protected String brojIzdatogOdobrenja = BROJ_IZDATOG_ODOBRENJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getKolicinaOdobrenogNaoruzanja() <em>Kolicina Odobrenog Naoruzanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKolicinaOdobrenogNaoruzanja()
	 * @generated
	 * @ordered
	 */
	protected static final String KOLICINA_ODOBRENOG_NAORUZANJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getKolicinaOdobrenogNaoruzanja() <em>Kolicina Odobrenog Naoruzanja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKolicinaOdobrenogNaoruzanja()
	 * @generated
	 * @ordered
	 */
	protected String kolicinaOdobrenogNaoruzanja = KOLICINA_ODOBRENOG_NAORUZANJA_EDEFAULT;

	/**
	 * The default value of the '{@link #isOdobrenaNabavkaOruzja() <em>Odobrena Nabavka Oruzja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isOdobrenaNabavkaOruzja()
	 * @generated
	 * @ordered
	 */
	protected static final boolean ODOBRENA_NABAVKA_ORUZJA_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isOdobrenaNabavkaOruzja() <em>Odobrena Nabavka Oruzja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isOdobrenaNabavkaOruzja()
	 * @generated
	 * @ordered
	 */
	protected boolean odobrenaNabavkaOruzja = ODOBRENA_NABAVKA_ORUZJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumIzdatogOdobrenja() <em>Datum Izdatog Odobrenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumIzdatogOdobrenja()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_IZDATOG_ODOBRENJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumIzdatogOdobrenja() <em>Datum Izdatog Odobrenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumIzdatogOdobrenja()
	 * @generated
	 * @ordered
	 */
	protected Date datumIzdatogOdobrenja = DATUM_IZDATOG_ODOBRENJA_EDEFAULT;

	/**
	 * The default value of the '{@link #getVrijemeIzdatogOdobrenja() <em>Vrijeme Izdatog Odobrenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeIzdatogOdobrenja()
	 * @generated
	 * @ordered
	 */
	protected static final Date VRIJEME_IZDATOG_ODOBRENJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVrijemeIzdatogOdobrenja() <em>Vrijeme Izdatog Odobrenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrijemeIzdatogOdobrenja()
	 * @generated
	 * @ordered
	 */
	protected Date vrijemeIzdatogOdobrenja = VRIJEME_IZDATOG_ODOBRENJA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getOruzja() <em>Oruzja</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOruzja()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ORUZJE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<OruzjeImpl> oruzja;

	/**
	 * The default value of the '{@link #getBrojRjesenja() <em>Broj Rjesenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojRjesenja()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_RJESENJA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojRjesenja() <em>Broj Rjesenja</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojRjesenja()
	 * @generated
	 * @ordered
	 */
	protected String brojRjesenja = BROJ_RJESENJA_EDEFAULT;

	/**
	 * The default value of the '{@link #isFizickoLice() <em>Fizicko Lice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isFizickoLice()
	 * @generated
	 * @ordered
	 */
	protected static final boolean FIZICKO_LICE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isFizickoLice() <em>Fizicko Lice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isFizickoLice()
	 * @generated
	 * @ordered
	 */
	protected boolean fizickoLice = FIZICKO_LICE_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ZahtjevZaNabavkuOruzjaImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getZahtjevZaNabavkuOruzja();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDZahtjevZaNabavkuOruzja() {
		return iDZahtjevZaNabavkuOruzja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDZahtjevZaNabavkuOruzja(long newIDZahtjevZaNabavkuOruzja) {
		long oldIDZahtjevZaNabavkuOruzja = iDZahtjevZaNabavkuOruzja;
		iDZahtjevZaNabavkuOruzja = newIDZahtjevZaNabavkuOruzja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__ID_ZAHTJEV_ZA_NABAVKU_ORUZJA, oldIDZahtjevZaNabavkuOruzja, iDZahtjevZaNabavkuOruzja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PravnoLiceImpl getPravnoLice() {
		if (pravnoLice != null && pravnoLice.eIsProxy()) {
			InternalEObject oldPravnoLice = (InternalEObject)pravnoLice;
			pravnoLice = (PravnoLiceImpl)eResolveProxy(oldPravnoLice);
			if (pravnoLice != oldPravnoLice) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__PRAVNO_LICE, oldPravnoLice, pravnoLice));
			}
		}
		return pravnoLice;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PravnoLiceImpl basicGetPravnoLice() {
		return pravnoLice;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPravnoLice(PravnoLiceImpl newPravnoLice) {
		PravnoLiceImpl oldPravnoLice = pravnoLice;
		pravnoLice = newPravnoLice;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__PRAVNO_LICE, oldPravnoLice, pravnoLice));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OsobaImpl getOsoba() {
		if (osoba != null && osoba.eIsProxy()) {
			InternalEObject oldOsoba = (InternalEObject)osoba;
			osoba = (OsobaImpl)eResolveProxy(oldOsoba);
			if (osoba != oldOsoba) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__OSOBA, oldOsoba, osoba));
			}
		}
		return osoba;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OsobaImpl basicGetOsoba() {
		return osoba;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOsoba(OsobaImpl newOsoba) {
		OsobaImpl oldOsoba = osoba;
		osoba = newOsoba;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__OSOBA, oldOsoba, osoba));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojIzdatogOdobrenja() {
		return brojIzdatogOdobrenja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojIzdatogOdobrenja(String newBrojIzdatogOdobrenja) {
		String oldBrojIzdatogOdobrenja = brojIzdatogOdobrenja;
		brojIzdatogOdobrenja = newBrojIzdatogOdobrenja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__BROJ_IZDATOG_ODOBRENJA, oldBrojIzdatogOdobrenja, brojIzdatogOdobrenja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getKolicinaOdobrenogNaoruzanja() {
		return kolicinaOdobrenogNaoruzanja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setKolicinaOdobrenogNaoruzanja(String newKolicinaOdobrenogNaoruzanja) {
		String oldKolicinaOdobrenogNaoruzanja = kolicinaOdobrenogNaoruzanja;
		kolicinaOdobrenogNaoruzanja = newKolicinaOdobrenogNaoruzanja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__KOLICINA_ODOBRENOG_NAORUZANJA, oldKolicinaOdobrenogNaoruzanja, kolicinaOdobrenogNaoruzanja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isOdobrenaNabavkaOruzja() {
		return odobrenaNabavkaOruzja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOdobrenaNabavkaOruzja(boolean newOdobrenaNabavkaOruzja) {
		boolean oldOdobrenaNabavkaOruzja = odobrenaNabavkaOruzja;
		odobrenaNabavkaOruzja = newOdobrenaNabavkaOruzja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__ODOBRENA_NABAVKA_ORUZJA, oldOdobrenaNabavkaOruzja, odobrenaNabavkaOruzja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDatumIzdatogOdobrenja() {
		return datumIzdatogOdobrenja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDatumIzdatogOdobrenja(Date newDatumIzdatogOdobrenja) {
		Date oldDatumIzdatogOdobrenja = datumIzdatogOdobrenja;
		datumIzdatogOdobrenja = newDatumIzdatogOdobrenja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__DATUM_IZDATOG_ODOBRENJA, oldDatumIzdatogOdobrenja, datumIzdatogOdobrenja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getVrijemeIzdatogOdobrenja() {
		return vrijemeIzdatogOdobrenja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrijemeIzdatogOdobrenja(Date newVrijemeIzdatogOdobrenja) {
		Date oldVrijemeIzdatogOdobrenja = vrijemeIzdatogOdobrenja;
		vrijemeIzdatogOdobrenja = newVrijemeIzdatogOdobrenja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__VRIJEME_IZDATOG_ODOBRENJA, oldVrijemeIzdatogOdobrenja, vrijemeIzdatogOdobrenja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<OruzjeImpl> getOruzja() {
		if (oruzja == null) {
			oruzja = new ArrayList<OruzjeImpl>();
		}
		return oruzja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojRjesenja() {
		return brojRjesenja;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojRjesenja(String newBrojRjesenja) {
		String oldBrojRjesenja = brojRjesenja;
		brojRjesenja = newBrojRjesenja;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__BROJ_RJESENJA, oldBrojRjesenja, brojRjesenja));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isFizickoLice() {
		return fizickoLice;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFizickoLice(boolean newFizickoLice) {
		boolean oldFizickoLice = fizickoLice;
		fizickoLice = newFizickoLice;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__FIZICKO_LICE, oldFizickoLice, fizickoLice));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__ID_ZAHTJEV_ZA_NABAVKU_ORUZJA:
				return getIDZahtjevZaNabavkuOruzja();
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__PRAVNO_LICE:
				if (resolve) return getPravnoLice();
				return basicGetPravnoLice();
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__OSOBA:
				if (resolve) return getOsoba();
				return basicGetOsoba();
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__BROJ_IZDATOG_ODOBRENJA:
				return getBrojIzdatogOdobrenja();
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__KOLICINA_ODOBRENOG_NAORUZANJA:
				return getKolicinaOdobrenogNaoruzanja();
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__ODOBRENA_NABAVKA_ORUZJA:
				return isOdobrenaNabavkaOruzja();
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__DATUM_IZDATOG_ODOBRENJA:
				return getDatumIzdatogOdobrenja();
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__VRIJEME_IZDATOG_ODOBRENJA:
				return getVrijemeIzdatogOdobrenja();
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__ORUZJA:
				return getOruzja();
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__BROJ_RJESENJA:
				return getBrojRjesenja();
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__FIZICKO_LICE:
				return isFizickoLice();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__ID_ZAHTJEV_ZA_NABAVKU_ORUZJA:
				setIDZahtjevZaNabavkuOruzja((Long)newValue);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__PRAVNO_LICE:
				setPravnoLice((PravnoLiceImpl)newValue);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__OSOBA:
				setOsoba((OsobaImpl)newValue);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__BROJ_IZDATOG_ODOBRENJA:
				setBrojIzdatogOdobrenja((String)newValue);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__KOLICINA_ODOBRENOG_NAORUZANJA:
				setKolicinaOdobrenogNaoruzanja((String)newValue);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__ODOBRENA_NABAVKA_ORUZJA:
				setOdobrenaNabavkaOruzja((Boolean)newValue);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__DATUM_IZDATOG_ODOBRENJA:
				setDatumIzdatogOdobrenja((Date)newValue);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__VRIJEME_IZDATOG_ODOBRENJA:
				setVrijemeIzdatogOdobrenja((Date)newValue);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__ORUZJA:
				getOruzja().clear();
				getOruzja().addAll((Collection<? extends OruzjeImpl>)newValue);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__BROJ_RJESENJA:
				setBrojRjesenja((String)newValue);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__FIZICKO_LICE:
				setFizickoLice((Boolean)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__ID_ZAHTJEV_ZA_NABAVKU_ORUZJA:
				setIDZahtjevZaNabavkuOruzja(ID_ZAHTJEV_ZA_NABAVKU_ORUZJA_EDEFAULT);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__PRAVNO_LICE:
				setPravnoLice((PravnoLiceImpl)null);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__OSOBA:
				setOsoba((OsobaImpl)null);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__BROJ_IZDATOG_ODOBRENJA:
				setBrojIzdatogOdobrenja(BROJ_IZDATOG_ODOBRENJA_EDEFAULT);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__KOLICINA_ODOBRENOG_NAORUZANJA:
				setKolicinaOdobrenogNaoruzanja(KOLICINA_ODOBRENOG_NAORUZANJA_EDEFAULT);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__ODOBRENA_NABAVKA_ORUZJA:
				setOdobrenaNabavkaOruzja(ODOBRENA_NABAVKA_ORUZJA_EDEFAULT);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__DATUM_IZDATOG_ODOBRENJA:
				setDatumIzdatogOdobrenja(DATUM_IZDATOG_ODOBRENJA_EDEFAULT);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__VRIJEME_IZDATOG_ODOBRENJA:
				setVrijemeIzdatogOdobrenja(VRIJEME_IZDATOG_ODOBRENJA_EDEFAULT);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__ORUZJA:
				getOruzja().clear();
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__BROJ_RJESENJA:
				setBrojRjesenja(BROJ_RJESENJA_EDEFAULT);
				return;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__FIZICKO_LICE:
				setFizickoLice(FIZICKO_LICE_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__ID_ZAHTJEV_ZA_NABAVKU_ORUZJA:
				return iDZahtjevZaNabavkuOruzja != ID_ZAHTJEV_ZA_NABAVKU_ORUZJA_EDEFAULT;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__PRAVNO_LICE:
				return pravnoLice != null;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__OSOBA:
				return osoba != null;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__BROJ_IZDATOG_ODOBRENJA:
				return BROJ_IZDATOG_ODOBRENJA_EDEFAULT == null ? brojIzdatogOdobrenja != null : !BROJ_IZDATOG_ODOBRENJA_EDEFAULT.equals(brojIzdatogOdobrenja);
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__KOLICINA_ODOBRENOG_NAORUZANJA:
				return KOLICINA_ODOBRENOG_NAORUZANJA_EDEFAULT == null ? kolicinaOdobrenogNaoruzanja != null : !KOLICINA_ODOBRENOG_NAORUZANJA_EDEFAULT.equals(kolicinaOdobrenogNaoruzanja);
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__ODOBRENA_NABAVKA_ORUZJA:
				return odobrenaNabavkaOruzja != ODOBRENA_NABAVKA_ORUZJA_EDEFAULT;
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__DATUM_IZDATOG_ODOBRENJA:
				return DATUM_IZDATOG_ODOBRENJA_EDEFAULT == null ? datumIzdatogOdobrenja != null : !DATUM_IZDATOG_ODOBRENJA_EDEFAULT.equals(datumIzdatogOdobrenja);
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__VRIJEME_IZDATOG_ODOBRENJA:
				return VRIJEME_IZDATOG_ODOBRENJA_EDEFAULT == null ? vrijemeIzdatogOdobrenja != null : !VRIJEME_IZDATOG_ODOBRENJA_EDEFAULT.equals(vrijemeIzdatogOdobrenja);
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__ORUZJA:
				return oruzja != null && !oruzja.isEmpty();
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__BROJ_RJESENJA:
				return BROJ_RJESENJA_EDEFAULT == null ? brojRjesenja != null : !BROJ_RJESENJA_EDEFAULT.equals(brojRjesenja);
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA__FIZICKO_LICE:
				return fizickoLice != FIZICKO_LICE_EDEFAULT;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDZahtjevZaNabavkuOruzja: ");
		result.append(iDZahtjevZaNabavkuOruzja);
		result.append(", brojIzdatogOdobrenja: ");
		result.append(brojIzdatogOdobrenja);
		result.append(", kolicinaOdobrenogNaoruzanja: ");
		result.append(kolicinaOdobrenogNaoruzanja);
		result.append(", odobrenaNabavkaOruzja: ");
		result.append(odobrenaNabavkaOruzja);
		result.append(", datumIzdatogOdobrenja: ");
		result.append(datumIzdatogOdobrenja);
		result.append(", vrijemeIzdatogOdobrenja: ");
		result.append(vrijemeIzdatogOdobrenja);
		result.append(", brojRjesenja: ");
		result.append(brojRjesenja);
		result.append(", fizickoLice: ");
		result.append(fizickoLice);
		result.append(')');
		return result.toString();
	}

} //ZahtjevZaNabavkuOruzjaImpl
