/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.PbdmodelPackage;
import pbdmodel.Zapis;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Zapis</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.ZapisImpl#getIdRecord <em>Id Record</em>}</li>
 *   <li>{@link pbdmodel.impl.ZapisImpl#getNazivRekorda <em>Naziv Rekorda</em>}</li>
 *   <li>{@link pbdmodel.impl.ZapisImpl#getFileSystemName <em>File System Name</em>}</li>
 *   <li>{@link pbdmodel.impl.ZapisImpl#getDescrition <em>Descrition</em>}</li>
 *   <li>{@link pbdmodel.impl.ZapisImpl#getURI <em>URI</em>}</li>
 *   <li>{@link pbdmodel.impl.ZapisImpl#getComments <em>Comments</em>}</li>
 *   <li>{@link pbdmodel.impl.ZapisImpl#getFileSystemLocation <em>File System Location</em>}</li>
 *   <li>{@link pbdmodel.impl.ZapisImpl#getAccessRecord <em>AccessImpl Record</em>}</li>
 *   <li>{@link pbdmodel.impl.ZapisImpl#getCurrentOwner <em>Current Owner</em>}</li>
 *   <li>{@link pbdmodel.impl.ZapisImpl#isFullTextIndexed <em>Full Text Indexed</em>}</li>
 *   <li>{@link pbdmodel.impl.ZapisImpl#isQueriable <em>Queriable</em>}</li>
 *   <li>{@link pbdmodel.impl.ZapisImpl#isIndexable <em>Indexable</em>}</li>
 *   <li>{@link pbdmodel.impl.ZapisImpl#getPovjestUsera <em>Povjest Usera</em>}</li>
 *   <li>{@link pbdmodel.impl.ZapisImpl#getRecordType <em>Record Type</em>}</li>
 *   <li>{@link pbdmodel.impl.ZapisImpl#getTag <em>TagImpl</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class ZapisImpl extends MetadataImpl implements Zapis {
	
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="USER_ID", unique= true, nullable=true, insertable=true, updatable=true)
	UserImpl kreatorZapisa;
	
	public UserImpl getKreatorZapisa() {
		return kreatorZapisa;
	}

	public void setKreatorZapisa(UserImpl kreatorZapisa) {
		this.kreatorZapisa = kreatorZapisa;
	}
	/**
	 * The default value of the '{@link #getIdRecord() <em>Id Record</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdRecord()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_RECORD_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIdRecord() <em>Id Record</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdRecord()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long idRecord = ID_RECORD_EDEFAULT;

	/**
	 * The default value of the '{@link #getNazivRekorda() <em>Naziv Rekorda</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNazivRekorda()
	 * @generated
	 * @ordered
	 */
	protected static final String NAZIV_REKORDA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getNazivRekorda() <em>Naziv Rekorda</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNazivRekorda()
	 * @generated
	 * @ordered
	 */
	protected String nazivRekorda = NAZIV_REKORDA_EDEFAULT;

	/**
	 * The default value of the '{@link #getFileSystemName() <em>File System Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFileSystemName()
	 * @generated
	 * @ordered
	 */
	protected static final String FILE_SYSTEM_NAME_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getFileSystemName() <em>File System Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFileSystemName()
	 * @generated
	 * @ordered
	 */
	protected String fileSystemName = FILE_SYSTEM_NAME_EDEFAULT;

	/**
	 * The default value of the '{@link #getDescrition() <em>Descrition</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDescrition()
	 * @generated
	 * @ordered
	 */
	protected static final String DESCRITION_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDescrition() <em>Descrition</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDescrition()
	 * @generated
	 * @ordered
	 */
	protected String descrition = DESCRITION_EDEFAULT;

	/**
	 * The default value of the '{@link #getURI() <em>URI</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getURI()
	 * @generated
	 * @ordered
	 */
	protected static final String URI_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getURI() <em>URI</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getURI()
	 * @generated
	 * @ordered
	 */
	protected String uri = URI_EDEFAULT;

	/**
	 * The default value of the '{@link #getComments() <em>Comments</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getComments()
	 * @generated
	 * @ordered
	 */
	protected static final String COMMENTS_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getComments() <em>Comments</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getComments()
	 * @generated
	 * @ordered
	 */
	protected String comments = COMMENTS_EDEFAULT;

	/**
	 * The default value of the '{@link #getFileSystemLocation() <em>File System Location</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFileSystemLocation()
	 * @generated
	 * @ordered
	 */
	protected static final String FILE_SYSTEM_LOCATION_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getFileSystemLocation() <em>File System Location</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFileSystemLocation()
	 * @generated
	 * @ordered
	 */
	protected String fileSystemLocation = FILE_SYSTEM_LOCATION_EDEFAULT;

	/**
	 * The cached value of the '{@link #getAccessRecord() <em>AccessImpl Record</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getAccessRecord()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ACCESS_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<AccessImpl> accessRecord;

	/**
	 * The default value of the '{@link #getCurrentOwner() <em>Current Owner</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCurrentOwner()
	 * @generated
	 * @ordered
	 */
	protected static final long CURRENT_OWNER_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getCurrentOwner() <em>Current Owner</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCurrentOwner()
	 * @generated
	 * @ordered
	 */
	protected long currentOwner = CURRENT_OWNER_EDEFAULT;

	/**
	 * The default value of the '{@link #isFullTextIndexed() <em>Full Text Indexed</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isFullTextIndexed()
	 * @generated
	 * @ordered
	 */
	protected static final boolean FULL_TEXT_INDEXED_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isFullTextIndexed() <em>Full Text Indexed</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isFullTextIndexed()
	 * @generated
	 * @ordered
	 */
	protected boolean fullTextIndexed = FULL_TEXT_INDEXED_EDEFAULT;

	/**
	 * The default value of the '{@link #isQueriable() <em>Queriable</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isQueriable()
	 * @generated
	 * @ordered
	 */
	protected static final boolean QUERIABLE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isQueriable() <em>Queriable</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isQueriable()
	 * @generated
	 * @ordered
	 */
	protected boolean queriable = QUERIABLE_EDEFAULT;

	/**
	 * The default value of the '{@link #isIndexable() <em>Indexable</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isIndexable()
	 * @generated
	 * @ordered
	 */
	protected static final boolean INDEXABLE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isIndexable() <em>Indexable</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isIndexable()
	 * @generated
	 * @ordered
	 */
	protected boolean indexable = INDEXABLE_EDEFAULT;

	/**
	 * The cached value of the '{@link #getPovjestUsera() <em>Povjest Usera</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPovjestUsera()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OWNER_HISTORY_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<OwnerHistoryImpl> povjestUsera;

	/**
	 * The cached value of the '{@link #getRecordType() <em>Record Type</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRecordType()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="RECORD_TYPE_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected RecordTypeImpl recordType;

	/**
	 * The cached value of the '{@link #getTag() <em>TagImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTag()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="TAG_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected TagImpl tag;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ZapisImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getZapis();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIdRecord() {
		return idRecord;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIdRecord(long newIdRecord) {
		long oldIdRecord = idRecord;
		idRecord = newIdRecord;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPIS__ID_RECORD, oldIdRecord, idRecord));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getNazivRekorda() {
		return nazivRekorda;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNazivRekorda(String newNazivRekorda) {
		String oldNazivRekorda = nazivRekorda;
		nazivRekorda = newNazivRekorda;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPIS__NAZIV_REKORDA, oldNazivRekorda, nazivRekorda));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getFileSystemName() {
		return fileSystemName;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFileSystemName(String newFileSystemName) {
		String oldFileSystemName = fileSystemName;
		fileSystemName = newFileSystemName;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPIS__FILE_SYSTEM_NAME, oldFileSystemName, fileSystemName));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getDescrition() {
		return descrition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDescrition(String newDescrition) {
		String oldDescrition = descrition;
		descrition = newDescrition;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPIS__DESCRITION, oldDescrition, descrition));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getURI() {
		return uri;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setURI(String newURI) {
		String oldURI = uri;
		uri = newURI;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPIS__URI, oldURI, uri));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getComments() {
		return comments;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setComments(String newComments) {
		String oldComments = comments;
		comments = newComments;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPIS__COMMENTS, oldComments, comments));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getFileSystemLocation() {
		return fileSystemLocation;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFileSystemLocation(String newFileSystemLocation) {
		String oldFileSystemLocation = fileSystemLocation;
		fileSystemLocation = newFileSystemLocation;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPIS__FILE_SYSTEM_LOCATION, oldFileSystemLocation, fileSystemLocation));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<AccessImpl> getAccessRecord() {
		if (accessRecord == null) {
			accessRecord = new ArrayList<AccessImpl>();
		}
		return accessRecord;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getCurrentOwner() {
		return currentOwner;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setCurrentOwner(long newCurrentOwner) {
		long oldCurrentOwner = currentOwner;
		currentOwner = newCurrentOwner;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPIS__CURRENT_OWNER, oldCurrentOwner, currentOwner));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isFullTextIndexed() {
		return fullTextIndexed;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFullTextIndexed(boolean newFullTextIndexed) {
		boolean oldFullTextIndexed = fullTextIndexed;
		fullTextIndexed = newFullTextIndexed;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPIS__FULL_TEXT_INDEXED, oldFullTextIndexed, fullTextIndexed));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isQueriable() {
		return queriable;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setQueriable(boolean newQueriable) {
		boolean oldQueriable = queriable;
		queriable = newQueriable;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPIS__QUERIABLE, oldQueriable, queriable));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isIndexable() {
		return indexable;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIndexable(boolean newIndexable) {
		boolean oldIndexable = indexable;
		indexable = newIndexable;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPIS__INDEXABLE, oldIndexable, indexable));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<OwnerHistoryImpl> getPovjestUsera() {
		if (povjestUsera == null) {
			povjestUsera = new ArrayList<OwnerHistoryImpl>();
		}
		return povjestUsera;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RecordTypeImpl getRecordType() {
		if (recordType != null && recordType.eIsProxy()) {
			InternalEObject oldRecordType = (InternalEObject)recordType;
			recordType = (RecordTypeImpl)eResolveProxy(oldRecordType);
			if (recordType != oldRecordType) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ZAPIS__RECORD_TYPE, oldRecordType, recordType));
			}
		}
		return recordType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RecordTypeImpl basicGetRecordType() {
		return recordType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRecordType(RecordTypeImpl newRecordType) {
		RecordTypeImpl oldRecordType = recordType;
		recordType = newRecordType;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPIS__RECORD_TYPE, oldRecordType, recordType));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TagImpl getTag() {
		if (tag != null && tag.eIsProxy()) {
			InternalEObject oldTag = (InternalEObject)tag;
			tag = (TagImpl)eResolveProxy(oldTag);
			if (tag != oldTag) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.ZAPIS__TAG, oldTag, tag));
			}
		}
		return tag;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TagImpl basicGetTag() {
		return tag;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTag(TagImpl newTag) {
		TagImpl oldTag = tag;
		tag = newTag;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.ZAPIS__TAG, oldTag, tag));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.ZAPIS__ID_RECORD:
				return getIdRecord();
			case PbdmodelPackage.ZAPIS__NAZIV_REKORDA:
				return getNazivRekorda();
			case PbdmodelPackage.ZAPIS__FILE_SYSTEM_NAME:
				return getFileSystemName();
			case PbdmodelPackage.ZAPIS__DESCRITION:
				return getDescrition();
			case PbdmodelPackage.ZAPIS__URI:
				return getURI();
			case PbdmodelPackage.ZAPIS__COMMENTS:
				return getComments();
			case PbdmodelPackage.ZAPIS__FILE_SYSTEM_LOCATION:
				return getFileSystemLocation();
			case PbdmodelPackage.ZAPIS__ACCESS_RECORD:
				return getAccessRecord();
			case PbdmodelPackage.ZAPIS__CURRENT_OWNER:
				return getCurrentOwner();
			case PbdmodelPackage.ZAPIS__FULL_TEXT_INDEXED:
				return isFullTextIndexed();
			case PbdmodelPackage.ZAPIS__QUERIABLE:
				return isQueriable();
			case PbdmodelPackage.ZAPIS__INDEXABLE:
				return isIndexable();
			case PbdmodelPackage.ZAPIS__POVJEST_USERA:
				return getPovjestUsera();
			case PbdmodelPackage.ZAPIS__RECORD_TYPE:
				if (resolve) return getRecordType();
				return basicGetRecordType();
			case PbdmodelPackage.ZAPIS__TAG:
				if (resolve) return getTag();
				return basicGetTag();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.ZAPIS__ID_RECORD:
				setIdRecord((Long)newValue);
				return;
			case PbdmodelPackage.ZAPIS__NAZIV_REKORDA:
				setNazivRekorda((String)newValue);
				return;
			case PbdmodelPackage.ZAPIS__FILE_SYSTEM_NAME:
				setFileSystemName((String)newValue);
				return;
			case PbdmodelPackage.ZAPIS__DESCRITION:
				setDescrition((String)newValue);
				return;
			case PbdmodelPackage.ZAPIS__URI:
				setURI((String)newValue);
				return;
			case PbdmodelPackage.ZAPIS__COMMENTS:
				setComments((String)newValue);
				return;
			case PbdmodelPackage.ZAPIS__FILE_SYSTEM_LOCATION:
				setFileSystemLocation((String)newValue);
				return;
			case PbdmodelPackage.ZAPIS__ACCESS_RECORD:
				getAccessRecord().clear();
				getAccessRecord().addAll((Collection<? extends AccessImpl>)newValue);
				return;
			case PbdmodelPackage.ZAPIS__CURRENT_OWNER:
				setCurrentOwner((Long)newValue);
				return;
			case PbdmodelPackage.ZAPIS__FULL_TEXT_INDEXED:
				setFullTextIndexed((Boolean)newValue);
				return;
			case PbdmodelPackage.ZAPIS__QUERIABLE:
				setQueriable((Boolean)newValue);
				return;
			case PbdmodelPackage.ZAPIS__INDEXABLE:
				setIndexable((Boolean)newValue);
				return;
			case PbdmodelPackage.ZAPIS__POVJEST_USERA:
				getPovjestUsera().clear();
				getPovjestUsera().addAll((Collection<? extends OwnerHistoryImpl>)newValue);
				return;
			case PbdmodelPackage.ZAPIS__RECORD_TYPE:
				setRecordType((RecordTypeImpl)newValue);
				return;
			case PbdmodelPackage.ZAPIS__TAG:
				setTag((TagImpl)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.ZAPIS__ID_RECORD:
				setIdRecord(ID_RECORD_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPIS__NAZIV_REKORDA:
				setNazivRekorda(NAZIV_REKORDA_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPIS__FILE_SYSTEM_NAME:
				setFileSystemName(FILE_SYSTEM_NAME_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPIS__DESCRITION:
				setDescrition(DESCRITION_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPIS__URI:
				setURI(URI_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPIS__COMMENTS:
				setComments(COMMENTS_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPIS__FILE_SYSTEM_LOCATION:
				setFileSystemLocation(FILE_SYSTEM_LOCATION_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPIS__ACCESS_RECORD:
				getAccessRecord().clear();
				return;
			case PbdmodelPackage.ZAPIS__CURRENT_OWNER:
				setCurrentOwner(CURRENT_OWNER_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPIS__FULL_TEXT_INDEXED:
				setFullTextIndexed(FULL_TEXT_INDEXED_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPIS__QUERIABLE:
				setQueriable(QUERIABLE_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPIS__INDEXABLE:
				setIndexable(INDEXABLE_EDEFAULT);
				return;
			case PbdmodelPackage.ZAPIS__POVJEST_USERA:
				getPovjestUsera().clear();
				return;
			case PbdmodelPackage.ZAPIS__RECORD_TYPE:
				setRecordType((RecordTypeImpl)null);
				return;
			case PbdmodelPackage.ZAPIS__TAG:
				setTag((TagImpl)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.ZAPIS__ID_RECORD:
				return idRecord != ID_RECORD_EDEFAULT;
			case PbdmodelPackage.ZAPIS__NAZIV_REKORDA:
				return NAZIV_REKORDA_EDEFAULT == null ? nazivRekorda != null : !NAZIV_REKORDA_EDEFAULT.equals(nazivRekorda);
			case PbdmodelPackage.ZAPIS__FILE_SYSTEM_NAME:
				return FILE_SYSTEM_NAME_EDEFAULT == null ? fileSystemName != null : !FILE_SYSTEM_NAME_EDEFAULT.equals(fileSystemName);
			case PbdmodelPackage.ZAPIS__DESCRITION:
				return DESCRITION_EDEFAULT == null ? descrition != null : !DESCRITION_EDEFAULT.equals(descrition);
			case PbdmodelPackage.ZAPIS__URI:
				return URI_EDEFAULT == null ? uri != null : !URI_EDEFAULT.equals(uri);
			case PbdmodelPackage.ZAPIS__COMMENTS:
				return COMMENTS_EDEFAULT == null ? comments != null : !COMMENTS_EDEFAULT.equals(comments);
			case PbdmodelPackage.ZAPIS__FILE_SYSTEM_LOCATION:
				return FILE_SYSTEM_LOCATION_EDEFAULT == null ? fileSystemLocation != null : !FILE_SYSTEM_LOCATION_EDEFAULT.equals(fileSystemLocation);
			case PbdmodelPackage.ZAPIS__ACCESS_RECORD:
				return accessRecord != null && !accessRecord.isEmpty();
			case PbdmodelPackage.ZAPIS__CURRENT_OWNER:
				return currentOwner != CURRENT_OWNER_EDEFAULT;
			case PbdmodelPackage.ZAPIS__FULL_TEXT_INDEXED:
				return fullTextIndexed != FULL_TEXT_INDEXED_EDEFAULT;
			case PbdmodelPackage.ZAPIS__QUERIABLE:
				return queriable != QUERIABLE_EDEFAULT;
			case PbdmodelPackage.ZAPIS__INDEXABLE:
				return indexable != INDEXABLE_EDEFAULT;
			case PbdmodelPackage.ZAPIS__POVJEST_USERA:
				return povjestUsera != null && !povjestUsera.isEmpty();
			case PbdmodelPackage.ZAPIS__RECORD_TYPE:
				return recordType != null;
			case PbdmodelPackage.ZAPIS__TAG:
				return tag != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (idRecord: ");
		result.append(idRecord);
		result.append(", nazivRekorda: ");
		result.append(nazivRekorda);
		result.append(", FileSystemName: ");
		result.append(fileSystemName);
		result.append(", Descrition: ");
		result.append(descrition);
		result.append(", URI: ");
		result.append(uri);
		result.append(", Comments: ");
		result.append(comments);
		result.append(", FileSystemLocation: ");
		result.append(fileSystemLocation);
		result.append(", currentOwner: ");
		result.append(currentOwner);
		result.append(", fullTextIndexed: ");
		result.append(fullTextIndexed);
		result.append(", queriable: ");
		result.append(queriable);
		result.append(", indexable: ");
		result.append(indexable);
		result.append(')');
		return result.toString();
	}

} //ZapisImpl
