/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.PbdmodelPackage;
import pbdmodel.Zaposlenici;


/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Zaposlenici</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getIdZaposlenici <em>Id Zaposlenici</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getSifraZaposlenika <em>Sifra Zaposlenika</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getAdresaZaposlenog <em>AdresaImpl Zaposlenog</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getBankovniRacuni <em>Bankovni Racuni</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getKontaktZaposlenika <em>Kontakt Zaposlenika</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getSkolovanja <em>SkolovanjaImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getOdsustva <em>OdsustvaImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getUzdrzavaneOsobe <em>Uzdrzavane Osobe</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getUloga <em>Uloga</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getVrstaZapolenika <em>Vrsta Zapolenika</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getCin <em>CinImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getBrojSluzbeneZnacke <em>Broj Sluzbene Znacke</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getZaposlenja <em>ZaposlenjaImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getOrgJedinica <em>Org Jedinica</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getNagrade <em>NagradeImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getKazne <em>KazneImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getGodisnjaOcjena <em>Godisnja Ocjena</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getUser <em>UserImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#isKorisnikAplikacije <em>Korisnik Aplikacije</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getVrstaSmjene <em>Vrsta Smjene</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getDokumentiOsobe <em>Dokumenti Osobe</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getPlatniRazred <em>Platni Razred</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getNetoPlata <em>Neto Plata</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getBrojPIO <em>Broj PIO</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getBrojRadneKnjizice <em>Broj Radne Knjizice</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getDatumIzdavanjaRadneKnjizice <em>Datum Izdavanja Radne Knjizice</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#isAktivan <em>Aktivan</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getMjestoIzdavanjaRadneKnjizice <em>MjestoImpl Izdavanja Radne Knjizice</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getOsiguranje <em>OsiguranjeImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getStepenStrucneSpreme <em>Stepen Strucne Spreme</em>}</li>
 *   <li>{@link pbdmodel.impl.ZaposleniciImpl#getPovjestOrgJedinica <em>Povjest Org Jedinica</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
@DiscriminatorValue("ZAPOSLENIK")
public class ZaposleniciImpl extends OsobaImpl  {
	public long getIdZaposlenici() {
		return idZaposlenici;
	}

	public void setIdZaposlenici(long idZaposlenici) {
		this.idZaposlenici = idZaposlenici;
	}

	public String getSifraZaposlenika() {
		return sifraZaposlenika;
	}

	public void setSifraZaposlenika(String sifraZaposlenika) {
		this.sifraZaposlenika = sifraZaposlenika;
	}

	public List<AdresaImpl> getAdresaZaposlenog() {
		return adresaZaposlenog;
	}

	public void setAdresaZaposlenog(List<AdresaImpl> adresaZaposlenog) {
		this.adresaZaposlenog = adresaZaposlenog;
	}

	public List<BankovniRacunImpl> getBankovniRacuni() {
		return bankovniRacuni;
	}

	public void setBankovniRacuni(List<BankovniRacunImpl> bankovniRacuni) {
		this.bankovniRacuni = bankovniRacuni;
	}

	public List<KontaktZaposlenikaImpl> getKontaktZaposlenika() {
		return kontaktZaposlenika;
	}

	public void setKontaktZaposlenika(
			List<KontaktZaposlenikaImpl> kontaktZaposlenika) {
		this.kontaktZaposlenika = kontaktZaposlenika;
	}

	public List<SkolovanjaImpl> getSkolovanja() {
		return skolovanja;
	}

	public void setSkolovanja(List<SkolovanjaImpl> skolovanja) {
		this.skolovanja = skolovanja;
	}

	public List<OdsustvaImpl> getOdsustva() {
		return odsustva;
	}

	public void setOdsustva(List<OdsustvaImpl> odsustva) {
		this.odsustva = odsustva;
	}

	public List<OsobaImpl> getUzdrzavaneOsobe() {
		return uzdrzavaneOsobe;
	}

	public void setUzdrzavaneOsobe(List<OsobaImpl> uzdrzavaneOsobe) {
		this.uzdrzavaneOsobe = uzdrzavaneOsobe;
	}

	public UlogeImpl getUloga() {
		return uloga;
	}

	public void setUloga(UlogeImpl uloga) {
		this.uloga = uloga;
	}

	public VrstaZaposlenikaImpl getVrstaZapolenika() {
		return vrstaZapolenika;
	}

	public void setVrstaZapolenika(VrstaZaposlenikaImpl vrstaZapolenika) {
		this.vrstaZapolenika = vrstaZapolenika;
	}

	public CinImpl getCin() {
		return cin;
	}

	public void setCin(CinImpl cin) {
		this.cin = cin;
	}

	public String getBrojSluzbeneZnacke() {
		return brojSluzbeneZnacke;
	}

	public void setBrojSluzbeneZnacke(String brojSluzbeneZnacke) {
		this.brojSluzbeneZnacke = brojSluzbeneZnacke;
	}

	public List<ZaposlenjaImpl> getZaposlenja() {
		return zaposlenja;
	}

	public void setZaposlenja(List<ZaposlenjaImpl> zaposlenja) {
		this.zaposlenja = zaposlenja;
	}

	public OrgJedinicaImpl getOrgJedinica() {
		return orgJedinica;
	}

	public void setOrgJedinica(OrgJedinicaImpl orgJedinica) {
		this.orgJedinica = orgJedinica;
	}

	public List<NagradeImpl> getNagrade() {
		return nagrade;
	}

	public void setNagrade(List<NagradeImpl> nagrade) {
		this.nagrade = nagrade;
	}

	public List<KazneImpl> getKazne() {
		return kazne;
	}

	public void setKazne(List<KazneImpl> kazne) {
		this.kazne = kazne;
	}

	public List<GodisnjaOcjenaImpl> getGodisnjaOcjena() {
		return godisnjaOcjena;
	}

	public void setGodisnjaOcjena(List<GodisnjaOcjenaImpl> godisnjaOcjena) {
		this.godisnjaOcjena = godisnjaOcjena;
	}

	public UserImpl getUser() {
		return user;
	}

	public void setUser(UserImpl user) {
		this.user = user;
	}

	public boolean isKorisnikAplikacije() {
		return korisnikAplikacije;
	}

	public void setKorisnikAplikacije(boolean korisnikAplikacije) {
		this.korisnikAplikacije = korisnikAplikacije;
	}

	public VrstaSmjeneImpl getVrstaSmjene() {
		return vrstaSmjene;
	}

	public void setVrstaSmjene(VrstaSmjeneImpl vrstaSmjene) {
		this.vrstaSmjene = vrstaSmjene;
	}

	public List<FileImpl> getDokumentiOsobe() {
		return dokumentiOsobe;
	}

	public void setDokumentiOsobe(List<FileImpl> dokumentiOsobe) {
		this.dokumentiOsobe = dokumentiOsobe;
	}

	public String getPlatniRazred() {
		return platniRazred;
	}

	public void setPlatniRazred(String platniRazred) {
		this.platniRazred = platniRazred;
	}

	public String getNetoPlata() {
		return netoPlata;
	}

	public void setNetoPlata(String netoPlata) {
		this.netoPlata = netoPlata;
	}

	public String getBrojPIO() {
		return brojPIO;
	}

	public void setBrojPIO(String brojPIO) {
		this.brojPIO = brojPIO;
	}

	public String getBrojRadneKnjizice() {
		return brojRadneKnjizice;
	}

	public void setBrojRadneKnjizice(String brojRadneKnjizice) {
		this.brojRadneKnjizice = brojRadneKnjizice;
	}

	public Date getDatumIzdavanjaRadneKnjizice() {
		return datumIzdavanjaRadneKnjizice;
	}

	public void setDatumIzdavanjaRadneKnjizice(Date datumIzdavanjaRadneKnjizice) {
		this.datumIzdavanjaRadneKnjizice = datumIzdavanjaRadneKnjizice;
	}

	public boolean isAktivan() {
		return aktivan;
	}

	public void setAktivan(boolean aktivan) {
		this.aktivan = aktivan;
	}

	public MjestoImpl getMjestoIzdavanjaRadneKnjizice() {
		return mjestoIzdavanjaRadneKnjizice;
	}

	public void setMjestoIzdavanjaRadneKnjizice(
			MjestoImpl mjestoIzdavanjaRadneKnjizice) {
		this.mjestoIzdavanjaRadneKnjizice = mjestoIzdavanjaRadneKnjizice;
	}

	public OsiguranjeImpl getOsiguranje() {
		return osiguranje;
	}

	public void setOsiguranje(OsiguranjeImpl osiguranje) {
		this.osiguranje = osiguranje;
	}

	public StepenStrucneSpremeImpl getStepenStrucneSpreme() {
		return stepenStrucneSpreme;
	}

	public void setStepenStrucneSpreme(StepenStrucneSpremeImpl stepenStrucneSpreme) {
		this.stepenStrucneSpreme = stepenStrucneSpreme;
	}

	public List<OrgJedinicaImpl> getPovjestOrgJedinica() {
		return povjestOrgJedinica;
	}

	public void setPovjestOrgJedinica(List<OrgJedinicaImpl> povjestOrgJedinica) {
		this.povjestOrgJedinica = povjestOrgJedinica;
	}

	/**
	 * The default value of the '{@link #getIdZaposlenici() <em>Id Zaposlenici</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdZaposlenici()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_ZAPOSLENICI_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIdZaposlenici() <em>Id Zaposlenici</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdZaposlenici()
	 * @generated
	 * @ordered
	 */
	@GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long idZaposlenici = ID_ZAPOSLENICI_EDEFAULT;

	/**
	 * The default value of the '{@link #getSifraZaposlenika() <em>Sifra Zaposlenika</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSifraZaposlenika()
	 * @generated
	 * @ordered
	 */
	protected static final String SIFRA_ZAPOSLENIKA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getSifraZaposlenika() <em>Sifra Zaposlenika</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSifraZaposlenika()
	 * @generated
	 * @ordered
	 */
	protected String sifraZaposlenika = SIFRA_ZAPOSLENIKA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getAdresaZaposlenog() <em>AdresaImpl Zaposlenog</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getAdresaZaposlenog()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ADRESA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<AdresaImpl> adresaZaposlenog;

	/**
	 * The cached value of the '{@link #getBankovniRacuni() <em>Bankovni Racuni</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBankovniRacuni()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="BAKOVNI_RACUN_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<BankovniRacunImpl> bankovniRacuni;

	/**
	 * The cached value of the '{@link #getKontaktZaposlenika() <em>Kontakt Zaposlenika</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKontaktZaposlenika()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="KONTAKT_ZAPOSLENIKA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<KontaktZaposlenikaImpl> kontaktZaposlenika;

	/**
	 * The cached value of the '{@link #getSkolovanja() <em>SkolovanjaImpl</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSkolovanja()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SKOLOVANJA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<SkolovanjaImpl> skolovanja;

	/**
	 * The cached value of the '{@link #getOdsustva() <em>OdsustvaImpl</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOdsustva()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ODSUSTVA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<OdsustvaImpl> odsustva;

	/**
	 * The cached value of the '{@link #getUzdrzavaneOsobe() <em>Uzdrzavane Osobe</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUzdrzavaneOsobe()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OSOBA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<OsobaImpl> uzdrzavaneOsobe;

	/**
	 * The cached value of the '{@link #getUloga() <em>Uloga</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUloga()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ULOGE_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected UlogeImpl uloga;

	/**
	 * The cached value of the '{@link #getVrstaZapolenika() <em>Vrsta Zapolenika</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaZapolenika()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_ZAPOSLENIKA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected VrstaZaposlenikaImpl vrstaZapolenika;

	/**
	 * The cached value of the '{@link #getCin() <em>CinImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCin()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="CIN_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected CinImpl cin;

	/**
	 * The default value of the '{@link #getBrojSluzbeneZnacke() <em>Broj Sluzbene Znacke</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojSluzbeneZnacke()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_SLUZBENE_ZNACKE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojSluzbeneZnacke() <em>Broj Sluzbene Znacke</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojSluzbeneZnacke()
	 * @generated
	 * @ordered
	 */
	protected String brojSluzbeneZnacke = BROJ_SLUZBENE_ZNACKE_EDEFAULT;

	/**
	 * The cached value of the '{@link #getZaposlenja() <em>ZaposlenjaImpl</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getZaposlenja()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ZAPOSLENJA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<ZaposlenjaImpl> zaposlenja;

	/**
	 * The cached value of the '{@link #getOrgJedinica() <em>Org Jedinica</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrgJedinica()
	 * @generated
	 * @ordered
	 */
	@ManyToOne
    @JoinColumn(name="ORG_JEDINICA_ID", nullable=false)
	protected OrgJedinicaImpl orgJedinica;

	/**
	 * The cached value of the '{@link #getNagrade() <em>NagradeImpl</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNagrade()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="NAGRADE_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<NagradeImpl> nagrade;

	/**
	 * The cached value of the '{@link #getKazne() <em>KazneImpl</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKazne()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="KAZNE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<KazneImpl> kazne;

	/**
	 * The cached value of the '{@link #getGodisnjaOcjena() <em>Godisnja Ocjena</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getGodisnjaOcjena()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="GODISNJA_OCJENA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<GodisnjaOcjenaImpl> godisnjaOcjena;

	/**
	 * The cached value of the '{@link #getUser() <em>UserImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUser()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="USER_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected UserImpl user;

	/**
	 * The default value of the '{@link #isKorisnikAplikacije() <em>Korisnik Aplikacije</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isKorisnikAplikacije()
	 * @generated
	 * @ordered
	 */
	protected static final boolean KORISNIK_APLIKACIJE_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isKorisnikAplikacije() <em>Korisnik Aplikacije</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isKorisnikAplikacije()
	 * @generated
	 * @ordered
	 */
	protected boolean korisnikAplikacije = KORISNIK_APLIKACIJE_EDEFAULT;

	/**
	 * The cached value of the '{@link #getVrstaSmjene() <em>Vrsta Smjene</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaSmjene()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_SMJENE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected VrstaSmjeneImpl vrstaSmjene;

	/**
	 * The cached value of the '{@link #getDokumentiOsobe() <em>Dokumenti Osobe</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDokumentiOsobe()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="FILE_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<FileImpl> dokumentiOsobe;

	/**
	 * The default value of the '{@link #getPlatniRazred() <em>Platni Razred</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPlatniRazred()
	 * @generated
	 * @ordered
	 */
	protected static final String PLATNI_RAZRED_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPlatniRazred() <em>Platni Razred</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPlatniRazred()
	 * @generated
	 * @ordered
	 */
	protected String platniRazred = PLATNI_RAZRED_EDEFAULT;

	/**
	 * The default value of the '{@link #getNetoPlata() <em>Neto Plata</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNetoPlata()
	 * @generated
	 * @ordered
	 */
	protected static final String NETO_PLATA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getNetoPlata() <em>Neto Plata</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNetoPlata()
	 * @generated
	 * @ordered
	 */
	protected String netoPlata = NETO_PLATA_EDEFAULT;

	/**
	 * The default value of the '{@link #getBrojPIO() <em>Broj PIO</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojPIO()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_PIO_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojPIO() <em>Broj PIO</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojPIO()
	 * @generated
	 * @ordered
	 */
	protected String brojPIO = BROJ_PIO_EDEFAULT;

	/**
	 * The default value of the '{@link #getBrojRadneKnjizice() <em>Broj Radne Knjizice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojRadneKnjizice()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_RADNE_KNJIZICE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojRadneKnjizice() <em>Broj Radne Knjizice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojRadneKnjizice()
	 * @generated
	 * @ordered
	 */
	protected String brojRadneKnjizice = BROJ_RADNE_KNJIZICE_EDEFAULT;

	/**
	 * The default value of the '{@link #getDatumIzdavanjaRadneKnjizice() <em>Datum Izdavanja Radne Knjizice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumIzdavanjaRadneKnjizice()
	 * @generated
	 * @ordered
	 */
	protected static final Date DATUM_IZDAVANJA_RADNE_KNJIZICE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDatumIzdavanjaRadneKnjizice() <em>Datum Izdavanja Radne Knjizice</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDatumIzdavanjaRadneKnjizice()
	 * @generated
	 * @ordered
	 */
	protected Date datumIzdavanjaRadneKnjizice = DATUM_IZDAVANJA_RADNE_KNJIZICE_EDEFAULT;

	/**
	 * The default value of the '{@link #isAktivan() <em>Aktivan</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isAktivan()
	 * @generated
	 * @ordered
	 */
	protected static final boolean AKTIVAN_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isAktivan() <em>Aktivan</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isAktivan()
	 * @generated
	 * @ordered
	 */
	protected boolean aktivan = AKTIVAN_EDEFAULT;

	/**
	 * The cached value of the '{@link #getMjestoIzdavanjaRadneKnjizice() <em>MjestoImpl Izdavanja Radne Knjizice</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMjestoIzdavanjaRadneKnjizice()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="MJESTO_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected MjestoImpl mjestoIzdavanjaRadneKnjizice;

	/**
	 * The cached value of the '{@link #getOsiguranje() <em>OsiguranjeImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsiguranje()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="OSIGURANJE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected OsiguranjeImpl osiguranje;

	/**
	 * The cached value of the '{@link #getStepenStrucneSpreme() <em>Stepen Strucne Spreme</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStepenStrucneSpreme()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="STEPEN_STRUCNE_SPREME_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected StepenStrucneSpremeImpl stepenStrucneSpreme;

	/**
	 * The cached value of the '{@link #getPovjestOrgJedinica() <em>Povjest Org Jedinica</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPovjestOrgJedinica()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ORG_JEDINICA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<OrgJedinicaImpl> povjestOrgJedinica;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ZaposleniciImpl() {
		super();
	}

	}